/*LINTLIBRARY*/
/* translation of file(s)
	"../abs.k"
	"../main.k"
	"../parse.k"
	"../error.k"
	"../defocc.k"
	"../extocc.k"
	"../useocc.k"
	"../util.k"
	"../gen.k"
	"../gutil.k"
	"../pat.k"
 */
/* generated by:
 *	@(#)$Author: Kimwitu version: V4_6 (c) 1990-1996 University of Twente $
 */
#define KC_TYPES
#define KIMW_TYPES /* for backwards compatibility */
/* define our own macro if we have a 'standard' (ansi) C(++) compiler */
#ifndef KC_NO_STDC
# if defined(__STDC__) || defined(__cplusplus) || defined(_WIN32)
#  define KC_STDC
# endif
#endif
#include <stdio.h>
#include <ctype.h>
#include <string.h>
#if ((! defined(KC_STDC) ) && defined(sun))
   extern char *sprintf();
#endif
#include <sys/types.h>
#ifdef KC_STDC
# include <stdlib.h>
#else
#  include <memory.h> /*for memset*/
#endif
typedef size_t kc_memset_size_t; /* needed for sun */

#include "k.h"
#ifndef KC_STDC
  extern void exit KC__P((int));
#endif

#if ((! defined(KC_STDC) ) && defined(sun))
  /* kc_memset_firstarg_t should be void* kc_voidptr_t, but sun's include files are dumb */
# ifndef KC_MEMSET_FIRSTARG_T
  typedef char *kc_memset_firstarg_t;
# else
  typedef KC_MEMSET_FIRSTARG_T kc_memset_firstarg_t;
# endif
#else
  typedef kc_voidptr_t kc_memset_firstarg_t;
#endif

static kc_voidfnptr_t kc_out_of_storage_handler = 0;
kc_voidfnptr_t kc_set_out_of_storage_handler
#ifdef KC_USE_PROTOTYPES
( kc_voidfnptr_t kc_handler )
#else
(kc_handler) kc_voidfnptr_t kc_handler;
#endif
{	kc_voidfnptr_t kc_tmp_handler = kc_out_of_storage_handler;
	kc_out_of_storage_handler = kc_handler;
	return kc_tmp_handler;
}

kc_voidptr_t emalloc	/* check return from malloc */
#ifdef KC_USE_PROTOTYPES
(kc_size_t kc_n)
#else
(kc_n) kc_size_t kc_n;
#endif
{	kc_voidptr_t kc_p;
	while ((kc_p = (kc_voidptr_t)malloc((kc_size_t)kc_n)) == 0) {
		if (kc_out_of_storage_handler) {
			(*kc_out_of_storage_handler)();
		} else {
			(void)fflush(stdout);
			(void)fprintf(stderr,"out of memory in emalloc\n");
			exit( 1 ); /*NOTREACHED*/
	}	}
	return kc_p;
}

kc_voidptr_t ecalloc	/* check return from calloc */
#ifdef KC_USE_PROTOTYPES
(kc_size_t kc_n, kc_size_t kc_s)
#else
(kc_n,kc_s) kc_size_t kc_n, kc_s;
#endif
{	kc_voidptr_t kc_p;
	while ((kc_p = (kc_voidptr_t)calloc((kc_size_t)kc_n,(kc_size_t)kc_s)) == 0) {
		if (kc_out_of_storage_handler) {
			(*kc_out_of_storage_handler)();
		} else {
			(void)fflush(stdout);
			(void)fprintf(stderr,"out of memory in ecalloc\n");
			exit( 1 ); /*NOTREACHED*/
	}	}
	return kc_p;
}

kc_voidptr_t erealloc	/* check return from realloc */
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_r, kc_size_t kc_s)
#else
(kc_r,kc_s) kc_voidptr_t kc_r; kc_size_t kc_s;
#endif
{	kc_voidptr_t kc_p;
	while ((kc_p = (kc_voidptr_t)realloc((kc_realloc_arg_t)kc_r,(kc_size_t)kc_s)) == 0) {
		if (kc_out_of_storage_handler) {
			(*kc_out_of_storage_handler)();
		} else {
			(void)fflush(stdout);
			(void)fprintf(stderr,"out of memory in erealloc\n");
			exit( 1 ); /*NOTREACHED*/
	}	}
	return kc_p;
}

void kc_bzero
#ifdef KC_USE_PROTOTYPES
(register char *kc_p, register int kc_s)
#else
(kc_p,kc_s) register char *kc_p; register int kc_s;
#endif
{	while (kc_s--) {
		*kc_p++ = '\0';
	}
}

static void kc_copy_attributes_uniqID
#ifdef KC_USE_PROTOTYPES
(uniqID kc_p1, uniqID kc_p2)
#else
(kc_p1, kc_p2) uniqID kc_p1, kc_p2;
#endif
{
	kc_p2->type = kc_p1->type;
	kc_p2->line = kc_p1->line;
	kc_p2->file = kc_p1->file;
	kc_p2->scopeinfo = kc_p1->scopeinfo;
}
static void kc_copy_attributes_ID
#ifdef KC_USE_PROTOTYPES
(ID kc_p1, ID kc_p2)
#else
(kc_p1, kc_p2) ID kc_p1, kc_p2;
#endif
{
	kc_p2->type = kc_p1->type;
	kc_p2->line = kc_p1->line;
	kc_p2->file = kc_p1->file;
}
static void kc_copy_attributes_INT
#ifdef KC_USE_PROTOTYPES
(INT kc_p1, INT kc_p2)
#else
(kc_p1, kc_p2) INT kc_p1, kc_p2;
#endif
{
	kc_p2->line = kc_p1->line;
	kc_p2->file = kc_p1->file;
}
static void kc_copy_attributes_STRING
#ifdef KC_USE_PROTOTYPES
(STRING kc_p1, STRING kc_p2)
#else
(kc_p1, kc_p2) STRING kc_p1, kc_p2;
#endif
{
	kc_p2->line = kc_p1->line;
	kc_p2->file = kc_p1->file;
}
static void kc_copy_attributes_phylumdeclaration
#ifdef KC_USE_PROTOTYPES
(phylumdeclaration kc_p1, phylumdeclaration kc_p2)
#else
(kc_p1, kc_p2) phylumdeclaration kc_p1, kc_p2;
#endif
{
	kc_p2->marked = kc_p1->marked;
}
static void kc_copy_attributes_storageclasses
#ifdef KC_USE_PROTOTYPES
(storageclasses kc_p1, storageclasses kc_p2)
#else
(kc_p1, kc_p2) storageclasses kc_p1, kc_p2;
#endif
{
	kc_p2->phyla = kc_p1->phyla;
}
static void kc_copy_attributes_alternative
#ifdef KC_USE_PROTOTYPES
(alternative kc_p1, alternative kc_p2)
#else
(kc_p1, kc_p2) alternative kc_p1, kc_p2;
#endif
{
	kc_p2->rewriteinfo = kc_p1->rewriteinfo;
	kc_p2->unparseinfo = kc_p1->unparseinfo;
	kc_p2->bigatoms = kc_p1->bigatoms;
}
static void kc_copy_attributes_arguments
#ifdef KC_USE_PROTOTYPES
(arguments kc_p1, arguments kc_p2)
#else
(kc_p1, kc_p2) arguments kc_p1, kc_p2;
#endif
{
	kc_p2->seqnr = kc_p1->seqnr;
}
static void kc_copy_attributes_Cexpression
#ifdef KC_USE_PROTOTYPES
(Cexpression kc_p1, Cexpression kc_p2)
#else
(kc_p1, kc_p2) Cexpression kc_p1, kc_p2;
#endif
{
	kc_p2->line = kc_p1->line;
	kc_p2->file = kc_p1->file;
}
static void kc_copy_attributes_idCexpression
#ifdef KC_USE_PROTOTYPES
(idCexpression kc_p1, idCexpression kc_p2)
#else
(kc_p1, kc_p2) idCexpression kc_p1, kc_p2;
#endif
{
	kc_p2->id = kc_p1->id;
}
static void kc_copy_attributes_includefile
#ifdef KC_USE_PROTOTYPES
(includefile kc_p1, includefile kc_p2)
#else
(kc_p1, kc_p2) includefile kc_p1, kc_p2;
#endif
{
	kc_p2->inc_type = kc_p1->inc_type;
	kc_p2->INC2 = kc_p1->INC2;
	kc_p2->newinclude = kc_p1->newinclude;
}
static void kc_copy_attributes_includedeclaration
#ifdef KC_USE_PROTOTYPES
(includedeclaration kc_p1, includedeclaration kc_p2)
#else
(kc_p1, kc_p2) includedeclaration kc_p1, kc_p2;
#endif
{
	kc_p2->line = kc_p1->line;
	kc_p2->file = kc_p1->file;
}
static void kc_copy_attributes_patternchains
#ifdef KC_USE_PROTOTYPES
(patternchains kc_p1, patternchains kc_p2)
#else
(kc_p1, kc_p2) patternchains kc_p1, kc_p2;
#endif
{
	kc_p2->line = kc_p1->line;
	kc_p2->file = kc_p1->file;
}
static void kc_copy_attributes_patternchain
#ifdef KC_USE_PROTOTYPES
(patternchain kc_p1, patternchain kc_p2)
#else
(kc_p1, kc_p2) patternchain kc_p1, kc_p2;
#endif
{
	kc_p2->line = kc_p1->line;
	kc_p2->file = kc_p1->file;
}
static void kc_copy_attributes_patternchainitem
#ifdef KC_USE_PROTOTYPES
(patternchainitem kc_p1, patternchainitem kc_p2)
#else
(kc_p1, kc_p2) patternchainitem kc_p1, kc_p2;
#endif
{
	kc_p2->line = kc_p1->line;
	kc_p2->file = kc_p1->file;
	kc_p2->type = kc_p1->type;
}
static void kc_copy_attributes_outmostpattern
#ifdef KC_USE_PROTOTYPES
(outmostpattern kc_p1, outmostpattern kc_p2)
#else
(kc_p1, kc_p2) outmostpattern kc_p1, kc_p2;
#endif
{
	kc_p2->type = kc_p1->type;
}
static void kc_copy_attributes_fnfile
#ifdef KC_USE_PROTOTYPES
(fnfile kc_p1, fnfile kc_p2)
#else
(kc_p1, kc_p2) fnfile kc_p1, kc_p2;
#endif
{
	kc_p2->fns = kc_p1->fns;
}
static void kc_copy_attributes_fndeclaration
#ifdef KC_USE_PROTOTYPES
(fndeclaration kc_p1, fndeclaration kc_p2)
#else
(kc_p1, kc_p2) fndeclaration kc_p1, kc_p2;
#endif
{
	kc_p2->sorted = kc_p1->sorted;
	kc_p2->newsorted = kc_p1->newsorted;
	kc_p2->last_line = kc_p1->last_line;
	kc_p2->file = kc_p1->file;
}
static void kc_copy_attributes_Ctext
#ifdef KC_USE_PROTOTYPES
(Ctext kc_p1, Ctext kc_p2)
#else
(kc_p1, kc_p2) Ctext kc_p1, kc_p2;
#endif
{
	kc_p2->line = kc_p1->line;
	kc_p2->file = kc_p1->file;
}
static void kc_copy_attributes_Ctext_elem
#ifdef KC_USE_PROTOTYPES
(Ctext_elem kc_p1, Ctext_elem kc_p2)
#else
(kc_p1, kc_p2) Ctext_elem kc_p1, kc_p2;
#endif
{
	kc_p2->line = kc_p1->line;
	kc_p2->file = kc_p1->file;
}
static void kc_copy_attributes_foreach_after
#ifdef KC_USE_PROTOTYPES
(foreach_after kc_p1, foreach_after kc_p2)
#else
(kc_p1, kc_p2) foreach_after kc_p1, kc_p2;
#endif
{
	kc_p2->line = kc_p1->line;
	kc_p2->file = kc_p1->file;
}
static void kc_copy_attributes_withexpressions
#ifdef KC_USE_PROTOTYPES
(withexpressions kc_p1, withexpressions kc_p2)
#else
(kc_p1, kc_p2) withexpressions kc_p1, kc_p2;
#endif
{
	kc_p2->type = kc_p1->type;
	kc_p2->line = kc_p1->line;
	kc_p2->file = kc_p1->file;
}
static void kc_copy_attributes_withexpression
#ifdef KC_USE_PROTOTYPES
(withexpression kc_p1, withexpression kc_p2)
#else
(kc_p1, kc_p2) withexpression kc_p1, kc_p2;
#endif
{
	kc_p2->type = kc_p1->type;
	kc_p2->line = kc_p1->line;
	kc_p2->file = kc_p1->file;
}
static void kc_copy_attributes_withcases
#ifdef KC_USE_PROTOTYPES
(withcases kc_p1, withcases kc_p2)
#else
(kc_p1, kc_p2) withcases kc_p1, kc_p2;
#endif
{
	kc_p2->wcinfo = kc_p1->wcinfo;
}
static void kc_copy_attributes_withcase
#ifdef KC_USE_PROTOTYPES
(withcase kc_p1, withcase kc_p2)
#else
(kc_p1, kc_p2) withcase kc_p1, kc_p2;
#endif
{
	kc_p2->wcinfo = kc_p1->wcinfo;
}
static void kc_copy_attributes_unparsedeclaration
#ifdef KC_USE_PROTOTYPES
(unparsedeclaration kc_p1, unparsedeclaration kc_p2)
#else
(kc_p1, kc_p2) unparsedeclaration kc_p1, kc_p2;
#endif
{
	kc_p2->patternreps = kc_p1->patternreps;
}
static void kc_copy_attributes_elem_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(elem_patternrepresentation kc_p1, elem_patternrepresentation kc_p2)
#else
(kc_p1, kc_p2) elem_patternrepresentation kc_p1, kc_p2;
#endif
{
	kc_p2->type = kc_p1->type;
}
static void kc_copy_attributes_path
#ifdef KC_USE_PROTOTYPES
(path kc_p1, path kc_p2)
#else
(kc_p1, kc_p2) path kc_p1, kc_p2;
#endif
{
	kc_p2->op = kc_p1->op;
	kc_p2->id = kc_p1->id;
}
static void kc_copy_attributes_addedphylumdeclaration
#ifdef KC_USE_PROTOTYPES
(addedphylumdeclaration kc_p1, addedphylumdeclaration kc_p2)
#else
(kc_p1, kc_p2) addedphylumdeclaration kc_p1, kc_p2;
#endif
{
	kc_p2->added = kc_p1->added;
}
static void kc_copy_attributes_countedphylumdeclaration
#ifdef KC_USE_PROTOTYPES
(countedphylumdeclaration kc_p1, countedphylumdeclaration kc_p2)
#else
(kc_p1, kc_p2) countedphylumdeclaration kc_p1, kc_p2;
#endif
{
	kc_p2->count = kc_p1->count;
}
static void kc_copy_attributes_bindingidmark
#ifdef KC_USE_PROTOTYPES
(bindingidmark kc_p1, bindingidmark kc_p2)
#else
(kc_p1, kc_p2) bindingidmark kc_p1, kc_p2;
#endif
{
	kc_p2->marked = kc_p1->marked;
}
KC_PHYLUM_INFO kc_PhylumInfo[] = {
	{ "", 0, kc_one_before_first_operator, kc_one_before_first_operator, (kc_storageclass_t)0, 0 }, /* dummy element */
	{ "nocasestring", sizeof(struct kc_tag_nocasestring), sel_NoCaseStr, sel_NoCaseStr, uniq, 0 },
	{ "casestring", sizeof(struct kc_tag_casestring), sel__Str, sel__Str, uniq, 0 },
	{ "float", sizeof(float), sel__Real, sel__Real, uniq, 0 },
	{ "int", sizeof(int), sel__Int, sel__Int, uniq, 0 },
	{ "voidptr", sizeof(voidptr), sel__VoidPtr, sel__VoidPtr, uniq, 0 },
	{ "uniqID", sizeof(struct kc_tag_uniqID), sel_Str, sel_Str, uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_uniqID },
	{ "ID", sizeof(struct kc_tag_ID), sel_Id, sel_Id, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_ID },
	{ "INT", sizeof(struct kc_tag_INT), sel_Int, sel_Int, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_INT },
	{ "STRING", sizeof(struct kc_tag_STRING), sel_String, sel_String, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_STRING },
	{ "phylumdeclarationsroot", sizeof(struct kc_tag_phylumdeclarationsroot), sel_PhylumDeclarations, sel_PhylumDeclarations, kc_not_uniq, 0 },
	{ "phylumdeclarations", sizeof(struct kc_tag_phylumdeclarations), sel_Nilphylumdeclarations, sel_Consphylumdeclarations, kc_not_uniq, 0 },
	{ "phylumnames", sizeof(struct kc_tag_phylumnames), sel_Nilphylumnames, sel_Consphylumnames, kc_not_uniq, 0 },
	{ "phylumdeclaration", sizeof(struct kc_tag_phylumdeclaration), sel_PhylumDeclaration, sel_PhylumDeclaration, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_phylumdeclaration },
	{ "storageoption", sizeof(struct kc_tag_storageoption), sel_NoStorageOption, sel_PositiveStorageOption, kc_not_uniq, 0 },
	{ "storageclasses", sizeof(struct kc_tag_storageclasses), sel_Nilstorageclasses, sel_Consstorageclasses, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_storageclasses },
	{ "productionblock", sizeof(struct kc_tag_productionblock), sel_Emptyproductionblock, sel_PredefinedAlternatives, kc_not_uniq, 0 },
	{ "alternatives", sizeof(struct kc_tag_alternatives), sel_Nilalternatives, sel_Consalternatives, kc_not_uniq, 0 },
	{ "alternative", sizeof(struct kc_tag_alternative), sel_Alternative, sel_Alternative, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_alternative },
	{ "arguments", sizeof(struct kc_tag_arguments), sel_Nilarguments, sel_Consarguments, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_arguments },
	{ "argument", sizeof(struct kc_tag_argument), sel_Argument, sel_Argument, kc_not_uniq, 0 },
	{ "Ccode_option", sizeof(struct kc_tag_Ccode_option), sel_CcodeOption, sel_CcodeOption, kc_not_uniq, 0 },
	{ "attributes", sizeof(struct kc_tag_attributes), sel_Nilattributes, sel_Consattributes, kc_not_uniq, 0 },
	{ "attribute", sizeof(struct kc_tag_attribute), sel_Attribute, sel_Attribute, kc_not_uniq, 0 },
	{ "attribute_initialisation_option", sizeof(struct kc_tag_attribute_initialisation_option), sel_Noattribute_initialisation, sel_Yesattribute_initialisation, kc_not_uniq, 0 },
	{ "Cexpression", sizeof(struct kc_tag_Cexpression), sel_NilCexpression, sel_ConsCexpression, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_Cexpression },
	{ "Cexpression_elem", sizeof(struct kc_tag_Cexpression_elem), sel_CExpressionPart, sel_CExpressionArray, kc_not_uniq, 0 },
	{ "CexpressionDQ", sizeof(struct kc_tag_CexpressionDQ), sel_NilCexpressionDQ, sel_ConsCexpressionDQ, kc_not_uniq, 0 },
	{ "CexpressionDQ_elem", sizeof(struct kc_tag_CexpressionDQ_elem), sel_CExpressionDQPart, sel_CExpressionDQNl, kc_not_uniq, 0 },
	{ "CexpressionSQ", sizeof(struct kc_tag_CexpressionSQ), sel_NilCexpressionSQ, sel_ConsCexpressionSQ, kc_not_uniq, 0 },
	{ "CexpressionSQ_elem", sizeof(struct kc_tag_CexpressionSQ_elem), sel_CExpressionSQPart, sel_CExpressionSQNl, kc_not_uniq, 0 },
	{ "idCexpressions", sizeof(struct kc_tag_idCexpressions), sel_NilidCexpressions, sel_ConsidCexpressions, kc_not_uniq, 0 },
	{ "idCexpression", sizeof(struct kc_tag_idCexpression), sel_IdCexpression, sel_IdCexpression, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_idCexpression },
	{ "Ctexts", sizeof(struct kc_tag_Ctexts), sel_NilCtexts, sel_ConsCtexts, kc_not_uniq, 0 },
	{ "includefiles", sizeof(struct kc_tag_includefiles), sel_Nilincludefiles, sel_Consincludefiles, kc_not_uniq, 0 },
	{ "includefile", sizeof(struct kc_tag_includefile), sel_IncludeFile, sel_IncludeFile, uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_includefile },
	{ "includedeclarations", sizeof(struct kc_tag_includedeclarations), sel_Nilincludedeclarations, sel_Consincludedeclarations, kc_not_uniq, 0 },
	{ "includedeclaration", sizeof(struct kc_tag_includedeclaration), sel_IncludeDeclaration, sel_IncludeDeclaration, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_includedeclaration },
	{ "includes", sizeof(struct kc_tag_includes), sel_Nilincludes, sel_Consincludes, kc_not_uniq, 0 },
	{ "include", sizeof(struct kc_tag_include), sel_Include, sel_IncludeNl, kc_not_uniq, 0 },
	{ "rwdeclarations", sizeof(struct kc_tag_rwdeclarations), sel_Nilrwdeclarations, sel_Consrwdeclarations, kc_not_uniq, 0 },
	{ "rwdeclaration", sizeof(struct kc_tag_rwdeclaration), sel_RwDeclaration, sel_RwDeclaration, kc_not_uniq, 0 },
	{ "rewriteclauses", sizeof(struct kc_tag_rewriteclauses), sel_Nilrewriteclauses, sel_Consrewriteclauses, kc_not_uniq, 0 },
	{ "rewriteclause", sizeof(struct kc_tag_rewriteclause), sel_RewriteClause, sel_RewriteClause, kc_not_uniq, 0 },
	{ "patternchains", sizeof(struct kc_tag_patternchains), sel_Nilpatternchains, sel_Conspatternchains, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_patternchains },
	{ "patternchain", sizeof(struct kc_tag_patternchain), sel_Nilpatternchain, sel_Conspatternchain, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_patternchain },
	{ "outmostpatterns", sizeof(struct kc_tag_outmostpatterns), sel_Niloutmostpatterns, sel_Consoutmostpatterns, kc_not_uniq, 0 },
	{ "patternchainitem", sizeof(struct kc_tag_patternchainitem), sel_PatternchainitemOutmost, sel_PatternchainitemDollarid, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_patternchainitem },
	{ "outmostpattern", sizeof(struct kc_tag_outmostpattern), sel_OPOperatorWildcard, sel_OPDefault, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_outmostpattern },
	{ "pattern", sizeof(struct kc_tag_pattern), sel_PVariable, sel_PIntLiteral, kc_not_uniq, 0 },
	{ "patterns", sizeof(struct kc_tag_patterns), sel_Nilpatterns, sel_Conspatterns, kc_not_uniq, 0 },
	{ "term", sizeof(struct kc_tag_term), sel_TVariable, sel_TIntLiteral, kc_not_uniq, 0 },
	{ "terms", sizeof(struct kc_tag_terms), sel_Nilterms, sel_Consterms, kc_not_uniq, 0 },
	{ "fnfiles", sizeof(struct kc_tag_fnfiles), sel_Nilfnfiles, sel_Consfnfiles, kc_not_uniq, 0 },
	{ "fnfile", sizeof(struct kc_tag_fnfile), sel_FnFile, sel_FnFile, uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_fnfile },
	{ "fndeclarations", sizeof(struct kc_tag_fndeclarations), sel_Nilfndeclarations, sel_Consfndeclarations, kc_not_uniq, 0 },
	{ "fndeclaration", sizeof(struct kc_tag_fndeclaration), sel_FnDeclaration, sel_FnAcDeclaration, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_fndeclaration },
	{ "fnclass", sizeof(struct kc_tag_fnclass), sel_GlobalFn, sel_LocalFn, kc_not_uniq, 0 },
	{ "fnarguments", sizeof(struct kc_tag_fnarguments), sel_Nilfnarguments, sel_Consfnarguments, kc_not_uniq, 0 },
	{ "Cvariabledeclarations", sizeof(struct kc_tag_Cvariabledeclarations), sel_NilCvariabledeclarations, sel_ConsCvariabledeclarations, kc_not_uniq, 0 },
	{ "Cvariabledeclaration", sizeof(struct kc_tag_Cvariabledeclaration), sel_CVariabledeclaration, sel_Fnargfpdecl, kc_not_uniq, 0 },
	{ "Cvariables", sizeof(struct kc_tag_Cvariables), sel_NilCvariables, sel_ConsCvariables, kc_not_uniq, 0 },
	{ "Cvariable", sizeof(struct kc_tag_Cvariable), sel_CVPointer, sel_CVFunction, kc_not_uniq, 0 },
	{ "Ctext", sizeof(struct kc_tag_Ctext), sel_NilCtext, sel_ConsCtext, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_Ctext },
	{ "Ctext_elem", sizeof(struct kc_tag_Ctext_elem), sel_CTextLine, sel_CTextWithexpression, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_Ctext_elem },
	{ "foreach_after", sizeof(struct kc_tag_foreach_after), sel_NoForeachAfter, sel_ForeachAfter, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_foreach_after },
	{ "contextinfo", sizeof(struct kc_tag_contextinfo), sel_InForeachContext, sel_NotInForeachContext, kc_not_uniq, 0 },
	{ "withexpressions", sizeof(struct kc_tag_withexpressions), sel_Nilwithexpressions, sel_Conswithexpressions, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_withexpressions },
	{ "withexpression", sizeof(struct kc_tag_withexpression), sel_WEVariable, sel_WECexpression, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_withexpression },
	{ "withcases", sizeof(struct kc_tag_withcases), sel_Nilwithcases, sel_Conswithcases, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_withcases },
	{ "withcase", sizeof(struct kc_tag_withcase), sel_Withcase, sel_Withcase, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_withcase },
	{ "unparsedeclarations", sizeof(struct kc_tag_unparsedeclarations), sel_Nilunparsedeclarations, sel_Consunparsedeclarations, kc_not_uniq, 0 },
	{ "unparsedeclaration", sizeof(struct kc_tag_unparsedeclaration), sel_UnparseDeclaration, sel_UnparseDeclaration, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_unparsedeclaration },
	{ "unparseclauses", sizeof(struct kc_tag_unparseclauses), sel_Nilunparseclauses, sel_Consunparseclauses, kc_not_uniq, 0 },
	{ "unparseclause", sizeof(struct kc_tag_unparseclause), sel_UnparseClause, sel_UnparseClause, kc_not_uniq, 0 },
	{ "viewnames", sizeof(struct kc_tag_viewnames), sel_Nilviewnames, sel_Consviewnames, kc_not_uniq, 0 },
	{ "unparseitems", sizeof(struct kc_tag_unparseitems), sel_Nilunparseitems, sel_Consunparseitems, kc_not_uniq, 0 },
	{ "unparseitem", sizeof(struct kc_tag_unparseitem), sel_UnpStr, sel_UnpBody, kc_not_uniq, 0 },
	{ "unpsubterm", sizeof(struct kc_tag_unpsubterm), sel_UnpSubTerm, sel_UnpCastedVariable, kc_not_uniq, 0 },
	{ "unpattributes", sizeof(struct kc_tag_unpattributes), sel_Nilunpattributes, sel_Consunpattributes, kc_not_uniq, 0 },
	{ "viewnameoption", sizeof(struct kc_tag_viewnameoption), sel_NoViewname, sel_YesViewname, kc_not_uniq, 0 },
	{ "filelinestack", sizeof(struct kc_tag_filelinestack), sel_Nilfilelinestack, sel_Consfilelinestack, kc_not_uniq, 0 },
	{ "fileline", sizeof(struct kc_tag_fileline), sel_FileLine, sel_PosNoFileLine, kc_not_uniq, 0 },
	{ "nooperatorsstack", sizeof(struct kc_tag_nooperatorsstack), sel_Nilnooperatorsstack, sel_Consnooperatorsstack, kc_not_uniq, 0 },
	{ "scopetypefilelinestack", sizeof(struct kc_tag_scopetypefilelinestack), sel_Nilscopetypefilelinestack, sel_Consscopetypefilelinestack, kc_not_uniq, 0 },
	{ "scopetypefileline", sizeof(struct kc_tag_scopetypefileline), sel_ScopeTypeFileLine, sel_ScopeTypeFileLine, kc_not_uniq, 0 },
	{ "IDtype", sizeof(struct kc_tag_IDtype), sel_ITUnknown, sel_ITPatternVariable, kc_not_uniq, 0 },
	{ "operatorsstack", sizeof(struct kc_tag_operatorsstack), sel_Niloperatorsstack, sel_Consoperatorsstack, kc_not_uniq, 0 },
	{ "operators", sizeof(struct kc_tag_operators), sel_Niloperators, sel_Consoperators, kc_not_uniq, 0 },
	{ "phyla", sizeof(struct kc_tag_phyla), sel_Nilphyla, sel_Consphyla, kc_not_uniq, 0 },
	{ "variables", sizeof(struct kc_tag_variables), sel_Nilvariables, sel_Consvariables, kc_not_uniq, 0 },
	{ "argumentsstack", sizeof(struct kc_tag_argumentsstack), sel_Nilargumentsstack, sel_Consargumentsstack, kc_not_uniq, 0 },
	{ "phylumstack", sizeof(struct kc_tag_phylumstack), sel_Nilphylumstack, sel_Consphylumstack, kc_not_uniq, 0 },
	{ "phylumnamesstack", sizeof(struct kc_tag_phylumnamesstack), sel_Nilphylumnamesstack, sel_Consphylumnamesstack, kc_not_uniq, 0 },
	{ "withexpressionsstack", sizeof(struct kc_tag_withexpressionsstack), sel_Nilwithexpressionsstack, sel_Conswithexpressionsstack, kc_not_uniq, 0 },
	{ "operatorstack", sizeof(struct kc_tag_operatorstack), sel_Niloperatorstack, sel_Consoperatorstack, kc_not_uniq, 0 },
	{ "variablesstack", sizeof(struct kc_tag_variablesstack), sel_Nilvariablesstack, sel_Consvariablesstack, kc_not_uniq, 0 },
	{ "selvarstack", sizeof(struct kc_tag_selvarstack), sel_Nilselvarstack, sel_Consselvarstack, kc_not_uniq, 0 },
	{ "dollarvarstatus", sizeof(struct kc_tag_dollarvarstatus), sel_DVAllowed, sel_DVDisallowed, kc_not_uniq, 0 },
	{ "dollarvarsallowedstack", sizeof(struct kc_tag_dollarvarsallowedstack), sel_Nildollarvarsallowedstack, sel_Consdollarvarsallowedstack, kc_not_uniq, 0 },
	{ "intstack", sizeof(struct kc_tag_intstack), sel_Nilintstack, sel_Consintstack, kc_not_uniq, 0 },
	{ "idCexpressionsstack", sizeof(struct kc_tag_idCexpressionsstack), sel_NilidCexpressionsstack, sel_ConsidCexpressionsstack, kc_not_uniq, 0 },
	{ "two_phyla", sizeof(struct kc_tag_two_phyla), sel_TwoStorageoption, sel_TwoPath, kc_not_uniq, 0 },
	{ "tribool", sizeof(struct kc_tag_tribool), sel_Equal, sel_Bigger, kc_not_uniq, 0 },
	{ "patternrepresentations", sizeof(struct kc_tag_patternrepresentations), sel_Nilpatternrepresentations, sel_Conspatternrepresentations, kc_not_uniq, 0 },
	{ "patternrepresentation", sizeof(struct kc_tag_patternrepresentation), sel_Nilpatternrepresentation, sel_Conspatternrepresentation, kc_not_uniq, 0 },
	{ "elem_patternrepresentation", sizeof(struct kc_tag_elem_patternrepresentation), sel_PRBinding, sel_PRIntLiteral, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_elem_patternrepresentation },
	{ "path", sizeof(struct kc_tag_path), sel_Nilpath, sel_Conspath, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_path },
	{ "paths", sizeof(struct kc_tag_paths), sel_Nilpaths, sel_Conspaths, kc_not_uniq, 0 },
	{ "argsnumbers", sizeof(struct kc_tag_argsnumbers), sel_Nilargsnumbers, sel_Consargsnumbers, kc_not_uniq, 0 },
	{ "rewriterulesinfo", sizeof(struct kc_tag_rewriterulesinfo), sel_Nilrewriterulesinfo, sel_Consrewriterulesinfo, kc_not_uniq, 0 },
	{ "rewriteruleinfo", sizeof(struct kc_tag_rewriteruleinfo), sel_Rewriteruleinfo, sel_Rewriteruleinfo, kc_not_uniq, 0 },
	{ "withcasesinfo", sizeof(struct kc_tag_withcasesinfo), sel_Nilwithcasesinfo, sel_Conswithcasesinfo, kc_not_uniq, 0 },
	{ "withcaseinfo", sizeof(struct kc_tag_withcaseinfo), sel_Withcaseinfo, sel_Withcaseinfo, kc_not_uniq, 0 },
	{ "rewriteviewsinfo", sizeof(struct kc_tag_rewriteviewsinfo), sel_Nilrewriteviewsinfo, sel_Consrewriteviewsinfo, kc_not_uniq, 0 },
	{ "rewriteviewinfo", sizeof(struct kc_tag_rewriteviewinfo), sel_Rewriteviewinfo, sel_Rewriteviewinfo, kc_not_uniq, 0 },
	{ "unparseviewsinfo", sizeof(struct kc_tag_unparseviewsinfo), sel_Nilunparseviewsinfo, sel_Consunparseviewsinfo, kc_not_uniq, 0 },
	{ "unparseviewinfo", sizeof(struct kc_tag_unparseviewinfo), sel_Unparseviewinfo, sel_Unparseviewinfo, kc_not_uniq, 0 },
	{ "unparsedeclsinfo", sizeof(struct kc_tag_unparsedeclsinfo), sel_Nilunparsedeclsinfo, sel_Consunparsedeclsinfo, kc_not_uniq, 0 },
	{ "unparsedeclinfo", sizeof(struct kc_tag_unparsedeclinfo), sel_Unparsedeclinfo, sel_Unparsedeclinfo, kc_not_uniq, 0 },
	{ "ac_declaration", sizeof(struct kc_tag_ac_declaration), sel_AcDeclaration, sel_AcDeclaration, kc_not_uniq, 0 },
	{ "ac_declaration_list", sizeof(struct kc_tag_ac_declaration_list), sel_Nilac_declaration_list, sel_Consac_declaration_list, kc_not_uniq, 0 },
	{ "ac_declaration_specifiers", sizeof(struct kc_tag_ac_declaration_specifiers), sel_Nilac_declaration_specifiers, sel_Consac_declaration_specifiers, kc_not_uniq, 0 },
	{ "ac_declaration_specifier", sizeof(struct kc_tag_ac_declaration_specifier), sel_AcDeclSpecStorageSpec, sel_AcDeclSpecTypeQual, kc_not_uniq, 0 },
	{ "ac_storage_class_specifier", sizeof(struct kc_tag_ac_storage_class_specifier), sel_AcAuto, sel_AcTypedef, kc_not_uniq, 0 },
	{ "ac_type_specifier", sizeof(struct kc_tag_ac_type_specifier), sel_AcTypeSpec, sel_AcTypeSpec, kc_not_uniq, 0 },
	{ "ac_type_qualifier", sizeof(struct kc_tag_ac_type_qualifier), sel_AcConst, sel_AcVolatile, kc_not_uniq, 0 },
	{ "ac_init_declarator_list", sizeof(struct kc_tag_ac_init_declarator_list), sel_Nilac_init_declarator_list, sel_Consac_init_declarator_list, kc_not_uniq, 0 },
	{ "ac_init_declarator", sizeof(struct kc_tag_ac_init_declarator), sel_AcInitDecl, sel_AcInitDecl, kc_not_uniq, 0 },
	{ "ac_declarator", sizeof(struct kc_tag_ac_declarator), sel_AcDeclarator, sel_AcDeclarator, kc_not_uniq, 0 },
	{ "ac_direct_declarator", sizeof(struct kc_tag_ac_direct_declarator), sel_AcDirectDeclId, sel_AcDirectDeclKandR, kc_not_uniq, 0 },
	{ "ac_pointer_option", sizeof(struct kc_tag_ac_pointer_option), sel_Nopointer, sel_Yespointer, kc_not_uniq, 0 },
	{ "ac_pointer", sizeof(struct kc_tag_ac_pointer), sel_AcPointerNil, sel_AcPointerCons, kc_not_uniq, 0 },
	{ "ac_type_qualifier_list", sizeof(struct kc_tag_ac_type_qualifier_list), sel_Nilac_type_qualifier_list, sel_Consac_type_qualifier_list, kc_not_uniq, 0 },
	{ "ac_parameter_type_list", sizeof(struct kc_tag_ac_parameter_type_list), sel_AcParList, sel_AcParList3Dot, kc_not_uniq, 0 },
	{ "ac_parameter_list", sizeof(struct kc_tag_ac_parameter_list), sel_Nilac_parameter_list, sel_Consac_parameter_list, kc_not_uniq, 0 },
	{ "ac_parameter_declaration", sizeof(struct kc_tag_ac_parameter_declaration), sel_AcParDeclDecl, sel_AcParDeclAbsdecl, kc_not_uniq, 0 },
	{ "ac_identifier_list", sizeof(struct kc_tag_ac_identifier_list), sel_Nilac_identifier_list, sel_Consac_identifier_list, kc_not_uniq, 0 },
	{ "ac_abstract_declarator", sizeof(struct kc_tag_ac_abstract_declarator), sel_AcAbsdeclPointer, sel_AcAbsdeclDirdecl, kc_not_uniq, 0 },
	{ "ac_direct_abstract_declarator_option", sizeof(struct kc_tag_ac_direct_abstract_declarator_option), sel_Noac_direct_abstract_declarator, sel_Yesac_direct_abstract_declarator, kc_not_uniq, 0 },
	{ "ac_direct_abstract_declarator", sizeof(struct kc_tag_ac_direct_abstract_declarator), sel_AcDirAbsdeclPack, sel_AcDirAbsdeclFn, kc_not_uniq, 0 },
	{ "ac_constant_expression_option", sizeof(struct kc_tag_ac_constant_expression_option), sel_Yesac_constant_expression, sel_Yesac_constant_expression, kc_not_uniq, 0 },
	{ "ac_constant_expression", sizeof(struct kc_tag_ac_constant_expression), sel_AcConstExpr, sel_AcConstExpr, kc_not_uniq, 0 },
	{ "error", sizeof(struct kc_tag_error), sel_Fatal, sel_Warning, kc_not_uniq, 0 },
	{ "problem", sizeof(struct kc_tag_problem), sel_Problem1, sel_Problem6, kc_not_uniq, 0 },
	{ "addedphylumdeclarations", sizeof(struct kc_tag_addedphylumdeclarations), sel_Niladdedphylumdeclarations, sel_Consaddedphylumdeclarations, kc_not_uniq, 0 },
	{ "addedphylumdeclaration", sizeof(struct kc_tag_addedphylumdeclaration), sel_AddedPhylumdeclaration, sel_AddedPhylumdeclaration, kc_not_uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_addedphylumdeclaration },
	{ "countedphylumdeclarations", sizeof(struct kc_tag_countedphylumdeclarations), sel_Nilcountedphylumdeclarations, sel_Conscountedphylumdeclarations, kc_not_uniq, 0 },
	{ "countedphylumdeclaration", sizeof(struct kc_tag_countedphylumdeclaration), sel_CountedPhylumdeclaration, sel_CountedPhylumdeclaration, uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_countedphylumdeclaration },
	{ "bindingidmarks", sizeof(struct kc_tag_bindingidmarks), sel_Nilbindingidmarks, sel_Consbindingidmarks, uniq, 0 },
	{ "bindingidmark", sizeof(struct kc_tag_bindingidmark), sel_BindingIdMark, sel_BindingIdMark, uniq, KC__C((void(*)(kc_voidptr_t, kc_voidptr_t)))kc_copy_attributes_bindingidmark },
	{ "", 0, kc_one_before_first_operator, kc_one_before_first_operator, (kc_storageclass_t)0, 0 } /* last element */
};

static uniqID kc_opfn_Str
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1)
#else
(kc_prod_sel, casestring_1)kc_enum_operators kc_prod_sel;  casestring casestring_1; 
#endif
{ return Str(casestring_1); }
static ID kc_opfn_Id
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, uniqID uniqID_1)
#else
(kc_prod_sel, uniqID_1)kc_enum_operators kc_prod_sel;  uniqID uniqID_1; 
#endif
{ return Id(uniqID_1); }
static INT kc_opfn_Int
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, int int_1)
#else
(kc_prod_sel, int_1)kc_enum_operators kc_prod_sel;  int int_1; 
#endif
{ return Int(int_1); }
static STRING kc_opfn_String
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1)
#else
(kc_prod_sel, casestring_1)kc_enum_operators kc_prod_sel;  casestring casestring_1; 
#endif
{ return String(casestring_1); }
static phylumdeclarationsroot kc_opfn_PhylumDeclarations
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, phylumdeclarations phylumdeclarations_1)
#else
(kc_prod_sel, phylumdeclarations_1)kc_enum_operators kc_prod_sel;  phylumdeclarations phylumdeclarations_1; 
#endif
{ return PhylumDeclarations(phylumdeclarations_1); }
static phylumdeclarations kc_opfn_Nilphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilphylumdeclarations(); }
static phylumdeclarations kc_opfn_Consphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, phylumdeclaration phylumdeclaration_1, phylumdeclarations phylumdeclarations_1)
#else
(kc_prod_sel, phylumdeclaration_1, phylumdeclarations_1)kc_enum_operators kc_prod_sel;  phylumdeclaration phylumdeclaration_1;  phylumdeclarations phylumdeclarations_1; 
#endif
{ return Consphylumdeclarations(phylumdeclaration_1, phylumdeclarations_1); }
static phylumnames kc_opfn_Nilphylumnames
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilphylumnames(); }
static phylumnames kc_opfn_Consphylumnames
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, phylumnames phylumnames_1)
#else
(kc_prod_sel, ID_1, phylumnames_1)kc_enum_operators kc_prod_sel;  ID ID_1;  phylumnames phylumnames_1; 
#endif
{ return Consphylumnames(ID_1, phylumnames_1); }
static phylumdeclaration kc_opfn_PhylumDeclaration
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, storageoption storageoption_1, productionblock productionblock_1, Ccode_option Ccode_option_1)
#else
(kc_prod_sel, ID_1, storageoption_1, productionblock_1, Ccode_option_1)kc_enum_operators kc_prod_sel;  ID ID_1;  storageoption storageoption_1;  productionblock productionblock_1;  Ccode_option Ccode_option_1; 
#endif
{ return PhylumDeclaration(ID_1, storageoption_1, productionblock_1, Ccode_option_1); }
static storageoption kc_opfn_NoStorageOption
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return NoStorageOption(); }
static storageoption kc_opfn_NegativeStorageOption
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1)
#else
(kc_prod_sel, ID_1)kc_enum_operators kc_prod_sel;  ID ID_1; 
#endif
{ return NegativeStorageOption(ID_1); }
static storageoption kc_opfn_PositiveStorageOption
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1)
#else
(kc_prod_sel, ID_1)kc_enum_operators kc_prod_sel;  ID ID_1; 
#endif
{ return PositiveStorageOption(ID_1); }
static storageclasses kc_opfn_Nilstorageclasses
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilstorageclasses(); }
static storageclasses kc_opfn_Consstorageclasses
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, storageclasses storageclasses_1)
#else
(kc_prod_sel, ID_1, storageclasses_1)kc_enum_operators kc_prod_sel;  ID ID_1;  storageclasses storageclasses_1; 
#endif
{ return Consstorageclasses(ID_1, storageclasses_1); }
static productionblock kc_opfn_Emptyproductionblock
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Emptyproductionblock(); }
static productionblock kc_opfn_ListAlternatives
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, alternatives alternatives_1, ID ID_1)
#else
(kc_prod_sel, alternatives_1, ID_1)kc_enum_operators kc_prod_sel;  alternatives alternatives_1;  ID ID_1; 
#endif
{ return ListAlternatives(alternatives_1, ID_1); }
static productionblock kc_opfn_NonlistAlternatives
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, alternatives alternatives_1)
#else
(kc_prod_sel, alternatives_1)kc_enum_operators kc_prod_sel;  alternatives alternatives_1; 
#endif
{ return NonlistAlternatives(alternatives_1); }
static productionblock kc_opfn_PredefinedAlternatives
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, alternatives alternatives_1)
#else
(kc_prod_sel, alternatives_1)kc_enum_operators kc_prod_sel;  alternatives alternatives_1; 
#endif
{ return PredefinedAlternatives(alternatives_1); }
static alternatives kc_opfn_Nilalternatives
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilalternatives(); }
static alternatives kc_opfn_Consalternatives
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, alternative alternative_1, alternatives alternatives_1)
#else
(kc_prod_sel, alternative_1, alternatives_1)kc_enum_operators kc_prod_sel;  alternative alternative_1;  alternatives alternatives_1; 
#endif
{ return Consalternatives(alternative_1, alternatives_1); }
static alternative kc_opfn_Alternative
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, arguments arguments_1)
#else
(kc_prod_sel, ID_1, arguments_1)kc_enum_operators kc_prod_sel;  ID ID_1;  arguments arguments_1; 
#endif
{ return Alternative(ID_1, arguments_1); }
static arguments kc_opfn_Nilarguments
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilarguments(); }
static arguments kc_opfn_Consarguments
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, arguments arguments_1)
#else
(kc_prod_sel, ID_1, arguments_1)kc_enum_operators kc_prod_sel;  ID ID_1;  arguments arguments_1; 
#endif
{ return Consarguments(ID_1, arguments_1); }
static argument kc_opfn_Argument
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, int int_1)
#else
(kc_prod_sel, ID_1, int_1)kc_enum_operators kc_prod_sel;  ID ID_1;  int int_1; 
#endif
{ return Argument(ID_1, int_1); }
static Ccode_option kc_opfn_CcodeOption
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, attributes attributes_1, Ctexts Ctexts_1)
#else
(kc_prod_sel, attributes_1, Ctexts_1)kc_enum_operators kc_prod_sel;  attributes attributes_1;  Ctexts Ctexts_1; 
#endif
{ return CcodeOption(attributes_1, Ctexts_1); }
static attributes kc_opfn_Nilattributes
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilattributes(); }
static attributes kc_opfn_Consattributes
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, attribute attribute_1, attributes attributes_1)
#else
(kc_prod_sel, attribute_1, attributes_1)kc_enum_operators kc_prod_sel;  attribute attribute_1;  attributes attributes_1; 
#endif
{ return Consattributes(attribute_1, attributes_1); }
static attribute kc_opfn_Attribute
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, ID ID_2, attribute_initialisation_option attribute_initialisation_option_1)
#else
(kc_prod_sel, ID_1, ID_2, attribute_initialisation_option_1)kc_enum_operators kc_prod_sel;  ID ID_1;  ID ID_2;  attribute_initialisation_option attribute_initialisation_option_1; 
#endif
{ return Attribute(ID_1, ID_2, attribute_initialisation_option_1); }
static attribute_initialisation_option kc_opfn_Noattribute_initialisation
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Noattribute_initialisation(); }
static attribute_initialisation_option kc_opfn_Yesattribute_initialisation
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, Cexpression Cexpression_1)
#else
(kc_prod_sel, Cexpression_1)kc_enum_operators kc_prod_sel;  Cexpression Cexpression_1; 
#endif
{ return Yesattribute_initialisation(Cexpression_1); }
static Cexpression kc_opfn_NilCexpression
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return NilCexpression(); }
static Cexpression kc_opfn_ConsCexpression
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, Cexpression_elem Cexpression_elem_1, Cexpression Cexpression_1)
#else
(kc_prod_sel, Cexpression_elem_1, Cexpression_1)kc_enum_operators kc_prod_sel;  Cexpression_elem Cexpression_elem_1;  Cexpression Cexpression_1; 
#endif
{ return ConsCexpression(Cexpression_elem_1, Cexpression_1); }
static Cexpression_elem kc_opfn_CExpressionPart
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1)
#else
(kc_prod_sel, casestring_1)kc_enum_operators kc_prod_sel;  casestring casestring_1; 
#endif
{ return CExpressionPart(casestring_1); }
static Cexpression_elem kc_opfn_CExpressionDollarvar
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, INT INT_1)
#else
(kc_prod_sel, INT_1)kc_enum_operators kc_prod_sel;  INT INT_1; 
#endif
{ return CExpressionDollarvar(INT_1); }
static Cexpression_elem kc_opfn_CExpressionNl
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, int int_1)
#else
(kc_prod_sel, int_1)kc_enum_operators kc_prod_sel;  int int_1; 
#endif
{ return CExpressionNl(int_1); }
static Cexpression_elem kc_opfn_CExpressionDQ
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, CexpressionDQ CexpressionDQ_1)
#else
(kc_prod_sel, CexpressionDQ_1)kc_enum_operators kc_prod_sel;  CexpressionDQ CexpressionDQ_1; 
#endif
{ return CExpressionDQ(CexpressionDQ_1); }
static Cexpression_elem kc_opfn_CExpressionSQ
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, CexpressionSQ CexpressionSQ_1)
#else
(kc_prod_sel, CexpressionSQ_1)kc_enum_operators kc_prod_sel;  CexpressionSQ CexpressionSQ_1; 
#endif
{ return CExpressionSQ(CexpressionSQ_1); }
static Cexpression_elem kc_opfn_CExpressionPack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, Cexpression Cexpression_1)
#else
(kc_prod_sel, Cexpression_1)kc_enum_operators kc_prod_sel;  Cexpression Cexpression_1; 
#endif
{ return CExpressionPack(Cexpression_1); }
static Cexpression_elem kc_opfn_CExpressionArray
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, Cexpression Cexpression_1)
#else
(kc_prod_sel, Cexpression_1)kc_enum_operators kc_prod_sel;  Cexpression Cexpression_1; 
#endif
{ return CExpressionArray(Cexpression_1); }
static CexpressionDQ kc_opfn_NilCexpressionDQ
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return NilCexpressionDQ(); }
static CexpressionDQ kc_opfn_ConsCexpressionDQ
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, CexpressionDQ_elem CexpressionDQ_elem_1, CexpressionDQ CexpressionDQ_1)
#else
(kc_prod_sel, CexpressionDQ_elem_1, CexpressionDQ_1)kc_enum_operators kc_prod_sel;  CexpressionDQ_elem CexpressionDQ_elem_1;  CexpressionDQ CexpressionDQ_1; 
#endif
{ return ConsCexpressionDQ(CexpressionDQ_elem_1, CexpressionDQ_1); }
static CexpressionDQ_elem kc_opfn_CExpressionDQPart
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1)
#else
(kc_prod_sel, casestring_1)kc_enum_operators kc_prod_sel;  casestring casestring_1; 
#endif
{ return CExpressionDQPart(casestring_1); }
static CexpressionDQ_elem kc_opfn_CExpressionDQNl
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, int int_1)
#else
(kc_prod_sel, int_1)kc_enum_operators kc_prod_sel;  int int_1; 
#endif
{ return CExpressionDQNl(int_1); }
static CexpressionSQ kc_opfn_NilCexpressionSQ
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return NilCexpressionSQ(); }
static CexpressionSQ kc_opfn_ConsCexpressionSQ
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, CexpressionSQ_elem CexpressionSQ_elem_1, CexpressionSQ CexpressionSQ_1)
#else
(kc_prod_sel, CexpressionSQ_elem_1, CexpressionSQ_1)kc_enum_operators kc_prod_sel;  CexpressionSQ_elem CexpressionSQ_elem_1;  CexpressionSQ CexpressionSQ_1; 
#endif
{ return ConsCexpressionSQ(CexpressionSQ_elem_1, CexpressionSQ_1); }
static CexpressionSQ_elem kc_opfn_CExpressionSQPart
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1)
#else
(kc_prod_sel, casestring_1)kc_enum_operators kc_prod_sel;  casestring casestring_1; 
#endif
{ return CExpressionSQPart(casestring_1); }
static CexpressionSQ_elem kc_opfn_CExpressionSQNl
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, int int_1)
#else
(kc_prod_sel, int_1)kc_enum_operators kc_prod_sel;  int int_1; 
#endif
{ return CExpressionSQNl(int_1); }
static idCexpressions kc_opfn_NilidCexpressions
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return NilidCexpressions(); }
static idCexpressions kc_opfn_ConsidCexpressions
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, idCexpression idCexpression_1, idCexpressions idCexpressions_1)
#else
(kc_prod_sel, idCexpression_1, idCexpressions_1)kc_enum_operators kc_prod_sel;  idCexpression idCexpression_1;  idCexpressions idCexpressions_1; 
#endif
{ return ConsidCexpressions(idCexpression_1, idCexpressions_1); }
static idCexpression kc_opfn_IdCexpression
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, Cexpression Cexpression_1)
#else
(kc_prod_sel, ID_1, Cexpression_1)kc_enum_operators kc_prod_sel;  ID ID_1;  Cexpression Cexpression_1; 
#endif
{ return IdCexpression(ID_1, Cexpression_1); }
static Ctexts kc_opfn_NilCtexts
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return NilCtexts(); }
static Ctexts kc_opfn_ConsCtexts
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, Ctext Ctext_1, Ctexts Ctexts_1)
#else
(kc_prod_sel, Ctext_1, Ctexts_1)kc_enum_operators kc_prod_sel;  Ctext Ctext_1;  Ctexts Ctexts_1; 
#endif
{ return ConsCtexts(Ctext_1, Ctexts_1); }
static includefiles kc_opfn_Nilincludefiles
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilincludefiles(); }
static includefiles kc_opfn_Consincludefiles
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, includefile includefile_1, includefiles includefiles_1)
#else
(kc_prod_sel, includefile_1, includefiles_1)kc_enum_operators kc_prod_sel;  includefile includefile_1;  includefiles includefiles_1; 
#endif
{ return Consincludefiles(includefile_1, includefiles_1); }
static includefile kc_opfn_IncludeFile
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1)
#else
(kc_prod_sel, casestring_1)kc_enum_operators kc_prod_sel;  casestring casestring_1; 
#endif
{ return IncludeFile(casestring_1); }
static includedeclarations kc_opfn_Nilincludedeclarations
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilincludedeclarations(); }
static includedeclarations kc_opfn_Consincludedeclarations
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, includedeclaration includedeclaration_1, includedeclarations includedeclarations_1)
#else
(kc_prod_sel, includedeclaration_1, includedeclarations_1)kc_enum_operators kc_prod_sel;  includedeclaration includedeclaration_1;  includedeclarations includedeclarations_1; 
#endif
{ return Consincludedeclarations(includedeclaration_1, includedeclarations_1); }
static includedeclaration kc_opfn_IncludeDeclaration
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, includes includes_1)
#else
(kc_prod_sel, includes_1)kc_enum_operators kc_prod_sel;  includes includes_1; 
#endif
{ return IncludeDeclaration(includes_1); }
static includes kc_opfn_Nilincludes
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilincludes(); }
static includes kc_opfn_Consincludes
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, include include_1, includes includes_1)
#else
(kc_prod_sel, include_1, includes_1)kc_enum_operators kc_prod_sel;  include include_1;  includes includes_1; 
#endif
{ return Consincludes(include_1, includes_1); }
static include kc_opfn_Include
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1)
#else
(kc_prod_sel, casestring_1)kc_enum_operators kc_prod_sel;  casestring casestring_1; 
#endif
{ return Include(casestring_1); }
static include kc_opfn_IncludeNl
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, int int_1)
#else
(kc_prod_sel, int_1)kc_enum_operators kc_prod_sel;  int int_1; 
#endif
{ return IncludeNl(int_1); }
static rwdeclarations kc_opfn_Nilrwdeclarations
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilrwdeclarations(); }
static rwdeclarations kc_opfn_Consrwdeclarations
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, rwdeclaration rwdeclaration_1, rwdeclarations rwdeclarations_1)
#else
(kc_prod_sel, rwdeclaration_1, rwdeclarations_1)kc_enum_operators kc_prod_sel;  rwdeclaration rwdeclaration_1;  rwdeclarations rwdeclarations_1; 
#endif
{ return Consrwdeclarations(rwdeclaration_1, rwdeclarations_1); }
static rwdeclaration kc_opfn_RwDeclaration
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, outmostpatterns outmostpatterns_1, rewriteclauses rewriteclauses_1)
#else
(kc_prod_sel, outmostpatterns_1, rewriteclauses_1)kc_enum_operators kc_prod_sel;  outmostpatterns outmostpatterns_1;  rewriteclauses rewriteclauses_1; 
#endif
{ return RwDeclaration(outmostpatterns_1, rewriteclauses_1); }
static rewriteclauses kc_opfn_Nilrewriteclauses
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilrewriteclauses(); }
static rewriteclauses kc_opfn_Consrewriteclauses
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, rewriteclause rewriteclause_1, rewriteclauses rewriteclauses_1)
#else
(kc_prod_sel, rewriteclause_1, rewriteclauses_1)kc_enum_operators kc_prod_sel;  rewriteclause rewriteclause_1;  rewriteclauses rewriteclauses_1; 
#endif
{ return Consrewriteclauses(rewriteclause_1, rewriteclauses_1); }
static rewriteclause kc_opfn_RewriteClause
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, viewnames viewnames_1, term term_1)
#else
(kc_prod_sel, viewnames_1, term_1)kc_enum_operators kc_prod_sel;  viewnames viewnames_1;  term term_1; 
#endif
{ return RewriteClause(viewnames_1, term_1); }
static patternchains kc_opfn_Nilpatternchains
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilpatternchains(); }
static patternchains kc_opfn_Conspatternchains
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, patternchain patternchain_1, patternchains patternchains_1)
#else
(kc_prod_sel, patternchain_1, patternchains_1)kc_enum_operators kc_prod_sel;  patternchain patternchain_1;  patternchains patternchains_1; 
#endif
{ return Conspatternchains(patternchain_1, patternchains_1); }
static patternchain kc_opfn_Nilpatternchain
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilpatternchain(); }
static patternchain kc_opfn_Conspatternchain
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, patternchainitem patternchainitem_1, patternchain patternchain_1)
#else
(kc_prod_sel, patternchainitem_1, patternchain_1)kc_enum_operators kc_prod_sel;  patternchainitem patternchainitem_1;  patternchain patternchain_1; 
#endif
{ return Conspatternchain(patternchainitem_1, patternchain_1); }
static outmostpatterns kc_opfn_Niloutmostpatterns
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Niloutmostpatterns(); }
static outmostpatterns kc_opfn_Consoutmostpatterns
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, outmostpattern outmostpattern_1, outmostpatterns outmostpatterns_1)
#else
(kc_prod_sel, outmostpattern_1, outmostpatterns_1)kc_enum_operators kc_prod_sel;  outmostpattern outmostpattern_1;  outmostpatterns outmostpatterns_1; 
#endif
{ return Consoutmostpatterns(outmostpattern_1, outmostpatterns_1); }
static patternchainitem kc_opfn_PatternchainitemOutmost
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, outmostpattern outmostpattern_1)
#else
(kc_prod_sel, outmostpattern_1)kc_enum_operators kc_prod_sel;  outmostpattern outmostpattern_1; 
#endif
{ return PatternchainitemOutmost(outmostpattern_1); }
static patternchainitem kc_opfn_PatternchainitemGroup
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, patternchains patternchains_1)
#else
(kc_prod_sel, patternchains_1)kc_enum_operators kc_prod_sel;  patternchains patternchains_1; 
#endif
{ return PatternchainitemGroup(patternchains_1); }
static patternchainitem kc_opfn_PatternchainitemDollarid
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1)
#else
(kc_prod_sel, ID_1)kc_enum_operators kc_prod_sel;  ID ID_1; 
#endif
{ return PatternchainitemDollarid(ID_1); }
static outmostpattern kc_opfn_OPOperatorWildcard
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1)
#else
(kc_prod_sel, ID_1)kc_enum_operators kc_prod_sel;  ID ID_1; 
#endif
{ return OPOperatorWildcard(ID_1); }
static outmostpattern kc_opfn_OPOperator
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, patterns patterns_1)
#else
(kc_prod_sel, ID_1, patterns_1)kc_enum_operators kc_prod_sel;  ID ID_1;  patterns patterns_1; 
#endif
{ return OPOperator(ID_1, patterns_1); }
static outmostpattern kc_opfn_OPNonLeafVariable
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, outmostpattern outmostpattern_1)
#else
(kc_prod_sel, ID_1, outmostpattern_1)kc_enum_operators kc_prod_sel;  ID ID_1;  outmostpattern outmostpattern_1; 
#endif
{ return OPNonLeafVariable(ID_1, outmostpattern_1); }
static outmostpattern kc_opfn_OPWildcard
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return OPWildcard(); }
static outmostpattern kc_opfn_OPDefault
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return OPDefault(); }
static pattern kc_opfn_PVariable
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1)
#else
(kc_prod_sel, ID_1)kc_enum_operators kc_prod_sel;  ID ID_1; 
#endif
{ return PVariable(ID_1); }
static pattern kc_opfn_POperator
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, patterns patterns_1)
#else
(kc_prod_sel, ID_1, patterns_1)kc_enum_operators kc_prod_sel;  ID ID_1;  patterns patterns_1; 
#endif
{ return POperator(ID_1, patterns_1); }
static pattern kc_opfn_PNonLeafVariable
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, pattern pattern_1)
#else
(kc_prod_sel, ID_1, pattern_1)kc_enum_operators kc_prod_sel;  ID ID_1;  pattern pattern_1; 
#endif
{ return PNonLeafVariable(ID_1, pattern_1); }
static pattern kc_opfn_PWildcard
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return PWildcard(); }
static pattern kc_opfn_PStringLiteral
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, CexpressionDQ CexpressionDQ_1)
#else
(kc_prod_sel, CexpressionDQ_1)kc_enum_operators kc_prod_sel;  CexpressionDQ CexpressionDQ_1; 
#endif
{ return PStringLiteral(CexpressionDQ_1); }
static pattern kc_opfn_PIntLiteral
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, INT INT_1)
#else
(kc_prod_sel, INT_1)kc_enum_operators kc_prod_sel;  INT INT_1; 
#endif
{ return PIntLiteral(INT_1); }
static patterns kc_opfn_Nilpatterns
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilpatterns(); }
static patterns kc_opfn_Conspatterns
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, pattern pattern_1, patterns patterns_1)
#else
(kc_prod_sel, pattern_1, patterns_1)kc_enum_operators kc_prod_sel;  pattern pattern_1;  patterns patterns_1; 
#endif
{ return Conspatterns(pattern_1, patterns_1); }
static term kc_opfn_TVariable
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1)
#else
(kc_prod_sel, ID_1)kc_enum_operators kc_prod_sel;  ID ID_1; 
#endif
{ return TVariable(ID_1); }
static term kc_opfn_TOperator
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, terms terms_1)
#else
(kc_prod_sel, ID_1, terms_1)kc_enum_operators kc_prod_sel;  ID ID_1;  terms terms_1; 
#endif
{ return TOperator(ID_1, terms_1); }
static term kc_opfn_TStringLiteral
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, CexpressionDQ CexpressionDQ_1)
#else
(kc_prod_sel, CexpressionDQ_1)kc_enum_operators kc_prod_sel;  CexpressionDQ CexpressionDQ_1; 
#endif
{ return TStringLiteral(CexpressionDQ_1); }
static term kc_opfn_TIntLiteral
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, INT INT_1)
#else
(kc_prod_sel, INT_1)kc_enum_operators kc_prod_sel;  INT INT_1; 
#endif
{ return TIntLiteral(INT_1); }
static terms kc_opfn_Nilterms
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilterms(); }
static terms kc_opfn_Consterms
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, term term_1, terms terms_1)
#else
(kc_prod_sel, term_1, terms_1)kc_enum_operators kc_prod_sel;  term term_1;  terms terms_1; 
#endif
{ return Consterms(term_1, terms_1); }
static fnfiles kc_opfn_Nilfnfiles
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilfnfiles(); }
static fnfiles kc_opfn_Consfnfiles
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, fnfile fnfile_1, fnfiles fnfiles_1)
#else
(kc_prod_sel, fnfile_1, fnfiles_1)kc_enum_operators kc_prod_sel;  fnfile fnfile_1;  fnfiles fnfiles_1; 
#endif
{ return Consfnfiles(fnfile_1, fnfiles_1); }
static fnfile kc_opfn_FnFile
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1)
#else
(kc_prod_sel, casestring_1)kc_enum_operators kc_prod_sel;  casestring casestring_1; 
#endif
{ return FnFile(casestring_1); }
static fndeclarations kc_opfn_Nilfndeclarations
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilfndeclarations(); }
static fndeclarations kc_opfn_Consfndeclarations
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, fndeclaration fndeclaration_1, fndeclarations fndeclarations_1)
#else
(kc_prod_sel, fndeclaration_1, fndeclarations_1)kc_enum_operators kc_prod_sel;  fndeclaration fndeclaration_1;  fndeclarations fndeclarations_1; 
#endif
{ return Consfndeclarations(fndeclaration_1, fndeclarations_1); }
static fndeclaration kc_opfn_FnDeclaration
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, int int_1, ID ID_2, fnarguments fnarguments_1, Cvariabledeclarations Cvariabledeclarations_1, Ctext Ctext_1, fnclass fnclass_1)
#else
(kc_prod_sel, ID_1, int_1, ID_2, fnarguments_1, Cvariabledeclarations_1, Ctext_1, fnclass_1)kc_enum_operators kc_prod_sel;  ID ID_1;  int int_1;  ID ID_2;  fnarguments fnarguments_1;  Cvariabledeclarations Cvariabledeclarations_1;  Ctext Ctext_1;  fnclass fnclass_1; 
#endif
{ return FnDeclaration(ID_1, int_1, ID_2, fnarguments_1, Cvariabledeclarations_1, Ctext_1, fnclass_1); }
static fndeclaration kc_opfn_FnAcDeclaration
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_declaration_specifiers ac_declaration_specifiers_1, ac_declarator ac_declarator_1, ac_declaration_list ac_declaration_list_1, Ctext Ctext_1, ID ID_1, fnclass fnclass_1)
#else
(kc_prod_sel, ac_declaration_specifiers_1, ac_declarator_1, ac_declaration_list_1, Ctext_1, ID_1, fnclass_1)kc_enum_operators kc_prod_sel;  ac_declaration_specifiers ac_declaration_specifiers_1;  ac_declarator ac_declarator_1;  ac_declaration_list ac_declaration_list_1;  Ctext Ctext_1;  ID ID_1;  fnclass fnclass_1; 
#endif
{ return FnAcDeclaration(ac_declaration_specifiers_1, ac_declarator_1, ac_declaration_list_1, Ctext_1, ID_1, fnclass_1); }
static fnclass kc_opfn_GlobalFn
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return GlobalFn(); }
static fnclass kc_opfn_LocalFn
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1)
#else
(kc_prod_sel, casestring_1)kc_enum_operators kc_prod_sel;  casestring casestring_1; 
#endif
{ return LocalFn(casestring_1); }
static fnarguments kc_opfn_Nilfnarguments
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilfnarguments(); }
static fnarguments kc_opfn_Consfnarguments
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, fnarguments fnarguments_1)
#else
(kc_prod_sel, ID_1, fnarguments_1)kc_enum_operators kc_prod_sel;  ID ID_1;  fnarguments fnarguments_1; 
#endif
{ return Consfnarguments(ID_1, fnarguments_1); }
static Cvariabledeclarations kc_opfn_NilCvariabledeclarations
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return NilCvariabledeclarations(); }
static Cvariabledeclarations kc_opfn_ConsCvariabledeclarations
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, Cvariabledeclaration Cvariabledeclaration_1, Cvariabledeclarations Cvariabledeclarations_1)
#else
(kc_prod_sel, Cvariabledeclaration_1, Cvariabledeclarations_1)kc_enum_operators kc_prod_sel;  Cvariabledeclaration Cvariabledeclaration_1;  Cvariabledeclarations Cvariabledeclarations_1; 
#endif
{ return ConsCvariabledeclarations(Cvariabledeclaration_1, Cvariabledeclarations_1); }
static Cvariabledeclaration kc_opfn_CVariabledeclaration
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, Cvariables Cvariables_1)
#else
(kc_prod_sel, ID_1, Cvariables_1)kc_enum_operators kc_prod_sel;  ID ID_1;  Cvariables Cvariables_1; 
#endif
{ return CVariabledeclaration(ID_1, Cvariables_1); }
static Cvariabledeclaration kc_opfn_Fnargfpdecl
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, Cvariables Cvariables_1)
#else
(kc_prod_sel, ID_1, Cvariables_1)kc_enum_operators kc_prod_sel;  ID ID_1;  Cvariables Cvariables_1; 
#endif
{ return Fnargfpdecl(ID_1, Cvariables_1); }
static Cvariables kc_opfn_NilCvariables
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return NilCvariables(); }
static Cvariables kc_opfn_ConsCvariables
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, Cvariable Cvariable_1, Cvariables Cvariables_1)
#else
(kc_prod_sel, Cvariable_1, Cvariables_1)kc_enum_operators kc_prod_sel;  Cvariable Cvariable_1;  Cvariables Cvariables_1; 
#endif
{ return ConsCvariables(Cvariable_1, Cvariables_1); }
static Cvariable kc_opfn_CVPointer
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, int int_1, ID ID_1)
#else
(kc_prod_sel, int_1, ID_1)kc_enum_operators kc_prod_sel;  int int_1;  ID ID_1; 
#endif
{ return CVPointer(int_1, ID_1); }
static Cvariable kc_opfn_CVFunction
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, int int_1, int int_2, ID ID_1)
#else
(kc_prod_sel, int_1, int_2, ID_1)kc_enum_operators kc_prod_sel;  int int_1;  int int_2;  ID ID_1; 
#endif
{ return CVFunction(int_1, int_2, ID_1); }
static Ctext kc_opfn_NilCtext
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return NilCtext(); }
static Ctext kc_opfn_ConsCtext
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, Ctext_elem Ctext_elem_1, Ctext Ctext_1)
#else
(kc_prod_sel, Ctext_elem_1, Ctext_1)kc_enum_operators kc_prod_sel;  Ctext_elem Ctext_elem_1;  Ctext Ctext_1; 
#endif
{ return ConsCtext(Ctext_elem_1, Ctext_1); }
static Ctext_elem kc_opfn_CTextLine
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1)
#else
(kc_prod_sel, casestring_1)kc_enum_operators kc_prod_sel;  casestring casestring_1; 
#endif
{ return CTextLine(casestring_1); }
static Ctext_elem kc_opfn_CTextDollarVar
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, INT INT_1)
#else
(kc_prod_sel, INT_1)kc_enum_operators kc_prod_sel;  INT INT_1; 
#endif
{ return CTextDollarVar(INT_1); }
static Ctext_elem kc_opfn_CTextNl
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, int int_1)
#else
(kc_prod_sel, int_1)kc_enum_operators kc_prod_sel;  int int_1; 
#endif
{ return CTextNl(int_1); }
static Ctext_elem kc_opfn_CTextCexpressionDQ
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, CexpressionDQ CexpressionDQ_1)
#else
(kc_prod_sel, CexpressionDQ_1)kc_enum_operators kc_prod_sel;  CexpressionDQ CexpressionDQ_1; 
#endif
{ return CTextCexpressionDQ(CexpressionDQ_1); }
static Ctext_elem kc_opfn_CTextCexpressionSQ
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, CexpressionSQ CexpressionSQ_1)
#else
(kc_prod_sel, CexpressionSQ_1)kc_enum_operators kc_prod_sel;  CexpressionSQ CexpressionSQ_1; 
#endif
{ return CTextCexpressionSQ(CexpressionSQ_1); }
static Ctext_elem kc_opfn_CTextCbody
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, Ctext Ctext_1)
#else
(kc_prod_sel, Ctext_1)kc_enum_operators kc_prod_sel;  Ctext Ctext_1; 
#endif
{ return CTextCbody(Ctext_1); }
static Ctext_elem kc_opfn_CTextForeachexpression
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, patternchain patternchain_1, idCexpressions idCexpressions_1, withexpressions withexpressions_1, Ctext Ctext_1, foreach_after foreach_after_1)
#else
(kc_prod_sel, patternchain_1, idCexpressions_1, withexpressions_1, Ctext_1, foreach_after_1)kc_enum_operators kc_prod_sel;  patternchain patternchain_1;  idCexpressions idCexpressions_1;  withexpressions withexpressions_1;  Ctext Ctext_1;  foreach_after foreach_after_1; 
#endif
{ return CTextForeachexpression(patternchain_1, idCexpressions_1, withexpressions_1, Ctext_1, foreach_after_1); }
static Ctext_elem kc_opfn_CTextWithexpression
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, withexpressions withexpressions_1, withcases withcases_1, contextinfo contextinfo_1)
#else
(kc_prod_sel, withexpressions_1, withcases_1, contextinfo_1)kc_enum_operators kc_prod_sel;  withexpressions withexpressions_1;  withcases withcases_1;  contextinfo contextinfo_1; 
#endif
{ return CTextWithexpression(withexpressions_1, withcases_1, contextinfo_1); }
static foreach_after kc_opfn_NoForeachAfter
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return NoForeachAfter(); }
static foreach_after kc_opfn_ForeachAfter
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, patternchain patternchain_1, idCexpressions idCexpressions_1, withexpressions withexpressions_1, Ctext Ctext_1)
#else
(kc_prod_sel, patternchain_1, idCexpressions_1, withexpressions_1, Ctext_1)kc_enum_operators kc_prod_sel;  patternchain patternchain_1;  idCexpressions idCexpressions_1;  withexpressions withexpressions_1;  Ctext Ctext_1; 
#endif
{ return ForeachAfter(patternchain_1, idCexpressions_1, withexpressions_1, Ctext_1); }
static contextinfo kc_opfn_InForeachContext
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, patternchain patternchain_1)
#else
(kc_prod_sel, patternchain_1)kc_enum_operators kc_prod_sel;  patternchain patternchain_1; 
#endif
{ return InForeachContext(patternchain_1); }
static contextinfo kc_opfn_NotInForeachContext
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return NotInForeachContext(); }
static withexpressions kc_opfn_Nilwithexpressions
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilwithexpressions(); }
static withexpressions kc_opfn_Conswithexpressions
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, withexpression withexpression_1, withexpressions withexpressions_1)
#else
(kc_prod_sel, withexpression_1, withexpressions_1)kc_enum_operators kc_prod_sel;  withexpression withexpression_1;  withexpressions withexpressions_1; 
#endif
{ return Conswithexpressions(withexpression_1, withexpressions_1); }
static withexpression kc_opfn_WEVariable
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1)
#else
(kc_prod_sel, ID_1)kc_enum_operators kc_prod_sel;  ID ID_1; 
#endif
{ return WEVariable(ID_1); }
static withexpression kc_opfn_WECexpression
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, Cexpression Cexpression_1)
#else
(kc_prod_sel, Cexpression_1)kc_enum_operators kc_prod_sel;  Cexpression Cexpression_1; 
#endif
{ return WECexpression(Cexpression_1); }
static withcases kc_opfn_Nilwithcases
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilwithcases(); }
static withcases kc_opfn_Conswithcases
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, withcase withcase_1, withcases withcases_1)
#else
(kc_prod_sel, withcase_1, withcases_1)kc_enum_operators kc_prod_sel;  withcase withcase_1;  withcases withcases_1; 
#endif
{ return Conswithcases(withcase_1, withcases_1); }
static withcase kc_opfn_Withcase
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, patternchains patternchains_1, Ctext Ctext_1)
#else
(kc_prod_sel, patternchains_1, Ctext_1)kc_enum_operators kc_prod_sel;  patternchains patternchains_1;  Ctext Ctext_1; 
#endif
{ return Withcase(patternchains_1, Ctext_1); }
static unparsedeclarations kc_opfn_Nilunparsedeclarations
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilunparsedeclarations(); }
static unparsedeclarations kc_opfn_Consunparsedeclarations
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, unparsedeclaration unparsedeclaration_1, unparsedeclarations unparsedeclarations_1)
#else
(kc_prod_sel, unparsedeclaration_1, unparsedeclarations_1)kc_enum_operators kc_prod_sel;  unparsedeclaration unparsedeclaration_1;  unparsedeclarations unparsedeclarations_1; 
#endif
{ return Consunparsedeclarations(unparsedeclaration_1, unparsedeclarations_1); }
static unparsedeclaration kc_opfn_UnparseDeclaration
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, outmostpatterns outmostpatterns_1, unparseclauses unparseclauses_1)
#else
(kc_prod_sel, outmostpatterns_1, unparseclauses_1)kc_enum_operators kc_prod_sel;  outmostpatterns outmostpatterns_1;  unparseclauses unparseclauses_1; 
#endif
{ return UnparseDeclaration(outmostpatterns_1, unparseclauses_1); }
static unparseclauses kc_opfn_Nilunparseclauses
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilunparseclauses(); }
static unparseclauses kc_opfn_Consunparseclauses
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, unparseclause unparseclause_1, unparseclauses unparseclauses_1)
#else
(kc_prod_sel, unparseclause_1, unparseclauses_1)kc_enum_operators kc_prod_sel;  unparseclause unparseclause_1;  unparseclauses unparseclauses_1; 
#endif
{ return Consunparseclauses(unparseclause_1, unparseclauses_1); }
static unparseclause kc_opfn_UnparseClause
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, viewnames viewnames_1, unparseitems unparseitems_1)
#else
(kc_prod_sel, viewnames_1, unparseitems_1)kc_enum_operators kc_prod_sel;  viewnames viewnames_1;  unparseitems unparseitems_1; 
#endif
{ return UnparseClause(viewnames_1, unparseitems_1); }
static viewnames kc_opfn_Nilviewnames
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilviewnames(); }
static viewnames kc_opfn_Consviewnames
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, viewnames viewnames_1)
#else
(kc_prod_sel, ID_1, viewnames_1)kc_enum_operators kc_prod_sel;  ID ID_1;  viewnames viewnames_1; 
#endif
{ return Consviewnames(ID_1, viewnames_1); }
static unparseitems kc_opfn_Nilunparseitems
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilunparseitems(); }
static unparseitems kc_opfn_Consunparseitems
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, unparseitem unparseitem_1, unparseitems unparseitems_1)
#else
(kc_prod_sel, unparseitem_1, unparseitems_1)kc_enum_operators kc_prod_sel;  unparseitem unparseitem_1;  unparseitems unparseitems_1; 
#endif
{ return Consunparseitems(unparseitem_1, unparseitems_1); }
static unparseitem kc_opfn_UnpStr
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, CexpressionDQ CexpressionDQ_1, viewnameoption viewnameoption_1)
#else
(kc_prod_sel, CexpressionDQ_1, viewnameoption_1)kc_enum_operators kc_prod_sel;  CexpressionDQ CexpressionDQ_1;  viewnameoption viewnameoption_1; 
#endif
{ return UnpStr(CexpressionDQ_1, viewnameoption_1); }
static unparseitem kc_opfn_UnpSubexpr
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, unpsubterm unpsubterm_1, viewnameoption viewnameoption_1)
#else
(kc_prod_sel, unpsubterm_1, viewnameoption_1)kc_enum_operators kc_prod_sel;  unpsubterm unpsubterm_1;  viewnameoption viewnameoption_1; 
#endif
{ return UnpSubexpr(unpsubterm_1, viewnameoption_1); }
static unparseitem kc_opfn_UnpCtext
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, Ctext Ctext_1)
#else
(kc_prod_sel, Ctext_1)kc_enum_operators kc_prod_sel;  Ctext Ctext_1; 
#endif
{ return UnpCtext(Ctext_1); }
static unparseitem kc_opfn_UnpBody
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, unparseitems unparseitems_1)
#else
(kc_prod_sel, unparseitems_1)kc_enum_operators kc_prod_sel;  unparseitems unparseitems_1; 
#endif
{ return UnpBody(unparseitems_1); }
static unpsubterm kc_opfn_UnpSubTerm
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1)
#else
(kc_prod_sel, ID_1)kc_enum_operators kc_prod_sel;  ID ID_1; 
#endif
{ return UnpSubTerm(ID_1); }
static unpsubterm kc_opfn_UnpDollarvarTerm
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, INT INT_1)
#else
(kc_prod_sel, INT_1)kc_enum_operators kc_prod_sel;  INT INT_1; 
#endif
{ return UnpDollarvarTerm(INT_1); }
static unpsubterm kc_opfn_UnpSubAttr
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, unpattributes unpattributes_1)
#else
(kc_prod_sel, ID_1, unpattributes_1)kc_enum_operators kc_prod_sel;  ID ID_1;  unpattributes unpattributes_1; 
#endif
{ return UnpSubAttr(ID_1, unpattributes_1); }
static unpsubterm kc_opfn_UnpDollarvarAttr
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, INT INT_1, unpattributes unpattributes_1)
#else
(kc_prod_sel, INT_1, unpattributes_1)kc_enum_operators kc_prod_sel;  INT INT_1;  unpattributes unpattributes_1; 
#endif
{ return UnpDollarvarAttr(INT_1, unpattributes_1); }
static unpsubterm kc_opfn_UnpCastedVariable
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, ID ID_2)
#else
(kc_prod_sel, ID_1, ID_2)kc_enum_operators kc_prod_sel;  ID ID_1;  ID ID_2; 
#endif
{ return UnpCastedVariable(ID_1, ID_2); }
static unpattributes kc_opfn_Nilunpattributes
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilunpattributes(); }
static unpattributes kc_opfn_Consunpattributes
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, unpattributes unpattributes_1)
#else
(kc_prod_sel, ID_1, unpattributes_1)kc_enum_operators kc_prod_sel;  ID ID_1;  unpattributes unpattributes_1; 
#endif
{ return Consunpattributes(ID_1, unpattributes_1); }
static viewnameoption kc_opfn_NoViewname
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return NoViewname(); }
static viewnameoption kc_opfn_YesViewname
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1)
#else
(kc_prod_sel, ID_1)kc_enum_operators kc_prod_sel;  ID ID_1; 
#endif
{ return YesViewname(ID_1); }
static filelinestack kc_opfn_Nilfilelinestack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilfilelinestack(); }
static filelinestack kc_opfn_Consfilelinestack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, fileline fileline_1, filelinestack filelinestack_1)
#else
(kc_prod_sel, fileline_1, filelinestack_1)kc_enum_operators kc_prod_sel;  fileline fileline_1;  filelinestack filelinestack_1; 
#endif
{ return Consfilelinestack(fileline_1, filelinestack_1); }
static fileline kc_opfn_FileLine
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1, int int_1)
#else
(kc_prod_sel, casestring_1, int_1)kc_enum_operators kc_prod_sel;  casestring casestring_1;  int int_1; 
#endif
{ return FileLine(casestring_1, int_1); }
static fileline kc_opfn_NoFileLine
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return NoFileLine(); }
static fileline kc_opfn_PosNoFileLine
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return PosNoFileLine(); }
static nooperatorsstack kc_opfn_Nilnooperatorsstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilnooperatorsstack(); }
static nooperatorsstack kc_opfn_Consnooperatorsstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, int int_1, nooperatorsstack nooperatorsstack_1)
#else
(kc_prod_sel, int_1, nooperatorsstack_1)kc_enum_operators kc_prod_sel;  int int_1;  nooperatorsstack nooperatorsstack_1; 
#endif
{ return Consnooperatorsstack(int_1, nooperatorsstack_1); }
static scopetypefilelinestack kc_opfn_Nilscopetypefilelinestack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilscopetypefilelinestack(); }
static scopetypefilelinestack kc_opfn_Consscopetypefilelinestack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, scopetypefileline scopetypefileline_1, scopetypefilelinestack scopetypefilelinestack_1)
#else
(kc_prod_sel, scopetypefileline_1, scopetypefilelinestack_1)kc_enum_operators kc_prod_sel;  scopetypefileline scopetypefileline_1;  scopetypefilelinestack scopetypefilelinestack_1; 
#endif
{ return Consscopetypefilelinestack(scopetypefileline_1, scopetypefilelinestack_1); }
static scopetypefileline kc_opfn_ScopeTypeFileLine
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, int int_1, IDtype IDtype_1, casestring casestring_1, int int_2)
#else
(kc_prod_sel, int_1, IDtype_1, casestring_1, int_2)kc_enum_operators kc_prod_sel;  int int_1;  IDtype IDtype_1;  casestring casestring_1;  int int_2; 
#endif
{ return ScopeTypeFileLine(int_1, IDtype_1, casestring_1, int_2); }
static IDtype kc_opfn_ITUnknown
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return ITUnknown(); }
static IDtype kc_opfn_ITPredefinedPhylum
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, phylumdeclaration phylumdeclaration_1)
#else
(kc_prod_sel, phylumdeclaration_1)kc_enum_operators kc_prod_sel;  phylumdeclaration phylumdeclaration_1; 
#endif
{ return ITPredefinedPhylum(phylumdeclaration_1); }
static IDtype kc_opfn_ITPredefinedBigatomPhylum
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, phylumdeclaration phylumdeclaration_1)
#else
(kc_prod_sel, phylumdeclaration_1)kc_enum_operators kc_prod_sel;  phylumdeclaration phylumdeclaration_1; 
#endif
{ return ITPredefinedBigatomPhylum(phylumdeclaration_1); }
static IDtype kc_opfn_ITUserPhylum
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, phylumdeclaration phylumdeclaration_1)
#else
(kc_prod_sel, phylumdeclaration_1)kc_enum_operators kc_prod_sel;  phylumdeclaration phylumdeclaration_1; 
#endif
{ return ITUserPhylum(phylumdeclaration_1); }
static IDtype kc_opfn_ITPredefinedOperator
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, alternative alternative_1, ID ID_1)
#else
(kc_prod_sel, alternative_1, ID_1)kc_enum_operators kc_prod_sel;  alternative alternative_1;  ID ID_1; 
#endif
{ return ITPredefinedOperator(alternative_1, ID_1); }
static IDtype kc_opfn_ITUserOperator
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, alternative alternative_1, ID ID_1)
#else
(kc_prod_sel, alternative_1, ID_1)kc_enum_operators kc_prod_sel;  alternative alternative_1;  ID ID_1; 
#endif
{ return ITUserOperator(alternative_1, ID_1); }
static IDtype kc_opfn_ITPredefinedStorageClass
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return ITPredefinedStorageClass(); }
static IDtype kc_opfn_ITStorageClass
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return ITStorageClass(); }
static IDtype kc_opfn_ITPredefinedUView
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return ITPredefinedUView(); }
static IDtype kc_opfn_ITUserUView
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return ITUserUView(); }
static IDtype kc_opfn_ITPredefinedRView
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return ITPredefinedRView(); }
static IDtype kc_opfn_ITUserRView
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return ITUserRView(); }
static IDtype kc_opfn_ITUserFunction
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, fnclass fnclass_1)
#else
(kc_prod_sel, fnclass_1)kc_enum_operators kc_prod_sel;  fnclass fnclass_1; 
#endif
{ return ITUserFunction(fnclass_1); }
static IDtype kc_opfn_ITPatternVariable
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, int int_1)
#else
(kc_prod_sel, ID_1, int_1)kc_enum_operators kc_prod_sel;  ID ID_1;  int int_1; 
#endif
{ return ITPatternVariable(ID_1, int_1); }
static operatorsstack kc_opfn_Niloperatorsstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Niloperatorsstack(); }
static operatorsstack kc_opfn_Consoperatorsstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, operators operators_1, operatorsstack operatorsstack_1)
#else
(kc_prod_sel, operators_1, operatorsstack_1)kc_enum_operators kc_prod_sel;  operators operators_1;  operatorsstack operatorsstack_1; 
#endif
{ return Consoperatorsstack(operators_1, operatorsstack_1); }
static operators kc_opfn_Niloperators
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Niloperators(); }
static operators kc_opfn_Consoperators
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, operators operators_1)
#else
(kc_prod_sel, ID_1, operators_1)kc_enum_operators kc_prod_sel;  ID ID_1;  operators operators_1; 
#endif
{ return Consoperators(ID_1, operators_1); }
static phyla kc_opfn_Nilphyla
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilphyla(); }
static phyla kc_opfn_Consphyla
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, phyla phyla_1)
#else
(kc_prod_sel, ID_1, phyla_1)kc_enum_operators kc_prod_sel;  ID ID_1;  phyla phyla_1; 
#endif
{ return Consphyla(ID_1, phyla_1); }
static variables kc_opfn_Nilvariables
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilvariables(); }
static variables kc_opfn_Consvariables
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, variables variables_1)
#else
(kc_prod_sel, ID_1, variables_1)kc_enum_operators kc_prod_sel;  ID ID_1;  variables variables_1; 
#endif
{ return Consvariables(ID_1, variables_1); }
static argumentsstack kc_opfn_Nilargumentsstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilargumentsstack(); }
static argumentsstack kc_opfn_Consargumentsstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, arguments arguments_1, argumentsstack argumentsstack_1)
#else
(kc_prod_sel, arguments_1, argumentsstack_1)kc_enum_operators kc_prod_sel;  arguments arguments_1;  argumentsstack argumentsstack_1; 
#endif
{ return Consargumentsstack(arguments_1, argumentsstack_1); }
static phylumstack kc_opfn_Nilphylumstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilphylumstack(); }
static phylumstack kc_opfn_Consphylumstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, phylumstack phylumstack_1)
#else
(kc_prod_sel, ID_1, phylumstack_1)kc_enum_operators kc_prod_sel;  ID ID_1;  phylumstack phylumstack_1; 
#endif
{ return Consphylumstack(ID_1, phylumstack_1); }
static phylumnamesstack kc_opfn_Nilphylumnamesstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilphylumnamesstack(); }
static phylumnamesstack kc_opfn_Consphylumnamesstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, phylumnames phylumnames_1, phylumnamesstack phylumnamesstack_1)
#else
(kc_prod_sel, phylumnames_1, phylumnamesstack_1)kc_enum_operators kc_prod_sel;  phylumnames phylumnames_1;  phylumnamesstack phylumnamesstack_1; 
#endif
{ return Consphylumnamesstack(phylumnames_1, phylumnamesstack_1); }
static withexpressionsstack kc_opfn_Nilwithexpressionsstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilwithexpressionsstack(); }
static withexpressionsstack kc_opfn_Conswithexpressionsstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, withexpressions withexpressions_1, withexpressionsstack withexpressionsstack_1)
#else
(kc_prod_sel, withexpressions_1, withexpressionsstack_1)kc_enum_operators kc_prod_sel;  withexpressions withexpressions_1;  withexpressionsstack withexpressionsstack_1; 
#endif
{ return Conswithexpressionsstack(withexpressions_1, withexpressionsstack_1); }
static operatorstack kc_opfn_Niloperatorstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Niloperatorstack(); }
static operatorstack kc_opfn_Consoperatorstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, operatorstack operatorstack_1)
#else
(kc_prod_sel, ID_1, operatorstack_1)kc_enum_operators kc_prod_sel;  ID ID_1;  operatorstack operatorstack_1; 
#endif
{ return Consoperatorstack(ID_1, operatorstack_1); }
static variablesstack kc_opfn_Nilvariablesstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilvariablesstack(); }
static variablesstack kc_opfn_Consvariablesstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, variables variables_1, variablesstack variablesstack_1)
#else
(kc_prod_sel, variables_1, variablesstack_1)kc_enum_operators kc_prod_sel;  variables variables_1;  variablesstack variablesstack_1; 
#endif
{ return Consvariablesstack(variables_1, variablesstack_1); }
static selvarstack kc_opfn_Nilselvarstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilselvarstack(); }
static selvarstack kc_opfn_Consselvarstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, selvarstack selvarstack_1)
#else
(kc_prod_sel, ID_1, selvarstack_1)kc_enum_operators kc_prod_sel;  ID ID_1;  selvarstack selvarstack_1; 
#endif
{ return Consselvarstack(ID_1, selvarstack_1); }
static dollarvarstatus kc_opfn_DVAllowed
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return DVAllowed(); }
static dollarvarstatus kc_opfn_DVDisallowed
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return DVDisallowed(); }
static dollarvarsallowedstack kc_opfn_Nildollarvarsallowedstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nildollarvarsallowedstack(); }
static dollarvarsallowedstack kc_opfn_Consdollarvarsallowedstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, dollarvarstatus dollarvarstatus_1, dollarvarsallowedstack dollarvarsallowedstack_1)
#else
(kc_prod_sel, dollarvarstatus_1, dollarvarsallowedstack_1)kc_enum_operators kc_prod_sel;  dollarvarstatus dollarvarstatus_1;  dollarvarsallowedstack dollarvarsallowedstack_1; 
#endif
{ return Consdollarvarsallowedstack(dollarvarstatus_1, dollarvarsallowedstack_1); }
static intstack kc_opfn_Nilintstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilintstack(); }
static intstack kc_opfn_Consintstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, int int_1, intstack intstack_1)
#else
(kc_prod_sel, int_1, intstack_1)kc_enum_operators kc_prod_sel;  int int_1;  intstack intstack_1; 
#endif
{ return Consintstack(int_1, intstack_1); }
static idCexpressionsstack kc_opfn_NilidCexpressionsstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return NilidCexpressionsstack(); }
static idCexpressionsstack kc_opfn_ConsidCexpressionsstack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, idCexpressions idCexpressions_1, idCexpressionsstack idCexpressionsstack_1)
#else
(kc_prod_sel, idCexpressions_1, idCexpressionsstack_1)kc_enum_operators kc_prod_sel;  idCexpressions idCexpressions_1;  idCexpressionsstack idCexpressionsstack_1; 
#endif
{ return ConsidCexpressionsstack(idCexpressions_1, idCexpressionsstack_1); }
static two_phyla kc_opfn_TwoStorageoption
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, storageoption storageoption_1, storageoption storageoption_2)
#else
(kc_prod_sel, storageoption_1, storageoption_2)kc_enum_operators kc_prod_sel;  storageoption storageoption_1;  storageoption storageoption_2; 
#endif
{ return TwoStorageoption(storageoption_1, storageoption_2); }
static two_phyla kc_opfn_TwoProductionblock
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, productionblock productionblock_1, productionblock productionblock_2)
#else
(kc_prod_sel, productionblock_1, productionblock_2)kc_enum_operators kc_prod_sel;  productionblock productionblock_1;  productionblock productionblock_2; 
#endif
{ return TwoProductionblock(productionblock_1, productionblock_2); }
static two_phyla kc_opfn_TwoCcode_option
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, Ccode_option Ccode_option_1, Ccode_option Ccode_option_2)
#else
(kc_prod_sel, Ccode_option_1, Ccode_option_2)kc_enum_operators kc_prod_sel;  Ccode_option Ccode_option_1;  Ccode_option Ccode_option_2; 
#endif
{ return TwoCcode_option(Ccode_option_1, Ccode_option_2); }
static two_phyla kc_opfn_TwoRewriteruleinfo
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, rewriteruleinfo rewriteruleinfo_1, rewriteruleinfo rewriteruleinfo_2)
#else
(kc_prod_sel, rewriteruleinfo_1, rewriteruleinfo_2)kc_enum_operators kc_prod_sel;  rewriteruleinfo rewriteruleinfo_1;  rewriteruleinfo rewriteruleinfo_2; 
#endif
{ return TwoRewriteruleinfo(rewriteruleinfo_1, rewriteruleinfo_2); }
static two_phyla kc_opfn_TwoWithcaseinfo
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, withcaseinfo withcaseinfo_1, withcaseinfo withcaseinfo_2)
#else
(kc_prod_sel, withcaseinfo_1, withcaseinfo_2)kc_enum_operators kc_prod_sel;  withcaseinfo withcaseinfo_1;  withcaseinfo withcaseinfo_2; 
#endif
{ return TwoWithcaseinfo(withcaseinfo_1, withcaseinfo_2); }
static two_phyla kc_opfn_TwoUnparsedeclinfo
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, unparsedeclinfo unparsedeclinfo_1, unparsedeclinfo unparsedeclinfo_2)
#else
(kc_prod_sel, unparsedeclinfo_1, unparsedeclinfo_2)kc_enum_operators kc_prod_sel;  unparsedeclinfo unparsedeclinfo_1;  unparsedeclinfo unparsedeclinfo_2; 
#endif
{ return TwoUnparsedeclinfo(unparsedeclinfo_1, unparsedeclinfo_2); }
static two_phyla kc_opfn_TwoPatternrepresentation
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, patternrepresentation patternrepresentation_1, patternrepresentation patternrepresentation_2)
#else
(kc_prod_sel, patternrepresentation_1, patternrepresentation_2)kc_enum_operators kc_prod_sel;  patternrepresentation patternrepresentation_1;  patternrepresentation patternrepresentation_2; 
#endif
{ return TwoPatternrepresentation(patternrepresentation_1, patternrepresentation_2); }
static two_phyla kc_opfn_TwoElem_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, elem_patternrepresentation elem_patternrepresentation_1, elem_patternrepresentation elem_patternrepresentation_2)
#else
(kc_prod_sel, elem_patternrepresentation_1, elem_patternrepresentation_2)kc_enum_operators kc_prod_sel;  elem_patternrepresentation elem_patternrepresentation_1;  elem_patternrepresentation elem_patternrepresentation_2; 
#endif
{ return TwoElem_patternrepresentation(elem_patternrepresentation_1, elem_patternrepresentation_2); }
static two_phyla kc_opfn_TwoPaths
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, paths paths_1, paths paths_2)
#else
(kc_prod_sel, paths_1, paths_2)kc_enum_operators kc_prod_sel;  paths paths_1;  paths paths_2; 
#endif
{ return TwoPaths(paths_1, paths_2); }
static two_phyla kc_opfn_TwoPath
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, path path_1, path path_2)
#else
(kc_prod_sel, path_1, path_2)kc_enum_operators kc_prod_sel;  path path_1;  path path_2; 
#endif
{ return TwoPath(path_1, path_2); }
static tribool kc_opfn_Equal
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Equal(); }
static tribool kc_opfn_Smaller
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Smaller(); }
static tribool kc_opfn_Bigger
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Bigger(); }
static patternrepresentations kc_opfn_Nilpatternrepresentations
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilpatternrepresentations(); }
static patternrepresentations kc_opfn_Conspatternrepresentations
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, patternrepresentation patternrepresentation_1, patternrepresentations patternrepresentations_1)
#else
(kc_prod_sel, patternrepresentation_1, patternrepresentations_1)kc_enum_operators kc_prod_sel;  patternrepresentation patternrepresentation_1;  patternrepresentations patternrepresentations_1; 
#endif
{ return Conspatternrepresentations(patternrepresentation_1, patternrepresentations_1); }
static patternrepresentation kc_opfn_Nilpatternrepresentation
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilpatternrepresentation(); }
static patternrepresentation kc_opfn_Conspatternrepresentation
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, elem_patternrepresentation elem_patternrepresentation_1, patternrepresentation patternrepresentation_1)
#else
(kc_prod_sel, elem_patternrepresentation_1, patternrepresentation_1)kc_enum_operators kc_prod_sel;  elem_patternrepresentation elem_patternrepresentation_1;  patternrepresentation patternrepresentation_1; 
#endif
{ return Conspatternrepresentation(elem_patternrepresentation_1, patternrepresentation_1); }
static elem_patternrepresentation kc_opfn_PRBinding
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, path path_1, ID ID_1)
#else
(kc_prod_sel, path_1, ID_1)kc_enum_operators kc_prod_sel;  path path_1;  ID ID_1; 
#endif
{ return PRBinding(path_1, ID_1); }
static elem_patternrepresentation kc_opfn_PRVarPredicate
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, paths paths_1, ID ID_1, patternrepresentation patternrepresentation_1)
#else
(kc_prod_sel, paths_1, ID_1, patternrepresentation_1)kc_enum_operators kc_prod_sel;  paths paths_1;  ID ID_1;  patternrepresentation patternrepresentation_1; 
#endif
{ return PRVarPredicate(paths_1, ID_1, patternrepresentation_1); }
static elem_patternrepresentation kc_opfn_PROperPredicate
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, path path_1, ID ID_1)
#else
(kc_prod_sel, path_1, ID_1)kc_enum_operators kc_prod_sel;  path path_1;  ID ID_1; 
#endif
{ return PROperPredicate(path_1, ID_1); }
static elem_patternrepresentation kc_opfn_PRNonLeafBinding
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, path path_1, ID ID_1, patternrepresentation patternrepresentation_1)
#else
(kc_prod_sel, path_1, ID_1, patternrepresentation_1)kc_enum_operators kc_prod_sel;  path path_1;  ID ID_1;  patternrepresentation patternrepresentation_1; 
#endif
{ return PRNonLeafBinding(path_1, ID_1, patternrepresentation_1); }
static elem_patternrepresentation kc_opfn_PRWildcard
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, path path_1)
#else
(kc_prod_sel, path_1)kc_enum_operators kc_prod_sel;  path path_1; 
#endif
{ return PRWildcard(path_1); }
static elem_patternrepresentation kc_opfn_PRDefault
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return PRDefault(); }
static elem_patternrepresentation kc_opfn_PRStringLiteral
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, path path_1, CexpressionDQ CexpressionDQ_1)
#else
(kc_prod_sel, path_1, CexpressionDQ_1)kc_enum_operators kc_prod_sel;  path path_1;  CexpressionDQ CexpressionDQ_1; 
#endif
{ return PRStringLiteral(path_1, CexpressionDQ_1); }
static elem_patternrepresentation kc_opfn_PRIntLiteral
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, path path_1, INT INT_1)
#else
(kc_prod_sel, path_1, INT_1)kc_enum_operators kc_prod_sel;  path path_1;  INT INT_1; 
#endif
{ return PRIntLiteral(path_1, INT_1); }
static path kc_opfn_Nilpath
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilpath(); }
static path kc_opfn_Conspath
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, int int_1, path path_1)
#else
(kc_prod_sel, int_1, path_1)kc_enum_operators kc_prod_sel;  int int_1;  path path_1; 
#endif
{ return Conspath(int_1, path_1); }
static paths kc_opfn_Nilpaths
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilpaths(); }
static paths kc_opfn_Conspaths
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, path path_1, paths paths_1)
#else
(kc_prod_sel, path_1, paths_1)kc_enum_operators kc_prod_sel;  path path_1;  paths paths_1; 
#endif
{ return Conspaths(path_1, paths_1); }
static argsnumbers kc_opfn_Nilargsnumbers
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilargsnumbers(); }
static argsnumbers kc_opfn_Consargsnumbers
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, int int_1, argsnumbers argsnumbers_1)
#else
(kc_prod_sel, int_1, argsnumbers_1)kc_enum_operators kc_prod_sel;  int int_1;  argsnumbers argsnumbers_1; 
#endif
{ return Consargsnumbers(int_1, argsnumbers_1); }
static rewriterulesinfo kc_opfn_Nilrewriterulesinfo
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilrewriterulesinfo(); }
static rewriterulesinfo kc_opfn_Consrewriterulesinfo
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, rewriteruleinfo rewriteruleinfo_1, rewriterulesinfo rewriterulesinfo_1)
#else
(kc_prod_sel, rewriteruleinfo_1, rewriterulesinfo_1)kc_enum_operators kc_prod_sel;  rewriteruleinfo rewriteruleinfo_1;  rewriterulesinfo rewriterulesinfo_1; 
#endif
{ return Consrewriterulesinfo(rewriteruleinfo_1, rewriterulesinfo_1); }
static rewriteruleinfo kc_opfn_Rewriteruleinfo
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, patternrepresentation patternrepresentation_1, patternrepresentation patternrepresentation_2, rewriteclause rewriteclause_1)
#else
(kc_prod_sel, patternrepresentation_1, patternrepresentation_2, rewriteclause_1)kc_enum_operators kc_prod_sel;  patternrepresentation patternrepresentation_1;  patternrepresentation patternrepresentation_2;  rewriteclause rewriteclause_1; 
#endif
{ return Rewriteruleinfo(patternrepresentation_1, patternrepresentation_2, rewriteclause_1); }
static withcasesinfo kc_opfn_Nilwithcasesinfo
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilwithcasesinfo(); }
static withcasesinfo kc_opfn_Conswithcasesinfo
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, withcaseinfo withcaseinfo_1, withcasesinfo withcasesinfo_1)
#else
(kc_prod_sel, withcaseinfo_1, withcasesinfo_1)kc_enum_operators kc_prod_sel;  withcaseinfo withcaseinfo_1;  withcasesinfo withcasesinfo_1; 
#endif
{ return Conswithcasesinfo(withcaseinfo_1, withcasesinfo_1); }
static withcaseinfo kc_opfn_Withcaseinfo
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, patternrepresentation patternrepresentation_1, patternrepresentation patternrepresentation_2, Ctext Ctext_1)
#else
(kc_prod_sel, patternrepresentation_1, patternrepresentation_2, Ctext_1)kc_enum_operators kc_prod_sel;  patternrepresentation patternrepresentation_1;  patternrepresentation patternrepresentation_2;  Ctext Ctext_1; 
#endif
{ return Withcaseinfo(patternrepresentation_1, patternrepresentation_2, Ctext_1); }
static rewriteviewsinfo kc_opfn_Nilrewriteviewsinfo
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilrewriteviewsinfo(); }
static rewriteviewsinfo kc_opfn_Consrewriteviewsinfo
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, rewriteviewinfo rewriteviewinfo_1, rewriteviewsinfo rewriteviewsinfo_1)
#else
(kc_prod_sel, rewriteviewinfo_1, rewriteviewsinfo_1)kc_enum_operators kc_prod_sel;  rewriteviewinfo rewriteviewinfo_1;  rewriteviewsinfo rewriteviewsinfo_1; 
#endif
{ return Consrewriteviewsinfo(rewriteviewinfo_1, rewriteviewsinfo_1); }
static rewriteviewinfo kc_opfn_Rewriteviewinfo
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, rewriterulesinfo rewriterulesinfo_1)
#else
(kc_prod_sel, ID_1, rewriterulesinfo_1)kc_enum_operators kc_prod_sel;  ID ID_1;  rewriterulesinfo rewriterulesinfo_1; 
#endif
{ return Rewriteviewinfo(ID_1, rewriterulesinfo_1); }
static unparseviewsinfo kc_opfn_Nilunparseviewsinfo
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilunparseviewsinfo(); }
static unparseviewsinfo kc_opfn_Consunparseviewsinfo
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, unparseviewinfo unparseviewinfo_1, unparseviewsinfo unparseviewsinfo_1)
#else
(kc_prod_sel, unparseviewinfo_1, unparseviewsinfo_1)kc_enum_operators kc_prod_sel;  unparseviewinfo unparseviewinfo_1;  unparseviewsinfo unparseviewsinfo_1; 
#endif
{ return Consunparseviewsinfo(unparseviewinfo_1, unparseviewsinfo_1); }
static unparseviewinfo kc_opfn_Unparseviewinfo
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, unparsedeclsinfo unparsedeclsinfo_1)
#else
(kc_prod_sel, ID_1, unparsedeclsinfo_1)kc_enum_operators kc_prod_sel;  ID ID_1;  unparsedeclsinfo unparsedeclsinfo_1; 
#endif
{ return Unparseviewinfo(ID_1, unparsedeclsinfo_1); }
static unparsedeclsinfo kc_opfn_Nilunparsedeclsinfo
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilunparsedeclsinfo(); }
static unparsedeclsinfo kc_opfn_Consunparsedeclsinfo
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, unparsedeclinfo unparsedeclinfo_1, unparsedeclsinfo unparsedeclsinfo_1)
#else
(kc_prod_sel, unparsedeclinfo_1, unparsedeclsinfo_1)kc_enum_operators kc_prod_sel;  unparsedeclinfo unparsedeclinfo_1;  unparsedeclsinfo unparsedeclsinfo_1; 
#endif
{ return Consunparsedeclsinfo(unparsedeclinfo_1, unparsedeclsinfo_1); }
static unparsedeclinfo kc_opfn_Unparsedeclinfo
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, patternrepresentation patternrepresentation_1, patternrepresentation patternrepresentation_2, unparseclause unparseclause_1)
#else
(kc_prod_sel, patternrepresentation_1, patternrepresentation_2, unparseclause_1)kc_enum_operators kc_prod_sel;  patternrepresentation patternrepresentation_1;  patternrepresentation patternrepresentation_2;  unparseclause unparseclause_1; 
#endif
{ return Unparsedeclinfo(patternrepresentation_1, patternrepresentation_2, unparseclause_1); }
static ac_declaration kc_opfn_AcDeclaration
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_declaration_specifiers ac_declaration_specifiers_1, ac_init_declarator_list ac_init_declarator_list_1)
#else
(kc_prod_sel, ac_declaration_specifiers_1, ac_init_declarator_list_1)kc_enum_operators kc_prod_sel;  ac_declaration_specifiers ac_declaration_specifiers_1;  ac_init_declarator_list ac_init_declarator_list_1; 
#endif
{ return AcDeclaration(ac_declaration_specifiers_1, ac_init_declarator_list_1); }
static ac_declaration_list kc_opfn_Nilac_declaration_list
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilac_declaration_list(); }
static ac_declaration_list kc_opfn_Consac_declaration_list
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_declaration ac_declaration_1, ac_declaration_list ac_declaration_list_1)
#else
(kc_prod_sel, ac_declaration_1, ac_declaration_list_1)kc_enum_operators kc_prod_sel;  ac_declaration ac_declaration_1;  ac_declaration_list ac_declaration_list_1; 
#endif
{ return Consac_declaration_list(ac_declaration_1, ac_declaration_list_1); }
static ac_declaration_specifiers kc_opfn_Nilac_declaration_specifiers
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilac_declaration_specifiers(); }
static ac_declaration_specifiers kc_opfn_Consac_declaration_specifiers
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_declaration_specifier ac_declaration_specifier_1, ac_declaration_specifiers ac_declaration_specifiers_1)
#else
(kc_prod_sel, ac_declaration_specifier_1, ac_declaration_specifiers_1)kc_enum_operators kc_prod_sel;  ac_declaration_specifier ac_declaration_specifier_1;  ac_declaration_specifiers ac_declaration_specifiers_1; 
#endif
{ return Consac_declaration_specifiers(ac_declaration_specifier_1, ac_declaration_specifiers_1); }
static ac_declaration_specifier kc_opfn_AcDeclSpecStorageSpec
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_storage_class_specifier ac_storage_class_specifier_1)
#else
(kc_prod_sel, ac_storage_class_specifier_1)kc_enum_operators kc_prod_sel;  ac_storage_class_specifier ac_storage_class_specifier_1; 
#endif
{ return AcDeclSpecStorageSpec(ac_storage_class_specifier_1); }
static ac_declaration_specifier kc_opfn_AcDeclSpecTypeSpec
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_type_specifier ac_type_specifier_1)
#else
(kc_prod_sel, ac_type_specifier_1)kc_enum_operators kc_prod_sel;  ac_type_specifier ac_type_specifier_1; 
#endif
{ return AcDeclSpecTypeSpec(ac_type_specifier_1); }
static ac_declaration_specifier kc_opfn_AcDeclSpecTypeQual
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_type_qualifier ac_type_qualifier_1)
#else
(kc_prod_sel, ac_type_qualifier_1)kc_enum_operators kc_prod_sel;  ac_type_qualifier ac_type_qualifier_1; 
#endif
{ return AcDeclSpecTypeQual(ac_type_qualifier_1); }
static ac_storage_class_specifier kc_opfn_AcAuto
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return AcAuto(); }
static ac_storage_class_specifier kc_opfn_AcRegister
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return AcRegister(); }
static ac_storage_class_specifier kc_opfn_AcStatic
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return AcStatic(); }
static ac_storage_class_specifier kc_opfn_AcExtern
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return AcExtern(); }
static ac_storage_class_specifier kc_opfn_AcTypedef
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return AcTypedef(); }
static ac_type_specifier kc_opfn_AcTypeSpec
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1)
#else
(kc_prod_sel, ID_1)kc_enum_operators kc_prod_sel;  ID ID_1; 
#endif
{ return AcTypeSpec(ID_1); }
static ac_type_qualifier kc_opfn_AcConst
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return AcConst(); }
static ac_type_qualifier kc_opfn_AcVolatile
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return AcVolatile(); }
static ac_init_declarator_list kc_opfn_Nilac_init_declarator_list
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilac_init_declarator_list(); }
static ac_init_declarator_list kc_opfn_Consac_init_declarator_list
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_init_declarator ac_init_declarator_1, ac_init_declarator_list ac_init_declarator_list_1)
#else
(kc_prod_sel, ac_init_declarator_1, ac_init_declarator_list_1)kc_enum_operators kc_prod_sel;  ac_init_declarator ac_init_declarator_1;  ac_init_declarator_list ac_init_declarator_list_1; 
#endif
{ return Consac_init_declarator_list(ac_init_declarator_1, ac_init_declarator_list_1); }
static ac_init_declarator kc_opfn_AcInitDecl
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_declarator ac_declarator_1)
#else
(kc_prod_sel, ac_declarator_1)kc_enum_operators kc_prod_sel;  ac_declarator ac_declarator_1; 
#endif
{ return AcInitDecl(ac_declarator_1); }
static ac_declarator kc_opfn_AcDeclarator
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_pointer_option ac_pointer_option_1, ac_direct_declarator ac_direct_declarator_1)
#else
(kc_prod_sel, ac_pointer_option_1, ac_direct_declarator_1)kc_enum_operators kc_prod_sel;  ac_pointer_option ac_pointer_option_1;  ac_direct_declarator ac_direct_declarator_1; 
#endif
{ return AcDeclarator(ac_pointer_option_1, ac_direct_declarator_1); }
static ac_direct_declarator kc_opfn_AcDirectDeclId
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1)
#else
(kc_prod_sel, ID_1)kc_enum_operators kc_prod_sel;  ID ID_1; 
#endif
{ return AcDirectDeclId(ID_1); }
static ac_direct_declarator kc_opfn_AcDirectDeclPack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_declarator ac_declarator_1)
#else
(kc_prod_sel, ac_declarator_1)kc_enum_operators kc_prod_sel;  ac_declarator ac_declarator_1; 
#endif
{ return AcDirectDeclPack(ac_declarator_1); }
static ac_direct_declarator kc_opfn_AcDirectDeclArray
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_direct_declarator ac_direct_declarator_1, ac_constant_expression_option ac_constant_expression_option_1)
#else
(kc_prod_sel, ac_direct_declarator_1, ac_constant_expression_option_1)kc_enum_operators kc_prod_sel;  ac_direct_declarator ac_direct_declarator_1;  ac_constant_expression_option ac_constant_expression_option_1; 
#endif
{ return AcDirectDeclArray(ac_direct_declarator_1, ac_constant_expression_option_1); }
static ac_direct_declarator kc_opfn_AcDirectDeclProto
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_direct_declarator ac_direct_declarator_1, ac_parameter_type_list ac_parameter_type_list_1)
#else
(kc_prod_sel, ac_direct_declarator_1, ac_parameter_type_list_1)kc_enum_operators kc_prod_sel;  ac_direct_declarator ac_direct_declarator_1;  ac_parameter_type_list ac_parameter_type_list_1; 
#endif
{ return AcDirectDeclProto(ac_direct_declarator_1, ac_parameter_type_list_1); }
static ac_direct_declarator kc_opfn_AcDirectDeclKandR
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_direct_declarator ac_direct_declarator_1, ac_identifier_list ac_identifier_list_1)
#else
(kc_prod_sel, ac_direct_declarator_1, ac_identifier_list_1)kc_enum_operators kc_prod_sel;  ac_direct_declarator ac_direct_declarator_1;  ac_identifier_list ac_identifier_list_1; 
#endif
{ return AcDirectDeclKandR(ac_direct_declarator_1, ac_identifier_list_1); }
static ac_pointer_option kc_opfn_Nopointer
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nopointer(); }
static ac_pointer_option kc_opfn_Yespointer
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_pointer ac_pointer_1)
#else
(kc_prod_sel, ac_pointer_1)kc_enum_operators kc_prod_sel;  ac_pointer ac_pointer_1; 
#endif
{ return Yespointer(ac_pointer_1); }
static ac_pointer kc_opfn_AcPointerNil
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_type_qualifier_list ac_type_qualifier_list_1)
#else
(kc_prod_sel, ac_type_qualifier_list_1)kc_enum_operators kc_prod_sel;  ac_type_qualifier_list ac_type_qualifier_list_1; 
#endif
{ return AcPointerNil(ac_type_qualifier_list_1); }
static ac_pointer kc_opfn_AcPointerCons
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_type_qualifier_list ac_type_qualifier_list_1, ac_pointer ac_pointer_1)
#else
(kc_prod_sel, ac_type_qualifier_list_1, ac_pointer_1)kc_enum_operators kc_prod_sel;  ac_type_qualifier_list ac_type_qualifier_list_1;  ac_pointer ac_pointer_1; 
#endif
{ return AcPointerCons(ac_type_qualifier_list_1, ac_pointer_1); }
static ac_type_qualifier_list kc_opfn_Nilac_type_qualifier_list
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilac_type_qualifier_list(); }
static ac_type_qualifier_list kc_opfn_Consac_type_qualifier_list
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_type_qualifier ac_type_qualifier_1, ac_type_qualifier_list ac_type_qualifier_list_1)
#else
(kc_prod_sel, ac_type_qualifier_1, ac_type_qualifier_list_1)kc_enum_operators kc_prod_sel;  ac_type_qualifier ac_type_qualifier_1;  ac_type_qualifier_list ac_type_qualifier_list_1; 
#endif
{ return Consac_type_qualifier_list(ac_type_qualifier_1, ac_type_qualifier_list_1); }
static ac_parameter_type_list kc_opfn_AcParList
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_parameter_list ac_parameter_list_1)
#else
(kc_prod_sel, ac_parameter_list_1)kc_enum_operators kc_prod_sel;  ac_parameter_list ac_parameter_list_1; 
#endif
{ return AcParList(ac_parameter_list_1); }
static ac_parameter_type_list kc_opfn_AcParList3Dot
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_parameter_list ac_parameter_list_1)
#else
(kc_prod_sel, ac_parameter_list_1)kc_enum_operators kc_prod_sel;  ac_parameter_list ac_parameter_list_1; 
#endif
{ return AcParList3Dot(ac_parameter_list_1); }
static ac_parameter_list kc_opfn_Nilac_parameter_list
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilac_parameter_list(); }
static ac_parameter_list kc_opfn_Consac_parameter_list
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_parameter_declaration ac_parameter_declaration_1, ac_parameter_list ac_parameter_list_1)
#else
(kc_prod_sel, ac_parameter_declaration_1, ac_parameter_list_1)kc_enum_operators kc_prod_sel;  ac_parameter_declaration ac_parameter_declaration_1;  ac_parameter_list ac_parameter_list_1; 
#endif
{ return Consac_parameter_list(ac_parameter_declaration_1, ac_parameter_list_1); }
static ac_parameter_declaration kc_opfn_AcParDeclDecl
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_declaration_specifiers ac_declaration_specifiers_1, ac_declarator ac_declarator_1)
#else
(kc_prod_sel, ac_declaration_specifiers_1, ac_declarator_1)kc_enum_operators kc_prod_sel;  ac_declaration_specifiers ac_declaration_specifiers_1;  ac_declarator ac_declarator_1; 
#endif
{ return AcParDeclDecl(ac_declaration_specifiers_1, ac_declarator_1); }
static ac_parameter_declaration kc_opfn_AcParDeclAbsdecl
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_declaration_specifiers ac_declaration_specifiers_1, ac_abstract_declarator ac_abstract_declarator_1)
#else
(kc_prod_sel, ac_declaration_specifiers_1, ac_abstract_declarator_1)kc_enum_operators kc_prod_sel;  ac_declaration_specifiers ac_declaration_specifiers_1;  ac_abstract_declarator ac_abstract_declarator_1; 
#endif
{ return AcParDeclAbsdecl(ac_declaration_specifiers_1, ac_abstract_declarator_1); }
static ac_identifier_list kc_opfn_Nilac_identifier_list
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilac_identifier_list(); }
static ac_identifier_list kc_opfn_Consac_identifier_list
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ID ID_1, ac_identifier_list ac_identifier_list_1)
#else
(kc_prod_sel, ID_1, ac_identifier_list_1)kc_enum_operators kc_prod_sel;  ID ID_1;  ac_identifier_list ac_identifier_list_1; 
#endif
{ return Consac_identifier_list(ID_1, ac_identifier_list_1); }
static ac_abstract_declarator kc_opfn_AcAbsdeclPointer
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_pointer ac_pointer_1)
#else
(kc_prod_sel, ac_pointer_1)kc_enum_operators kc_prod_sel;  ac_pointer ac_pointer_1; 
#endif
{ return AcAbsdeclPointer(ac_pointer_1); }
static ac_abstract_declarator kc_opfn_AcAbsdeclDirdecl
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_pointer_option ac_pointer_option_1, ac_direct_abstract_declarator ac_direct_abstract_declarator_1)
#else
(kc_prod_sel, ac_pointer_option_1, ac_direct_abstract_declarator_1)kc_enum_operators kc_prod_sel;  ac_pointer_option ac_pointer_option_1;  ac_direct_abstract_declarator ac_direct_abstract_declarator_1; 
#endif
{ return AcAbsdeclDirdecl(ac_pointer_option_1, ac_direct_abstract_declarator_1); }
static ac_direct_abstract_declarator_option kc_opfn_Noac_direct_abstract_declarator
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Noac_direct_abstract_declarator(); }
static ac_direct_abstract_declarator_option kc_opfn_Yesac_direct_abstract_declarator
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_direct_abstract_declarator ac_direct_abstract_declarator_1)
#else
(kc_prod_sel, ac_direct_abstract_declarator_1)kc_enum_operators kc_prod_sel;  ac_direct_abstract_declarator ac_direct_abstract_declarator_1; 
#endif
{ return Yesac_direct_abstract_declarator(ac_direct_abstract_declarator_1); }
static ac_direct_abstract_declarator kc_opfn_AcDirAbsdeclPack
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_abstract_declarator ac_abstract_declarator_1)
#else
(kc_prod_sel, ac_abstract_declarator_1)kc_enum_operators kc_prod_sel;  ac_abstract_declarator ac_abstract_declarator_1; 
#endif
{ return AcDirAbsdeclPack(ac_abstract_declarator_1); }
static ac_direct_abstract_declarator kc_opfn_AcDirAbsdeclArray
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_direct_abstract_declarator_option ac_direct_abstract_declarator_option_1, ac_constant_expression_option ac_constant_expression_option_1)
#else
(kc_prod_sel, ac_direct_abstract_declarator_option_1, ac_constant_expression_option_1)kc_enum_operators kc_prod_sel;  ac_direct_abstract_declarator_option ac_direct_abstract_declarator_option_1;  ac_constant_expression_option ac_constant_expression_option_1; 
#endif
{ return AcDirAbsdeclArray(ac_direct_abstract_declarator_option_1, ac_constant_expression_option_1); }
static ac_direct_abstract_declarator kc_opfn_AcDirAbsdeclFn
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_direct_abstract_declarator_option ac_direct_abstract_declarator_option_1, ac_parameter_type_list ac_parameter_type_list_1)
#else
(kc_prod_sel, ac_direct_abstract_declarator_option_1, ac_parameter_type_list_1)kc_enum_operators kc_prod_sel;  ac_direct_abstract_declarator_option ac_direct_abstract_declarator_option_1;  ac_parameter_type_list ac_parameter_type_list_1; 
#endif
{ return AcDirAbsdeclFn(ac_direct_abstract_declarator_option_1, ac_parameter_type_list_1); }
static ac_constant_expression_option kc_opfn_Yesac_constant_expression
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, ac_constant_expression ac_constant_expression_1)
#else
(kc_prod_sel, ac_constant_expression_1)kc_enum_operators kc_prod_sel;  ac_constant_expression ac_constant_expression_1; 
#endif
{ return Yesac_constant_expression(ac_constant_expression_1); }
static ac_constant_expression kc_opfn_AcConstExpr
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, Cexpression Cexpression_1)
#else
(kc_prod_sel, Cexpression_1)kc_enum_operators kc_prod_sel;  Cexpression Cexpression_1; 
#endif
{ return AcConstExpr(Cexpression_1); }
static error kc_opfn_Fatal
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, fileline fileline_1, problem problem_1)
#else
(kc_prod_sel, fileline_1, problem_1)kc_enum_operators kc_prod_sel;  fileline fileline_1;  problem problem_1; 
#endif
{ return Fatal(fileline_1, problem_1); }
static error kc_opfn_NonFatal
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, fileline fileline_1, problem problem_1)
#else
(kc_prod_sel, fileline_1, problem_1)kc_enum_operators kc_prod_sel;  fileline fileline_1;  problem problem_1; 
#endif
{ return NonFatal(fileline_1, problem_1); }
static error kc_opfn_Warning
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, fileline fileline_1, problem problem_1)
#else
(kc_prod_sel, fileline_1, problem_1)kc_enum_operators kc_prod_sel;  fileline fileline_1;  problem problem_1; 
#endif
{ return Warning(fileline_1, problem_1); }
static problem kc_opfn_Problem1
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1)
#else
(kc_prod_sel, casestring_1)kc_enum_operators kc_prod_sel;  casestring casestring_1; 
#endif
{ return Problem1(casestring_1); }
static problem kc_opfn_Problem1ID
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1, ID ID_1)
#else
(kc_prod_sel, casestring_1, ID_1)kc_enum_operators kc_prod_sel;  casestring casestring_1;  ID ID_1; 
#endif
{ return Problem1ID(casestring_1, ID_1); }
static problem kc_opfn_Problem1tID
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1, ID ID_1)
#else
(kc_prod_sel, casestring_1, ID_1)kc_enum_operators kc_prod_sel;  casestring casestring_1;  ID ID_1; 
#endif
{ return Problem1tID(casestring_1, ID_1); }
static problem kc_opfn_Problem1we
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1, withexpression withexpression_1)
#else
(kc_prod_sel, casestring_1, withexpression_1)kc_enum_operators kc_prod_sel;  casestring casestring_1;  withexpression withexpression_1; 
#endif
{ return Problem1we(casestring_1, withexpression_1); }
static problem kc_opfn_Problem1ID1ID
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1, ID ID_1, casestring casestring_2, ID ID_2)
#else
(kc_prod_sel, casestring_1, ID_1, casestring_2, ID_2)kc_enum_operators kc_prod_sel;  casestring casestring_1;  ID ID_1;  casestring casestring_2;  ID ID_2; 
#endif
{ return Problem1ID1ID(casestring_1, ID_1, casestring_2, ID_2); }
static problem kc_opfn_Problem1t1ID
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1, IDtype IDtype_1, casestring casestring_2, ID ID_1)
#else
(kc_prod_sel, casestring_1, IDtype_1, casestring_2, ID_1)kc_enum_operators kc_prod_sel;  casestring casestring_1;  IDtype IDtype_1;  casestring casestring_2;  ID ID_1; 
#endif
{ return Problem1t1ID(casestring_1, IDtype_1, casestring_2, ID_1); }
static problem kc_opfn_Problem1INT
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1, INT INT_1)
#else
(kc_prod_sel, casestring_1, INT_1)kc_enum_operators kc_prod_sel;  casestring casestring_1;  INT INT_1; 
#endif
{ return Problem1INT(casestring_1, INT_1); }
static problem kc_opfn_Problem1int1
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1, int int_1, casestring casestring_2)
#else
(kc_prod_sel, casestring_1, int_1, casestring_2)kc_enum_operators kc_prod_sel;  casestring casestring_1;  int int_1;  casestring casestring_2; 
#endif
{ return Problem1int1(casestring_1, int_1, casestring_2); }
static problem kc_opfn_Problem1INT1ID
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1, INT INT_1, casestring casestring_2, ID ID_1)
#else
(kc_prod_sel, casestring_1, INT_1, casestring_2, ID_1)kc_enum_operators kc_prod_sel;  casestring casestring_1;  INT INT_1;  casestring casestring_2;  ID ID_1; 
#endif
{ return Problem1INT1ID(casestring_1, INT_1, casestring_2, ID_1); }
static problem kc_opfn_Problem1ID1ID1ID
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1, ID ID_1, casestring casestring_2, ID ID_2, casestring casestring_3, ID ID_3)
#else
(kc_prod_sel, casestring_1, ID_1, casestring_2, ID_2, casestring_3, ID_3)kc_enum_operators kc_prod_sel;  casestring casestring_1;  ID ID_1;  casestring casestring_2;  ID ID_2;  casestring casestring_3;  ID ID_3; 
#endif
{ return Problem1ID1ID1ID(casestring_1, ID_1, casestring_2, ID_2, casestring_3, ID_3); }
static problem kc_opfn_Problem1INT1ID1ID
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1, INT INT_1, casestring casestring_2, ID ID_1, casestring casestring_3, ID ID_2)
#else
(kc_prod_sel, casestring_1, INT_1, casestring_2, ID_1, casestring_3, ID_2)kc_enum_operators kc_prod_sel;  casestring casestring_1;  INT INT_1;  casestring casestring_2;  ID ID_1;  casestring casestring_3;  ID ID_2; 
#endif
{ return Problem1INT1ID1ID(casestring_1, INT_1, casestring_2, ID_1, casestring_3, ID_2); }
static problem kc_opfn_Problem1storageoption1ID
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1, storageoption storageoption_1, casestring casestring_2, ID ID_1)
#else
(kc_prod_sel, casestring_1, storageoption_1, casestring_2, ID_1)kc_enum_operators kc_prod_sel;  casestring casestring_1;  storageoption storageoption_1;  casestring casestring_2;  ID ID_1; 
#endif
{ return Problem1storageoption1ID(casestring_1, storageoption_1, casestring_2, ID_1); }
static problem kc_opfn_Problem2
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1, casestring casestring_2)
#else
(kc_prod_sel, casestring_1, casestring_2)kc_enum_operators kc_prod_sel;  casestring casestring_1;  casestring casestring_2; 
#endif
{ return Problem2(casestring_1, casestring_2); }
static problem kc_opfn_Problem3
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1, casestring casestring_2, casestring casestring_3)
#else
(kc_prod_sel, casestring_1, casestring_2, casestring_3)kc_enum_operators kc_prod_sel;  casestring casestring_1;  casestring casestring_2;  casestring casestring_3; 
#endif
{ return Problem3(casestring_1, casestring_2, casestring_3); }
static problem kc_opfn_Problem3int1
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1, casestring casestring_2, casestring casestring_3, int int_1, casestring casestring_4)
#else
(kc_prod_sel, casestring_1, casestring_2, casestring_3, int_1, casestring_4)kc_enum_operators kc_prod_sel;  casestring casestring_1;  casestring casestring_2;  casestring casestring_3;  int int_1;  casestring casestring_4; 
#endif
{ return Problem3int1(casestring_1, casestring_2, casestring_3, int_1, casestring_4); }
static problem kc_opfn_Problem4
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1, casestring casestring_2, casestring casestring_3, casestring casestring_4)
#else
(kc_prod_sel, casestring_1, casestring_2, casestring_3, casestring_4)kc_enum_operators kc_prod_sel;  casestring casestring_1;  casestring casestring_2;  casestring casestring_3;  casestring casestring_4; 
#endif
{ return Problem4(casestring_1, casestring_2, casestring_3, casestring_4); }
static problem kc_opfn_Problem5
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1, casestring casestring_2, casestring casestring_3, casestring casestring_4, casestring casestring_5)
#else
(kc_prod_sel, casestring_1, casestring_2, casestring_3, casestring_4, casestring_5)kc_enum_operators kc_prod_sel;  casestring casestring_1;  casestring casestring_2;  casestring casestring_3;  casestring casestring_4;  casestring casestring_5; 
#endif
{ return Problem5(casestring_1, casestring_2, casestring_3, casestring_4, casestring_5); }
static problem kc_opfn_Problem6
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, casestring casestring_1, casestring casestring_2, casestring casestring_3, casestring casestring_4, casestring casestring_5, casestring casestring_6)
#else
(kc_prod_sel, casestring_1, casestring_2, casestring_3, casestring_4, casestring_5, casestring_6)kc_enum_operators kc_prod_sel;  casestring casestring_1;  casestring casestring_2;  casestring casestring_3;  casestring casestring_4;  casestring casestring_5;  casestring casestring_6; 
#endif
{ return Problem6(casestring_1, casestring_2, casestring_3, casestring_4, casestring_5, casestring_6); }
static addedphylumdeclarations kc_opfn_Niladdedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Niladdedphylumdeclarations(); }
static addedphylumdeclarations kc_opfn_Consaddedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, addedphylumdeclaration addedphylumdeclaration_1, addedphylumdeclarations addedphylumdeclarations_1)
#else
(kc_prod_sel, addedphylumdeclaration_1, addedphylumdeclarations_1)kc_enum_operators kc_prod_sel;  addedphylumdeclaration addedphylumdeclaration_1;  addedphylumdeclarations addedphylumdeclarations_1; 
#endif
{ return Consaddedphylumdeclarations(addedphylumdeclaration_1, addedphylumdeclarations_1); }
static addedphylumdeclaration kc_opfn_AddedPhylumdeclaration
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, uniqID uniqID_1)
#else
(kc_prod_sel, uniqID_1)kc_enum_operators kc_prod_sel;  uniqID uniqID_1; 
#endif
{ return AddedPhylumdeclaration(uniqID_1); }
static countedphylumdeclarations kc_opfn_Nilcountedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilcountedphylumdeclarations(); }
static countedphylumdeclarations kc_opfn_Conscountedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, countedphylumdeclaration countedphylumdeclaration_1, countedphylumdeclarations countedphylumdeclarations_1)
#else
(kc_prod_sel, countedphylumdeclaration_1, countedphylumdeclarations_1)kc_enum_operators kc_prod_sel;  countedphylumdeclaration countedphylumdeclaration_1;  countedphylumdeclarations countedphylumdeclarations_1; 
#endif
{ return Conscountedphylumdeclarations(countedphylumdeclaration_1, countedphylumdeclarations_1); }
static countedphylumdeclaration kc_opfn_CountedPhylumdeclaration
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, uniqID uniqID_1)
#else
(kc_prod_sel, uniqID_1)kc_enum_operators kc_prod_sel;  uniqID uniqID_1; 
#endif
{ return CountedPhylumdeclaration(uniqID_1); }
static bindingidmarks kc_opfn_Nilbindingidmarks
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel)
#else
(kc_prod_sel)kc_enum_operators kc_prod_sel;
#endif
{ return Nilbindingidmarks(); }
static bindingidmarks kc_opfn_Consbindingidmarks
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, bindingidmark bindingidmark_1, bindingidmarks bindingidmarks_1)
#else
(kc_prod_sel, bindingidmark_1, bindingidmarks_1)kc_enum_operators kc_prod_sel;  bindingidmark bindingidmark_1;  bindingidmarks bindingidmarks_1; 
#endif
{ return Consbindingidmarks(bindingidmark_1, bindingidmarks_1); }
static bindingidmark kc_opfn_BindingIdMark
#ifdef KC_USE_PROTOTYPES
(kc_enum_operators kc_prod_sel, uniqID uniqID_1)
#else
(kc_prod_sel, uniqID_1)kc_enum_operators kc_prod_sel;  uniqID uniqID_1; 
#endif
{ return BindingIdMark(uniqID_1); }

static kc_enum_phyla kc_subphyla_Str[] = { kc_phylum_casestring };
static kc_enum_phyla kc_subphyla_Id[] = { kc_phylum_uniqID };
static kc_enum_phyla kc_subphyla_Int[] = { kc_phylum_int };
static kc_enum_phyla kc_subphyla_String[] = { kc_phylum_casestring };
static kc_enum_phyla kc_subphyla_PhylumDeclarations[] = { kc_phylum_phylumdeclarations };
static kc_enum_phyla kc_subphyla_Consphylumdeclarations[] = { kc_phylum_phylumdeclaration, kc_phylum_phylumdeclarations };
static kc_enum_phyla kc_subphyla_Consphylumnames[] = { kc_phylum_ID, kc_phylum_phylumnames };
static kc_enum_phyla kc_subphyla_PhylumDeclaration[] = { kc_phylum_ID, kc_phylum_storageoption, kc_phylum_productionblock, kc_phylum_Ccode_option };
static kc_enum_phyla kc_subphyla_NegativeStorageOption[] = { kc_phylum_ID };
static kc_enum_phyla kc_subphyla_PositiveStorageOption[] = { kc_phylum_ID };
static kc_enum_phyla kc_subphyla_Consstorageclasses[] = { kc_phylum_ID, kc_phylum_storageclasses };
static kc_enum_phyla kc_subphyla_ListAlternatives[] = { kc_phylum_alternatives, kc_phylum_ID };
static kc_enum_phyla kc_subphyla_NonlistAlternatives[] = { kc_phylum_alternatives };
static kc_enum_phyla kc_subphyla_PredefinedAlternatives[] = { kc_phylum_alternatives };
static kc_enum_phyla kc_subphyla_Consalternatives[] = { kc_phylum_alternative, kc_phylum_alternatives };
static kc_enum_phyla kc_subphyla_Alternative[] = { kc_phylum_ID, kc_phylum_arguments };
static kc_enum_phyla kc_subphyla_Consarguments[] = { kc_phylum_ID, kc_phylum_arguments };
static kc_enum_phyla kc_subphyla_Argument[] = { kc_phylum_ID, kc_phylum_int };
static kc_enum_phyla kc_subphyla_CcodeOption[] = { kc_phylum_attributes, kc_phylum_Ctexts };
static kc_enum_phyla kc_subphyla_Consattributes[] = { kc_phylum_attribute, kc_phylum_attributes };
static kc_enum_phyla kc_subphyla_Attribute[] = { kc_phylum_ID, kc_phylum_ID, kc_phylum_attribute_initialisation_option };
static kc_enum_phyla kc_subphyla_Yesattribute_initialisation[] = { kc_phylum_Cexpression };
static kc_enum_phyla kc_subphyla_ConsCexpression[] = { kc_phylum_Cexpression_elem, kc_phylum_Cexpression };
static kc_enum_phyla kc_subphyla_CExpressionPart[] = { kc_phylum_casestring };
static kc_enum_phyla kc_subphyla_CExpressionDollarvar[] = { kc_phylum_INT };
static kc_enum_phyla kc_subphyla_CExpressionNl[] = { kc_phylum_int };
static kc_enum_phyla kc_subphyla_CExpressionDQ[] = { kc_phylum_CexpressionDQ };
static kc_enum_phyla kc_subphyla_CExpressionSQ[] = { kc_phylum_CexpressionSQ };
static kc_enum_phyla kc_subphyla_CExpressionPack[] = { kc_phylum_Cexpression };
static kc_enum_phyla kc_subphyla_CExpressionArray[] = { kc_phylum_Cexpression };
static kc_enum_phyla kc_subphyla_ConsCexpressionDQ[] = { kc_phylum_CexpressionDQ_elem, kc_phylum_CexpressionDQ };
static kc_enum_phyla kc_subphyla_CExpressionDQPart[] = { kc_phylum_casestring };
static kc_enum_phyla kc_subphyla_CExpressionDQNl[] = { kc_phylum_int };
static kc_enum_phyla kc_subphyla_ConsCexpressionSQ[] = { kc_phylum_CexpressionSQ_elem, kc_phylum_CexpressionSQ };
static kc_enum_phyla kc_subphyla_CExpressionSQPart[] = { kc_phylum_casestring };
static kc_enum_phyla kc_subphyla_CExpressionSQNl[] = { kc_phylum_int };
static kc_enum_phyla kc_subphyla_ConsidCexpressions[] = { kc_phylum_idCexpression, kc_phylum_idCexpressions };
static kc_enum_phyla kc_subphyla_IdCexpression[] = { kc_phylum_ID, kc_phylum_Cexpression };
static kc_enum_phyla kc_subphyla_ConsCtexts[] = { kc_phylum_Ctext, kc_phylum_Ctexts };
static kc_enum_phyla kc_subphyla_Consincludefiles[] = { kc_phylum_includefile, kc_phylum_includefiles };
static kc_enum_phyla kc_subphyla_IncludeFile[] = { kc_phylum_casestring };
static kc_enum_phyla kc_subphyla_Consincludedeclarations[] = { kc_phylum_includedeclaration, kc_phylum_includedeclarations };
static kc_enum_phyla kc_subphyla_IncludeDeclaration[] = { kc_phylum_includes };
static kc_enum_phyla kc_subphyla_Consincludes[] = { kc_phylum_include, kc_phylum_includes };
static kc_enum_phyla kc_subphyla_Include[] = { kc_phylum_casestring };
static kc_enum_phyla kc_subphyla_IncludeNl[] = { kc_phylum_int };
static kc_enum_phyla kc_subphyla_Consrwdeclarations[] = { kc_phylum_rwdeclaration, kc_phylum_rwdeclarations };
static kc_enum_phyla kc_subphyla_RwDeclaration[] = { kc_phylum_outmostpatterns, kc_phylum_rewriteclauses };
static kc_enum_phyla kc_subphyla_Consrewriteclauses[] = { kc_phylum_rewriteclause, kc_phylum_rewriteclauses };
static kc_enum_phyla kc_subphyla_RewriteClause[] = { kc_phylum_viewnames, kc_phylum_term };
static kc_enum_phyla kc_subphyla_Conspatternchains[] = { kc_phylum_patternchain, kc_phylum_patternchains };
static kc_enum_phyla kc_subphyla_Conspatternchain[] = { kc_phylum_patternchainitem, kc_phylum_patternchain };
static kc_enum_phyla kc_subphyla_Consoutmostpatterns[] = { kc_phylum_outmostpattern, kc_phylum_outmostpatterns };
static kc_enum_phyla kc_subphyla_PatternchainitemOutmost[] = { kc_phylum_outmostpattern };
static kc_enum_phyla kc_subphyla_PatternchainitemGroup[] = { kc_phylum_patternchains };
static kc_enum_phyla kc_subphyla_PatternchainitemDollarid[] = { kc_phylum_ID };
static kc_enum_phyla kc_subphyla_OPOperatorWildcard[] = { kc_phylum_ID };
static kc_enum_phyla kc_subphyla_OPOperator[] = { kc_phylum_ID, kc_phylum_patterns };
static kc_enum_phyla kc_subphyla_OPNonLeafVariable[] = { kc_phylum_ID, kc_phylum_outmostpattern };
static kc_enum_phyla kc_subphyla_PVariable[] = { kc_phylum_ID };
static kc_enum_phyla kc_subphyla_POperator[] = { kc_phylum_ID, kc_phylum_patterns };
static kc_enum_phyla kc_subphyla_PNonLeafVariable[] = { kc_phylum_ID, kc_phylum_pattern };
static kc_enum_phyla kc_subphyla_PStringLiteral[] = { kc_phylum_CexpressionDQ };
static kc_enum_phyla kc_subphyla_PIntLiteral[] = { kc_phylum_INT };
static kc_enum_phyla kc_subphyla_Conspatterns[] = { kc_phylum_pattern, kc_phylum_patterns };
static kc_enum_phyla kc_subphyla_TVariable[] = { kc_phylum_ID };
static kc_enum_phyla kc_subphyla_TOperator[] = { kc_phylum_ID, kc_phylum_terms };
static kc_enum_phyla kc_subphyla_TStringLiteral[] = { kc_phylum_CexpressionDQ };
static kc_enum_phyla kc_subphyla_TIntLiteral[] = { kc_phylum_INT };
static kc_enum_phyla kc_subphyla_Consterms[] = { kc_phylum_term, kc_phylum_terms };
static kc_enum_phyla kc_subphyla_Consfnfiles[] = { kc_phylum_fnfile, kc_phylum_fnfiles };
static kc_enum_phyla kc_subphyla_FnFile[] = { kc_phylum_casestring };
static kc_enum_phyla kc_subphyla_Consfndeclarations[] = { kc_phylum_fndeclaration, kc_phylum_fndeclarations };
static kc_enum_phyla kc_subphyla_FnDeclaration[] = { kc_phylum_ID, kc_phylum_int, kc_phylum_ID, kc_phylum_fnarguments, kc_phylum_Cvariabledeclarations, kc_phylum_Ctext, kc_phylum_fnclass };
static kc_enum_phyla kc_subphyla_FnAcDeclaration[] = { kc_phylum_ac_declaration_specifiers, kc_phylum_ac_declarator, kc_phylum_ac_declaration_list, kc_phylum_Ctext, kc_phylum_ID, kc_phylum_fnclass };
static kc_enum_phyla kc_subphyla_LocalFn[] = { kc_phylum_casestring };
static kc_enum_phyla kc_subphyla_Consfnarguments[] = { kc_phylum_ID, kc_phylum_fnarguments };
static kc_enum_phyla kc_subphyla_ConsCvariabledeclarations[] = { kc_phylum_Cvariabledeclaration, kc_phylum_Cvariabledeclarations };
static kc_enum_phyla kc_subphyla_CVariabledeclaration[] = { kc_phylum_ID, kc_phylum_Cvariables };
static kc_enum_phyla kc_subphyla_Fnargfpdecl[] = { kc_phylum_ID, kc_phylum_Cvariables };
static kc_enum_phyla kc_subphyla_ConsCvariables[] = { kc_phylum_Cvariable, kc_phylum_Cvariables };
static kc_enum_phyla kc_subphyla_CVPointer[] = { kc_phylum_int, kc_phylum_ID };
static kc_enum_phyla kc_subphyla_CVFunction[] = { kc_phylum_int, kc_phylum_int, kc_phylum_ID };
static kc_enum_phyla kc_subphyla_ConsCtext[] = { kc_phylum_Ctext_elem, kc_phylum_Ctext };
static kc_enum_phyla kc_subphyla_CTextLine[] = { kc_phylum_casestring };
static kc_enum_phyla kc_subphyla_CTextDollarVar[] = { kc_phylum_INT };
static kc_enum_phyla kc_subphyla_CTextNl[] = { kc_phylum_int };
static kc_enum_phyla kc_subphyla_CTextCexpressionDQ[] = { kc_phylum_CexpressionDQ };
static kc_enum_phyla kc_subphyla_CTextCexpressionSQ[] = { kc_phylum_CexpressionSQ };
static kc_enum_phyla kc_subphyla_CTextCbody[] = { kc_phylum_Ctext };
static kc_enum_phyla kc_subphyla_CTextForeachexpression[] = { kc_phylum_patternchain, kc_phylum_idCexpressions, kc_phylum_withexpressions, kc_phylum_Ctext, kc_phylum_foreach_after };
static kc_enum_phyla kc_subphyla_CTextWithexpression[] = { kc_phylum_withexpressions, kc_phylum_withcases, kc_phylum_contextinfo };
static kc_enum_phyla kc_subphyla_ForeachAfter[] = { kc_phylum_patternchain, kc_phylum_idCexpressions, kc_phylum_withexpressions, kc_phylum_Ctext };
static kc_enum_phyla kc_subphyla_InForeachContext[] = { kc_phylum_patternchain };
static kc_enum_phyla kc_subphyla_Conswithexpressions[] = { kc_phylum_withexpression, kc_phylum_withexpressions };
static kc_enum_phyla kc_subphyla_WEVariable[] = { kc_phylum_ID };
static kc_enum_phyla kc_subphyla_WECexpression[] = { kc_phylum_Cexpression };
static kc_enum_phyla kc_subphyla_Conswithcases[] = { kc_phylum_withcase, kc_phylum_withcases };
static kc_enum_phyla kc_subphyla_Withcase[] = { kc_phylum_patternchains, kc_phylum_Ctext };
static kc_enum_phyla kc_subphyla_Consunparsedeclarations[] = { kc_phylum_unparsedeclaration, kc_phylum_unparsedeclarations };
static kc_enum_phyla kc_subphyla_UnparseDeclaration[] = { kc_phylum_outmostpatterns, kc_phylum_unparseclauses };
static kc_enum_phyla kc_subphyla_Consunparseclauses[] = { kc_phylum_unparseclause, kc_phylum_unparseclauses };
static kc_enum_phyla kc_subphyla_UnparseClause[] = { kc_phylum_viewnames, kc_phylum_unparseitems };
static kc_enum_phyla kc_subphyla_Consviewnames[] = { kc_phylum_ID, kc_phylum_viewnames };
static kc_enum_phyla kc_subphyla_Consunparseitems[] = { kc_phylum_unparseitem, kc_phylum_unparseitems };
static kc_enum_phyla kc_subphyla_UnpStr[] = { kc_phylum_CexpressionDQ, kc_phylum_viewnameoption };
static kc_enum_phyla kc_subphyla_UnpSubexpr[] = { kc_phylum_unpsubterm, kc_phylum_viewnameoption };
static kc_enum_phyla kc_subphyla_UnpCtext[] = { kc_phylum_Ctext };
static kc_enum_phyla kc_subphyla_UnpBody[] = { kc_phylum_unparseitems };
static kc_enum_phyla kc_subphyla_UnpSubTerm[] = { kc_phylum_ID };
static kc_enum_phyla kc_subphyla_UnpDollarvarTerm[] = { kc_phylum_INT };
static kc_enum_phyla kc_subphyla_UnpSubAttr[] = { kc_phylum_ID, kc_phylum_unpattributes };
static kc_enum_phyla kc_subphyla_UnpDollarvarAttr[] = { kc_phylum_INT, kc_phylum_unpattributes };
static kc_enum_phyla kc_subphyla_UnpCastedVariable[] = { kc_phylum_ID, kc_phylum_ID };
static kc_enum_phyla kc_subphyla_Consunpattributes[] = { kc_phylum_ID, kc_phylum_unpattributes };
static kc_enum_phyla kc_subphyla_YesViewname[] = { kc_phylum_ID };
static kc_enum_phyla kc_subphyla_Consfilelinestack[] = { kc_phylum_fileline, kc_phylum_filelinestack };
static kc_enum_phyla kc_subphyla_FileLine[] = { kc_phylum_casestring, kc_phylum_int };
static kc_enum_phyla kc_subphyla_Consnooperatorsstack[] = { kc_phylum_int, kc_phylum_nooperatorsstack };
static kc_enum_phyla kc_subphyla_Consscopetypefilelinestack[] = { kc_phylum_scopetypefileline, kc_phylum_scopetypefilelinestack };
static kc_enum_phyla kc_subphyla_ScopeTypeFileLine[] = { kc_phylum_int, kc_phylum_IDtype, kc_phylum_casestring, kc_phylum_int };
static kc_enum_phyla kc_subphyla_ITPredefinedPhylum[] = { kc_phylum_phylumdeclaration };
static kc_enum_phyla kc_subphyla_ITPredefinedBigatomPhylum[] = { kc_phylum_phylumdeclaration };
static kc_enum_phyla kc_subphyla_ITUserPhylum[] = { kc_phylum_phylumdeclaration };
static kc_enum_phyla kc_subphyla_ITPredefinedOperator[] = { kc_phylum_alternative, kc_phylum_ID };
static kc_enum_phyla kc_subphyla_ITUserOperator[] = { kc_phylum_alternative, kc_phylum_ID };
static kc_enum_phyla kc_subphyla_ITUserFunction[] = { kc_phylum_fnclass };
static kc_enum_phyla kc_subphyla_ITPatternVariable[] = { kc_phylum_ID, kc_phylum_int };
static kc_enum_phyla kc_subphyla_Consoperatorsstack[] = { kc_phylum_operators, kc_phylum_operatorsstack };
static kc_enum_phyla kc_subphyla_Consoperators[] = { kc_phylum_ID, kc_phylum_operators };
static kc_enum_phyla kc_subphyla_Consphyla[] = { kc_phylum_ID, kc_phylum_phyla };
static kc_enum_phyla kc_subphyla_Consvariables[] = { kc_phylum_ID, kc_phylum_variables };
static kc_enum_phyla kc_subphyla_Consargumentsstack[] = { kc_phylum_arguments, kc_phylum_argumentsstack };
static kc_enum_phyla kc_subphyla_Consphylumstack[] = { kc_phylum_ID, kc_phylum_phylumstack };
static kc_enum_phyla kc_subphyla_Consphylumnamesstack[] = { kc_phylum_phylumnames, kc_phylum_phylumnamesstack };
static kc_enum_phyla kc_subphyla_Conswithexpressionsstack[] = { kc_phylum_withexpressions, kc_phylum_withexpressionsstack };
static kc_enum_phyla kc_subphyla_Consoperatorstack[] = { kc_phylum_ID, kc_phylum_operatorstack };
static kc_enum_phyla kc_subphyla_Consvariablesstack[] = { kc_phylum_variables, kc_phylum_variablesstack };
static kc_enum_phyla kc_subphyla_Consselvarstack[] = { kc_phylum_ID, kc_phylum_selvarstack };
static kc_enum_phyla kc_subphyla_Consdollarvarsallowedstack[] = { kc_phylum_dollarvarstatus, kc_phylum_dollarvarsallowedstack };
static kc_enum_phyla kc_subphyla_Consintstack[] = { kc_phylum_int, kc_phylum_intstack };
static kc_enum_phyla kc_subphyla_ConsidCexpressionsstack[] = { kc_phylum_idCexpressions, kc_phylum_idCexpressionsstack };
static kc_enum_phyla kc_subphyla_TwoStorageoption[] = { kc_phylum_storageoption, kc_phylum_storageoption };
static kc_enum_phyla kc_subphyla_TwoProductionblock[] = { kc_phylum_productionblock, kc_phylum_productionblock };
static kc_enum_phyla kc_subphyla_TwoCcode_option[] = { kc_phylum_Ccode_option, kc_phylum_Ccode_option };
static kc_enum_phyla kc_subphyla_TwoRewriteruleinfo[] = { kc_phylum_rewriteruleinfo, kc_phylum_rewriteruleinfo };
static kc_enum_phyla kc_subphyla_TwoWithcaseinfo[] = { kc_phylum_withcaseinfo, kc_phylum_withcaseinfo };
static kc_enum_phyla kc_subphyla_TwoUnparsedeclinfo[] = { kc_phylum_unparsedeclinfo, kc_phylum_unparsedeclinfo };
static kc_enum_phyla kc_subphyla_TwoPatternrepresentation[] = { kc_phylum_patternrepresentation, kc_phylum_patternrepresentation };
static kc_enum_phyla kc_subphyla_TwoElem_patternrepresentation[] = { kc_phylum_elem_patternrepresentation, kc_phylum_elem_patternrepresentation };
static kc_enum_phyla kc_subphyla_TwoPaths[] = { kc_phylum_paths, kc_phylum_paths };
static kc_enum_phyla kc_subphyla_TwoPath[] = { kc_phylum_path, kc_phylum_path };
static kc_enum_phyla kc_subphyla_Conspatternrepresentations[] = { kc_phylum_patternrepresentation, kc_phylum_patternrepresentations };
static kc_enum_phyla kc_subphyla_Conspatternrepresentation[] = { kc_phylum_elem_patternrepresentation, kc_phylum_patternrepresentation };
static kc_enum_phyla kc_subphyla_PRBinding[] = { kc_phylum_path, kc_phylum_ID };
static kc_enum_phyla kc_subphyla_PRVarPredicate[] = { kc_phylum_paths, kc_phylum_ID, kc_phylum_patternrepresentation };
static kc_enum_phyla kc_subphyla_PROperPredicate[] = { kc_phylum_path, kc_phylum_ID };
static kc_enum_phyla kc_subphyla_PRNonLeafBinding[] = { kc_phylum_path, kc_phylum_ID, kc_phylum_patternrepresentation };
static kc_enum_phyla kc_subphyla_PRWildcard[] = { kc_phylum_path };
static kc_enum_phyla kc_subphyla_PRStringLiteral[] = { kc_phylum_path, kc_phylum_CexpressionDQ };
static kc_enum_phyla kc_subphyla_PRIntLiteral[] = { kc_phylum_path, kc_phylum_INT };
static kc_enum_phyla kc_subphyla_Conspath[] = { kc_phylum_int, kc_phylum_path };
static kc_enum_phyla kc_subphyla_Conspaths[] = { kc_phylum_path, kc_phylum_paths };
static kc_enum_phyla kc_subphyla_Consargsnumbers[] = { kc_phylum_int, kc_phylum_argsnumbers };
static kc_enum_phyla kc_subphyla_Consrewriterulesinfo[] = { kc_phylum_rewriteruleinfo, kc_phylum_rewriterulesinfo };
static kc_enum_phyla kc_subphyla_Rewriteruleinfo[] = { kc_phylum_patternrepresentation, kc_phylum_patternrepresentation, kc_phylum_rewriteclause };
static kc_enum_phyla kc_subphyla_Conswithcasesinfo[] = { kc_phylum_withcaseinfo, kc_phylum_withcasesinfo };
static kc_enum_phyla kc_subphyla_Withcaseinfo[] = { kc_phylum_patternrepresentation, kc_phylum_patternrepresentation, kc_phylum_Ctext };
static kc_enum_phyla kc_subphyla_Consrewriteviewsinfo[] = { kc_phylum_rewriteviewinfo, kc_phylum_rewriteviewsinfo };
static kc_enum_phyla kc_subphyla_Rewriteviewinfo[] = { kc_phylum_ID, kc_phylum_rewriterulesinfo };
static kc_enum_phyla kc_subphyla_Consunparseviewsinfo[] = { kc_phylum_unparseviewinfo, kc_phylum_unparseviewsinfo };
static kc_enum_phyla kc_subphyla_Unparseviewinfo[] = { kc_phylum_ID, kc_phylum_unparsedeclsinfo };
static kc_enum_phyla kc_subphyla_Consunparsedeclsinfo[] = { kc_phylum_unparsedeclinfo, kc_phylum_unparsedeclsinfo };
static kc_enum_phyla kc_subphyla_Unparsedeclinfo[] = { kc_phylum_patternrepresentation, kc_phylum_patternrepresentation, kc_phylum_unparseclause };
static kc_enum_phyla kc_subphyla_AcDeclaration[] = { kc_phylum_ac_declaration_specifiers, kc_phylum_ac_init_declarator_list };
static kc_enum_phyla kc_subphyla_Consac_declaration_list[] = { kc_phylum_ac_declaration, kc_phylum_ac_declaration_list };
static kc_enum_phyla kc_subphyla_Consac_declaration_specifiers[] = { kc_phylum_ac_declaration_specifier, kc_phylum_ac_declaration_specifiers };
static kc_enum_phyla kc_subphyla_AcDeclSpecStorageSpec[] = { kc_phylum_ac_storage_class_specifier };
static kc_enum_phyla kc_subphyla_AcDeclSpecTypeSpec[] = { kc_phylum_ac_type_specifier };
static kc_enum_phyla kc_subphyla_AcDeclSpecTypeQual[] = { kc_phylum_ac_type_qualifier };
static kc_enum_phyla kc_subphyla_AcTypeSpec[] = { kc_phylum_ID };
static kc_enum_phyla kc_subphyla_Consac_init_declarator_list[] = { kc_phylum_ac_init_declarator, kc_phylum_ac_init_declarator_list };
static kc_enum_phyla kc_subphyla_AcInitDecl[] = { kc_phylum_ac_declarator };
static kc_enum_phyla kc_subphyla_AcDeclarator[] = { kc_phylum_ac_pointer_option, kc_phylum_ac_direct_declarator };
static kc_enum_phyla kc_subphyla_AcDirectDeclId[] = { kc_phylum_ID };
static kc_enum_phyla kc_subphyla_AcDirectDeclPack[] = { kc_phylum_ac_declarator };
static kc_enum_phyla kc_subphyla_AcDirectDeclArray[] = { kc_phylum_ac_direct_declarator, kc_phylum_ac_constant_expression_option };
static kc_enum_phyla kc_subphyla_AcDirectDeclProto[] = { kc_phylum_ac_direct_declarator, kc_phylum_ac_parameter_type_list };
static kc_enum_phyla kc_subphyla_AcDirectDeclKandR[] = { kc_phylum_ac_direct_declarator, kc_phylum_ac_identifier_list };
static kc_enum_phyla kc_subphyla_Yespointer[] = { kc_phylum_ac_pointer };
static kc_enum_phyla kc_subphyla_AcPointerNil[] = { kc_phylum_ac_type_qualifier_list };
static kc_enum_phyla kc_subphyla_AcPointerCons[] = { kc_phylum_ac_type_qualifier_list, kc_phylum_ac_pointer };
static kc_enum_phyla kc_subphyla_Consac_type_qualifier_list[] = { kc_phylum_ac_type_qualifier, kc_phylum_ac_type_qualifier_list };
static kc_enum_phyla kc_subphyla_AcParList[] = { kc_phylum_ac_parameter_list };
static kc_enum_phyla kc_subphyla_AcParList3Dot[] = { kc_phylum_ac_parameter_list };
static kc_enum_phyla kc_subphyla_Consac_parameter_list[] = { kc_phylum_ac_parameter_declaration, kc_phylum_ac_parameter_list };
static kc_enum_phyla kc_subphyla_AcParDeclDecl[] = { kc_phylum_ac_declaration_specifiers, kc_phylum_ac_declarator };
static kc_enum_phyla kc_subphyla_AcParDeclAbsdecl[] = { kc_phylum_ac_declaration_specifiers, kc_phylum_ac_abstract_declarator };
static kc_enum_phyla kc_subphyla_Consac_identifier_list[] = { kc_phylum_ID, kc_phylum_ac_identifier_list };
static kc_enum_phyla kc_subphyla_AcAbsdeclPointer[] = { kc_phylum_ac_pointer };
static kc_enum_phyla kc_subphyla_AcAbsdeclDirdecl[] = { kc_phylum_ac_pointer_option, kc_phylum_ac_direct_abstract_declarator };
static kc_enum_phyla kc_subphyla_Yesac_direct_abstract_declarator[] = { kc_phylum_ac_direct_abstract_declarator };
static kc_enum_phyla kc_subphyla_AcDirAbsdeclPack[] = { kc_phylum_ac_abstract_declarator };
static kc_enum_phyla kc_subphyla_AcDirAbsdeclArray[] = { kc_phylum_ac_direct_abstract_declarator_option, kc_phylum_ac_constant_expression_option };
static kc_enum_phyla kc_subphyla_AcDirAbsdeclFn[] = { kc_phylum_ac_direct_abstract_declarator_option, kc_phylum_ac_parameter_type_list };
static kc_enum_phyla kc_subphyla_Yesac_constant_expression[] = { kc_phylum_ac_constant_expression };
static kc_enum_phyla kc_subphyla_AcConstExpr[] = { kc_phylum_Cexpression };
static kc_enum_phyla kc_subphyla_Fatal[] = { kc_phylum_fileline, kc_phylum_problem };
static kc_enum_phyla kc_subphyla_NonFatal[] = { kc_phylum_fileline, kc_phylum_problem };
static kc_enum_phyla kc_subphyla_Warning[] = { kc_phylum_fileline, kc_phylum_problem };
static kc_enum_phyla kc_subphyla_Problem1[] = { kc_phylum_casestring };
static kc_enum_phyla kc_subphyla_Problem1ID[] = { kc_phylum_casestring, kc_phylum_ID };
static kc_enum_phyla kc_subphyla_Problem1tID[] = { kc_phylum_casestring, kc_phylum_ID };
static kc_enum_phyla kc_subphyla_Problem1we[] = { kc_phylum_casestring, kc_phylum_withexpression };
static kc_enum_phyla kc_subphyla_Problem1ID1ID[] = { kc_phylum_casestring, kc_phylum_ID, kc_phylum_casestring, kc_phylum_ID };
static kc_enum_phyla kc_subphyla_Problem1t1ID[] = { kc_phylum_casestring, kc_phylum_IDtype, kc_phylum_casestring, kc_phylum_ID };
static kc_enum_phyla kc_subphyla_Problem1INT[] = { kc_phylum_casestring, kc_phylum_INT };
static kc_enum_phyla kc_subphyla_Problem1int1[] = { kc_phylum_casestring, kc_phylum_int, kc_phylum_casestring };
static kc_enum_phyla kc_subphyla_Problem1INT1ID[] = { kc_phylum_casestring, kc_phylum_INT, kc_phylum_casestring, kc_phylum_ID };
static kc_enum_phyla kc_subphyla_Problem1ID1ID1ID[] = { kc_phylum_casestring, kc_phylum_ID, kc_phylum_casestring, kc_phylum_ID, kc_phylum_casestring, kc_phylum_ID };
static kc_enum_phyla kc_subphyla_Problem1INT1ID1ID[] = { kc_phylum_casestring, kc_phylum_INT, kc_phylum_casestring, kc_phylum_ID, kc_phylum_casestring, kc_phylum_ID };
static kc_enum_phyla kc_subphyla_Problem1storageoption1ID[] = { kc_phylum_casestring, kc_phylum_storageoption, kc_phylum_casestring, kc_phylum_ID };
static kc_enum_phyla kc_subphyla_Problem2[] = { kc_phylum_casestring, kc_phylum_casestring };
static kc_enum_phyla kc_subphyla_Problem3[] = { kc_phylum_casestring, kc_phylum_casestring, kc_phylum_casestring };
static kc_enum_phyla kc_subphyla_Problem3int1[] = { kc_phylum_casestring, kc_phylum_casestring, kc_phylum_casestring, kc_phylum_int, kc_phylum_casestring };
static kc_enum_phyla kc_subphyla_Problem4[] = { kc_phylum_casestring, kc_phylum_casestring, kc_phylum_casestring, kc_phylum_casestring };
static kc_enum_phyla kc_subphyla_Problem5[] = { kc_phylum_casestring, kc_phylum_casestring, kc_phylum_casestring, kc_phylum_casestring, kc_phylum_casestring };
static kc_enum_phyla kc_subphyla_Problem6[] = { kc_phylum_casestring, kc_phylum_casestring, kc_phylum_casestring, kc_phylum_casestring, kc_phylum_casestring, kc_phylum_casestring };
static kc_enum_phyla kc_subphyla_Consaddedphylumdeclarations[] = { kc_phylum_addedphylumdeclaration, kc_phylum_addedphylumdeclarations };
static kc_enum_phyla kc_subphyla_AddedPhylumdeclaration[] = { kc_phylum_uniqID };
static kc_enum_phyla kc_subphyla_Conscountedphylumdeclarations[] = { kc_phylum_countedphylumdeclaration, kc_phylum_countedphylumdeclarations };
static kc_enum_phyla kc_subphyla_CountedPhylumdeclaration[] = { kc_phylum_uniqID };
static kc_enum_phyla kc_subphyla_Consbindingidmarks[] = { kc_phylum_bindingidmark, kc_phylum_bindingidmarks };
static kc_enum_phyla kc_subphyla_BindingIdMark[] = { kc_phylum_uniqID };


#ifndef KC_OFFSETOF
#  define KC_OFFSETOF(kc_record, kc_operator, kc_subphylum) ((kc_size_t) \
   ((char*)(&((kc_record *)0)->u.kc_operator.kc_subphylum) - (char*)((kc_record *)0)))
#endif
static kc_size_t kc_suboffsets_Str[] = { KC_OFFSETOF( struct kc_tag_uniqID, Str, casestring_1 ) };
static kc_size_t kc_suboffsets_Id[] = { KC_OFFSETOF( struct kc_tag_ID, Id, uniqID_1 ) };
static kc_size_t kc_suboffsets_Int[] = { KC_OFFSETOF( struct kc_tag_INT, Int, int_1 ) };
static kc_size_t kc_suboffsets_String[] = { KC_OFFSETOF( struct kc_tag_STRING, String, casestring_1 ) };
static kc_size_t kc_suboffsets_PhylumDeclarations[] = { KC_OFFSETOF( struct kc_tag_phylumdeclarationsroot, PhylumDeclarations, phylumdeclarations_1 ) };
static kc_size_t kc_suboffsets_Consphylumdeclarations[] = { KC_OFFSETOF( struct kc_tag_phylumdeclarations, Consphylumdeclarations, phylumdeclaration_1 ), KC_OFFSETOF( struct kc_tag_phylumdeclarations, Consphylumdeclarations, phylumdeclarations_1 ) };
static kc_size_t kc_suboffsets_Consphylumnames[] = { KC_OFFSETOF( struct kc_tag_phylumnames, Consphylumnames, ID_1 ), KC_OFFSETOF( struct kc_tag_phylumnames, Consphylumnames, phylumnames_1 ) };
static kc_size_t kc_suboffsets_PhylumDeclaration[] = { KC_OFFSETOF( struct kc_tag_phylumdeclaration, PhylumDeclaration, ID_1 ), KC_OFFSETOF( struct kc_tag_phylumdeclaration, PhylumDeclaration, storageoption_1 ), KC_OFFSETOF( struct kc_tag_phylumdeclaration, PhylumDeclaration, productionblock_1 ), KC_OFFSETOF( struct kc_tag_phylumdeclaration, PhylumDeclaration, Ccode_option_1 ) };
static kc_size_t kc_suboffsets_NegativeStorageOption[] = { KC_OFFSETOF( struct kc_tag_storageoption, NegativeStorageOption, ID_1 ) };
static kc_size_t kc_suboffsets_PositiveStorageOption[] = { KC_OFFSETOF( struct kc_tag_storageoption, PositiveStorageOption, ID_1 ) };
static kc_size_t kc_suboffsets_Consstorageclasses[] = { KC_OFFSETOF( struct kc_tag_storageclasses, Consstorageclasses, ID_1 ), KC_OFFSETOF( struct kc_tag_storageclasses, Consstorageclasses, storageclasses_1 ) };
static kc_size_t kc_suboffsets_ListAlternatives[] = { KC_OFFSETOF( struct kc_tag_productionblock, ListAlternatives, alternatives_1 ), KC_OFFSETOF( struct kc_tag_productionblock, ListAlternatives, ID_1 ) };
static kc_size_t kc_suboffsets_NonlistAlternatives[] = { KC_OFFSETOF( struct kc_tag_productionblock, NonlistAlternatives, alternatives_1 ) };
static kc_size_t kc_suboffsets_PredefinedAlternatives[] = { KC_OFFSETOF( struct kc_tag_productionblock, PredefinedAlternatives, alternatives_1 ) };
static kc_size_t kc_suboffsets_Consalternatives[] = { KC_OFFSETOF( struct kc_tag_alternatives, Consalternatives, alternative_1 ), KC_OFFSETOF( struct kc_tag_alternatives, Consalternatives, alternatives_1 ) };
static kc_size_t kc_suboffsets_Alternative[] = { KC_OFFSETOF( struct kc_tag_alternative, Alternative, ID_1 ), KC_OFFSETOF( struct kc_tag_alternative, Alternative, arguments_1 ) };
static kc_size_t kc_suboffsets_Consarguments[] = { KC_OFFSETOF( struct kc_tag_arguments, Consarguments, ID_1 ), KC_OFFSETOF( struct kc_tag_arguments, Consarguments, arguments_1 ) };
static kc_size_t kc_suboffsets_Argument[] = { KC_OFFSETOF( struct kc_tag_argument, Argument, ID_1 ), KC_OFFSETOF( struct kc_tag_argument, Argument, int_1 ) };
static kc_size_t kc_suboffsets_CcodeOption[] = { KC_OFFSETOF( struct kc_tag_Ccode_option, CcodeOption, attributes_1 ), KC_OFFSETOF( struct kc_tag_Ccode_option, CcodeOption, Ctexts_1 ) };
static kc_size_t kc_suboffsets_Consattributes[] = { KC_OFFSETOF( struct kc_tag_attributes, Consattributes, attribute_1 ), KC_OFFSETOF( struct kc_tag_attributes, Consattributes, attributes_1 ) };
static kc_size_t kc_suboffsets_Attribute[] = { KC_OFFSETOF( struct kc_tag_attribute, Attribute, ID_1 ), KC_OFFSETOF( struct kc_tag_attribute, Attribute, ID_2 ), KC_OFFSETOF( struct kc_tag_attribute, Attribute, attribute_initialisation_option_1 ) };
static kc_size_t kc_suboffsets_Yesattribute_initialisation[] = { KC_OFFSETOF( struct kc_tag_attribute_initialisation_option, Yesattribute_initialisation, Cexpression_1 ) };
static kc_size_t kc_suboffsets_ConsCexpression[] = { KC_OFFSETOF( struct kc_tag_Cexpression, ConsCexpression, Cexpression_elem_1 ), KC_OFFSETOF( struct kc_tag_Cexpression, ConsCexpression, Cexpression_1 ) };
static kc_size_t kc_suboffsets_CExpressionPart[] = { KC_OFFSETOF( struct kc_tag_Cexpression_elem, CExpressionPart, casestring_1 ) };
static kc_size_t kc_suboffsets_CExpressionDollarvar[] = { KC_OFFSETOF( struct kc_tag_Cexpression_elem, CExpressionDollarvar, INT_1 ) };
static kc_size_t kc_suboffsets_CExpressionNl[] = { KC_OFFSETOF( struct kc_tag_Cexpression_elem, CExpressionNl, int_1 ) };
static kc_size_t kc_suboffsets_CExpressionDQ[] = { KC_OFFSETOF( struct kc_tag_Cexpression_elem, CExpressionDQ, CexpressionDQ_1 ) };
static kc_size_t kc_suboffsets_CExpressionSQ[] = { KC_OFFSETOF( struct kc_tag_Cexpression_elem, CExpressionSQ, CexpressionSQ_1 ) };
static kc_size_t kc_suboffsets_CExpressionPack[] = { KC_OFFSETOF( struct kc_tag_Cexpression_elem, CExpressionPack, Cexpression_1 ) };
static kc_size_t kc_suboffsets_CExpressionArray[] = { KC_OFFSETOF( struct kc_tag_Cexpression_elem, CExpressionArray, Cexpression_1 ) };
static kc_size_t kc_suboffsets_ConsCexpressionDQ[] = { KC_OFFSETOF( struct kc_tag_CexpressionDQ, ConsCexpressionDQ, CexpressionDQ_elem_1 ), KC_OFFSETOF( struct kc_tag_CexpressionDQ, ConsCexpressionDQ, CexpressionDQ_1 ) };
static kc_size_t kc_suboffsets_CExpressionDQPart[] = { KC_OFFSETOF( struct kc_tag_CexpressionDQ_elem, CExpressionDQPart, casestring_1 ) };
static kc_size_t kc_suboffsets_CExpressionDQNl[] = { KC_OFFSETOF( struct kc_tag_CexpressionDQ_elem, CExpressionDQNl, int_1 ) };
static kc_size_t kc_suboffsets_ConsCexpressionSQ[] = { KC_OFFSETOF( struct kc_tag_CexpressionSQ, ConsCexpressionSQ, CexpressionSQ_elem_1 ), KC_OFFSETOF( struct kc_tag_CexpressionSQ, ConsCexpressionSQ, CexpressionSQ_1 ) };
static kc_size_t kc_suboffsets_CExpressionSQPart[] = { KC_OFFSETOF( struct kc_tag_CexpressionSQ_elem, CExpressionSQPart, casestring_1 ) };
static kc_size_t kc_suboffsets_CExpressionSQNl[] = { KC_OFFSETOF( struct kc_tag_CexpressionSQ_elem, CExpressionSQNl, int_1 ) };
static kc_size_t kc_suboffsets_ConsidCexpressions[] = { KC_OFFSETOF( struct kc_tag_idCexpressions, ConsidCexpressions, idCexpression_1 ), KC_OFFSETOF( struct kc_tag_idCexpressions, ConsidCexpressions, idCexpressions_1 ) };
static kc_size_t kc_suboffsets_IdCexpression[] = { KC_OFFSETOF( struct kc_tag_idCexpression, IdCexpression, ID_1 ), KC_OFFSETOF( struct kc_tag_idCexpression, IdCexpression, Cexpression_1 ) };
static kc_size_t kc_suboffsets_ConsCtexts[] = { KC_OFFSETOF( struct kc_tag_Ctexts, ConsCtexts, Ctext_1 ), KC_OFFSETOF( struct kc_tag_Ctexts, ConsCtexts, Ctexts_1 ) };
static kc_size_t kc_suboffsets_Consincludefiles[] = { KC_OFFSETOF( struct kc_tag_includefiles, Consincludefiles, includefile_1 ), KC_OFFSETOF( struct kc_tag_includefiles, Consincludefiles, includefiles_1 ) };
static kc_size_t kc_suboffsets_IncludeFile[] = { KC_OFFSETOF( struct kc_tag_includefile, IncludeFile, casestring_1 ) };
static kc_size_t kc_suboffsets_Consincludedeclarations[] = { KC_OFFSETOF( struct kc_tag_includedeclarations, Consincludedeclarations, includedeclaration_1 ), KC_OFFSETOF( struct kc_tag_includedeclarations, Consincludedeclarations, includedeclarations_1 ) };
static kc_size_t kc_suboffsets_IncludeDeclaration[] = { KC_OFFSETOF( struct kc_tag_includedeclaration, IncludeDeclaration, includes_1 ) };
static kc_size_t kc_suboffsets_Consincludes[] = { KC_OFFSETOF( struct kc_tag_includes, Consincludes, include_1 ), KC_OFFSETOF( struct kc_tag_includes, Consincludes, includes_1 ) };
static kc_size_t kc_suboffsets_Include[] = { KC_OFFSETOF( struct kc_tag_include, Include, casestring_1 ) };
static kc_size_t kc_suboffsets_IncludeNl[] = { KC_OFFSETOF( struct kc_tag_include, IncludeNl, int_1 ) };
static kc_size_t kc_suboffsets_Consrwdeclarations[] = { KC_OFFSETOF( struct kc_tag_rwdeclarations, Consrwdeclarations, rwdeclaration_1 ), KC_OFFSETOF( struct kc_tag_rwdeclarations, Consrwdeclarations, rwdeclarations_1 ) };
static kc_size_t kc_suboffsets_RwDeclaration[] = { KC_OFFSETOF( struct kc_tag_rwdeclaration, RwDeclaration, outmostpatterns_1 ), KC_OFFSETOF( struct kc_tag_rwdeclaration, RwDeclaration, rewriteclauses_1 ) };
static kc_size_t kc_suboffsets_Consrewriteclauses[] = { KC_OFFSETOF( struct kc_tag_rewriteclauses, Consrewriteclauses, rewriteclause_1 ), KC_OFFSETOF( struct kc_tag_rewriteclauses, Consrewriteclauses, rewriteclauses_1 ) };
static kc_size_t kc_suboffsets_RewriteClause[] = { KC_OFFSETOF( struct kc_tag_rewriteclause, RewriteClause, viewnames_1 ), KC_OFFSETOF( struct kc_tag_rewriteclause, RewriteClause, term_1 ) };
static kc_size_t kc_suboffsets_Conspatternchains[] = { KC_OFFSETOF( struct kc_tag_patternchains, Conspatternchains, patternchain_1 ), KC_OFFSETOF( struct kc_tag_patternchains, Conspatternchains, patternchains_1 ) };
static kc_size_t kc_suboffsets_Conspatternchain[] = { KC_OFFSETOF( struct kc_tag_patternchain, Conspatternchain, patternchainitem_1 ), KC_OFFSETOF( struct kc_tag_patternchain, Conspatternchain, patternchain_1 ) };
static kc_size_t kc_suboffsets_Consoutmostpatterns[] = { KC_OFFSETOF( struct kc_tag_outmostpatterns, Consoutmostpatterns, outmostpattern_1 ), KC_OFFSETOF( struct kc_tag_outmostpatterns, Consoutmostpatterns, outmostpatterns_1 ) };
static kc_size_t kc_suboffsets_PatternchainitemOutmost[] = { KC_OFFSETOF( struct kc_tag_patternchainitem, PatternchainitemOutmost, outmostpattern_1 ) };
static kc_size_t kc_suboffsets_PatternchainitemGroup[] = { KC_OFFSETOF( struct kc_tag_patternchainitem, PatternchainitemGroup, patternchains_1 ) };
static kc_size_t kc_suboffsets_PatternchainitemDollarid[] = { KC_OFFSETOF( struct kc_tag_patternchainitem, PatternchainitemDollarid, ID_1 ) };
static kc_size_t kc_suboffsets_OPOperatorWildcard[] = { KC_OFFSETOF( struct kc_tag_outmostpattern, OPOperatorWildcard, ID_1 ) };
static kc_size_t kc_suboffsets_OPOperator[] = { KC_OFFSETOF( struct kc_tag_outmostpattern, OPOperator, ID_1 ), KC_OFFSETOF( struct kc_tag_outmostpattern, OPOperator, patterns_1 ) };
static kc_size_t kc_suboffsets_OPNonLeafVariable[] = { KC_OFFSETOF( struct kc_tag_outmostpattern, OPNonLeafVariable, ID_1 ), KC_OFFSETOF( struct kc_tag_outmostpattern, OPNonLeafVariable, outmostpattern_1 ) };
static kc_size_t kc_suboffsets_PVariable[] = { KC_OFFSETOF( struct kc_tag_pattern, PVariable, ID_1 ) };
static kc_size_t kc_suboffsets_POperator[] = { KC_OFFSETOF( struct kc_tag_pattern, POperator, ID_1 ), KC_OFFSETOF( struct kc_tag_pattern, POperator, patterns_1 ) };
static kc_size_t kc_suboffsets_PNonLeafVariable[] = { KC_OFFSETOF( struct kc_tag_pattern, PNonLeafVariable, ID_1 ), KC_OFFSETOF( struct kc_tag_pattern, PNonLeafVariable, pattern_1 ) };
static kc_size_t kc_suboffsets_PStringLiteral[] = { KC_OFFSETOF( struct kc_tag_pattern, PStringLiteral, CexpressionDQ_1 ) };
static kc_size_t kc_suboffsets_PIntLiteral[] = { KC_OFFSETOF( struct kc_tag_pattern, PIntLiteral, INT_1 ) };
static kc_size_t kc_suboffsets_Conspatterns[] = { KC_OFFSETOF( struct kc_tag_patterns, Conspatterns, pattern_1 ), KC_OFFSETOF( struct kc_tag_patterns, Conspatterns, patterns_1 ) };
static kc_size_t kc_suboffsets_TVariable[] = { KC_OFFSETOF( struct kc_tag_term, TVariable, ID_1 ) };
static kc_size_t kc_suboffsets_TOperator[] = { KC_OFFSETOF( struct kc_tag_term, TOperator, ID_1 ), KC_OFFSETOF( struct kc_tag_term, TOperator, terms_1 ) };
static kc_size_t kc_suboffsets_TStringLiteral[] = { KC_OFFSETOF( struct kc_tag_term, TStringLiteral, CexpressionDQ_1 ) };
static kc_size_t kc_suboffsets_TIntLiteral[] = { KC_OFFSETOF( struct kc_tag_term, TIntLiteral, INT_1 ) };
static kc_size_t kc_suboffsets_Consterms[] = { KC_OFFSETOF( struct kc_tag_terms, Consterms, term_1 ), KC_OFFSETOF( struct kc_tag_terms, Consterms, terms_1 ) };
static kc_size_t kc_suboffsets_Consfnfiles[] = { KC_OFFSETOF( struct kc_tag_fnfiles, Consfnfiles, fnfile_1 ), KC_OFFSETOF( struct kc_tag_fnfiles, Consfnfiles, fnfiles_1 ) };
static kc_size_t kc_suboffsets_FnFile[] = { KC_OFFSETOF( struct kc_tag_fnfile, FnFile, casestring_1 ) };
static kc_size_t kc_suboffsets_Consfndeclarations[] = { KC_OFFSETOF( struct kc_tag_fndeclarations, Consfndeclarations, fndeclaration_1 ), KC_OFFSETOF( struct kc_tag_fndeclarations, Consfndeclarations, fndeclarations_1 ) };
static kc_size_t kc_suboffsets_FnDeclaration[] = { KC_OFFSETOF( struct kc_tag_fndeclaration, FnDeclaration, ID_1 ), KC_OFFSETOF( struct kc_tag_fndeclaration, FnDeclaration, int_1 ), KC_OFFSETOF( struct kc_tag_fndeclaration, FnDeclaration, ID_2 ), KC_OFFSETOF( struct kc_tag_fndeclaration, FnDeclaration, fnarguments_1 ), KC_OFFSETOF( struct kc_tag_fndeclaration, FnDeclaration, Cvariabledeclarations_1 ), KC_OFFSETOF( struct kc_tag_fndeclaration, FnDeclaration, Ctext_1 ), KC_OFFSETOF( struct kc_tag_fndeclaration, FnDeclaration, fnclass_1 ) };
static kc_size_t kc_suboffsets_FnAcDeclaration[] = { KC_OFFSETOF( struct kc_tag_fndeclaration, FnAcDeclaration, ac_declaration_specifiers_1 ), KC_OFFSETOF( struct kc_tag_fndeclaration, FnAcDeclaration, ac_declarator_1 ), KC_OFFSETOF( struct kc_tag_fndeclaration, FnAcDeclaration, ac_declaration_list_1 ), KC_OFFSETOF( struct kc_tag_fndeclaration, FnAcDeclaration, Ctext_1 ), KC_OFFSETOF( struct kc_tag_fndeclaration, FnAcDeclaration, ID_1 ), KC_OFFSETOF( struct kc_tag_fndeclaration, FnAcDeclaration, fnclass_1 ) };
static kc_size_t kc_suboffsets_LocalFn[] = { KC_OFFSETOF( struct kc_tag_fnclass, LocalFn, casestring_1 ) };
static kc_size_t kc_suboffsets_Consfnarguments[] = { KC_OFFSETOF( struct kc_tag_fnarguments, Consfnarguments, ID_1 ), KC_OFFSETOF( struct kc_tag_fnarguments, Consfnarguments, fnarguments_1 ) };
static kc_size_t kc_suboffsets_ConsCvariabledeclarations[] = { KC_OFFSETOF( struct kc_tag_Cvariabledeclarations, ConsCvariabledeclarations, Cvariabledeclaration_1 ), KC_OFFSETOF( struct kc_tag_Cvariabledeclarations, ConsCvariabledeclarations, Cvariabledeclarations_1 ) };
static kc_size_t kc_suboffsets_CVariabledeclaration[] = { KC_OFFSETOF( struct kc_tag_Cvariabledeclaration, CVariabledeclaration, ID_1 ), KC_OFFSETOF( struct kc_tag_Cvariabledeclaration, CVariabledeclaration, Cvariables_1 ) };
static kc_size_t kc_suboffsets_Fnargfpdecl[] = { KC_OFFSETOF( struct kc_tag_Cvariabledeclaration, Fnargfpdecl, ID_1 ), KC_OFFSETOF( struct kc_tag_Cvariabledeclaration, Fnargfpdecl, Cvariables_1 ) };
static kc_size_t kc_suboffsets_ConsCvariables[] = { KC_OFFSETOF( struct kc_tag_Cvariables, ConsCvariables, Cvariable_1 ), KC_OFFSETOF( struct kc_tag_Cvariables, ConsCvariables, Cvariables_1 ) };
static kc_size_t kc_suboffsets_CVPointer[] = { KC_OFFSETOF( struct kc_tag_Cvariable, CVPointer, int_1 ), KC_OFFSETOF( struct kc_tag_Cvariable, CVPointer, ID_1 ) };
static kc_size_t kc_suboffsets_CVFunction[] = { KC_OFFSETOF( struct kc_tag_Cvariable, CVFunction, int_1 ), KC_OFFSETOF( struct kc_tag_Cvariable, CVFunction, int_2 ), KC_OFFSETOF( struct kc_tag_Cvariable, CVFunction, ID_1 ) };
static kc_size_t kc_suboffsets_ConsCtext[] = { KC_OFFSETOF( struct kc_tag_Ctext, ConsCtext, Ctext_elem_1 ), KC_OFFSETOF( struct kc_tag_Ctext, ConsCtext, Ctext_1 ) };
static kc_size_t kc_suboffsets_CTextLine[] = { KC_OFFSETOF( struct kc_tag_Ctext_elem, CTextLine, casestring_1 ) };
static kc_size_t kc_suboffsets_CTextDollarVar[] = { KC_OFFSETOF( struct kc_tag_Ctext_elem, CTextDollarVar, INT_1 ) };
static kc_size_t kc_suboffsets_CTextNl[] = { KC_OFFSETOF( struct kc_tag_Ctext_elem, CTextNl, int_1 ) };
static kc_size_t kc_suboffsets_CTextCexpressionDQ[] = { KC_OFFSETOF( struct kc_tag_Ctext_elem, CTextCexpressionDQ, CexpressionDQ_1 ) };
static kc_size_t kc_suboffsets_CTextCexpressionSQ[] = { KC_OFFSETOF( struct kc_tag_Ctext_elem, CTextCexpressionSQ, CexpressionSQ_1 ) };
static kc_size_t kc_suboffsets_CTextCbody[] = { KC_OFFSETOF( struct kc_tag_Ctext_elem, CTextCbody, Ctext_1 ) };
static kc_size_t kc_suboffsets_CTextForeachexpression[] = { KC_OFFSETOF( struct kc_tag_Ctext_elem, CTextForeachexpression, patternchain_1 ), KC_OFFSETOF( struct kc_tag_Ctext_elem, CTextForeachexpression, idCexpressions_1 ), KC_OFFSETOF( struct kc_tag_Ctext_elem, CTextForeachexpression, withexpressions_1 ), KC_OFFSETOF( struct kc_tag_Ctext_elem, CTextForeachexpression, Ctext_1 ), KC_OFFSETOF( struct kc_tag_Ctext_elem, CTextForeachexpression, foreach_after_1 ) };
static kc_size_t kc_suboffsets_CTextWithexpression[] = { KC_OFFSETOF( struct kc_tag_Ctext_elem, CTextWithexpression, withexpressions_1 ), KC_OFFSETOF( struct kc_tag_Ctext_elem, CTextWithexpression, withcases_1 ), KC_OFFSETOF( struct kc_tag_Ctext_elem, CTextWithexpression, contextinfo_1 ) };
static kc_size_t kc_suboffsets_ForeachAfter[] = { KC_OFFSETOF( struct kc_tag_foreach_after, ForeachAfter, patternchain_1 ), KC_OFFSETOF( struct kc_tag_foreach_after, ForeachAfter, idCexpressions_1 ), KC_OFFSETOF( struct kc_tag_foreach_after, ForeachAfter, withexpressions_1 ), KC_OFFSETOF( struct kc_tag_foreach_after, ForeachAfter, Ctext_1 ) };
static kc_size_t kc_suboffsets_InForeachContext[] = { KC_OFFSETOF( struct kc_tag_contextinfo, InForeachContext, patternchain_1 ) };
static kc_size_t kc_suboffsets_Conswithexpressions[] = { KC_OFFSETOF( struct kc_tag_withexpressions, Conswithexpressions, withexpression_1 ), KC_OFFSETOF( struct kc_tag_withexpressions, Conswithexpressions, withexpressions_1 ) };
static kc_size_t kc_suboffsets_WEVariable[] = { KC_OFFSETOF( struct kc_tag_withexpression, WEVariable, ID_1 ) };
static kc_size_t kc_suboffsets_WECexpression[] = { KC_OFFSETOF( struct kc_tag_withexpression, WECexpression, Cexpression_1 ) };
static kc_size_t kc_suboffsets_Conswithcases[] = { KC_OFFSETOF( struct kc_tag_withcases, Conswithcases, withcase_1 ), KC_OFFSETOF( struct kc_tag_withcases, Conswithcases, withcases_1 ) };
static kc_size_t kc_suboffsets_Withcase[] = { KC_OFFSETOF( struct kc_tag_withcase, Withcase, patternchains_1 ), KC_OFFSETOF( struct kc_tag_withcase, Withcase, Ctext_1 ) };
static kc_size_t kc_suboffsets_Consunparsedeclarations[] = { KC_OFFSETOF( struct kc_tag_unparsedeclarations, Consunparsedeclarations, unparsedeclaration_1 ), KC_OFFSETOF( struct kc_tag_unparsedeclarations, Consunparsedeclarations, unparsedeclarations_1 ) };
static kc_size_t kc_suboffsets_UnparseDeclaration[] = { KC_OFFSETOF( struct kc_tag_unparsedeclaration, UnparseDeclaration, outmostpatterns_1 ), KC_OFFSETOF( struct kc_tag_unparsedeclaration, UnparseDeclaration, unparseclauses_1 ) };
static kc_size_t kc_suboffsets_Consunparseclauses[] = { KC_OFFSETOF( struct kc_tag_unparseclauses, Consunparseclauses, unparseclause_1 ), KC_OFFSETOF( struct kc_tag_unparseclauses, Consunparseclauses, unparseclauses_1 ) };
static kc_size_t kc_suboffsets_UnparseClause[] = { KC_OFFSETOF( struct kc_tag_unparseclause, UnparseClause, viewnames_1 ), KC_OFFSETOF( struct kc_tag_unparseclause, UnparseClause, unparseitems_1 ) };
static kc_size_t kc_suboffsets_Consviewnames[] = { KC_OFFSETOF( struct kc_tag_viewnames, Consviewnames, ID_1 ), KC_OFFSETOF( struct kc_tag_viewnames, Consviewnames, viewnames_1 ) };
static kc_size_t kc_suboffsets_Consunparseitems[] = { KC_OFFSETOF( struct kc_tag_unparseitems, Consunparseitems, unparseitem_1 ), KC_OFFSETOF( struct kc_tag_unparseitems, Consunparseitems, unparseitems_1 ) };
static kc_size_t kc_suboffsets_UnpStr[] = { KC_OFFSETOF( struct kc_tag_unparseitem, UnpStr, CexpressionDQ_1 ), KC_OFFSETOF( struct kc_tag_unparseitem, UnpStr, viewnameoption_1 ) };
static kc_size_t kc_suboffsets_UnpSubexpr[] = { KC_OFFSETOF( struct kc_tag_unparseitem, UnpSubexpr, unpsubterm_1 ), KC_OFFSETOF( struct kc_tag_unparseitem, UnpSubexpr, viewnameoption_1 ) };
static kc_size_t kc_suboffsets_UnpCtext[] = { KC_OFFSETOF( struct kc_tag_unparseitem, UnpCtext, Ctext_1 ) };
static kc_size_t kc_suboffsets_UnpBody[] = { KC_OFFSETOF( struct kc_tag_unparseitem, UnpBody, unparseitems_1 ) };
static kc_size_t kc_suboffsets_UnpSubTerm[] = { KC_OFFSETOF( struct kc_tag_unpsubterm, UnpSubTerm, ID_1 ) };
static kc_size_t kc_suboffsets_UnpDollarvarTerm[] = { KC_OFFSETOF( struct kc_tag_unpsubterm, UnpDollarvarTerm, INT_1 ) };
static kc_size_t kc_suboffsets_UnpSubAttr[] = { KC_OFFSETOF( struct kc_tag_unpsubterm, UnpSubAttr, ID_1 ), KC_OFFSETOF( struct kc_tag_unpsubterm, UnpSubAttr, unpattributes_1 ) };
static kc_size_t kc_suboffsets_UnpDollarvarAttr[] = { KC_OFFSETOF( struct kc_tag_unpsubterm, UnpDollarvarAttr, INT_1 ), KC_OFFSETOF( struct kc_tag_unpsubterm, UnpDollarvarAttr, unpattributes_1 ) };
static kc_size_t kc_suboffsets_UnpCastedVariable[] = { KC_OFFSETOF( struct kc_tag_unpsubterm, UnpCastedVariable, ID_1 ), KC_OFFSETOF( struct kc_tag_unpsubterm, UnpCastedVariable, ID_2 ) };
static kc_size_t kc_suboffsets_Consunpattributes[] = { KC_OFFSETOF( struct kc_tag_unpattributes, Consunpattributes, ID_1 ), KC_OFFSETOF( struct kc_tag_unpattributes, Consunpattributes, unpattributes_1 ) };
static kc_size_t kc_suboffsets_YesViewname[] = { KC_OFFSETOF( struct kc_tag_viewnameoption, YesViewname, ID_1 ) };
static kc_size_t kc_suboffsets_Consfilelinestack[] = { KC_OFFSETOF( struct kc_tag_filelinestack, Consfilelinestack, fileline_1 ), KC_OFFSETOF( struct kc_tag_filelinestack, Consfilelinestack, filelinestack_1 ) };
static kc_size_t kc_suboffsets_FileLine[] = { KC_OFFSETOF( struct kc_tag_fileline, FileLine, casestring_1 ), KC_OFFSETOF( struct kc_tag_fileline, FileLine, int_1 ) };
static kc_size_t kc_suboffsets_Consnooperatorsstack[] = { KC_OFFSETOF( struct kc_tag_nooperatorsstack, Consnooperatorsstack, int_1 ), KC_OFFSETOF( struct kc_tag_nooperatorsstack, Consnooperatorsstack, nooperatorsstack_1 ) };
static kc_size_t kc_suboffsets_Consscopetypefilelinestack[] = { KC_OFFSETOF( struct kc_tag_scopetypefilelinestack, Consscopetypefilelinestack, scopetypefileline_1 ), KC_OFFSETOF( struct kc_tag_scopetypefilelinestack, Consscopetypefilelinestack, scopetypefilelinestack_1 ) };
static kc_size_t kc_suboffsets_ScopeTypeFileLine[] = { KC_OFFSETOF( struct kc_tag_scopetypefileline, ScopeTypeFileLine, int_1 ), KC_OFFSETOF( struct kc_tag_scopetypefileline, ScopeTypeFileLine, IDtype_1 ), KC_OFFSETOF( struct kc_tag_scopetypefileline, ScopeTypeFileLine, casestring_1 ), KC_OFFSETOF( struct kc_tag_scopetypefileline, ScopeTypeFileLine, int_2 ) };
static kc_size_t kc_suboffsets_ITPredefinedPhylum[] = { KC_OFFSETOF( struct kc_tag_IDtype, ITPredefinedPhylum, phylumdeclaration_1 ) };
static kc_size_t kc_suboffsets_ITPredefinedBigatomPhylum[] = { KC_OFFSETOF( struct kc_tag_IDtype, ITPredefinedBigatomPhylum, phylumdeclaration_1 ) };
static kc_size_t kc_suboffsets_ITUserPhylum[] = { KC_OFFSETOF( struct kc_tag_IDtype, ITUserPhylum, phylumdeclaration_1 ) };
static kc_size_t kc_suboffsets_ITPredefinedOperator[] = { KC_OFFSETOF( struct kc_tag_IDtype, ITPredefinedOperator, alternative_1 ), KC_OFFSETOF( struct kc_tag_IDtype, ITPredefinedOperator, ID_1 ) };
static kc_size_t kc_suboffsets_ITUserOperator[] = { KC_OFFSETOF( struct kc_tag_IDtype, ITUserOperator, alternative_1 ), KC_OFFSETOF( struct kc_tag_IDtype, ITUserOperator, ID_1 ) };
static kc_size_t kc_suboffsets_ITUserFunction[] = { KC_OFFSETOF( struct kc_tag_IDtype, ITUserFunction, fnclass_1 ) };
static kc_size_t kc_suboffsets_ITPatternVariable[] = { KC_OFFSETOF( struct kc_tag_IDtype, ITPatternVariable, ID_1 ), KC_OFFSETOF( struct kc_tag_IDtype, ITPatternVariable, int_1 ) };
static kc_size_t kc_suboffsets_Consoperatorsstack[] = { KC_OFFSETOF( struct kc_tag_operatorsstack, Consoperatorsstack, operators_1 ), KC_OFFSETOF( struct kc_tag_operatorsstack, Consoperatorsstack, operatorsstack_1 ) };
static kc_size_t kc_suboffsets_Consoperators[] = { KC_OFFSETOF( struct kc_tag_operators, Consoperators, ID_1 ), KC_OFFSETOF( struct kc_tag_operators, Consoperators, operators_1 ) };
static kc_size_t kc_suboffsets_Consphyla[] = { KC_OFFSETOF( struct kc_tag_phyla, Consphyla, ID_1 ), KC_OFFSETOF( struct kc_tag_phyla, Consphyla, phyla_1 ) };
static kc_size_t kc_suboffsets_Consvariables[] = { KC_OFFSETOF( struct kc_tag_variables, Consvariables, ID_1 ), KC_OFFSETOF( struct kc_tag_variables, Consvariables, variables_1 ) };
static kc_size_t kc_suboffsets_Consargumentsstack[] = { KC_OFFSETOF( struct kc_tag_argumentsstack, Consargumentsstack, arguments_1 ), KC_OFFSETOF( struct kc_tag_argumentsstack, Consargumentsstack, argumentsstack_1 ) };
static kc_size_t kc_suboffsets_Consphylumstack[] = { KC_OFFSETOF( struct kc_tag_phylumstack, Consphylumstack, ID_1 ), KC_OFFSETOF( struct kc_tag_phylumstack, Consphylumstack, phylumstack_1 ) };
static kc_size_t kc_suboffsets_Consphylumnamesstack[] = { KC_OFFSETOF( struct kc_tag_phylumnamesstack, Consphylumnamesstack, phylumnames_1 ), KC_OFFSETOF( struct kc_tag_phylumnamesstack, Consphylumnamesstack, phylumnamesstack_1 ) };
static kc_size_t kc_suboffsets_Conswithexpressionsstack[] = { KC_OFFSETOF( struct kc_tag_withexpressionsstack, Conswithexpressionsstack, withexpressions_1 ), KC_OFFSETOF( struct kc_tag_withexpressionsstack, Conswithexpressionsstack, withexpressionsstack_1 ) };
static kc_size_t kc_suboffsets_Consoperatorstack[] = { KC_OFFSETOF( struct kc_tag_operatorstack, Consoperatorstack, ID_1 ), KC_OFFSETOF( struct kc_tag_operatorstack, Consoperatorstack, operatorstack_1 ) };
static kc_size_t kc_suboffsets_Consvariablesstack[] = { KC_OFFSETOF( struct kc_tag_variablesstack, Consvariablesstack, variables_1 ), KC_OFFSETOF( struct kc_tag_variablesstack, Consvariablesstack, variablesstack_1 ) };
static kc_size_t kc_suboffsets_Consselvarstack[] = { KC_OFFSETOF( struct kc_tag_selvarstack, Consselvarstack, ID_1 ), KC_OFFSETOF( struct kc_tag_selvarstack, Consselvarstack, selvarstack_1 ) };
static kc_size_t kc_suboffsets_Consdollarvarsallowedstack[] = { KC_OFFSETOF( struct kc_tag_dollarvarsallowedstack, Consdollarvarsallowedstack, dollarvarstatus_1 ), KC_OFFSETOF( struct kc_tag_dollarvarsallowedstack, Consdollarvarsallowedstack, dollarvarsallowedstack_1 ) };
static kc_size_t kc_suboffsets_Consintstack[] = { KC_OFFSETOF( struct kc_tag_intstack, Consintstack, int_1 ), KC_OFFSETOF( struct kc_tag_intstack, Consintstack, intstack_1 ) };
static kc_size_t kc_suboffsets_ConsidCexpressionsstack[] = { KC_OFFSETOF( struct kc_tag_idCexpressionsstack, ConsidCexpressionsstack, idCexpressions_1 ), KC_OFFSETOF( struct kc_tag_idCexpressionsstack, ConsidCexpressionsstack, idCexpressionsstack_1 ) };
static kc_size_t kc_suboffsets_TwoStorageoption[] = { KC_OFFSETOF( struct kc_tag_two_phyla, TwoStorageoption, storageoption_1 ), KC_OFFSETOF( struct kc_tag_two_phyla, TwoStorageoption, storageoption_2 ) };
static kc_size_t kc_suboffsets_TwoProductionblock[] = { KC_OFFSETOF( struct kc_tag_two_phyla, TwoProductionblock, productionblock_1 ), KC_OFFSETOF( struct kc_tag_two_phyla, TwoProductionblock, productionblock_2 ) };
static kc_size_t kc_suboffsets_TwoCcode_option[] = { KC_OFFSETOF( struct kc_tag_two_phyla, TwoCcode_option, Ccode_option_1 ), KC_OFFSETOF( struct kc_tag_two_phyla, TwoCcode_option, Ccode_option_2 ) };
static kc_size_t kc_suboffsets_TwoRewriteruleinfo[] = { KC_OFFSETOF( struct kc_tag_two_phyla, TwoRewriteruleinfo, rewriteruleinfo_1 ), KC_OFFSETOF( struct kc_tag_two_phyla, TwoRewriteruleinfo, rewriteruleinfo_2 ) };
static kc_size_t kc_suboffsets_TwoWithcaseinfo[] = { KC_OFFSETOF( struct kc_tag_two_phyla, TwoWithcaseinfo, withcaseinfo_1 ), KC_OFFSETOF( struct kc_tag_two_phyla, TwoWithcaseinfo, withcaseinfo_2 ) };
static kc_size_t kc_suboffsets_TwoUnparsedeclinfo[] = { KC_OFFSETOF( struct kc_tag_two_phyla, TwoUnparsedeclinfo, unparsedeclinfo_1 ), KC_OFFSETOF( struct kc_tag_two_phyla, TwoUnparsedeclinfo, unparsedeclinfo_2 ) };
static kc_size_t kc_suboffsets_TwoPatternrepresentation[] = { KC_OFFSETOF( struct kc_tag_two_phyla, TwoPatternrepresentation, patternrepresentation_1 ), KC_OFFSETOF( struct kc_tag_two_phyla, TwoPatternrepresentation, patternrepresentation_2 ) };
static kc_size_t kc_suboffsets_TwoElem_patternrepresentation[] = { KC_OFFSETOF( struct kc_tag_two_phyla, TwoElem_patternrepresentation, elem_patternrepresentation_1 ), KC_OFFSETOF( struct kc_tag_two_phyla, TwoElem_patternrepresentation, elem_patternrepresentation_2 ) };
static kc_size_t kc_suboffsets_TwoPaths[] = { KC_OFFSETOF( struct kc_tag_two_phyla, TwoPaths, paths_1 ), KC_OFFSETOF( struct kc_tag_two_phyla, TwoPaths, paths_2 ) };
static kc_size_t kc_suboffsets_TwoPath[] = { KC_OFFSETOF( struct kc_tag_two_phyla, TwoPath, path_1 ), KC_OFFSETOF( struct kc_tag_two_phyla, TwoPath, path_2 ) };
static kc_size_t kc_suboffsets_Conspatternrepresentations[] = { KC_OFFSETOF( struct kc_tag_patternrepresentations, Conspatternrepresentations, patternrepresentation_1 ), KC_OFFSETOF( struct kc_tag_patternrepresentations, Conspatternrepresentations, patternrepresentations_1 ) };
static kc_size_t kc_suboffsets_Conspatternrepresentation[] = { KC_OFFSETOF( struct kc_tag_patternrepresentation, Conspatternrepresentation, elem_patternrepresentation_1 ), KC_OFFSETOF( struct kc_tag_patternrepresentation, Conspatternrepresentation, patternrepresentation_1 ) };
static kc_size_t kc_suboffsets_PRBinding[] = { KC_OFFSETOF( struct kc_tag_elem_patternrepresentation, PRBinding, path_1 ), KC_OFFSETOF( struct kc_tag_elem_patternrepresentation, PRBinding, ID_1 ) };
static kc_size_t kc_suboffsets_PRVarPredicate[] = { KC_OFFSETOF( struct kc_tag_elem_patternrepresentation, PRVarPredicate, paths_1 ), KC_OFFSETOF( struct kc_tag_elem_patternrepresentation, PRVarPredicate, ID_1 ), KC_OFFSETOF( struct kc_tag_elem_patternrepresentation, PRVarPredicate, patternrepresentation_1 ) };
static kc_size_t kc_suboffsets_PROperPredicate[] = { KC_OFFSETOF( struct kc_tag_elem_patternrepresentation, PROperPredicate, path_1 ), KC_OFFSETOF( struct kc_tag_elem_patternrepresentation, PROperPredicate, ID_1 ) };
static kc_size_t kc_suboffsets_PRNonLeafBinding[] = { KC_OFFSETOF( struct kc_tag_elem_patternrepresentation, PRNonLeafBinding, path_1 ), KC_OFFSETOF( struct kc_tag_elem_patternrepresentation, PRNonLeafBinding, ID_1 ), KC_OFFSETOF( struct kc_tag_elem_patternrepresentation, PRNonLeafBinding, patternrepresentation_1 ) };
static kc_size_t kc_suboffsets_PRWildcard[] = { KC_OFFSETOF( struct kc_tag_elem_patternrepresentation, PRWildcard, path_1 ) };
static kc_size_t kc_suboffsets_PRStringLiteral[] = { KC_OFFSETOF( struct kc_tag_elem_patternrepresentation, PRStringLiteral, path_1 ), KC_OFFSETOF( struct kc_tag_elem_patternrepresentation, PRStringLiteral, CexpressionDQ_1 ) };
static kc_size_t kc_suboffsets_PRIntLiteral[] = { KC_OFFSETOF( struct kc_tag_elem_patternrepresentation, PRIntLiteral, path_1 ), KC_OFFSETOF( struct kc_tag_elem_patternrepresentation, PRIntLiteral, INT_1 ) };
static kc_size_t kc_suboffsets_Conspath[] = { KC_OFFSETOF( struct kc_tag_path, Conspath, int_1 ), KC_OFFSETOF( struct kc_tag_path, Conspath, path_1 ) };
static kc_size_t kc_suboffsets_Conspaths[] = { KC_OFFSETOF( struct kc_tag_paths, Conspaths, path_1 ), KC_OFFSETOF( struct kc_tag_paths, Conspaths, paths_1 ) };
static kc_size_t kc_suboffsets_Consargsnumbers[] = { KC_OFFSETOF( struct kc_tag_argsnumbers, Consargsnumbers, int_1 ), KC_OFFSETOF( struct kc_tag_argsnumbers, Consargsnumbers, argsnumbers_1 ) };
static kc_size_t kc_suboffsets_Consrewriterulesinfo[] = { KC_OFFSETOF( struct kc_tag_rewriterulesinfo, Consrewriterulesinfo, rewriteruleinfo_1 ), KC_OFFSETOF( struct kc_tag_rewriterulesinfo, Consrewriterulesinfo, rewriterulesinfo_1 ) };
static kc_size_t kc_suboffsets_Rewriteruleinfo[] = { KC_OFFSETOF( struct kc_tag_rewriteruleinfo, Rewriteruleinfo, patternrepresentation_1 ), KC_OFFSETOF( struct kc_tag_rewriteruleinfo, Rewriteruleinfo, patternrepresentation_2 ), KC_OFFSETOF( struct kc_tag_rewriteruleinfo, Rewriteruleinfo, rewriteclause_1 ) };
static kc_size_t kc_suboffsets_Conswithcasesinfo[] = { KC_OFFSETOF( struct kc_tag_withcasesinfo, Conswithcasesinfo, withcaseinfo_1 ), KC_OFFSETOF( struct kc_tag_withcasesinfo, Conswithcasesinfo, withcasesinfo_1 ) };
static kc_size_t kc_suboffsets_Withcaseinfo[] = { KC_OFFSETOF( struct kc_tag_withcaseinfo, Withcaseinfo, patternrepresentation_1 ), KC_OFFSETOF( struct kc_tag_withcaseinfo, Withcaseinfo, patternrepresentation_2 ), KC_OFFSETOF( struct kc_tag_withcaseinfo, Withcaseinfo, Ctext_1 ) };
static kc_size_t kc_suboffsets_Consrewriteviewsinfo[] = { KC_OFFSETOF( struct kc_tag_rewriteviewsinfo, Consrewriteviewsinfo, rewriteviewinfo_1 ), KC_OFFSETOF( struct kc_tag_rewriteviewsinfo, Consrewriteviewsinfo, rewriteviewsinfo_1 ) };
static kc_size_t kc_suboffsets_Rewriteviewinfo[] = { KC_OFFSETOF( struct kc_tag_rewriteviewinfo, Rewriteviewinfo, ID_1 ), KC_OFFSETOF( struct kc_tag_rewriteviewinfo, Rewriteviewinfo, rewriterulesinfo_1 ) };
static kc_size_t kc_suboffsets_Consunparseviewsinfo[] = { KC_OFFSETOF( struct kc_tag_unparseviewsinfo, Consunparseviewsinfo, unparseviewinfo_1 ), KC_OFFSETOF( struct kc_tag_unparseviewsinfo, Consunparseviewsinfo, unparseviewsinfo_1 ) };
static kc_size_t kc_suboffsets_Unparseviewinfo[] = { KC_OFFSETOF( struct kc_tag_unparseviewinfo, Unparseviewinfo, ID_1 ), KC_OFFSETOF( struct kc_tag_unparseviewinfo, Unparseviewinfo, unparsedeclsinfo_1 ) };
static kc_size_t kc_suboffsets_Consunparsedeclsinfo[] = { KC_OFFSETOF( struct kc_tag_unparsedeclsinfo, Consunparsedeclsinfo, unparsedeclinfo_1 ), KC_OFFSETOF( struct kc_tag_unparsedeclsinfo, Consunparsedeclsinfo, unparsedeclsinfo_1 ) };
static kc_size_t kc_suboffsets_Unparsedeclinfo[] = { KC_OFFSETOF( struct kc_tag_unparsedeclinfo, Unparsedeclinfo, patternrepresentation_1 ), KC_OFFSETOF( struct kc_tag_unparsedeclinfo, Unparsedeclinfo, patternrepresentation_2 ), KC_OFFSETOF( struct kc_tag_unparsedeclinfo, Unparsedeclinfo, unparseclause_1 ) };
static kc_size_t kc_suboffsets_AcDeclaration[] = { KC_OFFSETOF( struct kc_tag_ac_declaration, AcDeclaration, ac_declaration_specifiers_1 ), KC_OFFSETOF( struct kc_tag_ac_declaration, AcDeclaration, ac_init_declarator_list_1 ) };
static kc_size_t kc_suboffsets_Consac_declaration_list[] = { KC_OFFSETOF( struct kc_tag_ac_declaration_list, Consac_declaration_list, ac_declaration_1 ), KC_OFFSETOF( struct kc_tag_ac_declaration_list, Consac_declaration_list, ac_declaration_list_1 ) };
static kc_size_t kc_suboffsets_Consac_declaration_specifiers[] = { KC_OFFSETOF( struct kc_tag_ac_declaration_specifiers, Consac_declaration_specifiers, ac_declaration_specifier_1 ), KC_OFFSETOF( struct kc_tag_ac_declaration_specifiers, Consac_declaration_specifiers, ac_declaration_specifiers_1 ) };
static kc_size_t kc_suboffsets_AcDeclSpecStorageSpec[] = { KC_OFFSETOF( struct kc_tag_ac_declaration_specifier, AcDeclSpecStorageSpec, ac_storage_class_specifier_1 ) };
static kc_size_t kc_suboffsets_AcDeclSpecTypeSpec[] = { KC_OFFSETOF( struct kc_tag_ac_declaration_specifier, AcDeclSpecTypeSpec, ac_type_specifier_1 ) };
static kc_size_t kc_suboffsets_AcDeclSpecTypeQual[] = { KC_OFFSETOF( struct kc_tag_ac_declaration_specifier, AcDeclSpecTypeQual, ac_type_qualifier_1 ) };
static kc_size_t kc_suboffsets_AcTypeSpec[] = { KC_OFFSETOF( struct kc_tag_ac_type_specifier, AcTypeSpec, ID_1 ) };
static kc_size_t kc_suboffsets_Consac_init_declarator_list[] = { KC_OFFSETOF( struct kc_tag_ac_init_declarator_list, Consac_init_declarator_list, ac_init_declarator_1 ), KC_OFFSETOF( struct kc_tag_ac_init_declarator_list, Consac_init_declarator_list, ac_init_declarator_list_1 ) };
static kc_size_t kc_suboffsets_AcInitDecl[] = { KC_OFFSETOF( struct kc_tag_ac_init_declarator, AcInitDecl, ac_declarator_1 ) };
static kc_size_t kc_suboffsets_AcDeclarator[] = { KC_OFFSETOF( struct kc_tag_ac_declarator, AcDeclarator, ac_pointer_option_1 ), KC_OFFSETOF( struct kc_tag_ac_declarator, AcDeclarator, ac_direct_declarator_1 ) };
static kc_size_t kc_suboffsets_AcDirectDeclId[] = { KC_OFFSETOF( struct kc_tag_ac_direct_declarator, AcDirectDeclId, ID_1 ) };
static kc_size_t kc_suboffsets_AcDirectDeclPack[] = { KC_OFFSETOF( struct kc_tag_ac_direct_declarator, AcDirectDeclPack, ac_declarator_1 ) };
static kc_size_t kc_suboffsets_AcDirectDeclArray[] = { KC_OFFSETOF( struct kc_tag_ac_direct_declarator, AcDirectDeclArray, ac_direct_declarator_1 ), KC_OFFSETOF( struct kc_tag_ac_direct_declarator, AcDirectDeclArray, ac_constant_expression_option_1 ) };
static kc_size_t kc_suboffsets_AcDirectDeclProto[] = { KC_OFFSETOF( struct kc_tag_ac_direct_declarator, AcDirectDeclProto, ac_direct_declarator_1 ), KC_OFFSETOF( struct kc_tag_ac_direct_declarator, AcDirectDeclProto, ac_parameter_type_list_1 ) };
static kc_size_t kc_suboffsets_AcDirectDeclKandR[] = { KC_OFFSETOF( struct kc_tag_ac_direct_declarator, AcDirectDeclKandR, ac_direct_declarator_1 ), KC_OFFSETOF( struct kc_tag_ac_direct_declarator, AcDirectDeclKandR, ac_identifier_list_1 ) };
static kc_size_t kc_suboffsets_Yespointer[] = { KC_OFFSETOF( struct kc_tag_ac_pointer_option, Yespointer, ac_pointer_1 ) };
static kc_size_t kc_suboffsets_AcPointerNil[] = { KC_OFFSETOF( struct kc_tag_ac_pointer, AcPointerNil, ac_type_qualifier_list_1 ) };
static kc_size_t kc_suboffsets_AcPointerCons[] = { KC_OFFSETOF( struct kc_tag_ac_pointer, AcPointerCons, ac_type_qualifier_list_1 ), KC_OFFSETOF( struct kc_tag_ac_pointer, AcPointerCons, ac_pointer_1 ) };
static kc_size_t kc_suboffsets_Consac_type_qualifier_list[] = { KC_OFFSETOF( struct kc_tag_ac_type_qualifier_list, Consac_type_qualifier_list, ac_type_qualifier_1 ), KC_OFFSETOF( struct kc_tag_ac_type_qualifier_list, Consac_type_qualifier_list, ac_type_qualifier_list_1 ) };
static kc_size_t kc_suboffsets_AcParList[] = { KC_OFFSETOF( struct kc_tag_ac_parameter_type_list, AcParList, ac_parameter_list_1 ) };
static kc_size_t kc_suboffsets_AcParList3Dot[] = { KC_OFFSETOF( struct kc_tag_ac_parameter_type_list, AcParList3Dot, ac_parameter_list_1 ) };
static kc_size_t kc_suboffsets_Consac_parameter_list[] = { KC_OFFSETOF( struct kc_tag_ac_parameter_list, Consac_parameter_list, ac_parameter_declaration_1 ), KC_OFFSETOF( struct kc_tag_ac_parameter_list, Consac_parameter_list, ac_parameter_list_1 ) };
static kc_size_t kc_suboffsets_AcParDeclDecl[] = { KC_OFFSETOF( struct kc_tag_ac_parameter_declaration, AcParDeclDecl, ac_declaration_specifiers_1 ), KC_OFFSETOF( struct kc_tag_ac_parameter_declaration, AcParDeclDecl, ac_declarator_1 ) };
static kc_size_t kc_suboffsets_AcParDeclAbsdecl[] = { KC_OFFSETOF( struct kc_tag_ac_parameter_declaration, AcParDeclAbsdecl, ac_declaration_specifiers_1 ), KC_OFFSETOF( struct kc_tag_ac_parameter_declaration, AcParDeclAbsdecl, ac_abstract_declarator_1 ) };
static kc_size_t kc_suboffsets_Consac_identifier_list[] = { KC_OFFSETOF( struct kc_tag_ac_identifier_list, Consac_identifier_list, ID_1 ), KC_OFFSETOF( struct kc_tag_ac_identifier_list, Consac_identifier_list, ac_identifier_list_1 ) };
static kc_size_t kc_suboffsets_AcAbsdeclPointer[] = { KC_OFFSETOF( struct kc_tag_ac_abstract_declarator, AcAbsdeclPointer, ac_pointer_1 ) };
static kc_size_t kc_suboffsets_AcAbsdeclDirdecl[] = { KC_OFFSETOF( struct kc_tag_ac_abstract_declarator, AcAbsdeclDirdecl, ac_pointer_option_1 ), KC_OFFSETOF( struct kc_tag_ac_abstract_declarator, AcAbsdeclDirdecl, ac_direct_abstract_declarator_1 ) };
static kc_size_t kc_suboffsets_Yesac_direct_abstract_declarator[] = { KC_OFFSETOF( struct kc_tag_ac_direct_abstract_declarator_option, Yesac_direct_abstract_declarator, ac_direct_abstract_declarator_1 ) };
static kc_size_t kc_suboffsets_AcDirAbsdeclPack[] = { KC_OFFSETOF( struct kc_tag_ac_direct_abstract_declarator, AcDirAbsdeclPack, ac_abstract_declarator_1 ) };
static kc_size_t kc_suboffsets_AcDirAbsdeclArray[] = { KC_OFFSETOF( struct kc_tag_ac_direct_abstract_declarator, AcDirAbsdeclArray, ac_direct_abstract_declarator_option_1 ), KC_OFFSETOF( struct kc_tag_ac_direct_abstract_declarator, AcDirAbsdeclArray, ac_constant_expression_option_1 ) };
static kc_size_t kc_suboffsets_AcDirAbsdeclFn[] = { KC_OFFSETOF( struct kc_tag_ac_direct_abstract_declarator, AcDirAbsdeclFn, ac_direct_abstract_declarator_option_1 ), KC_OFFSETOF( struct kc_tag_ac_direct_abstract_declarator, AcDirAbsdeclFn, ac_parameter_type_list_1 ) };
static kc_size_t kc_suboffsets_Yesac_constant_expression[] = { KC_OFFSETOF( struct kc_tag_ac_constant_expression_option, Yesac_constant_expression, ac_constant_expression_1 ) };
static kc_size_t kc_suboffsets_AcConstExpr[] = { KC_OFFSETOF( struct kc_tag_ac_constant_expression, AcConstExpr, Cexpression_1 ) };
static kc_size_t kc_suboffsets_Fatal[] = { KC_OFFSETOF( struct kc_tag_error, Fatal, fileline_1 ), KC_OFFSETOF( struct kc_tag_error, Fatal, problem_1 ) };
static kc_size_t kc_suboffsets_NonFatal[] = { KC_OFFSETOF( struct kc_tag_error, NonFatal, fileline_1 ), KC_OFFSETOF( struct kc_tag_error, NonFatal, problem_1 ) };
static kc_size_t kc_suboffsets_Warning[] = { KC_OFFSETOF( struct kc_tag_error, Warning, fileline_1 ), KC_OFFSETOF( struct kc_tag_error, Warning, problem_1 ) };
static kc_size_t kc_suboffsets_Problem1[] = { KC_OFFSETOF( struct kc_tag_problem, Problem1, casestring_1 ) };
static kc_size_t kc_suboffsets_Problem1ID[] = { KC_OFFSETOF( struct kc_tag_problem, Problem1ID, casestring_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem1ID, ID_1 ) };
static kc_size_t kc_suboffsets_Problem1tID[] = { KC_OFFSETOF( struct kc_tag_problem, Problem1tID, casestring_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem1tID, ID_1 ) };
static kc_size_t kc_suboffsets_Problem1we[] = { KC_OFFSETOF( struct kc_tag_problem, Problem1we, casestring_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem1we, withexpression_1 ) };
static kc_size_t kc_suboffsets_Problem1ID1ID[] = { KC_OFFSETOF( struct kc_tag_problem, Problem1ID1ID, casestring_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem1ID1ID, ID_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem1ID1ID, casestring_2 ), KC_OFFSETOF( struct kc_tag_problem, Problem1ID1ID, ID_2 ) };
static kc_size_t kc_suboffsets_Problem1t1ID[] = { KC_OFFSETOF( struct kc_tag_problem, Problem1t1ID, casestring_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem1t1ID, IDtype_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem1t1ID, casestring_2 ), KC_OFFSETOF( struct kc_tag_problem, Problem1t1ID, ID_1 ) };
static kc_size_t kc_suboffsets_Problem1INT[] = { KC_OFFSETOF( struct kc_tag_problem, Problem1INT, casestring_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem1INT, INT_1 ) };
static kc_size_t kc_suboffsets_Problem1int1[] = { KC_OFFSETOF( struct kc_tag_problem, Problem1int1, casestring_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem1int1, int_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem1int1, casestring_2 ) };
static kc_size_t kc_suboffsets_Problem1INT1ID[] = { KC_OFFSETOF( struct kc_tag_problem, Problem1INT1ID, casestring_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem1INT1ID, INT_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem1INT1ID, casestring_2 ), KC_OFFSETOF( struct kc_tag_problem, Problem1INT1ID, ID_1 ) };
static kc_size_t kc_suboffsets_Problem1ID1ID1ID[] = { KC_OFFSETOF( struct kc_tag_problem, Problem1ID1ID1ID, casestring_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem1ID1ID1ID, ID_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem1ID1ID1ID, casestring_2 ), KC_OFFSETOF( struct kc_tag_problem, Problem1ID1ID1ID, ID_2 ), KC_OFFSETOF( struct kc_tag_problem, Problem1ID1ID1ID, casestring_3 ), KC_OFFSETOF( struct kc_tag_problem, Problem1ID1ID1ID, ID_3 ) };
static kc_size_t kc_suboffsets_Problem1INT1ID1ID[] = { KC_OFFSETOF( struct kc_tag_problem, Problem1INT1ID1ID, casestring_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem1INT1ID1ID, INT_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem1INT1ID1ID, casestring_2 ), KC_OFFSETOF( struct kc_tag_problem, Problem1INT1ID1ID, ID_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem1INT1ID1ID, casestring_3 ), KC_OFFSETOF( struct kc_tag_problem, Problem1INT1ID1ID, ID_2 ) };
static kc_size_t kc_suboffsets_Problem1storageoption1ID[] = { KC_OFFSETOF( struct kc_tag_problem, Problem1storageoption1ID, casestring_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem1storageoption1ID, storageoption_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem1storageoption1ID, casestring_2 ), KC_OFFSETOF( struct kc_tag_problem, Problem1storageoption1ID, ID_1 ) };
static kc_size_t kc_suboffsets_Problem2[] = { KC_OFFSETOF( struct kc_tag_problem, Problem2, casestring_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem2, casestring_2 ) };
static kc_size_t kc_suboffsets_Problem3[] = { KC_OFFSETOF( struct kc_tag_problem, Problem3, casestring_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem3, casestring_2 ), KC_OFFSETOF( struct kc_tag_problem, Problem3, casestring_3 ) };
static kc_size_t kc_suboffsets_Problem3int1[] = { KC_OFFSETOF( struct kc_tag_problem, Problem3int1, casestring_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem3int1, casestring_2 ), KC_OFFSETOF( struct kc_tag_problem, Problem3int1, casestring_3 ), KC_OFFSETOF( struct kc_tag_problem, Problem3int1, int_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem3int1, casestring_4 ) };
static kc_size_t kc_suboffsets_Problem4[] = { KC_OFFSETOF( struct kc_tag_problem, Problem4, casestring_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem4, casestring_2 ), KC_OFFSETOF( struct kc_tag_problem, Problem4, casestring_3 ), KC_OFFSETOF( struct kc_tag_problem, Problem4, casestring_4 ) };
static kc_size_t kc_suboffsets_Problem5[] = { KC_OFFSETOF( struct kc_tag_problem, Problem5, casestring_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem5, casestring_2 ), KC_OFFSETOF( struct kc_tag_problem, Problem5, casestring_3 ), KC_OFFSETOF( struct kc_tag_problem, Problem5, casestring_4 ), KC_OFFSETOF( struct kc_tag_problem, Problem5, casestring_5 ) };
static kc_size_t kc_suboffsets_Problem6[] = { KC_OFFSETOF( struct kc_tag_problem, Problem6, casestring_1 ), KC_OFFSETOF( struct kc_tag_problem, Problem6, casestring_2 ), KC_OFFSETOF( struct kc_tag_problem, Problem6, casestring_3 ), KC_OFFSETOF( struct kc_tag_problem, Problem6, casestring_4 ), KC_OFFSETOF( struct kc_tag_problem, Problem6, casestring_5 ), KC_OFFSETOF( struct kc_tag_problem, Problem6, casestring_6 ) };
static kc_size_t kc_suboffsets_Consaddedphylumdeclarations[] = { KC_OFFSETOF( struct kc_tag_addedphylumdeclarations, Consaddedphylumdeclarations, addedphylumdeclaration_1 ), KC_OFFSETOF( struct kc_tag_addedphylumdeclarations, Consaddedphylumdeclarations, addedphylumdeclarations_1 ) };
static kc_size_t kc_suboffsets_AddedPhylumdeclaration[] = { KC_OFFSETOF( struct kc_tag_addedphylumdeclaration, AddedPhylumdeclaration, uniqID_1 ) };
static kc_size_t kc_suboffsets_Conscountedphylumdeclarations[] = { KC_OFFSETOF( struct kc_tag_countedphylumdeclarations, Conscountedphylumdeclarations, countedphylumdeclaration_1 ), KC_OFFSETOF( struct kc_tag_countedphylumdeclarations, Conscountedphylumdeclarations, countedphylumdeclarations_1 ) };
static kc_size_t kc_suboffsets_CountedPhylumdeclaration[] = { KC_OFFSETOF( struct kc_tag_countedphylumdeclaration, CountedPhylumdeclaration, uniqID_1 ) };
static kc_size_t kc_suboffsets_Consbindingidmarks[] = { KC_OFFSETOF( struct kc_tag_bindingidmarks, Consbindingidmarks, bindingidmark_1 ), KC_OFFSETOF( struct kc_tag_bindingidmarks, Consbindingidmarks, bindingidmarks_1 ) };
static kc_size_t kc_suboffsets_BindingIdMark[] = { KC_OFFSETOF( struct kc_tag_bindingidmark, BindingIdMark, uniqID_1 ) };


KC_OPERATOR_INFO kc_OperatorInfo[] = {
	{ "", 0, 0, kc_one_before_first_phylum, (kc_enum_phyla_list)0, (kc_size_t_list)0, (kc_storageclass_t)0, 0 }, /* dummy element */
	{ "NoCaseStr", 0, 1, kc_phylum_nocasestring, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, 0 },
	{ "_Str", 0, 1, kc_phylum_casestring, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, 0 },
	{ "_Real", 0, 1, kc_phylum_float, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, 0 },
	{ "_Int", 0, 1, kc_phylum_int, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, 0 },
	{ "_VoidPtr", 0, 1, kc_phylum_voidptr, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, 0 },
	{ "Str", 1, 0, kc_phylum_uniqID, kc_subphyla_Str, kc_suboffsets_Str, uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Str },
	{ "Id", 1, 0, kc_phylum_ID, kc_subphyla_Id, kc_suboffsets_Id, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Id },
	{ "Int", 1, 0, kc_phylum_INT, kc_subphyla_Int, kc_suboffsets_Int, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Int },
	{ "String", 1, 0, kc_phylum_STRING, kc_subphyla_String, kc_suboffsets_String, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_String },
	{ "PhylumDeclarations", 1, 0, kc_phylum_phylumdeclarationsroot, kc_subphyla_PhylumDeclarations, kc_suboffsets_PhylumDeclarations, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PhylumDeclarations },
	{ "Nilphylumdeclarations", 0, 0, kc_phylum_phylumdeclarations, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilphylumdeclarations },
	{ "Consphylumdeclarations", 2, 0, kc_phylum_phylumdeclarations, kc_subphyla_Consphylumdeclarations, kc_suboffsets_Consphylumdeclarations, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consphylumdeclarations },
	{ "Nilphylumnames", 0, 0, kc_phylum_phylumnames, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilphylumnames },
	{ "Consphylumnames", 2, 0, kc_phylum_phylumnames, kc_subphyla_Consphylumnames, kc_suboffsets_Consphylumnames, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consphylumnames },
	{ "PhylumDeclaration", 4, 0, kc_phylum_phylumdeclaration, kc_subphyla_PhylumDeclaration, kc_suboffsets_PhylumDeclaration, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PhylumDeclaration },
	{ "NoStorageOption", 0, 0, kc_phylum_storageoption, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_NoStorageOption },
	{ "NegativeStorageOption", 1, 0, kc_phylum_storageoption, kc_subphyla_NegativeStorageOption, kc_suboffsets_NegativeStorageOption, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_NegativeStorageOption },
	{ "PositiveStorageOption", 1, 0, kc_phylum_storageoption, kc_subphyla_PositiveStorageOption, kc_suboffsets_PositiveStorageOption, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PositiveStorageOption },
	{ "Nilstorageclasses", 0, 0, kc_phylum_storageclasses, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilstorageclasses },
	{ "Consstorageclasses", 2, 0, kc_phylum_storageclasses, kc_subphyla_Consstorageclasses, kc_suboffsets_Consstorageclasses, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consstorageclasses },
	{ "Emptyproductionblock", 0, 0, kc_phylum_productionblock, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Emptyproductionblock },
	{ "ListAlternatives", 2, 0, kc_phylum_productionblock, kc_subphyla_ListAlternatives, kc_suboffsets_ListAlternatives, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ListAlternatives },
	{ "NonlistAlternatives", 1, 0, kc_phylum_productionblock, kc_subphyla_NonlistAlternatives, kc_suboffsets_NonlistAlternatives, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_NonlistAlternatives },
	{ "PredefinedAlternatives", 1, 0, kc_phylum_productionblock, kc_subphyla_PredefinedAlternatives, kc_suboffsets_PredefinedAlternatives, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PredefinedAlternatives },
	{ "Nilalternatives", 0, 0, kc_phylum_alternatives, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilalternatives },
	{ "Consalternatives", 2, 0, kc_phylum_alternatives, kc_subphyla_Consalternatives, kc_suboffsets_Consalternatives, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consalternatives },
	{ "Alternative", 2, 0, kc_phylum_alternative, kc_subphyla_Alternative, kc_suboffsets_Alternative, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Alternative },
	{ "Nilarguments", 0, 0, kc_phylum_arguments, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilarguments },
	{ "Consarguments", 2, 0, kc_phylum_arguments, kc_subphyla_Consarguments, kc_suboffsets_Consarguments, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consarguments },
	{ "Argument", 2, 0, kc_phylum_argument, kc_subphyla_Argument, kc_suboffsets_Argument, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Argument },
	{ "CcodeOption", 2, 0, kc_phylum_Ccode_option, kc_subphyla_CcodeOption, kc_suboffsets_CcodeOption, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CcodeOption },
	{ "Nilattributes", 0, 0, kc_phylum_attributes, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilattributes },
	{ "Consattributes", 2, 0, kc_phylum_attributes, kc_subphyla_Consattributes, kc_suboffsets_Consattributes, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consattributes },
	{ "Attribute", 3, 0, kc_phylum_attribute, kc_subphyla_Attribute, kc_suboffsets_Attribute, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Attribute },
	{ "Noattribute_initialisation", 0, 0, kc_phylum_attribute_initialisation_option, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Noattribute_initialisation },
	{ "Yesattribute_initialisation", 1, 0, kc_phylum_attribute_initialisation_option, kc_subphyla_Yesattribute_initialisation, kc_suboffsets_Yesattribute_initialisation, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Yesattribute_initialisation },
	{ "NilCexpression", 0, 0, kc_phylum_Cexpression, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_NilCexpression },
	{ "ConsCexpression", 2, 0, kc_phylum_Cexpression, kc_subphyla_ConsCexpression, kc_suboffsets_ConsCexpression, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ConsCexpression },
	{ "CExpressionPart", 1, 0, kc_phylum_Cexpression_elem, kc_subphyla_CExpressionPart, kc_suboffsets_CExpressionPart, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CExpressionPart },
	{ "CExpressionDollarvar", 1, 0, kc_phylum_Cexpression_elem, kc_subphyla_CExpressionDollarvar, kc_suboffsets_CExpressionDollarvar, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CExpressionDollarvar },
	{ "CExpressionNl", 1, 0, kc_phylum_Cexpression_elem, kc_subphyla_CExpressionNl, kc_suboffsets_CExpressionNl, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CExpressionNl },
	{ "CExpressionDQ", 1, 0, kc_phylum_Cexpression_elem, kc_subphyla_CExpressionDQ, kc_suboffsets_CExpressionDQ, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CExpressionDQ },
	{ "CExpressionSQ", 1, 0, kc_phylum_Cexpression_elem, kc_subphyla_CExpressionSQ, kc_suboffsets_CExpressionSQ, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CExpressionSQ },
	{ "CExpressionPack", 1, 0, kc_phylum_Cexpression_elem, kc_subphyla_CExpressionPack, kc_suboffsets_CExpressionPack, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CExpressionPack },
	{ "CExpressionArray", 1, 0, kc_phylum_Cexpression_elem, kc_subphyla_CExpressionArray, kc_suboffsets_CExpressionArray, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CExpressionArray },
	{ "NilCexpressionDQ", 0, 0, kc_phylum_CexpressionDQ, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_NilCexpressionDQ },
	{ "ConsCexpressionDQ", 2, 0, kc_phylum_CexpressionDQ, kc_subphyla_ConsCexpressionDQ, kc_suboffsets_ConsCexpressionDQ, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ConsCexpressionDQ },
	{ "CExpressionDQPart", 1, 0, kc_phylum_CexpressionDQ_elem, kc_subphyla_CExpressionDQPart, kc_suboffsets_CExpressionDQPart, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CExpressionDQPart },
	{ "CExpressionDQNl", 1, 0, kc_phylum_CexpressionDQ_elem, kc_subphyla_CExpressionDQNl, kc_suboffsets_CExpressionDQNl, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CExpressionDQNl },
	{ "NilCexpressionSQ", 0, 0, kc_phylum_CexpressionSQ, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_NilCexpressionSQ },
	{ "ConsCexpressionSQ", 2, 0, kc_phylum_CexpressionSQ, kc_subphyla_ConsCexpressionSQ, kc_suboffsets_ConsCexpressionSQ, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ConsCexpressionSQ },
	{ "CExpressionSQPart", 1, 0, kc_phylum_CexpressionSQ_elem, kc_subphyla_CExpressionSQPart, kc_suboffsets_CExpressionSQPart, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CExpressionSQPart },
	{ "CExpressionSQNl", 1, 0, kc_phylum_CexpressionSQ_elem, kc_subphyla_CExpressionSQNl, kc_suboffsets_CExpressionSQNl, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CExpressionSQNl },
	{ "NilidCexpressions", 0, 0, kc_phylum_idCexpressions, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_NilidCexpressions },
	{ "ConsidCexpressions", 2, 0, kc_phylum_idCexpressions, kc_subphyla_ConsidCexpressions, kc_suboffsets_ConsidCexpressions, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ConsidCexpressions },
	{ "IdCexpression", 2, 0, kc_phylum_idCexpression, kc_subphyla_IdCexpression, kc_suboffsets_IdCexpression, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_IdCexpression },
	{ "NilCtexts", 0, 0, kc_phylum_Ctexts, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_NilCtexts },
	{ "ConsCtexts", 2, 0, kc_phylum_Ctexts, kc_subphyla_ConsCtexts, kc_suboffsets_ConsCtexts, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ConsCtexts },
	{ "Nilincludefiles", 0, 0, kc_phylum_includefiles, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilincludefiles },
	{ "Consincludefiles", 2, 0, kc_phylum_includefiles, kc_subphyla_Consincludefiles, kc_suboffsets_Consincludefiles, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consincludefiles },
	{ "IncludeFile", 1, 0, kc_phylum_includefile, kc_subphyla_IncludeFile, kc_suboffsets_IncludeFile, uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_IncludeFile },
	{ "Nilincludedeclarations", 0, 0, kc_phylum_includedeclarations, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilincludedeclarations },
	{ "Consincludedeclarations", 2, 0, kc_phylum_includedeclarations, kc_subphyla_Consincludedeclarations, kc_suboffsets_Consincludedeclarations, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consincludedeclarations },
	{ "IncludeDeclaration", 1, 0, kc_phylum_includedeclaration, kc_subphyla_IncludeDeclaration, kc_suboffsets_IncludeDeclaration, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_IncludeDeclaration },
	{ "Nilincludes", 0, 0, kc_phylum_includes, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilincludes },
	{ "Consincludes", 2, 0, kc_phylum_includes, kc_subphyla_Consincludes, kc_suboffsets_Consincludes, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consincludes },
	{ "Include", 1, 0, kc_phylum_include, kc_subphyla_Include, kc_suboffsets_Include, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Include },
	{ "IncludeNl", 1, 0, kc_phylum_include, kc_subphyla_IncludeNl, kc_suboffsets_IncludeNl, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_IncludeNl },
	{ "Nilrwdeclarations", 0, 0, kc_phylum_rwdeclarations, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilrwdeclarations },
	{ "Consrwdeclarations", 2, 0, kc_phylum_rwdeclarations, kc_subphyla_Consrwdeclarations, kc_suboffsets_Consrwdeclarations, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consrwdeclarations },
	{ "RwDeclaration", 2, 0, kc_phylum_rwdeclaration, kc_subphyla_RwDeclaration, kc_suboffsets_RwDeclaration, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_RwDeclaration },
	{ "Nilrewriteclauses", 0, 0, kc_phylum_rewriteclauses, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilrewriteclauses },
	{ "Consrewriteclauses", 2, 0, kc_phylum_rewriteclauses, kc_subphyla_Consrewriteclauses, kc_suboffsets_Consrewriteclauses, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consrewriteclauses },
	{ "RewriteClause", 2, 0, kc_phylum_rewriteclause, kc_subphyla_RewriteClause, kc_suboffsets_RewriteClause, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_RewriteClause },
	{ "Nilpatternchains", 0, 0, kc_phylum_patternchains, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilpatternchains },
	{ "Conspatternchains", 2, 0, kc_phylum_patternchains, kc_subphyla_Conspatternchains, kc_suboffsets_Conspatternchains, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Conspatternchains },
	{ "Nilpatternchain", 0, 0, kc_phylum_patternchain, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilpatternchain },
	{ "Conspatternchain", 2, 0, kc_phylum_patternchain, kc_subphyla_Conspatternchain, kc_suboffsets_Conspatternchain, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Conspatternchain },
	{ "Niloutmostpatterns", 0, 0, kc_phylum_outmostpatterns, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Niloutmostpatterns },
	{ "Consoutmostpatterns", 2, 0, kc_phylum_outmostpatterns, kc_subphyla_Consoutmostpatterns, kc_suboffsets_Consoutmostpatterns, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consoutmostpatterns },
	{ "PatternchainitemOutmost", 1, 0, kc_phylum_patternchainitem, kc_subphyla_PatternchainitemOutmost, kc_suboffsets_PatternchainitemOutmost, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PatternchainitemOutmost },
	{ "PatternchainitemGroup", 1, 0, kc_phylum_patternchainitem, kc_subphyla_PatternchainitemGroup, kc_suboffsets_PatternchainitemGroup, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PatternchainitemGroup },
	{ "PatternchainitemDollarid", 1, 0, kc_phylum_patternchainitem, kc_subphyla_PatternchainitemDollarid, kc_suboffsets_PatternchainitemDollarid, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PatternchainitemDollarid },
	{ "OPOperatorWildcard", 1, 0, kc_phylum_outmostpattern, kc_subphyla_OPOperatorWildcard, kc_suboffsets_OPOperatorWildcard, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_OPOperatorWildcard },
	{ "OPOperator", 2, 0, kc_phylum_outmostpattern, kc_subphyla_OPOperator, kc_suboffsets_OPOperator, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_OPOperator },
	{ "OPNonLeafVariable", 2, 0, kc_phylum_outmostpattern, kc_subphyla_OPNonLeafVariable, kc_suboffsets_OPNonLeafVariable, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_OPNonLeafVariable },
	{ "OPWildcard", 0, 0, kc_phylum_outmostpattern, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_OPWildcard },
	{ "OPDefault", 0, 0, kc_phylum_outmostpattern, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_OPDefault },
	{ "PVariable", 1, 0, kc_phylum_pattern, kc_subphyla_PVariable, kc_suboffsets_PVariable, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PVariable },
	{ "POperator", 2, 0, kc_phylum_pattern, kc_subphyla_POperator, kc_suboffsets_POperator, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_POperator },
	{ "PNonLeafVariable", 2, 0, kc_phylum_pattern, kc_subphyla_PNonLeafVariable, kc_suboffsets_PNonLeafVariable, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PNonLeafVariable },
	{ "PWildcard", 0, 0, kc_phylum_pattern, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PWildcard },
	{ "PStringLiteral", 1, 0, kc_phylum_pattern, kc_subphyla_PStringLiteral, kc_suboffsets_PStringLiteral, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PStringLiteral },
	{ "PIntLiteral", 1, 0, kc_phylum_pattern, kc_subphyla_PIntLiteral, kc_suboffsets_PIntLiteral, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PIntLiteral },
	{ "Nilpatterns", 0, 0, kc_phylum_patterns, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilpatterns },
	{ "Conspatterns", 2, 0, kc_phylum_patterns, kc_subphyla_Conspatterns, kc_suboffsets_Conspatterns, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Conspatterns },
	{ "TVariable", 1, 0, kc_phylum_term, kc_subphyla_TVariable, kc_suboffsets_TVariable, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_TVariable },
	{ "TOperator", 2, 0, kc_phylum_term, kc_subphyla_TOperator, kc_suboffsets_TOperator, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_TOperator },
	{ "TStringLiteral", 1, 0, kc_phylum_term, kc_subphyla_TStringLiteral, kc_suboffsets_TStringLiteral, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_TStringLiteral },
	{ "TIntLiteral", 1, 0, kc_phylum_term, kc_subphyla_TIntLiteral, kc_suboffsets_TIntLiteral, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_TIntLiteral },
	{ "Nilterms", 0, 0, kc_phylum_terms, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilterms },
	{ "Consterms", 2, 0, kc_phylum_terms, kc_subphyla_Consterms, kc_suboffsets_Consterms, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consterms },
	{ "Nilfnfiles", 0, 0, kc_phylum_fnfiles, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilfnfiles },
	{ "Consfnfiles", 2, 0, kc_phylum_fnfiles, kc_subphyla_Consfnfiles, kc_suboffsets_Consfnfiles, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consfnfiles },
	{ "FnFile", 1, 0, kc_phylum_fnfile, kc_subphyla_FnFile, kc_suboffsets_FnFile, uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_FnFile },
	{ "Nilfndeclarations", 0, 0, kc_phylum_fndeclarations, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilfndeclarations },
	{ "Consfndeclarations", 2, 0, kc_phylum_fndeclarations, kc_subphyla_Consfndeclarations, kc_suboffsets_Consfndeclarations, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consfndeclarations },
	{ "FnDeclaration", 7, 0, kc_phylum_fndeclaration, kc_subphyla_FnDeclaration, kc_suboffsets_FnDeclaration, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_FnDeclaration },
	{ "FnAcDeclaration", 6, 0, kc_phylum_fndeclaration, kc_subphyla_FnAcDeclaration, kc_suboffsets_FnAcDeclaration, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_FnAcDeclaration },
	{ "GlobalFn", 0, 0, kc_phylum_fnclass, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_GlobalFn },
	{ "LocalFn", 1, 0, kc_phylum_fnclass, kc_subphyla_LocalFn, kc_suboffsets_LocalFn, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_LocalFn },
	{ "Nilfnarguments", 0, 0, kc_phylum_fnarguments, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilfnarguments },
	{ "Consfnarguments", 2, 0, kc_phylum_fnarguments, kc_subphyla_Consfnarguments, kc_suboffsets_Consfnarguments, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consfnarguments },
	{ "NilCvariabledeclarations", 0, 0, kc_phylum_Cvariabledeclarations, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_NilCvariabledeclarations },
	{ "ConsCvariabledeclarations", 2, 0, kc_phylum_Cvariabledeclarations, kc_subphyla_ConsCvariabledeclarations, kc_suboffsets_ConsCvariabledeclarations, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ConsCvariabledeclarations },
	{ "CVariabledeclaration", 2, 0, kc_phylum_Cvariabledeclaration, kc_subphyla_CVariabledeclaration, kc_suboffsets_CVariabledeclaration, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CVariabledeclaration },
	{ "Fnargfpdecl", 2, 0, kc_phylum_Cvariabledeclaration, kc_subphyla_Fnargfpdecl, kc_suboffsets_Fnargfpdecl, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Fnargfpdecl },
	{ "NilCvariables", 0, 0, kc_phylum_Cvariables, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_NilCvariables },
	{ "ConsCvariables", 2, 0, kc_phylum_Cvariables, kc_subphyla_ConsCvariables, kc_suboffsets_ConsCvariables, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ConsCvariables },
	{ "CVPointer", 2, 0, kc_phylum_Cvariable, kc_subphyla_CVPointer, kc_suboffsets_CVPointer, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CVPointer },
	{ "CVFunction", 3, 0, kc_phylum_Cvariable, kc_subphyla_CVFunction, kc_suboffsets_CVFunction, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CVFunction },
	{ "NilCtext", 0, 0, kc_phylum_Ctext, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_NilCtext },
	{ "ConsCtext", 2, 0, kc_phylum_Ctext, kc_subphyla_ConsCtext, kc_suboffsets_ConsCtext, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ConsCtext },
	{ "CTextLine", 1, 0, kc_phylum_Ctext_elem, kc_subphyla_CTextLine, kc_suboffsets_CTextLine, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CTextLine },
	{ "CTextDollarVar", 1, 0, kc_phylum_Ctext_elem, kc_subphyla_CTextDollarVar, kc_suboffsets_CTextDollarVar, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CTextDollarVar },
	{ "CTextNl", 1, 0, kc_phylum_Ctext_elem, kc_subphyla_CTextNl, kc_suboffsets_CTextNl, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CTextNl },
	{ "CTextCexpressionDQ", 1, 0, kc_phylum_Ctext_elem, kc_subphyla_CTextCexpressionDQ, kc_suboffsets_CTextCexpressionDQ, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CTextCexpressionDQ },
	{ "CTextCexpressionSQ", 1, 0, kc_phylum_Ctext_elem, kc_subphyla_CTextCexpressionSQ, kc_suboffsets_CTextCexpressionSQ, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CTextCexpressionSQ },
	{ "CTextCbody", 1, 0, kc_phylum_Ctext_elem, kc_subphyla_CTextCbody, kc_suboffsets_CTextCbody, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CTextCbody },
	{ "CTextForeachexpression", 5, 0, kc_phylum_Ctext_elem, kc_subphyla_CTextForeachexpression, kc_suboffsets_CTextForeachexpression, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CTextForeachexpression },
	{ "CTextWithexpression", 3, 0, kc_phylum_Ctext_elem, kc_subphyla_CTextWithexpression, kc_suboffsets_CTextWithexpression, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CTextWithexpression },
	{ "NoForeachAfter", 0, 0, kc_phylum_foreach_after, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_NoForeachAfter },
	{ "ForeachAfter", 4, 0, kc_phylum_foreach_after, kc_subphyla_ForeachAfter, kc_suboffsets_ForeachAfter, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ForeachAfter },
	{ "InForeachContext", 1, 0, kc_phylum_contextinfo, kc_subphyla_InForeachContext, kc_suboffsets_InForeachContext, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_InForeachContext },
	{ "NotInForeachContext", 0, 0, kc_phylum_contextinfo, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_NotInForeachContext },
	{ "Nilwithexpressions", 0, 0, kc_phylum_withexpressions, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilwithexpressions },
	{ "Conswithexpressions", 2, 0, kc_phylum_withexpressions, kc_subphyla_Conswithexpressions, kc_suboffsets_Conswithexpressions, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Conswithexpressions },
	{ "WEVariable", 1, 0, kc_phylum_withexpression, kc_subphyla_WEVariable, kc_suboffsets_WEVariable, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_WEVariable },
	{ "WECexpression", 1, 0, kc_phylum_withexpression, kc_subphyla_WECexpression, kc_suboffsets_WECexpression, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_WECexpression },
	{ "Nilwithcases", 0, 0, kc_phylum_withcases, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilwithcases },
	{ "Conswithcases", 2, 0, kc_phylum_withcases, kc_subphyla_Conswithcases, kc_suboffsets_Conswithcases, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Conswithcases },
	{ "Withcase", 2, 0, kc_phylum_withcase, kc_subphyla_Withcase, kc_suboffsets_Withcase, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Withcase },
	{ "Nilunparsedeclarations", 0, 0, kc_phylum_unparsedeclarations, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilunparsedeclarations },
	{ "Consunparsedeclarations", 2, 0, kc_phylum_unparsedeclarations, kc_subphyla_Consunparsedeclarations, kc_suboffsets_Consunparsedeclarations, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consunparsedeclarations },
	{ "UnparseDeclaration", 2, 0, kc_phylum_unparsedeclaration, kc_subphyla_UnparseDeclaration, kc_suboffsets_UnparseDeclaration, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_UnparseDeclaration },
	{ "Nilunparseclauses", 0, 0, kc_phylum_unparseclauses, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilunparseclauses },
	{ "Consunparseclauses", 2, 0, kc_phylum_unparseclauses, kc_subphyla_Consunparseclauses, kc_suboffsets_Consunparseclauses, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consunparseclauses },
	{ "UnparseClause", 2, 0, kc_phylum_unparseclause, kc_subphyla_UnparseClause, kc_suboffsets_UnparseClause, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_UnparseClause },
	{ "Nilviewnames", 0, 0, kc_phylum_viewnames, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilviewnames },
	{ "Consviewnames", 2, 0, kc_phylum_viewnames, kc_subphyla_Consviewnames, kc_suboffsets_Consviewnames, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consviewnames },
	{ "Nilunparseitems", 0, 0, kc_phylum_unparseitems, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilunparseitems },
	{ "Consunparseitems", 2, 0, kc_phylum_unparseitems, kc_subphyla_Consunparseitems, kc_suboffsets_Consunparseitems, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consunparseitems },
	{ "UnpStr", 2, 0, kc_phylum_unparseitem, kc_subphyla_UnpStr, kc_suboffsets_UnpStr, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_UnpStr },
	{ "UnpSubexpr", 2, 0, kc_phylum_unparseitem, kc_subphyla_UnpSubexpr, kc_suboffsets_UnpSubexpr, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_UnpSubexpr },
	{ "UnpCtext", 1, 0, kc_phylum_unparseitem, kc_subphyla_UnpCtext, kc_suboffsets_UnpCtext, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_UnpCtext },
	{ "UnpBody", 1, 0, kc_phylum_unparseitem, kc_subphyla_UnpBody, kc_suboffsets_UnpBody, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_UnpBody },
	{ "UnpSubTerm", 1, 0, kc_phylum_unpsubterm, kc_subphyla_UnpSubTerm, kc_suboffsets_UnpSubTerm, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_UnpSubTerm },
	{ "UnpDollarvarTerm", 1, 0, kc_phylum_unpsubterm, kc_subphyla_UnpDollarvarTerm, kc_suboffsets_UnpDollarvarTerm, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_UnpDollarvarTerm },
	{ "UnpSubAttr", 2, 0, kc_phylum_unpsubterm, kc_subphyla_UnpSubAttr, kc_suboffsets_UnpSubAttr, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_UnpSubAttr },
	{ "UnpDollarvarAttr", 2, 0, kc_phylum_unpsubterm, kc_subphyla_UnpDollarvarAttr, kc_suboffsets_UnpDollarvarAttr, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_UnpDollarvarAttr },
	{ "UnpCastedVariable", 2, 0, kc_phylum_unpsubterm, kc_subphyla_UnpCastedVariable, kc_suboffsets_UnpCastedVariable, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_UnpCastedVariable },
	{ "Nilunpattributes", 0, 0, kc_phylum_unpattributes, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilunpattributes },
	{ "Consunpattributes", 2, 0, kc_phylum_unpattributes, kc_subphyla_Consunpattributes, kc_suboffsets_Consunpattributes, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consunpattributes },
	{ "NoViewname", 0, 0, kc_phylum_viewnameoption, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_NoViewname },
	{ "YesViewname", 1, 0, kc_phylum_viewnameoption, kc_subphyla_YesViewname, kc_suboffsets_YesViewname, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_YesViewname },
	{ "Nilfilelinestack", 0, 0, kc_phylum_filelinestack, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilfilelinestack },
	{ "Consfilelinestack", 2, 0, kc_phylum_filelinestack, kc_subphyla_Consfilelinestack, kc_suboffsets_Consfilelinestack, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consfilelinestack },
	{ "FileLine", 2, 0, kc_phylum_fileline, kc_subphyla_FileLine, kc_suboffsets_FileLine, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_FileLine },
	{ "NoFileLine", 0, 0, kc_phylum_fileline, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_NoFileLine },
	{ "PosNoFileLine", 0, 0, kc_phylum_fileline, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PosNoFileLine },
	{ "Nilnooperatorsstack", 0, 0, kc_phylum_nooperatorsstack, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilnooperatorsstack },
	{ "Consnooperatorsstack", 2, 0, kc_phylum_nooperatorsstack, kc_subphyla_Consnooperatorsstack, kc_suboffsets_Consnooperatorsstack, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consnooperatorsstack },
	{ "Nilscopetypefilelinestack", 0, 0, kc_phylum_scopetypefilelinestack, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilscopetypefilelinestack },
	{ "Consscopetypefilelinestack", 2, 0, kc_phylum_scopetypefilelinestack, kc_subphyla_Consscopetypefilelinestack, kc_suboffsets_Consscopetypefilelinestack, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consscopetypefilelinestack },
	{ "ScopeTypeFileLine", 4, 0, kc_phylum_scopetypefileline, kc_subphyla_ScopeTypeFileLine, kc_suboffsets_ScopeTypeFileLine, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ScopeTypeFileLine },
	{ "ITUnknown", 0, 0, kc_phylum_IDtype, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ITUnknown },
	{ "ITPredefinedPhylum", 1, 0, kc_phylum_IDtype, kc_subphyla_ITPredefinedPhylum, kc_suboffsets_ITPredefinedPhylum, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ITPredefinedPhylum },
	{ "ITPredefinedBigatomPhylum", 1, 0, kc_phylum_IDtype, kc_subphyla_ITPredefinedBigatomPhylum, kc_suboffsets_ITPredefinedBigatomPhylum, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ITPredefinedBigatomPhylum },
	{ "ITUserPhylum", 1, 0, kc_phylum_IDtype, kc_subphyla_ITUserPhylum, kc_suboffsets_ITUserPhylum, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ITUserPhylum },
	{ "ITPredefinedOperator", 2, 0, kc_phylum_IDtype, kc_subphyla_ITPredefinedOperator, kc_suboffsets_ITPredefinedOperator, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ITPredefinedOperator },
	{ "ITUserOperator", 2, 0, kc_phylum_IDtype, kc_subphyla_ITUserOperator, kc_suboffsets_ITUserOperator, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ITUserOperator },
	{ "ITPredefinedStorageClass", 0, 0, kc_phylum_IDtype, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ITPredefinedStorageClass },
	{ "ITStorageClass", 0, 0, kc_phylum_IDtype, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ITStorageClass },
	{ "ITPredefinedUView", 0, 0, kc_phylum_IDtype, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ITPredefinedUView },
	{ "ITUserUView", 0, 0, kc_phylum_IDtype, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ITUserUView },
	{ "ITPredefinedRView", 0, 0, kc_phylum_IDtype, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ITPredefinedRView },
	{ "ITUserRView", 0, 0, kc_phylum_IDtype, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ITUserRView },
	{ "ITUserFunction", 1, 0, kc_phylum_IDtype, kc_subphyla_ITUserFunction, kc_suboffsets_ITUserFunction, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ITUserFunction },
	{ "ITPatternVariable", 2, 0, kc_phylum_IDtype, kc_subphyla_ITPatternVariable, kc_suboffsets_ITPatternVariable, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ITPatternVariable },
	{ "Niloperatorsstack", 0, 0, kc_phylum_operatorsstack, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Niloperatorsstack },
	{ "Consoperatorsstack", 2, 0, kc_phylum_operatorsstack, kc_subphyla_Consoperatorsstack, kc_suboffsets_Consoperatorsstack, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consoperatorsstack },
	{ "Niloperators", 0, 0, kc_phylum_operators, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Niloperators },
	{ "Consoperators", 2, 0, kc_phylum_operators, kc_subphyla_Consoperators, kc_suboffsets_Consoperators, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consoperators },
	{ "Nilphyla", 0, 0, kc_phylum_phyla, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilphyla },
	{ "Consphyla", 2, 0, kc_phylum_phyla, kc_subphyla_Consphyla, kc_suboffsets_Consphyla, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consphyla },
	{ "Nilvariables", 0, 0, kc_phylum_variables, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilvariables },
	{ "Consvariables", 2, 0, kc_phylum_variables, kc_subphyla_Consvariables, kc_suboffsets_Consvariables, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consvariables },
	{ "Nilargumentsstack", 0, 0, kc_phylum_argumentsstack, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilargumentsstack },
	{ "Consargumentsstack", 2, 0, kc_phylum_argumentsstack, kc_subphyla_Consargumentsstack, kc_suboffsets_Consargumentsstack, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consargumentsstack },
	{ "Nilphylumstack", 0, 0, kc_phylum_phylumstack, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilphylumstack },
	{ "Consphylumstack", 2, 0, kc_phylum_phylumstack, kc_subphyla_Consphylumstack, kc_suboffsets_Consphylumstack, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consphylumstack },
	{ "Nilphylumnamesstack", 0, 0, kc_phylum_phylumnamesstack, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilphylumnamesstack },
	{ "Consphylumnamesstack", 2, 0, kc_phylum_phylumnamesstack, kc_subphyla_Consphylumnamesstack, kc_suboffsets_Consphylumnamesstack, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consphylumnamesstack },
	{ "Nilwithexpressionsstack", 0, 0, kc_phylum_withexpressionsstack, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilwithexpressionsstack },
	{ "Conswithexpressionsstack", 2, 0, kc_phylum_withexpressionsstack, kc_subphyla_Conswithexpressionsstack, kc_suboffsets_Conswithexpressionsstack, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Conswithexpressionsstack },
	{ "Niloperatorstack", 0, 0, kc_phylum_operatorstack, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Niloperatorstack },
	{ "Consoperatorstack", 2, 0, kc_phylum_operatorstack, kc_subphyla_Consoperatorstack, kc_suboffsets_Consoperatorstack, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consoperatorstack },
	{ "Nilvariablesstack", 0, 0, kc_phylum_variablesstack, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilvariablesstack },
	{ "Consvariablesstack", 2, 0, kc_phylum_variablesstack, kc_subphyla_Consvariablesstack, kc_suboffsets_Consvariablesstack, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consvariablesstack },
	{ "Nilselvarstack", 0, 0, kc_phylum_selvarstack, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilselvarstack },
	{ "Consselvarstack", 2, 0, kc_phylum_selvarstack, kc_subphyla_Consselvarstack, kc_suboffsets_Consselvarstack, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consselvarstack },
	{ "DVAllowed", 0, 0, kc_phylum_dollarvarstatus, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_DVAllowed },
	{ "DVDisallowed", 0, 0, kc_phylum_dollarvarstatus, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_DVDisallowed },
	{ "Nildollarvarsallowedstack", 0, 0, kc_phylum_dollarvarsallowedstack, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nildollarvarsallowedstack },
	{ "Consdollarvarsallowedstack", 2, 0, kc_phylum_dollarvarsallowedstack, kc_subphyla_Consdollarvarsallowedstack, kc_suboffsets_Consdollarvarsallowedstack, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consdollarvarsallowedstack },
	{ "Nilintstack", 0, 0, kc_phylum_intstack, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilintstack },
	{ "Consintstack", 2, 0, kc_phylum_intstack, kc_subphyla_Consintstack, kc_suboffsets_Consintstack, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consintstack },
	{ "NilidCexpressionsstack", 0, 0, kc_phylum_idCexpressionsstack, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_NilidCexpressionsstack },
	{ "ConsidCexpressionsstack", 2, 0, kc_phylum_idCexpressionsstack, kc_subphyla_ConsidCexpressionsstack, kc_suboffsets_ConsidCexpressionsstack, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_ConsidCexpressionsstack },
	{ "TwoStorageoption", 2, 0, kc_phylum_two_phyla, kc_subphyla_TwoStorageoption, kc_suboffsets_TwoStorageoption, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_TwoStorageoption },
	{ "TwoProductionblock", 2, 0, kc_phylum_two_phyla, kc_subphyla_TwoProductionblock, kc_suboffsets_TwoProductionblock, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_TwoProductionblock },
	{ "TwoCcode_option", 2, 0, kc_phylum_two_phyla, kc_subphyla_TwoCcode_option, kc_suboffsets_TwoCcode_option, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_TwoCcode_option },
	{ "TwoRewriteruleinfo", 2, 0, kc_phylum_two_phyla, kc_subphyla_TwoRewriteruleinfo, kc_suboffsets_TwoRewriteruleinfo, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_TwoRewriteruleinfo },
	{ "TwoWithcaseinfo", 2, 0, kc_phylum_two_phyla, kc_subphyla_TwoWithcaseinfo, kc_suboffsets_TwoWithcaseinfo, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_TwoWithcaseinfo },
	{ "TwoUnparsedeclinfo", 2, 0, kc_phylum_two_phyla, kc_subphyla_TwoUnparsedeclinfo, kc_suboffsets_TwoUnparsedeclinfo, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_TwoUnparsedeclinfo },
	{ "TwoPatternrepresentation", 2, 0, kc_phylum_two_phyla, kc_subphyla_TwoPatternrepresentation, kc_suboffsets_TwoPatternrepresentation, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_TwoPatternrepresentation },
	{ "TwoElem_patternrepresentation", 2, 0, kc_phylum_two_phyla, kc_subphyla_TwoElem_patternrepresentation, kc_suboffsets_TwoElem_patternrepresentation, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_TwoElem_patternrepresentation },
	{ "TwoPaths", 2, 0, kc_phylum_two_phyla, kc_subphyla_TwoPaths, kc_suboffsets_TwoPaths, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_TwoPaths },
	{ "TwoPath", 2, 0, kc_phylum_two_phyla, kc_subphyla_TwoPath, kc_suboffsets_TwoPath, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_TwoPath },
	{ "Equal", 0, 0, kc_phylum_tribool, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Equal },
	{ "Smaller", 0, 0, kc_phylum_tribool, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Smaller },
	{ "Bigger", 0, 0, kc_phylum_tribool, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Bigger },
	{ "Nilpatternrepresentations", 0, 0, kc_phylum_patternrepresentations, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilpatternrepresentations },
	{ "Conspatternrepresentations", 2, 0, kc_phylum_patternrepresentations, kc_subphyla_Conspatternrepresentations, kc_suboffsets_Conspatternrepresentations, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Conspatternrepresentations },
	{ "Nilpatternrepresentation", 0, 0, kc_phylum_patternrepresentation, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilpatternrepresentation },
	{ "Conspatternrepresentation", 2, 0, kc_phylum_patternrepresentation, kc_subphyla_Conspatternrepresentation, kc_suboffsets_Conspatternrepresentation, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Conspatternrepresentation },
	{ "PRBinding", 2, 0, kc_phylum_elem_patternrepresentation, kc_subphyla_PRBinding, kc_suboffsets_PRBinding, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PRBinding },
	{ "PRVarPredicate", 3, 0, kc_phylum_elem_patternrepresentation, kc_subphyla_PRVarPredicate, kc_suboffsets_PRVarPredicate, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PRVarPredicate },
	{ "PROperPredicate", 2, 0, kc_phylum_elem_patternrepresentation, kc_subphyla_PROperPredicate, kc_suboffsets_PROperPredicate, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PROperPredicate },
	{ "PRNonLeafBinding", 3, 0, kc_phylum_elem_patternrepresentation, kc_subphyla_PRNonLeafBinding, kc_suboffsets_PRNonLeafBinding, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PRNonLeafBinding },
	{ "PRWildcard", 1, 0, kc_phylum_elem_patternrepresentation, kc_subphyla_PRWildcard, kc_suboffsets_PRWildcard, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PRWildcard },
	{ "PRDefault", 0, 0, kc_phylum_elem_patternrepresentation, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PRDefault },
	{ "PRStringLiteral", 2, 0, kc_phylum_elem_patternrepresentation, kc_subphyla_PRStringLiteral, kc_suboffsets_PRStringLiteral, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PRStringLiteral },
	{ "PRIntLiteral", 2, 0, kc_phylum_elem_patternrepresentation, kc_subphyla_PRIntLiteral, kc_suboffsets_PRIntLiteral, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_PRIntLiteral },
	{ "Nilpath", 0, 0, kc_phylum_path, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilpath },
	{ "Conspath", 2, 0, kc_phylum_path, kc_subphyla_Conspath, kc_suboffsets_Conspath, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Conspath },
	{ "Nilpaths", 0, 0, kc_phylum_paths, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilpaths },
	{ "Conspaths", 2, 0, kc_phylum_paths, kc_subphyla_Conspaths, kc_suboffsets_Conspaths, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Conspaths },
	{ "Nilargsnumbers", 0, 0, kc_phylum_argsnumbers, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilargsnumbers },
	{ "Consargsnumbers", 2, 0, kc_phylum_argsnumbers, kc_subphyla_Consargsnumbers, kc_suboffsets_Consargsnumbers, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consargsnumbers },
	{ "Nilrewriterulesinfo", 0, 0, kc_phylum_rewriterulesinfo, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilrewriterulesinfo },
	{ "Consrewriterulesinfo", 2, 0, kc_phylum_rewriterulesinfo, kc_subphyla_Consrewriterulesinfo, kc_suboffsets_Consrewriterulesinfo, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consrewriterulesinfo },
	{ "Rewriteruleinfo", 3, 0, kc_phylum_rewriteruleinfo, kc_subphyla_Rewriteruleinfo, kc_suboffsets_Rewriteruleinfo, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Rewriteruleinfo },
	{ "Nilwithcasesinfo", 0, 0, kc_phylum_withcasesinfo, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilwithcasesinfo },
	{ "Conswithcasesinfo", 2, 0, kc_phylum_withcasesinfo, kc_subphyla_Conswithcasesinfo, kc_suboffsets_Conswithcasesinfo, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Conswithcasesinfo },
	{ "Withcaseinfo", 3, 0, kc_phylum_withcaseinfo, kc_subphyla_Withcaseinfo, kc_suboffsets_Withcaseinfo, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Withcaseinfo },
	{ "Nilrewriteviewsinfo", 0, 0, kc_phylum_rewriteviewsinfo, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilrewriteviewsinfo },
	{ "Consrewriteviewsinfo", 2, 0, kc_phylum_rewriteviewsinfo, kc_subphyla_Consrewriteviewsinfo, kc_suboffsets_Consrewriteviewsinfo, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consrewriteviewsinfo },
	{ "Rewriteviewinfo", 2, 0, kc_phylum_rewriteviewinfo, kc_subphyla_Rewriteviewinfo, kc_suboffsets_Rewriteviewinfo, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Rewriteviewinfo },
	{ "Nilunparseviewsinfo", 0, 0, kc_phylum_unparseviewsinfo, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilunparseviewsinfo },
	{ "Consunparseviewsinfo", 2, 0, kc_phylum_unparseviewsinfo, kc_subphyla_Consunparseviewsinfo, kc_suboffsets_Consunparseviewsinfo, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consunparseviewsinfo },
	{ "Unparseviewinfo", 2, 0, kc_phylum_unparseviewinfo, kc_subphyla_Unparseviewinfo, kc_suboffsets_Unparseviewinfo, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Unparseviewinfo },
	{ "Nilunparsedeclsinfo", 0, 0, kc_phylum_unparsedeclsinfo, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilunparsedeclsinfo },
	{ "Consunparsedeclsinfo", 2, 0, kc_phylum_unparsedeclsinfo, kc_subphyla_Consunparsedeclsinfo, kc_suboffsets_Consunparsedeclsinfo, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consunparsedeclsinfo },
	{ "Unparsedeclinfo", 3, 0, kc_phylum_unparsedeclinfo, kc_subphyla_Unparsedeclinfo, kc_suboffsets_Unparsedeclinfo, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Unparsedeclinfo },
	{ "AcDeclaration", 2, 0, kc_phylum_ac_declaration, kc_subphyla_AcDeclaration, kc_suboffsets_AcDeclaration, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcDeclaration },
	{ "Nilac_declaration_list", 0, 0, kc_phylum_ac_declaration_list, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilac_declaration_list },
	{ "Consac_declaration_list", 2, 0, kc_phylum_ac_declaration_list, kc_subphyla_Consac_declaration_list, kc_suboffsets_Consac_declaration_list, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consac_declaration_list },
	{ "Nilac_declaration_specifiers", 0, 0, kc_phylum_ac_declaration_specifiers, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilac_declaration_specifiers },
	{ "Consac_declaration_specifiers", 2, 0, kc_phylum_ac_declaration_specifiers, kc_subphyla_Consac_declaration_specifiers, kc_suboffsets_Consac_declaration_specifiers, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consac_declaration_specifiers },
	{ "AcDeclSpecStorageSpec", 1, 0, kc_phylum_ac_declaration_specifier, kc_subphyla_AcDeclSpecStorageSpec, kc_suboffsets_AcDeclSpecStorageSpec, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcDeclSpecStorageSpec },
	{ "AcDeclSpecTypeSpec", 1, 0, kc_phylum_ac_declaration_specifier, kc_subphyla_AcDeclSpecTypeSpec, kc_suboffsets_AcDeclSpecTypeSpec, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcDeclSpecTypeSpec },
	{ "AcDeclSpecTypeQual", 1, 0, kc_phylum_ac_declaration_specifier, kc_subphyla_AcDeclSpecTypeQual, kc_suboffsets_AcDeclSpecTypeQual, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcDeclSpecTypeQual },
	{ "AcAuto", 0, 0, kc_phylum_ac_storage_class_specifier, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcAuto },
	{ "AcRegister", 0, 0, kc_phylum_ac_storage_class_specifier, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcRegister },
	{ "AcStatic", 0, 0, kc_phylum_ac_storage_class_specifier, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcStatic },
	{ "AcExtern", 0, 0, kc_phylum_ac_storage_class_specifier, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcExtern },
	{ "AcTypedef", 0, 0, kc_phylum_ac_storage_class_specifier, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcTypedef },
	{ "AcTypeSpec", 1, 0, kc_phylum_ac_type_specifier, kc_subphyla_AcTypeSpec, kc_suboffsets_AcTypeSpec, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcTypeSpec },
	{ "AcConst", 0, 0, kc_phylum_ac_type_qualifier, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcConst },
	{ "AcVolatile", 0, 0, kc_phylum_ac_type_qualifier, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcVolatile },
	{ "Nilac_init_declarator_list", 0, 0, kc_phylum_ac_init_declarator_list, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilac_init_declarator_list },
	{ "Consac_init_declarator_list", 2, 0, kc_phylum_ac_init_declarator_list, kc_subphyla_Consac_init_declarator_list, kc_suboffsets_Consac_init_declarator_list, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consac_init_declarator_list },
	{ "AcInitDecl", 1, 0, kc_phylum_ac_init_declarator, kc_subphyla_AcInitDecl, kc_suboffsets_AcInitDecl, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcInitDecl },
	{ "AcDeclarator", 2, 0, kc_phylum_ac_declarator, kc_subphyla_AcDeclarator, kc_suboffsets_AcDeclarator, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcDeclarator },
	{ "AcDirectDeclId", 1, 0, kc_phylum_ac_direct_declarator, kc_subphyla_AcDirectDeclId, kc_suboffsets_AcDirectDeclId, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcDirectDeclId },
	{ "AcDirectDeclPack", 1, 0, kc_phylum_ac_direct_declarator, kc_subphyla_AcDirectDeclPack, kc_suboffsets_AcDirectDeclPack, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcDirectDeclPack },
	{ "AcDirectDeclArray", 2, 0, kc_phylum_ac_direct_declarator, kc_subphyla_AcDirectDeclArray, kc_suboffsets_AcDirectDeclArray, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcDirectDeclArray },
	{ "AcDirectDeclProto", 2, 0, kc_phylum_ac_direct_declarator, kc_subphyla_AcDirectDeclProto, kc_suboffsets_AcDirectDeclProto, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcDirectDeclProto },
	{ "AcDirectDeclKandR", 2, 0, kc_phylum_ac_direct_declarator, kc_subphyla_AcDirectDeclKandR, kc_suboffsets_AcDirectDeclKandR, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcDirectDeclKandR },
	{ "Nopointer", 0, 0, kc_phylum_ac_pointer_option, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nopointer },
	{ "Yespointer", 1, 0, kc_phylum_ac_pointer_option, kc_subphyla_Yespointer, kc_suboffsets_Yespointer, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Yespointer },
	{ "AcPointerNil", 1, 0, kc_phylum_ac_pointer, kc_subphyla_AcPointerNil, kc_suboffsets_AcPointerNil, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcPointerNil },
	{ "AcPointerCons", 2, 0, kc_phylum_ac_pointer, kc_subphyla_AcPointerCons, kc_suboffsets_AcPointerCons, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcPointerCons },
	{ "Nilac_type_qualifier_list", 0, 0, kc_phylum_ac_type_qualifier_list, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilac_type_qualifier_list },
	{ "Consac_type_qualifier_list", 2, 0, kc_phylum_ac_type_qualifier_list, kc_subphyla_Consac_type_qualifier_list, kc_suboffsets_Consac_type_qualifier_list, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consac_type_qualifier_list },
	{ "AcParList", 1, 0, kc_phylum_ac_parameter_type_list, kc_subphyla_AcParList, kc_suboffsets_AcParList, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcParList },
	{ "AcParList3Dot", 1, 0, kc_phylum_ac_parameter_type_list, kc_subphyla_AcParList3Dot, kc_suboffsets_AcParList3Dot, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcParList3Dot },
	{ "Nilac_parameter_list", 0, 0, kc_phylum_ac_parameter_list, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilac_parameter_list },
	{ "Consac_parameter_list", 2, 0, kc_phylum_ac_parameter_list, kc_subphyla_Consac_parameter_list, kc_suboffsets_Consac_parameter_list, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consac_parameter_list },
	{ "AcParDeclDecl", 2, 0, kc_phylum_ac_parameter_declaration, kc_subphyla_AcParDeclDecl, kc_suboffsets_AcParDeclDecl, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcParDeclDecl },
	{ "AcParDeclAbsdecl", 2, 0, kc_phylum_ac_parameter_declaration, kc_subphyla_AcParDeclAbsdecl, kc_suboffsets_AcParDeclAbsdecl, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcParDeclAbsdecl },
	{ "Nilac_identifier_list", 0, 0, kc_phylum_ac_identifier_list, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilac_identifier_list },
	{ "Consac_identifier_list", 2, 0, kc_phylum_ac_identifier_list, kc_subphyla_Consac_identifier_list, kc_suboffsets_Consac_identifier_list, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consac_identifier_list },
	{ "AcAbsdeclPointer", 1, 0, kc_phylum_ac_abstract_declarator, kc_subphyla_AcAbsdeclPointer, kc_suboffsets_AcAbsdeclPointer, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcAbsdeclPointer },
	{ "AcAbsdeclDirdecl", 2, 0, kc_phylum_ac_abstract_declarator, kc_subphyla_AcAbsdeclDirdecl, kc_suboffsets_AcAbsdeclDirdecl, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcAbsdeclDirdecl },
	{ "Noac_direct_abstract_declarator", 0, 0, kc_phylum_ac_direct_abstract_declarator_option, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Noac_direct_abstract_declarator },
	{ "Yesac_direct_abstract_declarator", 1, 0, kc_phylum_ac_direct_abstract_declarator_option, kc_subphyla_Yesac_direct_abstract_declarator, kc_suboffsets_Yesac_direct_abstract_declarator, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Yesac_direct_abstract_declarator },
	{ "AcDirAbsdeclPack", 1, 0, kc_phylum_ac_direct_abstract_declarator, kc_subphyla_AcDirAbsdeclPack, kc_suboffsets_AcDirAbsdeclPack, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcDirAbsdeclPack },
	{ "AcDirAbsdeclArray", 2, 0, kc_phylum_ac_direct_abstract_declarator, kc_subphyla_AcDirAbsdeclArray, kc_suboffsets_AcDirAbsdeclArray, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcDirAbsdeclArray },
	{ "AcDirAbsdeclFn", 2, 0, kc_phylum_ac_direct_abstract_declarator, kc_subphyla_AcDirAbsdeclFn, kc_suboffsets_AcDirAbsdeclFn, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcDirAbsdeclFn },
	{ "Yesac_constant_expression", 1, 0, kc_phylum_ac_constant_expression_option, kc_subphyla_Yesac_constant_expression, kc_suboffsets_Yesac_constant_expression, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Yesac_constant_expression },
	{ "AcConstExpr", 1, 0, kc_phylum_ac_constant_expression, kc_subphyla_AcConstExpr, kc_suboffsets_AcConstExpr, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AcConstExpr },
	{ "Fatal", 2, 0, kc_phylum_error, kc_subphyla_Fatal, kc_suboffsets_Fatal, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Fatal },
	{ "NonFatal", 2, 0, kc_phylum_error, kc_subphyla_NonFatal, kc_suboffsets_NonFatal, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_NonFatal },
	{ "Warning", 2, 0, kc_phylum_error, kc_subphyla_Warning, kc_suboffsets_Warning, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Warning },
	{ "Problem1", 1, 0, kc_phylum_problem, kc_subphyla_Problem1, kc_suboffsets_Problem1, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Problem1 },
	{ "Problem1ID", 2, 0, kc_phylum_problem, kc_subphyla_Problem1ID, kc_suboffsets_Problem1ID, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Problem1ID },
	{ "Problem1tID", 2, 0, kc_phylum_problem, kc_subphyla_Problem1tID, kc_suboffsets_Problem1tID, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Problem1tID },
	{ "Problem1we", 2, 0, kc_phylum_problem, kc_subphyla_Problem1we, kc_suboffsets_Problem1we, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Problem1we },
	{ "Problem1ID1ID", 4, 0, kc_phylum_problem, kc_subphyla_Problem1ID1ID, kc_suboffsets_Problem1ID1ID, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Problem1ID1ID },
	{ "Problem1t1ID", 4, 0, kc_phylum_problem, kc_subphyla_Problem1t1ID, kc_suboffsets_Problem1t1ID, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Problem1t1ID },
	{ "Problem1INT", 2, 0, kc_phylum_problem, kc_subphyla_Problem1INT, kc_suboffsets_Problem1INT, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Problem1INT },
	{ "Problem1int1", 3, 0, kc_phylum_problem, kc_subphyla_Problem1int1, kc_suboffsets_Problem1int1, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Problem1int1 },
	{ "Problem1INT1ID", 4, 0, kc_phylum_problem, kc_subphyla_Problem1INT1ID, kc_suboffsets_Problem1INT1ID, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Problem1INT1ID },
	{ "Problem1ID1ID1ID", 6, 0, kc_phylum_problem, kc_subphyla_Problem1ID1ID1ID, kc_suboffsets_Problem1ID1ID1ID, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Problem1ID1ID1ID },
	{ "Problem1INT1ID1ID", 6, 0, kc_phylum_problem, kc_subphyla_Problem1INT1ID1ID, kc_suboffsets_Problem1INT1ID1ID, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Problem1INT1ID1ID },
	{ "Problem1storageoption1ID", 4, 0, kc_phylum_problem, kc_subphyla_Problem1storageoption1ID, kc_suboffsets_Problem1storageoption1ID, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Problem1storageoption1ID },
	{ "Problem2", 2, 0, kc_phylum_problem, kc_subphyla_Problem2, kc_suboffsets_Problem2, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Problem2 },
	{ "Problem3", 3, 0, kc_phylum_problem, kc_subphyla_Problem3, kc_suboffsets_Problem3, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Problem3 },
	{ "Problem3int1", 5, 0, kc_phylum_problem, kc_subphyla_Problem3int1, kc_suboffsets_Problem3int1, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Problem3int1 },
	{ "Problem4", 4, 0, kc_phylum_problem, kc_subphyla_Problem4, kc_suboffsets_Problem4, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Problem4 },
	{ "Problem5", 5, 0, kc_phylum_problem, kc_subphyla_Problem5, kc_suboffsets_Problem5, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Problem5 },
	{ "Problem6", 6, 0, kc_phylum_problem, kc_subphyla_Problem6, kc_suboffsets_Problem6, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Problem6 },
	{ "Niladdedphylumdeclarations", 0, 0, kc_phylum_addedphylumdeclarations, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Niladdedphylumdeclarations },
	{ "Consaddedphylumdeclarations", 2, 0, kc_phylum_addedphylumdeclarations, kc_subphyla_Consaddedphylumdeclarations, kc_suboffsets_Consaddedphylumdeclarations, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consaddedphylumdeclarations },
	{ "AddedPhylumdeclaration", 1, 0, kc_phylum_addedphylumdeclaration, kc_subphyla_AddedPhylumdeclaration, kc_suboffsets_AddedPhylumdeclaration, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_AddedPhylumdeclaration },
	{ "Nilcountedphylumdeclarations", 0, 0, kc_phylum_countedphylumdeclarations, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilcountedphylumdeclarations },
	{ "Conscountedphylumdeclarations", 2, 0, kc_phylum_countedphylumdeclarations, kc_subphyla_Conscountedphylumdeclarations, kc_suboffsets_Conscountedphylumdeclarations, kc_not_uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Conscountedphylumdeclarations },
	{ "CountedPhylumdeclaration", 1, 0, kc_phylum_countedphylumdeclaration, kc_subphyla_CountedPhylumdeclaration, kc_suboffsets_CountedPhylumdeclaration, uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_CountedPhylumdeclaration },
	{ "Nilbindingidmarks", 0, 0, kc_phylum_bindingidmarks, (kc_enum_phyla_list)0, (kc_size_t_list)0, kc_uniq_nullary_operator, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Nilbindingidmarks },
	{ "Consbindingidmarks", 2, 0, kc_phylum_bindingidmarks, kc_subphyla_Consbindingidmarks, kc_suboffsets_Consbindingidmarks, uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_Consbindingidmarks },
	{ "BindingIdMark", 1, 0, kc_phylum_bindingidmark, kc_subphyla_BindingIdMark, kc_suboffsets_BindingIdMark, uniq, (kc_voidptr_t(*) KC__P((KC_DOTDOTDOT)))kc_opfn_BindingIdMark },
	{ (char*)0, 0, 0, kc_one_before_first_phylum, (kc_enum_phyla_list)0, (kc_size_t_list)0, (kc_storageclass_t)0, 0 } /* last element */
};

static kc_enum_phyla kc_phylumstorageclass_uniq[] = { kc_one_before_first_phylum, kc_phylum_nocasestring, kc_phylum_casestring, kc_phylum_float, kc_phylum_int, kc_phylum_voidptr, kc_phylum_uniqID, kc_phylum_includefile, kc_phylum_fnfile, kc_phylum_countedphylumdeclaration, kc_phylum_bindingidmarks, kc_phylum_bindingidmark, kc_last_phylum };

KC_UNIQ_INFO kc_UniqInfo[] = {
	(KC_UNIQ_INFO)0,
	(KC_UNIQ_INFO)0,
	kc_phylumstorageclass_uniq
};
/* included stuff */
#line 348 "../abs.k"
#include "gutil.h"

#line 3798 "k.c"
#line 2 "../main.k"
/*
 * The Termprocessor Kimwitu
 *
 * Copyright (c) 1991 University of Twente, Dept TIOS.
 * All rights reserved.
 *
 */

#line 3808 "k.c"
/* end included stuff */

#if defined(lint)
   int kc_zero_constant = 0;
#endif

void kc_no_default_in_with
#ifdef KC_USE_PROTOTYPES
( char *kc_func, int kc_line, char *kc_file )
#else
( kc_func, kc_line, kc_file ) char *kc_func; int kc_line; char *kc_file;
#endif
{	(void)fflush(stdout);
	(void)fprintf( stderr, KC_NO_DEFAULT_IN_WITH, kc_func, kc_file, kc_line );
#ifndef KC_NODEFAULT_NO_ABORT
	abort();
#else
	exit( 1 );
#endif
}

void kc_returnless_function
#ifdef KC_USE_PROTOTYPES
( char *kc_func, int kc_line, char *kc_file )
#else
( kc_func, kc_line, kc_file ) char *kc_func; int kc_line; char *kc_file;
#endif
{	(void)fflush(stdout);
	(void)fprintf( stderr, "Internal Error: function %s does not return a value, at %s:%d", kc_func, kc_file, kc_line );
#ifndef KC_NODEFAULT_NO_ABORT
	abort();
#else
	exit( 1 );
#endif
}

void kc_assertionFailed
#ifdef KC_USE_PROTOTYPES
(char *kc_fn, int kc_l)
#else
(kc_fn, kc_l) char *kc_fn; int kc_l;
#endif
{	(void)fflush(stdout);
	(void)fprintf( stderr, "Internal Error: Assertion failed at %s:%d\n", kc_fn, kc_l );
#ifndef KC_ASSERT_NO_ABORT
	abort();
#else
	exit( 1 );
#endif
}

void kc_assertionReasonFailed
#ifdef KC_USE_PROTOTYPES
(char *kc_fn, int kc_l, char *kc_s)
#else
(kc_fn, kc_l, kc_s) char *kc_fn; int kc_l; char *kc_s;
#endif
{	(void)fflush(stdout);
	(void)fprintf( stderr, "Internal Error: Assertion failed at file %s:%d: %s\n", kc_fn, kc_l, kc_s );
#ifndef KC_ASSERT_NO_ABORT
	abort();
#else
	exit( 1 );
#endif
}

void kc_assertionNonNullFailed
#ifdef KC_USE_PROTOTYPES
(char *kc_str, char *kc_fn, int kc_l)
#else
(kc_str, kc_fn, kc_l) char *kc_str; char *kc_fn; int kc_l;
#endif
{	(void)fflush(stdout);
	(void)fprintf( stderr, "Internal Error: Assertion failed at %s:%d: pointer %s is NULL\n", kc_fn, kc_l, kc_str );
#ifndef KC_ASSERT_NO_ABORT
	abort();
#else
	exit( 1 );
#endif
}

void kc_assertionOperatorInPhylumFailed
#ifdef KC_USE_PROTOTYPES
(int kc_op, char *kc_str1, char *kc_str2, int kc_phy, char *kc_fn, int kc_l)
#else
(kc_op, kc_str1, kc_str2, kc_phy, kc_fn, kc_l) int kc_op; char *kc_str1; char *kc_str2; int kc_phy; char *kc_fn; int kc_l;
#endif
{	(void)fflush(stdout);
	if ((kc_op <= (int)kc_one_before_first_operator) || (kc_op >= (int)kc_last_operator)) {
		(void)fprintf( stderr, "Internal Error: Assertion failed at %s:%d: illegal value for (%s) %s%s: %d not a valid operator\n", kc_fn, kc_l, kc_PhylumInfo[(int)kc_phy].name, kc_str1, kc_str2, kc_op );
	} else {
		(void)fprintf( stderr, "Internal Error: Assertion failed at %s:%d: illegal value for (%s) %s%s: %s (%d) is a value of %s\n", kc_fn, kc_l, kc_PhylumInfo[(int)kc_phy].name, kc_str1, kc_str2, kc_OperatorInfo[kc_op].name, kc_op, kc_PhylumInfo[(int)kc_OperatorInfo[kc_op].phylum].name );
	}
#ifndef KC_ASSERT_NO_ABORT
	abort();
#else
	exit( 1 );
#endif
}

static void kc_invalid_operator
#ifdef KC_USE_PROTOTYPES
( char *kc_func_prefix, kc_enum_phyla kc_phy, int kc_line, char *kc_file, int kc_oper )
#else
( kc_func_prefix, kc_phy, kc_line, kc_file, kc_oper ) char *kc_func_prefix; kc_enum_phyla kc_phy; int kc_line; char *kc_file; int kc_oper;
#endif
{	(void)fflush(stdout);
	(void)fprintf( stderr, "Internal Error: invalid operator code in %s%s at %s:%d: %s\n", kc_func_prefix, kc_phylumname_or_error( (int)kc_phy ), kc_file, kc_line, kc_operatorname_or_error( kc_oper ));
#ifndef KC_INVALID_OPERATOR_NO_ABORT
	abort();
#else
	exit( 1 );
#endif
}

/* macro's that do the string concatenation */
#define KC_MIdStr(s) s
#ifdef KC_STDC
#  define KC_MStrConc(s1,s2) s1 ## s2
#else
#  define KC_MStrConc(s1,s2) KC_MIdStr(s1)s2
#endif

#ifndef KC_MEMORY_BLOCKSIZE
#  define KC_MEMORY_BLOCKSIZE 20000
#endif
#ifndef LARGEPRIME
#  define LARGEPRIME 80021
#endif
#if LARGEPRIME < 0
#  define LARGEPRIME 0
#endif
#ifndef KC_BUCKET_INC
#  define KC_BUCKET_INC 8
#endif
#ifndef HASH
#  define HASH(x) kc_hashval = ((kc_hashval<<3) + (((unsigned)x)>>2))
#endif
#ifndef INTHASH
#  define INTHASH(x) kc_hashval = ((kc_hashval<<10) + (unsigned)x)
#endif
#ifndef FLOATHASH
#  define FLOATHASH(x) kc_hashval = ((kc_hashval<<10) + (unsigned)x)
#endif
#ifndef VOIDPTRHASH
#  define VOIDPTRHASH(x) HASH(x)
#endif
#ifndef OPERATORHASH
#  define OPERATORHASH(x) kc_hashval = (kc_hashval + (unsigned)x * 73)
#endif
#ifndef CASESTRHASH
#  define CASESTRHASH(x) kc_hashval = ((kc_hashval<<3) + (unsigned)kc_casestrhash(x))
#endif
#ifndef NOCASESTRHASH
#  define NOCASESTRHASH(x) kc_hashval = ((kc_hashval<<3) + (unsigned)kc_nocasestrhash(x))
#endif
#ifndef MALLOC
#  define MALLOC emalloc
#endif
#ifndef CALLOC
#  define CALLOC ecalloc
#endif
#ifndef REALLOC
/*
 * # ifdef lint
 * #  define REALLOC(kc_p,kc_s) (kc_p,kc_s,0)
 * # else
 */
#  define REALLOC erealloc
/*
 * # endif
 */
#endif
#ifndef FREE
#  define FREE efree
#endif
#ifndef efree
/*
 * # ifdef lint
 * #  define efree(kc_p) 
 * # else
 */
#  define efree(kc_p) free((kc_malloc_t)(kc_p))
/*
 * # endif
 */
#endif
#ifndef KC_ALIGN
typedef union kc_Align_tag { long l; int i; } kc_Align;
#else
typedef KC_ALIGN kc_Align;
#endif
#ifndef UNIQMALLOCINIT
#  define UNIQMALLOCINIT uniqmallocinit
#  ifndef UNIQMALLOC2
#    define UNIQMALLOC2 uniqmalloc
#  endif
#  ifndef UNIQFREEELEMENT
#    define UNIQFREEELEMENT uniqfreeelement
#  endif
#  ifndef UNIQFREEALL
#    define UNIQFREEALL uniqfreeall
#  endif
#  ifndef INUNIQBLOCK
#    define INUNIQBLOCK isinuniqmalloccedblock
#  endif
#  ifndef UNIQMEMORYINFO
#    define UNIQMEMORYINFO kc_print_memory_info_statistics
#  endif
#else
#  ifndef UNIQFREEELEMENT
#    define UNIQFREEELEMENT 0
#  endif
#  ifndef UNIQFREEALL
#    define UNIQFREEALL 0
#  endif
#  ifndef INUNIQBLOCK
#    define INUNIQBLOCK 0
#  endif
#  ifndef UNIQMEMORYINFO
#    define UNIQMEMORYINFO 0
#  endif
#endif
#ifndef BUCKETALLOCINIT
#  define BUCKETALLOCINIT 0
#  ifndef BUCKETCALLOC
#    define BUCKETCALLOC kc_wrap_bucket_malloc
#  endif
#  ifndef BUCKETREALLOC
#    define BUCKETREALLOC kc_wrap_bucket_realloc
#  endif
#  ifndef BUCKETFREE
#    define BUCKETFREE kc_wrap_bucket_free
#  endif
#  ifndef BUCKETSFREE
#    define BUCKETSFREE 0
#  endif
#  ifndef BUCKETMEMORYINFO
#    define BUCKETMEMORYINFO 0
#  endif
#else
#  ifndef BUCKETFREE
#    define BUCKETFREE 0
#  endif
#  ifndef BUCKETSFREE
#    define BUCKETSFREE 0
#  endif
#  ifndef BUCKETMEMORYINFO
#    define BUCKETMEMORYINFO 0
#  endif
#endif
#ifndef BUCKETINC
#  define BUCKETINC KC_BUCKET_INC
#endif
#ifndef NONUNIQMALLOC
#  define NONUNIQMALLOC emalloc
#endif
#ifndef NONUNIQFREE
#  define NONUNIQFREE efree
#endif
#ifndef KC_BZERO
#  define KC_BZERO(kc_p, kc_s) (void)memset((kc_memset_firstarg_t)kc_p, 0, (kc_memset_size_t)kc_s)
#endif

typedef struct kc_tag_kc_memory_blockinfo_t *kc_memory_blocksinfo_t;
typedef struct kc_tag_kc_memory_blockinfo_t kc_memory_blockinfo_t;
typedef struct kc_tag_kc_memory_info_t kc_memory_info_t;

static kc_memory_blocksinfo_t kc_mainmemory_freelist = 0;

struct kc_tag_kc_memory_blockinfo_t {
	kc_voidptr_t block; /* pointer to the allocated structure */
	kc_size_t size; /* size of allocated structure */
	kc_memory_blocksinfo_t next; /* next block in list */
	kc_memory_blocksinfo_t prev; /* prev block in list */
};

struct kc_tag_kc_memory_info_t {
	kc_memory_blocksinfo_t kc_memory_blocklist; /* points to block currently in use */
	int kc_memory_left; /* remaining bytes in current block */
	kc_voidptr_t kc_memory_ptr; /* address of first free byte in current block */
	kc_memory_blocksinfo_t *kc_memory_freelist; /* pointer to variable that holds freelist */
	int kc_to_be_freed; /* should be 0 for statically created nodes, and 1 for dynamically created ones */
	kc_size_t kc_wanted_blocksize; /* prefered size of chunks */
};

static kc_memory_blocksinfo_t kc_memory_createblock
#ifdef KC_USE_PROTOTYPES
(kc_size_t kc_n, kc_memory_info_t *kc_malloc_private_info)
#else
(kc_n, kc_malloc_private_info) kc_size_t kc_n; kc_memory_info_t *kc_malloc_private_info;
#endif
{	kc_voidptr_t kc_p;
	kc_memory_blocksinfo_t kc_l;
	kc_size_t kc_size;

	/* we use plain malloc for adminstrative things, and test for the return status */
	kc_l = (kc_memory_blocksinfo_t)MALLOC((kc_size_t)sizeof(kc_memory_blockinfo_t));
	kc_size = (kc_malloc_private_info->kc_wanted_blocksize > kc_n) ?  kc_malloc_private_info->kc_wanted_blocksize : kc_n;
	kc_p = (kc_voidptr_t)MALLOC((kc_size_t)kc_size);
	kc_l->block = kc_p;
	kc_l->size = kc_size;
	return kc_l;
}

/*
 * we use first fit when reusing a block
 */
static kc_memory_blocksinfo_t kc_memory_reuseblock
#ifdef KC_USE_PROTOTYPES
(kc_size_t kc_n, kc_memory_info_t *kc_malloc_private_info)
#else
(kc_n, kc_malloc_private_info) kc_size_t kc_n; kc_memory_info_t *kc_malloc_private_info;
#endif
{	kc_memory_blocksinfo_t kc_l;
	if (*kc_malloc_private_info->kc_memory_freelist == 0) { /* no elements in freelist */
		return (kc_memory_blocksinfo_t)0;
	}
	kc_l = *kc_malloc_private_info->kc_memory_freelist;
	do { /* at least one time, because we have at least one element */
		if (kc_l->size >= kc_n) {
			if (kc_l->next != kc_l) { /* the list contains > 1 elements */
				kc_l->prev->next = kc_l->next;
				kc_l->next->prev = kc_l->prev;
				/* make sure that we don't loose the handle to the list */
				if (kc_l ==  *kc_malloc_private_info->kc_memory_freelist) {
					*kc_malloc_private_info->kc_memory_freelist = kc_l->next;
				}
			} else { /* we release the last free element */
				*kc_malloc_private_info->kc_memory_freelist = 0;
			}
			return kc_l;
		}
		kc_l = kc_l->next;
	} while(kc_l != *kc_malloc_private_info->kc_memory_freelist);
	return (kc_memory_blocksinfo_t)0;
}

static void kc_memory_newblock
#ifdef KC_USE_PROTOTYPES
(kc_size_t kc_n, kc_memory_info_t *kc_malloc_private_info)
#else
(kc_n, kc_malloc_private_info) kc_size_t kc_n; kc_memory_info_t *kc_malloc_private_info;
#endif
{	kc_memory_blocksinfo_t kc_l;
	if ((kc_l = kc_memory_reuseblock(kc_n, kc_malloc_private_info)) == 0) {
		kc_l = kc_memory_createblock(kc_n, kc_malloc_private_info);
	}
	if (kc_malloc_private_info->kc_memory_blocklist != 0) {
		kc_l->next = kc_malloc_private_info->kc_memory_blocklist;
		kc_malloc_private_info->kc_memory_blocklist->prev->next = kc_l;
		kc_l->prev = kc_malloc_private_info->kc_memory_blocklist->prev;
		kc_malloc_private_info->kc_memory_blocklist->prev = kc_l;
	} else {
		kc_l->next = kc_l;
		kc_l->prev = kc_l;
	}
	kc_malloc_private_info->kc_memory_blocklist = kc_l;
	kc_malloc_private_info->kc_memory_left = kc_l->size;
	kc_malloc_private_info->kc_memory_ptr = kc_l->block;
}

static void kc_print_memory_blocks_info_statistics
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, kc_memory_blocksinfo_t kc_a_memory_blocksinfo_t)
#else
(kc_f, kc_a_memory_blocksinfo_t) FILE *kc_f; kc_memory_blocksinfo_t kc_a_memory_blocksinfo_t;
#endif
{	kc_memory_blocksinfo_t kc_tmp = kc_a_memory_blocksinfo_t;
	if (kc_tmp) {
		/* at least one block? */
		do {
			fprintf(kc_f, "		block-size (at %p): %d\n", kc_tmp->block, kc_tmp->size);
			kc_tmp = kc_tmp->next;
		} while(kc_tmp && (kc_tmp != kc_a_memory_blocksinfo_t));
	} else {
		fprintf(kc_f, "		no blocks allocated\n");
	}
}

void kc_print_memory_info_statistics
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, kc_voidptr_t kc_malloc_private_info)
#else
(kc_f, kc_malloc_private_info) FILE *kc_f; kc_voidptr_t kc_malloc_private_info;
#endif
{
	kc_memory_info_t *kc_a_memory_info_t = (kc_memory_info_t *)kc_malloc_private_info;
	fprintf(kc_f, "	to-be-freed: %s\n", (kc_a_memory_info_t->kc_to_be_freed ? "yes" : "no"));
	fprintf(kc_f, "	wanted block-size: %d\n", kc_a_memory_info_t->kc_wanted_blocksize);
	fprintf(kc_f, "	remaining in current block: %d\n", kc_a_memory_info_t->kc_memory_left);
	fprintf(kc_f, "	blocks-info (at %p):\n", kc_a_memory_info_t->kc_memory_blocklist);
	kc_print_memory_blocks_info_statistics(kc_f, kc_a_memory_info_t->kc_memory_blocklist);
	fprintf(kc_f, "	freelist-info (at %p):\n", *kc_a_memory_info_t->kc_memory_freelist);
	kc_print_memory_blocks_info_statistics(kc_f, *kc_a_memory_info_t->kc_memory_freelist);
}	

/*
 * the %p in the routine below is ANSI-C standard (but implementation dependent)
 * for void*; instead we could use %p
 */
void kc_print_hashtable_memory_statistics
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, kc_hashtable_t kc_a_hashtable_t)
#else
(kc_f, kc_a_hashtable_t) FILE *kc_f; kc_hashtable_t kc_a_hashtable_t;
#endif
{	kc_private_malloc_t kc_tmp;
	int kc_i;
	fprintf(kc_f, "current allocation scheme: %s\n",
		((kc_a_hashtable_t->mode == kc_ht_store_static) ? "static" : "dynamic"));
	if (kc_a_hashtable_t->malloc_info) {
		fprintf(kc_f, "static allocation info (info ptr: %p):\n", kc_a_hashtable_t->static_malloc_private_data);
		(*kc_a_hashtable_t->malloc_info)(kc_f, kc_a_hashtable_t->static_malloc_private_data);
		kc_tmp = kc_a_hashtable_t->dynamic_malloc_private_data;
		kc_i = 0;
		fprintf(kc_f, "dynamic allocation info: counting from top (level 0) of level stack\n");
		while(kc_tmp) {
			fprintf(kc_f, "dynamic allocation info for level %d,(info ptr: %p):\n", kc_i, kc_tmp->malloc_private_data);
			(*kc_a_hashtable_t->malloc_info)(kc_f, kc_tmp->malloc_private_data);
			kc_i++;
			kc_tmp = kc_tmp->next;
		}
		kc_tmp = kc_a_hashtable_t->dec_dynamic_malloc_private_data;
		kc_i = 0;
		fprintf(kc_f, "dynamic allocation info: levels to be freed, counting from bottom\n");
		while(kc_tmp) {
			fprintf(kc_f, "dynamic allocation info for level %d,(info ptr: %p):\n", kc_i, kc_tmp->malloc_private_data);
			(*kc_a_hashtable_t->malloc_info)(kc_f, kc_tmp->malloc_private_data);
			kc_i++;
			kc_tmp = kc_tmp->prev;
		}
	}
}


kc_voidptr_t uniqmalloc	/* check return from malloc */
#ifdef KC_USE_PROTOTYPES
(kc_size_t kc_n, kc_voidptr_t kc_malloc_private_info)
#else
(kc_n, kc_malloc_private_info) kc_size_t kc_n; kc_voidptr_t kc_malloc_private_info;
#endif
{	kc_voidptr_t kc_p;
	kc_memory_info_t *kc_a_memory_info_t = (kc_memory_info_t *)kc_malloc_private_info;	
	/* all blocks should be a multiple of the alignment requirement */
	kc_n += sizeof(kc_Align) - 1 - ((kc_n - 1) % sizeof(kc_Align));
	if ( kc_a_memory_info_t->kc_memory_left < (int)kc_n ) kc_memory_newblock(kc_n, kc_a_memory_info_t);
	kc_a_memory_info_t->kc_memory_left -= kc_n;
	kc_p = kc_a_memory_info_t->kc_memory_ptr;
	kc_a_memory_info_t->kc_memory_ptr = (kc_voidptr_t)((char*)(kc_a_memory_info_t->kc_memory_ptr) + kc_n);
	return kc_p;
}

kc_memory_info_t *uniqmallocinit
#ifdef KC_USE_PROTOTYPES
( /*kc_size_t kc_n*/ )
#else
( /*kc_n*/ ) /*kc_size_t kc_n;*/
#endif
{	kc_memory_info_t *kc_p;
	kc_p = (kc_memory_info_t*)MALLOC((kc_size_t)sizeof(kc_memory_info_t));
	kc_p->kc_memory_blocklist = 0;
	kc_p->kc_memory_left = 0;
	kc_p->kc_memory_ptr = 0;
	kc_p->kc_memory_freelist = &kc_mainmemory_freelist;
	kc_p->kc_to_be_freed = 1;
	kc_p->kc_wanted_blocksize = /*(kc_n <= 0) ?*/ KC_MEMORY_BLOCKSIZE /*: kc_n*/;
	return kc_p;
}

boolean isinuniqmalloccedblock
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_p, kc_voidptr_t kc_malloc_private_info)
#else
(kc_p, kc_malloc_private_info) kc_voidptr_t kc_p; kc_voidptr_t kc_malloc_private_info;
#endif
{	kc_memory_blocksinfo_t kc_l;
	kc_memory_info_t *kc_a_memory_info_t = (kc_memory_info_t *)kc_malloc_private_info;
	if (kc_a_memory_info_t->kc_memory_blocklist == 0) {
		return False;
	}
	kc_l = kc_a_memory_info_t->kc_memory_blocklist;
	do {
		if (((char*)kc_p >= (char*)kc_l->block) && ((char*)kc_p < (char*)((char*)kc_l->block + kc_l->size))) {
			return True;
		}
		kc_l = kc_l->next;
	} while(kc_l != kc_a_memory_info_t->kc_memory_blocklist);
	return False;
}

/*ARGSUSED*/
void uniqfreeelement	/* free (prepare for reuse of) one element in private info */
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_ptr, kc_voidptr_t kc_malloc_private_info)
#else
(kc_ptr, kc_malloc_private_info) kc_voidptr_t kc_ptr; kc_voidptr_t kc_malloc_private_info;
#endif
{
}

void uniqfreeall	/* free (prepare for reuse of) everything in private info */
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_malloc_private_info)
#else
(kc_malloc_private_info) kc_voidptr_t kc_malloc_private_info;
#endif
{
	kc_memory_info_t *kc_a_memory_info_t = (kc_memory_info_t *)kc_malloc_private_info;
	if (kc_a_memory_info_t->kc_memory_blocklist != 0) {
		kc_memory_blocksinfo_t kc_a_memory_blocklist = kc_a_memory_info_t->kc_memory_blocklist;
		kc_memory_blocksinfo_t kc_blockptr = kc_a_memory_blocklist;
		do {
			KC_BZERO(kc_blockptr->block, kc_blockptr->size);
			kc_blockptr = kc_blockptr->next;
		} while (kc_blockptr != kc_a_memory_blocklist);
		if (*kc_a_memory_info_t->kc_memory_freelist == 0) {
			*kc_a_memory_info_t->kc_memory_freelist = kc_a_memory_info_t->kc_memory_blocklist;
		} else {
			kc_a_memory_info_t->kc_memory_blocklist->prev->next = (*kc_a_memory_info_t->kc_memory_freelist);
			(*kc_a_memory_info_t->kc_memory_freelist)->prev->next = kc_a_memory_info_t->kc_memory_blocklist;
			kc_blockptr = kc_a_memory_info_t->kc_memory_blocklist->prev;
			kc_a_memory_info_t->kc_memory_blocklist->prev = (*kc_a_memory_info_t->kc_memory_freelist)->prev;
			(*kc_a_memory_info_t->kc_memory_freelist)->prev = kc_blockptr;;
	}	}
	/* just to be sure, this is NECESSARY in case kc_a_memory_info_t->kc_to_be_freed holds */
	kc_a_memory_info_t->kc_memory_blocklist = 0;
	kc_a_memory_info_t->kc_memory_left = 0;
	kc_a_memory_info_t->kc_memory_ptr = 0;
	kc_a_memory_info_t->kc_memory_left = 0;
	if (kc_a_memory_info_t->kc_to_be_freed) { /* we must be sure that it wasn't dynamically allocated */
		KC_BZERO(kc_a_memory_info_t, sizeof(kc_memory_info_t));
		FREE((kc_voidptr_t)kc_a_memory_info_t);
}	}

/*ARGSUSED*/
kc_voidptr_t kc_wrap_bucket_malloc
#ifdef KC_USE_PROTOTYPES
(kc_size_t kc_a_size, kc_size_t kc_a_number, kc_voidptr_t kc_a_private_malloc_info)
#else
(kc_a_size, kc_a_number, kc_a_private_malloc_info)
kc_size_t kc_a_size; kc_size_t kc_a_number; kc_voidptr_t kc_a_private_malloc_info;
#endif
{	return MALLOC((kc_size_t)kc_a_size*kc_a_number);
}

/*ARGSUSED*/
kc_voidptr_t kc_wrap_bucket_realloc
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_ptr, kc_size_t kc_a_oldsize, kc_size_t kc_a_newsize, kc_voidptr_t kc_a_private_malloc_info)
#else
(kc_ptr, kc_a_oldsize, kc_a_newsize, kc_a_private_malloc_info)
kc_voidptr_t kc_ptr; kc_size_t kc_a_oldsize; kc_size_t kc_a_newsize; kc_voidptr_t kc_a_private_malloc_info;
#endif
{	return REALLOC(kc_ptr, kc_a_newsize);
}

/*ARGSUSED*/
void kc_wrap_bucket_free
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_ptr, kc_size_t kc_a_size, kc_voidptr_t kc_a_private_malloc_info)
#else
(kc_ptr, kc_a_size, kc_a_private_malloc_info)
kc_voidptr_t kc_ptr; kc_size_t kc_a_size; kc_voidptr_t kc_a_private_malloc_info;
#endif
{	(void)FREE(kc_ptr);
}

#ifdef KC_STATISTICS
   KC_OPERATOR_STATISTICS kc_OperatorStatistics[KC_NO_OF_OPERATORS];
#  define KC_COLLECT_STATS0(v) v
#else
#  define KC_COLLECT_STATS0(v) 
#endif

#ifndef KC_CREATE_STATS
#  define KC_CREATE_STATS(oper) kc_OperatorStatistics[(int)oper].create++;
#endif
#ifndef KC_EXISTINGNOTFOUND_STATS
#  define KC_EXISTINGNOTFOUND_STATS(oper) kc_OperatorStatistics[(int)oper].existing_not_found++;
#endif

#ifndef KC_FREE_CALLED_STATS
#  define KC_FREE_CALLED_STATS(oper,rec) kc_OperatorStatistics[(int)oper].free_called[(int)(rec?True:False)]++;
#endif

#ifndef KC_FREED_STATS
#  define KC_FREED_STATS(oper,rec) kc_OperatorStatistics[(int)oper].freed[(int)(rec?True:False)]++;
#endif


static kc_hashtableentry_t kc_mainhasharray_kc_not_uniq[1][(int)kc_last_storage_mode];
static kc_hashtableentry_t kc_mainhasharray_kc_uniq_nullary_operator[1][(int)kc_last_storage_mode];
static kc_hashtableentry_t kc_mainhasharray_uniq[LARGEPRIME+1][(int)kc_last_storage_mode]; /* +1 because LARGEPRIME can be 0 */


static boolean kc_storageclass_still_uniq[] = {
True, True, True };

static kc_memory_info_t kc_memory_info_kc_not_uniq = { 0, 0, 0, &kc_mainmemory_freelist, 0, KC_MEMORY_BLOCKSIZE };
static kc_memory_info_t kc_memory_info_kc_uniq_nullary_operator = { 0, 0, 0, &kc_mainmemory_freelist, 0, KC_MEMORY_BLOCKSIZE };
static kc_memory_info_t kc_memory_info_uniq = { 0, 0, 0, &kc_mainmemory_freelist, 0, KC_MEMORY_BLOCKSIZE };


#if 0 /* ! (defined(lint) || defined(SABER) || defined(CODECENTER)) */ /* currently not used */
static kc_memory_info_t *kc_memory_info[] = { &kc_memory_info_kc_not_uniq, &kc_memory_info_kc_uniq_nullary_operator, &kc_memory_info_uniq };
#endif

static kc_hashtable_struct_t kc_static_hashtables[] = {
{ kc_mainhasharray_kc_not_uniq,
 0 /*size*/,
 0 /*kc_to_be_freed*/,
 &kc_static_hashtables[1],
 &kc_static_hashtables[2],
 /* node allocation*/
 (kc_voidptr_t(*)())UNIQMALLOCINIT,
 UNIQMALLOC2,
 0 /*UNIQFREEELEMENT*/,
 UNIQFREEALL,
 INUNIQBLOCK,
 (kc_voidptr_t)&kc_memory_info_kc_not_uniq /*malloc_private_data*/,
 (kc_voidptr_t)&kc_memory_info_kc_not_uniq /*static_malloc_private_data*/,
 0 /*dynamic_malloc_private_data*/,
 0 /*dec_dynamic_malloc_private_data*/,
 kc_ht_store_static,
 UNIQMEMORYINFO,
 /* bucket allocation */
 BUCKETALLOCINIT,
 BUCKETCALLOC,
 BUCKETREALLOC,
 0 /*bucket_alloc_private_data*/,
 BUCKETFREE,
 BUCKETSFREE,
 BUCKETINC,
 BUCKETMEMORYINFO
 },
{ kc_mainhasharray_kc_uniq_nullary_operator,
 0 /*size*/,
 0 /*kc_to_be_freed*/,
 &kc_static_hashtables[2],
 &kc_static_hashtables[0],
 /* node allocation*/
 (kc_voidptr_t(*)())UNIQMALLOCINIT,
 UNIQMALLOC2,
 0 /*UNIQFREEELEMENT*/,
 UNIQFREEALL,
 INUNIQBLOCK,
 (kc_voidptr_t)&kc_memory_info_kc_uniq_nullary_operator /*malloc_private_data*/,
 (kc_voidptr_t)&kc_memory_info_kc_uniq_nullary_operator /*static_malloc_private_data*/,
 0 /*dynamic_malloc_private_data*/,
 0 /*dec_dynamic_malloc_private_data*/,
 kc_ht_store_static,
 UNIQMEMORYINFO,
 /* bucket allocation */
 BUCKETALLOCINIT,
 BUCKETCALLOC,
 BUCKETREALLOC,
 0 /*bucket_alloc_private_data*/,
 BUCKETFREE,
 BUCKETSFREE,
 BUCKETINC,
 BUCKETMEMORYINFO
 },
{ kc_mainhasharray_uniq,
 LARGEPRIME /*size*/,
 0 /*kc_to_be_freed*/,
 &kc_static_hashtables[0],
 &kc_static_hashtables[1],
 /* node allocation*/
 (kc_voidptr_t(*)())UNIQMALLOCINIT,
 UNIQMALLOC2,
 0 /*UNIQFREEELEMENT*/,
 UNIQFREEALL,
 INUNIQBLOCK,
 (kc_voidptr_t)&kc_memory_info_uniq,
 (kc_voidptr_t)&kc_memory_info_uniq,
 0 /*dynamic_malloc_private_data*/,
 0 /*dec_dynamic_malloc_private_data*/,
 kc_ht_store_static,
 UNIQMEMORYINFO,
 /* bucket allocation */
 BUCKETALLOCINIT,
 BUCKETCALLOC,
 BUCKETREALLOC,
 0 /*bucket_alloc_private_data*/,
 BUCKETFREE,
 BUCKETSFREE,
 BUCKETINC,
 BUCKETMEMORYINFO
 }};

static kc_hashtable_t kc_hashtables[] = {
&kc_static_hashtables[(int)kc_not_uniq], &kc_static_hashtables[(int)kc_uniq_nullary_operator], &kc_static_hashtables[(int)uniq]};

static char* kc_storageclassnames[] = { "kc_not_uniq", "kc_uniq_nullary_operator", "uniq" };

static kc_hashtable_t kc_all_hashtables = &kc_static_hashtables[0];

static int kc_primes[] = {
	1009,
	1091,
	1193,
	1297,
	1423,
	1543,
	1693,
	1847,
	2003,
	2203,
	2381,
	2609,
	2833,
	3089,
	3371,
	3673,
	4007,
	4373,
	4783,
	5209,
	5683,
	6197,
	6761,
	7369,
	8039,
	8761,
	9587,
	10427,
	11383,
	12409,
	13537,
	14767,
	16111,
	17569,
	19181,
	20921,
	22807,
	24889,
	27143,
	29611,
	32299,
	35251,
	38447,
	41941,
	45751,
	49919,
	54443,
	59387,
	64793,
	70687,
	77101,
	80021,
	84121,
	91753,
	100103,
	109199,
	119129,
	129953,
	141761,
	154643,
	168713,
	184039,
	200771,
	219017,
	238939,
	260647,
	284357,
	310223,
	338407,
	369169,
	402739,
	439339,
	479263,
	522829,
	570359,
	622241,
	678773,
	740477,
	807797,
	881233,
	961339,
	1048759,
	1144081,
	1248083,
	1361573,
	1485347,
	1620347,
	1767679,
	1928351,
	2103653,
	2294891,
	2503511,
	2731103,
	2979391,
	3250243,
	3545719,
	3868057,
	4219687,
	4603297,
	5021773,
	5478299,
	5976329,
	6519647,
	7112351,
	7758899,
	8464273,
	9233729,
	10073153,
	10988893,
	11987891,
	13077707,
	14266573,
	15563531,
	16978399,
	18521897,
	20205697,
	22042607,
	24046487,
	26232491,
	28617269,
	31218823,
	34056907,
	37152979,
	40530541,
	44215117,
	48234733,
	52619639,
	57403277,
	62621729,
	68314613,
	74525021,
	81300017,
	88690949,
	96753739,
	105549557,
	115144957,
	125612671,
	137032001,
	149489477,
	163079431,
	177904801,
	194077981,
	211721429,
	230968853,
	251966009,
	274871969,
	299860369,
	327120389,
	356858597,
	389300293,
	424691207,
	463299493,
	505417691,
	551364677,
	601488779,
	656169539,
	715821317,
	780896041,
	851886569,
	929330767,
	1013815373,
	1105980433,
	1206524183,
	1316208139,
	1435863449,
	1566396463,
	1708796171,
	1864141193,
	2033608601,
0, 0 /* last two elements should ALWAYS be 0 */ };

#ifdef KC_STATISTICS
static int kc_casestring_strlen =0;
static int kc_nocasestring_strlen =0;

void kc_do_print_operator_statistics
#ifdef KC_USE_PROTOTYPES
(FILE * kc_f)
#else
(kc_f) FILE *kc_f;
#endif
{	unsigned int kc_i;
	/*SUPPRESS 622*/
	assertNonNull( kc_f,"kc_f" );
	(void)fprintf(kc_f, "%-*s| %-*s| %-*s| %-*s| %-*s| %-*s| %-*s| %-*s| %-*s| %-*s\n", 38 , "Operator", 3, "Sz", 8, "#oper", 8, "#new", 8, "#exist", 8, "#frnrec", 8, "#frrec", 8, "#freed", 8, "#rem", 9, "total (bytes)");
	(void)fprintf(kc_f, "%-*s|%*s |%*d |%*d |%*d |%*d |%*d |%*d |%*d |%*d\n", 38, "case sensitive strings", 3, "-", 8, kc_OperatorStatistics[(int)sel__Str].create, 8, kc_OperatorStatistics[(int)sel__Str].existing_not_found, 8, kc_OperatorStatistics[(int)sel__Str].create-kc_OperatorStatistics[(int)sel__Str].existing_not_found, 8, 0, 8, 0, 8, 0, 8, 0, 9, kc_casestring_strlen);
	(void)fprintf(kc_f, "%-*s|%*s |%*d |%*d |%*d |%*d |%*d |%*d |%*d |%*d\n", 38, "case insensitive strings", 3, "-", 8, kc_OperatorStatistics[(int)sel_NoCaseStr].create, 8, kc_OperatorStatistics[(int)sel_NoCaseStr].existing_not_found, 8, kc_OperatorStatistics[(int)sel_NoCaseStr].create-kc_OperatorStatistics[(int)sel_NoCaseStr].existing_not_found, 8, 0, 8, 0, 8, 0, 8, 0, 9, kc_nocasestring_strlen);
	for (kc_i = (int)kc_one_before_first_operator+1; kc_i < (int)kc_last_operator; kc_i++) {
		(void)fprintf(kc_f, "%-*s|%*d |%*d |%*d |%*d |%*d |%*d |%*d |%*d |%*d\n", 38, kc_OperatorInfo[kc_i].name, 3, kc_PhylumInfo[(int)kc_OperatorInfo[kc_i].phylum].size, 8, kc_OperatorStatistics[kc_i].create, 8, kc_OperatorStatistics[kc_i].existing_not_found, 8, kc_OperatorStatistics[kc_i].create-kc_OperatorStatistics[kc_i].existing_not_found, 8, kc_OperatorStatistics[kc_i].free_called[(int)False], 8, kc_OperatorStatistics[kc_i].free_called[(int)True], 8, kc_OperatorStatistics[kc_i].freed[(int)False]+kc_OperatorStatistics[kc_i].freed[(int)True], 8, kc_OperatorStatistics[kc_i].existing_not_found-(kc_OperatorStatistics[kc_i].freed[(int)False]+kc_OperatorStatistics[kc_i].freed[(int)True]), 9, (kc_PhylumInfo[(int)kc_OperatorInfo[(int)kc_i].phylum].size)*(kc_OperatorStatistics[kc_i].existing_not_found-(kc_OperatorStatistics[kc_i].freed[(int)False]+kc_OperatorStatistics[kc_i].freed[(int)True])));
	}
}
#endif /* KC_STATISTICS */

void kc_print_hash_statistics
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f)
#else
(kc_f) FILE *kc_f;
#endif
{	unsigned int kc_k;
	/*SUPPRESS 622*/
	/*assertNonNull(kc_f,"kc_f");*/ if (kc_f == NULL) kc_f = stdout;
	for (kc_k=0; kc_k < (int)kc_last_storageclass; kc_k++) {
		(void)fprintf(kc_f, "Information for storage class %s: \n", kc_storageclassnames[kc_k]);
		kc_print_hashtable_statistics(kc_f, kc_hashtables[kc_k]);
}	}

void kc_print_all_hashtable_statistics
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f)
#else
(kc_f) FILE *kc_f;
#endif
{	kc_hashtable_t kc_a_hashtable_t = kc_all_hashtables;
	unsigned int kc_k;
	boolean kc_st_found;
	/*SUPPRESS 622*/
	/*assertNonNull(kc_f,"kc_f");*/ if (kc_f == NULL) kc_f = stdout;
	do { /* at least one time, because we have at least one element */
		kc_st_found = False;
		for (kc_k=0; kc_k < (int)kc_last_storageclass; kc_k++) {
			if (kc_hashtables[kc_k] == kc_a_hashtable_t) {
				kc_st_found = True;
				(void)fprintf(kc_f, "Information for storage class %s: \n", kc_storageclassnames[kc_k]);
		}	}
		if (! kc_st_found) {
			(void)fprintf(kc_f, "Information for unknown storage class: \n");
		}
		kc_print_hashtable_statistics(kc_f, kc_a_hashtable_t);
		kc_print_hashtable_memory_statistics(kc_f, kc_a_hashtable_t);
		kc_a_hashtable_t = kc_a_hashtable_t->next;
	} while(kc_a_hashtable_t != kc_all_hashtables);
}

void kc_print_hashtable_statistics
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, kc_hashtable_t kc_a_hashtable_t)
#else
(kc_f, kc_a_hashtable_t) FILE *kc_f; kc_hashtable_t kc_a_hashtable_t;
#endif
{
	boolean kc_goon;
	int kc_entries[9];
	int kc_o_8 = 0;
	int kc_o_20 = 0;
	int kc_o_100 = 0;
	int kc_total = 0;
	int kc_i, kc_j;

	/*SUPPRESS 622*/
	/*(kc_f,"kc_f");*/ if (kc_f == NULL) kc_f = stdout;
	(void)fprintf(kc_f, "\tsize:\t%d\n",kc_a_hashtable_t->size);
	for (kc_i=0; kc_i < 9; kc_i++) kc_entries[kc_i]=0;
	for (kc_i=0;kc_i<kc_a_hashtable_t->size;kc_i++) {
		int kc_m=0, kc_n;
		for (kc_n=0;kc_n<(int)kc_last_storage_mode;kc_n++) {
			kc_m += kc_a_hashtable_t->hashtable[kc_i][kc_n].nr;
		}
		kc_total += kc_m;
		if (kc_m >100) {kc_o_100 ++; (void)fprintf(kc_f, ">100: key %d (%d elts)\n",kc_i,kc_m); }
		else if (kc_m >20) {kc_o_20 ++; (void)fprintf(kc_f, ">20: key %d (%d elts)\n",kc_i,kc_m); }
		else if (kc_m > 8) kc_o_8 ++;
		else {
			kc_j =0; kc_goon = True;
			while ( kc_goon && (kc_j < 9)) {
				if (kc_m == kc_j) { kc_entries[kc_j]++; kc_goon = False; }
				else kc_j++;
	}	}	}
	(void)fprintf(kc_f, "The spreading is: \n");
	for (kc_j=0; kc_j < 9; kc_j++) {
		(void)fprintf(kc_f, "\t%d elts:\t%d\n",kc_j, kc_entries[kc_j]);
	}
	(void)fprintf(kc_f, "\tOver 8 elts:\t%d\n",kc_o_8);
	(void)fprintf(kc_f, "\tOver 20 elts:\t%d\n",kc_o_20);
	(void)fprintf(kc_f, "\tOver 100 elts:\t%d\n",kc_o_100);
	(void)fprintf(kc_f, " Total number of cells: %d\n",kc_total);
	(void)fprintf(kc_f, " Number of buckets: %d\n",kc_a_hashtable_t->size);
}

static void kc_growindex
#ifdef KC_USE_PROTOTYPES
(kc_hashtableentry_t *kc_hte, kc_hashtable_t kc_a_ht)
#else
(kc_hte, kc_a_ht) kc_hashtableentry_t *kc_hte; kc_hashtable_t kc_a_ht;
#endif
{	int kc_newsize = kc_hte->ibound + kc_a_ht->bucket_alloc_inc;
	if (kc_newsize == kc_a_ht->bucket_alloc_inc)
		kc_hte->index = (YYSTYPE *) (*kc_a_ht->bucket_calloc)((kc_size_t)kc_newsize, (kc_size_t)sizeof(YYSTYPE), kc_a_ht->bucket_alloc_private_data);
	else
		kc_hte->index = (YYSTYPE *) (*kc_a_ht->bucket_realloc)((kc_voidptr_t)kc_hte->index, (kc_size_t)kc_hte->ibound * sizeof(YYSTYPE), (kc_size_t)kc_newsize * sizeof(YYSTYPE), kc_a_ht->bucket_alloc_private_data);
	kc_hte->ibound = kc_newsize;
}

void kc_ht_static
#ifdef KC_USE_PROTOTYPES
(kc_storageclass_t kc_a_storageclass_t)
#else
(kc_a_storageclass_t) kc_storageclass_t kc_a_storageclass_t;
#endif
{
	kc_hashtables[(int)kc_a_storageclass_t]->mode = kc_ht_store_static;
	kc_hashtables[(int)kc_a_storageclass_t]->malloc_private_data = kc_hashtables[(int)kc_a_storageclass_t]->static_malloc_private_data;
}

void kc_ht_dynamic
#ifdef KC_USE_PROTOTYPES
(kc_storageclass_t kc_a_storageclass_t)
#else
(kc_a_storageclass_t) kc_storageclass_t kc_a_storageclass_t;
#endif
{
	kc_hashtables[(int)kc_a_storageclass_t]->mode = kc_ht_store_dynamic;
	if (kc_hashtables[(int)kc_a_storageclass_t]->dynamic_malloc_private_data != 0) {
		kc_ht_inc_level(kc_a_storageclass_t);
	}
	kc_hashtables[(int)kc_a_storageclass_t]->malloc_private_data = kc_hashtables[(int)kc_a_storageclass_t]->dynamic_malloc_private_data->malloc_private_data;
}

void kc_ht_inc_level
#ifdef KC_USE_PROTOTYPES
(kc_storageclass_t kc_a_storageclass_t)
#else
(kc_a_storageclass_t) kc_storageclass_t kc_a_storageclass_t;
#endif
{
	kc_private_malloc_t kc_a_private_malloc_t = (kc_private_malloc_t)MALLOC(sizeof(struct kc_tag_kc_private_malloc_t));
	kc_a_private_malloc_t->next = kc_hashtables[(int)kc_a_storageclass_t]->dynamic_malloc_private_data;
	if (kc_hashtables[(int)kc_a_storageclass_t]->dynamic_malloc_private_data != 0 ) {
		kc_hashtables[(int)kc_a_storageclass_t]->dynamic_malloc_private_data->prev = kc_a_private_malloc_t;
	}
	kc_a_private_malloc_t->prev = kc_hashtables[(int)kc_a_storageclass_t]->dec_dynamic_malloc_private_data;
	kc_a_private_malloc_t->malloc_private_data = (*kc_hashtables[(int)kc_a_storageclass_t]->malloc_initialise)();
	kc_hashtables[(int)kc_a_storageclass_t]->dynamic_malloc_private_data = kc_a_private_malloc_t;
}

void kc_ht_dec_level
#ifdef KC_USE_PROTOTYPES
(kc_storageclass_t kc_a_storageclass_t)
#else
(kc_a_storageclass_t) kc_storageclass_t kc_a_storageclass_t;
#endif
{
	int kc_i, kc_j, kc_m;
	kc_hashtableentry_t* kc_hte;

	kc_hashtable_t kc_a_hashtable_t = kc_hashtables[(int)kc_a_storageclass_t];
	if (kc_a_hashtable_t->dynamic_malloc_private_data != 0) {
		kc_a_hashtable_t->dec_dynamic_malloc_private_data = kc_a_hashtable_t->dynamic_malloc_private_data;
		kc_a_hashtable_t->dynamic_malloc_private_data = kc_a_hashtable_t->dynamic_malloc_private_data->next;
		for (kc_i=0; kc_i < kc_a_hashtable_t->size; kc_i++) {
			kc_m = (int)kc_ht_store_dynamic;
			kc_hte = &kc_a_hashtable_t->hashtable[kc_i][kc_m];
			for (kc_j=kc_hte->nr -1; kc_j >= 0; kc_j--) {
				kc_private_malloc_t kc_a_private_malloc_t = kc_a_hashtable_t->dec_dynamic_malloc_private_data;
				boolean kc_is_in_block = (*kc_a_hashtable_t->in_block)((kc_voidptr_t)kc_hte->index[kc_j].yt_casestring, kc_a_private_malloc_t->malloc_private_data);
#if 0 /* not necessary, because every kc_ht_dec_level call takes care of its own level */
				while ((!kc_is_in_block) && kc_a_private_malloc_t->prev) {
					kc_a_private_malloc_t = kc_a_private_malloc_t->prev;
					kc_is_in_block = (*kc_a_hashtable_t->in_block)((kc_voidptr_t)kc_hte->index[kc_j].yt_casestring, kc_a_private_malloc_t->malloc_private_data);
				}
#endif
				if (kc_is_in_block) {
					kc_hte->nr--;
					kc_hte->index[kc_j] = kc_hte->index[kc_hte->nr];
					kc_hte->index[kc_hte->nr].yt_casestring = 0;
				}
#ifdef KC_SEPARATE_HASH_LEVELS
				  else {
					break;
				}
#endif
		}	}
	} else {
		/* should be a better error message */
		/*SUPPRESS 622*/
		assert(kc_zero_constant); 
}	}

/* free the previous level(s) in the level-list, ie
 * the sublist that is reachable via dec_dynamic_malloc_private_data,
 * and via the prev field of the current dynamic node, if defined
 * follow prev's to the left start, freeing the blocks while moving
 * and freeing the administration nodes themselves
 */
static void kc_ht_do_free_level
#ifdef KC_USE_PROTOTYPES
(kc_hashtable_t kc_a_hashtable_t)
#else
(kc_a_hashtable_t) kc_hashtable_t kc_a_hashtable_t;
#endif
{	kc_private_malloc_t kc_a_private_malloc_t, kc_b_private_malloc_t;
	if (kc_a_hashtable_t->dec_dynamic_malloc_private_data != 0) {
		kc_a_private_malloc_t = kc_a_hashtable_t->dec_dynamic_malloc_private_data;
		while (kc_a_private_malloc_t != 0) {
			if (kc_a_hashtable_t->free_all_elements != 0) {
				(*kc_a_hashtable_t->free_all_elements)(kc_a_private_malloc_t->malloc_private_data);
			}
			kc_b_private_malloc_t = kc_a_private_malloc_t;
			kc_a_private_malloc_t = kc_a_private_malloc_t->prev;
			KC_BZERO(kc_b_private_malloc_t, sizeof(struct kc_tag_kc_private_malloc_t));
			FREE((kc_voidptr_t)kc_b_private_malloc_t);
		}
		kc_a_hashtable_t->dec_dynamic_malloc_private_data = 0;
		if (kc_a_hashtable_t->dynamic_malloc_private_data != 0) {
			kc_a_hashtable_t->dynamic_malloc_private_data->prev = 0;
}	}	}

void kc_ht_free_level
#ifdef KC_USE_PROTOTYPES
(kc_storageclass_t kc_a_storageclass_t)
#else
(kc_a_storageclass_t) kc_storageclass_t kc_a_storageclass_t;
#endif
{
	kc_ht_do_free_level(kc_hashtables[(int)kc_a_storageclass_t]);
}

static int kc_choose_prime
#ifdef KC_USE_PROTOTYPES
(int kc_a_size)
#else
(kc_a_size) int kc_a_size;
#endif
{	int kc_i =0;
	while((kc_primes[kc_i] < kc_a_size) && (kc_primes[kc_i+1] > 0)) {
		kc_i++;
	}
	return kc_primes[kc_i];
}

kc_hashtable_t kc_ht_create_bucketmanagement
#ifdef KC_USE_PROTOTYPES
(int kc_a_size,
 kc_voidptr_t (*kc_a_malloc_initialise)(),
 kc_voidptr_t (*kc_a_malloc)(kc_size_t, kc_voidptr_t),
 void (*kc_a_free_element)(kc_voidptr_t, kc_voidptr_t),
 void (*kc_a_free_all_elements)(kc_voidptr_t),
 boolean (*kc_a_in_block)(kc_voidptr_t, kc_voidptr_t),
 void (*kc_a_malloc_info)(FILE*, kc_voidptr_t),
 kc_voidptr_t (*kc_a_bucket_alloc_initialise)(),
 kc_voidptr_t (*kc_a_bucket_calloc)(kc_size_t, kc_size_t, kc_voidptr_t),
 kc_voidptr_t (*kc_a_bucket_realloc)( kc_voidptr_t, kc_size_t, kc_size_t, kc_voidptr_t),
 void (*kc_a_free_bucket)(kc_voidptr_t, kc_size_t, kc_voidptr_t),
 void (*kc_a_free_buckets)(kc_voidptr_t),
 int kc_a_bucket_alloc_inc,
 void (*kc_a_bucket_alloc_info)(FILE*, kc_voidptr_t)
)
#else
(kc_a_size,
 kc_a_malloc_initialise,
 kc_a_malloc,
 kc_a_free_element,
 kc_a_free_all_elements,
 kc_a_in_block,
 kc_a_malloc_info,
 kc_a_bucket_alloc_initialise,
 kc_a_bucket_calloc,
 kc_a_bucket_realloc,
 kc_a_free_bucket,
 kc_a_free_buckets,
 kc_a_bucket_alloc_inc,
 kc_a_bucket_alloc_info
)
 int kc_a_size;
 kc_voidptr_t (*kc_a_malloc_initialise)KC__P(());
 kc_voidptr_t (*kc_a_malloc)KC__P((kc_size_t, kc_voidptr_t));
 void (*kc_a_free_element)KC__P((kc_voidptr_t, kc_voidptr_t));
 void (*kc_a_free_all_elements)KC__P((kc_voidptr_t));
 boolean (*kc_a_in_block)KC__P((kc_voidptr_t, kc_voidptr_t));
 void (*kc_a_malloc_info)KC__P((FILE*, kc_voidptr_t));
 kc_voidptr_t (*kc_a_bucket_alloc_initialise)KC__P(());
 kc_voidptr_t (*kc_a_bucket_calloc)KC__P((kc_size_t, size_t, kc_voidptr_t));
 kc_voidptr_t (*kc_a_bucket_realloc)KC__P(( kc_voidptr_t, kc_size_t, kc_size_t, kc_voidptr_t));
 void (*kc_a_free_bucket)KC__P((kc_voidptr_t, kc_size_t, kc_voidptr_t));
 void (*kc_a_free_buckets)KC__P((kc_voidptr_t));
 int kc_a_bucket_alloc_inc;
 void (*kc_a_bucket_alloc_info)KC__P((FILE*, kc_voidptr_t));
#endif
{	kc_hashtable_t kc_a_hashtable_t = (kc_hashtable_t)MALLOC(sizeof(kc_hashtable_struct_t));
	kc_a_hashtable_t->size = kc_choose_prime(kc_a_size);
	kc_a_hashtable_t->hashtable = (kc_hashtableentry_t(*)[(int)kc_last_storage_mode])CALLOC((kc_size_t)kc_a_hashtable_t->size*((int)kc_last_storage_mode), (kc_size_t)sizeof(kc_hashtableentry_t));

	kc_a_hashtable_t->malloc_initialise = kc_a_malloc_initialise;
	kc_a_hashtable_t->malloc = kc_a_malloc;
	kc_a_hashtable_t->free_element = kc_a_free_element;
	kc_a_hashtable_t->free_all_elements = kc_a_free_all_elements;
	kc_a_hashtable_t->in_block = kc_a_in_block;
	kc_a_hashtable_t->static_malloc_private_data = (kc_voidptr_t)(*kc_a_hashtable_t->malloc_initialise)();
	kc_a_hashtable_t->malloc_private_data = kc_a_hashtable_t->static_malloc_private_data;
	kc_a_hashtable_t->dynamic_malloc_private_data = 0;
	kc_a_hashtable_t->dec_dynamic_malloc_private_data = 0;
	kc_a_hashtable_t->mode = kc_ht_store_static;
	kc_a_hashtable_t->malloc_info = kc_a_malloc_info;

	kc_a_hashtable_t->bucket_alloc_initialise = kc_a_bucket_alloc_initialise;
	kc_a_hashtable_t->bucket_calloc = kc_a_bucket_calloc;
	kc_a_hashtable_t->bucket_realloc = kc_a_bucket_realloc;
	kc_a_hashtable_t->free_bucket = kc_a_free_bucket;
	kc_a_hashtable_t->free_buckets = kc_a_free_buckets;
	kc_a_hashtable_t->bucket_alloc_info = kc_a_bucket_alloc_info;
	kc_a_hashtable_t->bucket_alloc_inc = (kc_a_bucket_alloc_inc ? kc_a_bucket_alloc_inc : KC_BUCKET_INC);
	kc_a_hashtable_t->bucket_alloc_private_data = (kc_a_hashtable_t->bucket_alloc_initialise)
						      ? (kc_voidptr_t)(*kc_a_hashtable_t->bucket_alloc_initialise)()
						      : 0;

	kc_a_hashtable_t->kc_to_be_freed = 1;
	kc_a_hashtable_t->next = kc_all_hashtables;
	kc_a_hashtable_t->prev = kc_all_hashtables->prev;
	kc_all_hashtables->prev->next = kc_a_hashtable_t;
	kc_all_hashtables->prev = kc_a_hashtable_t;
	kc_all_hashtables = kc_a_hashtable_t;
	return kc_a_hashtable_t;
}

kc_hashtable_t kc_ht_create
#ifdef KC_USE_PROTOTYPES
(int kc_a_size, kc_voidptr_t (*kc_a_malloc_initialise)(), kc_voidptr_t (*kc_a_malloc)(kc_size_t, kc_voidptr_t),
 void (*kc_a_free_element)(kc_voidptr_t, kc_voidptr_t), void (*kc_a_free_all_elements)(kc_voidptr_t),
 boolean (*kc_a_in_block)(kc_voidptr_t, kc_voidptr_t))
#else
(kc_a_size, kc_a_malloc_initialise, kc_a_malloc, kc_a_free_element, kc_a_free_all_elements, kc_a_in_block)
 int kc_a_size; kc_voidptr_t (*kc_a_malloc_initialise)KC__P(()); kc_voidptr_t (*kc_a_malloc)KC__P((kc_size_t, kc_voidptr_t));
 void (*kc_a_free_element)KC__P((kc_voidptr_t, kc_voidptr_t)); void (*kc_a_free_all_elements)KC__P((kc_voidptr_t));
 boolean (*kc_a_in_block)KC__P((kc_voidptr_t, kc_voidptr_t));
#endif
{
	kc_voidptr_t (*kc_tmp_malloc_initialise)KC__P(()) = (kc_voidptr_t(*)())UNIQMALLOCINIT;
	void (*kc_tmp_malloc_info)KC__P((FILE*, kc_voidptr_t)) = (kc_tmp_malloc_initialise == kc_a_malloc_initialise)
								? (void(*)KC__P((FILE*, kc_voidptr_t)))UNIQMEMORYINFO
								: (void(*)KC__P((FILE*, kc_voidptr_t)))0
								;
	/* do something special (wrt mallocinfo?) if we know that our malloc is being used */
	return kc_ht_create_bucketmanagement(kc_a_size, kc_a_malloc_initialise, kc_a_malloc, kc_a_free_element, kc_a_free_all_elements, kc_a_in_block, kc_tmp_malloc_info,
					    (kc_voidptr_t(*)())BUCKETALLOCINIT, BUCKETCALLOC, BUCKETREALLOC, BUCKETFREE, (void(*)KC__P((kc_voidptr_t)))BUCKETSFREE,
					     BUCKETINC, (void(*)KC__P((FILE*, kc_voidptr_t)))BUCKETMEMORYINFO);
}

kc_hashtable_t kc_ht_create_simple
#ifdef KC_USE_PROTOTYPES
(int kc_a_size)
#else
(kc_a_size) int kc_a_size;
#endif
{
	return kc_ht_create_bucketmanagement(kc_a_size, (kc_voidptr_t(*)())UNIQMALLOCINIT, UNIQMALLOC2, (void (*)KC__P((kc_voidptr_t, kc_voidptr_t)))0/*UNIQFREEELEMENT*/, UNIQFREEALL, INUNIQBLOCK,
			    UNIQMEMORYINFO, (kc_voidptr_t(*)())BUCKETALLOCINIT, BUCKETCALLOC, BUCKETREALLOC, BUCKETFREE, (void(*)KC__P((kc_voidptr_t)))BUCKETSFREE, BUCKETINC, (void(*)KC__P((FILE*, kc_voidptr_t)))BUCKETMEMORYINFO);
}

kc_hashtable_t kc_ht_assign
#ifdef KC_USE_PROTOTYPES
(kc_hashtable_t kc_a_hashtable_t, kc_storageclass_t kc_a_storageclass_t)
#else
(kc_a_hashtable_t, kc_a_storageclass_t) kc_hashtable_t kc_a_hashtable_t; kc_storageclass_t kc_a_storageclass_t;
#endif
{	kc_hashtable_t kc_tmp = kc_hashtables[(int)kc_a_storageclass_t];
	kc_hashtables[(int)kc_a_storageclass_t] = kc_a_hashtable_t;
	kc_storageclass_still_uniq[(int)kc_a_storageclass_t] = False;
	return kc_tmp;
}

kc_hashtable_t kc_ht_assigned
#ifdef KC_USE_PROTOTYPES
(kc_storageclass_t kc_a_storageclass_t)
#else
(kc_a_storageclass_t) kc_storageclass_t kc_a_storageclass_t;
#endif
{	return kc_hashtables[(int)kc_a_storageclass_t];
}

static void kc_ht_free_single_elements
#ifdef KC_USE_PROTOTYPES
(kc_hashtable_t kc_a_hashtable_t, int kc_i, int kc_m)
#else
(kc_a_hashtable_t, kc_i, kc_m) kc_hashtable_t kc_a_hashtable_t; int kc_i; int kc_m;
#endif
{	int kc_j;
	if ((int)kc_m == (int)kc_ht_store_static) {
		for (kc_j=0; kc_j < kc_a_hashtable_t->hashtable[kc_i][kc_m].nr; kc_j++) {
			(*kc_a_hashtable_t->free_element)((kc_voidptr_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].index[kc_j].yt_casestring, kc_a_hashtable_t->static_malloc_private_data);
		}
	} else {
		kc_voidptr_t kc_a_private_data = 0;
		if ((kc_a_hashtable_t->dynamic_malloc_private_data == 0) || (kc_a_hashtable_t->dynamic_malloc_private_data->malloc_private_data == 0)) {
			kc_a_private_data = 0;
		} else if (kc_a_hashtable_t->dynamic_malloc_private_data->next == 0) {
			kc_a_private_data = kc_a_hashtable_t->dynamic_malloc_private_data->malloc_private_data;
		}
		for (kc_j=0; kc_j < kc_a_hashtable_t->hashtable[kc_i][kc_m].nr; kc_j++) {
			(*kc_a_hashtable_t->free_element)((kc_voidptr_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].index[kc_j].yt_casestring, kc_a_private_data);
		}
	}
}

static void kc_ht_do_clear_all_elements
#ifdef KC_USE_PROTOTYPES
(kc_hashtable_t kc_a_hashtable_t, boolean kc_reuse, boolean kc_reinit)
#else
(kc_a_hashtable_t, kc_reuse, kc_reinit) kc_hashtable_t kc_a_hashtable_t; boolean kc_reuse; boolean kc_reinit;
#endif
{	int kc_i, kc_m;
	kc_private_malloc_t kc_a_private_malloc_t;
/* free all static stuff */
	(*kc_a_hashtable_t->free_all_elements)(kc_a_hashtable_t->static_malloc_private_data);
/* free all dynamic stuff */
	/* walk to end of list of levels, kc_ht_do_free_level will free last and all
	 * previous levels in the list
	 */
	if (kc_a_hashtable_t->dynamic_malloc_private_data != 0) {
		kc_a_private_malloc_t = kc_a_hashtable_t->dynamic_malloc_private_data;
		while(kc_a_private_malloc_t->next != 0) {
			kc_a_private_malloc_t = kc_a_private_malloc_t->next;
		}
		kc_a_hashtable_t->dec_dynamic_malloc_private_data = kc_a_private_malloc_t;
		kc_a_hashtable_t->dynamic_malloc_private_data = 0;
		kc_ht_do_free_level(kc_a_hashtable_t);
	}
/* free/reuse the buckets, and re-initialize the hashtable-entries */
	if (kc_reuse) { /* zero the buckets; reset nr field */
		for (kc_i=0; kc_i < kc_a_hashtable_t->size; kc_i++) {
			for (kc_m=0; kc_m < (int)kc_last_storage_mode; kc_m++) {
				/* we only do something if nr !=0, else there is nothing to do
				 * because of our 'invariant'
				 */
				if (kc_a_hashtable_t->hashtable[kc_i][kc_m].nr) {
					KC_BZERO((kc_voidptr_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].index,
					 	 (kc_size_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].ibound * sizeof(YYSTYPE));
					kc_a_hashtable_t->hashtable[kc_i][kc_m].nr = 0;
		}	}	}
	} else if (kc_reinit) { /* zero & free the buckets; reset nr, index, ibound fields */
		if (kc_a_hashtable_t->free_buckets) {
			(*kc_a_hashtable_t->free_buckets)(kc_a_hashtable_t->bucket_alloc_private_data);
			KC_BZERO(kc_a_hashtable_t->hashtable, (kc_size_t)kc_a_hashtable_t->size*((int)kc_last_storage_mode)*sizeof(kc_hashtableentry_t));
#if 0
			for (kc_i=0; kc_i < kc_a_hashtable_t->size; kc_i++) {
				for (kc_m=0; kc_m < (int)kc_last_storage_mode; kc_m++) {
					/* we do something if ibound !=0, it is not suficient to
					 * look only at the nr field, because the nr field might be
					 * reset in a previous reuse operation.
					 * we could as well look for an non-null index field.
					 */
					if (kc_a_hashtable_t->hashtable[kc_i][kc_m].ibound) {
						kc_a_hashtable_t->hashtable[kc_i][kc_m].index = 0;
						kc_a_hashtable_t->hashtable[kc_i][kc_m].ibound = 0;
						kc_a_hashtable_t->hashtable[kc_i][kc_m].nr = 0;
			}	}	}
#endif
		} else if (kc_a_hashtable_t->free_bucket) {
			for (kc_i=0; kc_i < kc_a_hashtable_t->size; kc_i++) {
				for (kc_m=0; kc_m < (int)kc_last_storage_mode; kc_m++) {
					/* we do something if ibound !=0, it is not suficient to
					 * look only at the nr field, because the nr field might be
					 * reset in a previous reuse operation.
					 * we could as well look for an non-null index field.
					 */
					if (kc_a_hashtable_t->hashtable[kc_i][kc_m].ibound) {
						KC_BZERO((kc_voidptr_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].index,
							  (kc_size_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].ibound * sizeof(YYSTYPE));
						(*kc_a_hashtable_t->free_bucket)((kc_voidptr_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].index,
										 (kc_size_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].ibound * sizeof(YYSTYPE),
										 kc_a_hashtable_t->bucket_alloc_private_data);
						kc_a_hashtable_t->hashtable[kc_i][kc_m].index = 0;
						kc_a_hashtable_t->hashtable[kc_i][kc_m].ibound = 0;
						kc_a_hashtable_t->hashtable[kc_i][kc_m].nr = 0;
			}	}	}
		} else {
			/* should be a better error message */
			/*SUPPRESS 622*/
			assert(kc_zero_constant); 
		}
	} else { /* zero & free the buckets */
		if (kc_a_hashtable_t->free_buckets) {
			(*kc_a_hashtable_t->free_buckets)(kc_a_hashtable_t->bucket_alloc_private_data);
		} else if (kc_a_hashtable_t->free_bucket) {
			for (kc_i=0; kc_i < kc_a_hashtable_t->size; kc_i++) {
				for (kc_m=0; kc_m < (int)kc_last_storage_mode; kc_m++) {
					/* we do something if index !=0, it is not suficient to
					 * look only at the nr field, because the nr field might be
					 * reset in a previous reuse operation.
					 * we could as well look for an non-null ibound field.
					 */
					if (kc_a_hashtable_t->hashtable[kc_i][kc_m].index) {
						KC_BZERO((kc_voidptr_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].index,
							  (kc_size_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].ibound * sizeof(YYSTYPE));
						(*kc_a_hashtable_t->free_bucket)((kc_voidptr_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].index,
										 (kc_size_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].ibound * sizeof(YYSTYPE),
										 kc_a_hashtable_t->bucket_alloc_private_data);
			}	}	}
		} else {
			/* should be a better error message */
			/*SUPPRESS 622*/
			assert(kc_zero_constant); 
		}
	}
}

static void kc_ht_do_clear_no_all_elements
#ifdef KC_USE_PROTOTYPES
(kc_hashtable_t kc_a_hashtable_t, boolean kc_reuse, boolean kc_reinit)
#else
(kc_a_hashtable_t, kc_reuse, kc_reinit) kc_hashtable_t kc_a_hashtable_t; boolean kc_reuse; boolean kc_reinit;
#endif
{	int kc_i, kc_m;
/* free all static stuff */
	/* done on the fly, below */
/* free all dynamic stuff */
	/* done on the fly, below */
/* free/reuse the buckets, and re-initialize the hashtable-entries */
	if (kc_reuse) { /* zero the buckets; reset nr field */
		for (kc_i=0; kc_i < kc_a_hashtable_t->size; kc_i++) {
			for (kc_m=0; kc_m < (int)kc_last_storage_mode; kc_m++) {
				/* we only do something if nr !=0, else there is nothing to do
				 * because of our 'invariant'
				 */
				if (kc_a_hashtable_t->hashtable[kc_i][kc_m].nr) {
					kc_ht_free_single_elements(kc_a_hashtable_t, kc_i, kc_m);
					KC_BZERO((kc_voidptr_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].index,
					 	 (kc_size_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].ibound * sizeof(YYSTYPE));
					kc_a_hashtable_t->hashtable[kc_i][kc_m].nr = 0;
		}	}	}
	} else if (kc_reinit) { /* zero & free the buckets; reset nr, index, ibound fields */
		if (kc_a_hashtable_t->free_buckets) {
			(*kc_a_hashtable_t->free_buckets)(kc_a_hashtable_t->bucket_alloc_private_data);
			KC_BZERO(kc_a_hashtable_t->hashtable, (kc_size_t)kc_a_hashtable_t->size*((int)kc_last_storage_mode)*sizeof(kc_hashtableentry_t));
#if 0
			for (kc_i=0; kc_i < kc_a_hashtable_t->size; kc_i++) {
				for (kc_m=0; kc_m < (int)kc_last_storage_mode; kc_m++) {
					/* we do something if ibound !=0, it is not suficient to
					 * look only at the nr field, because the nr field might be
					 * reset in a previous reuse operation.
					 * we could as well look for an non-null index field.
					 */
					if (kc_a_hashtable_t->hashtable[kc_i][kc_m].ibound) {
						kc_ht_free_single_elements(kc_a_hashtable_t, kc_i, kc_m);
						kc_a_hashtable_t->hashtable[kc_i][kc_m].index = 0;
						kc_a_hashtable_t->hashtable[kc_i][kc_m].ibound = 0;
						kc_a_hashtable_t->hashtable[kc_i][kc_m].nr = 0;
			}	}	}
#endif
		} else if (kc_a_hashtable_t->free_bucket) {
			for (kc_i=0; kc_i < kc_a_hashtable_t->size; kc_i++) {
				for (kc_m=0; kc_m < (int)kc_last_storage_mode; kc_m++) {
					/* we do something if ibound !=0, it is not suficient to
					 * look only at the nr field, because the nr field might be
					 * reset in a previous reuse operation.
					 * we could as well look for an non-null index field.
					 */
					if (kc_a_hashtable_t->hashtable[kc_i][kc_m].ibound) {
						kc_ht_free_single_elements(kc_a_hashtable_t, kc_i, kc_m);
						KC_BZERO((kc_voidptr_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].index,
							  (kc_size_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].ibound * sizeof(YYSTYPE));
						(*kc_a_hashtable_t->free_bucket)((kc_voidptr_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].index,
										 (kc_size_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].ibound * sizeof(YYSTYPE),
										 kc_a_hashtable_t->bucket_alloc_private_data);
						kc_a_hashtable_t->hashtable[kc_i][kc_m].index = 0;
						kc_a_hashtable_t->hashtable[kc_i][kc_m].ibound = 0;
						kc_a_hashtable_t->hashtable[kc_i][kc_m].nr = 0;
			}	}	}
		} else {
			/* should be a better error message */
			/*SUPPRESS 622*/
			assert(kc_zero_constant); 
		}
	} else { /* zero & free the buckets */
		if (kc_a_hashtable_t->free_buckets) {
			(*kc_a_hashtable_t->free_buckets)(kc_a_hashtable_t->bucket_alloc_private_data);
		} else if (kc_a_hashtable_t->free_bucket) {
			for (kc_i=0; kc_i < kc_a_hashtable_t->size; kc_i++) {
				for (kc_m=0; kc_m < (int)kc_last_storage_mode; kc_m++) {
					/* we do something if index !=0, it is not suficient to
					 * look only at the nr field, because the nr field might be
					 * reset in a previous reuse operation.
					 * we could as well look for an non-null ibound field.
					 */
					if (kc_a_hashtable_t->hashtable[kc_i][kc_m].index) {
						kc_ht_free_single_elements(kc_a_hashtable_t, kc_i, kc_m);
						KC_BZERO((kc_voidptr_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].index,
							  (kc_size_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].ibound * sizeof(YYSTYPE));
						(*kc_a_hashtable_t->free_bucket)((kc_voidptr_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].index,
										 (kc_size_t)kc_a_hashtable_t->hashtable[kc_i][kc_m].ibound * sizeof(YYSTYPE),
										 kc_a_hashtable_t->bucket_alloc_private_data);
			}	}	}
		} else {
			/* should be a better error message */
			/*SUPPRESS 622*/
			assert(kc_zero_constant); 
		}
	}
}

static void kc_ht_do_clear
#ifdef KC_USE_PROTOTYPES
(kc_hashtable_t kc_a_hashtable_t, boolean kc_reuse, boolean kc_reinit)
#else
(kc_a_hashtable_t, kc_reuse, kc_reinit) kc_hashtable_t kc_a_hashtable_t; boolean kc_reuse; boolean kc_reinit;
#endif
{
	if (kc_a_hashtable_t->free_all_elements) {
		kc_ht_do_clear_all_elements(kc_a_hashtable_t, kc_reuse, kc_reinit);
	} else {
		kc_ht_do_clear_no_all_elements(kc_a_hashtable_t, kc_reuse, kc_reinit);
	}
}

void kc_ht_clear
#ifdef KC_USE_PROTOTYPES
(kc_hashtable_t kc_a_hashtable_t)
#else
(kc_a_hashtable_t) kc_hashtable_t kc_a_hashtable_t;
#endif
{
	kc_ht_do_clear(kc_a_hashtable_t, False, True );
	if (kc_a_hashtable_t->kc_to_be_freed) {
		kc_a_hashtable_t->static_malloc_private_data = (kc_voidptr_t)(*kc_a_hashtable_t->malloc_initialise)();
	} /* else: it is a statically allocated hashtable with a statically allocated
	   * static_malloc_private_data that will not be freed either... we have to
	   * trust that our free_all_elements routine (called via kc_ht_do_clear)
	   * prepares the static_malloc_private_data for reuse
	   */
	kc_a_hashtable_t->malloc_private_data = kc_a_hashtable_t->static_malloc_private_data;
	kc_a_hashtable_t->dynamic_malloc_private_data = 0;
	kc_a_hashtable_t->dec_dynamic_malloc_private_data = 0;
	kc_a_hashtable_t->mode = kc_ht_store_static;
	kc_a_hashtable_t->bucket_alloc_private_data = (kc_a_hashtable_t->bucket_alloc_initialise)
						      ? (kc_voidptr_t)(*kc_a_hashtable_t->bucket_alloc_initialise)()
						      : 0;
}

void kc_ht_reuse
#ifdef KC_USE_PROTOTYPES
(kc_hashtable_t kc_a_hashtable_t)
#else
(kc_a_hashtable_t) kc_hashtable_t kc_a_hashtable_t;
#endif
{
	kc_ht_do_clear(kc_a_hashtable_t, True, True );
	if (kc_a_hashtable_t->kc_to_be_freed) {
		kc_a_hashtable_t->static_malloc_private_data = (kc_voidptr_t)(*kc_a_hashtable_t->malloc_initialise)();
	} /* else: it is a statically allocated hashtable with a statically allocated
	   * static_malloc_private_data that will not be freed either... we have to
	   * trust that our free_all_elements routine (called via kc_ht_do_clear)
	   * prepares the static_malloc_private_data for reuse
	   */
	kc_a_hashtable_t->malloc_private_data = kc_a_hashtable_t->static_malloc_private_data;
	kc_a_hashtable_t->dynamic_malloc_private_data = 0;
	kc_a_hashtable_t->dec_dynamic_malloc_private_data = 0;
	kc_a_hashtable_t->mode = kc_ht_store_static;
	kc_a_hashtable_t->bucket_alloc_private_data = (kc_a_hashtable_t->bucket_alloc_initialise)
						      ? (kc_voidptr_t)(*kc_a_hashtable_t->bucket_alloc_initialise)()
						      : 0;
}

void kc_ht_delete
#ifdef KC_USE_PROTOTYPES
(kc_hashtable_t kc_a_hashtable_t)
#else
(kc_a_hashtable_t) kc_hashtable_t kc_a_hashtable_t;
#endif
{
	kc_ht_do_clear(kc_a_hashtable_t, False, False);
	if (kc_a_hashtable_t->kc_to_be_freed) {
		kc_a_hashtable_t->next->prev = kc_a_hashtable_t->prev;
		kc_a_hashtable_t->prev->next = kc_a_hashtable_t->next;
		if (kc_all_hashtables == kc_a_hashtable_t) {
			kc_all_hashtables = kc_a_hashtable_t->next;
		}
		KC_BZERO((kc_voidptr_t)kc_a_hashtable_t->hashtable,
			 (kc_size_t)sizeof(struct kc_tag_kc_hashtableentry_t) * kc_a_hashtable_t->size);
		FREE((kc_voidptr_t)kc_a_hashtable_t->hashtable);
		KC_BZERO((kc_voidptr_t)kc_a_hashtable_t, sizeof(struct kc_tag_kc_hashtable_struct_t));
		FREE((kc_voidptr_t)kc_a_hashtable_t);
}	}


/* atoms creation */
#ifdef KC_STDC
#  define kc_mylower(c) (isupper(c) ? tolower(c) : c)
#else
#  define kc_mylower(c) ((isascii(c) && isupper(c)) ? tolower(c) : c)
#endif
/* should be static, maybe? */
int kc_ci_strcmp
#ifdef KC_USE_PROTOTYPES
(char *kc_s1, char *kc_s2)
#else
(kc_s1, kc_s2) char *kc_s1, *kc_s2;
#endif
{	int tmp;
	while ((*kc_s1 != '\0') && (*kc_s2 != '\0')) {
		if ( (tmp = kc_mylower(*kc_s1) - kc_mylower(*kc_s2)) != 0 ) return tmp;
		kc_s1++;
		kc_s2++;
	}
	return( (*kc_s1 != '\0') - (*kc_s2 != '\0') );
}

static unsigned kc_casestrhash
#ifdef KC_USE_PROTOTYPES
(char *kc_s)
#else
(kc_s) char *kc_s;
#endif
{	register unsigned kc_i = 0;
	register char *kc_sp;

	for (kc_sp = kc_s; *kc_sp != '\0'; kc_sp++)
		kc_i = (unsigned)((kc_i * 75) + *kc_sp);
	return kc_i;
}

static unsigned kc_nocasestrhash
#ifdef KC_USE_PROTOTYPES
(char *kc_s)
#else
(kc_s) char *kc_s;
#endif
{	register unsigned kc_i = 0;
	register char *kc_sp;

	for (kc_sp = kc_s; *kc_sp != '\0'; kc_sp++)
		kc_i = (unsigned)((kc_i * 75) + kc_mylower(*kc_sp));
	return kc_i;
}

#undef kc_mylower

static uniqID kc_initialize_uniqID
#ifdef KC_USE_PROTOTYPES
(uniqID kc_x)
#else
(kc_x) uniqID kc_x;
#endif
{
#line 35 "../abs.k"
	kc_x->type =  ITUnknown();
#line 36 "../abs.k"
	kc_x->line =  0;
#line 37 "../abs.k"
	kc_x->file =  mkcasestring("");
#line 38 "../abs.k"
	kc_x->scopeinfo =  Nilscopetypefilelinestack();

#line 5449 "k.c"
	return kc_x;
}

static ID kc_initialize_ID
#ifdef KC_USE_PROTOTYPES
(ID kc_x)
#else
(kc_x) ID kc_x;
#endif
{
#line 60 "../abs.k"
	kc_x->type =  ITUnknown();
#line 61 "../abs.k"
	kc_x->line =  0;
#line 62 "../abs.k"
	kc_x->file =  mkcasestring("");

#line 5467 "k.c"
	return kc_x;
}

static INT kc_initialize_INT
#ifdef KC_USE_PROTOTYPES
(INT kc_x)
#else
(kc_x) INT kc_x;
#endif
{
#line 67 "../abs.k"
	kc_x->line =  0;
#line 68 "../abs.k"
	kc_x->file =  mkcasestring("");

#line 5483 "k.c"
	return kc_x;
}

static STRING kc_initialize_STRING
#ifdef KC_USE_PROTOTYPES
(STRING kc_x)
#else
(kc_x) STRING kc_x;
#endif
{
#line 73 "../abs.k"
	kc_x->line =  0;
#line 74 "../abs.k"
	kc_x->file =  mkcasestring("");

#line 5499 "k.c"
	return kc_x;
}

static phylumdeclaration kc_initialize_phylumdeclaration
#ifdef KC_USE_PROTOTYPES
(phylumdeclaration kc_x)
#else
(kc_x) phylumdeclaration kc_x;
#endif
{
#line 92 "../abs.k"
	kc_x->marked =  0;

#line 5513 "k.c"
	return kc_x;
}

static storageclasses kc_initialize_storageclasses
#ifdef KC_USE_PROTOTYPES
(storageclasses kc_x)
#else
(kc_x) storageclasses kc_x;
#endif
{
#line 103 "../abs.k"
	kc_x->phyla =  Nilphylumnames();

#line 5527 "k.c"
	return kc_x;
}

static alternative kc_initialize_alternative
#ifdef KC_USE_PROTOTYPES
(alternative kc_x)
#else
(kc_x) alternative kc_x;
#endif
{
#line 120 "../abs.k"
	kc_x->rewriteinfo =  Nilrewriterulesinfo();
#line 121 "../abs.k"
	kc_x->unparseinfo =  Nilunparsedeclsinfo();
#line 122 "../abs.k"
	kc_x->bigatoms =  False;

#line 5545 "k.c"
	return kc_x;
}

static Cexpression kc_initialize_Cexpression
#ifdef KC_USE_PROTOTYPES
(Cexpression kc_x)
#else
(kc_x) Cexpression kc_x;
#endif
{
#line 154 "../abs.k"
	kc_x->line =  0;
#line 155 "../abs.k"
	kc_x->file =  mkcasestring("");

#line 5561 "k.c"
	return kc_x;
}

static idCexpression kc_initialize_idCexpression
#ifdef KC_USE_PROTOTYPES
(idCexpression kc_x)
#else
(kc_x) idCexpression kc_x;
#endif
{
#line 193 "../abs.k"
	kc_x->id =  f_emptyId();

#line 5575 "k.c"
	return kc_x;
}

static includefile kc_initialize_includefile
#ifdef KC_USE_PROTOTYPES
(includefile kc_x)
#else
(kc_x) includefile kc_x;
#endif
{
#line 212 "../abs.k"
	kc_x->inc_type =  include_unknown;
#line 214 "../abs.k"
	kc_x->newinclude =  0;
#line 215 "../abs.k"
 kc_x->inc[0] = Nilincludedeclarations();
	  kc_x->inc[1] = Nilincludedeclarations();
	 if (Theincludefiles == (includefiles)0) {
	     Theincludefiles = Consincludefiles( kc_x, Nilincludefiles());
	  } else {
	     Theincludefiles = Consincludefiles( kc_x, Theincludefiles);
	  }
	
#line 5599 "k.c"

#line 5601 "k.c"
	return kc_x;
}

static includedeclaration kc_initialize_includedeclaration
#ifdef KC_USE_PROTOTYPES
(includedeclaration kc_x)
#else
(kc_x) includedeclaration kc_x;
#endif
{
#line 231 "../abs.k"
	kc_x->line =  0;
#line 232 "../abs.k"
	kc_x->file =  mkcasestring("");

#line 5617 "k.c"
	return kc_x;
}

static patternchains kc_initialize_patternchains
#ifdef KC_USE_PROTOTYPES
(patternchains kc_x)
#else
(kc_x) patternchains kc_x;
#endif
{
#line 263 "../abs.k"
	kc_x->line =  0;
#line 264 "../abs.k"
	kc_x->file =  mkcasestring("");

#line 5633 "k.c"
	return kc_x;
}

static patternchain kc_initialize_patternchain
#ifdef KC_USE_PROTOTYPES
(patternchain kc_x)
#else
(kc_x) patternchain kc_x;
#endif
{
#line 271 "../abs.k"
	kc_x->line =  0;
#line 272 "../abs.k"
	kc_x->file =  mkcasestring("");

#line 5649 "k.c"
	return kc_x;
}

static patternchainitem kc_initialize_patternchainitem
#ifdef KC_USE_PROTOTYPES
(patternchainitem kc_x)
#else
(kc_x) patternchainitem kc_x;
#endif
{
#line 284 "../abs.k"
	kc_x->line =  0;
#line 285 "../abs.k"
	kc_x->file =  mkcasestring("");
#line 286 "../abs.k"
	kc_x->type =  f_emptyId();

#line 5667 "k.c"
	return kc_x;
}

static outmostpattern kc_initialize_outmostpattern
#ifdef KC_USE_PROTOTYPES
(outmostpattern kc_x)
#else
(kc_x) outmostpattern kc_x;
#endif
{
#line 296 "../abs.k"
	kc_x->type =  f_emptyId();

#line 5681 "k.c"
	return kc_x;
}

static fnfile kc_initialize_fnfile
#ifdef KC_USE_PROTOTYPES
(fnfile kc_x)
#else
(kc_x) fnfile kc_x;
#endif
{
#line 333 "../abs.k"
 kc_x->fns = Nilfndeclarations();
	 if (Thefnfiles == (fnfiles)0) {
	     Thefnfiles = Consfnfiles( kc_x, Nilfnfiles());
	  } else {
	     Thefnfiles = Consfnfiles( kc_x, Thefnfiles);
	  }
	
#line 5700 "k.c"

#line 5702 "k.c"
	return kc_x;
}

static fndeclaration kc_initialize_fndeclaration
#ifdef KC_USE_PROTOTYPES
(fndeclaration kc_x)
#else
(kc_x) fndeclaration kc_x;
#endif
{
#line 355 "../abs.k"
	kc_x->last_line =  0;
#line 356 "../abs.k"
	kc_x->file =  mkcasestring("");
#line 357 "../abs.k"
 {
#line 357 "../abs.k"
fndeclaration kc_selvar_0_1 = 
kc_x
;
#line 357 "../abs.k"
/*SUPPRESS 622*/
assert_fndeclaration(kc_selvar_0_1, "with_expression (1)");

#line 5727 "k.c"
		if (( kc_selvar_0_1->prod_sel == sel_FnAcDeclaration)) {
#line 361 "../abs.k"
		ac_declarator fn_args =  kc_selvar_0_1->u.FnAcDeclaration.ac_declarator_1;
#line 361 "../abs.k"
		ac_declaration_list C_vardecls =  kc_selvar_0_1->u.FnAcDeclaration.ac_declaration_list_1;
#line 361 "../abs.k"

	      kc_selvar_0_1->newsorted = sort_extend_parameter_type_list( C_vardecls, fn_args );
	
#line 5737 "k.c"
		} else
		if (( kc_selvar_0_1->prod_sel == sel_FnDeclaration)) {
#line 358 "../abs.k"
		fnarguments fn_args =  kc_selvar_0_1->u.FnDeclaration.fnarguments_1;
#line 358 "../abs.k"
		Cvariabledeclarations C_vardecls =  kc_selvar_0_1->u.FnDeclaration.Cvariabledeclarations_1;
#line 358 "../abs.k"

	      kc_selvar_0_1->sorted = sort_extend_Cvariabledeclarations( C_vardecls, fn_args );
		
#line 5748 "k.c"
		} else
kc_no_default_in_with( "", __LINE__, __FILE__ );
}
#line 363 "../abs.k"
 
#line 5754 "k.c"

#line 5756 "k.c"
	return kc_x;
}

static Ctext kc_initialize_Ctext
#ifdef KC_USE_PROTOTYPES
(Ctext kc_x)
#else
(kc_x) Ctext kc_x;
#endif
{
#line 396 "../abs.k"
	kc_x->line =  0;
#line 397 "../abs.k"
	kc_x->file =  mkcasestring("");

#line 5772 "k.c"
	return kc_x;
}

static Ctext_elem kc_initialize_Ctext_elem
#ifdef KC_USE_PROTOTYPES
(Ctext_elem kc_x)
#else
(kc_x) Ctext_elem kc_x;
#endif
{
#line 410 "../abs.k"
	kc_x->line =  0;
#line 411 "../abs.k"
	kc_x->file =  mkcasestring("");

#line 5788 "k.c"
	return kc_x;
}

static foreach_after kc_initialize_foreach_after
#ifdef KC_USE_PROTOTYPES
(foreach_after kc_x)
#else
(kc_x) foreach_after kc_x;
#endif
{
#line 418 "../abs.k"
	kc_x->line =  0;
#line 419 "../abs.k"
	kc_x->file =  mkcasestring("");

#line 5804 "k.c"
	return kc_x;
}

static withexpressions kc_initialize_withexpressions
#ifdef KC_USE_PROTOTYPES
(withexpressions kc_x)
#else
(kc_x) withexpressions kc_x;
#endif
{
#line 430 "../abs.k"
	kc_x->type =  0;
#line 431 "../abs.k"
	kc_x->line =  0;
#line 432 "../abs.k"
	kc_x->file =  mkcasestring("");
#line 433 "../abs.k"
	{
#line 433 "../abs.k"
withexpressions kc_selvar_0_1 = 
kc_x
;
#line 433 "../abs.k"
/*SUPPRESS 622*/
assert_withexpressions(kc_selvar_0_1, "with_expression (1)");

#line 5831 "k.c"
		if (( kc_selvar_0_1->prod_sel == sel_Conswithexpressions)) {
#line 437 "../abs.k"
		withexpression h =  kc_selvar_0_1->u.Conswithexpressions.withexpression_1;
#line 437 "../abs.k"
		withexpressions t =  kc_selvar_0_1->u.Conswithexpressions.withexpressions_1;
#line 437 "../abs.k"

 			kc_selvar_0_1->type = Consphylumnames( h->type, t->type );
 			kc_selvar_0_1->line = h->line;
 			kc_selvar_0_1->file = h->file;
 	
#line 5843 "k.c"
		} else
		if (( kc_selvar_0_1->prod_sel == sel_Nilwithexpressions)) {
#line 434 "../abs.k"

 			kc_selvar_0_1->type = Nilphylumnames();
 		
#line 5850 "k.c"
		} else
kc_no_default_in_with( "", __LINE__, __FILE__ );
}
#line 442 "../abs.k"
 
#line 5856 "k.c"

#line 5858 "k.c"
	return kc_x;
}

static withexpression kc_initialize_withexpression
#ifdef KC_USE_PROTOTYPES
(withexpression kc_x)
#else
(kc_x) withexpression kc_x;
#endif
{
#line 449 "../abs.k"
	kc_x->type =  f_emptyId();
#line 450 "../abs.k"
	kc_x->line =  0;
#line 451 "../abs.k"
	kc_x->file =  mkcasestring("");
#line 452 "../abs.k"

 	{
#line 453 "../abs.k"
withexpression kc_selvar_0_1 = 
kc_x
;
#line 453 "../abs.k"
/*SUPPRESS 622*/
assert_withexpression(kc_selvar_0_1, "with_expression (1)");

#line 5886 "k.c"
		if (( kc_selvar_0_1->prod_sel == sel_WECexpression)) {
#line 458 "../abs.k"
		Cexpression e =  kc_selvar_0_1->u.WECexpression.Cexpression_1;
#line 458 "../abs.k"

 			kc_selvar_0_1->line = e->line;
 			kc_selvar_0_1->file = e->file;
 		
#line 5895 "k.c"
		} else
		if (( kc_selvar_0_1->prod_sel == sel_WEVariable)) {
#line 454 "../abs.k"
		ID id =  kc_selvar_0_1->u.WEVariable.ID_1;
#line 454 "../abs.k"

 			kc_selvar_0_1->line = id->line;
 			kc_selvar_0_1->file = id->file;
 		
#line 5905 "k.c"
		} else
kc_no_default_in_with( "", __LINE__, __FILE__ );
}
#line 463 "../abs.k"
 
#line 5911 "k.c"

#line 5913 "k.c"
	return kc_x;
}

static IDtype kc_initialize_IDtype
#ifdef KC_USE_PROTOTYPES
(IDtype kc_x)
#else
(kc_x) IDtype kc_x;
#endif
{
#line 574 "../abs.k"
	{
#line 574 "../abs.k"
IDtype kc_selvar_0_1 = 
kc_x
;
#line 574 "../abs.k"
/*SUPPRESS 622*/
assert_IDtype(kc_selvar_0_1, "with_expression (1)");

#line 5934 "k.c"
		if (( kc_selvar_0_1->prod_sel == sel_ITPredefinedBigatomPhylum) && ( kc_selvar_0_1->u.ITPredefinedBigatomPhylum.phylumdeclaration_1->prod_sel == sel_PhylumDeclaration)) {
#line 575 "../abs.k"
		ID id =  kc_selvar_0_1->u.ITPredefinedBigatomPhylum.phylumdeclaration_1->u.PhylumDeclaration.ID_1;
#line 575 "../abs.k"

	 	if (cg_bigatomphyla) {
		    cg_bigatomphyla = Consphyla( id, cg_bigatomphyla );
		} else {
		    cg_bigatomphyla = Consphyla( id, Nilphyla() );
	    }   
#line 5945 "k.c"
		} else
{
#line 581 "../abs.k"
/*EMPTY*/
#line 5950 "k.c"
}
}
#line 582 "../abs.k"
	
#line 5955 "k.c"

#line 5957 "k.c"
	return kc_x;
}

static elem_patternrepresentation kc_initialize_elem_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(elem_patternrepresentation kc_x)
#else
(kc_x) elem_patternrepresentation kc_x;
#endif
{
#line 694 "../abs.k"
	kc_x->type =  f_emptyId();

#line 5971 "k.c"
	return kc_x;
}

static path kc_initialize_path
#ifdef KC_USE_PROTOTYPES
(path kc_x)
#else
(kc_x) path kc_x;
#endif
{
#line 699 "../abs.k"
	kc_x->op =  f_emptyId();
#line 700 "../abs.k"
	kc_x->id =  f_emptyId();

#line 5987 "k.c"
	return kc_x;
}

static addedphylumdeclaration kc_initialize_addedphylumdeclaration
#ifdef KC_USE_PROTOTYPES
(addedphylumdeclaration kc_x)
#else
(kc_x) addedphylumdeclaration kc_x;
#endif
{
#line 47 "../util.k"
	kc_x->added =  False;
#line 48 "../util.k"
	if (!pl_addedphylumdeclarations)
	    pl_addedphylumdeclarations =
	    	Consaddedphylumdeclarations( kc_x, Niladdedphylumdeclarations() );
	else
	    pl_addedphylumdeclarations =
	    	Consaddedphylumdeclarations( kc_x, pl_addedphylumdeclarations );

#line 6008 "k.c"

#line 6010 "k.c"
	return kc_x;
}

static countedphylumdeclaration kc_initialize_countedphylumdeclaration
#ifdef KC_USE_PROTOTYPES
(countedphylumdeclaration kc_x)
#else
(kc_x) countedphylumdeclaration kc_x;
#endif
{
#line 96 "../util.k"
	kc_x->count =  0;
#line 97 "../util.k"
	if (!pl_countedphylumdeclarations)
			pl_countedphylumdeclarations =
				Conscountedphylumdeclarations( kc_x, Nilcountedphylumdeclarations() );
		else
			pl_countedphylumdeclarations =
				Conscountedphylumdeclarations( kc_x, pl_countedphylumdeclarations );
	
#line 6031 "k.c"

#line 6033 "k.c"
	return kc_x;
}

static bindingidmark kc_initialize_bindingidmark
#ifdef KC_USE_PROTOTYPES
(bindingidmark kc_x)
#else
(kc_x) bindingidmark kc_x;
#endif
{
#line 327 "../pat.k"
	kc_x->marked =  False;
#line 328 "../pat.k"

	if (! Thebindingidmarks)
	    Thebindingidmarks = Consbindingidmarks( kc_x, Nilbindingidmarks() );
	else
	    Thebindingidmarks = Consbindingidmarks( kc_x, Thebindingidmarks );

#line 6053 "k.c"

#line 6055 "k.c"
	return kc_x;
}

casestring mkcasestring
#ifdef KC_USE_PROTOTYPES
(char *kc_s)
#else
(kc_s) char *kc_s;
#endif
{	register casestring kc_x;
	int kc_i;
	register kc_hashtableentry_t* kc_hte;
	unsigned kc_hashval = (unsigned)0;
	YYSTYPE *kc_ptr, *kc_beyond;
	kc_hashtable_t kc_a_ht = kc_hashtables[(int)uniq];

	KC_COLLECT_STATS0(KC_CREATE_STATS(sel__Str));
	OPERATORHASH((unsigned) sel__Str);
	CASESTRHASH(kc_s);
	kc_hashval = kc_hashval%kc_a_ht->size;
	for (kc_i=0; kc_i < (int)kc_last_storage_mode; kc_i++) {
		kc_hte = &(kc_a_ht->hashtable[kc_hashval][kc_i]);
		if (kc_hte->nr != 0) {
			kc_beyond = &kc_hte->index[kc_hte->nr];
			for (kc_ptr = &kc_hte->index[0]; kc_ptr < kc_beyond; kc_ptr++){
				kc_x= kc_ptr->yt_casestring;
				if ((kc_x->prod_sel == sel__Str) && (strcmp(kc_x->name, kc_s) == 0))
					return(kc_x);
	}	}	}
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel__Str));
	kc_hte = &(kc_a_ht->hashtable[kc_hashval][(int)kc_a_ht->mode]);
	if (kc_hte->nr >= kc_hte->ibound) kc_growindex(kc_hte, kc_a_ht);
	kc_x = (casestring)(*kc_a_ht->malloc)((kc_size_t)sizeof(struct kc_tag_casestring), kc_a_ht->malloc_private_data);
	kc_x->name = (char*)(*kc_a_ht->malloc)((kc_size_t)(strlen(kc_s))+1, kc_a_ht->malloc_private_data);
	kc_x->prod_sel = sel__Str;
	(void)strcpy(kc_x->name, kc_s);
	kc_hte->index[kc_hte->nr++].yt_casestring = kc_x;
	KC_COLLECT_STATS0(kc_casestring_strlen += strlen(kc_s)+1;);
	return kc_x;
}

nocasestring mknocasestring
#ifdef KC_USE_PROTOTYPES
(char *kc_s)
#else
(kc_s) char *kc_s;
#endif
{	register nocasestring kc_x;
	int kc_i;
	register kc_hashtableentry_t* kc_hte;
	unsigned kc_hashval = (unsigned)0;
	YYSTYPE *kc_ptr, *kc_beyond;
	kc_hashtable_t kc_a_ht = kc_hashtables[(int)uniq];

	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_NoCaseStr));
	OPERATORHASH((unsigned) sel_NoCaseStr);
	NOCASESTRHASH(kc_s);
	kc_hashval = kc_hashval%kc_a_ht->size;
	for (kc_i=0; kc_i < (int)kc_last_storage_mode; kc_i++) {
		kc_hte = &(kc_a_ht->hashtable[kc_hashval][kc_i]);
		if (kc_hte->nr != 0) {
			kc_beyond = &kc_hte->index[kc_hte->nr];
			for (kc_ptr = &kc_hte->index[0]; kc_ptr < kc_beyond; kc_ptr++){
				kc_x= kc_ptr->yt_nocasestring;
				if ((kc_x->prod_sel == sel_NoCaseStr) && (kc_ci_strcmp(kc_x->name, kc_s) == 0))
					return(kc_x);
	}	}	}
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_NoCaseStr));
	kc_hte = &(kc_a_ht->hashtable[kc_hashval][(int)kc_a_ht->mode]);
	if (kc_hte->nr >= kc_hte->ibound) kc_growindex(kc_hte, kc_a_ht);
	kc_x = (nocasestring)(*kc_a_ht->malloc)((kc_size_t)sizeof(struct kc_tag_nocasestring), kc_a_ht->malloc_private_data);
	kc_x->name = (char*)(*kc_a_ht->malloc)((kc_size_t)(strlen(kc_s))+1, kc_a_ht->malloc_private_data);
	kc_x->prod_sel = sel_NoCaseStr;
	(void)strcpy(kc_x->name, kc_s);
	kc_hte->index[kc_hte->nr++].yt_nocasestring = kc_x;
	KC_COLLECT_STATS0(kc_nocasestring_strlen += strlen(kc_s)+1;);
	return kc_x;
}

kc_hashnode_t kc_mksharinghashnode
#ifdef KC_USE_PROTOTYPES
(YYSTYPE kc_s, kc_hashtable_t kc_a_ht, kc_enum_phyla kc_phylum)
#else
(kc_s, kc_a_ht, kc_phylum) YYSTYPE kc_s; kc_hashtable_t kc_a_ht; kc_enum_phyla kc_phylum;
#endif
{
	register kc_hashnode_t kc_x;
	int kc_i;
	register kc_hashtableentry_t* kc_hte;
	unsigned kc_hashval = (unsigned)0;
	YYSTYPE *kc_ptr, *kc_beyond;

	switch(kc_phylum) {
	case (int)kc_phylum_int: INTHASH(kc_s.yt_int); break;
	case (int)kc_phylum_float: FLOATHASH(kc_s.yt_float); break;
	default: HASH(kc_s.yt_voidptr); break;
	}
	kc_hashval = kc_hashval%kc_a_ht->size;
	for (kc_i=0; kc_i < (int)kc_last_storage_mode; kc_i++) {
		kc_hte = &(kc_a_ht->hashtable[kc_hashval][kc_i]);
		if (kc_hte->nr != 0) {
			kc_beyond = &kc_hte->index[kc_hte->nr];
			for (kc_ptr = &kc_hte->index[0]; kc_ptr < kc_beyond; kc_ptr++){
				kc_x= kc_ptr->yt_kc_hashnode_t;
				if ((kc_x->prod_sel == (kc_enum_operators)0) &&
				    (((kc_phylum == kc_phylum_int) &&
				      (kc_x->ptr.yt_int == kc_s.yt_int)) ||
				     ((kc_phylum == kc_phylum_float) &&
				      (kc_x->ptr.yt_float == kc_s.yt_float)) ||
				     (kc_x->ptr.yt_voidptr == kc_s.yt_voidptr)))
					return(kc_x);
	}	}	}
	kc_hte = &(kc_a_ht->hashtable[kc_hashval][(int)kc_a_ht->mode]);
	if (kc_hte->nr >= kc_hte->ibound) kc_growindex(kc_hte, kc_a_ht);
	kc_x = (kc_hashnode_t)(*kc_a_ht->malloc)((kc_size_t)sizeof(struct kc_tag_kc_hashnode_t), kc_a_ht->malloc_private_data);
	kc_x->ptr = kc_s;
	kc_x->number = -1; /* IMPORTANT: some code depends on this -1 */
	kc_x->created = False;
	kc_x->prod_sel = (kc_enum_operators)0;
	kc_hte->index[kc_hte->nr++].yt_kc_hashnode_t = kc_x;
	return kc_x;
}
/*ARGSUSED*/
kc_hashnode_t kc_mknonsharinghashnode
#ifdef KC_USE_PROTOTYPES
(YYSTYPE kc_s, kc_hashtable_t kc_a_ht, kc_enum_phyla kc_phylum)
#else
(kc_s, kc_a_ht, kc_phylum) YYSTYPE kc_s; kc_hashtable_t kc_a_ht; kc_enum_phyla kc_phylum;
#endif
{	static struct kc_tag_kc_hashnode_t kc_x_struct;
	kc_x_struct.number = -1; /* IMPORTANT: some code depends on this -1 */
	kc_x_struct.created = False;
	return &kc_x_struct;
}

kc_dotedgenode_t kc_mkdotedgenode
#ifdef KC_USE_PROTOTYPES
(kc_hashtable_t kc_a_ht, YYSTYPE kc_s_from, kc_enum_phyla kc_phy_from, YYSTYPE kc_s_to, kc_enum_phyla kc_phy_to, int kc_son_nr)
#else
(kc_a_ht, kc_s_from, kc_phy_from, kc_s_to, kc_phy_to, kc_son_nr) kc_hashtable_t kc_a_ht; YYSTYPE kc_s_from; kc_enum_phyla kc_phy_from; YYSTYPE kc_s_to; kc_enum_phyla kc_phy_to; int kc_son_nr;
#endif
{
	register kc_dotedgenode_t kc_x;
	int kc_i;
	register kc_hashtableentry_t* kc_hte;
	unsigned kc_hashval = (unsigned)0;
	YYSTYPE *kc_ptr, *kc_beyond;

	OPERATORHASH((unsigned) kc_phy_from);
	switch(kc_phy_from) {
	case (int)kc_phylum_int: INTHASH(kc_s_from.yt_int); break;
	case (int)kc_phylum_float: FLOATHASH(kc_s_from.yt_float); break;
	default: HASH(kc_s_from.yt_voidptr); break;
	}
	OPERATORHASH((unsigned) kc_phy_to);
	switch(kc_phy_to) {
	case (int)kc_phylum_int: INTHASH(kc_s_to.yt_int); break;
	case (int)kc_phylum_float: FLOATHASH(kc_s_to.yt_float); break;
	default: HASH(kc_s_to.yt_voidptr); break;
	}
	INTHASH(kc_son_nr);
	kc_hashval = kc_hashval%kc_a_ht->size;
	for (kc_i=0; kc_i < (int)kc_last_storage_mode; kc_i++) {
		kc_hte = &(kc_a_ht->hashtable[kc_hashval][kc_i]);
		if (kc_hte->nr != 0) {
			kc_beyond = &kc_hte->index[kc_hte->nr];
			for (kc_ptr = &kc_hte->index[0]; kc_ptr < kc_beyond; kc_ptr++){
				kc_x= kc_ptr->yt_kc_dotedgenode_t;
				if ((kc_x->prod_sel == (kc_enum_operators)0) &&
				    (kc_x->phy_from == kc_phy_from) &&
				    (kc_x->phy_to == kc_phy_to) &&
				    (kc_x->son_nr == kc_son_nr) &&
				    (((kc_phy_from == kc_phylum_int) &&
				      (kc_x->ptr_from.yt_int == kc_s_from.yt_int)) ||
				     ((kc_phy_from == kc_phylum_float) &&
				      (kc_x->ptr_from.yt_float == kc_s_from.yt_float)) ||
				     (kc_x->ptr_from.yt_voidptr == kc_s_from.yt_voidptr)) &&
				    (((kc_phy_to == kc_phylum_int) &&
				      (kc_x->ptr_to.yt_int == kc_s_to.yt_int)) ||
				     ((kc_phy_to == kc_phylum_float) &&
				      (kc_x->ptr_to.yt_float == kc_s_to.yt_float)) ||
				     (kc_x->ptr_to.yt_voidptr == kc_s_to.yt_voidptr)) )
					return(kc_x);
	}	}	}
	kc_hte = &(kc_a_ht->hashtable[kc_hashval][(int)kc_a_ht->mode]);
	if (kc_hte->nr >= kc_hte->ibound) kc_growindex(kc_hte, kc_a_ht);
	kc_x = (kc_dotedgenode_t)(*kc_a_ht->malloc)((kc_size_t)sizeof(struct kc_tag_kc_dotedgenode_t), kc_a_ht->malloc_private_data);
	kc_x->ptr_to = kc_s_to;
	kc_x->ptr_from = kc_s_from;
	kc_x->phy_from = kc_phy_from;
	kc_x->phy_to = kc_phy_to;
	kc_x->son_nr = kc_son_nr;
	kc_x->label = 0;
	kc_x->lsize = 0;
	kc_x->next = 0;
	kc_x->prod_sel = (kc_enum_operators)0;
	kc_hte->index[kc_hte->nr++].yt_kc_dotedgenode_t = kc_x;
	return kc_x;
}

uniqID Str
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1)
#else
(casestring_1) casestring casestring_1; 
#endif
{	register uniqID kc_x;
	int kc_i;
	register kc_hashtableentry_t* kc_hte;
	unsigned kc_hashval = (unsigned)0;
	YYSTYPE *kc_ptr, *kc_beyond;
	kc_hashtable_t kc_a_ht = kc_hashtables[(int)uniq];

	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Str));
	OPERATORHASH((unsigned) sel_Str);
	HASH(casestring_1);
	kc_hashval = kc_hashval%kc_a_ht->size;
	for (kc_i=0; kc_i < (int)kc_last_storage_mode; kc_i++) {
		kc_hte = &(kc_a_ht->hashtable[kc_hashval][kc_i]);
		if (kc_hte->nr != 0) {
			kc_beyond = &kc_hte->index[kc_hte->nr];
			for (kc_ptr = &kc_hte->index[0]; kc_ptr < kc_beyond; kc_ptr++){
				kc_x= kc_ptr->yt_uniqID;
				if ((kc_x->prod_sel == sel_Str)  && (kc_x->u.Str.casestring_1 == casestring_1) )
					return(kc_x);
	}	}	}
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Str));
	kc_hte = &(kc_a_ht->hashtable[kc_hashval][(int)kc_a_ht->mode]);
	if (kc_hte->nr >= kc_hte->ibound) kc_growindex(kc_hte, kc_a_ht);
	kc_x = (uniqID)(*kc_a_ht->malloc)((kc_size_t)sizeof(struct kc_tag_uniqID), kc_a_ht->malloc_private_data);
	kc_x->prod_sel = sel_Str;
	kc_x->u.Str.casestring_1 = casestring_1;
	kc_hte->index[kc_hte->nr++].yt_uniqID = kc_x;
	kc_x = kc_initialize_uniqID(kc_x);
	return kc_x;
}

ID Id
#ifdef KC_USE_PROTOTYPES
(uniqID uniqID_1)
#else
(uniqID_1) uniqID uniqID_1; 
#endif
{	register ID kc_x = (ID) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ID));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Id));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Id));
	/*SUPPRESS 622*/
	assert_uniqID( uniqID_1, "uniqID_1" );
	kc_x->prod_sel = sel_Id;
	kc_x->u.Id.uniqID_1 = uniqID_1;
	kc_x = kc_initialize_ID(kc_x);
	return kc_x;
}

INT Int
#ifdef KC_USE_PROTOTYPES
(int int_1)
#else
(int_1) int int_1; 
#endif
{	register INT kc_x = (INT) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_INT));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Int));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Int));
	/*SUPPRESS 622*/
	assert_int( int_1, "int_1" );
	kc_x->prod_sel = sel_Int;
	kc_x->u.Int.int_1 = int_1;
	kc_x = kc_initialize_INT(kc_x);
	return kc_x;
}

STRING String
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1)
#else
(casestring_1) casestring casestring_1; 
#endif
{	register STRING kc_x = (STRING) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_STRING));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_String));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_String));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	kc_x->prod_sel = sel_String;
	kc_x->u.String.casestring_1 = casestring_1;
	kc_x = kc_initialize_STRING(kc_x);
	return kc_x;
}

phylumdeclarationsroot PhylumDeclarations
#ifdef KC_USE_PROTOTYPES
(phylumdeclarations phylumdeclarations_1)
#else
(phylumdeclarations_1) phylumdeclarations phylumdeclarations_1; 
#endif
{	register phylumdeclarationsroot kc_x = (phylumdeclarationsroot) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_phylumdeclarationsroot));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PhylumDeclarations));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PhylumDeclarations));
	/*SUPPRESS 622*/
	assert_phylumdeclarations( phylumdeclarations_1, "phylumdeclarations_1" );
	kc_x->prod_sel = sel_PhylumDeclarations;
	kc_x->u.PhylumDeclarations.phylumdeclarations_1 = phylumdeclarations_1;
	return kc_x;
}

phylumdeclarations Nilphylumdeclarations
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static phylumdeclarations kc_x = (phylumdeclarations)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilphylumdeclarations));
	if (kc_x == (phylumdeclarations)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilphylumdeclarations ));
		kc_x = (phylumdeclarations)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_phylumdeclarations), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilphylumdeclarations;
	}
	return kc_x;
}

phylumdeclarations Consphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(phylumdeclaration phylumdeclaration_1, phylumdeclarations phylumdeclarations_1)
#else
(phylumdeclaration_1, phylumdeclarations_1) phylumdeclaration phylumdeclaration_1;  phylumdeclarations phylumdeclarations_1; 
#endif
{	register phylumdeclarations kc_x = (phylumdeclarations) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_phylumdeclarations));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consphylumdeclarations));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consphylumdeclarations));
	/*SUPPRESS 622*/
	assert_phylumdeclaration( phylumdeclaration_1, "phylumdeclaration_1" );
	/*SUPPRESS 622*/
	assert_phylumdeclarations( phylumdeclarations_1, "phylumdeclarations_1" );
	kc_x->prod_sel = sel_Consphylumdeclarations;
	kc_x->u.Consphylumdeclarations.phylumdeclaration_1 = phylumdeclaration_1;
	kc_x->u.Consphylumdeclarations.phylumdeclarations_1 = phylumdeclarations_1;
	return kc_x;
}

phylumnames Nilphylumnames
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static phylumnames kc_x = (phylumnames)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilphylumnames));
	if (kc_x == (phylumnames)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilphylumnames ));
		kc_x = (phylumnames)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_phylumnames), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilphylumnames;
	}
	return kc_x;
}

phylumnames Consphylumnames
#ifdef KC_USE_PROTOTYPES
(ID ID_1, phylumnames phylumnames_1)
#else
(ID_1, phylumnames_1) ID ID_1;  phylumnames phylumnames_1; 
#endif
{	register phylumnames kc_x = (phylumnames) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_phylumnames));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consphylumnames));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consphylumnames));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_phylumnames( phylumnames_1, "phylumnames_1" );
	kc_x->prod_sel = sel_Consphylumnames;
	kc_x->u.Consphylumnames.ID_1 = ID_1;
	kc_x->u.Consphylumnames.phylumnames_1 = phylumnames_1;
	return kc_x;
}

phylumdeclaration PhylumDeclaration
#ifdef KC_USE_PROTOTYPES
(ID ID_1, storageoption storageoption_1, productionblock productionblock_1, Ccode_option Ccode_option_1)
#else
(ID_1, storageoption_1, productionblock_1, Ccode_option_1) ID ID_1;  storageoption storageoption_1;  productionblock productionblock_1;  Ccode_option Ccode_option_1; 
#endif
{	register phylumdeclaration kc_x = (phylumdeclaration) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_phylumdeclaration));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PhylumDeclaration));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PhylumDeclaration));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_storageoption( storageoption_1, "storageoption_1" );
	/*SUPPRESS 622*/
	assert_productionblock( productionblock_1, "productionblock_1" );
	/*SUPPRESS 622*/
	assert_Ccode_option( Ccode_option_1, "Ccode_option_1" );
	kc_x->prod_sel = sel_PhylumDeclaration;
	kc_x->u.PhylumDeclaration.ID_1 = ID_1;
	kc_x->u.PhylumDeclaration.storageoption_1 = storageoption_1;
	kc_x->u.PhylumDeclaration.productionblock_1 = productionblock_1;
	kc_x->u.PhylumDeclaration.Ccode_option_1 = Ccode_option_1;
	kc_x = kc_initialize_phylumdeclaration(kc_x);
	return kc_x;
}

storageoption NoStorageOption
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static storageoption kc_x = (storageoption)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_NoStorageOption));
	if (kc_x == (storageoption)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_NoStorageOption ));
		kc_x = (storageoption)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_storageoption), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_NoStorageOption;
	}
	return kc_x;
}

storageoption NegativeStorageOption
#ifdef KC_USE_PROTOTYPES
(ID ID_1)
#else
(ID_1) ID ID_1; 
#endif
{	register storageoption kc_x = (storageoption) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_storageoption));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_NegativeStorageOption));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_NegativeStorageOption));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_NegativeStorageOption;
	kc_x->u.NegativeStorageOption.ID_1 = ID_1;
	return kc_x;
}

storageoption PositiveStorageOption
#ifdef KC_USE_PROTOTYPES
(ID ID_1)
#else
(ID_1) ID ID_1; 
#endif
{	register storageoption kc_x = (storageoption) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_storageoption));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PositiveStorageOption));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PositiveStorageOption));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_PositiveStorageOption;
	kc_x->u.PositiveStorageOption.ID_1 = ID_1;
	return kc_x;
}

storageclasses Nilstorageclasses
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	register storageclasses kc_x = (storageclasses) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_storageclasses));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilstorageclasses));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilstorageclasses));
	kc_x->prod_sel = sel_Nilstorageclasses;
	kc_x = kc_initialize_storageclasses(kc_x);
	return kc_x;
}

storageclasses Consstorageclasses
#ifdef KC_USE_PROTOTYPES
(ID ID_1, storageclasses storageclasses_1)
#else
(ID_1, storageclasses_1) ID ID_1;  storageclasses storageclasses_1; 
#endif
{	register storageclasses kc_x = (storageclasses) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_storageclasses));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consstorageclasses));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consstorageclasses));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_storageclasses( storageclasses_1, "storageclasses_1" );
	kc_x->prod_sel = sel_Consstorageclasses;
	kc_x->u.Consstorageclasses.ID_1 = ID_1;
	kc_x->u.Consstorageclasses.storageclasses_1 = storageclasses_1;
	kc_x = kc_initialize_storageclasses(kc_x);
	return kc_x;
}

productionblock Emptyproductionblock
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static productionblock kc_x = (productionblock)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Emptyproductionblock));
	if (kc_x == (productionblock)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Emptyproductionblock ));
		kc_x = (productionblock)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_productionblock), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Emptyproductionblock;
	}
	return kc_x;
}

productionblock ListAlternatives
#ifdef KC_USE_PROTOTYPES
(alternatives alternatives_1, ID ID_1)
#else
(alternatives_1, ID_1) alternatives alternatives_1;  ID ID_1; 
#endif
{	register productionblock kc_x = (productionblock) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_productionblock));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ListAlternatives));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ListAlternatives));
	/*SUPPRESS 622*/
	assert_alternatives( alternatives_1, "alternatives_1" );
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_ListAlternatives;
	kc_x->u.ListAlternatives.alternatives_1 = alternatives_1;
	kc_x->u.ListAlternatives.ID_1 = ID_1;
	return kc_x;
}

productionblock NonlistAlternatives
#ifdef KC_USE_PROTOTYPES
(alternatives alternatives_1)
#else
(alternatives_1) alternatives alternatives_1; 
#endif
{	register productionblock kc_x = (productionblock) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_productionblock));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_NonlistAlternatives));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_NonlistAlternatives));
	/*SUPPRESS 622*/
	assert_alternatives( alternatives_1, "alternatives_1" );
	kc_x->prod_sel = sel_NonlistAlternatives;
	kc_x->u.NonlistAlternatives.alternatives_1 = alternatives_1;
	return kc_x;
}

productionblock PredefinedAlternatives
#ifdef KC_USE_PROTOTYPES
(alternatives alternatives_1)
#else
(alternatives_1) alternatives alternatives_1; 
#endif
{	register productionblock kc_x = (productionblock) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_productionblock));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PredefinedAlternatives));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PredefinedAlternatives));
	/*SUPPRESS 622*/
	assert_alternatives( alternatives_1, "alternatives_1" );
	kc_x->prod_sel = sel_PredefinedAlternatives;
	kc_x->u.PredefinedAlternatives.alternatives_1 = alternatives_1;
	return kc_x;
}

alternatives Nilalternatives
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static alternatives kc_x = (alternatives)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilalternatives));
	if (kc_x == (alternatives)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilalternatives ));
		kc_x = (alternatives)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_alternatives), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilalternatives;
	}
	return kc_x;
}

alternatives Consalternatives
#ifdef KC_USE_PROTOTYPES
(alternative alternative_1, alternatives alternatives_1)
#else
(alternative_1, alternatives_1) alternative alternative_1;  alternatives alternatives_1; 
#endif
{	register alternatives kc_x = (alternatives) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_alternatives));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consalternatives));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consalternatives));
	/*SUPPRESS 622*/
	assert_alternative( alternative_1, "alternative_1" );
	/*SUPPRESS 622*/
	assert_alternatives( alternatives_1, "alternatives_1" );
	kc_x->prod_sel = sel_Consalternatives;
	kc_x->u.Consalternatives.alternative_1 = alternative_1;
	kc_x->u.Consalternatives.alternatives_1 = alternatives_1;
	return kc_x;
}

alternative Alternative
#ifdef KC_USE_PROTOTYPES
(ID ID_1, arguments arguments_1)
#else
(ID_1, arguments_1) ID ID_1;  arguments arguments_1; 
#endif
{	register alternative kc_x = (alternative) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_alternative));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Alternative));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Alternative));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_arguments( arguments_1, "arguments_1" );
	kc_x->prod_sel = sel_Alternative;
	kc_x->u.Alternative.ID_1 = ID_1;
	kc_x->u.Alternative.arguments_1 = arguments_1;
	kc_x = kc_initialize_alternative(kc_x);
	return kc_x;
}

arguments Nilarguments
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	register arguments kc_x = (arguments) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_arguments));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilarguments));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilarguments));
	kc_x->prod_sel = sel_Nilarguments;
	return kc_x;
}

arguments Consarguments
#ifdef KC_USE_PROTOTYPES
(ID ID_1, arguments arguments_1)
#else
(ID_1, arguments_1) ID ID_1;  arguments arguments_1; 
#endif
{	register arguments kc_x = (arguments) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_arguments));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consarguments));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consarguments));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_arguments( arguments_1, "arguments_1" );
	kc_x->prod_sel = sel_Consarguments;
	kc_x->u.Consarguments.ID_1 = ID_1;
	kc_x->u.Consarguments.arguments_1 = arguments_1;
	return kc_x;
}

argument Argument
#ifdef KC_USE_PROTOTYPES
(ID ID_1, int int_1)
#else
(ID_1, int_1) ID ID_1;  int int_1; 
#endif
{	register argument kc_x = (argument) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_argument));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Argument));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Argument));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_int( int_1, "int_1" );
	kc_x->prod_sel = sel_Argument;
	kc_x->u.Argument.ID_1 = ID_1;
	kc_x->u.Argument.int_1 = int_1;
	return kc_x;
}

Ccode_option CcodeOption
#ifdef KC_USE_PROTOTYPES
(attributes attributes_1, Ctexts Ctexts_1)
#else
(attributes_1, Ctexts_1) attributes attributes_1;  Ctexts Ctexts_1; 
#endif
{	register Ccode_option kc_x = (Ccode_option) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Ccode_option));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CcodeOption));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CcodeOption));
	/*SUPPRESS 622*/
	assert_attributes( attributes_1, "attributes_1" );
	/*SUPPRESS 622*/
	assert_Ctexts( Ctexts_1, "Ctexts_1" );
	kc_x->prod_sel = sel_CcodeOption;
	kc_x->u.CcodeOption.attributes_1 = attributes_1;
	kc_x->u.CcodeOption.Ctexts_1 = Ctexts_1;
	return kc_x;
}

attributes Nilattributes
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static attributes kc_x = (attributes)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilattributes));
	if (kc_x == (attributes)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilattributes ));
		kc_x = (attributes)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_attributes), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilattributes;
	}
	return kc_x;
}

attributes Consattributes
#ifdef KC_USE_PROTOTYPES
(attribute attribute_1, attributes attributes_1)
#else
(attribute_1, attributes_1) attribute attribute_1;  attributes attributes_1; 
#endif
{	register attributes kc_x = (attributes) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_attributes));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consattributes));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consattributes));
	/*SUPPRESS 622*/
	assert_attribute( attribute_1, "attribute_1" );
	/*SUPPRESS 622*/
	assert_attributes( attributes_1, "attributes_1" );
	kc_x->prod_sel = sel_Consattributes;
	kc_x->u.Consattributes.attribute_1 = attribute_1;
	kc_x->u.Consattributes.attributes_1 = attributes_1;
	return kc_x;
}

attribute Attribute
#ifdef KC_USE_PROTOTYPES
(ID ID_1, ID ID_2, attribute_initialisation_option attribute_initialisation_option_1)
#else
(ID_1, ID_2, attribute_initialisation_option_1) ID ID_1;  ID ID_2;  attribute_initialisation_option attribute_initialisation_option_1; 
#endif
{	register attribute kc_x = (attribute) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_attribute));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Attribute));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Attribute));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_ID( ID_2, "ID_2" );
	/*SUPPRESS 622*/
	assert_attribute_initialisation_option( attribute_initialisation_option_1, "attribute_initialisation_option_1" );
	kc_x->prod_sel = sel_Attribute;
	kc_x->u.Attribute.ID_1 = ID_1;
	kc_x->u.Attribute.ID_2 = ID_2;
	kc_x->u.Attribute.attribute_initialisation_option_1 = attribute_initialisation_option_1;
	return kc_x;
}

attribute_initialisation_option Noattribute_initialisation
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static attribute_initialisation_option kc_x = (attribute_initialisation_option)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Noattribute_initialisation));
	if (kc_x == (attribute_initialisation_option)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Noattribute_initialisation ));
		kc_x = (attribute_initialisation_option)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_attribute_initialisation_option), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Noattribute_initialisation;
	}
	return kc_x;
}

attribute_initialisation_option Yesattribute_initialisation
#ifdef KC_USE_PROTOTYPES
(Cexpression Cexpression_1)
#else
(Cexpression_1) Cexpression Cexpression_1; 
#endif
{	register attribute_initialisation_option kc_x = (attribute_initialisation_option) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_attribute_initialisation_option));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Yesattribute_initialisation));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Yesattribute_initialisation));
	/*SUPPRESS 622*/
	assert_Cexpression( Cexpression_1, "Cexpression_1" );
	kc_x->prod_sel = sel_Yesattribute_initialisation;
	kc_x->u.Yesattribute_initialisation.Cexpression_1 = Cexpression_1;
	return kc_x;
}

Cexpression NilCexpression
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	register Cexpression kc_x = (Cexpression) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Cexpression));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_NilCexpression));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_NilCexpression));
	kc_x->prod_sel = sel_NilCexpression;
	kc_x = kc_initialize_Cexpression(kc_x);
	return kc_x;
}

Cexpression ConsCexpression
#ifdef KC_USE_PROTOTYPES
(Cexpression_elem Cexpression_elem_1, Cexpression Cexpression_1)
#else
(Cexpression_elem_1, Cexpression_1) Cexpression_elem Cexpression_elem_1;  Cexpression Cexpression_1; 
#endif
{	register Cexpression kc_x = (Cexpression) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Cexpression));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ConsCexpression));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ConsCexpression));
	/*SUPPRESS 622*/
	assert_Cexpression_elem( Cexpression_elem_1, "Cexpression_elem_1" );
	/*SUPPRESS 622*/
	assert_Cexpression( Cexpression_1, "Cexpression_1" );
	kc_x->prod_sel = sel_ConsCexpression;
	kc_x->u.ConsCexpression.Cexpression_elem_1 = Cexpression_elem_1;
	kc_x->u.ConsCexpression.Cexpression_1 = Cexpression_1;
	kc_x = kc_initialize_Cexpression(kc_x);
	return kc_x;
}

Cexpression_elem CExpressionPart
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1)
#else
(casestring_1) casestring casestring_1; 
#endif
{	register Cexpression_elem kc_x = (Cexpression_elem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Cexpression_elem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CExpressionPart));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CExpressionPart));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	kc_x->prod_sel = sel_CExpressionPart;
	kc_x->u.CExpressionPart.casestring_1 = casestring_1;
	return kc_x;
}

Cexpression_elem CExpressionDollarvar
#ifdef KC_USE_PROTOTYPES
(INT INT_1)
#else
(INT_1) INT INT_1; 
#endif
{	register Cexpression_elem kc_x = (Cexpression_elem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Cexpression_elem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CExpressionDollarvar));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CExpressionDollarvar));
	/*SUPPRESS 622*/
	assert_INT( INT_1, "INT_1" );
	kc_x->prod_sel = sel_CExpressionDollarvar;
	kc_x->u.CExpressionDollarvar.INT_1 = INT_1;
	return kc_x;
}

Cexpression_elem CExpressionNl
#ifdef KC_USE_PROTOTYPES
(int int_1)
#else
(int_1) int int_1; 
#endif
{	register Cexpression_elem kc_x = (Cexpression_elem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Cexpression_elem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CExpressionNl));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CExpressionNl));
	/*SUPPRESS 622*/
	assert_int( int_1, "int_1" );
	kc_x->prod_sel = sel_CExpressionNl;
	kc_x->u.CExpressionNl.int_1 = int_1;
	return kc_x;
}

Cexpression_elem CExpressionDQ
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ CexpressionDQ_1)
#else
(CexpressionDQ_1) CexpressionDQ CexpressionDQ_1; 
#endif
{	register Cexpression_elem kc_x = (Cexpression_elem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Cexpression_elem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CExpressionDQ));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CExpressionDQ));
	/*SUPPRESS 622*/
	assert_CexpressionDQ( CexpressionDQ_1, "CexpressionDQ_1" );
	kc_x->prod_sel = sel_CExpressionDQ;
	kc_x->u.CExpressionDQ.CexpressionDQ_1 = CexpressionDQ_1;
	return kc_x;
}

Cexpression_elem CExpressionSQ
#ifdef KC_USE_PROTOTYPES
(CexpressionSQ CexpressionSQ_1)
#else
(CexpressionSQ_1) CexpressionSQ CexpressionSQ_1; 
#endif
{	register Cexpression_elem kc_x = (Cexpression_elem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Cexpression_elem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CExpressionSQ));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CExpressionSQ));
	/*SUPPRESS 622*/
	assert_CexpressionSQ( CexpressionSQ_1, "CexpressionSQ_1" );
	kc_x->prod_sel = sel_CExpressionSQ;
	kc_x->u.CExpressionSQ.CexpressionSQ_1 = CexpressionSQ_1;
	return kc_x;
}

Cexpression_elem CExpressionPack
#ifdef KC_USE_PROTOTYPES
(Cexpression Cexpression_1)
#else
(Cexpression_1) Cexpression Cexpression_1; 
#endif
{	register Cexpression_elem kc_x = (Cexpression_elem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Cexpression_elem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CExpressionPack));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CExpressionPack));
	/*SUPPRESS 622*/
	assert_Cexpression( Cexpression_1, "Cexpression_1" );
	kc_x->prod_sel = sel_CExpressionPack;
	kc_x->u.CExpressionPack.Cexpression_1 = Cexpression_1;
	return kc_x;
}

Cexpression_elem CExpressionArray
#ifdef KC_USE_PROTOTYPES
(Cexpression Cexpression_1)
#else
(Cexpression_1) Cexpression Cexpression_1; 
#endif
{	register Cexpression_elem kc_x = (Cexpression_elem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Cexpression_elem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CExpressionArray));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CExpressionArray));
	/*SUPPRESS 622*/
	assert_Cexpression( Cexpression_1, "Cexpression_1" );
	kc_x->prod_sel = sel_CExpressionArray;
	kc_x->u.CExpressionArray.Cexpression_1 = Cexpression_1;
	return kc_x;
}

CexpressionDQ NilCexpressionDQ
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static CexpressionDQ kc_x = (CexpressionDQ)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_NilCexpressionDQ));
	if (kc_x == (CexpressionDQ)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_NilCexpressionDQ ));
		kc_x = (CexpressionDQ)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_CexpressionDQ), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_NilCexpressionDQ;
	}
	return kc_x;
}

CexpressionDQ ConsCexpressionDQ
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ_elem CexpressionDQ_elem_1, CexpressionDQ CexpressionDQ_1)
#else
(CexpressionDQ_elem_1, CexpressionDQ_1) CexpressionDQ_elem CexpressionDQ_elem_1;  CexpressionDQ CexpressionDQ_1; 
#endif
{	register CexpressionDQ kc_x = (CexpressionDQ) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_CexpressionDQ));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ConsCexpressionDQ));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ConsCexpressionDQ));
	/*SUPPRESS 622*/
	assert_CexpressionDQ_elem( CexpressionDQ_elem_1, "CexpressionDQ_elem_1" );
	/*SUPPRESS 622*/
	assert_CexpressionDQ( CexpressionDQ_1, "CexpressionDQ_1" );
	kc_x->prod_sel = sel_ConsCexpressionDQ;
	kc_x->u.ConsCexpressionDQ.CexpressionDQ_elem_1 = CexpressionDQ_elem_1;
	kc_x->u.ConsCexpressionDQ.CexpressionDQ_1 = CexpressionDQ_1;
	return kc_x;
}

CexpressionDQ_elem CExpressionDQPart
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1)
#else
(casestring_1) casestring casestring_1; 
#endif
{	register CexpressionDQ_elem kc_x = (CexpressionDQ_elem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_CexpressionDQ_elem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CExpressionDQPart));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CExpressionDQPart));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	kc_x->prod_sel = sel_CExpressionDQPart;
	kc_x->u.CExpressionDQPart.casestring_1 = casestring_1;
	return kc_x;
}

CexpressionDQ_elem CExpressionDQNl
#ifdef KC_USE_PROTOTYPES
(int int_1)
#else
(int_1) int int_1; 
#endif
{	register CexpressionDQ_elem kc_x = (CexpressionDQ_elem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_CexpressionDQ_elem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CExpressionDQNl));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CExpressionDQNl));
	/*SUPPRESS 622*/
	assert_int( int_1, "int_1" );
	kc_x->prod_sel = sel_CExpressionDQNl;
	kc_x->u.CExpressionDQNl.int_1 = int_1;
	return kc_x;
}

CexpressionSQ NilCexpressionSQ
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static CexpressionSQ kc_x = (CexpressionSQ)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_NilCexpressionSQ));
	if (kc_x == (CexpressionSQ)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_NilCexpressionSQ ));
		kc_x = (CexpressionSQ)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_CexpressionSQ), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_NilCexpressionSQ;
	}
	return kc_x;
}

CexpressionSQ ConsCexpressionSQ
#ifdef KC_USE_PROTOTYPES
(CexpressionSQ_elem CexpressionSQ_elem_1, CexpressionSQ CexpressionSQ_1)
#else
(CexpressionSQ_elem_1, CexpressionSQ_1) CexpressionSQ_elem CexpressionSQ_elem_1;  CexpressionSQ CexpressionSQ_1; 
#endif
{	register CexpressionSQ kc_x = (CexpressionSQ) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_CexpressionSQ));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ConsCexpressionSQ));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ConsCexpressionSQ));
	/*SUPPRESS 622*/
	assert_CexpressionSQ_elem( CexpressionSQ_elem_1, "CexpressionSQ_elem_1" );
	/*SUPPRESS 622*/
	assert_CexpressionSQ( CexpressionSQ_1, "CexpressionSQ_1" );
	kc_x->prod_sel = sel_ConsCexpressionSQ;
	kc_x->u.ConsCexpressionSQ.CexpressionSQ_elem_1 = CexpressionSQ_elem_1;
	kc_x->u.ConsCexpressionSQ.CexpressionSQ_1 = CexpressionSQ_1;
	return kc_x;
}

CexpressionSQ_elem CExpressionSQPart
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1)
#else
(casestring_1) casestring casestring_1; 
#endif
{	register CexpressionSQ_elem kc_x = (CexpressionSQ_elem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_CexpressionSQ_elem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CExpressionSQPart));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CExpressionSQPart));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	kc_x->prod_sel = sel_CExpressionSQPart;
	kc_x->u.CExpressionSQPart.casestring_1 = casestring_1;
	return kc_x;
}

CexpressionSQ_elem CExpressionSQNl
#ifdef KC_USE_PROTOTYPES
(int int_1)
#else
(int_1) int int_1; 
#endif
{	register CexpressionSQ_elem kc_x = (CexpressionSQ_elem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_CexpressionSQ_elem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CExpressionSQNl));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CExpressionSQNl));
	/*SUPPRESS 622*/
	assert_int( int_1, "int_1" );
	kc_x->prod_sel = sel_CExpressionSQNl;
	kc_x->u.CExpressionSQNl.int_1 = int_1;
	return kc_x;
}

idCexpressions NilidCexpressions
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static idCexpressions kc_x = (idCexpressions)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_NilidCexpressions));
	if (kc_x == (idCexpressions)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_NilidCexpressions ));
		kc_x = (idCexpressions)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_idCexpressions), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_NilidCexpressions;
	}
	return kc_x;
}

idCexpressions ConsidCexpressions
#ifdef KC_USE_PROTOTYPES
(idCexpression idCexpression_1, idCexpressions idCexpressions_1)
#else
(idCexpression_1, idCexpressions_1) idCexpression idCexpression_1;  idCexpressions idCexpressions_1; 
#endif
{	register idCexpressions kc_x = (idCexpressions) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_idCexpressions));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ConsidCexpressions));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ConsidCexpressions));
	/*SUPPRESS 622*/
	assert_idCexpression( idCexpression_1, "idCexpression_1" );
	/*SUPPRESS 622*/
	assert_idCexpressions( idCexpressions_1, "idCexpressions_1" );
	kc_x->prod_sel = sel_ConsidCexpressions;
	kc_x->u.ConsidCexpressions.idCexpression_1 = idCexpression_1;
	kc_x->u.ConsidCexpressions.idCexpressions_1 = idCexpressions_1;
	return kc_x;
}

idCexpression IdCexpression
#ifdef KC_USE_PROTOTYPES
(ID ID_1, Cexpression Cexpression_1)
#else
(ID_1, Cexpression_1) ID ID_1;  Cexpression Cexpression_1; 
#endif
{	register idCexpression kc_x = (idCexpression) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_idCexpression));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_IdCexpression));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_IdCexpression));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_Cexpression( Cexpression_1, "Cexpression_1" );
	kc_x->prod_sel = sel_IdCexpression;
	kc_x->u.IdCexpression.ID_1 = ID_1;
	kc_x->u.IdCexpression.Cexpression_1 = Cexpression_1;
	kc_x = kc_initialize_idCexpression(kc_x);
	return kc_x;
}

Ctexts NilCtexts
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static Ctexts kc_x = (Ctexts)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_NilCtexts));
	if (kc_x == (Ctexts)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_NilCtexts ));
		kc_x = (Ctexts)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_Ctexts), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_NilCtexts;
	}
	return kc_x;
}

Ctexts ConsCtexts
#ifdef KC_USE_PROTOTYPES
(Ctext Ctext_1, Ctexts Ctexts_1)
#else
(Ctext_1, Ctexts_1) Ctext Ctext_1;  Ctexts Ctexts_1; 
#endif
{	register Ctexts kc_x = (Ctexts) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Ctexts));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ConsCtexts));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ConsCtexts));
	/*SUPPRESS 622*/
	assert_Ctext( Ctext_1, "Ctext_1" );
	/*SUPPRESS 622*/
	assert_Ctexts( Ctexts_1, "Ctexts_1" );
	kc_x->prod_sel = sel_ConsCtexts;
	kc_x->u.ConsCtexts.Ctext_1 = Ctext_1;
	kc_x->u.ConsCtexts.Ctexts_1 = Ctexts_1;
	return kc_x;
}

includefiles Nilincludefiles
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static includefiles kc_x = (includefiles)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilincludefiles));
	if (kc_x == (includefiles)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilincludefiles ));
		kc_x = (includefiles)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_includefiles), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilincludefiles;
	}
	return kc_x;
}

includefiles Consincludefiles
#ifdef KC_USE_PROTOTYPES
(includefile includefile_1, includefiles includefiles_1)
#else
(includefile_1, includefiles_1) includefile includefile_1;  includefiles includefiles_1; 
#endif
{	register includefiles kc_x = (includefiles) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_includefiles));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consincludefiles));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consincludefiles));
	/*SUPPRESS 622*/
	assert_includefile( includefile_1, "includefile_1" );
	/*SUPPRESS 622*/
	assert_includefiles( includefiles_1, "includefiles_1" );
	kc_x->prod_sel = sel_Consincludefiles;
	kc_x->u.Consincludefiles.includefile_1 = includefile_1;
	kc_x->u.Consincludefiles.includefiles_1 = includefiles_1;
	return kc_x;
}

includefile IncludeFile
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1)
#else
(casestring_1) casestring casestring_1; 
#endif
{	register includefile kc_x;
	int kc_i;
	register kc_hashtableentry_t* kc_hte;
	unsigned kc_hashval = (unsigned)0;
	YYSTYPE *kc_ptr, *kc_beyond;
	kc_hashtable_t kc_a_ht = kc_hashtables[(int)uniq];

	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_IncludeFile));
	OPERATORHASH((unsigned) sel_IncludeFile);
	HASH(casestring_1);
	kc_hashval = kc_hashval%kc_a_ht->size;
	for (kc_i=0; kc_i < (int)kc_last_storage_mode; kc_i++) {
		kc_hte = &(kc_a_ht->hashtable[kc_hashval][kc_i]);
		if (kc_hte->nr != 0) {
			kc_beyond = &kc_hte->index[kc_hte->nr];
			for (kc_ptr = &kc_hte->index[0]; kc_ptr < kc_beyond; kc_ptr++){
				kc_x= kc_ptr->yt_includefile;
				if ((kc_x->prod_sel == sel_IncludeFile)  && (kc_x->u.IncludeFile.casestring_1 == casestring_1) )
					return(kc_x);
	}	}	}
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_IncludeFile));
	kc_hte = &(kc_a_ht->hashtable[kc_hashval][(int)kc_a_ht->mode]);
	if (kc_hte->nr >= kc_hte->ibound) kc_growindex(kc_hte, kc_a_ht);
	kc_x = (includefile)(*kc_a_ht->malloc)((kc_size_t)sizeof(struct kc_tag_includefile), kc_a_ht->malloc_private_data);
	kc_x->prod_sel = sel_IncludeFile;
	kc_x->u.IncludeFile.casestring_1 = casestring_1;
	kc_hte->index[kc_hte->nr++].yt_includefile = kc_x;
	kc_x = kc_initialize_includefile(kc_x);
	return kc_x;
}

includedeclarations Nilincludedeclarations
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static includedeclarations kc_x = (includedeclarations)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilincludedeclarations));
	if (kc_x == (includedeclarations)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilincludedeclarations ));
		kc_x = (includedeclarations)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_includedeclarations), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilincludedeclarations;
	}
	return kc_x;
}

includedeclarations Consincludedeclarations
#ifdef KC_USE_PROTOTYPES
(includedeclaration includedeclaration_1, includedeclarations includedeclarations_1)
#else
(includedeclaration_1, includedeclarations_1) includedeclaration includedeclaration_1;  includedeclarations includedeclarations_1; 
#endif
{	register includedeclarations kc_x = (includedeclarations) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_includedeclarations));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consincludedeclarations));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consincludedeclarations));
	/*SUPPRESS 622*/
	assert_includedeclaration( includedeclaration_1, "includedeclaration_1" );
	/*SUPPRESS 622*/
	assert_includedeclarations( includedeclarations_1, "includedeclarations_1" );
	kc_x->prod_sel = sel_Consincludedeclarations;
	kc_x->u.Consincludedeclarations.includedeclaration_1 = includedeclaration_1;
	kc_x->u.Consincludedeclarations.includedeclarations_1 = includedeclarations_1;
	return kc_x;
}

includedeclaration IncludeDeclaration
#ifdef KC_USE_PROTOTYPES
(includes includes_1)
#else
(includes_1) includes includes_1; 
#endif
{	register includedeclaration kc_x = (includedeclaration) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_includedeclaration));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_IncludeDeclaration));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_IncludeDeclaration));
	/*SUPPRESS 622*/
	assert_includes( includes_1, "includes_1" );
	kc_x->prod_sel = sel_IncludeDeclaration;
	kc_x->u.IncludeDeclaration.includes_1 = includes_1;
	kc_x = kc_initialize_includedeclaration(kc_x);
	return kc_x;
}

includes Nilincludes
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static includes kc_x = (includes)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilincludes));
	if (kc_x == (includes)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilincludes ));
		kc_x = (includes)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_includes), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilincludes;
	}
	return kc_x;
}

includes Consincludes
#ifdef KC_USE_PROTOTYPES
(include include_1, includes includes_1)
#else
(include_1, includes_1) include include_1;  includes includes_1; 
#endif
{	register includes kc_x = (includes) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_includes));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consincludes));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consincludes));
	/*SUPPRESS 622*/
	assert_include( include_1, "include_1" );
	/*SUPPRESS 622*/
	assert_includes( includes_1, "includes_1" );
	kc_x->prod_sel = sel_Consincludes;
	kc_x->u.Consincludes.include_1 = include_1;
	kc_x->u.Consincludes.includes_1 = includes_1;
	return kc_x;
}

include Include
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1)
#else
(casestring_1) casestring casestring_1; 
#endif
{	register include kc_x = (include) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_include));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Include));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Include));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	kc_x->prod_sel = sel_Include;
	kc_x->u.Include.casestring_1 = casestring_1;
	return kc_x;
}

include IncludeNl
#ifdef KC_USE_PROTOTYPES
(int int_1)
#else
(int_1) int int_1; 
#endif
{	register include kc_x = (include) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_include));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_IncludeNl));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_IncludeNl));
	/*SUPPRESS 622*/
	assert_int( int_1, "int_1" );
	kc_x->prod_sel = sel_IncludeNl;
	kc_x->u.IncludeNl.int_1 = int_1;
	return kc_x;
}

rwdeclarations Nilrwdeclarations
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static rwdeclarations kc_x = (rwdeclarations)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilrwdeclarations));
	if (kc_x == (rwdeclarations)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilrwdeclarations ));
		kc_x = (rwdeclarations)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_rwdeclarations), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilrwdeclarations;
	}
	return kc_x;
}

rwdeclarations Consrwdeclarations
#ifdef KC_USE_PROTOTYPES
(rwdeclaration rwdeclaration_1, rwdeclarations rwdeclarations_1)
#else
(rwdeclaration_1, rwdeclarations_1) rwdeclaration rwdeclaration_1;  rwdeclarations rwdeclarations_1; 
#endif
{	register rwdeclarations kc_x = (rwdeclarations) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_rwdeclarations));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consrwdeclarations));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consrwdeclarations));
	/*SUPPRESS 622*/
	assert_rwdeclaration( rwdeclaration_1, "rwdeclaration_1" );
	/*SUPPRESS 622*/
	assert_rwdeclarations( rwdeclarations_1, "rwdeclarations_1" );
	kc_x->prod_sel = sel_Consrwdeclarations;
	kc_x->u.Consrwdeclarations.rwdeclaration_1 = rwdeclaration_1;
	kc_x->u.Consrwdeclarations.rwdeclarations_1 = rwdeclarations_1;
	return kc_x;
}

rwdeclaration RwDeclaration
#ifdef KC_USE_PROTOTYPES
(outmostpatterns outmostpatterns_1, rewriteclauses rewriteclauses_1)
#else
(outmostpatterns_1, rewriteclauses_1) outmostpatterns outmostpatterns_1;  rewriteclauses rewriteclauses_1; 
#endif
{	register rwdeclaration kc_x = (rwdeclaration) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_rwdeclaration));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_RwDeclaration));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_RwDeclaration));
	/*SUPPRESS 622*/
	assert_outmostpatterns( outmostpatterns_1, "outmostpatterns_1" );
	/*SUPPRESS 622*/
	assert_rewriteclauses( rewriteclauses_1, "rewriteclauses_1" );
	kc_x->prod_sel = sel_RwDeclaration;
	kc_x->u.RwDeclaration.outmostpatterns_1 = outmostpatterns_1;
	kc_x->u.RwDeclaration.rewriteclauses_1 = rewriteclauses_1;
	return kc_x;
}

rewriteclauses Nilrewriteclauses
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static rewriteclauses kc_x = (rewriteclauses)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilrewriteclauses));
	if (kc_x == (rewriteclauses)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilrewriteclauses ));
		kc_x = (rewriteclauses)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_rewriteclauses), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilrewriteclauses;
	}
	return kc_x;
}

rewriteclauses Consrewriteclauses
#ifdef KC_USE_PROTOTYPES
(rewriteclause rewriteclause_1, rewriteclauses rewriteclauses_1)
#else
(rewriteclause_1, rewriteclauses_1) rewriteclause rewriteclause_1;  rewriteclauses rewriteclauses_1; 
#endif
{	register rewriteclauses kc_x = (rewriteclauses) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_rewriteclauses));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consrewriteclauses));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consrewriteclauses));
	/*SUPPRESS 622*/
	assert_rewriteclause( rewriteclause_1, "rewriteclause_1" );
	/*SUPPRESS 622*/
	assert_rewriteclauses( rewriteclauses_1, "rewriteclauses_1" );
	kc_x->prod_sel = sel_Consrewriteclauses;
	kc_x->u.Consrewriteclauses.rewriteclause_1 = rewriteclause_1;
	kc_x->u.Consrewriteclauses.rewriteclauses_1 = rewriteclauses_1;
	return kc_x;
}

rewriteclause RewriteClause
#ifdef KC_USE_PROTOTYPES
(viewnames viewnames_1, term term_1)
#else
(viewnames_1, term_1) viewnames viewnames_1;  term term_1; 
#endif
{	register rewriteclause kc_x = (rewriteclause) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_rewriteclause));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_RewriteClause));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_RewriteClause));
	/*SUPPRESS 622*/
	assert_viewnames( viewnames_1, "viewnames_1" );
	/*SUPPRESS 622*/
	assert_term( term_1, "term_1" );
	kc_x->prod_sel = sel_RewriteClause;
	kc_x->u.RewriteClause.viewnames_1 = viewnames_1;
	kc_x->u.RewriteClause.term_1 = term_1;
	return kc_x;
}

patternchains Nilpatternchains
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	register patternchains kc_x = (patternchains) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_patternchains));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilpatternchains));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilpatternchains));
	kc_x->prod_sel = sel_Nilpatternchains;
	kc_x = kc_initialize_patternchains(kc_x);
	return kc_x;
}

patternchains Conspatternchains
#ifdef KC_USE_PROTOTYPES
(patternchain patternchain_1, patternchains patternchains_1)
#else
(patternchain_1, patternchains_1) patternchain patternchain_1;  patternchains patternchains_1; 
#endif
{	register patternchains kc_x = (patternchains) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_patternchains));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Conspatternchains));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Conspatternchains));
	/*SUPPRESS 622*/
	assert_patternchain( patternchain_1, "patternchain_1" );
	/*SUPPRESS 622*/
	assert_patternchains( patternchains_1, "patternchains_1" );
	kc_x->prod_sel = sel_Conspatternchains;
	kc_x->u.Conspatternchains.patternchain_1 = patternchain_1;
	kc_x->u.Conspatternchains.patternchains_1 = patternchains_1;
	kc_x = kc_initialize_patternchains(kc_x);
	return kc_x;
}

patternchain Nilpatternchain
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	register patternchain kc_x = (patternchain) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_patternchain));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilpatternchain));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilpatternchain));
	kc_x->prod_sel = sel_Nilpatternchain;
	kc_x = kc_initialize_patternchain(kc_x);
	return kc_x;
}

patternchain Conspatternchain
#ifdef KC_USE_PROTOTYPES
(patternchainitem patternchainitem_1, patternchain patternchain_1)
#else
(patternchainitem_1, patternchain_1) patternchainitem patternchainitem_1;  patternchain patternchain_1; 
#endif
{	register patternchain kc_x = (patternchain) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_patternchain));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Conspatternchain));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Conspatternchain));
	/*SUPPRESS 622*/
	assert_patternchainitem( patternchainitem_1, "patternchainitem_1" );
	/*SUPPRESS 622*/
	assert_patternchain( patternchain_1, "patternchain_1" );
	kc_x->prod_sel = sel_Conspatternchain;
	kc_x->u.Conspatternchain.patternchainitem_1 = patternchainitem_1;
	kc_x->u.Conspatternchain.patternchain_1 = patternchain_1;
	kc_x = kc_initialize_patternchain(kc_x);
	return kc_x;
}

outmostpatterns Niloutmostpatterns
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static outmostpatterns kc_x = (outmostpatterns)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Niloutmostpatterns));
	if (kc_x == (outmostpatterns)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Niloutmostpatterns ));
		kc_x = (outmostpatterns)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_outmostpatterns), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Niloutmostpatterns;
	}
	return kc_x;
}

outmostpatterns Consoutmostpatterns
#ifdef KC_USE_PROTOTYPES
(outmostpattern outmostpattern_1, outmostpatterns outmostpatterns_1)
#else
(outmostpattern_1, outmostpatterns_1) outmostpattern outmostpattern_1;  outmostpatterns outmostpatterns_1; 
#endif
{	register outmostpatterns kc_x = (outmostpatterns) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_outmostpatterns));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consoutmostpatterns));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consoutmostpatterns));
	/*SUPPRESS 622*/
	assert_outmostpattern( outmostpattern_1, "outmostpattern_1" );
	/*SUPPRESS 622*/
	assert_outmostpatterns( outmostpatterns_1, "outmostpatterns_1" );
	kc_x->prod_sel = sel_Consoutmostpatterns;
	kc_x->u.Consoutmostpatterns.outmostpattern_1 = outmostpattern_1;
	kc_x->u.Consoutmostpatterns.outmostpatterns_1 = outmostpatterns_1;
	return kc_x;
}

patternchainitem PatternchainitemOutmost
#ifdef KC_USE_PROTOTYPES
(outmostpattern outmostpattern_1)
#else
(outmostpattern_1) outmostpattern outmostpattern_1; 
#endif
{	register patternchainitem kc_x = (patternchainitem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_patternchainitem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PatternchainitemOutmost));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PatternchainitemOutmost));
	/*SUPPRESS 622*/
	assert_outmostpattern( outmostpattern_1, "outmostpattern_1" );
	kc_x->prod_sel = sel_PatternchainitemOutmost;
	kc_x->u.PatternchainitemOutmost.outmostpattern_1 = outmostpattern_1;
	kc_x = kc_initialize_patternchainitem(kc_x);
	return kc_x;
}

patternchainitem PatternchainitemGroup
#ifdef KC_USE_PROTOTYPES
(patternchains patternchains_1)
#else
(patternchains_1) patternchains patternchains_1; 
#endif
{	register patternchainitem kc_x = (patternchainitem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_patternchainitem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PatternchainitemGroup));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PatternchainitemGroup));
	/*SUPPRESS 622*/
	assert_patternchains( patternchains_1, "patternchains_1" );
	kc_x->prod_sel = sel_PatternchainitemGroup;
	kc_x->u.PatternchainitemGroup.patternchains_1 = patternchains_1;
	kc_x = kc_initialize_patternchainitem(kc_x);
	return kc_x;
}

patternchainitem PatternchainitemDollarid
#ifdef KC_USE_PROTOTYPES
(ID ID_1)
#else
(ID_1) ID ID_1; 
#endif
{	register patternchainitem kc_x = (patternchainitem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_patternchainitem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PatternchainitemDollarid));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PatternchainitemDollarid));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_PatternchainitemDollarid;
	kc_x->u.PatternchainitemDollarid.ID_1 = ID_1;
	kc_x = kc_initialize_patternchainitem(kc_x);
	return kc_x;
}

outmostpattern OPOperatorWildcard
#ifdef KC_USE_PROTOTYPES
(ID ID_1)
#else
(ID_1) ID ID_1; 
#endif
{	register outmostpattern kc_x = (outmostpattern) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_outmostpattern));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_OPOperatorWildcard));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_OPOperatorWildcard));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_OPOperatorWildcard;
	kc_x->u.OPOperatorWildcard.ID_1 = ID_1;
	kc_x = kc_initialize_outmostpattern(kc_x);
	return kc_x;
}

outmostpattern OPOperator
#ifdef KC_USE_PROTOTYPES
(ID ID_1, patterns patterns_1)
#else
(ID_1, patterns_1) ID ID_1;  patterns patterns_1; 
#endif
{	register outmostpattern kc_x = (outmostpattern) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_outmostpattern));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_OPOperator));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_OPOperator));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_patterns( patterns_1, "patterns_1" );
	kc_x->prod_sel = sel_OPOperator;
	kc_x->u.OPOperator.ID_1 = ID_1;
	kc_x->u.OPOperator.patterns_1 = patterns_1;
	kc_x = kc_initialize_outmostpattern(kc_x);
	return kc_x;
}

outmostpattern OPNonLeafVariable
#ifdef KC_USE_PROTOTYPES
(ID ID_1, outmostpattern outmostpattern_1)
#else
(ID_1, outmostpattern_1) ID ID_1;  outmostpattern outmostpattern_1; 
#endif
{	register outmostpattern kc_x = (outmostpattern) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_outmostpattern));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_OPNonLeafVariable));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_OPNonLeafVariable));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_outmostpattern( outmostpattern_1, "outmostpattern_1" );
	kc_x->prod_sel = sel_OPNonLeafVariable;
	kc_x->u.OPNonLeafVariable.ID_1 = ID_1;
	kc_x->u.OPNonLeafVariable.outmostpattern_1 = outmostpattern_1;
	kc_x = kc_initialize_outmostpattern(kc_x);
	return kc_x;
}

outmostpattern OPWildcard
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	register outmostpattern kc_x = (outmostpattern) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_outmostpattern));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_OPWildcard));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_OPWildcard));
	kc_x->prod_sel = sel_OPWildcard;
	kc_x = kc_initialize_outmostpattern(kc_x);
	return kc_x;
}

outmostpattern OPDefault
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	register outmostpattern kc_x = (outmostpattern) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_outmostpattern));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_OPDefault));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_OPDefault));
	kc_x->prod_sel = sel_OPDefault;
	kc_x = kc_initialize_outmostpattern(kc_x);
	return kc_x;
}

pattern PVariable
#ifdef KC_USE_PROTOTYPES
(ID ID_1)
#else
(ID_1) ID ID_1; 
#endif
{	register pattern kc_x = (pattern) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_pattern));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PVariable));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PVariable));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_PVariable;
	kc_x->u.PVariable.ID_1 = ID_1;
	return kc_x;
}

pattern POperator
#ifdef KC_USE_PROTOTYPES
(ID ID_1, patterns patterns_1)
#else
(ID_1, patterns_1) ID ID_1;  patterns patterns_1; 
#endif
{	register pattern kc_x = (pattern) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_pattern));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_POperator));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_POperator));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_patterns( patterns_1, "patterns_1" );
	kc_x->prod_sel = sel_POperator;
	kc_x->u.POperator.ID_1 = ID_1;
	kc_x->u.POperator.patterns_1 = patterns_1;
	return kc_x;
}

pattern PNonLeafVariable
#ifdef KC_USE_PROTOTYPES
(ID ID_1, pattern pattern_1)
#else
(ID_1, pattern_1) ID ID_1;  pattern pattern_1; 
#endif
{	register pattern kc_x = (pattern) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_pattern));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PNonLeafVariable));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PNonLeafVariable));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_pattern( pattern_1, "pattern_1" );
	kc_x->prod_sel = sel_PNonLeafVariable;
	kc_x->u.PNonLeafVariable.ID_1 = ID_1;
	kc_x->u.PNonLeafVariable.pattern_1 = pattern_1;
	return kc_x;
}

pattern PWildcard
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static pattern kc_x = (pattern)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PWildcard));
	if (kc_x == (pattern)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PWildcard ));
		kc_x = (pattern)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_pattern), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_PWildcard;
	}
	return kc_x;
}

pattern PStringLiteral
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ CexpressionDQ_1)
#else
(CexpressionDQ_1) CexpressionDQ CexpressionDQ_1; 
#endif
{	register pattern kc_x = (pattern) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_pattern));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PStringLiteral));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PStringLiteral));
	/*SUPPRESS 622*/
	assert_CexpressionDQ( CexpressionDQ_1, "CexpressionDQ_1" );
	kc_x->prod_sel = sel_PStringLiteral;
	kc_x->u.PStringLiteral.CexpressionDQ_1 = CexpressionDQ_1;
	return kc_x;
}

pattern PIntLiteral
#ifdef KC_USE_PROTOTYPES
(INT INT_1)
#else
(INT_1) INT INT_1; 
#endif
{	register pattern kc_x = (pattern) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_pattern));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PIntLiteral));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PIntLiteral));
	/*SUPPRESS 622*/
	assert_INT( INT_1, "INT_1" );
	kc_x->prod_sel = sel_PIntLiteral;
	kc_x->u.PIntLiteral.INT_1 = INT_1;
	return kc_x;
}

patterns Nilpatterns
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static patterns kc_x = (patterns)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilpatterns));
	if (kc_x == (patterns)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilpatterns ));
		kc_x = (patterns)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_patterns), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilpatterns;
	}
	return kc_x;
}

patterns Conspatterns
#ifdef KC_USE_PROTOTYPES
(pattern pattern_1, patterns patterns_1)
#else
(pattern_1, patterns_1) pattern pattern_1;  patterns patterns_1; 
#endif
{	register patterns kc_x = (patterns) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_patterns));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Conspatterns));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Conspatterns));
	/*SUPPRESS 622*/
	assert_pattern( pattern_1, "pattern_1" );
	/*SUPPRESS 622*/
	assert_patterns( patterns_1, "patterns_1" );
	kc_x->prod_sel = sel_Conspatterns;
	kc_x->u.Conspatterns.pattern_1 = pattern_1;
	kc_x->u.Conspatterns.patterns_1 = patterns_1;
	return kc_x;
}

term TVariable
#ifdef KC_USE_PROTOTYPES
(ID ID_1)
#else
(ID_1) ID ID_1; 
#endif
{	register term kc_x = (term) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_term));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_TVariable));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_TVariable));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_TVariable;
	kc_x->u.TVariable.ID_1 = ID_1;
	return kc_x;
}

term TOperator
#ifdef KC_USE_PROTOTYPES
(ID ID_1, terms terms_1)
#else
(ID_1, terms_1) ID ID_1;  terms terms_1; 
#endif
{	register term kc_x = (term) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_term));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_TOperator));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_TOperator));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_terms( terms_1, "terms_1" );
	kc_x->prod_sel = sel_TOperator;
	kc_x->u.TOperator.ID_1 = ID_1;
	kc_x->u.TOperator.terms_1 = terms_1;
	return kc_x;
}

term TStringLiteral
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ CexpressionDQ_1)
#else
(CexpressionDQ_1) CexpressionDQ CexpressionDQ_1; 
#endif
{	register term kc_x = (term) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_term));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_TStringLiteral));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_TStringLiteral));
	/*SUPPRESS 622*/
	assert_CexpressionDQ( CexpressionDQ_1, "CexpressionDQ_1" );
	kc_x->prod_sel = sel_TStringLiteral;
	kc_x->u.TStringLiteral.CexpressionDQ_1 = CexpressionDQ_1;
	return kc_x;
}

term TIntLiteral
#ifdef KC_USE_PROTOTYPES
(INT INT_1)
#else
(INT_1) INT INT_1; 
#endif
{	register term kc_x = (term) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_term));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_TIntLiteral));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_TIntLiteral));
	/*SUPPRESS 622*/
	assert_INT( INT_1, "INT_1" );
	kc_x->prod_sel = sel_TIntLiteral;
	kc_x->u.TIntLiteral.INT_1 = INT_1;
	return kc_x;
}

terms Nilterms
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static terms kc_x = (terms)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilterms));
	if (kc_x == (terms)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilterms ));
		kc_x = (terms)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_terms), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilterms;
	}
	return kc_x;
}

terms Consterms
#ifdef KC_USE_PROTOTYPES
(term term_1, terms terms_1)
#else
(term_1, terms_1) term term_1;  terms terms_1; 
#endif
{	register terms kc_x = (terms) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_terms));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consterms));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consterms));
	/*SUPPRESS 622*/
	assert_term( term_1, "term_1" );
	/*SUPPRESS 622*/
	assert_terms( terms_1, "terms_1" );
	kc_x->prod_sel = sel_Consterms;
	kc_x->u.Consterms.term_1 = term_1;
	kc_x->u.Consterms.terms_1 = terms_1;
	return kc_x;
}

fnfiles Nilfnfiles
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static fnfiles kc_x = (fnfiles)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilfnfiles));
	if (kc_x == (fnfiles)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilfnfiles ));
		kc_x = (fnfiles)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_fnfiles), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilfnfiles;
	}
	return kc_x;
}

fnfiles Consfnfiles
#ifdef KC_USE_PROTOTYPES
(fnfile fnfile_1, fnfiles fnfiles_1)
#else
(fnfile_1, fnfiles_1) fnfile fnfile_1;  fnfiles fnfiles_1; 
#endif
{	register fnfiles kc_x = (fnfiles) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_fnfiles));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consfnfiles));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consfnfiles));
	/*SUPPRESS 622*/
	assert_fnfile( fnfile_1, "fnfile_1" );
	/*SUPPRESS 622*/
	assert_fnfiles( fnfiles_1, "fnfiles_1" );
	kc_x->prod_sel = sel_Consfnfiles;
	kc_x->u.Consfnfiles.fnfile_1 = fnfile_1;
	kc_x->u.Consfnfiles.fnfiles_1 = fnfiles_1;
	return kc_x;
}

fnfile FnFile
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1)
#else
(casestring_1) casestring casestring_1; 
#endif
{	register fnfile kc_x;
	int kc_i;
	register kc_hashtableentry_t* kc_hte;
	unsigned kc_hashval = (unsigned)0;
	YYSTYPE *kc_ptr, *kc_beyond;
	kc_hashtable_t kc_a_ht = kc_hashtables[(int)uniq];

	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_FnFile));
	OPERATORHASH((unsigned) sel_FnFile);
	HASH(casestring_1);
	kc_hashval = kc_hashval%kc_a_ht->size;
	for (kc_i=0; kc_i < (int)kc_last_storage_mode; kc_i++) {
		kc_hte = &(kc_a_ht->hashtable[kc_hashval][kc_i]);
		if (kc_hte->nr != 0) {
			kc_beyond = &kc_hte->index[kc_hte->nr];
			for (kc_ptr = &kc_hte->index[0]; kc_ptr < kc_beyond; kc_ptr++){
				kc_x= kc_ptr->yt_fnfile;
				if ((kc_x->prod_sel == sel_FnFile)  && (kc_x->u.FnFile.casestring_1 == casestring_1) )
					return(kc_x);
	}	}	}
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_FnFile));
	kc_hte = &(kc_a_ht->hashtable[kc_hashval][(int)kc_a_ht->mode]);
	if (kc_hte->nr >= kc_hte->ibound) kc_growindex(kc_hte, kc_a_ht);
	kc_x = (fnfile)(*kc_a_ht->malloc)((kc_size_t)sizeof(struct kc_tag_fnfile), kc_a_ht->malloc_private_data);
	kc_x->prod_sel = sel_FnFile;
	kc_x->u.FnFile.casestring_1 = casestring_1;
	kc_hte->index[kc_hte->nr++].yt_fnfile = kc_x;
	kc_x = kc_initialize_fnfile(kc_x);
	return kc_x;
}

fndeclarations Nilfndeclarations
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static fndeclarations kc_x = (fndeclarations)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilfndeclarations));
	if (kc_x == (fndeclarations)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilfndeclarations ));
		kc_x = (fndeclarations)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_fndeclarations), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilfndeclarations;
	}
	return kc_x;
}

fndeclarations Consfndeclarations
#ifdef KC_USE_PROTOTYPES
(fndeclaration fndeclaration_1, fndeclarations fndeclarations_1)
#else
(fndeclaration_1, fndeclarations_1) fndeclaration fndeclaration_1;  fndeclarations fndeclarations_1; 
#endif
{	register fndeclarations kc_x = (fndeclarations) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_fndeclarations));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consfndeclarations));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consfndeclarations));
	/*SUPPRESS 622*/
	assert_fndeclaration( fndeclaration_1, "fndeclaration_1" );
	/*SUPPRESS 622*/
	assert_fndeclarations( fndeclarations_1, "fndeclarations_1" );
	kc_x->prod_sel = sel_Consfndeclarations;
	kc_x->u.Consfndeclarations.fndeclaration_1 = fndeclaration_1;
	kc_x->u.Consfndeclarations.fndeclarations_1 = fndeclarations_1;
	return kc_x;
}

fndeclaration FnDeclaration
#ifdef KC_USE_PROTOTYPES
(ID ID_1, int int_1, ID ID_2, fnarguments fnarguments_1, Cvariabledeclarations Cvariabledeclarations_1, Ctext Ctext_1, fnclass fnclass_1)
#else
(ID_1, int_1, ID_2, fnarguments_1, Cvariabledeclarations_1, Ctext_1, fnclass_1) ID ID_1;  int int_1;  ID ID_2;  fnarguments fnarguments_1;  Cvariabledeclarations Cvariabledeclarations_1;  Ctext Ctext_1;  fnclass fnclass_1; 
#endif
{	register fndeclaration kc_x = (fndeclaration) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_fndeclaration));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_FnDeclaration));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_FnDeclaration));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_int( int_1, "int_1" );
	/*SUPPRESS 622*/
	assert_ID( ID_2, "ID_2" );
	/*SUPPRESS 622*/
	assert_fnarguments( fnarguments_1, "fnarguments_1" );
	/*SUPPRESS 622*/
	assert_Cvariabledeclarations( Cvariabledeclarations_1, "Cvariabledeclarations_1" );
	/*SUPPRESS 622*/
	assert_Ctext( Ctext_1, "Ctext_1" );
	/*SUPPRESS 622*/
	assert_fnclass( fnclass_1, "fnclass_1" );
	kc_x->prod_sel = sel_FnDeclaration;
	kc_x->u.FnDeclaration.ID_1 = ID_1;
	kc_x->u.FnDeclaration.int_1 = int_1;
	kc_x->u.FnDeclaration.ID_2 = ID_2;
	kc_x->u.FnDeclaration.fnarguments_1 = fnarguments_1;
	kc_x->u.FnDeclaration.Cvariabledeclarations_1 = Cvariabledeclarations_1;
	kc_x->u.FnDeclaration.Ctext_1 = Ctext_1;
	kc_x->u.FnDeclaration.fnclass_1 = fnclass_1;
	kc_x = kc_initialize_fndeclaration(kc_x);
	return kc_x;
}

fndeclaration FnAcDeclaration
#ifdef KC_USE_PROTOTYPES
(ac_declaration_specifiers ac_declaration_specifiers_1, ac_declarator ac_declarator_1, ac_declaration_list ac_declaration_list_1, Ctext Ctext_1, ID ID_1, fnclass fnclass_1)
#else
(ac_declaration_specifiers_1, ac_declarator_1, ac_declaration_list_1, Ctext_1, ID_1, fnclass_1) ac_declaration_specifiers ac_declaration_specifiers_1;  ac_declarator ac_declarator_1;  ac_declaration_list ac_declaration_list_1;  Ctext Ctext_1;  ID ID_1;  fnclass fnclass_1; 
#endif
{	register fndeclaration kc_x = (fndeclaration) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_fndeclaration));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_FnAcDeclaration));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_FnAcDeclaration));
	/*SUPPRESS 622*/
	assert_ac_declaration_specifiers( ac_declaration_specifiers_1, "ac_declaration_specifiers_1" );
	/*SUPPRESS 622*/
	assert_ac_declarator( ac_declarator_1, "ac_declarator_1" );
	/*SUPPRESS 622*/
	assert_ac_declaration_list( ac_declaration_list_1, "ac_declaration_list_1" );
	/*SUPPRESS 622*/
	assert_Ctext( Ctext_1, "Ctext_1" );
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_fnclass( fnclass_1, "fnclass_1" );
	kc_x->prod_sel = sel_FnAcDeclaration;
	kc_x->u.FnAcDeclaration.ac_declaration_specifiers_1 = ac_declaration_specifiers_1;
	kc_x->u.FnAcDeclaration.ac_declarator_1 = ac_declarator_1;
	kc_x->u.FnAcDeclaration.ac_declaration_list_1 = ac_declaration_list_1;
	kc_x->u.FnAcDeclaration.Ctext_1 = Ctext_1;
	kc_x->u.FnAcDeclaration.ID_1 = ID_1;
	kc_x->u.FnAcDeclaration.fnclass_1 = fnclass_1;
	kc_x = kc_initialize_fndeclaration(kc_x);
	return kc_x;
}

fnclass GlobalFn
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static fnclass kc_x = (fnclass)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_GlobalFn));
	if (kc_x == (fnclass)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_GlobalFn ));
		kc_x = (fnclass)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_fnclass), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_GlobalFn;
	}
	return kc_x;
}

fnclass LocalFn
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1)
#else
(casestring_1) casestring casestring_1; 
#endif
{	register fnclass kc_x = (fnclass) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_fnclass));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_LocalFn));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_LocalFn));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	kc_x->prod_sel = sel_LocalFn;
	kc_x->u.LocalFn.casestring_1 = casestring_1;
	return kc_x;
}

fnarguments Nilfnarguments
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static fnarguments kc_x = (fnarguments)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilfnarguments));
	if (kc_x == (fnarguments)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilfnarguments ));
		kc_x = (fnarguments)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_fnarguments), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilfnarguments;
	}
	return kc_x;
}

fnarguments Consfnarguments
#ifdef KC_USE_PROTOTYPES
(ID ID_1, fnarguments fnarguments_1)
#else
(ID_1, fnarguments_1) ID ID_1;  fnarguments fnarguments_1; 
#endif
{	register fnarguments kc_x = (fnarguments) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_fnarguments));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consfnarguments));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consfnarguments));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_fnarguments( fnarguments_1, "fnarguments_1" );
	kc_x->prod_sel = sel_Consfnarguments;
	kc_x->u.Consfnarguments.ID_1 = ID_1;
	kc_x->u.Consfnarguments.fnarguments_1 = fnarguments_1;
	return kc_x;
}

Cvariabledeclarations NilCvariabledeclarations
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static Cvariabledeclarations kc_x = (Cvariabledeclarations)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_NilCvariabledeclarations));
	if (kc_x == (Cvariabledeclarations)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_NilCvariabledeclarations ));
		kc_x = (Cvariabledeclarations)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_Cvariabledeclarations), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_NilCvariabledeclarations;
	}
	return kc_x;
}

Cvariabledeclarations ConsCvariabledeclarations
#ifdef KC_USE_PROTOTYPES
(Cvariabledeclaration Cvariabledeclaration_1, Cvariabledeclarations Cvariabledeclarations_1)
#else
(Cvariabledeclaration_1, Cvariabledeclarations_1) Cvariabledeclaration Cvariabledeclaration_1;  Cvariabledeclarations Cvariabledeclarations_1; 
#endif
{	register Cvariabledeclarations kc_x = (Cvariabledeclarations) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Cvariabledeclarations));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ConsCvariabledeclarations));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ConsCvariabledeclarations));
	/*SUPPRESS 622*/
	assert_Cvariabledeclaration( Cvariabledeclaration_1, "Cvariabledeclaration_1" );
	/*SUPPRESS 622*/
	assert_Cvariabledeclarations( Cvariabledeclarations_1, "Cvariabledeclarations_1" );
	kc_x->prod_sel = sel_ConsCvariabledeclarations;
	kc_x->u.ConsCvariabledeclarations.Cvariabledeclaration_1 = Cvariabledeclaration_1;
	kc_x->u.ConsCvariabledeclarations.Cvariabledeclarations_1 = Cvariabledeclarations_1;
	return kc_x;
}

Cvariabledeclaration CVariabledeclaration
#ifdef KC_USE_PROTOTYPES
(ID ID_1, Cvariables Cvariables_1)
#else
(ID_1, Cvariables_1) ID ID_1;  Cvariables Cvariables_1; 
#endif
{	register Cvariabledeclaration kc_x = (Cvariabledeclaration) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Cvariabledeclaration));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CVariabledeclaration));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CVariabledeclaration));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_Cvariables( Cvariables_1, "Cvariables_1" );
	kc_x->prod_sel = sel_CVariabledeclaration;
	kc_x->u.CVariabledeclaration.ID_1 = ID_1;
	kc_x->u.CVariabledeclaration.Cvariables_1 = Cvariables_1;
	return kc_x;
}

Cvariabledeclaration Fnargfpdecl
#ifdef KC_USE_PROTOTYPES
(ID ID_1, Cvariables Cvariables_1)
#else
(ID_1, Cvariables_1) ID ID_1;  Cvariables Cvariables_1; 
#endif
{	register Cvariabledeclaration kc_x = (Cvariabledeclaration) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Cvariabledeclaration));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Fnargfpdecl));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Fnargfpdecl));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_Cvariables( Cvariables_1, "Cvariables_1" );
	kc_x->prod_sel = sel_Fnargfpdecl;
	kc_x->u.Fnargfpdecl.ID_1 = ID_1;
	kc_x->u.Fnargfpdecl.Cvariables_1 = Cvariables_1;
	return kc_x;
}

Cvariables NilCvariables
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static Cvariables kc_x = (Cvariables)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_NilCvariables));
	if (kc_x == (Cvariables)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_NilCvariables ));
		kc_x = (Cvariables)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_Cvariables), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_NilCvariables;
	}
	return kc_x;
}

Cvariables ConsCvariables
#ifdef KC_USE_PROTOTYPES
(Cvariable Cvariable_1, Cvariables Cvariables_1)
#else
(Cvariable_1, Cvariables_1) Cvariable Cvariable_1;  Cvariables Cvariables_1; 
#endif
{	register Cvariables kc_x = (Cvariables) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Cvariables));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ConsCvariables));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ConsCvariables));
	/*SUPPRESS 622*/
	assert_Cvariable( Cvariable_1, "Cvariable_1" );
	/*SUPPRESS 622*/
	assert_Cvariables( Cvariables_1, "Cvariables_1" );
	kc_x->prod_sel = sel_ConsCvariables;
	kc_x->u.ConsCvariables.Cvariable_1 = Cvariable_1;
	kc_x->u.ConsCvariables.Cvariables_1 = Cvariables_1;
	return kc_x;
}

Cvariable CVPointer
#ifdef KC_USE_PROTOTYPES
(int int_1, ID ID_1)
#else
(int_1, ID_1) int int_1;  ID ID_1; 
#endif
{	register Cvariable kc_x = (Cvariable) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Cvariable));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CVPointer));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CVPointer));
	/*SUPPRESS 622*/
	assert_int( int_1, "int_1" );
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_CVPointer;
	kc_x->u.CVPointer.int_1 = int_1;
	kc_x->u.CVPointer.ID_1 = ID_1;
	return kc_x;
}

Cvariable CVFunction
#ifdef KC_USE_PROTOTYPES
(int int_1, int int_2, ID ID_1)
#else
(int_1, int_2, ID_1) int int_1;  int int_2;  ID ID_1; 
#endif
{	register Cvariable kc_x = (Cvariable) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Cvariable));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CVFunction));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CVFunction));
	/*SUPPRESS 622*/
	assert_int( int_1, "int_1" );
	/*SUPPRESS 622*/
	assert_int( int_2, "int_2" );
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_CVFunction;
	kc_x->u.CVFunction.int_1 = int_1;
	kc_x->u.CVFunction.int_2 = int_2;
	kc_x->u.CVFunction.ID_1 = ID_1;
	return kc_x;
}

Ctext NilCtext
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	register Ctext kc_x = (Ctext) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Ctext));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_NilCtext));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_NilCtext));
	kc_x->prod_sel = sel_NilCtext;
	kc_x = kc_initialize_Ctext(kc_x);
	return kc_x;
}

Ctext ConsCtext
#ifdef KC_USE_PROTOTYPES
(Ctext_elem Ctext_elem_1, Ctext Ctext_1)
#else
(Ctext_elem_1, Ctext_1) Ctext_elem Ctext_elem_1;  Ctext Ctext_1; 
#endif
{	register Ctext kc_x = (Ctext) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Ctext));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ConsCtext));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ConsCtext));
	/*SUPPRESS 622*/
	assert_Ctext_elem( Ctext_elem_1, "Ctext_elem_1" );
	/*SUPPRESS 622*/
	assert_Ctext( Ctext_1, "Ctext_1" );
	kc_x->prod_sel = sel_ConsCtext;
	kc_x->u.ConsCtext.Ctext_elem_1 = Ctext_elem_1;
	kc_x->u.ConsCtext.Ctext_1 = Ctext_1;
	kc_x = kc_initialize_Ctext(kc_x);
	return kc_x;
}

Ctext_elem CTextLine
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1)
#else
(casestring_1) casestring casestring_1; 
#endif
{	register Ctext_elem kc_x = (Ctext_elem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Ctext_elem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CTextLine));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CTextLine));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	kc_x->prod_sel = sel_CTextLine;
	kc_x->u.CTextLine.casestring_1 = casestring_1;
	kc_x = kc_initialize_Ctext_elem(kc_x);
	return kc_x;
}

Ctext_elem CTextDollarVar
#ifdef KC_USE_PROTOTYPES
(INT INT_1)
#else
(INT_1) INT INT_1; 
#endif
{	register Ctext_elem kc_x = (Ctext_elem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Ctext_elem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CTextDollarVar));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CTextDollarVar));
	/*SUPPRESS 622*/
	assert_INT( INT_1, "INT_1" );
	kc_x->prod_sel = sel_CTextDollarVar;
	kc_x->u.CTextDollarVar.INT_1 = INT_1;
	kc_x = kc_initialize_Ctext_elem(kc_x);
	return kc_x;
}

Ctext_elem CTextNl
#ifdef KC_USE_PROTOTYPES
(int int_1)
#else
(int_1) int int_1; 
#endif
{	register Ctext_elem kc_x = (Ctext_elem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Ctext_elem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CTextNl));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CTextNl));
	/*SUPPRESS 622*/
	assert_int( int_1, "int_1" );
	kc_x->prod_sel = sel_CTextNl;
	kc_x->u.CTextNl.int_1 = int_1;
	kc_x = kc_initialize_Ctext_elem(kc_x);
	return kc_x;
}

Ctext_elem CTextCexpressionDQ
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ CexpressionDQ_1)
#else
(CexpressionDQ_1) CexpressionDQ CexpressionDQ_1; 
#endif
{	register Ctext_elem kc_x = (Ctext_elem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Ctext_elem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CTextCexpressionDQ));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CTextCexpressionDQ));
	/*SUPPRESS 622*/
	assert_CexpressionDQ( CexpressionDQ_1, "CexpressionDQ_1" );
	kc_x->prod_sel = sel_CTextCexpressionDQ;
	kc_x->u.CTextCexpressionDQ.CexpressionDQ_1 = CexpressionDQ_1;
	kc_x = kc_initialize_Ctext_elem(kc_x);
	return kc_x;
}

Ctext_elem CTextCexpressionSQ
#ifdef KC_USE_PROTOTYPES
(CexpressionSQ CexpressionSQ_1)
#else
(CexpressionSQ_1) CexpressionSQ CexpressionSQ_1; 
#endif
{	register Ctext_elem kc_x = (Ctext_elem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Ctext_elem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CTextCexpressionSQ));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CTextCexpressionSQ));
	/*SUPPRESS 622*/
	assert_CexpressionSQ( CexpressionSQ_1, "CexpressionSQ_1" );
	kc_x->prod_sel = sel_CTextCexpressionSQ;
	kc_x->u.CTextCexpressionSQ.CexpressionSQ_1 = CexpressionSQ_1;
	kc_x = kc_initialize_Ctext_elem(kc_x);
	return kc_x;
}

Ctext_elem CTextCbody
#ifdef KC_USE_PROTOTYPES
(Ctext Ctext_1)
#else
(Ctext_1) Ctext Ctext_1; 
#endif
{	register Ctext_elem kc_x = (Ctext_elem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Ctext_elem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CTextCbody));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CTextCbody));
	/*SUPPRESS 622*/
	assert_Ctext( Ctext_1, "Ctext_1" );
	kc_x->prod_sel = sel_CTextCbody;
	kc_x->u.CTextCbody.Ctext_1 = Ctext_1;
	kc_x = kc_initialize_Ctext_elem(kc_x);
	return kc_x;
}

Ctext_elem CTextForeachexpression
#ifdef KC_USE_PROTOTYPES
(patternchain patternchain_1, idCexpressions idCexpressions_1, withexpressions withexpressions_1, Ctext Ctext_1, foreach_after foreach_after_1)
#else
(patternchain_1, idCexpressions_1, withexpressions_1, Ctext_1, foreach_after_1) patternchain patternchain_1;  idCexpressions idCexpressions_1;  withexpressions withexpressions_1;  Ctext Ctext_1;  foreach_after foreach_after_1; 
#endif
{	register Ctext_elem kc_x = (Ctext_elem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Ctext_elem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CTextForeachexpression));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CTextForeachexpression));
	/*SUPPRESS 622*/
	assert_patternchain( patternchain_1, "patternchain_1" );
	/*SUPPRESS 622*/
	assert_idCexpressions( idCexpressions_1, "idCexpressions_1" );
	/*SUPPRESS 622*/
	assert_withexpressions( withexpressions_1, "withexpressions_1" );
	/*SUPPRESS 622*/
	assert_Ctext( Ctext_1, "Ctext_1" );
	/*SUPPRESS 622*/
	assert_foreach_after( foreach_after_1, "foreach_after_1" );
	kc_x->prod_sel = sel_CTextForeachexpression;
	kc_x->u.CTextForeachexpression.patternchain_1 = patternchain_1;
	kc_x->u.CTextForeachexpression.idCexpressions_1 = idCexpressions_1;
	kc_x->u.CTextForeachexpression.withexpressions_1 = withexpressions_1;
	kc_x->u.CTextForeachexpression.Ctext_1 = Ctext_1;
	kc_x->u.CTextForeachexpression.foreach_after_1 = foreach_after_1;
	kc_x = kc_initialize_Ctext_elem(kc_x);
	return kc_x;
}

Ctext_elem CTextWithexpression
#ifdef KC_USE_PROTOTYPES
(withexpressions withexpressions_1, withcases withcases_1, contextinfo contextinfo_1)
#else
(withexpressions_1, withcases_1, contextinfo_1) withexpressions withexpressions_1;  withcases withcases_1;  contextinfo contextinfo_1; 
#endif
{	register Ctext_elem kc_x = (Ctext_elem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_Ctext_elem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CTextWithexpression));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CTextWithexpression));
	/*SUPPRESS 622*/
	assert_withexpressions( withexpressions_1, "withexpressions_1" );
	/*SUPPRESS 622*/
	assert_withcases( withcases_1, "withcases_1" );
	/*SUPPRESS 622*/
	assert_contextinfo( contextinfo_1, "contextinfo_1" );
	kc_x->prod_sel = sel_CTextWithexpression;
	kc_x->u.CTextWithexpression.withexpressions_1 = withexpressions_1;
	kc_x->u.CTextWithexpression.withcases_1 = withcases_1;
	kc_x->u.CTextWithexpression.contextinfo_1 = contextinfo_1;
	kc_x = kc_initialize_Ctext_elem(kc_x);
	return kc_x;
}

foreach_after NoForeachAfter
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	register foreach_after kc_x = (foreach_after) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_foreach_after));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_NoForeachAfter));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_NoForeachAfter));
	kc_x->prod_sel = sel_NoForeachAfter;
	kc_x = kc_initialize_foreach_after(kc_x);
	return kc_x;
}

foreach_after ForeachAfter
#ifdef KC_USE_PROTOTYPES
(patternchain patternchain_1, idCexpressions idCexpressions_1, withexpressions withexpressions_1, Ctext Ctext_1)
#else
(patternchain_1, idCexpressions_1, withexpressions_1, Ctext_1) patternchain patternchain_1;  idCexpressions idCexpressions_1;  withexpressions withexpressions_1;  Ctext Ctext_1; 
#endif
{	register foreach_after kc_x = (foreach_after) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_foreach_after));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ForeachAfter));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ForeachAfter));
	/*SUPPRESS 622*/
	assert_patternchain( patternchain_1, "patternchain_1" );
	/*SUPPRESS 622*/
	assert_idCexpressions( idCexpressions_1, "idCexpressions_1" );
	/*SUPPRESS 622*/
	assert_withexpressions( withexpressions_1, "withexpressions_1" );
	/*SUPPRESS 622*/
	assert_Ctext( Ctext_1, "Ctext_1" );
	kc_x->prod_sel = sel_ForeachAfter;
	kc_x->u.ForeachAfter.patternchain_1 = patternchain_1;
	kc_x->u.ForeachAfter.idCexpressions_1 = idCexpressions_1;
	kc_x->u.ForeachAfter.withexpressions_1 = withexpressions_1;
	kc_x->u.ForeachAfter.Ctext_1 = Ctext_1;
	kc_x = kc_initialize_foreach_after(kc_x);
	return kc_x;
}

contextinfo InForeachContext
#ifdef KC_USE_PROTOTYPES
(patternchain patternchain_1)
#else
(patternchain_1) patternchain patternchain_1; 
#endif
{	register contextinfo kc_x = (contextinfo) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_contextinfo));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_InForeachContext));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_InForeachContext));
	/*SUPPRESS 622*/
	assert_patternchain( patternchain_1, "patternchain_1" );
	kc_x->prod_sel = sel_InForeachContext;
	kc_x->u.InForeachContext.patternchain_1 = patternchain_1;
	return kc_x;
}

contextinfo NotInForeachContext
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static contextinfo kc_x = (contextinfo)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_NotInForeachContext));
	if (kc_x == (contextinfo)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_NotInForeachContext ));
		kc_x = (contextinfo)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_contextinfo), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_NotInForeachContext;
	}
	return kc_x;
}

withexpressions Nilwithexpressions
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	register withexpressions kc_x = (withexpressions) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_withexpressions));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilwithexpressions));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilwithexpressions));
	kc_x->prod_sel = sel_Nilwithexpressions;
	kc_x = kc_initialize_withexpressions(kc_x);
	return kc_x;
}

withexpressions Conswithexpressions
#ifdef KC_USE_PROTOTYPES
(withexpression withexpression_1, withexpressions withexpressions_1)
#else
(withexpression_1, withexpressions_1) withexpression withexpression_1;  withexpressions withexpressions_1; 
#endif
{	register withexpressions kc_x = (withexpressions) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_withexpressions));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Conswithexpressions));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Conswithexpressions));
	/*SUPPRESS 622*/
	assert_withexpression( withexpression_1, "withexpression_1" );
	/*SUPPRESS 622*/
	assert_withexpressions( withexpressions_1, "withexpressions_1" );
	kc_x->prod_sel = sel_Conswithexpressions;
	kc_x->u.Conswithexpressions.withexpression_1 = withexpression_1;
	kc_x->u.Conswithexpressions.withexpressions_1 = withexpressions_1;
	kc_x = kc_initialize_withexpressions(kc_x);
	return kc_x;
}

withexpression WEVariable
#ifdef KC_USE_PROTOTYPES
(ID ID_1)
#else
(ID_1) ID ID_1; 
#endif
{	register withexpression kc_x = (withexpression) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_withexpression));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_WEVariable));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_WEVariable));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_WEVariable;
	kc_x->u.WEVariable.ID_1 = ID_1;
	kc_x = kc_initialize_withexpression(kc_x);
	return kc_x;
}

withexpression WECexpression
#ifdef KC_USE_PROTOTYPES
(Cexpression Cexpression_1)
#else
(Cexpression_1) Cexpression Cexpression_1; 
#endif
{	register withexpression kc_x = (withexpression) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_withexpression));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_WECexpression));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_WECexpression));
	/*SUPPRESS 622*/
	assert_Cexpression( Cexpression_1, "Cexpression_1" );
	kc_x->prod_sel = sel_WECexpression;
	kc_x->u.WECexpression.Cexpression_1 = Cexpression_1;
	kc_x = kc_initialize_withexpression(kc_x);
	return kc_x;
}

withcases Nilwithcases
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	register withcases kc_x = (withcases) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_withcases));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilwithcases));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilwithcases));
	kc_x->prod_sel = sel_Nilwithcases;
	return kc_x;
}

withcases Conswithcases
#ifdef KC_USE_PROTOTYPES
(withcase withcase_1, withcases withcases_1)
#else
(withcase_1, withcases_1) withcase withcase_1;  withcases withcases_1; 
#endif
{	register withcases kc_x = (withcases) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_withcases));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Conswithcases));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Conswithcases));
	/*SUPPRESS 622*/
	assert_withcase( withcase_1, "withcase_1" );
	/*SUPPRESS 622*/
	assert_withcases( withcases_1, "withcases_1" );
	kc_x->prod_sel = sel_Conswithcases;
	kc_x->u.Conswithcases.withcase_1 = withcase_1;
	kc_x->u.Conswithcases.withcases_1 = withcases_1;
	return kc_x;
}

withcase Withcase
#ifdef KC_USE_PROTOTYPES
(patternchains patternchains_1, Ctext Ctext_1)
#else
(patternchains_1, Ctext_1) patternchains patternchains_1;  Ctext Ctext_1; 
#endif
{	register withcase kc_x = (withcase) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_withcase));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Withcase));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Withcase));
	/*SUPPRESS 622*/
	assert_patternchains( patternchains_1, "patternchains_1" );
	/*SUPPRESS 622*/
	assert_Ctext( Ctext_1, "Ctext_1" );
	kc_x->prod_sel = sel_Withcase;
	kc_x->u.Withcase.patternchains_1 = patternchains_1;
	kc_x->u.Withcase.Ctext_1 = Ctext_1;
	return kc_x;
}

unparsedeclarations Nilunparsedeclarations
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static unparsedeclarations kc_x = (unparsedeclarations)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilunparsedeclarations));
	if (kc_x == (unparsedeclarations)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilunparsedeclarations ));
		kc_x = (unparsedeclarations)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_unparsedeclarations), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilunparsedeclarations;
	}
	return kc_x;
}

unparsedeclarations Consunparsedeclarations
#ifdef KC_USE_PROTOTYPES
(unparsedeclaration unparsedeclaration_1, unparsedeclarations unparsedeclarations_1)
#else
(unparsedeclaration_1, unparsedeclarations_1) unparsedeclaration unparsedeclaration_1;  unparsedeclarations unparsedeclarations_1; 
#endif
{	register unparsedeclarations kc_x = (unparsedeclarations) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_unparsedeclarations));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consunparsedeclarations));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consunparsedeclarations));
	/*SUPPRESS 622*/
	assert_unparsedeclaration( unparsedeclaration_1, "unparsedeclaration_1" );
	/*SUPPRESS 622*/
	assert_unparsedeclarations( unparsedeclarations_1, "unparsedeclarations_1" );
	kc_x->prod_sel = sel_Consunparsedeclarations;
	kc_x->u.Consunparsedeclarations.unparsedeclaration_1 = unparsedeclaration_1;
	kc_x->u.Consunparsedeclarations.unparsedeclarations_1 = unparsedeclarations_1;
	return kc_x;
}

unparsedeclaration UnparseDeclaration
#ifdef KC_USE_PROTOTYPES
(outmostpatterns outmostpatterns_1, unparseclauses unparseclauses_1)
#else
(outmostpatterns_1, unparseclauses_1) outmostpatterns outmostpatterns_1;  unparseclauses unparseclauses_1; 
#endif
{	register unparsedeclaration kc_x = (unparsedeclaration) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_unparsedeclaration));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_UnparseDeclaration));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_UnparseDeclaration));
	/*SUPPRESS 622*/
	assert_outmostpatterns( outmostpatterns_1, "outmostpatterns_1" );
	/*SUPPRESS 622*/
	assert_unparseclauses( unparseclauses_1, "unparseclauses_1" );
	kc_x->prod_sel = sel_UnparseDeclaration;
	kc_x->u.UnparseDeclaration.outmostpatterns_1 = outmostpatterns_1;
	kc_x->u.UnparseDeclaration.unparseclauses_1 = unparseclauses_1;
	return kc_x;
}

unparseclauses Nilunparseclauses
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static unparseclauses kc_x = (unparseclauses)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilunparseclauses));
	if (kc_x == (unparseclauses)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilunparseclauses ));
		kc_x = (unparseclauses)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_unparseclauses), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilunparseclauses;
	}
	return kc_x;
}

unparseclauses Consunparseclauses
#ifdef KC_USE_PROTOTYPES
(unparseclause unparseclause_1, unparseclauses unparseclauses_1)
#else
(unparseclause_1, unparseclauses_1) unparseclause unparseclause_1;  unparseclauses unparseclauses_1; 
#endif
{	register unparseclauses kc_x = (unparseclauses) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_unparseclauses));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consunparseclauses));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consunparseclauses));
	/*SUPPRESS 622*/
	assert_unparseclause( unparseclause_1, "unparseclause_1" );
	/*SUPPRESS 622*/
	assert_unparseclauses( unparseclauses_1, "unparseclauses_1" );
	kc_x->prod_sel = sel_Consunparseclauses;
	kc_x->u.Consunparseclauses.unparseclause_1 = unparseclause_1;
	kc_x->u.Consunparseclauses.unparseclauses_1 = unparseclauses_1;
	return kc_x;
}

unparseclause UnparseClause
#ifdef KC_USE_PROTOTYPES
(viewnames viewnames_1, unparseitems unparseitems_1)
#else
(viewnames_1, unparseitems_1) viewnames viewnames_1;  unparseitems unparseitems_1; 
#endif
{	register unparseclause kc_x = (unparseclause) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_unparseclause));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_UnparseClause));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_UnparseClause));
	/*SUPPRESS 622*/
	assert_viewnames( viewnames_1, "viewnames_1" );
	/*SUPPRESS 622*/
	assert_unparseitems( unparseitems_1, "unparseitems_1" );
	kc_x->prod_sel = sel_UnparseClause;
	kc_x->u.UnparseClause.viewnames_1 = viewnames_1;
	kc_x->u.UnparseClause.unparseitems_1 = unparseitems_1;
	return kc_x;
}

viewnames Nilviewnames
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static viewnames kc_x = (viewnames)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilviewnames));
	if (kc_x == (viewnames)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilviewnames ));
		kc_x = (viewnames)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_viewnames), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilviewnames;
	}
	return kc_x;
}

viewnames Consviewnames
#ifdef KC_USE_PROTOTYPES
(ID ID_1, viewnames viewnames_1)
#else
(ID_1, viewnames_1) ID ID_1;  viewnames viewnames_1; 
#endif
{	register viewnames kc_x = (viewnames) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_viewnames));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consviewnames));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consviewnames));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_viewnames( viewnames_1, "viewnames_1" );
	kc_x->prod_sel = sel_Consviewnames;
	kc_x->u.Consviewnames.ID_1 = ID_1;
	kc_x->u.Consviewnames.viewnames_1 = viewnames_1;
	return kc_x;
}

unparseitems Nilunparseitems
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static unparseitems kc_x = (unparseitems)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilunparseitems));
	if (kc_x == (unparseitems)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilunparseitems ));
		kc_x = (unparseitems)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_unparseitems), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilunparseitems;
	}
	return kc_x;
}

unparseitems Consunparseitems
#ifdef KC_USE_PROTOTYPES
(unparseitem unparseitem_1, unparseitems unparseitems_1)
#else
(unparseitem_1, unparseitems_1) unparseitem unparseitem_1;  unparseitems unparseitems_1; 
#endif
{	register unparseitems kc_x = (unparseitems) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_unparseitems));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consunparseitems));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consunparseitems));
	/*SUPPRESS 622*/
	assert_unparseitem( unparseitem_1, "unparseitem_1" );
	/*SUPPRESS 622*/
	assert_unparseitems( unparseitems_1, "unparseitems_1" );
	kc_x->prod_sel = sel_Consunparseitems;
	kc_x->u.Consunparseitems.unparseitem_1 = unparseitem_1;
	kc_x->u.Consunparseitems.unparseitems_1 = unparseitems_1;
	return kc_x;
}

unparseitem UnpStr
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ CexpressionDQ_1, viewnameoption viewnameoption_1)
#else
(CexpressionDQ_1, viewnameoption_1) CexpressionDQ CexpressionDQ_1;  viewnameoption viewnameoption_1; 
#endif
{	register unparseitem kc_x = (unparseitem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_unparseitem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_UnpStr));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_UnpStr));
	/*SUPPRESS 622*/
	assert_CexpressionDQ( CexpressionDQ_1, "CexpressionDQ_1" );
	/*SUPPRESS 622*/
	assert_viewnameoption( viewnameoption_1, "viewnameoption_1" );
	kc_x->prod_sel = sel_UnpStr;
	kc_x->u.UnpStr.CexpressionDQ_1 = CexpressionDQ_1;
	kc_x->u.UnpStr.viewnameoption_1 = viewnameoption_1;
	return kc_x;
}

unparseitem UnpSubexpr
#ifdef KC_USE_PROTOTYPES
(unpsubterm unpsubterm_1, viewnameoption viewnameoption_1)
#else
(unpsubterm_1, viewnameoption_1) unpsubterm unpsubterm_1;  viewnameoption viewnameoption_1; 
#endif
{	register unparseitem kc_x = (unparseitem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_unparseitem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_UnpSubexpr));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_UnpSubexpr));
	/*SUPPRESS 622*/
	assert_unpsubterm( unpsubterm_1, "unpsubterm_1" );
	/*SUPPRESS 622*/
	assert_viewnameoption( viewnameoption_1, "viewnameoption_1" );
	kc_x->prod_sel = sel_UnpSubexpr;
	kc_x->u.UnpSubexpr.unpsubterm_1 = unpsubterm_1;
	kc_x->u.UnpSubexpr.viewnameoption_1 = viewnameoption_1;
	return kc_x;
}

unparseitem UnpCtext
#ifdef KC_USE_PROTOTYPES
(Ctext Ctext_1)
#else
(Ctext_1) Ctext Ctext_1; 
#endif
{	register unparseitem kc_x = (unparseitem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_unparseitem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_UnpCtext));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_UnpCtext));
	/*SUPPRESS 622*/
	assert_Ctext( Ctext_1, "Ctext_1" );
	kc_x->prod_sel = sel_UnpCtext;
	kc_x->u.UnpCtext.Ctext_1 = Ctext_1;
	return kc_x;
}

unparseitem UnpBody
#ifdef KC_USE_PROTOTYPES
(unparseitems unparseitems_1)
#else
(unparseitems_1) unparseitems unparseitems_1; 
#endif
{	register unparseitem kc_x = (unparseitem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_unparseitem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_UnpBody));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_UnpBody));
	/*SUPPRESS 622*/
	assert_unparseitems( unparseitems_1, "unparseitems_1" );
	kc_x->prod_sel = sel_UnpBody;
	kc_x->u.UnpBody.unparseitems_1 = unparseitems_1;
	return kc_x;
}

unpsubterm UnpSubTerm
#ifdef KC_USE_PROTOTYPES
(ID ID_1)
#else
(ID_1) ID ID_1; 
#endif
{	register unpsubterm kc_x = (unpsubterm) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_unpsubterm));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_UnpSubTerm));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_UnpSubTerm));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_UnpSubTerm;
	kc_x->u.UnpSubTerm.ID_1 = ID_1;
	return kc_x;
}

unpsubterm UnpDollarvarTerm
#ifdef KC_USE_PROTOTYPES
(INT INT_1)
#else
(INT_1) INT INT_1; 
#endif
{	register unpsubterm kc_x = (unpsubterm) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_unpsubterm));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_UnpDollarvarTerm));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_UnpDollarvarTerm));
	/*SUPPRESS 622*/
	assert_INT( INT_1, "INT_1" );
	kc_x->prod_sel = sel_UnpDollarvarTerm;
	kc_x->u.UnpDollarvarTerm.INT_1 = INT_1;
	return kc_x;
}

unpsubterm UnpSubAttr
#ifdef KC_USE_PROTOTYPES
(ID ID_1, unpattributes unpattributes_1)
#else
(ID_1, unpattributes_1) ID ID_1;  unpattributes unpattributes_1; 
#endif
{	register unpsubterm kc_x = (unpsubterm) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_unpsubterm));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_UnpSubAttr));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_UnpSubAttr));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_unpattributes( unpattributes_1, "unpattributes_1" );
	kc_x->prod_sel = sel_UnpSubAttr;
	kc_x->u.UnpSubAttr.ID_1 = ID_1;
	kc_x->u.UnpSubAttr.unpattributes_1 = unpattributes_1;
	return kc_x;
}

unpsubterm UnpDollarvarAttr
#ifdef KC_USE_PROTOTYPES
(INT INT_1, unpattributes unpattributes_1)
#else
(INT_1, unpattributes_1) INT INT_1;  unpattributes unpattributes_1; 
#endif
{	register unpsubterm kc_x = (unpsubterm) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_unpsubterm));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_UnpDollarvarAttr));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_UnpDollarvarAttr));
	/*SUPPRESS 622*/
	assert_INT( INT_1, "INT_1" );
	/*SUPPRESS 622*/
	assert_unpattributes( unpattributes_1, "unpattributes_1" );
	kc_x->prod_sel = sel_UnpDollarvarAttr;
	kc_x->u.UnpDollarvarAttr.INT_1 = INT_1;
	kc_x->u.UnpDollarvarAttr.unpattributes_1 = unpattributes_1;
	return kc_x;
}

unpsubterm UnpCastedVariable
#ifdef KC_USE_PROTOTYPES
(ID ID_1, ID ID_2)
#else
(ID_1, ID_2) ID ID_1;  ID ID_2; 
#endif
{	register unpsubterm kc_x = (unpsubterm) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_unpsubterm));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_UnpCastedVariable));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_UnpCastedVariable));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_ID( ID_2, "ID_2" );
	kc_x->prod_sel = sel_UnpCastedVariable;
	kc_x->u.UnpCastedVariable.ID_1 = ID_1;
	kc_x->u.UnpCastedVariable.ID_2 = ID_2;
	return kc_x;
}

unpattributes Nilunpattributes
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static unpattributes kc_x = (unpattributes)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilunpattributes));
	if (kc_x == (unpattributes)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilunpattributes ));
		kc_x = (unpattributes)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_unpattributes), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilunpattributes;
	}
	return kc_x;
}

unpattributes Consunpattributes
#ifdef KC_USE_PROTOTYPES
(ID ID_1, unpattributes unpattributes_1)
#else
(ID_1, unpattributes_1) ID ID_1;  unpattributes unpattributes_1; 
#endif
{	register unpattributes kc_x = (unpattributes) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_unpattributes));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consunpattributes));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consunpattributes));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_unpattributes( unpattributes_1, "unpattributes_1" );
	kc_x->prod_sel = sel_Consunpattributes;
	kc_x->u.Consunpattributes.ID_1 = ID_1;
	kc_x->u.Consunpattributes.unpattributes_1 = unpattributes_1;
	return kc_x;
}

viewnameoption NoViewname
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static viewnameoption kc_x = (viewnameoption)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_NoViewname));
	if (kc_x == (viewnameoption)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_NoViewname ));
		kc_x = (viewnameoption)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_viewnameoption), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_NoViewname;
	}
	return kc_x;
}

viewnameoption YesViewname
#ifdef KC_USE_PROTOTYPES
(ID ID_1)
#else
(ID_1) ID ID_1; 
#endif
{	register viewnameoption kc_x = (viewnameoption) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_viewnameoption));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_YesViewname));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_YesViewname));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_YesViewname;
	kc_x->u.YesViewname.ID_1 = ID_1;
	return kc_x;
}

filelinestack Nilfilelinestack
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static filelinestack kc_x = (filelinestack)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilfilelinestack));
	if (kc_x == (filelinestack)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilfilelinestack ));
		kc_x = (filelinestack)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_filelinestack), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilfilelinestack;
	}
	return kc_x;
}

filelinestack Consfilelinestack
#ifdef KC_USE_PROTOTYPES
(fileline fileline_1, filelinestack filelinestack_1)
#else
(fileline_1, filelinestack_1) fileline fileline_1;  filelinestack filelinestack_1; 
#endif
{	register filelinestack kc_x = (filelinestack) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_filelinestack));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consfilelinestack));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consfilelinestack));
	/*SUPPRESS 622*/
	assert_fileline( fileline_1, "fileline_1" );
	/*SUPPRESS 622*/
	assert_filelinestack( filelinestack_1, "filelinestack_1" );
	kc_x->prod_sel = sel_Consfilelinestack;
	kc_x->u.Consfilelinestack.fileline_1 = fileline_1;
	kc_x->u.Consfilelinestack.filelinestack_1 = filelinestack_1;
	return kc_x;
}

fileline FileLine
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1, int int_1)
#else
(casestring_1, int_1) casestring casestring_1;  int int_1; 
#endif
{	register fileline kc_x = (fileline) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_fileline));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_FileLine));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_FileLine));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	/*SUPPRESS 622*/
	assert_int( int_1, "int_1" );
	kc_x->prod_sel = sel_FileLine;
	kc_x->u.FileLine.casestring_1 = casestring_1;
	kc_x->u.FileLine.int_1 = int_1;
	return kc_x;
}

fileline NoFileLine
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static fileline kc_x = (fileline)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_NoFileLine));
	if (kc_x == (fileline)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_NoFileLine ));
		kc_x = (fileline)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_fileline), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_NoFileLine;
	}
	return kc_x;
}

fileline PosNoFileLine
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static fileline kc_x = (fileline)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PosNoFileLine));
	if (kc_x == (fileline)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PosNoFileLine ));
		kc_x = (fileline)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_fileline), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_PosNoFileLine;
	}
	return kc_x;
}

nooperatorsstack Nilnooperatorsstack
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static nooperatorsstack kc_x = (nooperatorsstack)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilnooperatorsstack));
	if (kc_x == (nooperatorsstack)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilnooperatorsstack ));
		kc_x = (nooperatorsstack)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_nooperatorsstack), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilnooperatorsstack;
	}
	return kc_x;
}

nooperatorsstack Consnooperatorsstack
#ifdef KC_USE_PROTOTYPES
(int int_1, nooperatorsstack nooperatorsstack_1)
#else
(int_1, nooperatorsstack_1) int int_1;  nooperatorsstack nooperatorsstack_1; 
#endif
{	register nooperatorsstack kc_x = (nooperatorsstack) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_nooperatorsstack));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consnooperatorsstack));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consnooperatorsstack));
	/*SUPPRESS 622*/
	assert_int( int_1, "int_1" );
	/*SUPPRESS 622*/
	assert_nooperatorsstack( nooperatorsstack_1, "nooperatorsstack_1" );
	kc_x->prod_sel = sel_Consnooperatorsstack;
	kc_x->u.Consnooperatorsstack.int_1 = int_1;
	kc_x->u.Consnooperatorsstack.nooperatorsstack_1 = nooperatorsstack_1;
	return kc_x;
}

scopetypefilelinestack Nilscopetypefilelinestack
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static scopetypefilelinestack kc_x = (scopetypefilelinestack)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilscopetypefilelinestack));
	if (kc_x == (scopetypefilelinestack)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilscopetypefilelinestack ));
		kc_x = (scopetypefilelinestack)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_scopetypefilelinestack), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilscopetypefilelinestack;
	}
	return kc_x;
}

scopetypefilelinestack Consscopetypefilelinestack
#ifdef KC_USE_PROTOTYPES
(scopetypefileline scopetypefileline_1, scopetypefilelinestack scopetypefilelinestack_1)
#else
(scopetypefileline_1, scopetypefilelinestack_1) scopetypefileline scopetypefileline_1;  scopetypefilelinestack scopetypefilelinestack_1; 
#endif
{	register scopetypefilelinestack kc_x = (scopetypefilelinestack) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_scopetypefilelinestack));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consscopetypefilelinestack));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consscopetypefilelinestack));
	/*SUPPRESS 622*/
	assert_scopetypefileline( scopetypefileline_1, "scopetypefileline_1" );
	/*SUPPRESS 622*/
	assert_scopetypefilelinestack( scopetypefilelinestack_1, "scopetypefilelinestack_1" );
	kc_x->prod_sel = sel_Consscopetypefilelinestack;
	kc_x->u.Consscopetypefilelinestack.scopetypefileline_1 = scopetypefileline_1;
	kc_x->u.Consscopetypefilelinestack.scopetypefilelinestack_1 = scopetypefilelinestack_1;
	return kc_x;
}

scopetypefileline ScopeTypeFileLine
#ifdef KC_USE_PROTOTYPES
(int int_1, IDtype IDtype_1, casestring casestring_1, int int_2)
#else
(int_1, IDtype_1, casestring_1, int_2) int int_1;  IDtype IDtype_1;  casestring casestring_1;  int int_2; 
#endif
{	register scopetypefileline kc_x = (scopetypefileline) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_scopetypefileline));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ScopeTypeFileLine));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ScopeTypeFileLine));
	/*SUPPRESS 622*/
	assert_int( int_1, "int_1" );
	/*SUPPRESS 622*/
	assert_IDtype( IDtype_1, "IDtype_1" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	/*SUPPRESS 622*/
	assert_int( int_2, "int_2" );
	kc_x->prod_sel = sel_ScopeTypeFileLine;
	kc_x->u.ScopeTypeFileLine.int_1 = int_1;
	kc_x->u.ScopeTypeFileLine.IDtype_1 = IDtype_1;
	kc_x->u.ScopeTypeFileLine.casestring_1 = casestring_1;
	kc_x->u.ScopeTypeFileLine.int_2 = int_2;
	return kc_x;
}

IDtype ITUnknown
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static IDtype kc_x = (IDtype)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ITUnknown));
	if (kc_x == (IDtype)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ITUnknown ));
		kc_x = (IDtype)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_IDtype), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_ITUnknown;
	}
	kc_x = kc_initialize_IDtype(kc_x);
	return kc_x;
}

IDtype ITPredefinedPhylum
#ifdef KC_USE_PROTOTYPES
(phylumdeclaration phylumdeclaration_1)
#else
(phylumdeclaration_1) phylumdeclaration phylumdeclaration_1; 
#endif
{	register IDtype kc_x = (IDtype) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_IDtype));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ITPredefinedPhylum));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ITPredefinedPhylum));
	/*SUPPRESS 622*/
	assert_phylumdeclaration( phylumdeclaration_1, "phylumdeclaration_1" );
	kc_x->prod_sel = sel_ITPredefinedPhylum;
	kc_x->u.ITPredefinedPhylum.phylumdeclaration_1 = phylumdeclaration_1;
	kc_x = kc_initialize_IDtype(kc_x);
	return kc_x;
}

IDtype ITPredefinedBigatomPhylum
#ifdef KC_USE_PROTOTYPES
(phylumdeclaration phylumdeclaration_1)
#else
(phylumdeclaration_1) phylumdeclaration phylumdeclaration_1; 
#endif
{	register IDtype kc_x = (IDtype) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_IDtype));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ITPredefinedBigatomPhylum));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ITPredefinedBigatomPhylum));
	/*SUPPRESS 622*/
	assert_phylumdeclaration( phylumdeclaration_1, "phylumdeclaration_1" );
	kc_x->prod_sel = sel_ITPredefinedBigatomPhylum;
	kc_x->u.ITPredefinedBigatomPhylum.phylumdeclaration_1 = phylumdeclaration_1;
	kc_x = kc_initialize_IDtype(kc_x);
	return kc_x;
}

IDtype ITUserPhylum
#ifdef KC_USE_PROTOTYPES
(phylumdeclaration phylumdeclaration_1)
#else
(phylumdeclaration_1) phylumdeclaration phylumdeclaration_1; 
#endif
{	register IDtype kc_x = (IDtype) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_IDtype));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ITUserPhylum));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ITUserPhylum));
	/*SUPPRESS 622*/
	assert_phylumdeclaration( phylumdeclaration_1, "phylumdeclaration_1" );
	kc_x->prod_sel = sel_ITUserPhylum;
	kc_x->u.ITUserPhylum.phylumdeclaration_1 = phylumdeclaration_1;
	kc_x = kc_initialize_IDtype(kc_x);
	return kc_x;
}

IDtype ITPredefinedOperator
#ifdef KC_USE_PROTOTYPES
(alternative alternative_1, ID ID_1)
#else
(alternative_1, ID_1) alternative alternative_1;  ID ID_1; 
#endif
{	register IDtype kc_x = (IDtype) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_IDtype));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ITPredefinedOperator));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ITPredefinedOperator));
	/*SUPPRESS 622*/
	assert_alternative( alternative_1, "alternative_1" );
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_ITPredefinedOperator;
	kc_x->u.ITPredefinedOperator.alternative_1 = alternative_1;
	kc_x->u.ITPredefinedOperator.ID_1 = ID_1;
	kc_x = kc_initialize_IDtype(kc_x);
	return kc_x;
}

IDtype ITUserOperator
#ifdef KC_USE_PROTOTYPES
(alternative alternative_1, ID ID_1)
#else
(alternative_1, ID_1) alternative alternative_1;  ID ID_1; 
#endif
{	register IDtype kc_x = (IDtype) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_IDtype));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ITUserOperator));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ITUserOperator));
	/*SUPPRESS 622*/
	assert_alternative( alternative_1, "alternative_1" );
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_ITUserOperator;
	kc_x->u.ITUserOperator.alternative_1 = alternative_1;
	kc_x->u.ITUserOperator.ID_1 = ID_1;
	kc_x = kc_initialize_IDtype(kc_x);
	return kc_x;
}

IDtype ITPredefinedStorageClass
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static IDtype kc_x = (IDtype)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ITPredefinedStorageClass));
	if (kc_x == (IDtype)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ITPredefinedStorageClass ));
		kc_x = (IDtype)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_IDtype), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_ITPredefinedStorageClass;
	}
	kc_x = kc_initialize_IDtype(kc_x);
	return kc_x;
}

IDtype ITStorageClass
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static IDtype kc_x = (IDtype)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ITStorageClass));
	if (kc_x == (IDtype)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ITStorageClass ));
		kc_x = (IDtype)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_IDtype), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_ITStorageClass;
	}
	kc_x = kc_initialize_IDtype(kc_x);
	return kc_x;
}

IDtype ITPredefinedUView
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static IDtype kc_x = (IDtype)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ITPredefinedUView));
	if (kc_x == (IDtype)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ITPredefinedUView ));
		kc_x = (IDtype)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_IDtype), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_ITPredefinedUView;
	}
	kc_x = kc_initialize_IDtype(kc_x);
	return kc_x;
}

IDtype ITUserUView
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static IDtype kc_x = (IDtype)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ITUserUView));
	if (kc_x == (IDtype)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ITUserUView ));
		kc_x = (IDtype)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_IDtype), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_ITUserUView;
	}
	kc_x = kc_initialize_IDtype(kc_x);
	return kc_x;
}

IDtype ITPredefinedRView
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static IDtype kc_x = (IDtype)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ITPredefinedRView));
	if (kc_x == (IDtype)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ITPredefinedRView ));
		kc_x = (IDtype)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_IDtype), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_ITPredefinedRView;
	}
	kc_x = kc_initialize_IDtype(kc_x);
	return kc_x;
}

IDtype ITUserRView
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static IDtype kc_x = (IDtype)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ITUserRView));
	if (kc_x == (IDtype)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ITUserRView ));
		kc_x = (IDtype)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_IDtype), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_ITUserRView;
	}
	kc_x = kc_initialize_IDtype(kc_x);
	return kc_x;
}

IDtype ITUserFunction
#ifdef KC_USE_PROTOTYPES
(fnclass fnclass_1)
#else
(fnclass_1) fnclass fnclass_1; 
#endif
{	register IDtype kc_x = (IDtype) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_IDtype));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ITUserFunction));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ITUserFunction));
	/*SUPPRESS 622*/
	assert_fnclass( fnclass_1, "fnclass_1" );
	kc_x->prod_sel = sel_ITUserFunction;
	kc_x->u.ITUserFunction.fnclass_1 = fnclass_1;
	kc_x = kc_initialize_IDtype(kc_x);
	return kc_x;
}

IDtype ITPatternVariable
#ifdef KC_USE_PROTOTYPES
(ID ID_1, int int_1)
#else
(ID_1, int_1) ID ID_1;  int int_1; 
#endif
{	register IDtype kc_x = (IDtype) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_IDtype));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ITPatternVariable));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ITPatternVariable));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_int( int_1, "int_1" );
	kc_x->prod_sel = sel_ITPatternVariable;
	kc_x->u.ITPatternVariable.ID_1 = ID_1;
	kc_x->u.ITPatternVariable.int_1 = int_1;
	kc_x = kc_initialize_IDtype(kc_x);
	return kc_x;
}

operatorsstack Niloperatorsstack
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static operatorsstack kc_x = (operatorsstack)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Niloperatorsstack));
	if (kc_x == (operatorsstack)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Niloperatorsstack ));
		kc_x = (operatorsstack)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_operatorsstack), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Niloperatorsstack;
	}
	return kc_x;
}

operatorsstack Consoperatorsstack
#ifdef KC_USE_PROTOTYPES
(operators operators_1, operatorsstack operatorsstack_1)
#else
(operators_1, operatorsstack_1) operators operators_1;  operatorsstack operatorsstack_1; 
#endif
{	register operatorsstack kc_x = (operatorsstack) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_operatorsstack));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consoperatorsstack));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consoperatorsstack));
	/*SUPPRESS 622*/
	assert_operators( operators_1, "operators_1" );
	/*SUPPRESS 622*/
	assert_operatorsstack( operatorsstack_1, "operatorsstack_1" );
	kc_x->prod_sel = sel_Consoperatorsstack;
	kc_x->u.Consoperatorsstack.operators_1 = operators_1;
	kc_x->u.Consoperatorsstack.operatorsstack_1 = operatorsstack_1;
	return kc_x;
}

operators Niloperators
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static operators kc_x = (operators)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Niloperators));
	if (kc_x == (operators)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Niloperators ));
		kc_x = (operators)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_operators), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Niloperators;
	}
	return kc_x;
}

operators Consoperators
#ifdef KC_USE_PROTOTYPES
(ID ID_1, operators operators_1)
#else
(ID_1, operators_1) ID ID_1;  operators operators_1; 
#endif
{	register operators kc_x = (operators) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_operators));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consoperators));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consoperators));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_operators( operators_1, "operators_1" );
	kc_x->prod_sel = sel_Consoperators;
	kc_x->u.Consoperators.ID_1 = ID_1;
	kc_x->u.Consoperators.operators_1 = operators_1;
	return kc_x;
}

phyla Nilphyla
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static phyla kc_x = (phyla)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilphyla));
	if (kc_x == (phyla)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilphyla ));
		kc_x = (phyla)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_phyla), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilphyla;
	}
	return kc_x;
}

phyla Consphyla
#ifdef KC_USE_PROTOTYPES
(ID ID_1, phyla phyla_1)
#else
(ID_1, phyla_1) ID ID_1;  phyla phyla_1; 
#endif
{	register phyla kc_x = (phyla) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_phyla));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consphyla));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consphyla));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_phyla( phyla_1, "phyla_1" );
	kc_x->prod_sel = sel_Consphyla;
	kc_x->u.Consphyla.ID_1 = ID_1;
	kc_x->u.Consphyla.phyla_1 = phyla_1;
	return kc_x;
}

variables Nilvariables
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static variables kc_x = (variables)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilvariables));
	if (kc_x == (variables)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilvariables ));
		kc_x = (variables)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_variables), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilvariables;
	}
	return kc_x;
}

variables Consvariables
#ifdef KC_USE_PROTOTYPES
(ID ID_1, variables variables_1)
#else
(ID_1, variables_1) ID ID_1;  variables variables_1; 
#endif
{	register variables kc_x = (variables) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_variables));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consvariables));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consvariables));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_variables( variables_1, "variables_1" );
	kc_x->prod_sel = sel_Consvariables;
	kc_x->u.Consvariables.ID_1 = ID_1;
	kc_x->u.Consvariables.variables_1 = variables_1;
	return kc_x;
}

argumentsstack Nilargumentsstack
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static argumentsstack kc_x = (argumentsstack)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilargumentsstack));
	if (kc_x == (argumentsstack)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilargumentsstack ));
		kc_x = (argumentsstack)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_argumentsstack), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilargumentsstack;
	}
	return kc_x;
}

argumentsstack Consargumentsstack
#ifdef KC_USE_PROTOTYPES
(arguments arguments_1, argumentsstack argumentsstack_1)
#else
(arguments_1, argumentsstack_1) arguments arguments_1;  argumentsstack argumentsstack_1; 
#endif
{	register argumentsstack kc_x = (argumentsstack) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_argumentsstack));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consargumentsstack));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consargumentsstack));
	/*SUPPRESS 622*/
	assert_arguments( arguments_1, "arguments_1" );
	/*SUPPRESS 622*/
	assert_argumentsstack( argumentsstack_1, "argumentsstack_1" );
	kc_x->prod_sel = sel_Consargumentsstack;
	kc_x->u.Consargumentsstack.arguments_1 = arguments_1;
	kc_x->u.Consargumentsstack.argumentsstack_1 = argumentsstack_1;
	return kc_x;
}

phylumstack Nilphylumstack
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static phylumstack kc_x = (phylumstack)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilphylumstack));
	if (kc_x == (phylumstack)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilphylumstack ));
		kc_x = (phylumstack)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_phylumstack), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilphylumstack;
	}
	return kc_x;
}

phylumstack Consphylumstack
#ifdef KC_USE_PROTOTYPES
(ID ID_1, phylumstack phylumstack_1)
#else
(ID_1, phylumstack_1) ID ID_1;  phylumstack phylumstack_1; 
#endif
{	register phylumstack kc_x = (phylumstack) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_phylumstack));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consphylumstack));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consphylumstack));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_phylumstack( phylumstack_1, "phylumstack_1" );
	kc_x->prod_sel = sel_Consphylumstack;
	kc_x->u.Consphylumstack.ID_1 = ID_1;
	kc_x->u.Consphylumstack.phylumstack_1 = phylumstack_1;
	return kc_x;
}

phylumnamesstack Nilphylumnamesstack
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static phylumnamesstack kc_x = (phylumnamesstack)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilphylumnamesstack));
	if (kc_x == (phylumnamesstack)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilphylumnamesstack ));
		kc_x = (phylumnamesstack)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_phylumnamesstack), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilphylumnamesstack;
	}
	return kc_x;
}

phylumnamesstack Consphylumnamesstack
#ifdef KC_USE_PROTOTYPES
(phylumnames phylumnames_1, phylumnamesstack phylumnamesstack_1)
#else
(phylumnames_1, phylumnamesstack_1) phylumnames phylumnames_1;  phylumnamesstack phylumnamesstack_1; 
#endif
{	register phylumnamesstack kc_x = (phylumnamesstack) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_phylumnamesstack));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consphylumnamesstack));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consphylumnamesstack));
	/*SUPPRESS 622*/
	assert_phylumnames( phylumnames_1, "phylumnames_1" );
	/*SUPPRESS 622*/
	assert_phylumnamesstack( phylumnamesstack_1, "phylumnamesstack_1" );
	kc_x->prod_sel = sel_Consphylumnamesstack;
	kc_x->u.Consphylumnamesstack.phylumnames_1 = phylumnames_1;
	kc_x->u.Consphylumnamesstack.phylumnamesstack_1 = phylumnamesstack_1;
	return kc_x;
}

withexpressionsstack Nilwithexpressionsstack
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static withexpressionsstack kc_x = (withexpressionsstack)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilwithexpressionsstack));
	if (kc_x == (withexpressionsstack)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilwithexpressionsstack ));
		kc_x = (withexpressionsstack)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_withexpressionsstack), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilwithexpressionsstack;
	}
	return kc_x;
}

withexpressionsstack Conswithexpressionsstack
#ifdef KC_USE_PROTOTYPES
(withexpressions withexpressions_1, withexpressionsstack withexpressionsstack_1)
#else
(withexpressions_1, withexpressionsstack_1) withexpressions withexpressions_1;  withexpressionsstack withexpressionsstack_1; 
#endif
{	register withexpressionsstack kc_x = (withexpressionsstack) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_withexpressionsstack));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Conswithexpressionsstack));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Conswithexpressionsstack));
	/*SUPPRESS 622*/
	assert_withexpressions( withexpressions_1, "withexpressions_1" );
	/*SUPPRESS 622*/
	assert_withexpressionsstack( withexpressionsstack_1, "withexpressionsstack_1" );
	kc_x->prod_sel = sel_Conswithexpressionsstack;
	kc_x->u.Conswithexpressionsstack.withexpressions_1 = withexpressions_1;
	kc_x->u.Conswithexpressionsstack.withexpressionsstack_1 = withexpressionsstack_1;
	return kc_x;
}

operatorstack Niloperatorstack
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static operatorstack kc_x = (operatorstack)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Niloperatorstack));
	if (kc_x == (operatorstack)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Niloperatorstack ));
		kc_x = (operatorstack)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_operatorstack), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Niloperatorstack;
	}
	return kc_x;
}

operatorstack Consoperatorstack
#ifdef KC_USE_PROTOTYPES
(ID ID_1, operatorstack operatorstack_1)
#else
(ID_1, operatorstack_1) ID ID_1;  operatorstack operatorstack_1; 
#endif
{	register operatorstack kc_x = (operatorstack) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_operatorstack));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consoperatorstack));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consoperatorstack));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_operatorstack( operatorstack_1, "operatorstack_1" );
	kc_x->prod_sel = sel_Consoperatorstack;
	kc_x->u.Consoperatorstack.ID_1 = ID_1;
	kc_x->u.Consoperatorstack.operatorstack_1 = operatorstack_1;
	return kc_x;
}

variablesstack Nilvariablesstack
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static variablesstack kc_x = (variablesstack)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilvariablesstack));
	if (kc_x == (variablesstack)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilvariablesstack ));
		kc_x = (variablesstack)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_variablesstack), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilvariablesstack;
	}
	return kc_x;
}

variablesstack Consvariablesstack
#ifdef KC_USE_PROTOTYPES
(variables variables_1, variablesstack variablesstack_1)
#else
(variables_1, variablesstack_1) variables variables_1;  variablesstack variablesstack_1; 
#endif
{	register variablesstack kc_x = (variablesstack) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_variablesstack));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consvariablesstack));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consvariablesstack));
	/*SUPPRESS 622*/
	assert_variables( variables_1, "variables_1" );
	/*SUPPRESS 622*/
	assert_variablesstack( variablesstack_1, "variablesstack_1" );
	kc_x->prod_sel = sel_Consvariablesstack;
	kc_x->u.Consvariablesstack.variables_1 = variables_1;
	kc_x->u.Consvariablesstack.variablesstack_1 = variablesstack_1;
	return kc_x;
}

selvarstack Nilselvarstack
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static selvarstack kc_x = (selvarstack)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilselvarstack));
	if (kc_x == (selvarstack)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilselvarstack ));
		kc_x = (selvarstack)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_selvarstack), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilselvarstack;
	}
	return kc_x;
}

selvarstack Consselvarstack
#ifdef KC_USE_PROTOTYPES
(ID ID_1, selvarstack selvarstack_1)
#else
(ID_1, selvarstack_1) ID ID_1;  selvarstack selvarstack_1; 
#endif
{	register selvarstack kc_x = (selvarstack) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_selvarstack));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consselvarstack));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consselvarstack));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_selvarstack( selvarstack_1, "selvarstack_1" );
	kc_x->prod_sel = sel_Consselvarstack;
	kc_x->u.Consselvarstack.ID_1 = ID_1;
	kc_x->u.Consselvarstack.selvarstack_1 = selvarstack_1;
	return kc_x;
}

dollarvarstatus DVAllowed
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static dollarvarstatus kc_x = (dollarvarstatus)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_DVAllowed));
	if (kc_x == (dollarvarstatus)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_DVAllowed ));
		kc_x = (dollarvarstatus)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_dollarvarstatus), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_DVAllowed;
	}
	return kc_x;
}

dollarvarstatus DVDisallowed
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static dollarvarstatus kc_x = (dollarvarstatus)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_DVDisallowed));
	if (kc_x == (dollarvarstatus)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_DVDisallowed ));
		kc_x = (dollarvarstatus)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_dollarvarstatus), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_DVDisallowed;
	}
	return kc_x;
}

dollarvarsallowedstack Nildollarvarsallowedstack
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static dollarvarsallowedstack kc_x = (dollarvarsallowedstack)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nildollarvarsallowedstack));
	if (kc_x == (dollarvarsallowedstack)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nildollarvarsallowedstack ));
		kc_x = (dollarvarsallowedstack)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_dollarvarsallowedstack), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nildollarvarsallowedstack;
	}
	return kc_x;
}

dollarvarsallowedstack Consdollarvarsallowedstack
#ifdef KC_USE_PROTOTYPES
(dollarvarstatus dollarvarstatus_1, dollarvarsallowedstack dollarvarsallowedstack_1)
#else
(dollarvarstatus_1, dollarvarsallowedstack_1) dollarvarstatus dollarvarstatus_1;  dollarvarsallowedstack dollarvarsallowedstack_1; 
#endif
{	register dollarvarsallowedstack kc_x = (dollarvarsallowedstack) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_dollarvarsallowedstack));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consdollarvarsallowedstack));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consdollarvarsallowedstack));
	/*SUPPRESS 622*/
	assert_dollarvarstatus( dollarvarstatus_1, "dollarvarstatus_1" );
	/*SUPPRESS 622*/
	assert_dollarvarsallowedstack( dollarvarsallowedstack_1, "dollarvarsallowedstack_1" );
	kc_x->prod_sel = sel_Consdollarvarsallowedstack;
	kc_x->u.Consdollarvarsallowedstack.dollarvarstatus_1 = dollarvarstatus_1;
	kc_x->u.Consdollarvarsallowedstack.dollarvarsallowedstack_1 = dollarvarsallowedstack_1;
	return kc_x;
}

intstack Nilintstack
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static intstack kc_x = (intstack)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilintstack));
	if (kc_x == (intstack)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilintstack ));
		kc_x = (intstack)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_intstack), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilintstack;
	}
	return kc_x;
}

intstack Consintstack
#ifdef KC_USE_PROTOTYPES
(int int_1, intstack intstack_1)
#else
(int_1, intstack_1) int int_1;  intstack intstack_1; 
#endif
{	register intstack kc_x = (intstack) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_intstack));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consintstack));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consintstack));
	/*SUPPRESS 622*/
	assert_int( int_1, "int_1" );
	/*SUPPRESS 622*/
	assert_intstack( intstack_1, "intstack_1" );
	kc_x->prod_sel = sel_Consintstack;
	kc_x->u.Consintstack.int_1 = int_1;
	kc_x->u.Consintstack.intstack_1 = intstack_1;
	return kc_x;
}

idCexpressionsstack NilidCexpressionsstack
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static idCexpressionsstack kc_x = (idCexpressionsstack)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_NilidCexpressionsstack));
	if (kc_x == (idCexpressionsstack)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_NilidCexpressionsstack ));
		kc_x = (idCexpressionsstack)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_idCexpressionsstack), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_NilidCexpressionsstack;
	}
	return kc_x;
}

idCexpressionsstack ConsidCexpressionsstack
#ifdef KC_USE_PROTOTYPES
(idCexpressions idCexpressions_1, idCexpressionsstack idCexpressionsstack_1)
#else
(idCexpressions_1, idCexpressionsstack_1) idCexpressions idCexpressions_1;  idCexpressionsstack idCexpressionsstack_1; 
#endif
{	register idCexpressionsstack kc_x = (idCexpressionsstack) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_idCexpressionsstack));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_ConsidCexpressionsstack));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_ConsidCexpressionsstack));
	/*SUPPRESS 622*/
	assert_idCexpressions( idCexpressions_1, "idCexpressions_1" );
	/*SUPPRESS 622*/
	assert_idCexpressionsstack( idCexpressionsstack_1, "idCexpressionsstack_1" );
	kc_x->prod_sel = sel_ConsidCexpressionsstack;
	kc_x->u.ConsidCexpressionsstack.idCexpressions_1 = idCexpressions_1;
	kc_x->u.ConsidCexpressionsstack.idCexpressionsstack_1 = idCexpressionsstack_1;
	return kc_x;
}

two_phyla TwoStorageoption
#ifdef KC_USE_PROTOTYPES
(storageoption storageoption_1, storageoption storageoption_2)
#else
(storageoption_1, storageoption_2) storageoption storageoption_1;  storageoption storageoption_2; 
#endif
{	register two_phyla kc_x = (two_phyla) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_two_phyla));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_TwoStorageoption));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_TwoStorageoption));
	/*SUPPRESS 622*/
	assert_storageoption( storageoption_1, "storageoption_1" );
	/*SUPPRESS 622*/
	assert_storageoption( storageoption_2, "storageoption_2" );
	kc_x->prod_sel = sel_TwoStorageoption;
	kc_x->u.TwoStorageoption.storageoption_1 = storageoption_1;
	kc_x->u.TwoStorageoption.storageoption_2 = storageoption_2;
	return kc_x;
}

two_phyla TwoProductionblock
#ifdef KC_USE_PROTOTYPES
(productionblock productionblock_1, productionblock productionblock_2)
#else
(productionblock_1, productionblock_2) productionblock productionblock_1;  productionblock productionblock_2; 
#endif
{	register two_phyla kc_x = (two_phyla) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_two_phyla));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_TwoProductionblock));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_TwoProductionblock));
	/*SUPPRESS 622*/
	assert_productionblock( productionblock_1, "productionblock_1" );
	/*SUPPRESS 622*/
	assert_productionblock( productionblock_2, "productionblock_2" );
	kc_x->prod_sel = sel_TwoProductionblock;
	kc_x->u.TwoProductionblock.productionblock_1 = productionblock_1;
	kc_x->u.TwoProductionblock.productionblock_2 = productionblock_2;
	return kc_x;
}

two_phyla TwoCcode_option
#ifdef KC_USE_PROTOTYPES
(Ccode_option Ccode_option_1, Ccode_option Ccode_option_2)
#else
(Ccode_option_1, Ccode_option_2) Ccode_option Ccode_option_1;  Ccode_option Ccode_option_2; 
#endif
{	register two_phyla kc_x = (two_phyla) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_two_phyla));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_TwoCcode_option));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_TwoCcode_option));
	/*SUPPRESS 622*/
	assert_Ccode_option( Ccode_option_1, "Ccode_option_1" );
	/*SUPPRESS 622*/
	assert_Ccode_option( Ccode_option_2, "Ccode_option_2" );
	kc_x->prod_sel = sel_TwoCcode_option;
	kc_x->u.TwoCcode_option.Ccode_option_1 = Ccode_option_1;
	kc_x->u.TwoCcode_option.Ccode_option_2 = Ccode_option_2;
	return kc_x;
}

two_phyla TwoRewriteruleinfo
#ifdef KC_USE_PROTOTYPES
(rewriteruleinfo rewriteruleinfo_1, rewriteruleinfo rewriteruleinfo_2)
#else
(rewriteruleinfo_1, rewriteruleinfo_2) rewriteruleinfo rewriteruleinfo_1;  rewriteruleinfo rewriteruleinfo_2; 
#endif
{	register two_phyla kc_x = (two_phyla) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_two_phyla));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_TwoRewriteruleinfo));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_TwoRewriteruleinfo));
	/*SUPPRESS 622*/
	assert_rewriteruleinfo( rewriteruleinfo_1, "rewriteruleinfo_1" );
	/*SUPPRESS 622*/
	assert_rewriteruleinfo( rewriteruleinfo_2, "rewriteruleinfo_2" );
	kc_x->prod_sel = sel_TwoRewriteruleinfo;
	kc_x->u.TwoRewriteruleinfo.rewriteruleinfo_1 = rewriteruleinfo_1;
	kc_x->u.TwoRewriteruleinfo.rewriteruleinfo_2 = rewriteruleinfo_2;
	return kc_x;
}

two_phyla TwoWithcaseinfo
#ifdef KC_USE_PROTOTYPES
(withcaseinfo withcaseinfo_1, withcaseinfo withcaseinfo_2)
#else
(withcaseinfo_1, withcaseinfo_2) withcaseinfo withcaseinfo_1;  withcaseinfo withcaseinfo_2; 
#endif
{	register two_phyla kc_x = (two_phyla) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_two_phyla));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_TwoWithcaseinfo));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_TwoWithcaseinfo));
	/*SUPPRESS 622*/
	assert_withcaseinfo( withcaseinfo_1, "withcaseinfo_1" );
	/*SUPPRESS 622*/
	assert_withcaseinfo( withcaseinfo_2, "withcaseinfo_2" );
	kc_x->prod_sel = sel_TwoWithcaseinfo;
	kc_x->u.TwoWithcaseinfo.withcaseinfo_1 = withcaseinfo_1;
	kc_x->u.TwoWithcaseinfo.withcaseinfo_2 = withcaseinfo_2;
	return kc_x;
}

two_phyla TwoUnparsedeclinfo
#ifdef KC_USE_PROTOTYPES
(unparsedeclinfo unparsedeclinfo_1, unparsedeclinfo unparsedeclinfo_2)
#else
(unparsedeclinfo_1, unparsedeclinfo_2) unparsedeclinfo unparsedeclinfo_1;  unparsedeclinfo unparsedeclinfo_2; 
#endif
{	register two_phyla kc_x = (two_phyla) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_two_phyla));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_TwoUnparsedeclinfo));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_TwoUnparsedeclinfo));
	/*SUPPRESS 622*/
	assert_unparsedeclinfo( unparsedeclinfo_1, "unparsedeclinfo_1" );
	/*SUPPRESS 622*/
	assert_unparsedeclinfo( unparsedeclinfo_2, "unparsedeclinfo_2" );
	kc_x->prod_sel = sel_TwoUnparsedeclinfo;
	kc_x->u.TwoUnparsedeclinfo.unparsedeclinfo_1 = unparsedeclinfo_1;
	kc_x->u.TwoUnparsedeclinfo.unparsedeclinfo_2 = unparsedeclinfo_2;
	return kc_x;
}

two_phyla TwoPatternrepresentation
#ifdef KC_USE_PROTOTYPES
(patternrepresentation patternrepresentation_1, patternrepresentation patternrepresentation_2)
#else
(patternrepresentation_1, patternrepresentation_2) patternrepresentation patternrepresentation_1;  patternrepresentation patternrepresentation_2; 
#endif
{	register two_phyla kc_x = (two_phyla) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_two_phyla));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_TwoPatternrepresentation));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_TwoPatternrepresentation));
	/*SUPPRESS 622*/
	assert_patternrepresentation( patternrepresentation_1, "patternrepresentation_1" );
	/*SUPPRESS 622*/
	assert_patternrepresentation( patternrepresentation_2, "patternrepresentation_2" );
	kc_x->prod_sel = sel_TwoPatternrepresentation;
	kc_x->u.TwoPatternrepresentation.patternrepresentation_1 = patternrepresentation_1;
	kc_x->u.TwoPatternrepresentation.patternrepresentation_2 = patternrepresentation_2;
	return kc_x;
}

two_phyla TwoElem_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(elem_patternrepresentation elem_patternrepresentation_1, elem_patternrepresentation elem_patternrepresentation_2)
#else
(elem_patternrepresentation_1, elem_patternrepresentation_2) elem_patternrepresentation elem_patternrepresentation_1;  elem_patternrepresentation elem_patternrepresentation_2; 
#endif
{	register two_phyla kc_x = (two_phyla) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_two_phyla));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_TwoElem_patternrepresentation));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_TwoElem_patternrepresentation));
	/*SUPPRESS 622*/
	assert_elem_patternrepresentation( elem_patternrepresentation_1, "elem_patternrepresentation_1" );
	/*SUPPRESS 622*/
	assert_elem_patternrepresentation( elem_patternrepresentation_2, "elem_patternrepresentation_2" );
	kc_x->prod_sel = sel_TwoElem_patternrepresentation;
	kc_x->u.TwoElem_patternrepresentation.elem_patternrepresentation_1 = elem_patternrepresentation_1;
	kc_x->u.TwoElem_patternrepresentation.elem_patternrepresentation_2 = elem_patternrepresentation_2;
	return kc_x;
}

two_phyla TwoPaths
#ifdef KC_USE_PROTOTYPES
(paths paths_1, paths paths_2)
#else
(paths_1, paths_2) paths paths_1;  paths paths_2; 
#endif
{	register two_phyla kc_x = (two_phyla) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_two_phyla));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_TwoPaths));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_TwoPaths));
	/*SUPPRESS 622*/
	assert_paths( paths_1, "paths_1" );
	/*SUPPRESS 622*/
	assert_paths( paths_2, "paths_2" );
	kc_x->prod_sel = sel_TwoPaths;
	kc_x->u.TwoPaths.paths_1 = paths_1;
	kc_x->u.TwoPaths.paths_2 = paths_2;
	return kc_x;
}

two_phyla TwoPath
#ifdef KC_USE_PROTOTYPES
(path path_1, path path_2)
#else
(path_1, path_2) path path_1;  path path_2; 
#endif
{	register two_phyla kc_x = (two_phyla) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_two_phyla));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_TwoPath));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_TwoPath));
	/*SUPPRESS 622*/
	assert_path( path_1, "path_1" );
	/*SUPPRESS 622*/
	assert_path( path_2, "path_2" );
	kc_x->prod_sel = sel_TwoPath;
	kc_x->u.TwoPath.path_1 = path_1;
	kc_x->u.TwoPath.path_2 = path_2;
	return kc_x;
}

tribool Equal
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static tribool kc_x = (tribool)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Equal));
	if (kc_x == (tribool)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Equal ));
		kc_x = (tribool)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_tribool), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Equal;
	}
	return kc_x;
}

tribool Smaller
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static tribool kc_x = (tribool)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Smaller));
	if (kc_x == (tribool)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Smaller ));
		kc_x = (tribool)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_tribool), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Smaller;
	}
	return kc_x;
}

tribool Bigger
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static tribool kc_x = (tribool)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Bigger));
	if (kc_x == (tribool)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Bigger ));
		kc_x = (tribool)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_tribool), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Bigger;
	}
	return kc_x;
}

patternrepresentations Nilpatternrepresentations
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static patternrepresentations kc_x = (patternrepresentations)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilpatternrepresentations));
	if (kc_x == (patternrepresentations)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilpatternrepresentations ));
		kc_x = (patternrepresentations)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_patternrepresentations), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilpatternrepresentations;
	}
	return kc_x;
}

patternrepresentations Conspatternrepresentations
#ifdef KC_USE_PROTOTYPES
(patternrepresentation patternrepresentation_1, patternrepresentations patternrepresentations_1)
#else
(patternrepresentation_1, patternrepresentations_1) patternrepresentation patternrepresentation_1;  patternrepresentations patternrepresentations_1; 
#endif
{	register patternrepresentations kc_x = (patternrepresentations) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_patternrepresentations));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Conspatternrepresentations));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Conspatternrepresentations));
	/*SUPPRESS 622*/
	assert_patternrepresentation( patternrepresentation_1, "patternrepresentation_1" );
	/*SUPPRESS 622*/
	assert_patternrepresentations( patternrepresentations_1, "patternrepresentations_1" );
	kc_x->prod_sel = sel_Conspatternrepresentations;
	kc_x->u.Conspatternrepresentations.patternrepresentation_1 = patternrepresentation_1;
	kc_x->u.Conspatternrepresentations.patternrepresentations_1 = patternrepresentations_1;
	return kc_x;
}

patternrepresentation Nilpatternrepresentation
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static patternrepresentation kc_x = (patternrepresentation)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilpatternrepresentation));
	if (kc_x == (patternrepresentation)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilpatternrepresentation ));
		kc_x = (patternrepresentation)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_patternrepresentation), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilpatternrepresentation;
	}
	return kc_x;
}

patternrepresentation Conspatternrepresentation
#ifdef KC_USE_PROTOTYPES
(elem_patternrepresentation elem_patternrepresentation_1, patternrepresentation patternrepresentation_1)
#else
(elem_patternrepresentation_1, patternrepresentation_1) elem_patternrepresentation elem_patternrepresentation_1;  patternrepresentation patternrepresentation_1; 
#endif
{	register patternrepresentation kc_x = (patternrepresentation) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_patternrepresentation));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Conspatternrepresentation));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Conspatternrepresentation));
	/*SUPPRESS 622*/
	assert_elem_patternrepresentation( elem_patternrepresentation_1, "elem_patternrepresentation_1" );
	/*SUPPRESS 622*/
	assert_patternrepresentation( patternrepresentation_1, "patternrepresentation_1" );
	kc_x->prod_sel = sel_Conspatternrepresentation;
	kc_x->u.Conspatternrepresentation.elem_patternrepresentation_1 = elem_patternrepresentation_1;
	kc_x->u.Conspatternrepresentation.patternrepresentation_1 = patternrepresentation_1;
	return kc_x;
}

elem_patternrepresentation PRBinding
#ifdef KC_USE_PROTOTYPES
(path path_1, ID ID_1)
#else
(path_1, ID_1) path path_1;  ID ID_1; 
#endif
{	register elem_patternrepresentation kc_x = (elem_patternrepresentation) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_elem_patternrepresentation));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PRBinding));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PRBinding));
	/*SUPPRESS 622*/
	assert_path( path_1, "path_1" );
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_PRBinding;
	kc_x->u.PRBinding.path_1 = path_1;
	kc_x->u.PRBinding.ID_1 = ID_1;
	kc_x = kc_initialize_elem_patternrepresentation(kc_x);
	return kc_x;
}

elem_patternrepresentation PRVarPredicate
#ifdef KC_USE_PROTOTYPES
(paths paths_1, ID ID_1, patternrepresentation patternrepresentation_1)
#else
(paths_1, ID_1, patternrepresentation_1) paths paths_1;  ID ID_1;  patternrepresentation patternrepresentation_1; 
#endif
{	register elem_patternrepresentation kc_x = (elem_patternrepresentation) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_elem_patternrepresentation));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PRVarPredicate));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PRVarPredicate));
	/*SUPPRESS 622*/
	assert_paths( paths_1, "paths_1" );
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_patternrepresentation( patternrepresentation_1, "patternrepresentation_1" );
	kc_x->prod_sel = sel_PRVarPredicate;
	kc_x->u.PRVarPredicate.paths_1 = paths_1;
	kc_x->u.PRVarPredicate.ID_1 = ID_1;
	kc_x->u.PRVarPredicate.patternrepresentation_1 = patternrepresentation_1;
	kc_x = kc_initialize_elem_patternrepresentation(kc_x);
	return kc_x;
}

elem_patternrepresentation PROperPredicate
#ifdef KC_USE_PROTOTYPES
(path path_1, ID ID_1)
#else
(path_1, ID_1) path path_1;  ID ID_1; 
#endif
{	register elem_patternrepresentation kc_x = (elem_patternrepresentation) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_elem_patternrepresentation));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PROperPredicate));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PROperPredicate));
	/*SUPPRESS 622*/
	assert_path( path_1, "path_1" );
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_PROperPredicate;
	kc_x->u.PROperPredicate.path_1 = path_1;
	kc_x->u.PROperPredicate.ID_1 = ID_1;
	kc_x = kc_initialize_elem_patternrepresentation(kc_x);
	return kc_x;
}

elem_patternrepresentation PRNonLeafBinding
#ifdef KC_USE_PROTOTYPES
(path path_1, ID ID_1, patternrepresentation patternrepresentation_1)
#else
(path_1, ID_1, patternrepresentation_1) path path_1;  ID ID_1;  patternrepresentation patternrepresentation_1; 
#endif
{	register elem_patternrepresentation kc_x = (elem_patternrepresentation) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_elem_patternrepresentation));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PRNonLeafBinding));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PRNonLeafBinding));
	/*SUPPRESS 622*/
	assert_path( path_1, "path_1" );
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_patternrepresentation( patternrepresentation_1, "patternrepresentation_1" );
	kc_x->prod_sel = sel_PRNonLeafBinding;
	kc_x->u.PRNonLeafBinding.path_1 = path_1;
	kc_x->u.PRNonLeafBinding.ID_1 = ID_1;
	kc_x->u.PRNonLeafBinding.patternrepresentation_1 = patternrepresentation_1;
	kc_x = kc_initialize_elem_patternrepresentation(kc_x);
	return kc_x;
}

elem_patternrepresentation PRWildcard
#ifdef KC_USE_PROTOTYPES
(path path_1)
#else
(path_1) path path_1; 
#endif
{	register elem_patternrepresentation kc_x = (elem_patternrepresentation) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_elem_patternrepresentation));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PRWildcard));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PRWildcard));
	/*SUPPRESS 622*/
	assert_path( path_1, "path_1" );
	kc_x->prod_sel = sel_PRWildcard;
	kc_x->u.PRWildcard.path_1 = path_1;
	kc_x = kc_initialize_elem_patternrepresentation(kc_x);
	return kc_x;
}

elem_patternrepresentation PRDefault
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	register elem_patternrepresentation kc_x = (elem_patternrepresentation) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_elem_patternrepresentation));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PRDefault));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PRDefault));
	kc_x->prod_sel = sel_PRDefault;
	kc_x = kc_initialize_elem_patternrepresentation(kc_x);
	return kc_x;
}

elem_patternrepresentation PRStringLiteral
#ifdef KC_USE_PROTOTYPES
(path path_1, CexpressionDQ CexpressionDQ_1)
#else
(path_1, CexpressionDQ_1) path path_1;  CexpressionDQ CexpressionDQ_1; 
#endif
{	register elem_patternrepresentation kc_x = (elem_patternrepresentation) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_elem_patternrepresentation));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PRStringLiteral));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PRStringLiteral));
	/*SUPPRESS 622*/
	assert_path( path_1, "path_1" );
	/*SUPPRESS 622*/
	assert_CexpressionDQ( CexpressionDQ_1, "CexpressionDQ_1" );
	kc_x->prod_sel = sel_PRStringLiteral;
	kc_x->u.PRStringLiteral.path_1 = path_1;
	kc_x->u.PRStringLiteral.CexpressionDQ_1 = CexpressionDQ_1;
	kc_x = kc_initialize_elem_patternrepresentation(kc_x);
	return kc_x;
}

elem_patternrepresentation PRIntLiteral
#ifdef KC_USE_PROTOTYPES
(path path_1, INT INT_1)
#else
(path_1, INT_1) path path_1;  INT INT_1; 
#endif
{	register elem_patternrepresentation kc_x = (elem_patternrepresentation) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_elem_patternrepresentation));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_PRIntLiteral));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_PRIntLiteral));
	/*SUPPRESS 622*/
	assert_path( path_1, "path_1" );
	/*SUPPRESS 622*/
	assert_INT( INT_1, "INT_1" );
	kc_x->prod_sel = sel_PRIntLiteral;
	kc_x->u.PRIntLiteral.path_1 = path_1;
	kc_x->u.PRIntLiteral.INT_1 = INT_1;
	kc_x = kc_initialize_elem_patternrepresentation(kc_x);
	return kc_x;
}

path Nilpath
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	register path kc_x = (path) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_path));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilpath));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilpath));
	kc_x->prod_sel = sel_Nilpath;
	kc_x = kc_initialize_path(kc_x);
	return kc_x;
}

path Conspath
#ifdef KC_USE_PROTOTYPES
(int int_1, path path_1)
#else
(int_1, path_1) int int_1;  path path_1; 
#endif
{	register path kc_x = (path) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_path));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Conspath));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Conspath));
	/*SUPPRESS 622*/
	assert_int( int_1, "int_1" );
	/*SUPPRESS 622*/
	assert_path( path_1, "path_1" );
	kc_x->prod_sel = sel_Conspath;
	kc_x->u.Conspath.int_1 = int_1;
	kc_x->u.Conspath.path_1 = path_1;
	kc_x = kc_initialize_path(kc_x);
	return kc_x;
}

paths Nilpaths
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static paths kc_x = (paths)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilpaths));
	if (kc_x == (paths)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilpaths ));
		kc_x = (paths)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_paths), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilpaths;
	}
	return kc_x;
}

paths Conspaths
#ifdef KC_USE_PROTOTYPES
(path path_1, paths paths_1)
#else
(path_1, paths_1) path path_1;  paths paths_1; 
#endif
{	register paths kc_x = (paths) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_paths));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Conspaths));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Conspaths));
	/*SUPPRESS 622*/
	assert_path( path_1, "path_1" );
	/*SUPPRESS 622*/
	assert_paths( paths_1, "paths_1" );
	kc_x->prod_sel = sel_Conspaths;
	kc_x->u.Conspaths.path_1 = path_1;
	kc_x->u.Conspaths.paths_1 = paths_1;
	return kc_x;
}

argsnumbers Nilargsnumbers
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static argsnumbers kc_x = (argsnumbers)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilargsnumbers));
	if (kc_x == (argsnumbers)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilargsnumbers ));
		kc_x = (argsnumbers)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_argsnumbers), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilargsnumbers;
	}
	return kc_x;
}

argsnumbers Consargsnumbers
#ifdef KC_USE_PROTOTYPES
(int int_1, argsnumbers argsnumbers_1)
#else
(int_1, argsnumbers_1) int int_1;  argsnumbers argsnumbers_1; 
#endif
{	register argsnumbers kc_x = (argsnumbers) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_argsnumbers));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consargsnumbers));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consargsnumbers));
	/*SUPPRESS 622*/
	assert_int( int_1, "int_1" );
	/*SUPPRESS 622*/
	assert_argsnumbers( argsnumbers_1, "argsnumbers_1" );
	kc_x->prod_sel = sel_Consargsnumbers;
	kc_x->u.Consargsnumbers.int_1 = int_1;
	kc_x->u.Consargsnumbers.argsnumbers_1 = argsnumbers_1;
	return kc_x;
}

rewriterulesinfo Nilrewriterulesinfo
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static rewriterulesinfo kc_x = (rewriterulesinfo)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilrewriterulesinfo));
	if (kc_x == (rewriterulesinfo)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilrewriterulesinfo ));
		kc_x = (rewriterulesinfo)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_rewriterulesinfo), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilrewriterulesinfo;
	}
	return kc_x;
}

rewriterulesinfo Consrewriterulesinfo
#ifdef KC_USE_PROTOTYPES
(rewriteruleinfo rewriteruleinfo_1, rewriterulesinfo rewriterulesinfo_1)
#else
(rewriteruleinfo_1, rewriterulesinfo_1) rewriteruleinfo rewriteruleinfo_1;  rewriterulesinfo rewriterulesinfo_1; 
#endif
{	register rewriterulesinfo kc_x = (rewriterulesinfo) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_rewriterulesinfo));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consrewriterulesinfo));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consrewriterulesinfo));
	/*SUPPRESS 622*/
	assert_rewriteruleinfo( rewriteruleinfo_1, "rewriteruleinfo_1" );
	/*SUPPRESS 622*/
	assert_rewriterulesinfo( rewriterulesinfo_1, "rewriterulesinfo_1" );
	kc_x->prod_sel = sel_Consrewriterulesinfo;
	kc_x->u.Consrewriterulesinfo.rewriteruleinfo_1 = rewriteruleinfo_1;
	kc_x->u.Consrewriterulesinfo.rewriterulesinfo_1 = rewriterulesinfo_1;
	return kc_x;
}

rewriteruleinfo Rewriteruleinfo
#ifdef KC_USE_PROTOTYPES
(patternrepresentation patternrepresentation_1, patternrepresentation patternrepresentation_2, rewriteclause rewriteclause_1)
#else
(patternrepresentation_1, patternrepresentation_2, rewriteclause_1) patternrepresentation patternrepresentation_1;  patternrepresentation patternrepresentation_2;  rewriteclause rewriteclause_1; 
#endif
{	register rewriteruleinfo kc_x = (rewriteruleinfo) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_rewriteruleinfo));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Rewriteruleinfo));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Rewriteruleinfo));
	/*SUPPRESS 622*/
	assert_patternrepresentation( patternrepresentation_1, "patternrepresentation_1" );
	/*SUPPRESS 622*/
	assert_patternrepresentation( patternrepresentation_2, "patternrepresentation_2" );
	/*SUPPRESS 622*/
	assert_rewriteclause( rewriteclause_1, "rewriteclause_1" );
	kc_x->prod_sel = sel_Rewriteruleinfo;
	kc_x->u.Rewriteruleinfo.patternrepresentation_1 = patternrepresentation_1;
	kc_x->u.Rewriteruleinfo.patternrepresentation_2 = patternrepresentation_2;
	kc_x->u.Rewriteruleinfo.rewriteclause_1 = rewriteclause_1;
	return kc_x;
}

withcasesinfo Nilwithcasesinfo
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static withcasesinfo kc_x = (withcasesinfo)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilwithcasesinfo));
	if (kc_x == (withcasesinfo)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilwithcasesinfo ));
		kc_x = (withcasesinfo)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_withcasesinfo), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilwithcasesinfo;
	}
	return kc_x;
}

withcasesinfo Conswithcasesinfo
#ifdef KC_USE_PROTOTYPES
(withcaseinfo withcaseinfo_1, withcasesinfo withcasesinfo_1)
#else
(withcaseinfo_1, withcasesinfo_1) withcaseinfo withcaseinfo_1;  withcasesinfo withcasesinfo_1; 
#endif
{	register withcasesinfo kc_x = (withcasesinfo) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_withcasesinfo));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Conswithcasesinfo));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Conswithcasesinfo));
	/*SUPPRESS 622*/
	assert_withcaseinfo( withcaseinfo_1, "withcaseinfo_1" );
	/*SUPPRESS 622*/
	assert_withcasesinfo( withcasesinfo_1, "withcasesinfo_1" );
	kc_x->prod_sel = sel_Conswithcasesinfo;
	kc_x->u.Conswithcasesinfo.withcaseinfo_1 = withcaseinfo_1;
	kc_x->u.Conswithcasesinfo.withcasesinfo_1 = withcasesinfo_1;
	return kc_x;
}

withcaseinfo Withcaseinfo
#ifdef KC_USE_PROTOTYPES
(patternrepresentation patternrepresentation_1, patternrepresentation patternrepresentation_2, Ctext Ctext_1)
#else
(patternrepresentation_1, patternrepresentation_2, Ctext_1) patternrepresentation patternrepresentation_1;  patternrepresentation patternrepresentation_2;  Ctext Ctext_1; 
#endif
{	register withcaseinfo kc_x = (withcaseinfo) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_withcaseinfo));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Withcaseinfo));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Withcaseinfo));
	/*SUPPRESS 622*/
	assert_patternrepresentation( patternrepresentation_1, "patternrepresentation_1" );
	/*SUPPRESS 622*/
	assert_patternrepresentation( patternrepresentation_2, "patternrepresentation_2" );
	/*SUPPRESS 622*/
	assert_Ctext( Ctext_1, "Ctext_1" );
	kc_x->prod_sel = sel_Withcaseinfo;
	kc_x->u.Withcaseinfo.patternrepresentation_1 = patternrepresentation_1;
	kc_x->u.Withcaseinfo.patternrepresentation_2 = patternrepresentation_2;
	kc_x->u.Withcaseinfo.Ctext_1 = Ctext_1;
	return kc_x;
}

rewriteviewsinfo Nilrewriteviewsinfo
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static rewriteviewsinfo kc_x = (rewriteviewsinfo)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilrewriteviewsinfo));
	if (kc_x == (rewriteviewsinfo)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilrewriteviewsinfo ));
		kc_x = (rewriteviewsinfo)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_rewriteviewsinfo), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilrewriteviewsinfo;
	}
	return kc_x;
}

rewriteviewsinfo Consrewriteviewsinfo
#ifdef KC_USE_PROTOTYPES
(rewriteviewinfo rewriteviewinfo_1, rewriteviewsinfo rewriteviewsinfo_1)
#else
(rewriteviewinfo_1, rewriteviewsinfo_1) rewriteviewinfo rewriteviewinfo_1;  rewriteviewsinfo rewriteviewsinfo_1; 
#endif
{	register rewriteviewsinfo kc_x = (rewriteviewsinfo) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_rewriteviewsinfo));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consrewriteviewsinfo));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consrewriteviewsinfo));
	/*SUPPRESS 622*/
	assert_rewriteviewinfo( rewriteviewinfo_1, "rewriteviewinfo_1" );
	/*SUPPRESS 622*/
	assert_rewriteviewsinfo( rewriteviewsinfo_1, "rewriteviewsinfo_1" );
	kc_x->prod_sel = sel_Consrewriteviewsinfo;
	kc_x->u.Consrewriteviewsinfo.rewriteviewinfo_1 = rewriteviewinfo_1;
	kc_x->u.Consrewriteviewsinfo.rewriteviewsinfo_1 = rewriteviewsinfo_1;
	return kc_x;
}

rewriteviewinfo Rewriteviewinfo
#ifdef KC_USE_PROTOTYPES
(ID ID_1, rewriterulesinfo rewriterulesinfo_1)
#else
(ID_1, rewriterulesinfo_1) ID ID_1;  rewriterulesinfo rewriterulesinfo_1; 
#endif
{	register rewriteviewinfo kc_x = (rewriteviewinfo) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_rewriteviewinfo));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Rewriteviewinfo));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Rewriteviewinfo));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_rewriterulesinfo( rewriterulesinfo_1, "rewriterulesinfo_1" );
	kc_x->prod_sel = sel_Rewriteviewinfo;
	kc_x->u.Rewriteviewinfo.ID_1 = ID_1;
	kc_x->u.Rewriteviewinfo.rewriterulesinfo_1 = rewriterulesinfo_1;
	return kc_x;
}

unparseviewsinfo Nilunparseviewsinfo
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static unparseviewsinfo kc_x = (unparseviewsinfo)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilunparseviewsinfo));
	if (kc_x == (unparseviewsinfo)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilunparseviewsinfo ));
		kc_x = (unparseviewsinfo)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_unparseviewsinfo), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilunparseviewsinfo;
	}
	return kc_x;
}

unparseviewsinfo Consunparseviewsinfo
#ifdef KC_USE_PROTOTYPES
(unparseviewinfo unparseviewinfo_1, unparseviewsinfo unparseviewsinfo_1)
#else
(unparseviewinfo_1, unparseviewsinfo_1) unparseviewinfo unparseviewinfo_1;  unparseviewsinfo unparseviewsinfo_1; 
#endif
{	register unparseviewsinfo kc_x = (unparseviewsinfo) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_unparseviewsinfo));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consunparseviewsinfo));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consunparseviewsinfo));
	/*SUPPRESS 622*/
	assert_unparseviewinfo( unparseviewinfo_1, "unparseviewinfo_1" );
	/*SUPPRESS 622*/
	assert_unparseviewsinfo( unparseviewsinfo_1, "unparseviewsinfo_1" );
	kc_x->prod_sel = sel_Consunparseviewsinfo;
	kc_x->u.Consunparseviewsinfo.unparseviewinfo_1 = unparseviewinfo_1;
	kc_x->u.Consunparseviewsinfo.unparseviewsinfo_1 = unparseviewsinfo_1;
	return kc_x;
}

unparseviewinfo Unparseviewinfo
#ifdef KC_USE_PROTOTYPES
(ID ID_1, unparsedeclsinfo unparsedeclsinfo_1)
#else
(ID_1, unparsedeclsinfo_1) ID ID_1;  unparsedeclsinfo unparsedeclsinfo_1; 
#endif
{	register unparseviewinfo kc_x = (unparseviewinfo) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_unparseviewinfo));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Unparseviewinfo));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Unparseviewinfo));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_unparsedeclsinfo( unparsedeclsinfo_1, "unparsedeclsinfo_1" );
	kc_x->prod_sel = sel_Unparseviewinfo;
	kc_x->u.Unparseviewinfo.ID_1 = ID_1;
	kc_x->u.Unparseviewinfo.unparsedeclsinfo_1 = unparsedeclsinfo_1;
	return kc_x;
}

unparsedeclsinfo Nilunparsedeclsinfo
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static unparsedeclsinfo kc_x = (unparsedeclsinfo)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilunparsedeclsinfo));
	if (kc_x == (unparsedeclsinfo)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilunparsedeclsinfo ));
		kc_x = (unparsedeclsinfo)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_unparsedeclsinfo), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilunparsedeclsinfo;
	}
	return kc_x;
}

unparsedeclsinfo Consunparsedeclsinfo
#ifdef KC_USE_PROTOTYPES
(unparsedeclinfo unparsedeclinfo_1, unparsedeclsinfo unparsedeclsinfo_1)
#else
(unparsedeclinfo_1, unparsedeclsinfo_1) unparsedeclinfo unparsedeclinfo_1;  unparsedeclsinfo unparsedeclsinfo_1; 
#endif
{	register unparsedeclsinfo kc_x = (unparsedeclsinfo) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_unparsedeclsinfo));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consunparsedeclsinfo));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consunparsedeclsinfo));
	/*SUPPRESS 622*/
	assert_unparsedeclinfo( unparsedeclinfo_1, "unparsedeclinfo_1" );
	/*SUPPRESS 622*/
	assert_unparsedeclsinfo( unparsedeclsinfo_1, "unparsedeclsinfo_1" );
	kc_x->prod_sel = sel_Consunparsedeclsinfo;
	kc_x->u.Consunparsedeclsinfo.unparsedeclinfo_1 = unparsedeclinfo_1;
	kc_x->u.Consunparsedeclsinfo.unparsedeclsinfo_1 = unparsedeclsinfo_1;
	return kc_x;
}

unparsedeclinfo Unparsedeclinfo
#ifdef KC_USE_PROTOTYPES
(patternrepresentation patternrepresentation_1, patternrepresentation patternrepresentation_2, unparseclause unparseclause_1)
#else
(patternrepresentation_1, patternrepresentation_2, unparseclause_1) patternrepresentation patternrepresentation_1;  patternrepresentation patternrepresentation_2;  unparseclause unparseclause_1; 
#endif
{	register unparsedeclinfo kc_x = (unparsedeclinfo) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_unparsedeclinfo));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Unparsedeclinfo));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Unparsedeclinfo));
	/*SUPPRESS 622*/
	assert_patternrepresentation( patternrepresentation_1, "patternrepresentation_1" );
	/*SUPPRESS 622*/
	assert_patternrepresentation( patternrepresentation_2, "patternrepresentation_2" );
	/*SUPPRESS 622*/
	assert_unparseclause( unparseclause_1, "unparseclause_1" );
	kc_x->prod_sel = sel_Unparsedeclinfo;
	kc_x->u.Unparsedeclinfo.patternrepresentation_1 = patternrepresentation_1;
	kc_x->u.Unparsedeclinfo.patternrepresentation_2 = patternrepresentation_2;
	kc_x->u.Unparsedeclinfo.unparseclause_1 = unparseclause_1;
	return kc_x;
}

ac_declaration AcDeclaration
#ifdef KC_USE_PROTOTYPES
(ac_declaration_specifiers ac_declaration_specifiers_1, ac_init_declarator_list ac_init_declarator_list_1)
#else
(ac_declaration_specifiers_1, ac_init_declarator_list_1) ac_declaration_specifiers ac_declaration_specifiers_1;  ac_init_declarator_list ac_init_declarator_list_1; 
#endif
{	register ac_declaration kc_x = (ac_declaration) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_declaration));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcDeclaration));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcDeclaration));
	/*SUPPRESS 622*/
	assert_ac_declaration_specifiers( ac_declaration_specifiers_1, "ac_declaration_specifiers_1" );
	/*SUPPRESS 622*/
	assert_ac_init_declarator_list( ac_init_declarator_list_1, "ac_init_declarator_list_1" );
	kc_x->prod_sel = sel_AcDeclaration;
	kc_x->u.AcDeclaration.ac_declaration_specifiers_1 = ac_declaration_specifiers_1;
	kc_x->u.AcDeclaration.ac_init_declarator_list_1 = ac_init_declarator_list_1;
	return kc_x;
}

ac_declaration_list Nilac_declaration_list
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static ac_declaration_list kc_x = (ac_declaration_list)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilac_declaration_list));
	if (kc_x == (ac_declaration_list)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilac_declaration_list ));
		kc_x = (ac_declaration_list)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_ac_declaration_list), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilac_declaration_list;
	}
	return kc_x;
}

ac_declaration_list Consac_declaration_list
#ifdef KC_USE_PROTOTYPES
(ac_declaration ac_declaration_1, ac_declaration_list ac_declaration_list_1)
#else
(ac_declaration_1, ac_declaration_list_1) ac_declaration ac_declaration_1;  ac_declaration_list ac_declaration_list_1; 
#endif
{	register ac_declaration_list kc_x = (ac_declaration_list) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_declaration_list));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consac_declaration_list));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consac_declaration_list));
	/*SUPPRESS 622*/
	assert_ac_declaration( ac_declaration_1, "ac_declaration_1" );
	/*SUPPRESS 622*/
	assert_ac_declaration_list( ac_declaration_list_1, "ac_declaration_list_1" );
	kc_x->prod_sel = sel_Consac_declaration_list;
	kc_x->u.Consac_declaration_list.ac_declaration_1 = ac_declaration_1;
	kc_x->u.Consac_declaration_list.ac_declaration_list_1 = ac_declaration_list_1;
	return kc_x;
}

ac_declaration_specifiers Nilac_declaration_specifiers
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static ac_declaration_specifiers kc_x = (ac_declaration_specifiers)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilac_declaration_specifiers));
	if (kc_x == (ac_declaration_specifiers)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilac_declaration_specifiers ));
		kc_x = (ac_declaration_specifiers)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_ac_declaration_specifiers), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilac_declaration_specifiers;
	}
	return kc_x;
}

ac_declaration_specifiers Consac_declaration_specifiers
#ifdef KC_USE_PROTOTYPES
(ac_declaration_specifier ac_declaration_specifier_1, ac_declaration_specifiers ac_declaration_specifiers_1)
#else
(ac_declaration_specifier_1, ac_declaration_specifiers_1) ac_declaration_specifier ac_declaration_specifier_1;  ac_declaration_specifiers ac_declaration_specifiers_1; 
#endif
{	register ac_declaration_specifiers kc_x = (ac_declaration_specifiers) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_declaration_specifiers));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consac_declaration_specifiers));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consac_declaration_specifiers));
	/*SUPPRESS 622*/
	assert_ac_declaration_specifier( ac_declaration_specifier_1, "ac_declaration_specifier_1" );
	/*SUPPRESS 622*/
	assert_ac_declaration_specifiers( ac_declaration_specifiers_1, "ac_declaration_specifiers_1" );
	kc_x->prod_sel = sel_Consac_declaration_specifiers;
	kc_x->u.Consac_declaration_specifiers.ac_declaration_specifier_1 = ac_declaration_specifier_1;
	kc_x->u.Consac_declaration_specifiers.ac_declaration_specifiers_1 = ac_declaration_specifiers_1;
	return kc_x;
}

ac_declaration_specifier AcDeclSpecStorageSpec
#ifdef KC_USE_PROTOTYPES
(ac_storage_class_specifier ac_storage_class_specifier_1)
#else
(ac_storage_class_specifier_1) ac_storage_class_specifier ac_storage_class_specifier_1; 
#endif
{	register ac_declaration_specifier kc_x = (ac_declaration_specifier) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_declaration_specifier));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcDeclSpecStorageSpec));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcDeclSpecStorageSpec));
	/*SUPPRESS 622*/
	assert_ac_storage_class_specifier( ac_storage_class_specifier_1, "ac_storage_class_specifier_1" );
	kc_x->prod_sel = sel_AcDeclSpecStorageSpec;
	kc_x->u.AcDeclSpecStorageSpec.ac_storage_class_specifier_1 = ac_storage_class_specifier_1;
	return kc_x;
}

ac_declaration_specifier AcDeclSpecTypeSpec
#ifdef KC_USE_PROTOTYPES
(ac_type_specifier ac_type_specifier_1)
#else
(ac_type_specifier_1) ac_type_specifier ac_type_specifier_1; 
#endif
{	register ac_declaration_specifier kc_x = (ac_declaration_specifier) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_declaration_specifier));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcDeclSpecTypeSpec));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcDeclSpecTypeSpec));
	/*SUPPRESS 622*/
	assert_ac_type_specifier( ac_type_specifier_1, "ac_type_specifier_1" );
	kc_x->prod_sel = sel_AcDeclSpecTypeSpec;
	kc_x->u.AcDeclSpecTypeSpec.ac_type_specifier_1 = ac_type_specifier_1;
	return kc_x;
}

ac_declaration_specifier AcDeclSpecTypeQual
#ifdef KC_USE_PROTOTYPES
(ac_type_qualifier ac_type_qualifier_1)
#else
(ac_type_qualifier_1) ac_type_qualifier ac_type_qualifier_1; 
#endif
{	register ac_declaration_specifier kc_x = (ac_declaration_specifier) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_declaration_specifier));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcDeclSpecTypeQual));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcDeclSpecTypeQual));
	/*SUPPRESS 622*/
	assert_ac_type_qualifier( ac_type_qualifier_1, "ac_type_qualifier_1" );
	kc_x->prod_sel = sel_AcDeclSpecTypeQual;
	kc_x->u.AcDeclSpecTypeQual.ac_type_qualifier_1 = ac_type_qualifier_1;
	return kc_x;
}

ac_storage_class_specifier AcAuto
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static ac_storage_class_specifier kc_x = (ac_storage_class_specifier)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcAuto));
	if (kc_x == (ac_storage_class_specifier)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcAuto ));
		kc_x = (ac_storage_class_specifier)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_ac_storage_class_specifier), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_AcAuto;
	}
	return kc_x;
}

ac_storage_class_specifier AcRegister
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static ac_storage_class_specifier kc_x = (ac_storage_class_specifier)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcRegister));
	if (kc_x == (ac_storage_class_specifier)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcRegister ));
		kc_x = (ac_storage_class_specifier)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_ac_storage_class_specifier), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_AcRegister;
	}
	return kc_x;
}

ac_storage_class_specifier AcStatic
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static ac_storage_class_specifier kc_x = (ac_storage_class_specifier)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcStatic));
	if (kc_x == (ac_storage_class_specifier)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcStatic ));
		kc_x = (ac_storage_class_specifier)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_ac_storage_class_specifier), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_AcStatic;
	}
	return kc_x;
}

ac_storage_class_specifier AcExtern
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static ac_storage_class_specifier kc_x = (ac_storage_class_specifier)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcExtern));
	if (kc_x == (ac_storage_class_specifier)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcExtern ));
		kc_x = (ac_storage_class_specifier)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_ac_storage_class_specifier), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_AcExtern;
	}
	return kc_x;
}

ac_storage_class_specifier AcTypedef
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static ac_storage_class_specifier kc_x = (ac_storage_class_specifier)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcTypedef));
	if (kc_x == (ac_storage_class_specifier)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcTypedef ));
		kc_x = (ac_storage_class_specifier)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_ac_storage_class_specifier), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_AcTypedef;
	}
	return kc_x;
}

ac_type_specifier AcTypeSpec
#ifdef KC_USE_PROTOTYPES
(ID ID_1)
#else
(ID_1) ID ID_1; 
#endif
{	register ac_type_specifier kc_x = (ac_type_specifier) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_type_specifier));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcTypeSpec));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcTypeSpec));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_AcTypeSpec;
	kc_x->u.AcTypeSpec.ID_1 = ID_1;
	return kc_x;
}

ac_type_qualifier AcConst
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static ac_type_qualifier kc_x = (ac_type_qualifier)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcConst));
	if (kc_x == (ac_type_qualifier)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcConst ));
		kc_x = (ac_type_qualifier)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_ac_type_qualifier), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_AcConst;
	}
	return kc_x;
}

ac_type_qualifier AcVolatile
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static ac_type_qualifier kc_x = (ac_type_qualifier)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcVolatile));
	if (kc_x == (ac_type_qualifier)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcVolatile ));
		kc_x = (ac_type_qualifier)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_ac_type_qualifier), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_AcVolatile;
	}
	return kc_x;
}

ac_init_declarator_list Nilac_init_declarator_list
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static ac_init_declarator_list kc_x = (ac_init_declarator_list)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilac_init_declarator_list));
	if (kc_x == (ac_init_declarator_list)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilac_init_declarator_list ));
		kc_x = (ac_init_declarator_list)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_ac_init_declarator_list), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilac_init_declarator_list;
	}
	return kc_x;
}

ac_init_declarator_list Consac_init_declarator_list
#ifdef KC_USE_PROTOTYPES
(ac_init_declarator ac_init_declarator_1, ac_init_declarator_list ac_init_declarator_list_1)
#else
(ac_init_declarator_1, ac_init_declarator_list_1) ac_init_declarator ac_init_declarator_1;  ac_init_declarator_list ac_init_declarator_list_1; 
#endif
{	register ac_init_declarator_list kc_x = (ac_init_declarator_list) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_init_declarator_list));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consac_init_declarator_list));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consac_init_declarator_list));
	/*SUPPRESS 622*/
	assert_ac_init_declarator( ac_init_declarator_1, "ac_init_declarator_1" );
	/*SUPPRESS 622*/
	assert_ac_init_declarator_list( ac_init_declarator_list_1, "ac_init_declarator_list_1" );
	kc_x->prod_sel = sel_Consac_init_declarator_list;
	kc_x->u.Consac_init_declarator_list.ac_init_declarator_1 = ac_init_declarator_1;
	kc_x->u.Consac_init_declarator_list.ac_init_declarator_list_1 = ac_init_declarator_list_1;
	return kc_x;
}

ac_init_declarator AcInitDecl
#ifdef KC_USE_PROTOTYPES
(ac_declarator ac_declarator_1)
#else
(ac_declarator_1) ac_declarator ac_declarator_1; 
#endif
{	register ac_init_declarator kc_x = (ac_init_declarator) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_init_declarator));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcInitDecl));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcInitDecl));
	/*SUPPRESS 622*/
	assert_ac_declarator( ac_declarator_1, "ac_declarator_1" );
	kc_x->prod_sel = sel_AcInitDecl;
	kc_x->u.AcInitDecl.ac_declarator_1 = ac_declarator_1;
	return kc_x;
}

ac_declarator AcDeclarator
#ifdef KC_USE_PROTOTYPES
(ac_pointer_option ac_pointer_option_1, ac_direct_declarator ac_direct_declarator_1)
#else
(ac_pointer_option_1, ac_direct_declarator_1) ac_pointer_option ac_pointer_option_1;  ac_direct_declarator ac_direct_declarator_1; 
#endif
{	register ac_declarator kc_x = (ac_declarator) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_declarator));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcDeclarator));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcDeclarator));
	/*SUPPRESS 622*/
	assert_ac_pointer_option( ac_pointer_option_1, "ac_pointer_option_1" );
	/*SUPPRESS 622*/
	assert_ac_direct_declarator( ac_direct_declarator_1, "ac_direct_declarator_1" );
	kc_x->prod_sel = sel_AcDeclarator;
	kc_x->u.AcDeclarator.ac_pointer_option_1 = ac_pointer_option_1;
	kc_x->u.AcDeclarator.ac_direct_declarator_1 = ac_direct_declarator_1;
	return kc_x;
}

ac_direct_declarator AcDirectDeclId
#ifdef KC_USE_PROTOTYPES
(ID ID_1)
#else
(ID_1) ID ID_1; 
#endif
{	register ac_direct_declarator kc_x = (ac_direct_declarator) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_direct_declarator));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcDirectDeclId));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcDirectDeclId));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_AcDirectDeclId;
	kc_x->u.AcDirectDeclId.ID_1 = ID_1;
	return kc_x;
}

ac_direct_declarator AcDirectDeclPack
#ifdef KC_USE_PROTOTYPES
(ac_declarator ac_declarator_1)
#else
(ac_declarator_1) ac_declarator ac_declarator_1; 
#endif
{	register ac_direct_declarator kc_x = (ac_direct_declarator) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_direct_declarator));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcDirectDeclPack));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcDirectDeclPack));
	/*SUPPRESS 622*/
	assert_ac_declarator( ac_declarator_1, "ac_declarator_1" );
	kc_x->prod_sel = sel_AcDirectDeclPack;
	kc_x->u.AcDirectDeclPack.ac_declarator_1 = ac_declarator_1;
	return kc_x;
}

ac_direct_declarator AcDirectDeclArray
#ifdef KC_USE_PROTOTYPES
(ac_direct_declarator ac_direct_declarator_1, ac_constant_expression_option ac_constant_expression_option_1)
#else
(ac_direct_declarator_1, ac_constant_expression_option_1) ac_direct_declarator ac_direct_declarator_1;  ac_constant_expression_option ac_constant_expression_option_1; 
#endif
{	register ac_direct_declarator kc_x = (ac_direct_declarator) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_direct_declarator));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcDirectDeclArray));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcDirectDeclArray));
	/*SUPPRESS 622*/
	assert_ac_direct_declarator( ac_direct_declarator_1, "ac_direct_declarator_1" );
	/*SUPPRESS 622*/
	assert_ac_constant_expression_option( ac_constant_expression_option_1, "ac_constant_expression_option_1" );
	kc_x->prod_sel = sel_AcDirectDeclArray;
	kc_x->u.AcDirectDeclArray.ac_direct_declarator_1 = ac_direct_declarator_1;
	kc_x->u.AcDirectDeclArray.ac_constant_expression_option_1 = ac_constant_expression_option_1;
	return kc_x;
}

ac_direct_declarator AcDirectDeclProto
#ifdef KC_USE_PROTOTYPES
(ac_direct_declarator ac_direct_declarator_1, ac_parameter_type_list ac_parameter_type_list_1)
#else
(ac_direct_declarator_1, ac_parameter_type_list_1) ac_direct_declarator ac_direct_declarator_1;  ac_parameter_type_list ac_parameter_type_list_1; 
#endif
{	register ac_direct_declarator kc_x = (ac_direct_declarator) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_direct_declarator));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcDirectDeclProto));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcDirectDeclProto));
	/*SUPPRESS 622*/
	assert_ac_direct_declarator( ac_direct_declarator_1, "ac_direct_declarator_1" );
	/*SUPPRESS 622*/
	assert_ac_parameter_type_list( ac_parameter_type_list_1, "ac_parameter_type_list_1" );
	kc_x->prod_sel = sel_AcDirectDeclProto;
	kc_x->u.AcDirectDeclProto.ac_direct_declarator_1 = ac_direct_declarator_1;
	kc_x->u.AcDirectDeclProto.ac_parameter_type_list_1 = ac_parameter_type_list_1;
	return kc_x;
}

ac_direct_declarator AcDirectDeclKandR
#ifdef KC_USE_PROTOTYPES
(ac_direct_declarator ac_direct_declarator_1, ac_identifier_list ac_identifier_list_1)
#else
(ac_direct_declarator_1, ac_identifier_list_1) ac_direct_declarator ac_direct_declarator_1;  ac_identifier_list ac_identifier_list_1; 
#endif
{	register ac_direct_declarator kc_x = (ac_direct_declarator) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_direct_declarator));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcDirectDeclKandR));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcDirectDeclKandR));
	/*SUPPRESS 622*/
	assert_ac_direct_declarator( ac_direct_declarator_1, "ac_direct_declarator_1" );
	/*SUPPRESS 622*/
	assert_ac_identifier_list( ac_identifier_list_1, "ac_identifier_list_1" );
	kc_x->prod_sel = sel_AcDirectDeclKandR;
	kc_x->u.AcDirectDeclKandR.ac_direct_declarator_1 = ac_direct_declarator_1;
	kc_x->u.AcDirectDeclKandR.ac_identifier_list_1 = ac_identifier_list_1;
	return kc_x;
}

ac_pointer_option Nopointer
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static ac_pointer_option kc_x = (ac_pointer_option)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nopointer));
	if (kc_x == (ac_pointer_option)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nopointer ));
		kc_x = (ac_pointer_option)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_ac_pointer_option), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nopointer;
	}
	return kc_x;
}

ac_pointer_option Yespointer
#ifdef KC_USE_PROTOTYPES
(ac_pointer ac_pointer_1)
#else
(ac_pointer_1) ac_pointer ac_pointer_1; 
#endif
{	register ac_pointer_option kc_x = (ac_pointer_option) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_pointer_option));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Yespointer));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Yespointer));
	/*SUPPRESS 622*/
	assert_ac_pointer( ac_pointer_1, "ac_pointer_1" );
	kc_x->prod_sel = sel_Yespointer;
	kc_x->u.Yespointer.ac_pointer_1 = ac_pointer_1;
	return kc_x;
}

ac_pointer AcPointerNil
#ifdef KC_USE_PROTOTYPES
(ac_type_qualifier_list ac_type_qualifier_list_1)
#else
(ac_type_qualifier_list_1) ac_type_qualifier_list ac_type_qualifier_list_1; 
#endif
{	register ac_pointer kc_x = (ac_pointer) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_pointer));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcPointerNil));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcPointerNil));
	/*SUPPRESS 622*/
	assert_ac_type_qualifier_list( ac_type_qualifier_list_1, "ac_type_qualifier_list_1" );
	kc_x->prod_sel = sel_AcPointerNil;
	kc_x->u.AcPointerNil.ac_type_qualifier_list_1 = ac_type_qualifier_list_1;
	return kc_x;
}

ac_pointer AcPointerCons
#ifdef KC_USE_PROTOTYPES
(ac_type_qualifier_list ac_type_qualifier_list_1, ac_pointer ac_pointer_1)
#else
(ac_type_qualifier_list_1, ac_pointer_1) ac_type_qualifier_list ac_type_qualifier_list_1;  ac_pointer ac_pointer_1; 
#endif
{	register ac_pointer kc_x = (ac_pointer) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_pointer));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcPointerCons));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcPointerCons));
	/*SUPPRESS 622*/
	assert_ac_type_qualifier_list( ac_type_qualifier_list_1, "ac_type_qualifier_list_1" );
	/*SUPPRESS 622*/
	assert_ac_pointer( ac_pointer_1, "ac_pointer_1" );
	kc_x->prod_sel = sel_AcPointerCons;
	kc_x->u.AcPointerCons.ac_type_qualifier_list_1 = ac_type_qualifier_list_1;
	kc_x->u.AcPointerCons.ac_pointer_1 = ac_pointer_1;
	return kc_x;
}

ac_type_qualifier_list Nilac_type_qualifier_list
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static ac_type_qualifier_list kc_x = (ac_type_qualifier_list)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilac_type_qualifier_list));
	if (kc_x == (ac_type_qualifier_list)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilac_type_qualifier_list ));
		kc_x = (ac_type_qualifier_list)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_ac_type_qualifier_list), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilac_type_qualifier_list;
	}
	return kc_x;
}

ac_type_qualifier_list Consac_type_qualifier_list
#ifdef KC_USE_PROTOTYPES
(ac_type_qualifier ac_type_qualifier_1, ac_type_qualifier_list ac_type_qualifier_list_1)
#else
(ac_type_qualifier_1, ac_type_qualifier_list_1) ac_type_qualifier ac_type_qualifier_1;  ac_type_qualifier_list ac_type_qualifier_list_1; 
#endif
{	register ac_type_qualifier_list kc_x = (ac_type_qualifier_list) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_type_qualifier_list));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consac_type_qualifier_list));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consac_type_qualifier_list));
	/*SUPPRESS 622*/
	assert_ac_type_qualifier( ac_type_qualifier_1, "ac_type_qualifier_1" );
	/*SUPPRESS 622*/
	assert_ac_type_qualifier_list( ac_type_qualifier_list_1, "ac_type_qualifier_list_1" );
	kc_x->prod_sel = sel_Consac_type_qualifier_list;
	kc_x->u.Consac_type_qualifier_list.ac_type_qualifier_1 = ac_type_qualifier_1;
	kc_x->u.Consac_type_qualifier_list.ac_type_qualifier_list_1 = ac_type_qualifier_list_1;
	return kc_x;
}

ac_parameter_type_list AcParList
#ifdef KC_USE_PROTOTYPES
(ac_parameter_list ac_parameter_list_1)
#else
(ac_parameter_list_1) ac_parameter_list ac_parameter_list_1; 
#endif
{	register ac_parameter_type_list kc_x = (ac_parameter_type_list) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_parameter_type_list));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcParList));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcParList));
	/*SUPPRESS 622*/
	assert_ac_parameter_list( ac_parameter_list_1, "ac_parameter_list_1" );
	kc_x->prod_sel = sel_AcParList;
	kc_x->u.AcParList.ac_parameter_list_1 = ac_parameter_list_1;
	return kc_x;
}

ac_parameter_type_list AcParList3Dot
#ifdef KC_USE_PROTOTYPES
(ac_parameter_list ac_parameter_list_1)
#else
(ac_parameter_list_1) ac_parameter_list ac_parameter_list_1; 
#endif
{	register ac_parameter_type_list kc_x = (ac_parameter_type_list) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_parameter_type_list));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcParList3Dot));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcParList3Dot));
	/*SUPPRESS 622*/
	assert_ac_parameter_list( ac_parameter_list_1, "ac_parameter_list_1" );
	kc_x->prod_sel = sel_AcParList3Dot;
	kc_x->u.AcParList3Dot.ac_parameter_list_1 = ac_parameter_list_1;
	return kc_x;
}

ac_parameter_list Nilac_parameter_list
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static ac_parameter_list kc_x = (ac_parameter_list)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilac_parameter_list));
	if (kc_x == (ac_parameter_list)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilac_parameter_list ));
		kc_x = (ac_parameter_list)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_ac_parameter_list), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilac_parameter_list;
	}
	return kc_x;
}

ac_parameter_list Consac_parameter_list
#ifdef KC_USE_PROTOTYPES
(ac_parameter_declaration ac_parameter_declaration_1, ac_parameter_list ac_parameter_list_1)
#else
(ac_parameter_declaration_1, ac_parameter_list_1) ac_parameter_declaration ac_parameter_declaration_1;  ac_parameter_list ac_parameter_list_1; 
#endif
{	register ac_parameter_list kc_x = (ac_parameter_list) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_parameter_list));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consac_parameter_list));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consac_parameter_list));
	/*SUPPRESS 622*/
	assert_ac_parameter_declaration( ac_parameter_declaration_1, "ac_parameter_declaration_1" );
	/*SUPPRESS 622*/
	assert_ac_parameter_list( ac_parameter_list_1, "ac_parameter_list_1" );
	kc_x->prod_sel = sel_Consac_parameter_list;
	kc_x->u.Consac_parameter_list.ac_parameter_declaration_1 = ac_parameter_declaration_1;
	kc_x->u.Consac_parameter_list.ac_parameter_list_1 = ac_parameter_list_1;
	return kc_x;
}

ac_parameter_declaration AcParDeclDecl
#ifdef KC_USE_PROTOTYPES
(ac_declaration_specifiers ac_declaration_specifiers_1, ac_declarator ac_declarator_1)
#else
(ac_declaration_specifiers_1, ac_declarator_1) ac_declaration_specifiers ac_declaration_specifiers_1;  ac_declarator ac_declarator_1; 
#endif
{	register ac_parameter_declaration kc_x = (ac_parameter_declaration) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_parameter_declaration));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcParDeclDecl));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcParDeclDecl));
	/*SUPPRESS 622*/
	assert_ac_declaration_specifiers( ac_declaration_specifiers_1, "ac_declaration_specifiers_1" );
	/*SUPPRESS 622*/
	assert_ac_declarator( ac_declarator_1, "ac_declarator_1" );
	kc_x->prod_sel = sel_AcParDeclDecl;
	kc_x->u.AcParDeclDecl.ac_declaration_specifiers_1 = ac_declaration_specifiers_1;
	kc_x->u.AcParDeclDecl.ac_declarator_1 = ac_declarator_1;
	return kc_x;
}

ac_parameter_declaration AcParDeclAbsdecl
#ifdef KC_USE_PROTOTYPES
(ac_declaration_specifiers ac_declaration_specifiers_1, ac_abstract_declarator ac_abstract_declarator_1)
#else
(ac_declaration_specifiers_1, ac_abstract_declarator_1) ac_declaration_specifiers ac_declaration_specifiers_1;  ac_abstract_declarator ac_abstract_declarator_1; 
#endif
{	register ac_parameter_declaration kc_x = (ac_parameter_declaration) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_parameter_declaration));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcParDeclAbsdecl));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcParDeclAbsdecl));
	/*SUPPRESS 622*/
	assert_ac_declaration_specifiers( ac_declaration_specifiers_1, "ac_declaration_specifiers_1" );
	/*SUPPRESS 622*/
	assert_ac_abstract_declarator( ac_abstract_declarator_1, "ac_abstract_declarator_1" );
	kc_x->prod_sel = sel_AcParDeclAbsdecl;
	kc_x->u.AcParDeclAbsdecl.ac_declaration_specifiers_1 = ac_declaration_specifiers_1;
	kc_x->u.AcParDeclAbsdecl.ac_abstract_declarator_1 = ac_abstract_declarator_1;
	return kc_x;
}

ac_identifier_list Nilac_identifier_list
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static ac_identifier_list kc_x = (ac_identifier_list)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilac_identifier_list));
	if (kc_x == (ac_identifier_list)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilac_identifier_list ));
		kc_x = (ac_identifier_list)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_ac_identifier_list), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilac_identifier_list;
	}
	return kc_x;
}

ac_identifier_list Consac_identifier_list
#ifdef KC_USE_PROTOTYPES
(ID ID_1, ac_identifier_list ac_identifier_list_1)
#else
(ID_1, ac_identifier_list_1) ID ID_1;  ac_identifier_list ac_identifier_list_1; 
#endif
{	register ac_identifier_list kc_x = (ac_identifier_list) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_identifier_list));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consac_identifier_list));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consac_identifier_list));
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_ac_identifier_list( ac_identifier_list_1, "ac_identifier_list_1" );
	kc_x->prod_sel = sel_Consac_identifier_list;
	kc_x->u.Consac_identifier_list.ID_1 = ID_1;
	kc_x->u.Consac_identifier_list.ac_identifier_list_1 = ac_identifier_list_1;
	return kc_x;
}

ac_abstract_declarator AcAbsdeclPointer
#ifdef KC_USE_PROTOTYPES
(ac_pointer ac_pointer_1)
#else
(ac_pointer_1) ac_pointer ac_pointer_1; 
#endif
{	register ac_abstract_declarator kc_x = (ac_abstract_declarator) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_abstract_declarator));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcAbsdeclPointer));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcAbsdeclPointer));
	/*SUPPRESS 622*/
	assert_ac_pointer( ac_pointer_1, "ac_pointer_1" );
	kc_x->prod_sel = sel_AcAbsdeclPointer;
	kc_x->u.AcAbsdeclPointer.ac_pointer_1 = ac_pointer_1;
	return kc_x;
}

ac_abstract_declarator AcAbsdeclDirdecl
#ifdef KC_USE_PROTOTYPES
(ac_pointer_option ac_pointer_option_1, ac_direct_abstract_declarator ac_direct_abstract_declarator_1)
#else
(ac_pointer_option_1, ac_direct_abstract_declarator_1) ac_pointer_option ac_pointer_option_1;  ac_direct_abstract_declarator ac_direct_abstract_declarator_1; 
#endif
{	register ac_abstract_declarator kc_x = (ac_abstract_declarator) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_abstract_declarator));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcAbsdeclDirdecl));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcAbsdeclDirdecl));
	/*SUPPRESS 622*/
	assert_ac_pointer_option( ac_pointer_option_1, "ac_pointer_option_1" );
	/*SUPPRESS 622*/
	assert_ac_direct_abstract_declarator( ac_direct_abstract_declarator_1, "ac_direct_abstract_declarator_1" );
	kc_x->prod_sel = sel_AcAbsdeclDirdecl;
	kc_x->u.AcAbsdeclDirdecl.ac_pointer_option_1 = ac_pointer_option_1;
	kc_x->u.AcAbsdeclDirdecl.ac_direct_abstract_declarator_1 = ac_direct_abstract_declarator_1;
	return kc_x;
}

ac_direct_abstract_declarator_option Noac_direct_abstract_declarator
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static ac_direct_abstract_declarator_option kc_x = (ac_direct_abstract_declarator_option)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Noac_direct_abstract_declarator));
	if (kc_x == (ac_direct_abstract_declarator_option)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Noac_direct_abstract_declarator ));
		kc_x = (ac_direct_abstract_declarator_option)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_ac_direct_abstract_declarator_option), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Noac_direct_abstract_declarator;
	}
	return kc_x;
}

ac_direct_abstract_declarator_option Yesac_direct_abstract_declarator
#ifdef KC_USE_PROTOTYPES
(ac_direct_abstract_declarator ac_direct_abstract_declarator_1)
#else
(ac_direct_abstract_declarator_1) ac_direct_abstract_declarator ac_direct_abstract_declarator_1; 
#endif
{	register ac_direct_abstract_declarator_option kc_x = (ac_direct_abstract_declarator_option) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_direct_abstract_declarator_option));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Yesac_direct_abstract_declarator));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Yesac_direct_abstract_declarator));
	/*SUPPRESS 622*/
	assert_ac_direct_abstract_declarator( ac_direct_abstract_declarator_1, "ac_direct_abstract_declarator_1" );
	kc_x->prod_sel = sel_Yesac_direct_abstract_declarator;
	kc_x->u.Yesac_direct_abstract_declarator.ac_direct_abstract_declarator_1 = ac_direct_abstract_declarator_1;
	return kc_x;
}

ac_direct_abstract_declarator AcDirAbsdeclPack
#ifdef KC_USE_PROTOTYPES
(ac_abstract_declarator ac_abstract_declarator_1)
#else
(ac_abstract_declarator_1) ac_abstract_declarator ac_abstract_declarator_1; 
#endif
{	register ac_direct_abstract_declarator kc_x = (ac_direct_abstract_declarator) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_direct_abstract_declarator));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcDirAbsdeclPack));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcDirAbsdeclPack));
	/*SUPPRESS 622*/
	assert_ac_abstract_declarator( ac_abstract_declarator_1, "ac_abstract_declarator_1" );
	kc_x->prod_sel = sel_AcDirAbsdeclPack;
	kc_x->u.AcDirAbsdeclPack.ac_abstract_declarator_1 = ac_abstract_declarator_1;
	return kc_x;
}

ac_direct_abstract_declarator AcDirAbsdeclArray
#ifdef KC_USE_PROTOTYPES
(ac_direct_abstract_declarator_option ac_direct_abstract_declarator_option_1, ac_constant_expression_option ac_constant_expression_option_1)
#else
(ac_direct_abstract_declarator_option_1, ac_constant_expression_option_1) ac_direct_abstract_declarator_option ac_direct_abstract_declarator_option_1;  ac_constant_expression_option ac_constant_expression_option_1; 
#endif
{	register ac_direct_abstract_declarator kc_x = (ac_direct_abstract_declarator) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_direct_abstract_declarator));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcDirAbsdeclArray));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcDirAbsdeclArray));
	/*SUPPRESS 622*/
	assert_ac_direct_abstract_declarator_option( ac_direct_abstract_declarator_option_1, "ac_direct_abstract_declarator_option_1" );
	/*SUPPRESS 622*/
	assert_ac_constant_expression_option( ac_constant_expression_option_1, "ac_constant_expression_option_1" );
	kc_x->prod_sel = sel_AcDirAbsdeclArray;
	kc_x->u.AcDirAbsdeclArray.ac_direct_abstract_declarator_option_1 = ac_direct_abstract_declarator_option_1;
	kc_x->u.AcDirAbsdeclArray.ac_constant_expression_option_1 = ac_constant_expression_option_1;
	return kc_x;
}

ac_direct_abstract_declarator AcDirAbsdeclFn
#ifdef KC_USE_PROTOTYPES
(ac_direct_abstract_declarator_option ac_direct_abstract_declarator_option_1, ac_parameter_type_list ac_parameter_type_list_1)
#else
(ac_direct_abstract_declarator_option_1, ac_parameter_type_list_1) ac_direct_abstract_declarator_option ac_direct_abstract_declarator_option_1;  ac_parameter_type_list ac_parameter_type_list_1; 
#endif
{	register ac_direct_abstract_declarator kc_x = (ac_direct_abstract_declarator) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_direct_abstract_declarator));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcDirAbsdeclFn));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcDirAbsdeclFn));
	/*SUPPRESS 622*/
	assert_ac_direct_abstract_declarator_option( ac_direct_abstract_declarator_option_1, "ac_direct_abstract_declarator_option_1" );
	/*SUPPRESS 622*/
	assert_ac_parameter_type_list( ac_parameter_type_list_1, "ac_parameter_type_list_1" );
	kc_x->prod_sel = sel_AcDirAbsdeclFn;
	kc_x->u.AcDirAbsdeclFn.ac_direct_abstract_declarator_option_1 = ac_direct_abstract_declarator_option_1;
	kc_x->u.AcDirAbsdeclFn.ac_parameter_type_list_1 = ac_parameter_type_list_1;
	return kc_x;
}

ac_constant_expression_option Yesac_constant_expression
#ifdef KC_USE_PROTOTYPES
(ac_constant_expression ac_constant_expression_1)
#else
(ac_constant_expression_1) ac_constant_expression ac_constant_expression_1; 
#endif
{	register ac_constant_expression_option kc_x = (ac_constant_expression_option) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_constant_expression_option));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Yesac_constant_expression));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Yesac_constant_expression));
	/*SUPPRESS 622*/
	assert_ac_constant_expression( ac_constant_expression_1, "ac_constant_expression_1" );
	kc_x->prod_sel = sel_Yesac_constant_expression;
	kc_x->u.Yesac_constant_expression.ac_constant_expression_1 = ac_constant_expression_1;
	return kc_x;
}

ac_constant_expression AcConstExpr
#ifdef KC_USE_PROTOTYPES
(Cexpression Cexpression_1)
#else
(Cexpression_1) Cexpression Cexpression_1; 
#endif
{	register ac_constant_expression kc_x = (ac_constant_expression) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_ac_constant_expression));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AcConstExpr));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AcConstExpr));
	/*SUPPRESS 622*/
	assert_Cexpression( Cexpression_1, "Cexpression_1" );
	kc_x->prod_sel = sel_AcConstExpr;
	kc_x->u.AcConstExpr.Cexpression_1 = Cexpression_1;
	return kc_x;
}

error Fatal
#ifdef KC_USE_PROTOTYPES
(fileline fileline_1, problem problem_1)
#else
(fileline_1, problem_1) fileline fileline_1;  problem problem_1; 
#endif
{	register error kc_x = (error) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_error));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Fatal));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Fatal));
	/*SUPPRESS 622*/
	assert_fileline( fileline_1, "fileline_1" );
	/*SUPPRESS 622*/
	assert_problem( problem_1, "problem_1" );
	kc_x->prod_sel = sel_Fatal;
	kc_x->u.Fatal.fileline_1 = fileline_1;
	kc_x->u.Fatal.problem_1 = problem_1;
	return kc_x;
}

error NonFatal
#ifdef KC_USE_PROTOTYPES
(fileline fileline_1, problem problem_1)
#else
(fileline_1, problem_1) fileline fileline_1;  problem problem_1; 
#endif
{	register error kc_x = (error) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_error));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_NonFatal));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_NonFatal));
	/*SUPPRESS 622*/
	assert_fileline( fileline_1, "fileline_1" );
	/*SUPPRESS 622*/
	assert_problem( problem_1, "problem_1" );
	kc_x->prod_sel = sel_NonFatal;
	kc_x->u.NonFatal.fileline_1 = fileline_1;
	kc_x->u.NonFatal.problem_1 = problem_1;
	return kc_x;
}

error Warning
#ifdef KC_USE_PROTOTYPES
(fileline fileline_1, problem problem_1)
#else
(fileline_1, problem_1) fileline fileline_1;  problem problem_1; 
#endif
{	register error kc_x = (error) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_error));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Warning));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Warning));
	/*SUPPRESS 622*/
	assert_fileline( fileline_1, "fileline_1" );
	/*SUPPRESS 622*/
	assert_problem( problem_1, "problem_1" );
	kc_x->prod_sel = sel_Warning;
	kc_x->u.Warning.fileline_1 = fileline_1;
	kc_x->u.Warning.problem_1 = problem_1;
	return kc_x;
}

problem Problem1
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1)
#else
(casestring_1) casestring casestring_1; 
#endif
{	register problem kc_x = (problem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_problem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Problem1));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Problem1));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	kc_x->prod_sel = sel_Problem1;
	kc_x->u.Problem1.casestring_1 = casestring_1;
	return kc_x;
}

problem Problem1ID
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1, ID ID_1)
#else
(casestring_1, ID_1) casestring casestring_1;  ID ID_1; 
#endif
{	register problem kc_x = (problem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_problem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Problem1ID));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Problem1ID));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_Problem1ID;
	kc_x->u.Problem1ID.casestring_1 = casestring_1;
	kc_x->u.Problem1ID.ID_1 = ID_1;
	return kc_x;
}

problem Problem1tID
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1, ID ID_1)
#else
(casestring_1, ID_1) casestring casestring_1;  ID ID_1; 
#endif
{	register problem kc_x = (problem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_problem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Problem1tID));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Problem1tID));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_Problem1tID;
	kc_x->u.Problem1tID.casestring_1 = casestring_1;
	kc_x->u.Problem1tID.ID_1 = ID_1;
	return kc_x;
}

problem Problem1we
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1, withexpression withexpression_1)
#else
(casestring_1, withexpression_1) casestring casestring_1;  withexpression withexpression_1; 
#endif
{	register problem kc_x = (problem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_problem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Problem1we));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Problem1we));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	/*SUPPRESS 622*/
	assert_withexpression( withexpression_1, "withexpression_1" );
	kc_x->prod_sel = sel_Problem1we;
	kc_x->u.Problem1we.casestring_1 = casestring_1;
	kc_x->u.Problem1we.withexpression_1 = withexpression_1;
	return kc_x;
}

problem Problem1ID1ID
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1, ID ID_1, casestring casestring_2, ID ID_2)
#else
(casestring_1, ID_1, casestring_2, ID_2) casestring casestring_1;  ID ID_1;  casestring casestring_2;  ID ID_2; 
#endif
{	register problem kc_x = (problem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_problem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Problem1ID1ID));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Problem1ID1ID));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_2, "casestring_2" );
	/*SUPPRESS 622*/
	assert_ID( ID_2, "ID_2" );
	kc_x->prod_sel = sel_Problem1ID1ID;
	kc_x->u.Problem1ID1ID.casestring_1 = casestring_1;
	kc_x->u.Problem1ID1ID.ID_1 = ID_1;
	kc_x->u.Problem1ID1ID.casestring_2 = casestring_2;
	kc_x->u.Problem1ID1ID.ID_2 = ID_2;
	return kc_x;
}

problem Problem1t1ID
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1, IDtype IDtype_1, casestring casestring_2, ID ID_1)
#else
(casestring_1, IDtype_1, casestring_2, ID_1) casestring casestring_1;  IDtype IDtype_1;  casestring casestring_2;  ID ID_1; 
#endif
{	register problem kc_x = (problem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_problem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Problem1t1ID));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Problem1t1ID));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	/*SUPPRESS 622*/
	assert_IDtype( IDtype_1, "IDtype_1" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_2, "casestring_2" );
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_Problem1t1ID;
	kc_x->u.Problem1t1ID.casestring_1 = casestring_1;
	kc_x->u.Problem1t1ID.IDtype_1 = IDtype_1;
	kc_x->u.Problem1t1ID.casestring_2 = casestring_2;
	kc_x->u.Problem1t1ID.ID_1 = ID_1;
	return kc_x;
}

problem Problem1INT
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1, INT INT_1)
#else
(casestring_1, INT_1) casestring casestring_1;  INT INT_1; 
#endif
{	register problem kc_x = (problem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_problem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Problem1INT));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Problem1INT));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	/*SUPPRESS 622*/
	assert_INT( INT_1, "INT_1" );
	kc_x->prod_sel = sel_Problem1INT;
	kc_x->u.Problem1INT.casestring_1 = casestring_1;
	kc_x->u.Problem1INT.INT_1 = INT_1;
	return kc_x;
}

problem Problem1int1
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1, int int_1, casestring casestring_2)
#else
(casestring_1, int_1, casestring_2) casestring casestring_1;  int int_1;  casestring casestring_2; 
#endif
{	register problem kc_x = (problem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_problem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Problem1int1));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Problem1int1));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	/*SUPPRESS 622*/
	assert_int( int_1, "int_1" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_2, "casestring_2" );
	kc_x->prod_sel = sel_Problem1int1;
	kc_x->u.Problem1int1.casestring_1 = casestring_1;
	kc_x->u.Problem1int1.int_1 = int_1;
	kc_x->u.Problem1int1.casestring_2 = casestring_2;
	return kc_x;
}

problem Problem1INT1ID
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1, INT INT_1, casestring casestring_2, ID ID_1)
#else
(casestring_1, INT_1, casestring_2, ID_1) casestring casestring_1;  INT INT_1;  casestring casestring_2;  ID ID_1; 
#endif
{	register problem kc_x = (problem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_problem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Problem1INT1ID));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Problem1INT1ID));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	/*SUPPRESS 622*/
	assert_INT( INT_1, "INT_1" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_2, "casestring_2" );
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_Problem1INT1ID;
	kc_x->u.Problem1INT1ID.casestring_1 = casestring_1;
	kc_x->u.Problem1INT1ID.INT_1 = INT_1;
	kc_x->u.Problem1INT1ID.casestring_2 = casestring_2;
	kc_x->u.Problem1INT1ID.ID_1 = ID_1;
	return kc_x;
}

problem Problem1ID1ID1ID
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1, ID ID_1, casestring casestring_2, ID ID_2, casestring casestring_3, ID ID_3)
#else
(casestring_1, ID_1, casestring_2, ID_2, casestring_3, ID_3) casestring casestring_1;  ID ID_1;  casestring casestring_2;  ID ID_2;  casestring casestring_3;  ID ID_3; 
#endif
{	register problem kc_x = (problem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_problem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Problem1ID1ID1ID));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Problem1ID1ID1ID));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_2, "casestring_2" );
	/*SUPPRESS 622*/
	assert_ID( ID_2, "ID_2" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_3, "casestring_3" );
	/*SUPPRESS 622*/
	assert_ID( ID_3, "ID_3" );
	kc_x->prod_sel = sel_Problem1ID1ID1ID;
	kc_x->u.Problem1ID1ID1ID.casestring_1 = casestring_1;
	kc_x->u.Problem1ID1ID1ID.ID_1 = ID_1;
	kc_x->u.Problem1ID1ID1ID.casestring_2 = casestring_2;
	kc_x->u.Problem1ID1ID1ID.ID_2 = ID_2;
	kc_x->u.Problem1ID1ID1ID.casestring_3 = casestring_3;
	kc_x->u.Problem1ID1ID1ID.ID_3 = ID_3;
	return kc_x;
}

problem Problem1INT1ID1ID
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1, INT INT_1, casestring casestring_2, ID ID_1, casestring casestring_3, ID ID_2)
#else
(casestring_1, INT_1, casestring_2, ID_1, casestring_3, ID_2) casestring casestring_1;  INT INT_1;  casestring casestring_2;  ID ID_1;  casestring casestring_3;  ID ID_2; 
#endif
{	register problem kc_x = (problem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_problem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Problem1INT1ID1ID));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Problem1INT1ID1ID));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	/*SUPPRESS 622*/
	assert_INT( INT_1, "INT_1" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_2, "casestring_2" );
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_3, "casestring_3" );
	/*SUPPRESS 622*/
	assert_ID( ID_2, "ID_2" );
	kc_x->prod_sel = sel_Problem1INT1ID1ID;
	kc_x->u.Problem1INT1ID1ID.casestring_1 = casestring_1;
	kc_x->u.Problem1INT1ID1ID.INT_1 = INT_1;
	kc_x->u.Problem1INT1ID1ID.casestring_2 = casestring_2;
	kc_x->u.Problem1INT1ID1ID.ID_1 = ID_1;
	kc_x->u.Problem1INT1ID1ID.casestring_3 = casestring_3;
	kc_x->u.Problem1INT1ID1ID.ID_2 = ID_2;
	return kc_x;
}

problem Problem1storageoption1ID
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1, storageoption storageoption_1, casestring casestring_2, ID ID_1)
#else
(casestring_1, storageoption_1, casestring_2, ID_1) casestring casestring_1;  storageoption storageoption_1;  casestring casestring_2;  ID ID_1; 
#endif
{	register problem kc_x = (problem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_problem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Problem1storageoption1ID));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Problem1storageoption1ID));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	/*SUPPRESS 622*/
	assert_storageoption( storageoption_1, "storageoption_1" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_2, "casestring_2" );
	/*SUPPRESS 622*/
	assert_ID( ID_1, "ID_1" );
	kc_x->prod_sel = sel_Problem1storageoption1ID;
	kc_x->u.Problem1storageoption1ID.casestring_1 = casestring_1;
	kc_x->u.Problem1storageoption1ID.storageoption_1 = storageoption_1;
	kc_x->u.Problem1storageoption1ID.casestring_2 = casestring_2;
	kc_x->u.Problem1storageoption1ID.ID_1 = ID_1;
	return kc_x;
}

problem Problem2
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1, casestring casestring_2)
#else
(casestring_1, casestring_2) casestring casestring_1;  casestring casestring_2; 
#endif
{	register problem kc_x = (problem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_problem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Problem2));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Problem2));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_2, "casestring_2" );
	kc_x->prod_sel = sel_Problem2;
	kc_x->u.Problem2.casestring_1 = casestring_1;
	kc_x->u.Problem2.casestring_2 = casestring_2;
	return kc_x;
}

problem Problem3
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1, casestring casestring_2, casestring casestring_3)
#else
(casestring_1, casestring_2, casestring_3) casestring casestring_1;  casestring casestring_2;  casestring casestring_3; 
#endif
{	register problem kc_x = (problem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_problem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Problem3));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Problem3));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_2, "casestring_2" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_3, "casestring_3" );
	kc_x->prod_sel = sel_Problem3;
	kc_x->u.Problem3.casestring_1 = casestring_1;
	kc_x->u.Problem3.casestring_2 = casestring_2;
	kc_x->u.Problem3.casestring_3 = casestring_3;
	return kc_x;
}

problem Problem3int1
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1, casestring casestring_2, casestring casestring_3, int int_1, casestring casestring_4)
#else
(casestring_1, casestring_2, casestring_3, int_1, casestring_4) casestring casestring_1;  casestring casestring_2;  casestring casestring_3;  int int_1;  casestring casestring_4; 
#endif
{	register problem kc_x = (problem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_problem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Problem3int1));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Problem3int1));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_2, "casestring_2" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_3, "casestring_3" );
	/*SUPPRESS 622*/
	assert_int( int_1, "int_1" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_4, "casestring_4" );
	kc_x->prod_sel = sel_Problem3int1;
	kc_x->u.Problem3int1.casestring_1 = casestring_1;
	kc_x->u.Problem3int1.casestring_2 = casestring_2;
	kc_x->u.Problem3int1.casestring_3 = casestring_3;
	kc_x->u.Problem3int1.int_1 = int_1;
	kc_x->u.Problem3int1.casestring_4 = casestring_4;
	return kc_x;
}

problem Problem4
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1, casestring casestring_2, casestring casestring_3, casestring casestring_4)
#else
(casestring_1, casestring_2, casestring_3, casestring_4) casestring casestring_1;  casestring casestring_2;  casestring casestring_3;  casestring casestring_4; 
#endif
{	register problem kc_x = (problem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_problem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Problem4));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Problem4));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_2, "casestring_2" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_3, "casestring_3" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_4, "casestring_4" );
	kc_x->prod_sel = sel_Problem4;
	kc_x->u.Problem4.casestring_1 = casestring_1;
	kc_x->u.Problem4.casestring_2 = casestring_2;
	kc_x->u.Problem4.casestring_3 = casestring_3;
	kc_x->u.Problem4.casestring_4 = casestring_4;
	return kc_x;
}

problem Problem5
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1, casestring casestring_2, casestring casestring_3, casestring casestring_4, casestring casestring_5)
#else
(casestring_1, casestring_2, casestring_3, casestring_4, casestring_5) casestring casestring_1;  casestring casestring_2;  casestring casestring_3;  casestring casestring_4;  casestring casestring_5; 
#endif
{	register problem kc_x = (problem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_problem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Problem5));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Problem5));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_2, "casestring_2" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_3, "casestring_3" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_4, "casestring_4" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_5, "casestring_5" );
	kc_x->prod_sel = sel_Problem5;
	kc_x->u.Problem5.casestring_1 = casestring_1;
	kc_x->u.Problem5.casestring_2 = casestring_2;
	kc_x->u.Problem5.casestring_3 = casestring_3;
	kc_x->u.Problem5.casestring_4 = casestring_4;
	kc_x->u.Problem5.casestring_5 = casestring_5;
	return kc_x;
}

problem Problem6
#ifdef KC_USE_PROTOTYPES
(casestring casestring_1, casestring casestring_2, casestring casestring_3, casestring casestring_4, casestring casestring_5, casestring casestring_6)
#else
(casestring_1, casestring_2, casestring_3, casestring_4, casestring_5, casestring_6) casestring casestring_1;  casestring casestring_2;  casestring casestring_3;  casestring casestring_4;  casestring casestring_5;  casestring casestring_6; 
#endif
{	register problem kc_x = (problem) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_problem));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Problem6));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Problem6));
	/*SUPPRESS 622*/
	assert_casestring( casestring_1, "casestring_1" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_2, "casestring_2" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_3, "casestring_3" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_4, "casestring_4" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_5, "casestring_5" );
	/*SUPPRESS 622*/
	assert_casestring( casestring_6, "casestring_6" );
	kc_x->prod_sel = sel_Problem6;
	kc_x->u.Problem6.casestring_1 = casestring_1;
	kc_x->u.Problem6.casestring_2 = casestring_2;
	kc_x->u.Problem6.casestring_3 = casestring_3;
	kc_x->u.Problem6.casestring_4 = casestring_4;
	kc_x->u.Problem6.casestring_5 = casestring_5;
	kc_x->u.Problem6.casestring_6 = casestring_6;
	return kc_x;
}

addedphylumdeclarations Niladdedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static addedphylumdeclarations kc_x = (addedphylumdeclarations)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Niladdedphylumdeclarations));
	if (kc_x == (addedphylumdeclarations)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Niladdedphylumdeclarations ));
		kc_x = (addedphylumdeclarations)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_addedphylumdeclarations), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Niladdedphylumdeclarations;
	}
	return kc_x;
}

addedphylumdeclarations Consaddedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(addedphylumdeclaration addedphylumdeclaration_1, addedphylumdeclarations addedphylumdeclarations_1)
#else
(addedphylumdeclaration_1, addedphylumdeclarations_1) addedphylumdeclaration addedphylumdeclaration_1;  addedphylumdeclarations addedphylumdeclarations_1; 
#endif
{	register addedphylumdeclarations kc_x = (addedphylumdeclarations) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_addedphylumdeclarations));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consaddedphylumdeclarations));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consaddedphylumdeclarations));
	/*SUPPRESS 622*/
	assert_addedphylumdeclaration( addedphylumdeclaration_1, "addedphylumdeclaration_1" );
	/*SUPPRESS 622*/
	assert_addedphylumdeclarations( addedphylumdeclarations_1, "addedphylumdeclarations_1" );
	kc_x->prod_sel = sel_Consaddedphylumdeclarations;
	kc_x->u.Consaddedphylumdeclarations.addedphylumdeclaration_1 = addedphylumdeclaration_1;
	kc_x->u.Consaddedphylumdeclarations.addedphylumdeclarations_1 = addedphylumdeclarations_1;
	return kc_x;
}

addedphylumdeclaration AddedPhylumdeclaration
#ifdef KC_USE_PROTOTYPES
(uniqID uniqID_1)
#else
(uniqID_1) uniqID uniqID_1; 
#endif
{	register addedphylumdeclaration kc_x = (addedphylumdeclaration) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_addedphylumdeclaration));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_AddedPhylumdeclaration));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_AddedPhylumdeclaration));
	/*SUPPRESS 622*/
	assert_uniqID( uniqID_1, "uniqID_1" );
	kc_x->prod_sel = sel_AddedPhylumdeclaration;
	kc_x->u.AddedPhylumdeclaration.uniqID_1 = uniqID_1;
	kc_x = kc_initialize_addedphylumdeclaration(kc_x);
	return kc_x;
}

countedphylumdeclarations Nilcountedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static countedphylumdeclarations kc_x = (countedphylumdeclarations)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilcountedphylumdeclarations));
	if (kc_x == (countedphylumdeclarations)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilcountedphylumdeclarations ));
		kc_x = (countedphylumdeclarations)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_countedphylumdeclarations), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilcountedphylumdeclarations;
	}
	return kc_x;
}

countedphylumdeclarations Conscountedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(countedphylumdeclaration countedphylumdeclaration_1, countedphylumdeclarations countedphylumdeclarations_1)
#else
(countedphylumdeclaration_1, countedphylumdeclarations_1) countedphylumdeclaration countedphylumdeclaration_1;  countedphylumdeclarations countedphylumdeclarations_1; 
#endif
{	register countedphylumdeclarations kc_x = (countedphylumdeclarations) NONUNIQMALLOC((kc_size_t)sizeof(struct kc_tag_countedphylumdeclarations));
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Conscountedphylumdeclarations));
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Conscountedphylumdeclarations));
	/*SUPPRESS 622*/
	assert_countedphylumdeclaration( countedphylumdeclaration_1, "countedphylumdeclaration_1" );
	/*SUPPRESS 622*/
	assert_countedphylumdeclarations( countedphylumdeclarations_1, "countedphylumdeclarations_1" );
	kc_x->prod_sel = sel_Conscountedphylumdeclarations;
	kc_x->u.Conscountedphylumdeclarations.countedphylumdeclaration_1 = countedphylumdeclaration_1;
	kc_x->u.Conscountedphylumdeclarations.countedphylumdeclarations_1 = countedphylumdeclarations_1;
	return kc_x;
}

countedphylumdeclaration CountedPhylumdeclaration
#ifdef KC_USE_PROTOTYPES
(uniqID uniqID_1)
#else
(uniqID_1) uniqID uniqID_1; 
#endif
{	register countedphylumdeclaration kc_x;
	int kc_i;
	register kc_hashtableentry_t* kc_hte;
	unsigned kc_hashval = (unsigned)0;
	YYSTYPE *kc_ptr, *kc_beyond;
	kc_hashtable_t kc_a_ht = kc_hashtables[(int)uniq];

	/*SUPPRESS 622*/
	assert_uniqID( uniqID_1, "uniqID_1" );
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_CountedPhylumdeclaration));
	OPERATORHASH((unsigned) sel_CountedPhylumdeclaration);
	HASH(uniqID_1);
	kc_hashval = kc_hashval%kc_a_ht->size;
	for (kc_i=0; kc_i < (int)kc_last_storage_mode; kc_i++) {
		kc_hte = &(kc_a_ht->hashtable[kc_hashval][kc_i]);
		if (kc_hte->nr != 0) {
			kc_beyond = &kc_hte->index[kc_hte->nr];
			for (kc_ptr = &kc_hte->index[0]; kc_ptr < kc_beyond; kc_ptr++){
				kc_x= kc_ptr->yt_countedphylumdeclaration;
				if ((kc_x->prod_sel == sel_CountedPhylumdeclaration)  && (kc_x->u.CountedPhylumdeclaration.uniqID_1 == uniqID_1) )
					return(kc_x);
	}	}	}
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_CountedPhylumdeclaration));
	kc_hte = &(kc_a_ht->hashtable[kc_hashval][(int)kc_a_ht->mode]);
	if (kc_hte->nr >= kc_hte->ibound) kc_growindex(kc_hte, kc_a_ht);
	kc_x = (countedphylumdeclaration)(*kc_a_ht->malloc)((kc_size_t)sizeof(struct kc_tag_countedphylumdeclaration), kc_a_ht->malloc_private_data);
	kc_x->prod_sel = sel_CountedPhylumdeclaration;
	kc_x->u.CountedPhylumdeclaration.uniqID_1 = uniqID_1;
	kc_hte->index[kc_hte->nr++].yt_countedphylumdeclaration = kc_x;
	kc_x = kc_initialize_countedphylumdeclaration(kc_x);
	return kc_x;
}

bindingidmarks Nilbindingidmarks
#ifdef KC_USE_PROTOTYPES
()
#else
()
#endif
{	static bindingidmarks kc_x = (bindingidmarks)0;
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Nilbindingidmarks));
	if (kc_x == (bindingidmarks)0) {
		KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Nilbindingidmarks ));
		kc_x = (bindingidmarks)(*kc_hashtables[(int)kc_uniq_nullary_operator]->malloc)((kc_size_t)sizeof(struct kc_tag_bindingidmarks), kc_hashtables[(int)kc_uniq_nullary_operator]->malloc_private_data);
		kc_x->prod_sel = sel_Nilbindingidmarks;
	}
	return kc_x;
}

bindingidmarks Consbindingidmarks
#ifdef KC_USE_PROTOTYPES
(bindingidmark bindingidmark_1, bindingidmarks bindingidmarks_1)
#else
(bindingidmark_1, bindingidmarks_1) bindingidmark bindingidmark_1;  bindingidmarks bindingidmarks_1; 
#endif
{	register bindingidmarks kc_x;
	int kc_i;
	register kc_hashtableentry_t* kc_hte;
	unsigned kc_hashval = (unsigned)0;
	YYSTYPE *kc_ptr, *kc_beyond;
	kc_hashtable_t kc_a_ht = kc_hashtables[(int)uniq];

	/*SUPPRESS 622*/
	assert_bindingidmark( bindingidmark_1, "bindingidmark_1" );
	/*SUPPRESS 622*/
	assert_bindingidmarks( bindingidmarks_1, "bindingidmarks_1" );
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_Consbindingidmarks));
	OPERATORHASH((unsigned) sel_Consbindingidmarks);
	HASH(bindingidmark_1);
	HASH(bindingidmarks_1);
	kc_hashval = kc_hashval%kc_a_ht->size;
	for (kc_i=0; kc_i < (int)kc_last_storage_mode; kc_i++) {
		kc_hte = &(kc_a_ht->hashtable[kc_hashval][kc_i]);
		if (kc_hte->nr != 0) {
			kc_beyond = &kc_hte->index[kc_hte->nr];
			for (kc_ptr = &kc_hte->index[0]; kc_ptr < kc_beyond; kc_ptr++){
				kc_x= kc_ptr->yt_bindingidmarks;
				if ((kc_x->prod_sel == sel_Consbindingidmarks)  && (kc_x->u.Consbindingidmarks.bindingidmark_1 == bindingidmark_1) && (kc_x->u.Consbindingidmarks.bindingidmarks_1 == bindingidmarks_1) )
					return(kc_x);
	}	}	}
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_Consbindingidmarks));
	kc_hte = &(kc_a_ht->hashtable[kc_hashval][(int)kc_a_ht->mode]);
	if (kc_hte->nr >= kc_hte->ibound) kc_growindex(kc_hte, kc_a_ht);
	kc_x = (bindingidmarks)(*kc_a_ht->malloc)((kc_size_t)sizeof(struct kc_tag_bindingidmarks), kc_a_ht->malloc_private_data);
	kc_x->prod_sel = sel_Consbindingidmarks;
	kc_x->u.Consbindingidmarks.bindingidmark_1 = bindingidmark_1;
	kc_x->u.Consbindingidmarks.bindingidmarks_1 = bindingidmarks_1;
	kc_hte->index[kc_hte->nr++].yt_bindingidmarks = kc_x;
	return kc_x;
}

bindingidmark BindingIdMark
#ifdef KC_USE_PROTOTYPES
(uniqID uniqID_1)
#else
(uniqID_1) uniqID uniqID_1; 
#endif
{	register bindingidmark kc_x;
	int kc_i;
	register kc_hashtableentry_t* kc_hte;
	unsigned kc_hashval = (unsigned)0;
	YYSTYPE *kc_ptr, *kc_beyond;
	kc_hashtable_t kc_a_ht = kc_hashtables[(int)uniq];

	/*SUPPRESS 622*/
	assert_uniqID( uniqID_1, "uniqID_1" );
	KC_COLLECT_STATS0(KC_CREATE_STATS(sel_BindingIdMark));
	OPERATORHASH((unsigned) sel_BindingIdMark);
	HASH(uniqID_1);
	kc_hashval = kc_hashval%kc_a_ht->size;
	for (kc_i=0; kc_i < (int)kc_last_storage_mode; kc_i++) {
		kc_hte = &(kc_a_ht->hashtable[kc_hashval][kc_i]);
		if (kc_hte->nr != 0) {
			kc_beyond = &kc_hte->index[kc_hte->nr];
			for (kc_ptr = &kc_hte->index[0]; kc_ptr < kc_beyond; kc_ptr++){
				kc_x= kc_ptr->yt_bindingidmark;
				if ((kc_x->prod_sel == sel_BindingIdMark)  && (kc_x->u.BindingIdMark.uniqID_1 == uniqID_1) )
					return(kc_x);
	}	}	}
	KC_COLLECT_STATS0(KC_EXISTINGNOTFOUND_STATS(sel_BindingIdMark));
	kc_hte = &(kc_a_ht->hashtable[kc_hashval][(int)kc_a_ht->mode]);
	if (kc_hte->nr >= kc_hte->ibound) kc_growindex(kc_hte, kc_a_ht);
	kc_x = (bindingidmark)(*kc_a_ht->malloc)((kc_size_t)sizeof(struct kc_tag_bindingidmark), kc_a_ht->malloc_private_data);
	kc_x->prod_sel = sel_BindingIdMark;
	kc_x->u.BindingIdMark.uniqID_1 = uniqID_1;
	kc_hte->index[kc_hte->nr++].yt_bindingidmark = kc_x;
	kc_x = kc_initialize_bindingidmark(kc_x);
	return kc_x;
}

char *kc_phylumname_or_error
#ifdef KC_USE_PROTOTYPES
(int kc_phylum)
#else
(kc_phylum) int kc_phylum;
#endif
{	if ((kc_phylum <= (int)kc_one_before_first_phylum) || (kc_phylum >= (int)kc_last_phylum)) {
		char *kc_strof_error;
		(void)sprintf((kc_strof_error=(char*)MALLOC(69)), "Internal Error: unknown phylum number: %d", kc_phylum);
		return kc_strof_error;
	} else {
		return kc_PhylumInfo[kc_phylum].name;
}	}


char *kc_operatorname_or_error
#ifdef KC_USE_PROTOTYPES
(int kc_operator)
#else
(kc_operator) int kc_operator;
#endif
{	if ((kc_operator <= (int)kc_one_before_first_operator) || (kc_operator >= (int)kc_last_operator)) {
		char *kc_strof_error;
		(void)sprintf((kc_strof_error=(char*)MALLOC(71)), "Internal Error: unknown operator number: %d", kc_operator);
		return kc_strof_error;
	} else {
		return kc_OperatorInfo[kc_operator].name;
}	}

/*ARGSUSED*/ static void kc_do_free_phylum
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_p, boolean kc_rec, kc_enum_phyla kc_phylum)
#else
(kc_p, kc_rec, kc_phylum) kc_voidptr_t kc_p; boolean kc_rec; kc_enum_phyla kc_phylum;
#endif
{	kc_enum_operators kc_prodsel;
	KC_OPERATOR_INFO *kc_op_info;
	/*SUPPRESS 622*/
	assertPhylum(((casestring)kc_p),"kc_p",kc_phylum);
	kc_prodsel = (kc_phylum == kc_phylum_int ? sel__Int :
                     (kc_phylum == kc_phylum_float ? sel__Real :
                     (kc_phylum == kc_phylum_voidptr ? sel__VoidPtr :
                     ((casestring)kc_p)->prod_sel)));
	kc_op_info = &kc_OperatorInfo[(int)kc_prodsel];
	KC_COLLECT_STATS0(KC_FREE_CALLED_STATS((int)kc_prodsel, kc_rec));
	if (! kc_op_info->uniq_stored) {
		if (kc_rec) {
			int kc_i;
			for (kc_i=0; kc_i < kc_op_info->no_sons; kc_i++) {
				kc_do_free_phylum( (kc_voidptr_t)KC_SUBPHYLUM(kc_p, kc_op_info->suboffset[kc_i]), kc_rec, kc_op_info->subphylum[kc_i] );
		}	}
		KC_COLLECT_STATS0(KC_FREED_STATS((int)kc_prodsel, kc_rec));
		KC_BZERO((kc_voidptr_t)kc_p, kc_PhylumInfo[(int)kc_phylum].size);
		NONUNIQFREE((kc_voidptr_t)kc_p);
}	}	
/*ARGSUSED*/ void free_nocasestring
#ifdef KC_USE_PROTOTYPES
(nocasestring kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) nocasestring kc_p; boolean kc_rec;
#endif
{ KC_COLLECT_STATS0(KC_FREE_CALLED_STATS((int)sel_NoCaseStr, kc_rec)); }
/*ARGSUSED*/ void free_casestring
#ifdef KC_USE_PROTOTYPES
(casestring kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) casestring kc_p; boolean kc_rec;
#endif
{ KC_COLLECT_STATS0(KC_FREE_CALLED_STATS((int)sel__Str, kc_rec)); }
/*ARGSUSED*/ void free_float
#ifdef KC_USE_PROTOTYPES
(float kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) float kc_p; boolean kc_rec;
#endif
{ KC_COLLECT_STATS0(KC_FREE_CALLED_STATS((int)sel__Real, kc_rec)); }
/*ARGSUSED*/ void free_int
#ifdef KC_USE_PROTOTYPES
(int kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) int kc_p; boolean kc_rec;
#endif
{ KC_COLLECT_STATS0(KC_FREE_CALLED_STATS((int)sel__Int, kc_rec)); }
/*ARGSUSED*/ void free_voidptr
#ifdef KC_USE_PROTOTYPES
(voidptr kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) voidptr kc_p; boolean kc_rec;
#endif
{ KC_COLLECT_STATS0(KC_FREE_CALLED_STATS((int)sel__VoidPtr, kc_rec)); }
/*ARGSUSED*/ void free_uniqID
#ifdef KC_USE_PROTOTYPES
(uniqID kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) uniqID kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_uniqID);  }
/*ARGSUSED*/ void free_ID
#ifdef KC_USE_PROTOTYPES
(ID kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ID kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ID);  }
/*ARGSUSED*/ void free_INT
#ifdef KC_USE_PROTOTYPES
(INT kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) INT kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_INT);  }
/*ARGSUSED*/ void free_STRING
#ifdef KC_USE_PROTOTYPES
(STRING kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) STRING kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_STRING);  }
/*ARGSUSED*/ void free_phylumdeclarationsroot
#ifdef KC_USE_PROTOTYPES
(phylumdeclarationsroot kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) phylumdeclarationsroot kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_phylumdeclarationsroot);  }
/*ARGSUSED*/ void free_phylumdeclarations
#ifdef KC_USE_PROTOTYPES
(phylumdeclarations kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) phylumdeclarations kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_phylumdeclarations);  }
/*ARGSUSED*/ void free_phylumnames
#ifdef KC_USE_PROTOTYPES
(phylumnames kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) phylumnames kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_phylumnames);  }
/*ARGSUSED*/ void free_phylumdeclaration
#ifdef KC_USE_PROTOTYPES
(phylumdeclaration kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) phylumdeclaration kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_phylumdeclaration);  }
/*ARGSUSED*/ void free_storageoption
#ifdef KC_USE_PROTOTYPES
(storageoption kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) storageoption kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_storageoption);  }
/*ARGSUSED*/ void free_storageclasses
#ifdef KC_USE_PROTOTYPES
(storageclasses kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) storageclasses kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_storageclasses);  }
/*ARGSUSED*/ void free_productionblock
#ifdef KC_USE_PROTOTYPES
(productionblock kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) productionblock kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_productionblock);  }
/*ARGSUSED*/ void free_alternatives
#ifdef KC_USE_PROTOTYPES
(alternatives kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) alternatives kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_alternatives);  }
/*ARGSUSED*/ void free_alternative
#ifdef KC_USE_PROTOTYPES
(alternative kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) alternative kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_alternative);  }
/*ARGSUSED*/ void free_arguments
#ifdef KC_USE_PROTOTYPES
(arguments kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) arguments kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_arguments);  }
/*ARGSUSED*/ void free_argument
#ifdef KC_USE_PROTOTYPES
(argument kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) argument kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_argument);  }
/*ARGSUSED*/ void free_Ccode_option
#ifdef KC_USE_PROTOTYPES
(Ccode_option kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) Ccode_option kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_Ccode_option);  }
/*ARGSUSED*/ void free_attributes
#ifdef KC_USE_PROTOTYPES
(attributes kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) attributes kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_attributes);  }
/*ARGSUSED*/ void free_attribute
#ifdef KC_USE_PROTOTYPES
(attribute kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) attribute kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_attribute);  }
/*ARGSUSED*/ void free_attribute_initialisation_option
#ifdef KC_USE_PROTOTYPES
(attribute_initialisation_option kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) attribute_initialisation_option kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_attribute_initialisation_option);  }
/*ARGSUSED*/ void free_Cexpression
#ifdef KC_USE_PROTOTYPES
(Cexpression kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) Cexpression kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_Cexpression);  }
/*ARGSUSED*/ void free_Cexpression_elem
#ifdef KC_USE_PROTOTYPES
(Cexpression_elem kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) Cexpression_elem kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_Cexpression_elem);  }
/*ARGSUSED*/ void free_CexpressionDQ
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) CexpressionDQ kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_CexpressionDQ);  }
/*ARGSUSED*/ void free_CexpressionDQ_elem
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ_elem kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) CexpressionDQ_elem kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_CexpressionDQ_elem);  }
/*ARGSUSED*/ void free_CexpressionSQ
#ifdef KC_USE_PROTOTYPES
(CexpressionSQ kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) CexpressionSQ kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_CexpressionSQ);  }
/*ARGSUSED*/ void free_CexpressionSQ_elem
#ifdef KC_USE_PROTOTYPES
(CexpressionSQ_elem kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) CexpressionSQ_elem kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_CexpressionSQ_elem);  }
/*ARGSUSED*/ void free_idCexpressions
#ifdef KC_USE_PROTOTYPES
(idCexpressions kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) idCexpressions kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_idCexpressions);  }
/*ARGSUSED*/ void free_idCexpression
#ifdef KC_USE_PROTOTYPES
(idCexpression kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) idCexpression kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_idCexpression);  }
/*ARGSUSED*/ void free_Ctexts
#ifdef KC_USE_PROTOTYPES
(Ctexts kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) Ctexts kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_Ctexts);  }
/*ARGSUSED*/ void free_includefiles
#ifdef KC_USE_PROTOTYPES
(includefiles kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) includefiles kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_includefiles);  }
/*ARGSUSED*/ void free_includefile
#ifdef KC_USE_PROTOTYPES
(includefile kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) includefile kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_includefile);  }
/*ARGSUSED*/ void free_includedeclarations
#ifdef KC_USE_PROTOTYPES
(includedeclarations kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) includedeclarations kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_includedeclarations);  }
/*ARGSUSED*/ void free_includedeclaration
#ifdef KC_USE_PROTOTYPES
(includedeclaration kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) includedeclaration kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_includedeclaration);  }
/*ARGSUSED*/ void free_includes
#ifdef KC_USE_PROTOTYPES
(includes kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) includes kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_includes);  }
/*ARGSUSED*/ void free_include
#ifdef KC_USE_PROTOTYPES
(include kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) include kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_include);  }
/*ARGSUSED*/ void free_rwdeclarations
#ifdef KC_USE_PROTOTYPES
(rwdeclarations kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) rwdeclarations kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_rwdeclarations);  }
/*ARGSUSED*/ void free_rwdeclaration
#ifdef KC_USE_PROTOTYPES
(rwdeclaration kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) rwdeclaration kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_rwdeclaration);  }
/*ARGSUSED*/ void free_rewriteclauses
#ifdef KC_USE_PROTOTYPES
(rewriteclauses kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) rewriteclauses kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_rewriteclauses);  }
/*ARGSUSED*/ void free_rewriteclause
#ifdef KC_USE_PROTOTYPES
(rewriteclause kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) rewriteclause kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_rewriteclause);  }
/*ARGSUSED*/ void free_patternchains
#ifdef KC_USE_PROTOTYPES
(patternchains kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) patternchains kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_patternchains);  }
/*ARGSUSED*/ void free_patternchain
#ifdef KC_USE_PROTOTYPES
(patternchain kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) patternchain kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_patternchain);  }
/*ARGSUSED*/ void free_outmostpatterns
#ifdef KC_USE_PROTOTYPES
(outmostpatterns kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) outmostpatterns kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_outmostpatterns);  }
/*ARGSUSED*/ void free_patternchainitem
#ifdef KC_USE_PROTOTYPES
(patternchainitem kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) patternchainitem kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_patternchainitem);  }
/*ARGSUSED*/ void free_outmostpattern
#ifdef KC_USE_PROTOTYPES
(outmostpattern kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) outmostpattern kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_outmostpattern);  }
/*ARGSUSED*/ void free_pattern
#ifdef KC_USE_PROTOTYPES
(pattern kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) pattern kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_pattern);  }
/*ARGSUSED*/ void free_patterns
#ifdef KC_USE_PROTOTYPES
(patterns kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) patterns kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_patterns);  }
/*ARGSUSED*/ void free_term
#ifdef KC_USE_PROTOTYPES
(term kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) term kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_term);  }
/*ARGSUSED*/ void free_terms
#ifdef KC_USE_PROTOTYPES
(terms kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) terms kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_terms);  }
/*ARGSUSED*/ void free_fnfiles
#ifdef KC_USE_PROTOTYPES
(fnfiles kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) fnfiles kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_fnfiles);  }
/*ARGSUSED*/ void free_fnfile
#ifdef KC_USE_PROTOTYPES
(fnfile kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) fnfile kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_fnfile);  }
/*ARGSUSED*/ void free_fndeclarations
#ifdef KC_USE_PROTOTYPES
(fndeclarations kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) fndeclarations kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_fndeclarations);  }
/*ARGSUSED*/ void free_fndeclaration
#ifdef KC_USE_PROTOTYPES
(fndeclaration kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) fndeclaration kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_fndeclaration);  }
/*ARGSUSED*/ void free_fnclass
#ifdef KC_USE_PROTOTYPES
(fnclass kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) fnclass kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_fnclass);  }
/*ARGSUSED*/ void free_fnarguments
#ifdef KC_USE_PROTOTYPES
(fnarguments kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) fnarguments kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_fnarguments);  }
/*ARGSUSED*/ void free_Cvariabledeclarations
#ifdef KC_USE_PROTOTYPES
(Cvariabledeclarations kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) Cvariabledeclarations kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_Cvariabledeclarations);  }
/*ARGSUSED*/ void free_Cvariabledeclaration
#ifdef KC_USE_PROTOTYPES
(Cvariabledeclaration kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) Cvariabledeclaration kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_Cvariabledeclaration);  }
/*ARGSUSED*/ void free_Cvariables
#ifdef KC_USE_PROTOTYPES
(Cvariables kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) Cvariables kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_Cvariables);  }
/*ARGSUSED*/ void free_Cvariable
#ifdef KC_USE_PROTOTYPES
(Cvariable kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) Cvariable kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_Cvariable);  }
/*ARGSUSED*/ void free_Ctext
#ifdef KC_USE_PROTOTYPES
(Ctext kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) Ctext kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_Ctext);  }
/*ARGSUSED*/ void free_Ctext_elem
#ifdef KC_USE_PROTOTYPES
(Ctext_elem kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) Ctext_elem kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_Ctext_elem);  }
/*ARGSUSED*/ void free_foreach_after
#ifdef KC_USE_PROTOTYPES
(foreach_after kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) foreach_after kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_foreach_after);  }
/*ARGSUSED*/ void free_contextinfo
#ifdef KC_USE_PROTOTYPES
(contextinfo kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) contextinfo kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_contextinfo);  }
/*ARGSUSED*/ void free_withexpressions
#ifdef KC_USE_PROTOTYPES
(withexpressions kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) withexpressions kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_withexpressions);  }
/*ARGSUSED*/ void free_withexpression
#ifdef KC_USE_PROTOTYPES
(withexpression kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) withexpression kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_withexpression);  }
/*ARGSUSED*/ void free_withcases
#ifdef KC_USE_PROTOTYPES
(withcases kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) withcases kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_withcases);  }
/*ARGSUSED*/ void free_withcase
#ifdef KC_USE_PROTOTYPES
(withcase kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) withcase kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_withcase);  }
/*ARGSUSED*/ void free_unparsedeclarations
#ifdef KC_USE_PROTOTYPES
(unparsedeclarations kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) unparsedeclarations kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_unparsedeclarations);  }
/*ARGSUSED*/ void free_unparsedeclaration
#ifdef KC_USE_PROTOTYPES
(unparsedeclaration kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) unparsedeclaration kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_unparsedeclaration);  }
/*ARGSUSED*/ void free_unparseclauses
#ifdef KC_USE_PROTOTYPES
(unparseclauses kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) unparseclauses kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_unparseclauses);  }
/*ARGSUSED*/ void free_unparseclause
#ifdef KC_USE_PROTOTYPES
(unparseclause kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) unparseclause kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_unparseclause);  }
/*ARGSUSED*/ void free_viewnames
#ifdef KC_USE_PROTOTYPES
(viewnames kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) viewnames kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_viewnames);  }
/*ARGSUSED*/ void free_unparseitems
#ifdef KC_USE_PROTOTYPES
(unparseitems kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) unparseitems kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_unparseitems);  }
/*ARGSUSED*/ void free_unparseitem
#ifdef KC_USE_PROTOTYPES
(unparseitem kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) unparseitem kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_unparseitem);  }
/*ARGSUSED*/ void free_unpsubterm
#ifdef KC_USE_PROTOTYPES
(unpsubterm kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) unpsubterm kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_unpsubterm);  }
/*ARGSUSED*/ void free_unpattributes
#ifdef KC_USE_PROTOTYPES
(unpattributes kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) unpattributes kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_unpattributes);  }
/*ARGSUSED*/ void free_viewnameoption
#ifdef KC_USE_PROTOTYPES
(viewnameoption kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) viewnameoption kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_viewnameoption);  }
/*ARGSUSED*/ void free_filelinestack
#ifdef KC_USE_PROTOTYPES
(filelinestack kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) filelinestack kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_filelinestack);  }
/*ARGSUSED*/ void free_fileline
#ifdef KC_USE_PROTOTYPES
(fileline kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) fileline kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_fileline);  }
/*ARGSUSED*/ void free_nooperatorsstack
#ifdef KC_USE_PROTOTYPES
(nooperatorsstack kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) nooperatorsstack kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_nooperatorsstack);  }
/*ARGSUSED*/ void free_scopetypefilelinestack
#ifdef KC_USE_PROTOTYPES
(scopetypefilelinestack kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) scopetypefilelinestack kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_scopetypefilelinestack);  }
/*ARGSUSED*/ void free_scopetypefileline
#ifdef KC_USE_PROTOTYPES
(scopetypefileline kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) scopetypefileline kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_scopetypefileline);  }
/*ARGSUSED*/ void free_IDtype
#ifdef KC_USE_PROTOTYPES
(IDtype kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) IDtype kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_IDtype);  }
/*ARGSUSED*/ void free_operatorsstack
#ifdef KC_USE_PROTOTYPES
(operatorsstack kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) operatorsstack kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_operatorsstack);  }
/*ARGSUSED*/ void free_operators
#ifdef KC_USE_PROTOTYPES
(operators kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) operators kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_operators);  }
/*ARGSUSED*/ void free_phyla
#ifdef KC_USE_PROTOTYPES
(phyla kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) phyla kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_phyla);  }
/*ARGSUSED*/ void free_variables
#ifdef KC_USE_PROTOTYPES
(variables kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) variables kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_variables);  }
/*ARGSUSED*/ void free_argumentsstack
#ifdef KC_USE_PROTOTYPES
(argumentsstack kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) argumentsstack kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_argumentsstack);  }
/*ARGSUSED*/ void free_phylumstack
#ifdef KC_USE_PROTOTYPES
(phylumstack kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) phylumstack kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_phylumstack);  }
/*ARGSUSED*/ void free_phylumnamesstack
#ifdef KC_USE_PROTOTYPES
(phylumnamesstack kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) phylumnamesstack kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_phylumnamesstack);  }
/*ARGSUSED*/ void free_withexpressionsstack
#ifdef KC_USE_PROTOTYPES
(withexpressionsstack kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) withexpressionsstack kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_withexpressionsstack);  }
/*ARGSUSED*/ void free_operatorstack
#ifdef KC_USE_PROTOTYPES
(operatorstack kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) operatorstack kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_operatorstack);  }
/*ARGSUSED*/ void free_variablesstack
#ifdef KC_USE_PROTOTYPES
(variablesstack kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) variablesstack kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_variablesstack);  }
/*ARGSUSED*/ void free_selvarstack
#ifdef KC_USE_PROTOTYPES
(selvarstack kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) selvarstack kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_selvarstack);  }
/*ARGSUSED*/ void free_dollarvarstatus
#ifdef KC_USE_PROTOTYPES
(dollarvarstatus kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) dollarvarstatus kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_dollarvarstatus);  }
/*ARGSUSED*/ void free_dollarvarsallowedstack
#ifdef KC_USE_PROTOTYPES
(dollarvarsallowedstack kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) dollarvarsallowedstack kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_dollarvarsallowedstack);  }
/*ARGSUSED*/ void free_intstack
#ifdef KC_USE_PROTOTYPES
(intstack kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) intstack kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_intstack);  }
/*ARGSUSED*/ void free_idCexpressionsstack
#ifdef KC_USE_PROTOTYPES
(idCexpressionsstack kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) idCexpressionsstack kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_idCexpressionsstack);  }
/*ARGSUSED*/ void free_two_phyla
#ifdef KC_USE_PROTOTYPES
(two_phyla kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) two_phyla kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_two_phyla);  }
/*ARGSUSED*/ void free_tribool
#ifdef KC_USE_PROTOTYPES
(tribool kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) tribool kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_tribool);  }
/*ARGSUSED*/ void free_patternrepresentations
#ifdef KC_USE_PROTOTYPES
(patternrepresentations kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) patternrepresentations kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_patternrepresentations);  }
/*ARGSUSED*/ void free_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(patternrepresentation kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) patternrepresentation kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_patternrepresentation);  }
/*ARGSUSED*/ void free_elem_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(elem_patternrepresentation kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) elem_patternrepresentation kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_elem_patternrepresentation);  }
/*ARGSUSED*/ void free_path
#ifdef KC_USE_PROTOTYPES
(path kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) path kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_path);  }
/*ARGSUSED*/ void free_paths
#ifdef KC_USE_PROTOTYPES
(paths kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) paths kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_paths);  }
/*ARGSUSED*/ void free_argsnumbers
#ifdef KC_USE_PROTOTYPES
(argsnumbers kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) argsnumbers kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_argsnumbers);  }
/*ARGSUSED*/ void free_rewriterulesinfo
#ifdef KC_USE_PROTOTYPES
(rewriterulesinfo kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) rewriterulesinfo kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_rewriterulesinfo);  }
/*ARGSUSED*/ void free_rewriteruleinfo
#ifdef KC_USE_PROTOTYPES
(rewriteruleinfo kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) rewriteruleinfo kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_rewriteruleinfo);  }
/*ARGSUSED*/ void free_withcasesinfo
#ifdef KC_USE_PROTOTYPES
(withcasesinfo kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) withcasesinfo kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_withcasesinfo);  }
/*ARGSUSED*/ void free_withcaseinfo
#ifdef KC_USE_PROTOTYPES
(withcaseinfo kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) withcaseinfo kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_withcaseinfo);  }
/*ARGSUSED*/ void free_rewriteviewsinfo
#ifdef KC_USE_PROTOTYPES
(rewriteviewsinfo kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) rewriteviewsinfo kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_rewriteviewsinfo);  }
/*ARGSUSED*/ void free_rewriteviewinfo
#ifdef KC_USE_PROTOTYPES
(rewriteviewinfo kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) rewriteviewinfo kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_rewriteviewinfo);  }
/*ARGSUSED*/ void free_unparseviewsinfo
#ifdef KC_USE_PROTOTYPES
(unparseviewsinfo kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) unparseviewsinfo kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_unparseviewsinfo);  }
/*ARGSUSED*/ void free_unparseviewinfo
#ifdef KC_USE_PROTOTYPES
(unparseviewinfo kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) unparseviewinfo kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_unparseviewinfo);  }
/*ARGSUSED*/ void free_unparsedeclsinfo
#ifdef KC_USE_PROTOTYPES
(unparsedeclsinfo kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) unparsedeclsinfo kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_unparsedeclsinfo);  }
/*ARGSUSED*/ void free_unparsedeclinfo
#ifdef KC_USE_PROTOTYPES
(unparsedeclinfo kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) unparsedeclinfo kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_unparsedeclinfo);  }
/*ARGSUSED*/ void free_ac_declaration
#ifdef KC_USE_PROTOTYPES
(ac_declaration kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_declaration kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_declaration);  }
/*ARGSUSED*/ void free_ac_declaration_list
#ifdef KC_USE_PROTOTYPES
(ac_declaration_list kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_declaration_list kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_declaration_list);  }
/*ARGSUSED*/ void free_ac_declaration_specifiers
#ifdef KC_USE_PROTOTYPES
(ac_declaration_specifiers kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_declaration_specifiers kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_declaration_specifiers);  }
/*ARGSUSED*/ void free_ac_declaration_specifier
#ifdef KC_USE_PROTOTYPES
(ac_declaration_specifier kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_declaration_specifier kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_declaration_specifier);  }
/*ARGSUSED*/ void free_ac_storage_class_specifier
#ifdef KC_USE_PROTOTYPES
(ac_storage_class_specifier kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_storage_class_specifier kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_storage_class_specifier);  }
/*ARGSUSED*/ void free_ac_type_specifier
#ifdef KC_USE_PROTOTYPES
(ac_type_specifier kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_type_specifier kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_type_specifier);  }
/*ARGSUSED*/ void free_ac_type_qualifier
#ifdef KC_USE_PROTOTYPES
(ac_type_qualifier kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_type_qualifier kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_type_qualifier);  }
/*ARGSUSED*/ void free_ac_init_declarator_list
#ifdef KC_USE_PROTOTYPES
(ac_init_declarator_list kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_init_declarator_list kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_init_declarator_list);  }
/*ARGSUSED*/ void free_ac_init_declarator
#ifdef KC_USE_PROTOTYPES
(ac_init_declarator kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_init_declarator kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_init_declarator);  }
/*ARGSUSED*/ void free_ac_declarator
#ifdef KC_USE_PROTOTYPES
(ac_declarator kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_declarator kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_declarator);  }
/*ARGSUSED*/ void free_ac_direct_declarator
#ifdef KC_USE_PROTOTYPES
(ac_direct_declarator kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_direct_declarator kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_direct_declarator);  }
/*ARGSUSED*/ void free_ac_pointer_option
#ifdef KC_USE_PROTOTYPES
(ac_pointer_option kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_pointer_option kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_pointer_option);  }
/*ARGSUSED*/ void free_ac_pointer
#ifdef KC_USE_PROTOTYPES
(ac_pointer kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_pointer kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_pointer);  }
/*ARGSUSED*/ void free_ac_type_qualifier_list
#ifdef KC_USE_PROTOTYPES
(ac_type_qualifier_list kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_type_qualifier_list kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_type_qualifier_list);  }
/*ARGSUSED*/ void free_ac_parameter_type_list
#ifdef KC_USE_PROTOTYPES
(ac_parameter_type_list kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_parameter_type_list kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_parameter_type_list);  }
/*ARGSUSED*/ void free_ac_parameter_list
#ifdef KC_USE_PROTOTYPES
(ac_parameter_list kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_parameter_list kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_parameter_list);  }
/*ARGSUSED*/ void free_ac_parameter_declaration
#ifdef KC_USE_PROTOTYPES
(ac_parameter_declaration kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_parameter_declaration kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_parameter_declaration);  }
/*ARGSUSED*/ void free_ac_identifier_list
#ifdef KC_USE_PROTOTYPES
(ac_identifier_list kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_identifier_list kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_identifier_list);  }
/*ARGSUSED*/ void free_ac_abstract_declarator
#ifdef KC_USE_PROTOTYPES
(ac_abstract_declarator kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_abstract_declarator kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_abstract_declarator);  }
/*ARGSUSED*/ void free_ac_direct_abstract_declarator_option
#ifdef KC_USE_PROTOTYPES
(ac_direct_abstract_declarator_option kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_direct_abstract_declarator_option kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_direct_abstract_declarator_option);  }
/*ARGSUSED*/ void free_ac_direct_abstract_declarator
#ifdef KC_USE_PROTOTYPES
(ac_direct_abstract_declarator kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_direct_abstract_declarator kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_direct_abstract_declarator);  }
/*ARGSUSED*/ void free_ac_constant_expression_option
#ifdef KC_USE_PROTOTYPES
(ac_constant_expression_option kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_constant_expression_option kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_constant_expression_option);  }
/*ARGSUSED*/ void free_ac_constant_expression
#ifdef KC_USE_PROTOTYPES
(ac_constant_expression kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) ac_constant_expression kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_ac_constant_expression);  }
/*ARGSUSED*/ void free_error
#ifdef KC_USE_PROTOTYPES
(error kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) error kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_error);  }
/*ARGSUSED*/ void free_problem
#ifdef KC_USE_PROTOTYPES
(problem kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) problem kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_problem);  }
/*ARGSUSED*/ void free_addedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(addedphylumdeclarations kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) addedphylumdeclarations kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_addedphylumdeclarations);  }
/*ARGSUSED*/ void free_addedphylumdeclaration
#ifdef KC_USE_PROTOTYPES
(addedphylumdeclaration kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) addedphylumdeclaration kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_addedphylumdeclaration);  }
/*ARGSUSED*/ void free_countedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(countedphylumdeclarations kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) countedphylumdeclarations kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_countedphylumdeclarations);  }
/*ARGSUSED*/ void free_countedphylumdeclaration
#ifdef KC_USE_PROTOTYPES
(countedphylumdeclaration kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) countedphylumdeclaration kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_countedphylumdeclaration);  }
/*ARGSUSED*/ void free_bindingidmarks
#ifdef KC_USE_PROTOTYPES
(bindingidmarks kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) bindingidmarks kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_bindingidmarks);  }
/*ARGSUSED*/ void free_bindingidmark
#ifdef KC_USE_PROTOTYPES
(bindingidmark kc_p, boolean kc_rec)
#else
(kc_p, kc_rec) bindingidmark kc_p; boolean kc_rec;
#endif
{ kc_do_free_phylum( (kc_voidptr_t)kc_p, kc_rec, kc_phylum_bindingidmark);  }
/*ARGSUSED*/ static boolean kc_do_eq_phylum
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_p1, kc_voidptr_t kc_p2, kc_enum_phyla kc_phylum)
#else
(kc_p1, kc_p2, kc_phylum) kc_voidptr_t kc_p1, kc_p2; kc_enum_phyla kc_phylum;
#endif
{	int kc_i;
	kc_enum_operators kc_prodsel;
	int kc_st;
	KC_OPERATOR_INFO *kc_op_info;
	kc_hashtable_t kc_a_ht;
	/*SUPPRESS 622*/
	assertReason(kc_phylum != kc_phylum_int, "kc_do_eq_phylum called with kc_phylum_int argument");
	/*SUPPRESS 622*/
	assertReason(kc_phylum != kc_phylum_float, "kc_do_eq_phylum called with kc_phylum_float argument");
	if (kc_p1 == kc_p2) return True;
	if (kc_phylum == kc_phylum_voidptr) return False;
	/*SUPPRESS 622*/
	assertPhylum(((casestring)kc_p1),"kc_p1",kc_phylum);
	/*SUPPRESS 622*/
	assertPhylum(((casestring)kc_p2),"kc_p2",kc_phylum);
	if ((kc_prodsel = ((casestring)kc_p1)->prod_sel) != ((casestring)kc_p2)->prod_sel) return False;
	kc_op_info = &kc_OperatorInfo[(int)kc_prodsel];
	kc_st = (int)kc_op_info->uniq_stored;
	kc_a_ht = kc_hashtables[kc_st];
	if (kc_st
	   && (kc_storageclass_still_uniq[kc_st]
	       || ((kc_a_ht->in_block != 0)
		  && (*kc_a_ht->in_block)((kc_voidptr_t)kc_p1, kc_a_ht->malloc_private_data)
		  && (*kc_a_ht->in_block)((kc_voidptr_t)kc_p2, kc_a_ht->malloc_private_data)))) return False;
	switch(kc_prodsel) {
	case (int)sel_Int:
		return ((eq_int(((INT)kc_p1)->u.Int.int_1, ((INT)kc_p2)->u.Int.int_1)) ? True : False);
	case (int)sel_Argument:
		return ((kc_do_eq_phylum((kc_voidptr_t)((argument)kc_p1)->u.Argument.ID_1, (kc_voidptr_t)((argument)kc_p2)->u.Argument.ID_1, kc_phylum_ID) &&
			eq_int(((argument)kc_p1)->u.Argument.int_1, ((argument)kc_p2)->u.Argument.int_1)) ? True : False);
	case (int)sel_CExpressionNl:
		return ((eq_int(((Cexpression_elem)kc_p1)->u.CExpressionNl.int_1, ((Cexpression_elem)kc_p2)->u.CExpressionNl.int_1)) ? True : False);
	case (int)sel_CExpressionDQNl:
		return ((eq_int(((CexpressionDQ_elem)kc_p1)->u.CExpressionDQNl.int_1, ((CexpressionDQ_elem)kc_p2)->u.CExpressionDQNl.int_1)) ? True : False);
	case (int)sel_CExpressionSQNl:
		return ((eq_int(((CexpressionSQ_elem)kc_p1)->u.CExpressionSQNl.int_1, ((CexpressionSQ_elem)kc_p2)->u.CExpressionSQNl.int_1)) ? True : False);
	case (int)sel_IncludeNl:
		return ((eq_int(((include)kc_p1)->u.IncludeNl.int_1, ((include)kc_p2)->u.IncludeNl.int_1)) ? True : False);
	case (int)sel_FnDeclaration:
		return ((kc_do_eq_phylum((kc_voidptr_t)((fndeclaration)kc_p1)->u.FnDeclaration.ID_1, (kc_voidptr_t)((fndeclaration)kc_p2)->u.FnDeclaration.ID_1, kc_phylum_ID) &&
			eq_int(((fndeclaration)kc_p1)->u.FnDeclaration.int_1, ((fndeclaration)kc_p2)->u.FnDeclaration.int_1) &&
			kc_do_eq_phylum((kc_voidptr_t)((fndeclaration)kc_p1)->u.FnDeclaration.ID_2, (kc_voidptr_t)((fndeclaration)kc_p2)->u.FnDeclaration.ID_2, kc_phylum_ID) &&
			kc_do_eq_phylum((kc_voidptr_t)((fndeclaration)kc_p1)->u.FnDeclaration.fnarguments_1, (kc_voidptr_t)((fndeclaration)kc_p2)->u.FnDeclaration.fnarguments_1, kc_phylum_fnarguments) &&
			kc_do_eq_phylum((kc_voidptr_t)((fndeclaration)kc_p1)->u.FnDeclaration.Cvariabledeclarations_1, (kc_voidptr_t)((fndeclaration)kc_p2)->u.FnDeclaration.Cvariabledeclarations_1, kc_phylum_Cvariabledeclarations) &&
			kc_do_eq_phylum((kc_voidptr_t)((fndeclaration)kc_p1)->u.FnDeclaration.Ctext_1, (kc_voidptr_t)((fndeclaration)kc_p2)->u.FnDeclaration.Ctext_1, kc_phylum_Ctext) &&
			kc_do_eq_phylum((kc_voidptr_t)((fndeclaration)kc_p1)->u.FnDeclaration.fnclass_1, (kc_voidptr_t)((fndeclaration)kc_p2)->u.FnDeclaration.fnclass_1, kc_phylum_fnclass)) ? True : False);
	case (int)sel_CVPointer:
		return ((eq_int(((Cvariable)kc_p1)->u.CVPointer.int_1, ((Cvariable)kc_p2)->u.CVPointer.int_1) &&
			kc_do_eq_phylum((kc_voidptr_t)((Cvariable)kc_p1)->u.CVPointer.ID_1, (kc_voidptr_t)((Cvariable)kc_p2)->u.CVPointer.ID_1, kc_phylum_ID)) ? True : False);
	case (int)sel_CVFunction:
		return ((eq_int(((Cvariable)kc_p1)->u.CVFunction.int_1, ((Cvariable)kc_p2)->u.CVFunction.int_1) &&
			eq_int(((Cvariable)kc_p1)->u.CVFunction.int_2, ((Cvariable)kc_p2)->u.CVFunction.int_2) &&
			kc_do_eq_phylum((kc_voidptr_t)((Cvariable)kc_p1)->u.CVFunction.ID_1, (kc_voidptr_t)((Cvariable)kc_p2)->u.CVFunction.ID_1, kc_phylum_ID)) ? True : False);
	case (int)sel_CTextNl:
		return ((eq_int(((Ctext_elem)kc_p1)->u.CTextNl.int_1, ((Ctext_elem)kc_p2)->u.CTextNl.int_1)) ? True : False);
	case (int)sel_FileLine:
		return ((kc_do_eq_phylum((kc_voidptr_t)((fileline)kc_p1)->u.FileLine.casestring_1, (kc_voidptr_t)((fileline)kc_p2)->u.FileLine.casestring_1, kc_phylum_casestring) &&
			eq_int(((fileline)kc_p1)->u.FileLine.int_1, ((fileline)kc_p2)->u.FileLine.int_1)) ? True : False);
	case (int)sel_Consnooperatorsstack:
		return ((eq_int(((nooperatorsstack)kc_p1)->u.Consnooperatorsstack.int_1, ((nooperatorsstack)kc_p2)->u.Consnooperatorsstack.int_1) &&
			kc_do_eq_phylum((kc_voidptr_t)((nooperatorsstack)kc_p1)->u.Consnooperatorsstack.nooperatorsstack_1, (kc_voidptr_t)((nooperatorsstack)kc_p2)->u.Consnooperatorsstack.nooperatorsstack_1, kc_phylum_nooperatorsstack)) ? True : False);
	case (int)sel_ScopeTypeFileLine:
		return ((eq_int(((scopetypefileline)kc_p1)->u.ScopeTypeFileLine.int_1, ((scopetypefileline)kc_p2)->u.ScopeTypeFileLine.int_1) &&
			kc_do_eq_phylum((kc_voidptr_t)((scopetypefileline)kc_p1)->u.ScopeTypeFileLine.IDtype_1, (kc_voidptr_t)((scopetypefileline)kc_p2)->u.ScopeTypeFileLine.IDtype_1, kc_phylum_IDtype) &&
			kc_do_eq_phylum((kc_voidptr_t)((scopetypefileline)kc_p1)->u.ScopeTypeFileLine.casestring_1, (kc_voidptr_t)((scopetypefileline)kc_p2)->u.ScopeTypeFileLine.casestring_1, kc_phylum_casestring) &&
			eq_int(((scopetypefileline)kc_p1)->u.ScopeTypeFileLine.int_2, ((scopetypefileline)kc_p2)->u.ScopeTypeFileLine.int_2)) ? True : False);
	case (int)sel_ITPatternVariable:
		return ((kc_do_eq_phylum((kc_voidptr_t)((IDtype)kc_p1)->u.ITPatternVariable.ID_1, (kc_voidptr_t)((IDtype)kc_p2)->u.ITPatternVariable.ID_1, kc_phylum_ID) &&
			eq_int(((IDtype)kc_p1)->u.ITPatternVariable.int_1, ((IDtype)kc_p2)->u.ITPatternVariable.int_1)) ? True : False);
	case (int)sel_Consintstack:
		return ((eq_int(((intstack)kc_p1)->u.Consintstack.int_1, ((intstack)kc_p2)->u.Consintstack.int_1) &&
			kc_do_eq_phylum((kc_voidptr_t)((intstack)kc_p1)->u.Consintstack.intstack_1, (kc_voidptr_t)((intstack)kc_p2)->u.Consintstack.intstack_1, kc_phylum_intstack)) ? True : False);
	case (int)sel_Conspath:
		return ((eq_int(((path)kc_p1)->u.Conspath.int_1, ((path)kc_p2)->u.Conspath.int_1) &&
			kc_do_eq_phylum((kc_voidptr_t)((path)kc_p1)->u.Conspath.path_1, (kc_voidptr_t)((path)kc_p2)->u.Conspath.path_1, kc_phylum_path)) ? True : False);
	case (int)sel_Consargsnumbers:
		return ((eq_int(((argsnumbers)kc_p1)->u.Consargsnumbers.int_1, ((argsnumbers)kc_p2)->u.Consargsnumbers.int_1) &&
			kc_do_eq_phylum((kc_voidptr_t)((argsnumbers)kc_p1)->u.Consargsnumbers.argsnumbers_1, (kc_voidptr_t)((argsnumbers)kc_p2)->u.Consargsnumbers.argsnumbers_1, kc_phylum_argsnumbers)) ? True : False);
	case (int)sel_Problem1int1:
		return ((kc_do_eq_phylum((kc_voidptr_t)((problem)kc_p1)->u.Problem1int1.casestring_1, (kc_voidptr_t)((problem)kc_p2)->u.Problem1int1.casestring_1, kc_phylum_casestring) &&
			eq_int(((problem)kc_p1)->u.Problem1int1.int_1, ((problem)kc_p2)->u.Problem1int1.int_1) &&
			kc_do_eq_phylum((kc_voidptr_t)((problem)kc_p1)->u.Problem1int1.casestring_2, (kc_voidptr_t)((problem)kc_p2)->u.Problem1int1.casestring_2, kc_phylum_casestring)) ? True : False);
	case (int)sel_Problem3int1:
		return ((kc_do_eq_phylum((kc_voidptr_t)((problem)kc_p1)->u.Problem3int1.casestring_1, (kc_voidptr_t)((problem)kc_p2)->u.Problem3int1.casestring_1, kc_phylum_casestring) &&
			kc_do_eq_phylum((kc_voidptr_t)((problem)kc_p1)->u.Problem3int1.casestring_2, (kc_voidptr_t)((problem)kc_p2)->u.Problem3int1.casestring_2, kc_phylum_casestring) &&
			kc_do_eq_phylum((kc_voidptr_t)((problem)kc_p1)->u.Problem3int1.casestring_3, (kc_voidptr_t)((problem)kc_p2)->u.Problem3int1.casestring_3, kc_phylum_casestring) &&
			eq_int(((problem)kc_p1)->u.Problem3int1.int_1, ((problem)kc_p2)->u.Problem3int1.int_1) &&
			kc_do_eq_phylum((kc_voidptr_t)((problem)kc_p1)->u.Problem3int1.casestring_4, (kc_voidptr_t)((problem)kc_p2)->u.Problem3int1.casestring_4, kc_phylum_casestring)) ? True : False);
	default:
	for (kc_i=0; kc_i < kc_op_info->no_sons; kc_i++) {
		if (! kc_do_eq_phylum( (kc_voidptr_t)KC_SUBPHYLUM(kc_p1, kc_op_info->suboffset[kc_i]), (kc_voidptr_t)KC_SUBPHYLUM(kc_p2, kc_op_info->suboffset[kc_i]), kc_op_info->subphylum[kc_i] )) {
			return False;
	}	}
	return True;
	}
}
/*ARGSUSED*/ boolean eq_nocasestring
#ifdef KC_USE_PROTOTYPES
(nocasestring kc_p1, nocasestring kc_p2)
#else
(kc_p1, kc_p2) nocasestring kc_p1, kc_p2;
#endif
{ return (boolean)(kc_p1 == kc_p2); }
/*ARGSUSED*/ boolean eq_casestring
#ifdef KC_USE_PROTOTYPES
(casestring kc_p1, casestring kc_p2)
#else
(kc_p1, kc_p2) casestring kc_p1, kc_p2;
#endif
{ return (boolean)(kc_p1 == kc_p2); }
/*ARGSUSED*/ boolean eq_float
#ifdef KC_USE_PROTOTYPES
(float kc_p1, float kc_p2)
#else
(kc_p1, kc_p2) float kc_p1, kc_p2;
#endif
{ return (boolean)(kc_p1 == kc_p2); }
/*ARGSUSED*/ boolean eq_int
#ifdef KC_USE_PROTOTYPES
(int kc_p1, int kc_p2)
#else
(kc_p1, kc_p2) int kc_p1, kc_p2;
#endif
{ return (boolean)(kc_p1 == kc_p2); }
/*ARGSUSED*/ boolean eq_voidptr
#ifdef KC_USE_PROTOTYPES
(voidptr kc_p1, voidptr kc_p2)
#else
(kc_p1, kc_p2) voidptr kc_p1, kc_p2;
#endif
{ return (boolean)(kc_p1 == kc_p2); }
/*ARGSUSED*/ boolean eq_uniqID
#ifdef KC_USE_PROTOTYPES
(uniqID kc_p1, uniqID  kc_p2)
#else
(kc_p1, kc_p2) uniqID kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_uniqID);  }
/*ARGSUSED*/ boolean eq_ID
#ifdef KC_USE_PROTOTYPES
(ID kc_p1, ID  kc_p2)
#else
(kc_p1, kc_p2) ID kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ID);  }
/*ARGSUSED*/ boolean eq_INT
#ifdef KC_USE_PROTOTYPES
(INT kc_p1, INT  kc_p2)
#else
(kc_p1, kc_p2) INT kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_INT);  }
/*ARGSUSED*/ boolean eq_STRING
#ifdef KC_USE_PROTOTYPES
(STRING kc_p1, STRING  kc_p2)
#else
(kc_p1, kc_p2) STRING kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_STRING);  }
/*ARGSUSED*/ boolean eq_phylumdeclarationsroot
#ifdef KC_USE_PROTOTYPES
(phylumdeclarationsroot kc_p1, phylumdeclarationsroot  kc_p2)
#else
(kc_p1, kc_p2) phylumdeclarationsroot kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_phylumdeclarationsroot);  }
/*ARGSUSED*/ boolean eq_phylumdeclarations
#ifdef KC_USE_PROTOTYPES
(phylumdeclarations kc_p1, phylumdeclarations  kc_p2)
#else
(kc_p1, kc_p2) phylumdeclarations kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_phylumdeclarations);  }
/*ARGSUSED*/ boolean eq_phylumnames
#ifdef KC_USE_PROTOTYPES
(phylumnames kc_p1, phylumnames  kc_p2)
#else
(kc_p1, kc_p2) phylumnames kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_phylumnames);  }
/*ARGSUSED*/ boolean eq_phylumdeclaration
#ifdef KC_USE_PROTOTYPES
(phylumdeclaration kc_p1, phylumdeclaration  kc_p2)
#else
(kc_p1, kc_p2) phylumdeclaration kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_phylumdeclaration);  }
/*ARGSUSED*/ boolean eq_storageoption
#ifdef KC_USE_PROTOTYPES
(storageoption kc_p1, storageoption  kc_p2)
#else
(kc_p1, kc_p2) storageoption kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_storageoption);  }
/*ARGSUSED*/ boolean eq_storageclasses
#ifdef KC_USE_PROTOTYPES
(storageclasses kc_p1, storageclasses  kc_p2)
#else
(kc_p1, kc_p2) storageclasses kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_storageclasses);  }
/*ARGSUSED*/ boolean eq_productionblock
#ifdef KC_USE_PROTOTYPES
(productionblock kc_p1, productionblock  kc_p2)
#else
(kc_p1, kc_p2) productionblock kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_productionblock);  }
/*ARGSUSED*/ boolean eq_alternatives
#ifdef KC_USE_PROTOTYPES
(alternatives kc_p1, alternatives  kc_p2)
#else
(kc_p1, kc_p2) alternatives kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_alternatives);  }
/*ARGSUSED*/ boolean eq_alternative
#ifdef KC_USE_PROTOTYPES
(alternative kc_p1, alternative  kc_p2)
#else
(kc_p1, kc_p2) alternative kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_alternative);  }
/*ARGSUSED*/ boolean eq_arguments
#ifdef KC_USE_PROTOTYPES
(arguments kc_p1, arguments  kc_p2)
#else
(kc_p1, kc_p2) arguments kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_arguments);  }
/*ARGSUSED*/ boolean eq_argument
#ifdef KC_USE_PROTOTYPES
(argument kc_p1, argument  kc_p2)
#else
(kc_p1, kc_p2) argument kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_argument);  }
/*ARGSUSED*/ boolean eq_Ccode_option
#ifdef KC_USE_PROTOTYPES
(Ccode_option kc_p1, Ccode_option  kc_p2)
#else
(kc_p1, kc_p2) Ccode_option kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_Ccode_option);  }
/*ARGSUSED*/ boolean eq_attributes
#ifdef KC_USE_PROTOTYPES
(attributes kc_p1, attributes  kc_p2)
#else
(kc_p1, kc_p2) attributes kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_attributes);  }
/*ARGSUSED*/ boolean eq_attribute
#ifdef KC_USE_PROTOTYPES
(attribute kc_p1, attribute  kc_p2)
#else
(kc_p1, kc_p2) attribute kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_attribute);  }
/*ARGSUSED*/ boolean eq_attribute_initialisation_option
#ifdef KC_USE_PROTOTYPES
(attribute_initialisation_option kc_p1, attribute_initialisation_option  kc_p2)
#else
(kc_p1, kc_p2) attribute_initialisation_option kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_attribute_initialisation_option);  }
/*ARGSUSED*/ boolean eq_Cexpression
#ifdef KC_USE_PROTOTYPES
(Cexpression kc_p1, Cexpression  kc_p2)
#else
(kc_p1, kc_p2) Cexpression kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_Cexpression);  }
/*ARGSUSED*/ boolean eq_Cexpression_elem
#ifdef KC_USE_PROTOTYPES
(Cexpression_elem kc_p1, Cexpression_elem  kc_p2)
#else
(kc_p1, kc_p2) Cexpression_elem kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_Cexpression_elem);  }
/*ARGSUSED*/ boolean eq_CexpressionDQ
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ kc_p1, CexpressionDQ  kc_p2)
#else
(kc_p1, kc_p2) CexpressionDQ kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_CexpressionDQ);  }
/*ARGSUSED*/ boolean eq_CexpressionDQ_elem
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ_elem kc_p1, CexpressionDQ_elem  kc_p2)
#else
(kc_p1, kc_p2) CexpressionDQ_elem kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_CexpressionDQ_elem);  }
/*ARGSUSED*/ boolean eq_CexpressionSQ
#ifdef KC_USE_PROTOTYPES
(CexpressionSQ kc_p1, CexpressionSQ  kc_p2)
#else
(kc_p1, kc_p2) CexpressionSQ kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_CexpressionSQ);  }
/*ARGSUSED*/ boolean eq_CexpressionSQ_elem
#ifdef KC_USE_PROTOTYPES
(CexpressionSQ_elem kc_p1, CexpressionSQ_elem  kc_p2)
#else
(kc_p1, kc_p2) CexpressionSQ_elem kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_CexpressionSQ_elem);  }
/*ARGSUSED*/ boolean eq_idCexpressions
#ifdef KC_USE_PROTOTYPES
(idCexpressions kc_p1, idCexpressions  kc_p2)
#else
(kc_p1, kc_p2) idCexpressions kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_idCexpressions);  }
/*ARGSUSED*/ boolean eq_idCexpression
#ifdef KC_USE_PROTOTYPES
(idCexpression kc_p1, idCexpression  kc_p2)
#else
(kc_p1, kc_p2) idCexpression kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_idCexpression);  }
/*ARGSUSED*/ boolean eq_Ctexts
#ifdef KC_USE_PROTOTYPES
(Ctexts kc_p1, Ctexts  kc_p2)
#else
(kc_p1, kc_p2) Ctexts kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_Ctexts);  }
/*ARGSUSED*/ boolean eq_includefiles
#ifdef KC_USE_PROTOTYPES
(includefiles kc_p1, includefiles  kc_p2)
#else
(kc_p1, kc_p2) includefiles kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_includefiles);  }
/*ARGSUSED*/ boolean eq_includefile
#ifdef KC_USE_PROTOTYPES
(includefile kc_p1, includefile  kc_p2)
#else
(kc_p1, kc_p2) includefile kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_includefile);  }
/*ARGSUSED*/ boolean eq_includedeclarations
#ifdef KC_USE_PROTOTYPES
(includedeclarations kc_p1, includedeclarations  kc_p2)
#else
(kc_p1, kc_p2) includedeclarations kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_includedeclarations);  }
/*ARGSUSED*/ boolean eq_includedeclaration
#ifdef KC_USE_PROTOTYPES
(includedeclaration kc_p1, includedeclaration  kc_p2)
#else
(kc_p1, kc_p2) includedeclaration kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_includedeclaration);  }
/*ARGSUSED*/ boolean eq_includes
#ifdef KC_USE_PROTOTYPES
(includes kc_p1, includes  kc_p2)
#else
(kc_p1, kc_p2) includes kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_includes);  }
/*ARGSUSED*/ boolean eq_include
#ifdef KC_USE_PROTOTYPES
(include kc_p1, include  kc_p2)
#else
(kc_p1, kc_p2) include kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_include);  }
/*ARGSUSED*/ boolean eq_rwdeclarations
#ifdef KC_USE_PROTOTYPES
(rwdeclarations kc_p1, rwdeclarations  kc_p2)
#else
(kc_p1, kc_p2) rwdeclarations kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_rwdeclarations);  }
/*ARGSUSED*/ boolean eq_rwdeclaration
#ifdef KC_USE_PROTOTYPES
(rwdeclaration kc_p1, rwdeclaration  kc_p2)
#else
(kc_p1, kc_p2) rwdeclaration kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_rwdeclaration);  }
/*ARGSUSED*/ boolean eq_rewriteclauses
#ifdef KC_USE_PROTOTYPES
(rewriteclauses kc_p1, rewriteclauses  kc_p2)
#else
(kc_p1, kc_p2) rewriteclauses kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_rewriteclauses);  }
/*ARGSUSED*/ boolean eq_rewriteclause
#ifdef KC_USE_PROTOTYPES
(rewriteclause kc_p1, rewriteclause  kc_p2)
#else
(kc_p1, kc_p2) rewriteclause kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_rewriteclause);  }
/*ARGSUSED*/ boolean eq_patternchains
#ifdef KC_USE_PROTOTYPES
(patternchains kc_p1, patternchains  kc_p2)
#else
(kc_p1, kc_p2) patternchains kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_patternchains);  }
/*ARGSUSED*/ boolean eq_patternchain
#ifdef KC_USE_PROTOTYPES
(patternchain kc_p1, patternchain  kc_p2)
#else
(kc_p1, kc_p2) patternchain kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_patternchain);  }
/*ARGSUSED*/ boolean eq_outmostpatterns
#ifdef KC_USE_PROTOTYPES
(outmostpatterns kc_p1, outmostpatterns  kc_p2)
#else
(kc_p1, kc_p2) outmostpatterns kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_outmostpatterns);  }
/*ARGSUSED*/ boolean eq_patternchainitem
#ifdef KC_USE_PROTOTYPES
(patternchainitem kc_p1, patternchainitem  kc_p2)
#else
(kc_p1, kc_p2) patternchainitem kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_patternchainitem);  }
/*ARGSUSED*/ boolean eq_outmostpattern
#ifdef KC_USE_PROTOTYPES
(outmostpattern kc_p1, outmostpattern  kc_p2)
#else
(kc_p1, kc_p2) outmostpattern kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_outmostpattern);  }
/*ARGSUSED*/ boolean eq_pattern
#ifdef KC_USE_PROTOTYPES
(pattern kc_p1, pattern  kc_p2)
#else
(kc_p1, kc_p2) pattern kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_pattern);  }
/*ARGSUSED*/ boolean eq_patterns
#ifdef KC_USE_PROTOTYPES
(patterns kc_p1, patterns  kc_p2)
#else
(kc_p1, kc_p2) patterns kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_patterns);  }
/*ARGSUSED*/ boolean eq_term
#ifdef KC_USE_PROTOTYPES
(term kc_p1, term  kc_p2)
#else
(kc_p1, kc_p2) term kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_term);  }
/*ARGSUSED*/ boolean eq_terms
#ifdef KC_USE_PROTOTYPES
(terms kc_p1, terms  kc_p2)
#else
(kc_p1, kc_p2) terms kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_terms);  }
/*ARGSUSED*/ boolean eq_fnfiles
#ifdef KC_USE_PROTOTYPES
(fnfiles kc_p1, fnfiles  kc_p2)
#else
(kc_p1, kc_p2) fnfiles kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_fnfiles);  }
/*ARGSUSED*/ boolean eq_fnfile
#ifdef KC_USE_PROTOTYPES
(fnfile kc_p1, fnfile  kc_p2)
#else
(kc_p1, kc_p2) fnfile kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_fnfile);  }
/*ARGSUSED*/ boolean eq_fndeclarations
#ifdef KC_USE_PROTOTYPES
(fndeclarations kc_p1, fndeclarations  kc_p2)
#else
(kc_p1, kc_p2) fndeclarations kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_fndeclarations);  }
/*ARGSUSED*/ boolean eq_fndeclaration
#ifdef KC_USE_PROTOTYPES
(fndeclaration kc_p1, fndeclaration  kc_p2)
#else
(kc_p1, kc_p2) fndeclaration kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_fndeclaration);  }
/*ARGSUSED*/ boolean eq_fnclass
#ifdef KC_USE_PROTOTYPES
(fnclass kc_p1, fnclass  kc_p2)
#else
(kc_p1, kc_p2) fnclass kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_fnclass);  }
/*ARGSUSED*/ boolean eq_fnarguments
#ifdef KC_USE_PROTOTYPES
(fnarguments kc_p1, fnarguments  kc_p2)
#else
(kc_p1, kc_p2) fnarguments kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_fnarguments);  }
/*ARGSUSED*/ boolean eq_Cvariabledeclarations
#ifdef KC_USE_PROTOTYPES
(Cvariabledeclarations kc_p1, Cvariabledeclarations  kc_p2)
#else
(kc_p1, kc_p2) Cvariabledeclarations kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_Cvariabledeclarations);  }
/*ARGSUSED*/ boolean eq_Cvariabledeclaration
#ifdef KC_USE_PROTOTYPES
(Cvariabledeclaration kc_p1, Cvariabledeclaration  kc_p2)
#else
(kc_p1, kc_p2) Cvariabledeclaration kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_Cvariabledeclaration);  }
/*ARGSUSED*/ boolean eq_Cvariables
#ifdef KC_USE_PROTOTYPES
(Cvariables kc_p1, Cvariables  kc_p2)
#else
(kc_p1, kc_p2) Cvariables kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_Cvariables);  }
/*ARGSUSED*/ boolean eq_Cvariable
#ifdef KC_USE_PROTOTYPES
(Cvariable kc_p1, Cvariable  kc_p2)
#else
(kc_p1, kc_p2) Cvariable kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_Cvariable);  }
/*ARGSUSED*/ boolean eq_Ctext
#ifdef KC_USE_PROTOTYPES
(Ctext kc_p1, Ctext  kc_p2)
#else
(kc_p1, kc_p2) Ctext kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_Ctext);  }
/*ARGSUSED*/ boolean eq_Ctext_elem
#ifdef KC_USE_PROTOTYPES
(Ctext_elem kc_p1, Ctext_elem  kc_p2)
#else
(kc_p1, kc_p2) Ctext_elem kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_Ctext_elem);  }
/*ARGSUSED*/ boolean eq_foreach_after
#ifdef KC_USE_PROTOTYPES
(foreach_after kc_p1, foreach_after  kc_p2)
#else
(kc_p1, kc_p2) foreach_after kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_foreach_after);  }
/*ARGSUSED*/ boolean eq_contextinfo
#ifdef KC_USE_PROTOTYPES
(contextinfo kc_p1, contextinfo  kc_p2)
#else
(kc_p1, kc_p2) contextinfo kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_contextinfo);  }
/*ARGSUSED*/ boolean eq_withexpressions
#ifdef KC_USE_PROTOTYPES
(withexpressions kc_p1, withexpressions  kc_p2)
#else
(kc_p1, kc_p2) withexpressions kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_withexpressions);  }
/*ARGSUSED*/ boolean eq_withexpression
#ifdef KC_USE_PROTOTYPES
(withexpression kc_p1, withexpression  kc_p2)
#else
(kc_p1, kc_p2) withexpression kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_withexpression);  }
/*ARGSUSED*/ boolean eq_withcases
#ifdef KC_USE_PROTOTYPES
(withcases kc_p1, withcases  kc_p2)
#else
(kc_p1, kc_p2) withcases kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_withcases);  }
/*ARGSUSED*/ boolean eq_withcase
#ifdef KC_USE_PROTOTYPES
(withcase kc_p1, withcase  kc_p2)
#else
(kc_p1, kc_p2) withcase kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_withcase);  }
/*ARGSUSED*/ boolean eq_unparsedeclarations
#ifdef KC_USE_PROTOTYPES
(unparsedeclarations kc_p1, unparsedeclarations  kc_p2)
#else
(kc_p1, kc_p2) unparsedeclarations kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_unparsedeclarations);  }
/*ARGSUSED*/ boolean eq_unparsedeclaration
#ifdef KC_USE_PROTOTYPES
(unparsedeclaration kc_p1, unparsedeclaration  kc_p2)
#else
(kc_p1, kc_p2) unparsedeclaration kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_unparsedeclaration);  }
/*ARGSUSED*/ boolean eq_unparseclauses
#ifdef KC_USE_PROTOTYPES
(unparseclauses kc_p1, unparseclauses  kc_p2)
#else
(kc_p1, kc_p2) unparseclauses kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_unparseclauses);  }
/*ARGSUSED*/ boolean eq_unparseclause
#ifdef KC_USE_PROTOTYPES
(unparseclause kc_p1, unparseclause  kc_p2)
#else
(kc_p1, kc_p2) unparseclause kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_unparseclause);  }
/*ARGSUSED*/ boolean eq_viewnames
#ifdef KC_USE_PROTOTYPES
(viewnames kc_p1, viewnames  kc_p2)
#else
(kc_p1, kc_p2) viewnames kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_viewnames);  }
/*ARGSUSED*/ boolean eq_unparseitems
#ifdef KC_USE_PROTOTYPES
(unparseitems kc_p1, unparseitems  kc_p2)
#else
(kc_p1, kc_p2) unparseitems kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_unparseitems);  }
/*ARGSUSED*/ boolean eq_unparseitem
#ifdef KC_USE_PROTOTYPES
(unparseitem kc_p1, unparseitem  kc_p2)
#else
(kc_p1, kc_p2) unparseitem kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_unparseitem);  }
/*ARGSUSED*/ boolean eq_unpsubterm
#ifdef KC_USE_PROTOTYPES
(unpsubterm kc_p1, unpsubterm  kc_p2)
#else
(kc_p1, kc_p2) unpsubterm kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_unpsubterm);  }
/*ARGSUSED*/ boolean eq_unpattributes
#ifdef KC_USE_PROTOTYPES
(unpattributes kc_p1, unpattributes  kc_p2)
#else
(kc_p1, kc_p2) unpattributes kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_unpattributes);  }
/*ARGSUSED*/ boolean eq_viewnameoption
#ifdef KC_USE_PROTOTYPES
(viewnameoption kc_p1, viewnameoption  kc_p2)
#else
(kc_p1, kc_p2) viewnameoption kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_viewnameoption);  }
/*ARGSUSED*/ boolean eq_filelinestack
#ifdef KC_USE_PROTOTYPES
(filelinestack kc_p1, filelinestack  kc_p2)
#else
(kc_p1, kc_p2) filelinestack kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_filelinestack);  }
/*ARGSUSED*/ boolean eq_fileline
#ifdef KC_USE_PROTOTYPES
(fileline kc_p1, fileline  kc_p2)
#else
(kc_p1, kc_p2) fileline kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_fileline);  }
/*ARGSUSED*/ boolean eq_nooperatorsstack
#ifdef KC_USE_PROTOTYPES
(nooperatorsstack kc_p1, nooperatorsstack  kc_p2)
#else
(kc_p1, kc_p2) nooperatorsstack kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_nooperatorsstack);  }
/*ARGSUSED*/ boolean eq_scopetypefilelinestack
#ifdef KC_USE_PROTOTYPES
(scopetypefilelinestack kc_p1, scopetypefilelinestack  kc_p2)
#else
(kc_p1, kc_p2) scopetypefilelinestack kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_scopetypefilelinestack);  }
/*ARGSUSED*/ boolean eq_scopetypefileline
#ifdef KC_USE_PROTOTYPES
(scopetypefileline kc_p1, scopetypefileline  kc_p2)
#else
(kc_p1, kc_p2) scopetypefileline kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_scopetypefileline);  }
/*ARGSUSED*/ boolean eq_IDtype
#ifdef KC_USE_PROTOTYPES
(IDtype kc_p1, IDtype  kc_p2)
#else
(kc_p1, kc_p2) IDtype kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_IDtype);  }
/*ARGSUSED*/ boolean eq_operatorsstack
#ifdef KC_USE_PROTOTYPES
(operatorsstack kc_p1, operatorsstack  kc_p2)
#else
(kc_p1, kc_p2) operatorsstack kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_operatorsstack);  }
/*ARGSUSED*/ boolean eq_operators
#ifdef KC_USE_PROTOTYPES
(operators kc_p1, operators  kc_p2)
#else
(kc_p1, kc_p2) operators kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_operators);  }
/*ARGSUSED*/ boolean eq_phyla
#ifdef KC_USE_PROTOTYPES
(phyla kc_p1, phyla  kc_p2)
#else
(kc_p1, kc_p2) phyla kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_phyla);  }
/*ARGSUSED*/ boolean eq_variables
#ifdef KC_USE_PROTOTYPES
(variables kc_p1, variables  kc_p2)
#else
(kc_p1, kc_p2) variables kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_variables);  }
/*ARGSUSED*/ boolean eq_argumentsstack
#ifdef KC_USE_PROTOTYPES
(argumentsstack kc_p1, argumentsstack  kc_p2)
#else
(kc_p1, kc_p2) argumentsstack kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_argumentsstack);  }
/*ARGSUSED*/ boolean eq_phylumstack
#ifdef KC_USE_PROTOTYPES
(phylumstack kc_p1, phylumstack  kc_p2)
#else
(kc_p1, kc_p2) phylumstack kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_phylumstack);  }
/*ARGSUSED*/ boolean eq_phylumnamesstack
#ifdef KC_USE_PROTOTYPES
(phylumnamesstack kc_p1, phylumnamesstack  kc_p2)
#else
(kc_p1, kc_p2) phylumnamesstack kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_phylumnamesstack);  }
/*ARGSUSED*/ boolean eq_withexpressionsstack
#ifdef KC_USE_PROTOTYPES
(withexpressionsstack kc_p1, withexpressionsstack  kc_p2)
#else
(kc_p1, kc_p2) withexpressionsstack kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_withexpressionsstack);  }
/*ARGSUSED*/ boolean eq_operatorstack
#ifdef KC_USE_PROTOTYPES
(operatorstack kc_p1, operatorstack  kc_p2)
#else
(kc_p1, kc_p2) operatorstack kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_operatorstack);  }
/*ARGSUSED*/ boolean eq_variablesstack
#ifdef KC_USE_PROTOTYPES
(variablesstack kc_p1, variablesstack  kc_p2)
#else
(kc_p1, kc_p2) variablesstack kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_variablesstack);  }
/*ARGSUSED*/ boolean eq_selvarstack
#ifdef KC_USE_PROTOTYPES
(selvarstack kc_p1, selvarstack  kc_p2)
#else
(kc_p1, kc_p2) selvarstack kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_selvarstack);  }
/*ARGSUSED*/ boolean eq_dollarvarstatus
#ifdef KC_USE_PROTOTYPES
(dollarvarstatus kc_p1, dollarvarstatus  kc_p2)
#else
(kc_p1, kc_p2) dollarvarstatus kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_dollarvarstatus);  }
/*ARGSUSED*/ boolean eq_dollarvarsallowedstack
#ifdef KC_USE_PROTOTYPES
(dollarvarsallowedstack kc_p1, dollarvarsallowedstack  kc_p2)
#else
(kc_p1, kc_p2) dollarvarsallowedstack kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_dollarvarsallowedstack);  }
/*ARGSUSED*/ boolean eq_intstack
#ifdef KC_USE_PROTOTYPES
(intstack kc_p1, intstack  kc_p2)
#else
(kc_p1, kc_p2) intstack kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_intstack);  }
/*ARGSUSED*/ boolean eq_idCexpressionsstack
#ifdef KC_USE_PROTOTYPES
(idCexpressionsstack kc_p1, idCexpressionsstack  kc_p2)
#else
(kc_p1, kc_p2) idCexpressionsstack kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_idCexpressionsstack);  }
/*ARGSUSED*/ boolean eq_two_phyla
#ifdef KC_USE_PROTOTYPES
(two_phyla kc_p1, two_phyla  kc_p2)
#else
(kc_p1, kc_p2) two_phyla kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_two_phyla);  }
/*ARGSUSED*/ boolean eq_tribool
#ifdef KC_USE_PROTOTYPES
(tribool kc_p1, tribool  kc_p2)
#else
(kc_p1, kc_p2) tribool kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_tribool);  }
/*ARGSUSED*/ boolean eq_patternrepresentations
#ifdef KC_USE_PROTOTYPES
(patternrepresentations kc_p1, patternrepresentations  kc_p2)
#else
(kc_p1, kc_p2) patternrepresentations kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_patternrepresentations);  }
/*ARGSUSED*/ boolean eq_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(patternrepresentation kc_p1, patternrepresentation  kc_p2)
#else
(kc_p1, kc_p2) patternrepresentation kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_patternrepresentation);  }
/*ARGSUSED*/ boolean eq_elem_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(elem_patternrepresentation kc_p1, elem_patternrepresentation  kc_p2)
#else
(kc_p1, kc_p2) elem_patternrepresentation kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_elem_patternrepresentation);  }
/*ARGSUSED*/ boolean eq_path
#ifdef KC_USE_PROTOTYPES
(path kc_p1, path  kc_p2)
#else
(kc_p1, kc_p2) path kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_path);  }
/*ARGSUSED*/ boolean eq_paths
#ifdef KC_USE_PROTOTYPES
(paths kc_p1, paths  kc_p2)
#else
(kc_p1, kc_p2) paths kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_paths);  }
/*ARGSUSED*/ boolean eq_argsnumbers
#ifdef KC_USE_PROTOTYPES
(argsnumbers kc_p1, argsnumbers  kc_p2)
#else
(kc_p1, kc_p2) argsnumbers kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_argsnumbers);  }
/*ARGSUSED*/ boolean eq_rewriterulesinfo
#ifdef KC_USE_PROTOTYPES
(rewriterulesinfo kc_p1, rewriterulesinfo  kc_p2)
#else
(kc_p1, kc_p2) rewriterulesinfo kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_rewriterulesinfo);  }
/*ARGSUSED*/ boolean eq_rewriteruleinfo
#ifdef KC_USE_PROTOTYPES
(rewriteruleinfo kc_p1, rewriteruleinfo  kc_p2)
#else
(kc_p1, kc_p2) rewriteruleinfo kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_rewriteruleinfo);  }
/*ARGSUSED*/ boolean eq_withcasesinfo
#ifdef KC_USE_PROTOTYPES
(withcasesinfo kc_p1, withcasesinfo  kc_p2)
#else
(kc_p1, kc_p2) withcasesinfo kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_withcasesinfo);  }
/*ARGSUSED*/ boolean eq_withcaseinfo
#ifdef KC_USE_PROTOTYPES
(withcaseinfo kc_p1, withcaseinfo  kc_p2)
#else
(kc_p1, kc_p2) withcaseinfo kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_withcaseinfo);  }
/*ARGSUSED*/ boolean eq_rewriteviewsinfo
#ifdef KC_USE_PROTOTYPES
(rewriteviewsinfo kc_p1, rewriteviewsinfo  kc_p2)
#else
(kc_p1, kc_p2) rewriteviewsinfo kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_rewriteviewsinfo);  }
/*ARGSUSED*/ boolean eq_rewriteviewinfo
#ifdef KC_USE_PROTOTYPES
(rewriteviewinfo kc_p1, rewriteviewinfo  kc_p2)
#else
(kc_p1, kc_p2) rewriteviewinfo kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_rewriteviewinfo);  }
/*ARGSUSED*/ boolean eq_unparseviewsinfo
#ifdef KC_USE_PROTOTYPES
(unparseviewsinfo kc_p1, unparseviewsinfo  kc_p2)
#else
(kc_p1, kc_p2) unparseviewsinfo kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_unparseviewsinfo);  }
/*ARGSUSED*/ boolean eq_unparseviewinfo
#ifdef KC_USE_PROTOTYPES
(unparseviewinfo kc_p1, unparseviewinfo  kc_p2)
#else
(kc_p1, kc_p2) unparseviewinfo kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_unparseviewinfo);  }
/*ARGSUSED*/ boolean eq_unparsedeclsinfo
#ifdef KC_USE_PROTOTYPES
(unparsedeclsinfo kc_p1, unparsedeclsinfo  kc_p2)
#else
(kc_p1, kc_p2) unparsedeclsinfo kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_unparsedeclsinfo);  }
/*ARGSUSED*/ boolean eq_unparsedeclinfo
#ifdef KC_USE_PROTOTYPES
(unparsedeclinfo kc_p1, unparsedeclinfo  kc_p2)
#else
(kc_p1, kc_p2) unparsedeclinfo kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_unparsedeclinfo);  }
/*ARGSUSED*/ boolean eq_ac_declaration
#ifdef KC_USE_PROTOTYPES
(ac_declaration kc_p1, ac_declaration  kc_p2)
#else
(kc_p1, kc_p2) ac_declaration kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_declaration);  }
/*ARGSUSED*/ boolean eq_ac_declaration_list
#ifdef KC_USE_PROTOTYPES
(ac_declaration_list kc_p1, ac_declaration_list  kc_p2)
#else
(kc_p1, kc_p2) ac_declaration_list kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_declaration_list);  }
/*ARGSUSED*/ boolean eq_ac_declaration_specifiers
#ifdef KC_USE_PROTOTYPES
(ac_declaration_specifiers kc_p1, ac_declaration_specifiers  kc_p2)
#else
(kc_p1, kc_p2) ac_declaration_specifiers kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_declaration_specifiers);  }
/*ARGSUSED*/ boolean eq_ac_declaration_specifier
#ifdef KC_USE_PROTOTYPES
(ac_declaration_specifier kc_p1, ac_declaration_specifier  kc_p2)
#else
(kc_p1, kc_p2) ac_declaration_specifier kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_declaration_specifier);  }
/*ARGSUSED*/ boolean eq_ac_storage_class_specifier
#ifdef KC_USE_PROTOTYPES
(ac_storage_class_specifier kc_p1, ac_storage_class_specifier  kc_p2)
#else
(kc_p1, kc_p2) ac_storage_class_specifier kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_storage_class_specifier);  }
/*ARGSUSED*/ boolean eq_ac_type_specifier
#ifdef KC_USE_PROTOTYPES
(ac_type_specifier kc_p1, ac_type_specifier  kc_p2)
#else
(kc_p1, kc_p2) ac_type_specifier kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_type_specifier);  }
/*ARGSUSED*/ boolean eq_ac_type_qualifier
#ifdef KC_USE_PROTOTYPES
(ac_type_qualifier kc_p1, ac_type_qualifier  kc_p2)
#else
(kc_p1, kc_p2) ac_type_qualifier kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_type_qualifier);  }
/*ARGSUSED*/ boolean eq_ac_init_declarator_list
#ifdef KC_USE_PROTOTYPES
(ac_init_declarator_list kc_p1, ac_init_declarator_list  kc_p2)
#else
(kc_p1, kc_p2) ac_init_declarator_list kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_init_declarator_list);  }
/*ARGSUSED*/ boolean eq_ac_init_declarator
#ifdef KC_USE_PROTOTYPES
(ac_init_declarator kc_p1, ac_init_declarator  kc_p2)
#else
(kc_p1, kc_p2) ac_init_declarator kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_init_declarator);  }
/*ARGSUSED*/ boolean eq_ac_declarator
#ifdef KC_USE_PROTOTYPES
(ac_declarator kc_p1, ac_declarator  kc_p2)
#else
(kc_p1, kc_p2) ac_declarator kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_declarator);  }
/*ARGSUSED*/ boolean eq_ac_direct_declarator
#ifdef KC_USE_PROTOTYPES
(ac_direct_declarator kc_p1, ac_direct_declarator  kc_p2)
#else
(kc_p1, kc_p2) ac_direct_declarator kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_direct_declarator);  }
/*ARGSUSED*/ boolean eq_ac_pointer_option
#ifdef KC_USE_PROTOTYPES
(ac_pointer_option kc_p1, ac_pointer_option  kc_p2)
#else
(kc_p1, kc_p2) ac_pointer_option kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_pointer_option);  }
/*ARGSUSED*/ boolean eq_ac_pointer
#ifdef KC_USE_PROTOTYPES
(ac_pointer kc_p1, ac_pointer  kc_p2)
#else
(kc_p1, kc_p2) ac_pointer kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_pointer);  }
/*ARGSUSED*/ boolean eq_ac_type_qualifier_list
#ifdef KC_USE_PROTOTYPES
(ac_type_qualifier_list kc_p1, ac_type_qualifier_list  kc_p2)
#else
(kc_p1, kc_p2) ac_type_qualifier_list kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_type_qualifier_list);  }
/*ARGSUSED*/ boolean eq_ac_parameter_type_list
#ifdef KC_USE_PROTOTYPES
(ac_parameter_type_list kc_p1, ac_parameter_type_list  kc_p2)
#else
(kc_p1, kc_p2) ac_parameter_type_list kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_parameter_type_list);  }
/*ARGSUSED*/ boolean eq_ac_parameter_list
#ifdef KC_USE_PROTOTYPES
(ac_parameter_list kc_p1, ac_parameter_list  kc_p2)
#else
(kc_p1, kc_p2) ac_parameter_list kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_parameter_list);  }
/*ARGSUSED*/ boolean eq_ac_parameter_declaration
#ifdef KC_USE_PROTOTYPES
(ac_parameter_declaration kc_p1, ac_parameter_declaration  kc_p2)
#else
(kc_p1, kc_p2) ac_parameter_declaration kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_parameter_declaration);  }
/*ARGSUSED*/ boolean eq_ac_identifier_list
#ifdef KC_USE_PROTOTYPES
(ac_identifier_list kc_p1, ac_identifier_list  kc_p2)
#else
(kc_p1, kc_p2) ac_identifier_list kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_identifier_list);  }
/*ARGSUSED*/ boolean eq_ac_abstract_declarator
#ifdef KC_USE_PROTOTYPES
(ac_abstract_declarator kc_p1, ac_abstract_declarator  kc_p2)
#else
(kc_p1, kc_p2) ac_abstract_declarator kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_abstract_declarator);  }
/*ARGSUSED*/ boolean eq_ac_direct_abstract_declarator_option
#ifdef KC_USE_PROTOTYPES
(ac_direct_abstract_declarator_option kc_p1, ac_direct_abstract_declarator_option  kc_p2)
#else
(kc_p1, kc_p2) ac_direct_abstract_declarator_option kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_direct_abstract_declarator_option);  }
/*ARGSUSED*/ boolean eq_ac_direct_abstract_declarator
#ifdef KC_USE_PROTOTYPES
(ac_direct_abstract_declarator kc_p1, ac_direct_abstract_declarator  kc_p2)
#else
(kc_p1, kc_p2) ac_direct_abstract_declarator kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_direct_abstract_declarator);  }
/*ARGSUSED*/ boolean eq_ac_constant_expression_option
#ifdef KC_USE_PROTOTYPES
(ac_constant_expression_option kc_p1, ac_constant_expression_option  kc_p2)
#else
(kc_p1, kc_p2) ac_constant_expression_option kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_constant_expression_option);  }
/*ARGSUSED*/ boolean eq_ac_constant_expression
#ifdef KC_USE_PROTOTYPES
(ac_constant_expression kc_p1, ac_constant_expression  kc_p2)
#else
(kc_p1, kc_p2) ac_constant_expression kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_constant_expression);  }
/*ARGSUSED*/ boolean eq_error
#ifdef KC_USE_PROTOTYPES
(error kc_p1, error  kc_p2)
#else
(kc_p1, kc_p2) error kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_error);  }
/*ARGSUSED*/ boolean eq_problem
#ifdef KC_USE_PROTOTYPES
(problem kc_p1, problem  kc_p2)
#else
(kc_p1, kc_p2) problem kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_problem);  }
/*ARGSUSED*/ boolean eq_addedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(addedphylumdeclarations kc_p1, addedphylumdeclarations  kc_p2)
#else
(kc_p1, kc_p2) addedphylumdeclarations kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_addedphylumdeclarations);  }
/*ARGSUSED*/ boolean eq_addedphylumdeclaration
#ifdef KC_USE_PROTOTYPES
(addedphylumdeclaration kc_p1, addedphylumdeclaration  kc_p2)
#else
(kc_p1, kc_p2) addedphylumdeclaration kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_addedphylumdeclaration);  }
/*ARGSUSED*/ boolean eq_countedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(countedphylumdeclarations kc_p1, countedphylumdeclarations  kc_p2)
#else
(kc_p1, kc_p2) countedphylumdeclarations kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_countedphylumdeclarations);  }
/*ARGSUSED*/ boolean eq_countedphylumdeclaration
#ifdef KC_USE_PROTOTYPES
(countedphylumdeclaration kc_p1, countedphylumdeclaration  kc_p2)
#else
(kc_p1, kc_p2) countedphylumdeclaration kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_countedphylumdeclaration);  }
/*ARGSUSED*/ boolean eq_bindingidmarks
#ifdef KC_USE_PROTOTYPES
(bindingidmarks kc_p1, bindingidmarks  kc_p2)
#else
(kc_p1, kc_p2) bindingidmarks kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_bindingidmarks);  }
/*ARGSUSED*/ boolean eq_bindingidmark
#ifdef KC_USE_PROTOTYPES
(bindingidmark kc_p1, bindingidmark  kc_p2)
#else
(kc_p1, kc_p2) bindingidmark kc_p1, kc_p2;
#endif
{ return kc_do_eq_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_bindingidmark);  }
static int kc_indentation = 0;
static char *kc_printformat_not_nullair_open = "%*s%s(\n";
static char *kc_printformat_not_nullair_close = "%*s)\n";
static char *kc_printformat_nullair = "%*s%s()\n";

static void kc_do_print_phylum
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, kc_voidptr_t kc_p, kc_enum_phyla kc_phylum)
#else
(kc_f, kc_p, kc_phylum) FILE *kc_f; kc_voidptr_t kc_p; kc_enum_phyla kc_phylum;
#endif
{	int kc_i;

	/*SUPPRESS 622*/
	assertReason(kc_phylum != kc_phylum_int, "kc_do_print_phylum called with kc_phylum_int argument");
	/*SUPPRESS 622*/
	assertReason(kc_phylum != kc_phylum_float, "kc_do_print_phylum called with kc_phylum_float argument");
	/*SUPPRESS 622*/
	assertPhylum(((casestring)kc_p),"kc_p",kc_phylum);
	if (!kc_f) kc_f = stdout;
	if (kc_phylum == kc_phylum_voidptr) {
		(void)fprintf(kc_f, "%*s%p\n", kc_indentation, "", kc_p);
	} else if ((kc_phylum == kc_phylum_casestring) || (kc_phylum == kc_phylum_nocasestring)) {
		(void)fprintf(kc_f, "%*s%s\n", kc_indentation, "", ((casestring)kc_p)->name);
	} else {
		kc_enum_operators kc_prodsel = ((casestring)kc_p)->prod_sel;
		KC_OPERATOR_INFO *kc_op_info = &kc_OperatorInfo[(int)kc_prodsel];
		if (! kc_op_info->no_sons) {
			(void)fprintf(kc_f, kc_printformat_nullair, kc_indentation, "", kc_op_info->name);
		} else {
			(void)fprintf(kc_f, kc_printformat_not_nullair_open, kc_indentation, "", kc_op_info->name);
			kc_indentation++;
			switch(kc_prodsel) {
			case (int)sel_Int: {
				fprint_int(kc_f, ((INT)kc_p)->u.Int.int_1);
			break; }
			case (int)sel_Argument: {
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((argument)kc_p)->u.Argument.ID_1, kc_phylum_ID );
				fprint_int(kc_f, ((argument)kc_p)->u.Argument.int_1);
			break; }
			case (int)sel_CExpressionNl: {
				fprint_int(kc_f, ((Cexpression_elem)kc_p)->u.CExpressionNl.int_1);
			break; }
			case (int)sel_CExpressionDQNl: {
				fprint_int(kc_f, ((CexpressionDQ_elem)kc_p)->u.CExpressionDQNl.int_1);
			break; }
			case (int)sel_CExpressionSQNl: {
				fprint_int(kc_f, ((CexpressionSQ_elem)kc_p)->u.CExpressionSQNl.int_1);
			break; }
			case (int)sel_IncludeNl: {
				fprint_int(kc_f, ((include)kc_p)->u.IncludeNl.int_1);
			break; }
			case (int)sel_FnDeclaration: {
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.ID_1, kc_phylum_ID );
				fprint_int(kc_f, ((fndeclaration)kc_p)->u.FnDeclaration.int_1);
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.ID_2, kc_phylum_ID );
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.fnarguments_1, kc_phylum_fnarguments );
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.Cvariabledeclarations_1, kc_phylum_Cvariabledeclarations );
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.Ctext_1, kc_phylum_Ctext );
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.fnclass_1, kc_phylum_fnclass );
			break; }
			case (int)sel_CVPointer: {
				fprint_int(kc_f, ((Cvariable)kc_p)->u.CVPointer.int_1);
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((Cvariable)kc_p)->u.CVPointer.ID_1, kc_phylum_ID );
			break; }
			case (int)sel_CVFunction: {
				fprint_int(kc_f, ((Cvariable)kc_p)->u.CVFunction.int_1);
				fprint_int(kc_f, ((Cvariable)kc_p)->u.CVFunction.int_2);
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((Cvariable)kc_p)->u.CVFunction.ID_1, kc_phylum_ID );
			break; }
			case (int)sel_CTextNl: {
				fprint_int(kc_f, ((Ctext_elem)kc_p)->u.CTextNl.int_1);
			break; }
			case (int)sel_FileLine: {
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((fileline)kc_p)->u.FileLine.casestring_1, kc_phylum_casestring );
				fprint_int(kc_f, ((fileline)kc_p)->u.FileLine.int_1);
			break; }
			case (int)sel_Consnooperatorsstack: {
				fprint_int(kc_f, ((nooperatorsstack)kc_p)->u.Consnooperatorsstack.int_1);
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((nooperatorsstack)kc_p)->u.Consnooperatorsstack.nooperatorsstack_1, kc_phylum_nooperatorsstack );
			break; }
			case (int)sel_ScopeTypeFileLine: {
				fprint_int(kc_f, ((scopetypefileline)kc_p)->u.ScopeTypeFileLine.int_1);
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((scopetypefileline)kc_p)->u.ScopeTypeFileLine.IDtype_1, kc_phylum_IDtype );
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((scopetypefileline)kc_p)->u.ScopeTypeFileLine.casestring_1, kc_phylum_casestring );
				fprint_int(kc_f, ((scopetypefileline)kc_p)->u.ScopeTypeFileLine.int_2);
			break; }
			case (int)sel_ITPatternVariable: {
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((IDtype)kc_p)->u.ITPatternVariable.ID_1, kc_phylum_ID );
				fprint_int(kc_f, ((IDtype)kc_p)->u.ITPatternVariable.int_1);
			break; }
			case (int)sel_Consintstack: {
				fprint_int(kc_f, ((intstack)kc_p)->u.Consintstack.int_1);
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((intstack)kc_p)->u.Consintstack.intstack_1, kc_phylum_intstack );
			break; }
			case (int)sel_Conspath: {
				fprint_int(kc_f, ((path)kc_p)->u.Conspath.int_1);
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((path)kc_p)->u.Conspath.path_1, kc_phylum_path );
			break; }
			case (int)sel_Consargsnumbers: {
				fprint_int(kc_f, ((argsnumbers)kc_p)->u.Consargsnumbers.int_1);
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((argsnumbers)kc_p)->u.Consargsnumbers.argsnumbers_1, kc_phylum_argsnumbers );
			break; }
			case (int)sel_Problem1int1: {
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((problem)kc_p)->u.Problem1int1.casestring_1, kc_phylum_casestring );
				fprint_int(kc_f, ((problem)kc_p)->u.Problem1int1.int_1);
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((problem)kc_p)->u.Problem1int1.casestring_2, kc_phylum_casestring );
			break; }
			case (int)sel_Problem3int1: {
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((problem)kc_p)->u.Problem3int1.casestring_1, kc_phylum_casestring );
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((problem)kc_p)->u.Problem3int1.casestring_2, kc_phylum_casestring );
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((problem)kc_p)->u.Problem3int1.casestring_3, kc_phylum_casestring );
				fprint_int(kc_f, ((problem)kc_p)->u.Problem3int1.int_1);
				kc_do_print_phylum(kc_f, (kc_voidptr_t)((problem)kc_p)->u.Problem3int1.casestring_4, kc_phylum_casestring );
			break; }
			default:
			for (kc_i=0; kc_i < kc_op_info->no_sons; kc_i++) {
				kc_do_print_phylum(kc_f, (kc_voidptr_t)KC_SUBPHYLUM(kc_p, kc_op_info->suboffset[kc_i]), kc_op_info->subphylum[kc_i] );
			}
			}
			kc_indentation--;
			(void)fprintf(kc_f, kc_printformat_not_nullair_close, kc_indentation, "");
}	}	}	
void print_nocasestring
#ifdef KC_USE_PROTOTYPES
(nocasestring kc_p)
#else
(kc_p) nocasestring kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_nocasestring);  }
void fprint_nocasestring
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, nocasestring kc_p)
#else
(kc_f, kc_p) FILE *kc_f; nocasestring kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_nocasestring);  }
void print_casestring
#ifdef KC_USE_PROTOTYPES
(casestring kc_p)
#else
(kc_p) casestring kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_casestring);  }
void fprint_casestring
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, casestring kc_p)
#else
(kc_f, kc_p) FILE *kc_f; casestring kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_casestring);  }
void print_float
#ifdef KC_USE_PROTOTYPES
(float kc_p)
#else
(kc_p) float kc_p;
#endif
{ (void)fprintf(stdout, "%*s%f\n", kc_indentation, "", kc_p);  }
void fprint_float
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, float kc_p)
#else
(kc_f, kc_p) FILE *kc_f; float kc_p;
#endif
{	if (!kc_f) kc_f = stdout;
	(void)fprintf(kc_f, "%*s%f\n", kc_indentation, "", kc_p);
}
void print_int
#ifdef KC_USE_PROTOTYPES
(int kc_p)
#else
(kc_p) int kc_p;
#endif
{ (void)fprintf(stdout, "%*s%d\n", kc_indentation, "", kc_p);  }
void fprint_int
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, int kc_p)
#else
(kc_f, kc_p) FILE *kc_f; int kc_p;
#endif
{	if (!kc_f) kc_f = stdout;
	(void)fprintf(kc_f, "%*s%d\n", kc_indentation, "", kc_p);
}
void print_voidptr
#ifdef KC_USE_PROTOTYPES
(voidptr kc_p)
#else
(kc_p) voidptr kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_voidptr);  }
void fprint_voidptr
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, voidptr kc_p)
#else
(kc_f, kc_p) FILE *kc_f; voidptr kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_voidptr);  }
void print_uniqID
#ifdef KC_USE_PROTOTYPES
(uniqID kc_p)
#else
(kc_p) uniqID kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_uniqID);  }
void fprint_uniqID
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, uniqID kc_p)
#else
(kc_f, kc_p) FILE *kc_f; uniqID kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_uniqID);  }
void print_ID
#ifdef KC_USE_PROTOTYPES
(ID kc_p)
#else
(kc_p) ID kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ID);  }
void fprint_ID
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ID kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ID kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ID);  }
void print_INT
#ifdef KC_USE_PROTOTYPES
(INT kc_p)
#else
(kc_p) INT kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_INT);  }
void fprint_INT
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, INT kc_p)
#else
(kc_f, kc_p) FILE *kc_f; INT kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_INT);  }
void print_STRING
#ifdef KC_USE_PROTOTYPES
(STRING kc_p)
#else
(kc_p) STRING kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_STRING);  }
void fprint_STRING
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, STRING kc_p)
#else
(kc_f, kc_p) FILE *kc_f; STRING kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_STRING);  }
void print_phylumdeclarationsroot
#ifdef KC_USE_PROTOTYPES
(phylumdeclarationsroot kc_p)
#else
(kc_p) phylumdeclarationsroot kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_phylumdeclarationsroot);  }
void fprint_phylumdeclarationsroot
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, phylumdeclarationsroot kc_p)
#else
(kc_f, kc_p) FILE *kc_f; phylumdeclarationsroot kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_phylumdeclarationsroot);  }
void print_phylumdeclarations
#ifdef KC_USE_PROTOTYPES
(phylumdeclarations kc_p)
#else
(kc_p) phylumdeclarations kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_phylumdeclarations);  }
void fprint_phylumdeclarations
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, phylumdeclarations kc_p)
#else
(kc_f, kc_p) FILE *kc_f; phylumdeclarations kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_phylumdeclarations);  }
void print_phylumnames
#ifdef KC_USE_PROTOTYPES
(phylumnames kc_p)
#else
(kc_p) phylumnames kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_phylumnames);  }
void fprint_phylumnames
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, phylumnames kc_p)
#else
(kc_f, kc_p) FILE *kc_f; phylumnames kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_phylumnames);  }
void print_phylumdeclaration
#ifdef KC_USE_PROTOTYPES
(phylumdeclaration kc_p)
#else
(kc_p) phylumdeclaration kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_phylumdeclaration);  }
void fprint_phylumdeclaration
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, phylumdeclaration kc_p)
#else
(kc_f, kc_p) FILE *kc_f; phylumdeclaration kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_phylumdeclaration);  }
void print_storageoption
#ifdef KC_USE_PROTOTYPES
(storageoption kc_p)
#else
(kc_p) storageoption kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_storageoption);  }
void fprint_storageoption
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, storageoption kc_p)
#else
(kc_f, kc_p) FILE *kc_f; storageoption kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_storageoption);  }
void print_storageclasses
#ifdef KC_USE_PROTOTYPES
(storageclasses kc_p)
#else
(kc_p) storageclasses kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_storageclasses);  }
void fprint_storageclasses
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, storageclasses kc_p)
#else
(kc_f, kc_p) FILE *kc_f; storageclasses kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_storageclasses);  }
void print_productionblock
#ifdef KC_USE_PROTOTYPES
(productionblock kc_p)
#else
(kc_p) productionblock kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_productionblock);  }
void fprint_productionblock
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, productionblock kc_p)
#else
(kc_f, kc_p) FILE *kc_f; productionblock kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_productionblock);  }
void print_alternatives
#ifdef KC_USE_PROTOTYPES
(alternatives kc_p)
#else
(kc_p) alternatives kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_alternatives);  }
void fprint_alternatives
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, alternatives kc_p)
#else
(kc_f, kc_p) FILE *kc_f; alternatives kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_alternatives);  }
void print_alternative
#ifdef KC_USE_PROTOTYPES
(alternative kc_p)
#else
(kc_p) alternative kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_alternative);  }
void fprint_alternative
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, alternative kc_p)
#else
(kc_f, kc_p) FILE *kc_f; alternative kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_alternative);  }
void print_arguments
#ifdef KC_USE_PROTOTYPES
(arguments kc_p)
#else
(kc_p) arguments kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_arguments);  }
void fprint_arguments
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, arguments kc_p)
#else
(kc_f, kc_p) FILE *kc_f; arguments kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_arguments);  }
void print_argument
#ifdef KC_USE_PROTOTYPES
(argument kc_p)
#else
(kc_p) argument kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_argument);  }
void fprint_argument
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, argument kc_p)
#else
(kc_f, kc_p) FILE *kc_f; argument kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_argument);  }
void print_Ccode_option
#ifdef KC_USE_PROTOTYPES
(Ccode_option kc_p)
#else
(kc_p) Ccode_option kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_Ccode_option);  }
void fprint_Ccode_option
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, Ccode_option kc_p)
#else
(kc_f, kc_p) FILE *kc_f; Ccode_option kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_Ccode_option);  }
void print_attributes
#ifdef KC_USE_PROTOTYPES
(attributes kc_p)
#else
(kc_p) attributes kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_attributes);  }
void fprint_attributes
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, attributes kc_p)
#else
(kc_f, kc_p) FILE *kc_f; attributes kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_attributes);  }
void print_attribute
#ifdef KC_USE_PROTOTYPES
(attribute kc_p)
#else
(kc_p) attribute kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_attribute);  }
void fprint_attribute
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, attribute kc_p)
#else
(kc_f, kc_p) FILE *kc_f; attribute kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_attribute);  }
void print_attribute_initialisation_option
#ifdef KC_USE_PROTOTYPES
(attribute_initialisation_option kc_p)
#else
(kc_p) attribute_initialisation_option kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_attribute_initialisation_option);  }
void fprint_attribute_initialisation_option
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, attribute_initialisation_option kc_p)
#else
(kc_f, kc_p) FILE *kc_f; attribute_initialisation_option kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_attribute_initialisation_option);  }
void print_Cexpression
#ifdef KC_USE_PROTOTYPES
(Cexpression kc_p)
#else
(kc_p) Cexpression kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_Cexpression);  }
void fprint_Cexpression
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, Cexpression kc_p)
#else
(kc_f, kc_p) FILE *kc_f; Cexpression kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_Cexpression);  }
void print_Cexpression_elem
#ifdef KC_USE_PROTOTYPES
(Cexpression_elem kc_p)
#else
(kc_p) Cexpression_elem kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_Cexpression_elem);  }
void fprint_Cexpression_elem
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, Cexpression_elem kc_p)
#else
(kc_f, kc_p) FILE *kc_f; Cexpression_elem kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_Cexpression_elem);  }
void print_CexpressionDQ
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ kc_p)
#else
(kc_p) CexpressionDQ kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_CexpressionDQ);  }
void fprint_CexpressionDQ
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, CexpressionDQ kc_p)
#else
(kc_f, kc_p) FILE *kc_f; CexpressionDQ kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_CexpressionDQ);  }
void print_CexpressionDQ_elem
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ_elem kc_p)
#else
(kc_p) CexpressionDQ_elem kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_CexpressionDQ_elem);  }
void fprint_CexpressionDQ_elem
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, CexpressionDQ_elem kc_p)
#else
(kc_f, kc_p) FILE *kc_f; CexpressionDQ_elem kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_CexpressionDQ_elem);  }
void print_CexpressionSQ
#ifdef KC_USE_PROTOTYPES
(CexpressionSQ kc_p)
#else
(kc_p) CexpressionSQ kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_CexpressionSQ);  }
void fprint_CexpressionSQ
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, CexpressionSQ kc_p)
#else
(kc_f, kc_p) FILE *kc_f; CexpressionSQ kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_CexpressionSQ);  }
void print_CexpressionSQ_elem
#ifdef KC_USE_PROTOTYPES
(CexpressionSQ_elem kc_p)
#else
(kc_p) CexpressionSQ_elem kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_CexpressionSQ_elem);  }
void fprint_CexpressionSQ_elem
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, CexpressionSQ_elem kc_p)
#else
(kc_f, kc_p) FILE *kc_f; CexpressionSQ_elem kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_CexpressionSQ_elem);  }
void print_idCexpressions
#ifdef KC_USE_PROTOTYPES
(idCexpressions kc_p)
#else
(kc_p) idCexpressions kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_idCexpressions);  }
void fprint_idCexpressions
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, idCexpressions kc_p)
#else
(kc_f, kc_p) FILE *kc_f; idCexpressions kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_idCexpressions);  }
void print_idCexpression
#ifdef KC_USE_PROTOTYPES
(idCexpression kc_p)
#else
(kc_p) idCexpression kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_idCexpression);  }
void fprint_idCexpression
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, idCexpression kc_p)
#else
(kc_f, kc_p) FILE *kc_f; idCexpression kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_idCexpression);  }
void print_Ctexts
#ifdef KC_USE_PROTOTYPES
(Ctexts kc_p)
#else
(kc_p) Ctexts kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_Ctexts);  }
void fprint_Ctexts
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, Ctexts kc_p)
#else
(kc_f, kc_p) FILE *kc_f; Ctexts kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_Ctexts);  }
void print_includefiles
#ifdef KC_USE_PROTOTYPES
(includefiles kc_p)
#else
(kc_p) includefiles kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_includefiles);  }
void fprint_includefiles
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, includefiles kc_p)
#else
(kc_f, kc_p) FILE *kc_f; includefiles kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_includefiles);  }
void print_includefile
#ifdef KC_USE_PROTOTYPES
(includefile kc_p)
#else
(kc_p) includefile kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_includefile);  }
void fprint_includefile
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, includefile kc_p)
#else
(kc_f, kc_p) FILE *kc_f; includefile kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_includefile);  }
void print_includedeclarations
#ifdef KC_USE_PROTOTYPES
(includedeclarations kc_p)
#else
(kc_p) includedeclarations kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_includedeclarations);  }
void fprint_includedeclarations
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, includedeclarations kc_p)
#else
(kc_f, kc_p) FILE *kc_f; includedeclarations kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_includedeclarations);  }
void print_includedeclaration
#ifdef KC_USE_PROTOTYPES
(includedeclaration kc_p)
#else
(kc_p) includedeclaration kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_includedeclaration);  }
void fprint_includedeclaration
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, includedeclaration kc_p)
#else
(kc_f, kc_p) FILE *kc_f; includedeclaration kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_includedeclaration);  }
void print_includes
#ifdef KC_USE_PROTOTYPES
(includes kc_p)
#else
(kc_p) includes kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_includes);  }
void fprint_includes
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, includes kc_p)
#else
(kc_f, kc_p) FILE *kc_f; includes kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_includes);  }
void print_include
#ifdef KC_USE_PROTOTYPES
(include kc_p)
#else
(kc_p) include kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_include);  }
void fprint_include
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, include kc_p)
#else
(kc_f, kc_p) FILE *kc_f; include kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_include);  }
void print_rwdeclarations
#ifdef KC_USE_PROTOTYPES
(rwdeclarations kc_p)
#else
(kc_p) rwdeclarations kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_rwdeclarations);  }
void fprint_rwdeclarations
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, rwdeclarations kc_p)
#else
(kc_f, kc_p) FILE *kc_f; rwdeclarations kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_rwdeclarations);  }
void print_rwdeclaration
#ifdef KC_USE_PROTOTYPES
(rwdeclaration kc_p)
#else
(kc_p) rwdeclaration kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_rwdeclaration);  }
void fprint_rwdeclaration
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, rwdeclaration kc_p)
#else
(kc_f, kc_p) FILE *kc_f; rwdeclaration kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_rwdeclaration);  }
void print_rewriteclauses
#ifdef KC_USE_PROTOTYPES
(rewriteclauses kc_p)
#else
(kc_p) rewriteclauses kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_rewriteclauses);  }
void fprint_rewriteclauses
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, rewriteclauses kc_p)
#else
(kc_f, kc_p) FILE *kc_f; rewriteclauses kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_rewriteclauses);  }
void print_rewriteclause
#ifdef KC_USE_PROTOTYPES
(rewriteclause kc_p)
#else
(kc_p) rewriteclause kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_rewriteclause);  }
void fprint_rewriteclause
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, rewriteclause kc_p)
#else
(kc_f, kc_p) FILE *kc_f; rewriteclause kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_rewriteclause);  }
void print_patternchains
#ifdef KC_USE_PROTOTYPES
(patternchains kc_p)
#else
(kc_p) patternchains kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_patternchains);  }
void fprint_patternchains
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, patternchains kc_p)
#else
(kc_f, kc_p) FILE *kc_f; patternchains kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_patternchains);  }
void print_patternchain
#ifdef KC_USE_PROTOTYPES
(patternchain kc_p)
#else
(kc_p) patternchain kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_patternchain);  }
void fprint_patternchain
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, patternchain kc_p)
#else
(kc_f, kc_p) FILE *kc_f; patternchain kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_patternchain);  }
void print_outmostpatterns
#ifdef KC_USE_PROTOTYPES
(outmostpatterns kc_p)
#else
(kc_p) outmostpatterns kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_outmostpatterns);  }
void fprint_outmostpatterns
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, outmostpatterns kc_p)
#else
(kc_f, kc_p) FILE *kc_f; outmostpatterns kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_outmostpatterns);  }
void print_patternchainitem
#ifdef KC_USE_PROTOTYPES
(patternchainitem kc_p)
#else
(kc_p) patternchainitem kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_patternchainitem);  }
void fprint_patternchainitem
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, patternchainitem kc_p)
#else
(kc_f, kc_p) FILE *kc_f; patternchainitem kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_patternchainitem);  }
void print_outmostpattern
#ifdef KC_USE_PROTOTYPES
(outmostpattern kc_p)
#else
(kc_p) outmostpattern kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_outmostpattern);  }
void fprint_outmostpattern
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, outmostpattern kc_p)
#else
(kc_f, kc_p) FILE *kc_f; outmostpattern kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_outmostpattern);  }
void print_pattern
#ifdef KC_USE_PROTOTYPES
(pattern kc_p)
#else
(kc_p) pattern kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_pattern);  }
void fprint_pattern
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, pattern kc_p)
#else
(kc_f, kc_p) FILE *kc_f; pattern kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_pattern);  }
void print_patterns
#ifdef KC_USE_PROTOTYPES
(patterns kc_p)
#else
(kc_p) patterns kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_patterns);  }
void fprint_patterns
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, patterns kc_p)
#else
(kc_f, kc_p) FILE *kc_f; patterns kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_patterns);  }
void print_term
#ifdef KC_USE_PROTOTYPES
(term kc_p)
#else
(kc_p) term kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_term);  }
void fprint_term
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, term kc_p)
#else
(kc_f, kc_p) FILE *kc_f; term kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_term);  }
void print_terms
#ifdef KC_USE_PROTOTYPES
(terms kc_p)
#else
(kc_p) terms kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_terms);  }
void fprint_terms
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, terms kc_p)
#else
(kc_f, kc_p) FILE *kc_f; terms kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_terms);  }
void print_fnfiles
#ifdef KC_USE_PROTOTYPES
(fnfiles kc_p)
#else
(kc_p) fnfiles kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_fnfiles);  }
void fprint_fnfiles
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, fnfiles kc_p)
#else
(kc_f, kc_p) FILE *kc_f; fnfiles kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_fnfiles);  }
void print_fnfile
#ifdef KC_USE_PROTOTYPES
(fnfile kc_p)
#else
(kc_p) fnfile kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_fnfile);  }
void fprint_fnfile
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, fnfile kc_p)
#else
(kc_f, kc_p) FILE *kc_f; fnfile kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_fnfile);  }
void print_fndeclarations
#ifdef KC_USE_PROTOTYPES
(fndeclarations kc_p)
#else
(kc_p) fndeclarations kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_fndeclarations);  }
void fprint_fndeclarations
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, fndeclarations kc_p)
#else
(kc_f, kc_p) FILE *kc_f; fndeclarations kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_fndeclarations);  }
void print_fndeclaration
#ifdef KC_USE_PROTOTYPES
(fndeclaration kc_p)
#else
(kc_p) fndeclaration kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_fndeclaration);  }
void fprint_fndeclaration
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, fndeclaration kc_p)
#else
(kc_f, kc_p) FILE *kc_f; fndeclaration kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_fndeclaration);  }
void print_fnclass
#ifdef KC_USE_PROTOTYPES
(fnclass kc_p)
#else
(kc_p) fnclass kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_fnclass);  }
void fprint_fnclass
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, fnclass kc_p)
#else
(kc_f, kc_p) FILE *kc_f; fnclass kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_fnclass);  }
void print_fnarguments
#ifdef KC_USE_PROTOTYPES
(fnarguments kc_p)
#else
(kc_p) fnarguments kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_fnarguments);  }
void fprint_fnarguments
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, fnarguments kc_p)
#else
(kc_f, kc_p) FILE *kc_f; fnarguments kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_fnarguments);  }
void print_Cvariabledeclarations
#ifdef KC_USE_PROTOTYPES
(Cvariabledeclarations kc_p)
#else
(kc_p) Cvariabledeclarations kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_Cvariabledeclarations);  }
void fprint_Cvariabledeclarations
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, Cvariabledeclarations kc_p)
#else
(kc_f, kc_p) FILE *kc_f; Cvariabledeclarations kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_Cvariabledeclarations);  }
void print_Cvariabledeclaration
#ifdef KC_USE_PROTOTYPES
(Cvariabledeclaration kc_p)
#else
(kc_p) Cvariabledeclaration kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_Cvariabledeclaration);  }
void fprint_Cvariabledeclaration
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, Cvariabledeclaration kc_p)
#else
(kc_f, kc_p) FILE *kc_f; Cvariabledeclaration kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_Cvariabledeclaration);  }
void print_Cvariables
#ifdef KC_USE_PROTOTYPES
(Cvariables kc_p)
#else
(kc_p) Cvariables kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_Cvariables);  }
void fprint_Cvariables
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, Cvariables kc_p)
#else
(kc_f, kc_p) FILE *kc_f; Cvariables kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_Cvariables);  }
void print_Cvariable
#ifdef KC_USE_PROTOTYPES
(Cvariable kc_p)
#else
(kc_p) Cvariable kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_Cvariable);  }
void fprint_Cvariable
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, Cvariable kc_p)
#else
(kc_f, kc_p) FILE *kc_f; Cvariable kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_Cvariable);  }
void print_Ctext
#ifdef KC_USE_PROTOTYPES
(Ctext kc_p)
#else
(kc_p) Ctext kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_Ctext);  }
void fprint_Ctext
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, Ctext kc_p)
#else
(kc_f, kc_p) FILE *kc_f; Ctext kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_Ctext);  }
void print_Ctext_elem
#ifdef KC_USE_PROTOTYPES
(Ctext_elem kc_p)
#else
(kc_p) Ctext_elem kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_Ctext_elem);  }
void fprint_Ctext_elem
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, Ctext_elem kc_p)
#else
(kc_f, kc_p) FILE *kc_f; Ctext_elem kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_Ctext_elem);  }
void print_foreach_after
#ifdef KC_USE_PROTOTYPES
(foreach_after kc_p)
#else
(kc_p) foreach_after kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_foreach_after);  }
void fprint_foreach_after
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, foreach_after kc_p)
#else
(kc_f, kc_p) FILE *kc_f; foreach_after kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_foreach_after);  }
void print_contextinfo
#ifdef KC_USE_PROTOTYPES
(contextinfo kc_p)
#else
(kc_p) contextinfo kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_contextinfo);  }
void fprint_contextinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, contextinfo kc_p)
#else
(kc_f, kc_p) FILE *kc_f; contextinfo kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_contextinfo);  }
void print_withexpressions
#ifdef KC_USE_PROTOTYPES
(withexpressions kc_p)
#else
(kc_p) withexpressions kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_withexpressions);  }
void fprint_withexpressions
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, withexpressions kc_p)
#else
(kc_f, kc_p) FILE *kc_f; withexpressions kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_withexpressions);  }
void print_withexpression
#ifdef KC_USE_PROTOTYPES
(withexpression kc_p)
#else
(kc_p) withexpression kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_withexpression);  }
void fprint_withexpression
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, withexpression kc_p)
#else
(kc_f, kc_p) FILE *kc_f; withexpression kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_withexpression);  }
void print_withcases
#ifdef KC_USE_PROTOTYPES
(withcases kc_p)
#else
(kc_p) withcases kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_withcases);  }
void fprint_withcases
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, withcases kc_p)
#else
(kc_f, kc_p) FILE *kc_f; withcases kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_withcases);  }
void print_withcase
#ifdef KC_USE_PROTOTYPES
(withcase kc_p)
#else
(kc_p) withcase kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_withcase);  }
void fprint_withcase
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, withcase kc_p)
#else
(kc_f, kc_p) FILE *kc_f; withcase kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_withcase);  }
void print_unparsedeclarations
#ifdef KC_USE_PROTOTYPES
(unparsedeclarations kc_p)
#else
(kc_p) unparsedeclarations kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_unparsedeclarations);  }
void fprint_unparsedeclarations
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unparsedeclarations kc_p)
#else
(kc_f, kc_p) FILE *kc_f; unparsedeclarations kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unparsedeclarations);  }
void print_unparsedeclaration
#ifdef KC_USE_PROTOTYPES
(unparsedeclaration kc_p)
#else
(kc_p) unparsedeclaration kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_unparsedeclaration);  }
void fprint_unparsedeclaration
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unparsedeclaration kc_p)
#else
(kc_f, kc_p) FILE *kc_f; unparsedeclaration kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unparsedeclaration);  }
void print_unparseclauses
#ifdef KC_USE_PROTOTYPES
(unparseclauses kc_p)
#else
(kc_p) unparseclauses kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_unparseclauses);  }
void fprint_unparseclauses
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unparseclauses kc_p)
#else
(kc_f, kc_p) FILE *kc_f; unparseclauses kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unparseclauses);  }
void print_unparseclause
#ifdef KC_USE_PROTOTYPES
(unparseclause kc_p)
#else
(kc_p) unparseclause kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_unparseclause);  }
void fprint_unparseclause
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unparseclause kc_p)
#else
(kc_f, kc_p) FILE *kc_f; unparseclause kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unparseclause);  }
void print_viewnames
#ifdef KC_USE_PROTOTYPES
(viewnames kc_p)
#else
(kc_p) viewnames kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_viewnames);  }
void fprint_viewnames
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, viewnames kc_p)
#else
(kc_f, kc_p) FILE *kc_f; viewnames kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_viewnames);  }
void print_unparseitems
#ifdef KC_USE_PROTOTYPES
(unparseitems kc_p)
#else
(kc_p) unparseitems kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_unparseitems);  }
void fprint_unparseitems
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unparseitems kc_p)
#else
(kc_f, kc_p) FILE *kc_f; unparseitems kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unparseitems);  }
void print_unparseitem
#ifdef KC_USE_PROTOTYPES
(unparseitem kc_p)
#else
(kc_p) unparseitem kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_unparseitem);  }
void fprint_unparseitem
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unparseitem kc_p)
#else
(kc_f, kc_p) FILE *kc_f; unparseitem kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unparseitem);  }
void print_unpsubterm
#ifdef KC_USE_PROTOTYPES
(unpsubterm kc_p)
#else
(kc_p) unpsubterm kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_unpsubterm);  }
void fprint_unpsubterm
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unpsubterm kc_p)
#else
(kc_f, kc_p) FILE *kc_f; unpsubterm kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unpsubterm);  }
void print_unpattributes
#ifdef KC_USE_PROTOTYPES
(unpattributes kc_p)
#else
(kc_p) unpattributes kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_unpattributes);  }
void fprint_unpattributes
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unpattributes kc_p)
#else
(kc_f, kc_p) FILE *kc_f; unpattributes kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unpattributes);  }
void print_viewnameoption
#ifdef KC_USE_PROTOTYPES
(viewnameoption kc_p)
#else
(kc_p) viewnameoption kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_viewnameoption);  }
void fprint_viewnameoption
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, viewnameoption kc_p)
#else
(kc_f, kc_p) FILE *kc_f; viewnameoption kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_viewnameoption);  }
void print_filelinestack
#ifdef KC_USE_PROTOTYPES
(filelinestack kc_p)
#else
(kc_p) filelinestack kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_filelinestack);  }
void fprint_filelinestack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, filelinestack kc_p)
#else
(kc_f, kc_p) FILE *kc_f; filelinestack kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_filelinestack);  }
void print_fileline
#ifdef KC_USE_PROTOTYPES
(fileline kc_p)
#else
(kc_p) fileline kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_fileline);  }
void fprint_fileline
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, fileline kc_p)
#else
(kc_f, kc_p) FILE *kc_f; fileline kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_fileline);  }
void print_nooperatorsstack
#ifdef KC_USE_PROTOTYPES
(nooperatorsstack kc_p)
#else
(kc_p) nooperatorsstack kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_nooperatorsstack);  }
void fprint_nooperatorsstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, nooperatorsstack kc_p)
#else
(kc_f, kc_p) FILE *kc_f; nooperatorsstack kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_nooperatorsstack);  }
void print_scopetypefilelinestack
#ifdef KC_USE_PROTOTYPES
(scopetypefilelinestack kc_p)
#else
(kc_p) scopetypefilelinestack kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_scopetypefilelinestack);  }
void fprint_scopetypefilelinestack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, scopetypefilelinestack kc_p)
#else
(kc_f, kc_p) FILE *kc_f; scopetypefilelinestack kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_scopetypefilelinestack);  }
void print_scopetypefileline
#ifdef KC_USE_PROTOTYPES
(scopetypefileline kc_p)
#else
(kc_p) scopetypefileline kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_scopetypefileline);  }
void fprint_scopetypefileline
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, scopetypefileline kc_p)
#else
(kc_f, kc_p) FILE *kc_f; scopetypefileline kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_scopetypefileline);  }
void print_IDtype
#ifdef KC_USE_PROTOTYPES
(IDtype kc_p)
#else
(kc_p) IDtype kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_IDtype);  }
void fprint_IDtype
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, IDtype kc_p)
#else
(kc_f, kc_p) FILE *kc_f; IDtype kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_IDtype);  }
void print_operatorsstack
#ifdef KC_USE_PROTOTYPES
(operatorsstack kc_p)
#else
(kc_p) operatorsstack kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_operatorsstack);  }
void fprint_operatorsstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, operatorsstack kc_p)
#else
(kc_f, kc_p) FILE *kc_f; operatorsstack kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_operatorsstack);  }
void print_operators
#ifdef KC_USE_PROTOTYPES
(operators kc_p)
#else
(kc_p) operators kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_operators);  }
void fprint_operators
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, operators kc_p)
#else
(kc_f, kc_p) FILE *kc_f; operators kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_operators);  }
void print_phyla
#ifdef KC_USE_PROTOTYPES
(phyla kc_p)
#else
(kc_p) phyla kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_phyla);  }
void fprint_phyla
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, phyla kc_p)
#else
(kc_f, kc_p) FILE *kc_f; phyla kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_phyla);  }
void print_variables
#ifdef KC_USE_PROTOTYPES
(variables kc_p)
#else
(kc_p) variables kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_variables);  }
void fprint_variables
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, variables kc_p)
#else
(kc_f, kc_p) FILE *kc_f; variables kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_variables);  }
void print_argumentsstack
#ifdef KC_USE_PROTOTYPES
(argumentsstack kc_p)
#else
(kc_p) argumentsstack kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_argumentsstack);  }
void fprint_argumentsstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, argumentsstack kc_p)
#else
(kc_f, kc_p) FILE *kc_f; argumentsstack kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_argumentsstack);  }
void print_phylumstack
#ifdef KC_USE_PROTOTYPES
(phylumstack kc_p)
#else
(kc_p) phylumstack kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_phylumstack);  }
void fprint_phylumstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, phylumstack kc_p)
#else
(kc_f, kc_p) FILE *kc_f; phylumstack kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_phylumstack);  }
void print_phylumnamesstack
#ifdef KC_USE_PROTOTYPES
(phylumnamesstack kc_p)
#else
(kc_p) phylumnamesstack kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_phylumnamesstack);  }
void fprint_phylumnamesstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, phylumnamesstack kc_p)
#else
(kc_f, kc_p) FILE *kc_f; phylumnamesstack kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_phylumnamesstack);  }
void print_withexpressionsstack
#ifdef KC_USE_PROTOTYPES
(withexpressionsstack kc_p)
#else
(kc_p) withexpressionsstack kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_withexpressionsstack);  }
void fprint_withexpressionsstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, withexpressionsstack kc_p)
#else
(kc_f, kc_p) FILE *kc_f; withexpressionsstack kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_withexpressionsstack);  }
void print_operatorstack
#ifdef KC_USE_PROTOTYPES
(operatorstack kc_p)
#else
(kc_p) operatorstack kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_operatorstack);  }
void fprint_operatorstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, operatorstack kc_p)
#else
(kc_f, kc_p) FILE *kc_f; operatorstack kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_operatorstack);  }
void print_variablesstack
#ifdef KC_USE_PROTOTYPES
(variablesstack kc_p)
#else
(kc_p) variablesstack kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_variablesstack);  }
void fprint_variablesstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, variablesstack kc_p)
#else
(kc_f, kc_p) FILE *kc_f; variablesstack kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_variablesstack);  }
void print_selvarstack
#ifdef KC_USE_PROTOTYPES
(selvarstack kc_p)
#else
(kc_p) selvarstack kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_selvarstack);  }
void fprint_selvarstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, selvarstack kc_p)
#else
(kc_f, kc_p) FILE *kc_f; selvarstack kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_selvarstack);  }
void print_dollarvarstatus
#ifdef KC_USE_PROTOTYPES
(dollarvarstatus kc_p)
#else
(kc_p) dollarvarstatus kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_dollarvarstatus);  }
void fprint_dollarvarstatus
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, dollarvarstatus kc_p)
#else
(kc_f, kc_p) FILE *kc_f; dollarvarstatus kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_dollarvarstatus);  }
void print_dollarvarsallowedstack
#ifdef KC_USE_PROTOTYPES
(dollarvarsallowedstack kc_p)
#else
(kc_p) dollarvarsallowedstack kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_dollarvarsallowedstack);  }
void fprint_dollarvarsallowedstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, dollarvarsallowedstack kc_p)
#else
(kc_f, kc_p) FILE *kc_f; dollarvarsallowedstack kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_dollarvarsallowedstack);  }
void print_intstack
#ifdef KC_USE_PROTOTYPES
(intstack kc_p)
#else
(kc_p) intstack kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_intstack);  }
void fprint_intstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, intstack kc_p)
#else
(kc_f, kc_p) FILE *kc_f; intstack kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_intstack);  }
void print_idCexpressionsstack
#ifdef KC_USE_PROTOTYPES
(idCexpressionsstack kc_p)
#else
(kc_p) idCexpressionsstack kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_idCexpressionsstack);  }
void fprint_idCexpressionsstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, idCexpressionsstack kc_p)
#else
(kc_f, kc_p) FILE *kc_f; idCexpressionsstack kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_idCexpressionsstack);  }
void print_two_phyla
#ifdef KC_USE_PROTOTYPES
(two_phyla kc_p)
#else
(kc_p) two_phyla kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_two_phyla);  }
void fprint_two_phyla
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, two_phyla kc_p)
#else
(kc_f, kc_p) FILE *kc_f; two_phyla kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_two_phyla);  }
void print_tribool
#ifdef KC_USE_PROTOTYPES
(tribool kc_p)
#else
(kc_p) tribool kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_tribool);  }
void fprint_tribool
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, tribool kc_p)
#else
(kc_f, kc_p) FILE *kc_f; tribool kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_tribool);  }
void print_patternrepresentations
#ifdef KC_USE_PROTOTYPES
(patternrepresentations kc_p)
#else
(kc_p) patternrepresentations kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_patternrepresentations);  }
void fprint_patternrepresentations
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, patternrepresentations kc_p)
#else
(kc_f, kc_p) FILE *kc_f; patternrepresentations kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_patternrepresentations);  }
void print_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(patternrepresentation kc_p)
#else
(kc_p) patternrepresentation kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_patternrepresentation);  }
void fprint_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, patternrepresentation kc_p)
#else
(kc_f, kc_p) FILE *kc_f; patternrepresentation kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_patternrepresentation);  }
void print_elem_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(elem_patternrepresentation kc_p)
#else
(kc_p) elem_patternrepresentation kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_elem_patternrepresentation);  }
void fprint_elem_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, elem_patternrepresentation kc_p)
#else
(kc_f, kc_p) FILE *kc_f; elem_patternrepresentation kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_elem_patternrepresentation);  }
void print_path
#ifdef KC_USE_PROTOTYPES
(path kc_p)
#else
(kc_p) path kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_path);  }
void fprint_path
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, path kc_p)
#else
(kc_f, kc_p) FILE *kc_f; path kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_path);  }
void print_paths
#ifdef KC_USE_PROTOTYPES
(paths kc_p)
#else
(kc_p) paths kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_paths);  }
void fprint_paths
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, paths kc_p)
#else
(kc_f, kc_p) FILE *kc_f; paths kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_paths);  }
void print_argsnumbers
#ifdef KC_USE_PROTOTYPES
(argsnumbers kc_p)
#else
(kc_p) argsnumbers kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_argsnumbers);  }
void fprint_argsnumbers
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, argsnumbers kc_p)
#else
(kc_f, kc_p) FILE *kc_f; argsnumbers kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_argsnumbers);  }
void print_rewriterulesinfo
#ifdef KC_USE_PROTOTYPES
(rewriterulesinfo kc_p)
#else
(kc_p) rewriterulesinfo kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_rewriterulesinfo);  }
void fprint_rewriterulesinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, rewriterulesinfo kc_p)
#else
(kc_f, kc_p) FILE *kc_f; rewriterulesinfo kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_rewriterulesinfo);  }
void print_rewriteruleinfo
#ifdef KC_USE_PROTOTYPES
(rewriteruleinfo kc_p)
#else
(kc_p) rewriteruleinfo kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_rewriteruleinfo);  }
void fprint_rewriteruleinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, rewriteruleinfo kc_p)
#else
(kc_f, kc_p) FILE *kc_f; rewriteruleinfo kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_rewriteruleinfo);  }
void print_withcasesinfo
#ifdef KC_USE_PROTOTYPES
(withcasesinfo kc_p)
#else
(kc_p) withcasesinfo kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_withcasesinfo);  }
void fprint_withcasesinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, withcasesinfo kc_p)
#else
(kc_f, kc_p) FILE *kc_f; withcasesinfo kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_withcasesinfo);  }
void print_withcaseinfo
#ifdef KC_USE_PROTOTYPES
(withcaseinfo kc_p)
#else
(kc_p) withcaseinfo kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_withcaseinfo);  }
void fprint_withcaseinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, withcaseinfo kc_p)
#else
(kc_f, kc_p) FILE *kc_f; withcaseinfo kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_withcaseinfo);  }
void print_rewriteviewsinfo
#ifdef KC_USE_PROTOTYPES
(rewriteviewsinfo kc_p)
#else
(kc_p) rewriteviewsinfo kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_rewriteviewsinfo);  }
void fprint_rewriteviewsinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, rewriteviewsinfo kc_p)
#else
(kc_f, kc_p) FILE *kc_f; rewriteviewsinfo kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_rewriteviewsinfo);  }
void print_rewriteviewinfo
#ifdef KC_USE_PROTOTYPES
(rewriteviewinfo kc_p)
#else
(kc_p) rewriteviewinfo kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_rewriteviewinfo);  }
void fprint_rewriteviewinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, rewriteviewinfo kc_p)
#else
(kc_f, kc_p) FILE *kc_f; rewriteviewinfo kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_rewriteviewinfo);  }
void print_unparseviewsinfo
#ifdef KC_USE_PROTOTYPES
(unparseviewsinfo kc_p)
#else
(kc_p) unparseviewsinfo kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_unparseviewsinfo);  }
void fprint_unparseviewsinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unparseviewsinfo kc_p)
#else
(kc_f, kc_p) FILE *kc_f; unparseviewsinfo kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unparseviewsinfo);  }
void print_unparseviewinfo
#ifdef KC_USE_PROTOTYPES
(unparseviewinfo kc_p)
#else
(kc_p) unparseviewinfo kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_unparseviewinfo);  }
void fprint_unparseviewinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unparseviewinfo kc_p)
#else
(kc_f, kc_p) FILE *kc_f; unparseviewinfo kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unparseviewinfo);  }
void print_unparsedeclsinfo
#ifdef KC_USE_PROTOTYPES
(unparsedeclsinfo kc_p)
#else
(kc_p) unparsedeclsinfo kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_unparsedeclsinfo);  }
void fprint_unparsedeclsinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unparsedeclsinfo kc_p)
#else
(kc_f, kc_p) FILE *kc_f; unparsedeclsinfo kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unparsedeclsinfo);  }
void print_unparsedeclinfo
#ifdef KC_USE_PROTOTYPES
(unparsedeclinfo kc_p)
#else
(kc_p) unparsedeclinfo kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_unparsedeclinfo);  }
void fprint_unparsedeclinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unparsedeclinfo kc_p)
#else
(kc_f, kc_p) FILE *kc_f; unparsedeclinfo kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unparsedeclinfo);  }
void print_ac_declaration
#ifdef KC_USE_PROTOTYPES
(ac_declaration kc_p)
#else
(kc_p) ac_declaration kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_declaration);  }
void fprint_ac_declaration
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_declaration kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_declaration kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_declaration);  }
void print_ac_declaration_list
#ifdef KC_USE_PROTOTYPES
(ac_declaration_list kc_p)
#else
(kc_p) ac_declaration_list kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_declaration_list);  }
void fprint_ac_declaration_list
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_declaration_list kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_declaration_list kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_declaration_list);  }
void print_ac_declaration_specifiers
#ifdef KC_USE_PROTOTYPES
(ac_declaration_specifiers kc_p)
#else
(kc_p) ac_declaration_specifiers kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_declaration_specifiers);  }
void fprint_ac_declaration_specifiers
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_declaration_specifiers kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_declaration_specifiers kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_declaration_specifiers);  }
void print_ac_declaration_specifier
#ifdef KC_USE_PROTOTYPES
(ac_declaration_specifier kc_p)
#else
(kc_p) ac_declaration_specifier kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_declaration_specifier);  }
void fprint_ac_declaration_specifier
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_declaration_specifier kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_declaration_specifier kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_declaration_specifier);  }
void print_ac_storage_class_specifier
#ifdef KC_USE_PROTOTYPES
(ac_storage_class_specifier kc_p)
#else
(kc_p) ac_storage_class_specifier kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_storage_class_specifier);  }
void fprint_ac_storage_class_specifier
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_storage_class_specifier kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_storage_class_specifier kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_storage_class_specifier);  }
void print_ac_type_specifier
#ifdef KC_USE_PROTOTYPES
(ac_type_specifier kc_p)
#else
(kc_p) ac_type_specifier kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_type_specifier);  }
void fprint_ac_type_specifier
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_type_specifier kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_type_specifier kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_type_specifier);  }
void print_ac_type_qualifier
#ifdef KC_USE_PROTOTYPES
(ac_type_qualifier kc_p)
#else
(kc_p) ac_type_qualifier kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_type_qualifier);  }
void fprint_ac_type_qualifier
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_type_qualifier kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_type_qualifier kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_type_qualifier);  }
void print_ac_init_declarator_list
#ifdef KC_USE_PROTOTYPES
(ac_init_declarator_list kc_p)
#else
(kc_p) ac_init_declarator_list kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_init_declarator_list);  }
void fprint_ac_init_declarator_list
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_init_declarator_list kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_init_declarator_list kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_init_declarator_list);  }
void print_ac_init_declarator
#ifdef KC_USE_PROTOTYPES
(ac_init_declarator kc_p)
#else
(kc_p) ac_init_declarator kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_init_declarator);  }
void fprint_ac_init_declarator
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_init_declarator kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_init_declarator kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_init_declarator);  }
void print_ac_declarator
#ifdef KC_USE_PROTOTYPES
(ac_declarator kc_p)
#else
(kc_p) ac_declarator kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_declarator);  }
void fprint_ac_declarator
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_declarator kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_declarator kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_declarator);  }
void print_ac_direct_declarator
#ifdef KC_USE_PROTOTYPES
(ac_direct_declarator kc_p)
#else
(kc_p) ac_direct_declarator kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_direct_declarator);  }
void fprint_ac_direct_declarator
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_direct_declarator kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_direct_declarator kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_direct_declarator);  }
void print_ac_pointer_option
#ifdef KC_USE_PROTOTYPES
(ac_pointer_option kc_p)
#else
(kc_p) ac_pointer_option kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_pointer_option);  }
void fprint_ac_pointer_option
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_pointer_option kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_pointer_option kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_pointer_option);  }
void print_ac_pointer
#ifdef KC_USE_PROTOTYPES
(ac_pointer kc_p)
#else
(kc_p) ac_pointer kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_pointer);  }
void fprint_ac_pointer
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_pointer kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_pointer kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_pointer);  }
void print_ac_type_qualifier_list
#ifdef KC_USE_PROTOTYPES
(ac_type_qualifier_list kc_p)
#else
(kc_p) ac_type_qualifier_list kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_type_qualifier_list);  }
void fprint_ac_type_qualifier_list
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_type_qualifier_list kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_type_qualifier_list kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_type_qualifier_list);  }
void print_ac_parameter_type_list
#ifdef KC_USE_PROTOTYPES
(ac_parameter_type_list kc_p)
#else
(kc_p) ac_parameter_type_list kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_parameter_type_list);  }
void fprint_ac_parameter_type_list
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_parameter_type_list kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_parameter_type_list kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_parameter_type_list);  }
void print_ac_parameter_list
#ifdef KC_USE_PROTOTYPES
(ac_parameter_list kc_p)
#else
(kc_p) ac_parameter_list kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_parameter_list);  }
void fprint_ac_parameter_list
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_parameter_list kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_parameter_list kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_parameter_list);  }
void print_ac_parameter_declaration
#ifdef KC_USE_PROTOTYPES
(ac_parameter_declaration kc_p)
#else
(kc_p) ac_parameter_declaration kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_parameter_declaration);  }
void fprint_ac_parameter_declaration
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_parameter_declaration kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_parameter_declaration kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_parameter_declaration);  }
void print_ac_identifier_list
#ifdef KC_USE_PROTOTYPES
(ac_identifier_list kc_p)
#else
(kc_p) ac_identifier_list kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_identifier_list);  }
void fprint_ac_identifier_list
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_identifier_list kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_identifier_list kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_identifier_list);  }
void print_ac_abstract_declarator
#ifdef KC_USE_PROTOTYPES
(ac_abstract_declarator kc_p)
#else
(kc_p) ac_abstract_declarator kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_abstract_declarator);  }
void fprint_ac_abstract_declarator
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_abstract_declarator kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_abstract_declarator kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_abstract_declarator);  }
void print_ac_direct_abstract_declarator_option
#ifdef KC_USE_PROTOTYPES
(ac_direct_abstract_declarator_option kc_p)
#else
(kc_p) ac_direct_abstract_declarator_option kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_direct_abstract_declarator_option);  }
void fprint_ac_direct_abstract_declarator_option
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_direct_abstract_declarator_option kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_direct_abstract_declarator_option kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_direct_abstract_declarator_option);  }
void print_ac_direct_abstract_declarator
#ifdef KC_USE_PROTOTYPES
(ac_direct_abstract_declarator kc_p)
#else
(kc_p) ac_direct_abstract_declarator kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_direct_abstract_declarator);  }
void fprint_ac_direct_abstract_declarator
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_direct_abstract_declarator kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_direct_abstract_declarator kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_direct_abstract_declarator);  }
void print_ac_constant_expression_option
#ifdef KC_USE_PROTOTYPES
(ac_constant_expression_option kc_p)
#else
(kc_p) ac_constant_expression_option kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_constant_expression_option);  }
void fprint_ac_constant_expression_option
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_constant_expression_option kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_constant_expression_option kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_constant_expression_option);  }
void print_ac_constant_expression
#ifdef KC_USE_PROTOTYPES
(ac_constant_expression kc_p)
#else
(kc_p) ac_constant_expression kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_ac_constant_expression);  }
void fprint_ac_constant_expression
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_constant_expression kc_p)
#else
(kc_f, kc_p) FILE *kc_f; ac_constant_expression kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_constant_expression);  }
void print_error
#ifdef KC_USE_PROTOTYPES
(error kc_p)
#else
(kc_p) error kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_error);  }
void fprint_error
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, error kc_p)
#else
(kc_f, kc_p) FILE *kc_f; error kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_error);  }
void print_problem
#ifdef KC_USE_PROTOTYPES
(problem kc_p)
#else
(kc_p) problem kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_problem);  }
void fprint_problem
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, problem kc_p)
#else
(kc_f, kc_p) FILE *kc_f; problem kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_problem);  }
void print_addedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(addedphylumdeclarations kc_p)
#else
(kc_p) addedphylumdeclarations kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_addedphylumdeclarations);  }
void fprint_addedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, addedphylumdeclarations kc_p)
#else
(kc_f, kc_p) FILE *kc_f; addedphylumdeclarations kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_addedphylumdeclarations);  }
void print_addedphylumdeclaration
#ifdef KC_USE_PROTOTYPES
(addedphylumdeclaration kc_p)
#else
(kc_p) addedphylumdeclaration kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_addedphylumdeclaration);  }
void fprint_addedphylumdeclaration
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, addedphylumdeclaration kc_p)
#else
(kc_f, kc_p) FILE *kc_f; addedphylumdeclaration kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_addedphylumdeclaration);  }
void print_countedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(countedphylumdeclarations kc_p)
#else
(kc_p) countedphylumdeclarations kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_countedphylumdeclarations);  }
void fprint_countedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, countedphylumdeclarations kc_p)
#else
(kc_f, kc_p) FILE *kc_f; countedphylumdeclarations kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_countedphylumdeclarations);  }
void print_countedphylumdeclaration
#ifdef KC_USE_PROTOTYPES
(countedphylumdeclaration kc_p)
#else
(kc_p) countedphylumdeclaration kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_countedphylumdeclaration);  }
void fprint_countedphylumdeclaration
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, countedphylumdeclaration kc_p)
#else
(kc_f, kc_p) FILE *kc_f; countedphylumdeclaration kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_countedphylumdeclaration);  }
void print_bindingidmarks
#ifdef KC_USE_PROTOTYPES
(bindingidmarks kc_p)
#else
(kc_p) bindingidmarks kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_bindingidmarks);  }
void fprint_bindingidmarks
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, bindingidmarks kc_p)
#else
(kc_f, kc_p) FILE *kc_f; bindingidmarks kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_bindingidmarks);  }
void print_bindingidmark
#ifdef KC_USE_PROTOTYPES
(bindingidmark kc_p)
#else
(kc_p) bindingidmark kc_p;
#endif
{ kc_do_print_phylum(stdout, (kc_voidptr_t)kc_p, kc_phylum_bindingidmark);  }
void fprint_bindingidmark
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, bindingidmark kc_p)
#else
(kc_f, kc_p) FILE *kc_f; bindingidmark kc_p;
#endif
{ kc_do_print_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_bindingidmark);  }
static void kc_do_printdot_subgraph_prologue__nocasestring KC__P((FILE*, nocasestring, char*, char*, boolean, boolean));
static void kc_do_printdot_id_of__nocasestring KC__P((FILE*, nocasestring, boolean, kc_voidptr_t, int));
static void kc_do_printdot__nocasestring KC__P((FILE*, nocasestring, boolean, int*, kc_dotedgenode_t*, char*, boolean, boolean, kc_voidptr_t, int));
/* TERRIBLE HACK: declare non-static, to shut up gcc -Wall ... */
/*static*/ void kc_do_printdot_add_edge_nocasestring KC__P((kc_voidptr_t, kc_enum_phyla, nocasestring, int, int*, kc_dotedgenode_t*, char*));
static void kc_do_printdot_subgraph_prologue__casestring KC__P((FILE*, casestring, char*, char*, boolean, boolean));
static void kc_do_printdot_id_of__casestring KC__P((FILE*, casestring, boolean, kc_voidptr_t, int));
static void kc_do_printdot__casestring KC__P((FILE*, casestring, boolean, int*, kc_dotedgenode_t*, char*, boolean, boolean, kc_voidptr_t, int));
/* TERRIBLE HACK: declare non-static, to shut up gcc -Wall ... */
/*static*/ void kc_do_printdot_add_edge_casestring KC__P((kc_voidptr_t, kc_enum_phyla, casestring, int, int*, kc_dotedgenode_t*, char*));
static void kc_do_printdot_subgraph_prologue__float KC__P((FILE*, float, char*, char*, boolean, boolean));
static void kc_do_printdot_id_of__float KC__P((FILE*, float, boolean, kc_voidptr_t, int));
static void kc_do_printdot__float KC__P((FILE*, float, boolean, int*, kc_dotedgenode_t*, char*, boolean, boolean, kc_voidptr_t, int));
/* TERRIBLE HACK: declare non-static, to shut up gcc -Wall ... */
/*static*/ void kc_do_printdot_add_edge_float KC__P((kc_voidptr_t, kc_enum_phyla, float, int, int*, kc_dotedgenode_t*, char*));
static void kc_do_printdot_subgraph_prologue__int KC__P((FILE*, int, char*, char*, boolean, boolean));
static void kc_do_printdot_id_of__int KC__P((FILE*, int, boolean, kc_voidptr_t, int));
static void kc_do_printdot__int KC__P((FILE*, int, boolean, int*, kc_dotedgenode_t*, char*, boolean, boolean, kc_voidptr_t, int));
/* TERRIBLE HACK: declare non-static, to shut up gcc -Wall ... */
/*static*/ void kc_do_printdot_add_edge_int KC__P((kc_voidptr_t, kc_enum_phyla, int, int, int*, kc_dotedgenode_t*, char*));
static void kc_do_printdot_subgraph_prologue__voidptr KC__P((FILE*, voidptr, char*, char*, boolean, boolean));
static void kc_do_printdot_id_of__voidptr KC__P((FILE*, voidptr, boolean, kc_voidptr_t, int));
static void kc_do_printdot__voidptr KC__P((FILE*, voidptr, boolean, int*, kc_dotedgenode_t*, char*, boolean, boolean, kc_voidptr_t, int));
/* TERRIBLE HACK: declare non-static, to shut up gcc -Wall ... */
/*static*/ void kc_do_printdot_add_edge_voidptr KC__P((kc_voidptr_t, kc_enum_phyla, voidptr, int, int*, kc_dotedgenode_t*, char*));

static void kc_do_printdot_subgraph_prologue KC__P((FILE*, kc_voidptr_t, kc_enum_phyla, char*, char*, boolean, boolean));
static void kc_do_printdot_subgraph_epilogue KC__P((FILE*));
static void kc_do_printdot_genfields KC__P((FILE*, int, kc_enum_phyla, boolean));
static void kc_do_printdot_id_of_phylum KC__P((FILE*, kc_voidptr_t, kc_enum_phyla, boolean, kc_voidptr_t, int));
static void kc_do_printdot_do_add_edge KC__P((YYSTYPE, kc_enum_phyla, YYSTYPE, kc_enum_phyla, int, int*, kc_dotedgenode_t*, char*));
static void kc_do_printdot_add_edge KC__P((kc_voidptr_t, kc_enum_phyla, kc_voidptr_t, kc_enum_phyla, int, int*, kc_dotedgenode_t*, char*));
static void kc_do_printdot_edges KC__P((FILE*, kc_dotedgenode_t, char*, boolean));
static void kc_do_printdot_phylum KC__P((FILE*, kc_voidptr_t, kc_enum_phyla, boolean, int*, kc_dotedgenode_t*, char*, boolean, boolean, kc_voidptr_t, int));

static kc_hashtable_t kc_fprintdot_hashtable;
static int kc_fprintdot_hashtablesize = 5000;
int kc_set_fprintdot_hashtablesize
#ifdef KC_USE_PROTOTYPES
(int kc_i)
#else
(kc_i) int kc_i;
#endif
{	int kc_tmp = kc_fprintdot_hashtablesize;
	kc_fprintdot_hashtablesize =  kc_i;
	return kc_tmp;
}

static void kc_do_printdot_subgraph_prologue
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, kc_voidptr_t kc_p, kc_enum_phyla kc_phylum, char *kc_root, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt)
#else
(kc_f, kc_p, kc_phylum, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt) FILE *kc_f; kc_voidptr_t kc_p; kc_enum_phyla kc_phylum; char *kc_root; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;
#endif
{	if (!kc_f) kc_f = stdout;
	(void)fprintf(kc_f, "/*subgraph*/ {\n");
	if (kc_root) {
		(void)fprintf(kc_f, "\"%s\" [shape=ellipse", kc_root);
		if (kc_edge_attributes && (strlen(kc_edge_attributes) > 0)) {
			(void)fprintf(kc_f, ", %s", kc_edge_attributes);
		}
		if (kc_phy_labels) {
			(void)fprintf(kc_f, ", label=\"%s\\n%s\"", kc_root, kc_PhylumInfo[kc_phylum].name);
		}
		(void)fprintf(kc_f, "];\n");
		(void)fprintf(kc_f, "\"%s\" ->", kc_root);
		kc_do_printdot_id_of_phylum(kc_f, kc_p, kc_phylum, kc_use_ctxt, 0, 0);
		if (kc_edge_attributes && (strlen(kc_edge_attributes) > 0)) {
			(void)fprintf(kc_f, "[%s]", kc_edge_attributes);
		}
		(void)fprintf(kc_f, ";\n");
	}
}	

static void kc_do_printdot_subgraph_epilogue
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f)
#else
(kc_f) FILE *kc_f;
#endif
{	if (!kc_f) kc_f = stdout;
	(void)fprintf(kc_f, "}\n");
}
	
void fprintdotprologue
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f)
#else
(kc_f) FILE *kc_f;
#endif
{	if (!kc_f) kc_f = stdout;
	(void)fprintf(kc_f, "digraph kc_output{\n");
	(void)fprintf(kc_f, "node [shape=record, height=.1, fontname=Helvetica];\n");
}	

void fprintdotepilogue
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f)
#else
(kc_f) FILE *kc_f;
#endif
{	if (!kc_f) kc_f = stdout;
	(void)fprintf(kc_f, "}\n");
}
	
static void kc_do_printdot_genfields
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, int kc_prodsel, kc_enum_phyla kc_phylum, boolean kc_phy_labels)
#else
(kc_f, kc_prodsel, kc_phylum, kc_phy_labels) FILE *kc_f; int kc_prodsel; kc_enum_phyla kc_phylum; boolean kc_phy_labels;
#endif
{	int kc_i = 1;
	KC_OPERATOR_INFO *kc_op_info = &kc_OperatorInfo[(int)kc_prodsel];
	if (kc_op_info->no_sons <= 0) return;
	if (!kc_f) kc_f = stdout;
	while(kc_i < kc_op_info->no_sons) {
		(void)fprintf(kc_f, "<f%d>", kc_i);
		if (kc_phy_labels) {
			(void)fprintf(kc_f, "%s", kc_PhylumInfo[(int)kc_op_info->subphylum[kc_i-1]].name);

		}
		(void)fprintf(kc_f, "|");
		kc_i++;
	}
	(void)fprintf(kc_f, "<f%d>", kc_i);
	if (kc_phy_labels) {
		(void)fprintf(kc_f, "%s", kc_PhylumInfo[(int)kc_op_info->subphylum[kc_i-1]].name);
	}
}	

static void kc_do_printdot_id_of_phylum
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, kc_voidptr_t kc_p, kc_enum_phyla kc_phylum, boolean kc_use_ctxt, kc_voidptr_t kc_ctxt, int kc_son_nr)
#else
(kc_f, kc_p, kc_phylum, kc_use_ctxt, kc_ctxt, kc_son_nr) FILE *kc_f; kc_voidptr_t kc_p; kc_enum_phyla kc_phylum; boolean kc_use_ctxt; kc_voidptr_t kc_ctxt; int kc_son_nr;
#endif
{
	/*SUPPRESS 622*/
	assertReason(kc_phylum != kc_phylum_int, "kc_do_printdot_phylum called with kc_phylum_int argument");
	/*SUPPRESS 622*/
	assertReason(kc_phylum != kc_phylum_float, "kc_do_printdot_phylum called with kc_phylum_float argument");
	/*SUPPRESS 622*/
	assertPhylum(((casestring)kc_p),"kc_p",kc_phylum);
	if (!kc_f) kc_f = stdout;
	if (kc_phylum == kc_phylum_voidptr) {
		(void)fprintf(kc_f, "kcidp%p", kc_p);
		if (kc_use_ctxt) {
			(void)fprintf(kc_f, "_%p_%d", kc_ctxt, kc_son_nr);
		}
	} else if ((kc_phylum == kc_phylum_casestring) || (kc_phylum == kc_phylum_nocasestring)) {
		(void)fprintf(kc_f, "kcids%p", ((casestring)kc_p));
		if (kc_use_ctxt) {
			(void)fprintf(kc_f, "_%p_%d", kc_ctxt, kc_son_nr);
		}
	} else {
		(void)fprintf(kc_f, "kcidx%p", kc_p);
}	}	

static void kc_do_printdot_do_add_edge
#ifdef KC_USE_PROTOTYPES
(YYSTYPE kc_p, kc_enum_phyla kc_phylum, YYSTYPE kc_sub_p, kc_enum_phyla kc_sub_phylum, int kc_son_nr, int *kc_edge_nr, kc_dotedgenode_t *kc_edges, char *kc_edge_prefix)
#else
(kc_p, kc_phylum, kc_sub_p, kc_sub_phylum, kc_son_nr, kc_edge_nr, kc_edges, kc_edge_prefix) kc_voidptr_t kc_p; kc_enum_phyla kc_phylum; kc_voidptr_t kc_sub_p; kc_enum_phyla kc_sub_phylum; int kc_son_nr; int *kc_edge_nr; kc_dotedgenode_t *kc_edges; char *kc_edge_prefix;
#endif
{	kc_dotedgenode_t kc_hn;
	char kc_buf[30];
	kc_hn = kc_mkdotedgenode(kc_fprintdot_hashtable, kc_p, kc_phylum, kc_sub_p, kc_sub_phylum, kc_son_nr);
	if (! kc_hn->label) {
		kc_hn->label = (char*)(*kc_fprintdot_hashtable->malloc)((kc_size_t)(KC_PRINTDOT_LABELSIZE+1)*sizeof(char), kc_fprintdot_hashtable->malloc_private_data);
		kc_hn->lsize = KC_PRINTDOT_LABELSIZE;
		(void)strcpy(kc_hn->label, "");
		kc_hn->next = *kc_edges;
		*kc_edges = kc_hn;
	} else {
		char kc_buf2[30];
		(void)sprintf(kc_buf2, ", ");
		(void)strncat(kc_hn->label, kc_buf2, kc_hn->lsize - strlen(kc_hn->label));
	}
	if (kc_edge_prefix) {
		(void)strncat(kc_hn->label, kc_edge_prefix, kc_hn->lsize - strlen(kc_hn->label));
	}
	(void)sprintf(kc_buf, "%d", *kc_edge_nr);
	(void)strncat(kc_hn->label, kc_buf, kc_hn->lsize - strlen(kc_hn->label));
	(*kc_edge_nr)++;
}

static void kc_do_printdot_add_edge
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_p, kc_enum_phyla kc_phylum, kc_voidptr_t kc_sub_p, kc_enum_phyla kc_sub_phylum, int kc_son_nr, int *kc_edge_nr, kc_dotedgenode_t *kc_edges, char *kc_edge_prefix)
#else
(kc_p, kc_phylum, kc_sub_p, kc_sub_phylum, kc_son_nr, kc_edge_nr, kc_edges, kc_edge_prefix) kc_voidptr_t kc_p; kc_enum_phyla kc_phylum; kc_voidptr_t kc_sub_p; kc_enum_phyla kc_sub_phylum; int kc_son_nr; int *kc_edge_nr; kc_dotedgenode_t *kc_edges; char *kc_edge_prefix;
#endif
{	YYSTYPE kc_n, kc_sub_n;
	/*SUPPRESS 622*/
	assertReason(kc_phylum != kc_phylum_int, "kc_do_printdot_phylum called with kc_phylum_int argument");
	/*SUPPRESS 622*/
	assertReason(kc_phylum != kc_phylum_float, "kc_do_printdot_phylum called with kc_phylum_float argument");
	/*SUPPRESS 622*/
	assertPhylum(((casestring)kc_p),"kc_p",kc_phylum);
	kc_n.yt_voidptr = kc_p;
	kc_sub_n.yt_voidptr = kc_sub_p;
	kc_do_printdot_do_add_edge(kc_n, kc_phylum, kc_sub_n, kc_sub_phylum, kc_son_nr, kc_edge_nr, kc_edges, kc_edge_prefix);
}

static void kc_do_printdot_edges
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, kc_dotedgenode_t kc_edges, char *kc_edge_attributes, boolean kc_use_ctxt)
#else
(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt) FILE *kc_f; kc_dotedgenode_t kc_edges; char *kc_edge_attributes; boolean kc_use_ctxt;
#endif
{	kc_dotedgenode_t kc_p = kc_edges;
	if (!kc_f) kc_f = stdout;
	while(kc_p) {
		kc_do_printdot_id_of_phylum(kc_f, kc_p->ptr_from.yt_voidptr, kc_p->phy_from, kc_use_ctxt, 0, 0);
		(void)fprintf(kc_f, ":f%d -> ", kc_p->son_nr);
		switch(kc_p->phy_to) {
		case (int)kc_phylum_int: {
			kc_do_printdot_id_of__int(kc_f, kc_p->ptr_to.yt_int, kc_use_ctxt, kc_p->ptr_from.yt_voidptr, kc_p->son_nr);
		break; }
		case (int)kc_phylum_float: {
			kc_do_printdot_id_of__float(kc_f, kc_p->ptr_to.yt_float, kc_use_ctxt, kc_p->ptr_from.yt_voidptr, kc_p->son_nr);
		break; }
		default:
		kc_do_printdot_id_of_phylum(kc_f, kc_p->ptr_to.yt_voidptr, kc_p->phy_to, kc_use_ctxt, kc_p->ptr_from.yt_voidptr, kc_p->son_nr);
		}
		(void)fprintf(kc_f, " [label=\"%s\"", kc_p->label);
		if (kc_edge_attributes && (strlen(kc_edge_attributes) > 0)) {
			(void)fprintf(kc_f, ", %s", kc_edge_attributes);
		}
		(void)fprintf(kc_f, "];\n");
		kc_p = kc_p->next;
}	}	

static void kc_do_printdot_phylum
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, kc_voidptr_t kc_p, kc_enum_phyla kc_phylum, boolean kc_outmost, int *kc_edge_nr, kc_dotedgenode_t *kc_edges, char *kc_edge_prefix, boolean kc_phy_labels, boolean kc_use_ctxt, kc_voidptr_t kc_ctxt, int kc_son_nr)
#else
(kc_f, kc_p, kc_phylum, kc_outmost, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_ctxt, kc_son_nr) FILE *kc_f; kc_voidptr_t kc_p; kc_enum_phyla kc_phylum; boolean kc_outmost; int *kc_edge_nr; kc_dotedgenode_t *kc_edges; char *kc_edge_prefix; boolean kc_phy_labels; boolean kc_use_ctxt; kc_voidptr_t kc_ctxt; int kc_son_nr;
#endif
{	int kc_i;

	/*SUPPRESS 622*/
	assertReason(kc_phylum != kc_phylum_int, "kc_do_printdot_phylum called with kc_phylum_int argument");
	/*SUPPRESS 622*/
	assertReason(kc_phylum != kc_phylum_float, "kc_do_printdot_phylum called with kc_phylum_float argument");
	/*SUPPRESS 622*/
	assertPhylum(((casestring)kc_p),"kc_p",kc_phylum);
	if (!kc_f) kc_f = stdout;
	if (kc_phylum == kc_phylum_voidptr) {
		kc_do_printdot_id_of_phylum(kc_f, kc_p, kc_phylum, kc_use_ctxt, kc_ctxt, kc_son_nr);
		(void)fprintf(kc_f, " [label=\"%p\", shape=ellipse];\n", kc_p);
	} else if ((kc_phylum == kc_phylum_casestring) || (kc_phylum == kc_phylum_nocasestring)) {
		kc_do_printdot_id_of_phylum(kc_f, kc_p, kc_phylum, kc_use_ctxt, kc_ctxt, kc_son_nr);
		(void)fprintf(kc_f, " [label=\"%s\", shape=ellipse];\n", ((casestring)kc_p)->name);
	} else {
		kc_enum_operators kc_prodsel = ((casestring)kc_p)->prod_sel;
		KC_OPERATOR_INFO *kc_op_info = &kc_OperatorInfo[(int)kc_prodsel];
		if (! kc_op_info->no_sons) {
			kc_do_printdot_id_of_phylum(kc_f, kc_p, kc_phylum, kc_use_ctxt, kc_ctxt, kc_son_nr);
			(void)fprintf(kc_f, " [label=\"<f0>%s\"];\n", kc_op_info->name);
		} else {
			kc_do_printdot_id_of_phylum(kc_f, kc_p, kc_phylum, kc_use_ctxt, kc_ctxt, kc_son_nr);
			(void)fprintf(kc_f, " [label=\"{<f0>%s|{", kc_op_info->name);
			kc_do_printdot_genfields(kc_f, kc_prodsel, kc_phylum, kc_phy_labels);
			(void)fprintf(kc_f, "}}\"];\n");
			switch(kc_prodsel) {
			case (int)sel_Int: {
				kc_i = 0;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((INT)kc_p)->u.Int.int_1,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((INT)kc_p)->u.Int.int_1, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
			break; }
			case (int)sel_Argument: {
				kc_i = 0;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((argument)kc_p)->u.Argument.ID_1, kc_phylum_ID, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((argument)kc_p)->u.Argument.ID_1, kc_phylum_ID, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((argument)kc_p)->u.Argument.int_1,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((argument)kc_p)->u.Argument.int_1, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
			break; }
			case (int)sel_CExpressionNl: {
				kc_i = 0;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((Cexpression_elem)kc_p)->u.CExpressionNl.int_1,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((Cexpression_elem)kc_p)->u.CExpressionNl.int_1, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
			break; }
			case (int)sel_CExpressionDQNl: {
				kc_i = 0;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((CexpressionDQ_elem)kc_p)->u.CExpressionDQNl.int_1,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((CexpressionDQ_elem)kc_p)->u.CExpressionDQNl.int_1, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
			break; }
			case (int)sel_CExpressionSQNl: {
				kc_i = 0;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((CexpressionSQ_elem)kc_p)->u.CExpressionSQNl.int_1,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((CexpressionSQ_elem)kc_p)->u.CExpressionSQNl.int_1, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
			break; }
			case (int)sel_IncludeNl: {
				kc_i = 0;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((include)kc_p)->u.IncludeNl.int_1,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((include)kc_p)->u.IncludeNl.int_1, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
			break; }
			case (int)sel_FnDeclaration: {
				kc_i = 0;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.ID_1, kc_phylum_ID, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.ID_1, kc_phylum_ID, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((fndeclaration)kc_p)->u.FnDeclaration.int_1,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((fndeclaration)kc_p)->u.FnDeclaration.int_1, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.ID_2, kc_phylum_ID, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.ID_2, kc_phylum_ID, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.fnarguments_1, kc_phylum_fnarguments, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.fnarguments_1, kc_phylum_fnarguments, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.Cvariabledeclarations_1, kc_phylum_Cvariabledeclarations, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.Cvariabledeclarations_1, kc_phylum_Cvariabledeclarations, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.Ctext_1, kc_phylum_Ctext, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.Ctext_1, kc_phylum_Ctext, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.fnclass_1, kc_phylum_fnclass, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.fnclass_1, kc_phylum_fnclass, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
			break; }
			case (int)sel_CVPointer: {
				kc_i = 0;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((Cvariable)kc_p)->u.CVPointer.int_1,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((Cvariable)kc_p)->u.CVPointer.int_1, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((Cvariable)kc_p)->u.CVPointer.ID_1, kc_phylum_ID, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((Cvariable)kc_p)->u.CVPointer.ID_1, kc_phylum_ID, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
			break; }
			case (int)sel_CVFunction: {
				kc_i = 0;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((Cvariable)kc_p)->u.CVFunction.int_1,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((Cvariable)kc_p)->u.CVFunction.int_1, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((Cvariable)kc_p)->u.CVFunction.int_2,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((Cvariable)kc_p)->u.CVFunction.int_2, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((Cvariable)kc_p)->u.CVFunction.ID_1, kc_phylum_ID, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((Cvariable)kc_p)->u.CVFunction.ID_1, kc_phylum_ID, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
			break; }
			case (int)sel_CTextNl: {
				kc_i = 0;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((Ctext_elem)kc_p)->u.CTextNl.int_1,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((Ctext_elem)kc_p)->u.CTextNl.int_1, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
			break; }
			case (int)sel_FileLine: {
				kc_i = 0;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((fileline)kc_p)->u.FileLine.casestring_1, kc_phylum_casestring, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((fileline)kc_p)->u.FileLine.casestring_1, kc_phylum_casestring, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((fileline)kc_p)->u.FileLine.int_1,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((fileline)kc_p)->u.FileLine.int_1, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
			break; }
			case (int)sel_Consnooperatorsstack: {
				kc_i = 0;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((nooperatorsstack)kc_p)->u.Consnooperatorsstack.int_1,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((nooperatorsstack)kc_p)->u.Consnooperatorsstack.int_1, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((nooperatorsstack)kc_p)->u.Consnooperatorsstack.nooperatorsstack_1, kc_phylum_nooperatorsstack, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((nooperatorsstack)kc_p)->u.Consnooperatorsstack.nooperatorsstack_1, kc_phylum_nooperatorsstack, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
			break; }
			case (int)sel_ScopeTypeFileLine: {
				kc_i = 0;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((scopetypefileline)kc_p)->u.ScopeTypeFileLine.int_1,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((scopetypefileline)kc_p)->u.ScopeTypeFileLine.int_1, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((scopetypefileline)kc_p)->u.ScopeTypeFileLine.IDtype_1, kc_phylum_IDtype, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((scopetypefileline)kc_p)->u.ScopeTypeFileLine.IDtype_1, kc_phylum_IDtype, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((scopetypefileline)kc_p)->u.ScopeTypeFileLine.casestring_1, kc_phylum_casestring, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((scopetypefileline)kc_p)->u.ScopeTypeFileLine.casestring_1, kc_phylum_casestring, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((scopetypefileline)kc_p)->u.ScopeTypeFileLine.int_2,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((scopetypefileline)kc_p)->u.ScopeTypeFileLine.int_2, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
			break; }
			case (int)sel_ITPatternVariable: {
				kc_i = 0;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((IDtype)kc_p)->u.ITPatternVariable.ID_1, kc_phylum_ID, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((IDtype)kc_p)->u.ITPatternVariable.ID_1, kc_phylum_ID, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((IDtype)kc_p)->u.ITPatternVariable.int_1,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((IDtype)kc_p)->u.ITPatternVariable.int_1, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
			break; }
			case (int)sel_Consintstack: {
				kc_i = 0;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((intstack)kc_p)->u.Consintstack.int_1,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((intstack)kc_p)->u.Consintstack.int_1, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((intstack)kc_p)->u.Consintstack.intstack_1, kc_phylum_intstack, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((intstack)kc_p)->u.Consintstack.intstack_1, kc_phylum_intstack, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
			break; }
			case (int)sel_Conspath: {
				kc_i = 0;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((path)kc_p)->u.Conspath.int_1,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((path)kc_p)->u.Conspath.int_1, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((path)kc_p)->u.Conspath.path_1, kc_phylum_path, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((path)kc_p)->u.Conspath.path_1, kc_phylum_path, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
			break; }
			case (int)sel_Consargsnumbers: {
				kc_i = 0;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((argsnumbers)kc_p)->u.Consargsnumbers.int_1,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((argsnumbers)kc_p)->u.Consargsnumbers.int_1, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((argsnumbers)kc_p)->u.Consargsnumbers.argsnumbers_1, kc_phylum_argsnumbers, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((argsnumbers)kc_p)->u.Consargsnumbers.argsnumbers_1, kc_phylum_argsnumbers, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
			break; }
			case (int)sel_Problem1int1: {
				kc_i = 0;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((problem)kc_p)->u.Problem1int1.casestring_1, kc_phylum_casestring, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((problem)kc_p)->u.Problem1int1.casestring_1, kc_phylum_casestring, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((problem)kc_p)->u.Problem1int1.int_1,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((problem)kc_p)->u.Problem1int1.int_1, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((problem)kc_p)->u.Problem1int1.casestring_2, kc_phylum_casestring, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((problem)kc_p)->u.Problem1int1.casestring_2, kc_phylum_casestring, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
			break; }
			case (int)sel_Problem3int1: {
				kc_i = 0;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((problem)kc_p)->u.Problem3int1.casestring_1, kc_phylum_casestring, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((problem)kc_p)->u.Problem3int1.casestring_1, kc_phylum_casestring, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((problem)kc_p)->u.Problem3int1.casestring_2, kc_phylum_casestring, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((problem)kc_p)->u.Problem3int1.casestring_2, kc_phylum_casestring, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((problem)kc_p)->u.Problem3int1.casestring_3, kc_phylum_casestring, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((problem)kc_p)->u.Problem3int1.casestring_3, kc_phylum_casestring, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge_int(kc_p, kc_phylum, ((problem)kc_p)->u.Problem3int1.int_1,  kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot__int(kc_f, ((problem)kc_p)->u.Problem3int1.int_1, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
				kc_do_printdot_add_edge(kc_f, kc_phylum, (kc_voidptr_t)((problem)kc_p)->u.Problem3int1.casestring_4, kc_phylum_casestring, kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix);
				kc_do_printdot_phylum(kc_f, (kc_voidptr_t)((problem)kc_p)->u.Problem3int1.casestring_4, kc_phylum_casestring, False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1);
				kc_i++;
			break; }
			default:
			for (kc_i=0; kc_i < kc_op_info->no_sons; kc_i++) {
				kc_do_printdot_add_edge( kc_p, kc_phylum, (kc_voidptr_t)KC_SUBPHYLUM(kc_p, kc_op_info->suboffset[kc_i]), kc_op_info->subphylum[kc_i], kc_i+1, kc_edge_nr, kc_edges, kc_edge_prefix );
				kc_do_printdot_phylum( kc_f, (kc_voidptr_t)KC_SUBPHYLUM(kc_p, kc_op_info->suboffset[kc_i]), kc_op_info->subphylum[kc_i], False, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_p, kc_i+1 );
			}
			}
	}	}	
}
static void kc_do_printdot_subgraph_prologue__nocasestring
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, nocasestring kc_p, char *kc_root, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt)
#else
(kc_f, kc_p, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt) FILE *kc_f; nocasestring kc_p; char *kc_root; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;
#endif
{	if (!kc_f) kc_f = stdout;
	(void)fprintf(kc_f, "/*subgraph*/ {\n");
	if (kc_root) {
		(void)fprintf(kc_f, "\"%s\" [shape=ellipse", kc_root);
		if (kc_edge_attributes && (strlen(kc_edge_attributes) > 0)) {
			(void)fprintf(kc_f, ", %s", kc_edge_attributes);
		}
		if (kc_phy_labels) {
			(void)fprintf(kc_f, ", label=\"%s\\n%s\"", kc_root, kc_PhylumInfo[kc_phylum_nocasestring].name);
		}
		(void)fprintf(kc_f, "];\n");
		(void)fprintf(kc_f, "\"%s\" ->", kc_root);
		kc_do_printdot_id_of__nocasestring(kc_f, kc_p, kc_use_ctxt, 0, 0);
		if (kc_edge_attributes && (strlen(kc_edge_attributes) > 0)) {
			(void)fprintf(kc_f, "[%s]", kc_edge_attributes);
		}
		(void)fprintf(kc_f, ";\n");
	}
}
static void kc_do_printdot_id_of__nocasestring
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, nocasestring kc_p, boolean kc_use_ctxt, kc_voidptr_t kc_ctxt, int kc_son_nr)
#else
(kc_f, kc_p, kc_use_ctxt, kc_ctxt, kc_son_nr) FILE *kc_f; nocasestring kc_p; boolean kc_use_ctxt; kc_voidptr_t kc_ctxt; int kc_son_nr;
#endif
{ kc_do_printdot_id_of_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_nocasestring, kc_use_ctxt, kc_ctxt, kc_son_nr);  }
static void kc_do_printdot__nocasestring
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, nocasestring kc_p, boolean kc_outmost, int *kc_edge_nr, kc_dotedgenode_t *kc_edges, char *kc_edge_prefix, boolean kc_phy_labels, boolean kc_use_ctxt, kc_voidptr_t kc_ctxt, int kc_son_nr)
#else
(kc_f, kc_p, kc_outmost, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_ctxt, kc_son_nr) FILE *kc_f; nocasestring kc_p; boolean kc_outmost; int *kc_edge_nr; kc_dotedgenode_t *kc_edges; char *kc_edge_prefix; boolean kc_phy_labels; boolean kc_use_ctxt; kc_voidptr_t kc_ctxt; int kc_son_nr;
#endif
{ kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_nocasestring, kc_outmost, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_ctxt, kc_son_nr); }
/* TERRIBLE HACK: declare non-static, to shut up gcc -Wall ... */
/*static*/ void kc_do_printdot_add_edge_nocasestring
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_p, kc_enum_phyla kc_phylum, nocasestring kc_sub_p, int kc_son_nr, int *kc_edge_nr, kc_dotedgenode_t *kc_edges, char *kc_edge_prefix)
#else
(kc_p, kc_phylum, kc_sub_p, kc_son_nr, kc_edge_nr, kc_edges, kc_edge_prefix) kc_voidptr_t kc_p; kc_enum_phyla kc_phylum; nocasestring kc_sub_p; int kc_son_nr; int *kc_edge_nr; kc_dotedgenode_t *kc_edges; char *kc_edge_prefix;
#endif
{ kc_do_printdot_add_edge(kc_p, kc_phylum, kc_sub_p, kc_phylum_nocasestring, kc_son_nr, kc_edge_nr, kc_edges, kc_edge_prefix); }
void fprintdot_nocasestring
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, nocasestring kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; nocasestring kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue__nocasestring(kc_f, kc_p, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot__nocasestring(kc_f, kc_p, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
static void kc_do_printdot_subgraph_prologue__casestring
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, casestring kc_p, char *kc_root, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt)
#else
(kc_f, kc_p, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt) FILE *kc_f; casestring kc_p; char *kc_root; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;
#endif
{	if (!kc_f) kc_f = stdout;
	(void)fprintf(kc_f, "/*subgraph*/ {\n");
	if (kc_root) {
		(void)fprintf(kc_f, "\"%s\" [shape=ellipse", kc_root);
		if (kc_edge_attributes && (strlen(kc_edge_attributes) > 0)) {
			(void)fprintf(kc_f, ", %s", kc_edge_attributes);
		}
		if (kc_phy_labels) {
			(void)fprintf(kc_f, ", label=\"%s\\n%s\"", kc_root, kc_PhylumInfo[kc_phylum_casestring].name);
		}
		(void)fprintf(kc_f, "];\n");
		(void)fprintf(kc_f, "\"%s\" ->", kc_root);
		kc_do_printdot_id_of__casestring(kc_f, kc_p, kc_use_ctxt, 0, 0);
		if (kc_edge_attributes && (strlen(kc_edge_attributes) > 0)) {
			(void)fprintf(kc_f, "[%s]", kc_edge_attributes);
		}
		(void)fprintf(kc_f, ";\n");
	}
}
static void kc_do_printdot_id_of__casestring
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, casestring kc_p, boolean kc_use_ctxt, kc_voidptr_t kc_ctxt, int kc_son_nr)
#else
(kc_f, kc_p, kc_use_ctxt, kc_ctxt, kc_son_nr) FILE *kc_f; casestring kc_p; boolean kc_use_ctxt; kc_voidptr_t kc_ctxt; int kc_son_nr;
#endif
{ kc_do_printdot_id_of_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_casestring, kc_use_ctxt, kc_ctxt, kc_son_nr);  }
static void kc_do_printdot__casestring
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, casestring kc_p, boolean kc_outmost, int *kc_edge_nr, kc_dotedgenode_t *kc_edges, char *kc_edge_prefix, boolean kc_phy_labels, boolean kc_use_ctxt, kc_voidptr_t kc_ctxt, int kc_son_nr)
#else
(kc_f, kc_p, kc_outmost, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_ctxt, kc_son_nr) FILE *kc_f; casestring kc_p; boolean kc_outmost; int *kc_edge_nr; kc_dotedgenode_t *kc_edges; char *kc_edge_prefix; boolean kc_phy_labels; boolean kc_use_ctxt; kc_voidptr_t kc_ctxt; int kc_son_nr;
#endif
{ kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_casestring, kc_outmost, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_ctxt, kc_son_nr); }
/* TERRIBLE HACK: declare non-static, to shut up gcc -Wall ... */
/*static*/ void kc_do_printdot_add_edge_casestring
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_p, kc_enum_phyla kc_phylum, casestring kc_sub_p, int kc_son_nr, int *kc_edge_nr, kc_dotedgenode_t *kc_edges, char *kc_edge_prefix)
#else
(kc_p, kc_phylum, kc_sub_p, kc_son_nr, kc_edge_nr, kc_edges, kc_edge_prefix) kc_voidptr_t kc_p; kc_enum_phyla kc_phylum; casestring kc_sub_p; int kc_son_nr; int *kc_edge_nr; kc_dotedgenode_t *kc_edges; char *kc_edge_prefix;
#endif
{ kc_do_printdot_add_edge(kc_p, kc_phylum, kc_sub_p, kc_phylum_casestring, kc_son_nr, kc_edge_nr, kc_edges, kc_edge_prefix); }
void fprintdot_casestring
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, casestring kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; casestring kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue__casestring(kc_f, kc_p, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot__casestring(kc_f, kc_p, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
static void kc_do_printdot_subgraph_prologue__float
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, float kc_p, char *kc_root, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt)
#else
(kc_f, kc_p, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt) FILE *kc_f; float kc_p; char *kc_root; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;
#endif
{	if (!kc_f) kc_f = stdout;
	(void)fprintf(kc_f, "/*subgraph*/ {\n");
	if (kc_root) {
		(void)fprintf(kc_f, "\"%s\" [shape=ellipse", kc_root);
		if (kc_edge_attributes && (strlen(kc_edge_attributes) > 0)) {
			(void)fprintf(kc_f, ", %s", kc_edge_attributes);
		}
		if (kc_phy_labels) {
			(void)fprintf(kc_f, ", label=\"%s\\n%s\"", kc_root, kc_PhylumInfo[kc_phylum_float].name);
		}
		(void)fprintf(kc_f, "];\n");
		(void)fprintf(kc_f, "\"%s\" ->", kc_root);
		kc_do_printdot_id_of__float(kc_f, kc_p, kc_use_ctxt, 0, 0);
		if (kc_edge_attributes && (strlen(kc_edge_attributes) > 0)) {
			(void)fprintf(kc_f, "[%s]", kc_edge_attributes);
		}
		(void)fprintf(kc_f, ";\n");
	}
}
static void kc_do_printdot_id_of__float
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, float kc_p, boolean kc_use_ctxt, kc_voidptr_t kc_ctxt, int kc_son_nr)
#else
(kc_f, kc_p, kc_use_ctxt, kc_ctxt, kc_son_nr) FILE *kc_f; float kc_p; boolean kc_use_ctxt; kc_voidptr_t kc_ctxt; int kc_son_nr;
#endif
{	if (kc_use_ctxt) {
		(void)fprintf(kc_f, "\"kcidf%f_%p_%d\"", kc_p, kc_ctxt, kc_son_nr);
	} else {
		(void)fprintf(kc_f, "\"kcidf%f\"", kc_p);
}	}
static void kc_do_printdot__float
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, float kc_p, boolean kc_outmost, int *kc_edge_nr, kc_dotedgenode_t *kc_edges, char *kc_edge_prefix, boolean kc_phy_labels, boolean kc_use_ctxt, kc_voidptr_t kc_ctxt, int kc_son_nr)
#else
(kc_f, kc_p, kc_outmost, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_ctxt, kc_son_nr) FILE *kc_f; float kc_p; boolean kc_outmost; int *kc_edge_nr; kc_dotedgenode_t *kc_edges; char *kc_edge_prefix; boolean kc_phy_labels; boolean kc_use_ctxt; kc_voidptr_t kc_ctxt; int kc_son_nr;
#endif
{	if (!kc_f) kc_f = stdout;
	kc_do_printdot_id_of__float(kc_f, kc_p, kc_use_ctxt, kc_ctxt, kc_son_nr);
	(void)fprintf(kc_f, " [label=\"%f\", shape=ellipse];\n", kc_p);
}
/* TERRIBLE HACK: declare non-static, to shut up gcc -Wall ... */
/*static*/ void kc_do_printdot_add_edge_float
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_p, kc_enum_phyla kc_phylum, float kc_sub_p, int kc_son_nr, int *kc_edge_nr, kc_dotedgenode_t *kc_edges, char *kc_edge_prefix)
#else
(kc_p, kc_phylum, kc_sub_p, kc_son_nr, kc_edge_nr, kc_edges, kc_edge_prefix) kc_voidptr_t kc_p; kc_enum_phyla kc_phylum; float kc_sub_p; int kc_son_nr; int *kc_edge_nr; kc_dotedgenode_t *kc_edges; char *kc_edge_prefix;
#endif
{	YYSTYPE kc_n, kc_sub_n;
	kc_n.yt_voidptr = kc_p;
	kc_sub_n.yt_float = kc_sub_p;
	kc_do_printdot_do_add_edge(kc_n, kc_phylum, kc_sub_n, kc_phylum_float, kc_son_nr, kc_edge_nr, kc_edges, kc_edge_prefix);
}
void fprintdot_float
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, float kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; float kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue__float(kc_f, kc_p, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot__float(kc_f, kc_p, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
static void kc_do_printdot_subgraph_prologue__int
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, int kc_p, char *kc_root, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt)
#else
(kc_f, kc_p, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt) FILE *kc_f; int kc_p; char *kc_root; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;
#endif
{	if (!kc_f) kc_f = stdout;
	(void)fprintf(kc_f, "/*subgraph*/ {\n");
	if (kc_root) {
		(void)fprintf(kc_f, "\"%s\" [shape=ellipse", kc_root);
		if (kc_edge_attributes && (strlen(kc_edge_attributes) > 0)) {
			(void)fprintf(kc_f, ", %s", kc_edge_attributes);
		}
		if (kc_phy_labels) {
			(void)fprintf(kc_f, ", label=\"%s\\n%s\"", kc_root, kc_PhylumInfo[kc_phylum_int].name);
		}
		(void)fprintf(kc_f, "];\n");
		(void)fprintf(kc_f, "\"%s\" ->", kc_root);
		kc_do_printdot_id_of__int(kc_f, kc_p, kc_use_ctxt, 0, 0);
		if (kc_edge_attributes && (strlen(kc_edge_attributes) > 0)) {
			(void)fprintf(kc_f, "[%s]", kc_edge_attributes);
		}
		(void)fprintf(kc_f, ";\n");
	}
}
static void kc_do_printdot_id_of__int
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, int kc_p, boolean kc_use_ctxt, kc_voidptr_t kc_ctxt, int kc_son_nr)
#else
(kc_f, kc_p, kc_use_ctxt, kc_ctxt, kc_son_nr) FILE *kc_f; int kc_p; boolean kc_use_ctxt; kc_voidptr_t kc_ctxt; int kc_son_nr;
#endif
{	if (kc_use_ctxt) {
		(void)fprintf(kc_f, "\"kcidi%d_%p_%d\"", kc_p, kc_ctxt, kc_son_nr);
	} else {
		(void)fprintf(kc_f, "\"kcidi%d\"", kc_p);
}	}
static void kc_do_printdot__int
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, int kc_p, boolean kc_outmost, int *kc_edge_nr, kc_dotedgenode_t *kc_edges, char *kc_edge_prefix, boolean kc_phy_labels, boolean kc_use_ctxt, kc_voidptr_t kc_ctxt, int kc_son_nr)
#else
(kc_f, kc_p, kc_outmost, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_ctxt, kc_son_nr) FILE *kc_f; int kc_p; boolean kc_outmost; int *kc_edge_nr; kc_dotedgenode_t *kc_edges; char *kc_edge_prefix; boolean kc_phy_labels; boolean kc_use_ctxt; kc_voidptr_t kc_ctxt; int kc_son_nr;
#endif
{	if (!kc_f) kc_f = stdout;
	kc_do_printdot_id_of__int(kc_f, kc_p, kc_use_ctxt, kc_ctxt, kc_son_nr);
	(void)fprintf(kc_f, " [label=\"%d\", shape=ellipse];\n", kc_p);
}
/* TERRIBLE HACK: declare non-static, to shut up gcc -Wall ... */
/*static*/ void kc_do_printdot_add_edge_int
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_p, kc_enum_phyla kc_phylum, int kc_sub_p, int kc_son_nr, int *kc_edge_nr, kc_dotedgenode_t *kc_edges, char *kc_edge_prefix)
#else
(kc_p, kc_phylum, kc_sub_p, kc_son_nr, kc_edge_nr, kc_edges, kc_edge_prefix) kc_voidptr_t kc_p; kc_enum_phyla kc_phylum; int kc_sub_p; int kc_son_nr; int *kc_edge_nr; kc_dotedgenode_t *kc_edges; char *kc_edge_prefix;
#endif
{	YYSTYPE kc_n, kc_sub_n;
	kc_n.yt_voidptr = kc_p;
	kc_sub_n.yt_int = kc_sub_p;
	kc_do_printdot_do_add_edge(kc_n, kc_phylum, kc_sub_n, kc_phylum_int, kc_son_nr, kc_edge_nr, kc_edges, kc_edge_prefix);
}
void fprintdot_int
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, int kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; int kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue__int(kc_f, kc_p, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot__int(kc_f, kc_p, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
static void kc_do_printdot_subgraph_prologue__voidptr
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, voidptr kc_p, char *kc_root, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt)
#else
(kc_f, kc_p, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt) FILE *kc_f; voidptr kc_p; char *kc_root; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;
#endif
{	if (!kc_f) kc_f = stdout;
	(void)fprintf(kc_f, "/*subgraph*/ {\n");
	if (kc_root) {
		(void)fprintf(kc_f, "\"%s\" [shape=ellipse", kc_root);
		if (kc_edge_attributes && (strlen(kc_edge_attributes) > 0)) {
			(void)fprintf(kc_f, ", %s", kc_edge_attributes);
		}
		if (kc_phy_labels) {
			(void)fprintf(kc_f, ", label=\"%s\\n%s\"", kc_root, kc_PhylumInfo[kc_phylum_voidptr].name);
		}
		(void)fprintf(kc_f, "];\n");
		(void)fprintf(kc_f, "\"%s\" ->", kc_root);
		kc_do_printdot_id_of__voidptr(kc_f, kc_p, kc_use_ctxt, 0, 0);
		if (kc_edge_attributes && (strlen(kc_edge_attributes) > 0)) {
			(void)fprintf(kc_f, "[%s]", kc_edge_attributes);
		}
		(void)fprintf(kc_f, ";\n");
	}
}
static void kc_do_printdot_id_of__voidptr
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, voidptr kc_p, boolean kc_use_ctxt, kc_voidptr_t kc_ctxt, int kc_son_nr)
#else
(kc_f, kc_p, kc_use_ctxt, kc_ctxt, kc_son_nr) FILE *kc_f; voidptr kc_p; boolean kc_use_ctxt; kc_voidptr_t kc_ctxt; int kc_son_nr;
#endif
{ kc_do_printdot_id_of_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_voidptr, kc_use_ctxt, kc_ctxt, kc_son_nr);  }
static void kc_do_printdot__voidptr
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, voidptr kc_p, boolean kc_outmost, int *kc_edge_nr, kc_dotedgenode_t *kc_edges, char *kc_edge_prefix, boolean kc_phy_labels, boolean kc_use_ctxt, kc_voidptr_t kc_ctxt, int kc_son_nr)
#else
(kc_f, kc_p, kc_outmost, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_ctxt, kc_son_nr) FILE *kc_f; voidptr kc_p; boolean kc_outmost; int *kc_edge_nr; kc_dotedgenode_t *kc_edges; char *kc_edge_prefix; boolean kc_phy_labels; boolean kc_use_ctxt; kc_voidptr_t kc_ctxt; int kc_son_nr;
#endif
{ kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_voidptr, kc_outmost, kc_edge_nr, kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, kc_ctxt, kc_son_nr); }
/* TERRIBLE HACK: declare non-static, to shut up gcc -Wall ... */
/*static*/ void kc_do_printdot_add_edge_voidptr
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_p, kc_enum_phyla kc_phylum, voidptr kc_sub_p, int kc_son_nr, int *kc_edge_nr, kc_dotedgenode_t *kc_edges, char *kc_edge_prefix)
#else
(kc_p, kc_phylum, kc_sub_p, kc_son_nr, kc_edge_nr, kc_edges, kc_edge_prefix) kc_voidptr_t kc_p; kc_enum_phyla kc_phylum; voidptr kc_sub_p; int kc_son_nr; int *kc_edge_nr; kc_dotedgenode_t *kc_edges; char *kc_edge_prefix;
#endif
{ kc_do_printdot_add_edge(kc_p, kc_phylum, kc_sub_p, kc_phylum_voidptr, kc_son_nr, kc_edge_nr, kc_edges, kc_edge_prefix); }
void fprintdot_voidptr
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, voidptr kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; voidptr kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue__voidptr(kc_f, kc_p, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot__voidptr(kc_f, kc_p, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_uniqID
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, uniqID kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; uniqID kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_uniqID, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_uniqID, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ID
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ID kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ID kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ID, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ID, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_INT
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, INT kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; INT kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_INT, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_INT, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_STRING
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, STRING kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; STRING kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_STRING, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_STRING, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_phylumdeclarationsroot
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, phylumdeclarationsroot kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; phylumdeclarationsroot kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_phylumdeclarationsroot, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_phylumdeclarationsroot, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_phylumdeclarations
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, phylumdeclarations kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; phylumdeclarations kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_phylumdeclarations, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_phylumdeclarations, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_phylumnames
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, phylumnames kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; phylumnames kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_phylumnames, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_phylumnames, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_phylumdeclaration
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, phylumdeclaration kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; phylumdeclaration kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_phylumdeclaration, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_phylumdeclaration, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_storageoption
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, storageoption kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; storageoption kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_storageoption, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_storageoption, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_storageclasses
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, storageclasses kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; storageclasses kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_storageclasses, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_storageclasses, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_productionblock
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, productionblock kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; productionblock kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_productionblock, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_productionblock, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_alternatives
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, alternatives kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; alternatives kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_alternatives, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_alternatives, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_alternative
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, alternative kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; alternative kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_alternative, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_alternative, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_arguments
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, arguments kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; arguments kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_arguments, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_arguments, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_argument
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, argument kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; argument kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_argument, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_argument, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_Ccode_option
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, Ccode_option kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; Ccode_option kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_Ccode_option, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_Ccode_option, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_attributes
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, attributes kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; attributes kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_attributes, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_attributes, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_attribute
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, attribute kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; attribute kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_attribute, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_attribute, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_attribute_initialisation_option
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, attribute_initialisation_option kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; attribute_initialisation_option kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_attribute_initialisation_option, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_attribute_initialisation_option, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_Cexpression
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, Cexpression kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; Cexpression kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_Cexpression, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_Cexpression, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_Cexpression_elem
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, Cexpression_elem kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; Cexpression_elem kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_Cexpression_elem, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_Cexpression_elem, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_CexpressionDQ
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, CexpressionDQ kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; CexpressionDQ kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_CexpressionDQ, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_CexpressionDQ, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_CexpressionDQ_elem
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, CexpressionDQ_elem kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; CexpressionDQ_elem kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_CexpressionDQ_elem, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_CexpressionDQ_elem, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_CexpressionSQ
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, CexpressionSQ kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; CexpressionSQ kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_CexpressionSQ, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_CexpressionSQ, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_CexpressionSQ_elem
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, CexpressionSQ_elem kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; CexpressionSQ_elem kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_CexpressionSQ_elem, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_CexpressionSQ_elem, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_idCexpressions
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, idCexpressions kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; idCexpressions kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_idCexpressions, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_idCexpressions, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_idCexpression
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, idCexpression kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; idCexpression kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_idCexpression, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_idCexpression, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_Ctexts
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, Ctexts kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; Ctexts kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_Ctexts, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_Ctexts, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_includefiles
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, includefiles kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; includefiles kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_includefiles, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_includefiles, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_includefile
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, includefile kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; includefile kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_includefile, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_includefile, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_includedeclarations
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, includedeclarations kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; includedeclarations kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_includedeclarations, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_includedeclarations, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_includedeclaration
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, includedeclaration kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; includedeclaration kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_includedeclaration, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_includedeclaration, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_includes
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, includes kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; includes kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_includes, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_includes, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_include
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, include kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; include kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_include, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_include, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_rwdeclarations
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, rwdeclarations kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; rwdeclarations kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_rwdeclarations, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_rwdeclarations, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_rwdeclaration
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, rwdeclaration kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; rwdeclaration kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_rwdeclaration, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_rwdeclaration, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_rewriteclauses
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, rewriteclauses kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; rewriteclauses kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_rewriteclauses, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_rewriteclauses, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_rewriteclause
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, rewriteclause kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; rewriteclause kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_rewriteclause, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_rewriteclause, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_patternchains
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, patternchains kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; patternchains kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_patternchains, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_patternchains, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_patternchain
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, patternchain kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; patternchain kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_patternchain, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_patternchain, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_outmostpatterns
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, outmostpatterns kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; outmostpatterns kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_outmostpatterns, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_outmostpatterns, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_patternchainitem
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, patternchainitem kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; patternchainitem kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_patternchainitem, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_patternchainitem, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_outmostpattern
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, outmostpattern kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; outmostpattern kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_outmostpattern, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_outmostpattern, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_pattern
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, pattern kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; pattern kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_pattern, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_pattern, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_patterns
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, patterns kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; patterns kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_patterns, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_patterns, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_term
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, term kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; term kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_term, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_term, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_terms
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, terms kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; terms kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_terms, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_terms, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_fnfiles
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, fnfiles kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; fnfiles kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_fnfiles, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_fnfiles, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_fnfile
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, fnfile kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; fnfile kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_fnfile, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_fnfile, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_fndeclarations
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, fndeclarations kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; fndeclarations kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_fndeclarations, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_fndeclarations, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_fndeclaration
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, fndeclaration kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; fndeclaration kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_fndeclaration, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_fndeclaration, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_fnclass
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, fnclass kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; fnclass kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_fnclass, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_fnclass, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_fnarguments
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, fnarguments kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; fnarguments kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_fnarguments, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_fnarguments, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_Cvariabledeclarations
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, Cvariabledeclarations kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; Cvariabledeclarations kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_Cvariabledeclarations, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_Cvariabledeclarations, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_Cvariabledeclaration
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, Cvariabledeclaration kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; Cvariabledeclaration kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_Cvariabledeclaration, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_Cvariabledeclaration, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_Cvariables
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, Cvariables kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; Cvariables kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_Cvariables, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_Cvariables, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_Cvariable
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, Cvariable kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; Cvariable kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_Cvariable, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_Cvariable, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_Ctext
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, Ctext kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; Ctext kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_Ctext, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_Ctext, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_Ctext_elem
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, Ctext_elem kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; Ctext_elem kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_Ctext_elem, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_Ctext_elem, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_foreach_after
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, foreach_after kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; foreach_after kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_foreach_after, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_foreach_after, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_contextinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, contextinfo kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; contextinfo kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_contextinfo, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_contextinfo, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_withexpressions
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, withexpressions kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; withexpressions kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_withexpressions, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_withexpressions, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_withexpression
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, withexpression kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; withexpression kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_withexpression, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_withexpression, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_withcases
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, withcases kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; withcases kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_withcases, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_withcases, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_withcase
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, withcase kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; withcase kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_withcase, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_withcase, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_unparsedeclarations
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unparsedeclarations kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; unparsedeclarations kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_unparsedeclarations, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unparsedeclarations, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_unparsedeclaration
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unparsedeclaration kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; unparsedeclaration kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_unparsedeclaration, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unparsedeclaration, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_unparseclauses
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unparseclauses kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; unparseclauses kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_unparseclauses, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unparseclauses, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_unparseclause
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unparseclause kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; unparseclause kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_unparseclause, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unparseclause, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_viewnames
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, viewnames kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; viewnames kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_viewnames, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_viewnames, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_unparseitems
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unparseitems kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; unparseitems kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_unparseitems, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unparseitems, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_unparseitem
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unparseitem kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; unparseitem kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_unparseitem, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unparseitem, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_unpsubterm
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unpsubterm kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; unpsubterm kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_unpsubterm, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unpsubterm, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_unpattributes
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unpattributes kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; unpattributes kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_unpattributes, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unpattributes, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_viewnameoption
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, viewnameoption kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; viewnameoption kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_viewnameoption, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_viewnameoption, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_filelinestack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, filelinestack kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; filelinestack kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_filelinestack, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_filelinestack, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_fileline
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, fileline kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; fileline kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_fileline, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_fileline, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_nooperatorsstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, nooperatorsstack kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; nooperatorsstack kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_nooperatorsstack, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_nooperatorsstack, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_scopetypefilelinestack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, scopetypefilelinestack kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; scopetypefilelinestack kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_scopetypefilelinestack, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_scopetypefilelinestack, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_scopetypefileline
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, scopetypefileline kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; scopetypefileline kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_scopetypefileline, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_scopetypefileline, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_IDtype
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, IDtype kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; IDtype kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_IDtype, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_IDtype, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_operatorsstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, operatorsstack kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; operatorsstack kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_operatorsstack, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_operatorsstack, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_operators
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, operators kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; operators kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_operators, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_operators, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_phyla
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, phyla kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; phyla kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_phyla, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_phyla, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_variables
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, variables kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; variables kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_variables, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_variables, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_argumentsstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, argumentsstack kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; argumentsstack kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_argumentsstack, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_argumentsstack, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_phylumstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, phylumstack kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; phylumstack kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_phylumstack, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_phylumstack, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_phylumnamesstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, phylumnamesstack kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; phylumnamesstack kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_phylumnamesstack, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_phylumnamesstack, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_withexpressionsstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, withexpressionsstack kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; withexpressionsstack kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_withexpressionsstack, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_withexpressionsstack, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_operatorstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, operatorstack kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; operatorstack kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_operatorstack, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_operatorstack, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_variablesstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, variablesstack kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; variablesstack kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_variablesstack, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_variablesstack, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_selvarstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, selvarstack kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; selvarstack kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_selvarstack, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_selvarstack, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_dollarvarstatus
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, dollarvarstatus kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; dollarvarstatus kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_dollarvarstatus, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_dollarvarstatus, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_dollarvarsallowedstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, dollarvarsallowedstack kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; dollarvarsallowedstack kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_dollarvarsallowedstack, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_dollarvarsallowedstack, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_intstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, intstack kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; intstack kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_intstack, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_intstack, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_idCexpressionsstack
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, idCexpressionsstack kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; idCexpressionsstack kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_idCexpressionsstack, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_idCexpressionsstack, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_two_phyla
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, two_phyla kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; two_phyla kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_two_phyla, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_two_phyla, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_tribool
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, tribool kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; tribool kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_tribool, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_tribool, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_patternrepresentations
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, patternrepresentations kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; patternrepresentations kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_patternrepresentations, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_patternrepresentations, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, patternrepresentation kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; patternrepresentation kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_patternrepresentation, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_patternrepresentation, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_elem_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, elem_patternrepresentation kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; elem_patternrepresentation kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_elem_patternrepresentation, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_elem_patternrepresentation, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_path
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, path kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; path kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_path, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_path, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_paths
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, paths kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; paths kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_paths, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_paths, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_argsnumbers
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, argsnumbers kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; argsnumbers kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_argsnumbers, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_argsnumbers, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_rewriterulesinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, rewriterulesinfo kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; rewriterulesinfo kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_rewriterulesinfo, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_rewriterulesinfo, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_rewriteruleinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, rewriteruleinfo kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; rewriteruleinfo kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_rewriteruleinfo, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_rewriteruleinfo, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_withcasesinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, withcasesinfo kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; withcasesinfo kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_withcasesinfo, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_withcasesinfo, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_withcaseinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, withcaseinfo kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; withcaseinfo kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_withcaseinfo, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_withcaseinfo, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_rewriteviewsinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, rewriteviewsinfo kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; rewriteviewsinfo kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_rewriteviewsinfo, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_rewriteviewsinfo, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_rewriteviewinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, rewriteviewinfo kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; rewriteviewinfo kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_rewriteviewinfo, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_rewriteviewinfo, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_unparseviewsinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unparseviewsinfo kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; unparseviewsinfo kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_unparseviewsinfo, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unparseviewsinfo, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_unparseviewinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unparseviewinfo kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; unparseviewinfo kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_unparseviewinfo, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unparseviewinfo, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_unparsedeclsinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unparsedeclsinfo kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; unparsedeclsinfo kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_unparsedeclsinfo, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unparsedeclsinfo, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_unparsedeclinfo
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, unparsedeclinfo kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; unparsedeclinfo kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_unparsedeclinfo, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_unparsedeclinfo, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_declaration
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_declaration kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_declaration kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_declaration, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_declaration, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_declaration_list
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_declaration_list kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_declaration_list kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_declaration_list, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_declaration_list, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_declaration_specifiers
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_declaration_specifiers kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_declaration_specifiers kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_declaration_specifiers, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_declaration_specifiers, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_declaration_specifier
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_declaration_specifier kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_declaration_specifier kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_declaration_specifier, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_declaration_specifier, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_storage_class_specifier
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_storage_class_specifier kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_storage_class_specifier kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_storage_class_specifier, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_storage_class_specifier, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_type_specifier
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_type_specifier kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_type_specifier kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_type_specifier, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_type_specifier, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_type_qualifier
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_type_qualifier kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_type_qualifier kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_type_qualifier, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_type_qualifier, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_init_declarator_list
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_init_declarator_list kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_init_declarator_list kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_init_declarator_list, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_init_declarator_list, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_init_declarator
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_init_declarator kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_init_declarator kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_init_declarator, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_init_declarator, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_declarator
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_declarator kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_declarator kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_declarator, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_declarator, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_direct_declarator
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_direct_declarator kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_direct_declarator kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_direct_declarator, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_direct_declarator, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_pointer_option
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_pointer_option kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_pointer_option kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_pointer_option, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_pointer_option, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_pointer
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_pointer kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_pointer kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_pointer, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_pointer, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_type_qualifier_list
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_type_qualifier_list kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_type_qualifier_list kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_type_qualifier_list, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_type_qualifier_list, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_parameter_type_list
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_parameter_type_list kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_parameter_type_list kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_parameter_type_list, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_parameter_type_list, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_parameter_list
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_parameter_list kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_parameter_list kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_parameter_list, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_parameter_list, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_parameter_declaration
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_parameter_declaration kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_parameter_declaration kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_parameter_declaration, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_parameter_declaration, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_identifier_list
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_identifier_list kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_identifier_list kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_identifier_list, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_identifier_list, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_abstract_declarator
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_abstract_declarator kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_abstract_declarator kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_abstract_declarator, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_abstract_declarator, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_direct_abstract_declarator_option
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_direct_abstract_declarator_option kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_direct_abstract_declarator_option kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_direct_abstract_declarator_option, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_direct_abstract_declarator_option, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_direct_abstract_declarator
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_direct_abstract_declarator kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_direct_abstract_declarator kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_direct_abstract_declarator, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_direct_abstract_declarator, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_constant_expression_option
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_constant_expression_option kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_constant_expression_option kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_constant_expression_option, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_constant_expression_option, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_ac_constant_expression
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, ac_constant_expression kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; ac_constant_expression kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_ac_constant_expression, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_ac_constant_expression, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_error
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, error kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; error kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_error, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_error, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_problem
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, problem kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; problem kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_problem, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_problem, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_addedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, addedphylumdeclarations kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; addedphylumdeclarations kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_addedphylumdeclarations, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_addedphylumdeclarations, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_addedphylumdeclaration
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, addedphylumdeclaration kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; addedphylumdeclaration kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_addedphylumdeclaration, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_addedphylumdeclaration, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_countedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, countedphylumdeclarations kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; countedphylumdeclarations kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_countedphylumdeclarations, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_countedphylumdeclarations, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_countedphylumdeclaration
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, countedphylumdeclaration kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; countedphylumdeclaration kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_countedphylumdeclaration, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_countedphylumdeclaration, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_bindingidmarks
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, bindingidmarks kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; bindingidmarks kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_bindingidmarks, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_bindingidmarks, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
void fprintdot_bindingidmark
#ifdef KC_USE_PROTOTYPES
(FILE *kc_f, bindingidmark kc_p, char *kc_root, char *kc_edge_prefix, char *kc_edge_attributes, boolean kc_phy_labels, boolean kc_use_ctxt, boolean kc_prt_head_foot)
#else
(kc_f, kc_p, kc_root, kc_edge_prefix, kc_edge_attributes, kc_phy_labels, kc_use_ctxt, kc_prt_head_foot) FILE *kc_f; bindingidmark kc_p; char *kc_root; char *kc_edge_prefix; char *kc_edge_attributes; boolean kc_phy_labels; boolean kc_use_ctxt;; boolean kc_prt_head_foot;
#endif
{	int kc_edge_nr = 1;
	kc_dotedgenode_t kc_edges = 0;
	if (kc_prt_head_foot) fprintdotprologue(kc_f);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_prologue(kc_f, kc_p, kc_phylum_bindingidmark, kc_root, kc_edge_attributes, kc_phy_labels, kc_use_ctxt);
	kc_fprintdot_hashtable = kc_ht_create_simple(kc_fprintdot_hashtablesize);
	kc_do_printdot_phylum(kc_f, (kc_voidptr_t)kc_p, kc_phylum_bindingidmark, True, &kc_edge_nr, &kc_edges, kc_edge_prefix, kc_phy_labels, kc_use_ctxt, 0, 0);
	kc_do_printdot_edges(kc_f, kc_edges, kc_edge_attributes, kc_use_ctxt);
	kc_ht_delete(kc_fprintdot_hashtable);
	/*if (kc_outmost)*/ kc_do_printdot_subgraph_epilogue(kc_f);
	if (kc_prt_head_foot) fprintdotepilogue(kc_f);
}
static char *kc_error_concat = "concat_";
static char *kc_error_reverse = "reverse_";
static char *kc_error_length = "length_";
static char *kc_error_last = "last_";
static char *kc_error_last_with_nil_argument = "Internal Error: last_%s was called with argument Nil%s\n";
static char *kc_error_map = "map_";
static char *kc_error_filter = "filter_";
static char *kc_error_freelist = "freelist_";

static int kc_do_length_phylum
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_p, kc_enum_phyla kc_phylum )
#else
(kc_p, kc_phylum) kc_voidptr_t kc_p; kc_enum_phyla kc_phylum;
#endif
{	boolean kc_not_ready = True;
	int kc_length = 0;
	kc_enum_operators kc_prodsel;
	while(kc_not_ready) {
		/*SUPPRESS 622*/
		assertPhylum(((casestring)kc_p),"kc_p",kc_phylum);
		kc_prodsel = ((casestring)kc_p)->prod_sel;
		if (kc_prodsel == kc_PhylumInfo[(int)kc_phylum].first_operator) {
			kc_not_ready=False;
		} else if (kc_prodsel == kc_PhylumInfo[(int)kc_phylum].last_operator) {
			kc_length++;
			kc_p = (kc_voidptr_t)KC_SUBPHYLUM(kc_p, kc_OperatorInfo[(int)kc_prodsel].suboffset[1]);
		} else {
			kc_invalid_operator(kc_error_length, kc_phylum, __LINE__, __FILE__, (int)kc_prodsel);/*NOTREACHED*/
	}	}
	return kc_length;
}

static void kc_do_freelist_phylum
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_p, kc_enum_phyla kc_phylum )
#else
(kc_p, kc_phylum) kc_voidptr_t kc_p; kc_enum_phyla kc_phylum;
#endif
{	boolean kc_not_ready = True;
	kc_enum_operators kc_prodsel;
	kc_voidptr_t kc_tmp_p;
	while(kc_not_ready) {
		/*SUPPRESS 622*/
		assertPhylum(((casestring)kc_p),"kc_p",kc_phylum);
		kc_prodsel = ((casestring)kc_p)->prod_sel;
		if (kc_prodsel == kc_PhylumInfo[(int)kc_phylum].first_operator) {
			kc_do_free_phylum(kc_p, False, kc_phylum);
			kc_not_ready=False;
		} else if (kc_prodsel == kc_PhylumInfo[(int)kc_phylum].last_operator) {
			kc_tmp_p = kc_p;
			kc_p = (kc_voidptr_t)KC_SUBPHYLUM(kc_p, kc_OperatorInfo[(int)kc_prodsel].suboffset[1]);
			kc_do_free_phylum(kc_tmp_p, False, kc_phylum);
		} else {
			kc_invalid_operator(kc_error_freelist, kc_phylum, __LINE__, __FILE__, (int)kc_prodsel);/*NOTREACHED*/
}	}	}

static kc_voidptr_t kc_do_concat_phylum
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_p1, kc_voidptr_t kc_p2, kc_enum_phyla kc_phylum)
#else
(kc_p1, kc_p2, kc_phylum) kc_voidptr_t kc_p1, kc_p2; kc_enum_phyla kc_phylum;
#endif
{	kc_enum_operators kc_prodsel;
	/*SUPPRESS 622*/
	assertPhylum(((casestring)kc_p1),"kc_p1",kc_phylum);
	kc_prodsel = ((casestring)kc_p1)->prod_sel;
	if (kc_prodsel == kc_PhylumInfo[(int)kc_phylum].first_operator) {
		return kc_p2;
	} else if (kc_prodsel == kc_PhylumInfo[(int)kc_phylum].last_operator) {
		return (kc_voidptr_t)(*kc_OperatorInfo[(int)kc_prodsel].create_routine)(
			kc_prodsel,
			(kc_voidptr_t)KC_SUBPHYLUM(kc_p1, kc_OperatorInfo[(int)kc_prodsel].suboffset[0]),
			 kc_do_concat_phylum( (kc_voidptr_t)KC_SUBPHYLUM(kc_p1, kc_OperatorInfo[(int)kc_prodsel].suboffset[1]), kc_p2, kc_phylum ) );
	} else {
		kc_invalid_operator(kc_error_concat, kc_phylum, __LINE__, __FILE__, (int)kc_prodsel);/*NOTREACHED*/return (kc_voidptr_t)0;
}	}

static kc_voidptr_t kc_do_reverse_phylum
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_p, kc_enum_phyla kc_phylum)
#else
(kc_p, kc_phylum) kc_voidptr_t kc_p; kc_enum_phyla kc_phylum;
#endif
{	boolean kc_not_ready = True;
	kc_enum_operators kc_prodsel;
	KC_PHYLUM_INFO *kc_phy_info = &kc_PhylumInfo[(int)kc_phylum];
	KC_OPERATOR_INFO *kc_firstop_info = &kc_OperatorInfo[(int)kc_phy_info->first_operator];
	KC_OPERATOR_INFO *kc_lastop_info = &kc_OperatorInfo[(int)kc_phy_info->last_operator];
	kc_voidptr_t kc_tmp = (*kc_firstop_info->create_routine)(kc_phy_info->first_operator);
	while(kc_not_ready) {
		/*SUPPRESS 622*/
		assertPhylum(((casestring)kc_p),"kc_p",kc_phylum);
		kc_prodsel = ((casestring)kc_p)->prod_sel;
		if (kc_prodsel == kc_phy_info->first_operator) {
			kc_not_ready=False;
		} else if (kc_prodsel == kc_phy_info->last_operator) {
			kc_tmp = (kc_voidptr_t)(*kc_lastop_info->create_routine)(kc_prodsel, (kc_voidptr_t)KC_SUBPHYLUM(kc_p, kc_lastop_info->suboffset[0]), kc_tmp);
			kc_p = (kc_voidptr_t)KC_SUBPHYLUM(kc_p, kc_lastop_info->suboffset[1]);
		} else {
			kc_invalid_operator(kc_error_reverse, kc_phylum, __LINE__, __FILE__, (int)kc_prodsel);/*NOTREACHED*/
	}	}
	return kc_tmp;
}

static kc_voidptr_t kc_do_last_phylum
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_p, kc_enum_phyla kc_phylum)
#else
(kc_p, kc_phylum) kc_voidptr_t kc_p; kc_enum_phyla kc_phylum;
#endif
{	boolean kc_not_ready = True;
	kc_voidptr_t kc_tmp = (kc_voidptr_t)0;
	kc_enum_operators kc_prodsel;
	KC_PHYLUM_INFO *kc_phy_info = &kc_PhylumInfo[(int)kc_phylum];
	KC_OPERATOR_INFO *kc_lastop_info = &kc_OperatorInfo[(int)kc_phy_info->last_operator];
	/*SUPPRESS 622*/
	assertPhylum(((casestring)kc_p),"kc_p",kc_phylum);
	if (((casestring)kc_p)->prod_sel == kc_phy_info->first_operator) {
		(void)fflush(stdout); (void)fprintf(stderr, kc_error_last_with_nil_argument, kc_phy_info->name,  kc_phy_info->name); exit( 1 ); /*NOTREACHED*/
	}
	while(kc_not_ready) {
		/*SUPPRESS 622*/
		assertPhylum(((casestring)kc_p),"kc_p",kc_phylum);
		kc_prodsel = ((casestring)kc_p)->prod_sel;
		if (kc_prodsel == kc_phy_info->first_operator) {
			kc_not_ready=False;
		} else if (kc_prodsel == kc_phy_info->last_operator) {
			kc_tmp = (kc_voidptr_t)KC_SUBPHYLUM(kc_p, kc_lastop_info->suboffset[0]);
			kc_p = (kc_voidptr_t)KC_SUBPHYLUM(kc_p, kc_lastop_info->suboffset[1]);
		} else {
			kc_invalid_operator(kc_error_last, kc_phylum, __LINE__, __FILE__, (int)kc_prodsel);/*NOTREACHED*/
	}	}
	return kc_tmp;
}

static kc_voidptr_t kc_do_map_phylum
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_p, kc_voidptr_t (*kc_fp)(kc_voidptr_t), kc_enum_phyla kc_phylum)
#else
(kc_p, kc_fp, kc_phylum) kc_voidptr_t kc_p; kc_voidptr_t (*kc_fp)KC__P((kc_voidptr_t)); kc_enum_phyla kc_phylum;
#endif
{	kc_enum_operators kc_prodsel;
	/*SUPPRESS 622*/
	assertPhylum(((casestring)kc_p),"kc_p",kc_phylum);
	kc_prodsel = ((casestring)kc_p)->prod_sel;
	if (kc_prodsel == kc_PhylumInfo[(int)kc_phylum].first_operator) {
		return kc_p;
	} else if (kc_prodsel == kc_PhylumInfo[(int)kc_phylum].last_operator) {
		return (kc_voidptr_t)(*kc_OperatorInfo[(int)kc_prodsel].create_routine)(
			kc_prodsel,
			(*kc_fp)((kc_voidptr_t)KC_SUBPHYLUM(kc_p, kc_OperatorInfo[(int)kc_prodsel].suboffset[0])),
			kc_do_map_phylum((kc_voidptr_t)KC_SUBPHYLUM(kc_p, kc_OperatorInfo[(int)kc_prodsel].suboffset[1]), kc_fp, kc_phylum));
	} else {
		kc_invalid_operator(kc_error_map, kc_phylum, __LINE__, __FILE__, (int)kc_prodsel);/*NOTREACHED*/return (kc_voidptr_t)0;
}	}

static kc_voidptr_t kc_do_filter_phylum
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_p,  boolean (*kc_fp)(kc_voidptr_t), kc_enum_phyla kc_phylum)
#else
(kc_p, kc_fp, kc_phylum) kc_voidptr_t kc_p; boolean (*kc_fp)KC__P((kc_voidptr_t)); kc_enum_phyla kc_phylum;
#endif
{	kc_enum_operators kc_prodsel;
	/*SUPPRESS 622*/
	assertPhylum(((casestring)kc_p),"kc_p",kc_phylum);
	kc_prodsel = ((casestring)kc_p)->prod_sel;
	if (kc_prodsel == kc_PhylumInfo[(int)kc_phylum].first_operator) {
		return kc_p;
	} else if (kc_prodsel == kc_PhylumInfo[(int)kc_phylum].last_operator) {
		if ((*kc_fp)((kc_voidptr_t)KC_SUBPHYLUM(kc_p, kc_OperatorInfo[(int)kc_prodsel].suboffset[0]))) {
			return (kc_voidptr_t)(*kc_OperatorInfo[(int)kc_prodsel].create_routine)(
				kc_prodsel,
				(kc_voidptr_t)KC_SUBPHYLUM(kc_p, kc_OperatorInfo[(int)kc_prodsel].suboffset[0]),
				kc_do_filter_phylum((kc_voidptr_t)KC_SUBPHYLUM(kc_p, kc_OperatorInfo[(int)kc_prodsel].suboffset[1]), kc_fp, kc_phylum));
		} else {
			return kc_do_filter_phylum((kc_voidptr_t)KC_SUBPHYLUM(kc_p, kc_OperatorInfo[(int)kc_prodsel].suboffset[1]), kc_fp, kc_phylum);
		}
	} else {
		kc_invalid_operator(kc_error_filter, kc_phylum, __LINE__, __FILE__, (int)kc_prodsel);/*NOTREACHED*/return (kc_voidptr_t)0;
}	}

phylumdeclarations concat_phylumdeclarations
#ifdef KC_USE_PROTOTYPES
(phylumdeclarations kc_p1, phylumdeclarations kc_p2)
#else
(kc_p1, kc_p2) phylumdeclarations kc_p1, kc_p2;
#endif
{ return (phylumdeclarations)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_phylumdeclarations ); }
phylumdeclarations reverse_phylumdeclarations
#ifdef KC_USE_PROTOTYPES
(phylumdeclarations kc_p)
#else
(kc_p) phylumdeclarations kc_p;
#endif
{ return (phylumdeclarations)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_phylumdeclarations ); }
int length_phylumdeclarations
#ifdef KC_USE_PROTOTYPES
(phylumdeclarations kc_p)
#else
(kc_p) phylumdeclarations kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_phylumdeclarations ); }
phylumdeclaration last_phylumdeclarations
#ifdef KC_USE_PROTOTYPES
(phylumdeclarations kc_p)
#else
(kc_p) phylumdeclarations kc_p;
#endif
{ return (phylumdeclaration)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_phylumdeclarations ); }
phylumdeclarations map_phylumdeclarations
#ifdef KC_USE_PROTOTYPES
(phylumdeclarations kc_p, phylumdeclaration (*kc_fp)(phylumdeclaration))
#else
(kc_p, kc_fp) phylumdeclarations kc_p; phylumdeclaration (*kc_fp)KC__P((phylumdeclaration));
#endif
{ return (phylumdeclarations)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_phylumdeclarations ); }
phylumdeclarations filter_phylumdeclarations
#ifdef KC_USE_PROTOTYPES
(phylumdeclarations kc_p, boolean (*kc_fp)(phylumdeclaration))
#else
(kc_p, kc_fp) phylumdeclarations kc_p; boolean (*kc_fp)KC__P((phylumdeclaration));
#endif
{ return (phylumdeclarations)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_phylumdeclarations ); }
void freelist_phylumdeclarations
#ifdef KC_USE_PROTOTYPES
(phylumdeclarations kc_p)
#else
(kc_p) phylumdeclarations kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_phylumdeclarations ); }
phylumnames concat_phylumnames
#ifdef KC_USE_PROTOTYPES
(phylumnames kc_p1, phylumnames kc_p2)
#else
(kc_p1, kc_p2) phylumnames kc_p1, kc_p2;
#endif
{ return (phylumnames)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_phylumnames ); }
phylumnames reverse_phylumnames
#ifdef KC_USE_PROTOTYPES
(phylumnames kc_p)
#else
(kc_p) phylumnames kc_p;
#endif
{ return (phylumnames)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_phylumnames ); }
int length_phylumnames
#ifdef KC_USE_PROTOTYPES
(phylumnames kc_p)
#else
(kc_p) phylumnames kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_phylumnames ); }
ID last_phylumnames
#ifdef KC_USE_PROTOTYPES
(phylumnames kc_p)
#else
(kc_p) phylumnames kc_p;
#endif
{ return (ID)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_phylumnames ); }
phylumnames map_phylumnames
#ifdef KC_USE_PROTOTYPES
(phylumnames kc_p, ID (*kc_fp)(ID))
#else
(kc_p, kc_fp) phylumnames kc_p; ID (*kc_fp)KC__P((ID));
#endif
{ return (phylumnames)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_phylumnames ); }
phylumnames filter_phylumnames
#ifdef KC_USE_PROTOTYPES
(phylumnames kc_p, boolean (*kc_fp)(ID))
#else
(kc_p, kc_fp) phylumnames kc_p; boolean (*kc_fp)KC__P((ID));
#endif
{ return (phylumnames)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_phylumnames ); }
void freelist_phylumnames
#ifdef KC_USE_PROTOTYPES
(phylumnames kc_p)
#else
(kc_p) phylumnames kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_phylumnames ); }
storageclasses concat_storageclasses
#ifdef KC_USE_PROTOTYPES
(storageclasses kc_p1, storageclasses kc_p2)
#else
(kc_p1, kc_p2) storageclasses kc_p1, kc_p2;
#endif
{ return (storageclasses)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_storageclasses ); }
storageclasses reverse_storageclasses
#ifdef KC_USE_PROTOTYPES
(storageclasses kc_p)
#else
(kc_p) storageclasses kc_p;
#endif
{ return (storageclasses)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_storageclasses ); }
int length_storageclasses
#ifdef KC_USE_PROTOTYPES
(storageclasses kc_p)
#else
(kc_p) storageclasses kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_storageclasses ); }
ID last_storageclasses
#ifdef KC_USE_PROTOTYPES
(storageclasses kc_p)
#else
(kc_p) storageclasses kc_p;
#endif
{ return (ID)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_storageclasses ); }
storageclasses map_storageclasses
#ifdef KC_USE_PROTOTYPES
(storageclasses kc_p, ID (*kc_fp)(ID))
#else
(kc_p, kc_fp) storageclasses kc_p; ID (*kc_fp)KC__P((ID));
#endif
{ return (storageclasses)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_storageclasses ); }
storageclasses filter_storageclasses
#ifdef KC_USE_PROTOTYPES
(storageclasses kc_p, boolean (*kc_fp)(ID))
#else
(kc_p, kc_fp) storageclasses kc_p; boolean (*kc_fp)KC__P((ID));
#endif
{ return (storageclasses)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_storageclasses ); }
void freelist_storageclasses
#ifdef KC_USE_PROTOTYPES
(storageclasses kc_p)
#else
(kc_p) storageclasses kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_storageclasses ); }
alternatives concat_alternatives
#ifdef KC_USE_PROTOTYPES
(alternatives kc_p1, alternatives kc_p2)
#else
(kc_p1, kc_p2) alternatives kc_p1, kc_p2;
#endif
{ return (alternatives)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_alternatives ); }
alternatives reverse_alternatives
#ifdef KC_USE_PROTOTYPES
(alternatives kc_p)
#else
(kc_p) alternatives kc_p;
#endif
{ return (alternatives)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_alternatives ); }
int length_alternatives
#ifdef KC_USE_PROTOTYPES
(alternatives kc_p)
#else
(kc_p) alternatives kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_alternatives ); }
alternative last_alternatives
#ifdef KC_USE_PROTOTYPES
(alternatives kc_p)
#else
(kc_p) alternatives kc_p;
#endif
{ return (alternative)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_alternatives ); }
alternatives map_alternatives
#ifdef KC_USE_PROTOTYPES
(alternatives kc_p, alternative (*kc_fp)(alternative))
#else
(kc_p, kc_fp) alternatives kc_p; alternative (*kc_fp)KC__P((alternative));
#endif
{ return (alternatives)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_alternatives ); }
alternatives filter_alternatives
#ifdef KC_USE_PROTOTYPES
(alternatives kc_p, boolean (*kc_fp)(alternative))
#else
(kc_p, kc_fp) alternatives kc_p; boolean (*kc_fp)KC__P((alternative));
#endif
{ return (alternatives)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_alternatives ); }
void freelist_alternatives
#ifdef KC_USE_PROTOTYPES
(alternatives kc_p)
#else
(kc_p) alternatives kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_alternatives ); }
arguments concat_arguments
#ifdef KC_USE_PROTOTYPES
(arguments kc_p1, arguments kc_p2)
#else
(kc_p1, kc_p2) arguments kc_p1, kc_p2;
#endif
{ return (arguments)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_arguments ); }
arguments reverse_arguments
#ifdef KC_USE_PROTOTYPES
(arguments kc_p)
#else
(kc_p) arguments kc_p;
#endif
{ return (arguments)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_arguments ); }
int length_arguments
#ifdef KC_USE_PROTOTYPES
(arguments kc_p)
#else
(kc_p) arguments kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_arguments ); }
ID last_arguments
#ifdef KC_USE_PROTOTYPES
(arguments kc_p)
#else
(kc_p) arguments kc_p;
#endif
{ return (ID)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_arguments ); }
arguments map_arguments
#ifdef KC_USE_PROTOTYPES
(arguments kc_p, ID (*kc_fp)(ID))
#else
(kc_p, kc_fp) arguments kc_p; ID (*kc_fp)KC__P((ID));
#endif
{ return (arguments)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_arguments ); }
arguments filter_arguments
#ifdef KC_USE_PROTOTYPES
(arguments kc_p, boolean (*kc_fp)(ID))
#else
(kc_p, kc_fp) arguments kc_p; boolean (*kc_fp)KC__P((ID));
#endif
{ return (arguments)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_arguments ); }
void freelist_arguments
#ifdef KC_USE_PROTOTYPES
(arguments kc_p)
#else
(kc_p) arguments kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_arguments ); }
attributes concat_attributes
#ifdef KC_USE_PROTOTYPES
(attributes kc_p1, attributes kc_p2)
#else
(kc_p1, kc_p2) attributes kc_p1, kc_p2;
#endif
{ return (attributes)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_attributes ); }
attributes reverse_attributes
#ifdef KC_USE_PROTOTYPES
(attributes kc_p)
#else
(kc_p) attributes kc_p;
#endif
{ return (attributes)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_attributes ); }
int length_attributes
#ifdef KC_USE_PROTOTYPES
(attributes kc_p)
#else
(kc_p) attributes kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_attributes ); }
attribute last_attributes
#ifdef KC_USE_PROTOTYPES
(attributes kc_p)
#else
(kc_p) attributes kc_p;
#endif
{ return (attribute)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_attributes ); }
attributes map_attributes
#ifdef KC_USE_PROTOTYPES
(attributes kc_p, attribute (*kc_fp)(attribute))
#else
(kc_p, kc_fp) attributes kc_p; attribute (*kc_fp)KC__P((attribute));
#endif
{ return (attributes)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_attributes ); }
attributes filter_attributes
#ifdef KC_USE_PROTOTYPES
(attributes kc_p, boolean (*kc_fp)(attribute))
#else
(kc_p, kc_fp) attributes kc_p; boolean (*kc_fp)KC__P((attribute));
#endif
{ return (attributes)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_attributes ); }
void freelist_attributes
#ifdef KC_USE_PROTOTYPES
(attributes kc_p)
#else
(kc_p) attributes kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_attributes ); }
Cexpression concat_Cexpression
#ifdef KC_USE_PROTOTYPES
(Cexpression kc_p1, Cexpression kc_p2)
#else
(kc_p1, kc_p2) Cexpression kc_p1, kc_p2;
#endif
{ return (Cexpression)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_Cexpression ); }
Cexpression reverse_Cexpression
#ifdef KC_USE_PROTOTYPES
(Cexpression kc_p)
#else
(kc_p) Cexpression kc_p;
#endif
{ return (Cexpression)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_Cexpression ); }
int length_Cexpression
#ifdef KC_USE_PROTOTYPES
(Cexpression kc_p)
#else
(kc_p) Cexpression kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_Cexpression ); }
Cexpression_elem last_Cexpression
#ifdef KC_USE_PROTOTYPES
(Cexpression kc_p)
#else
(kc_p) Cexpression kc_p;
#endif
{ return (Cexpression_elem)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_Cexpression ); }
Cexpression map_Cexpression
#ifdef KC_USE_PROTOTYPES
(Cexpression kc_p, Cexpression_elem (*kc_fp)(Cexpression_elem))
#else
(kc_p, kc_fp) Cexpression kc_p; Cexpression_elem (*kc_fp)KC__P((Cexpression_elem));
#endif
{ return (Cexpression)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_Cexpression ); }
Cexpression filter_Cexpression
#ifdef KC_USE_PROTOTYPES
(Cexpression kc_p, boolean (*kc_fp)(Cexpression_elem))
#else
(kc_p, kc_fp) Cexpression kc_p; boolean (*kc_fp)KC__P((Cexpression_elem));
#endif
{ return (Cexpression)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_Cexpression ); }
void freelist_Cexpression
#ifdef KC_USE_PROTOTYPES
(Cexpression kc_p)
#else
(kc_p) Cexpression kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_Cexpression ); }
CexpressionDQ concat_CexpressionDQ
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ kc_p1, CexpressionDQ kc_p2)
#else
(kc_p1, kc_p2) CexpressionDQ kc_p1, kc_p2;
#endif
{ return (CexpressionDQ)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_CexpressionDQ ); }
CexpressionDQ reverse_CexpressionDQ
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ kc_p)
#else
(kc_p) CexpressionDQ kc_p;
#endif
{ return (CexpressionDQ)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_CexpressionDQ ); }
int length_CexpressionDQ
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ kc_p)
#else
(kc_p) CexpressionDQ kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_CexpressionDQ ); }
CexpressionDQ_elem last_CexpressionDQ
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ kc_p)
#else
(kc_p) CexpressionDQ kc_p;
#endif
{ return (CexpressionDQ_elem)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_CexpressionDQ ); }
CexpressionDQ map_CexpressionDQ
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ kc_p, CexpressionDQ_elem (*kc_fp)(CexpressionDQ_elem))
#else
(kc_p, kc_fp) CexpressionDQ kc_p; CexpressionDQ_elem (*kc_fp)KC__P((CexpressionDQ_elem));
#endif
{ return (CexpressionDQ)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_CexpressionDQ ); }
CexpressionDQ filter_CexpressionDQ
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ kc_p, boolean (*kc_fp)(CexpressionDQ_elem))
#else
(kc_p, kc_fp) CexpressionDQ kc_p; boolean (*kc_fp)KC__P((CexpressionDQ_elem));
#endif
{ return (CexpressionDQ)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_CexpressionDQ ); }
void freelist_CexpressionDQ
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ kc_p)
#else
(kc_p) CexpressionDQ kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_CexpressionDQ ); }
CexpressionSQ concat_CexpressionSQ
#ifdef KC_USE_PROTOTYPES
(CexpressionSQ kc_p1, CexpressionSQ kc_p2)
#else
(kc_p1, kc_p2) CexpressionSQ kc_p1, kc_p2;
#endif
{ return (CexpressionSQ)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_CexpressionSQ ); }
CexpressionSQ reverse_CexpressionSQ
#ifdef KC_USE_PROTOTYPES
(CexpressionSQ kc_p)
#else
(kc_p) CexpressionSQ kc_p;
#endif
{ return (CexpressionSQ)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_CexpressionSQ ); }
int length_CexpressionSQ
#ifdef KC_USE_PROTOTYPES
(CexpressionSQ kc_p)
#else
(kc_p) CexpressionSQ kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_CexpressionSQ ); }
CexpressionSQ_elem last_CexpressionSQ
#ifdef KC_USE_PROTOTYPES
(CexpressionSQ kc_p)
#else
(kc_p) CexpressionSQ kc_p;
#endif
{ return (CexpressionSQ_elem)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_CexpressionSQ ); }
CexpressionSQ map_CexpressionSQ
#ifdef KC_USE_PROTOTYPES
(CexpressionSQ kc_p, CexpressionSQ_elem (*kc_fp)(CexpressionSQ_elem))
#else
(kc_p, kc_fp) CexpressionSQ kc_p; CexpressionSQ_elem (*kc_fp)KC__P((CexpressionSQ_elem));
#endif
{ return (CexpressionSQ)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_CexpressionSQ ); }
CexpressionSQ filter_CexpressionSQ
#ifdef KC_USE_PROTOTYPES
(CexpressionSQ kc_p, boolean (*kc_fp)(CexpressionSQ_elem))
#else
(kc_p, kc_fp) CexpressionSQ kc_p; boolean (*kc_fp)KC__P((CexpressionSQ_elem));
#endif
{ return (CexpressionSQ)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_CexpressionSQ ); }
void freelist_CexpressionSQ
#ifdef KC_USE_PROTOTYPES
(CexpressionSQ kc_p)
#else
(kc_p) CexpressionSQ kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_CexpressionSQ ); }
idCexpressions concat_idCexpressions
#ifdef KC_USE_PROTOTYPES
(idCexpressions kc_p1, idCexpressions kc_p2)
#else
(kc_p1, kc_p2) idCexpressions kc_p1, kc_p2;
#endif
{ return (idCexpressions)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_idCexpressions ); }
idCexpressions reverse_idCexpressions
#ifdef KC_USE_PROTOTYPES
(idCexpressions kc_p)
#else
(kc_p) idCexpressions kc_p;
#endif
{ return (idCexpressions)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_idCexpressions ); }
int length_idCexpressions
#ifdef KC_USE_PROTOTYPES
(idCexpressions kc_p)
#else
(kc_p) idCexpressions kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_idCexpressions ); }
idCexpression last_idCexpressions
#ifdef KC_USE_PROTOTYPES
(idCexpressions kc_p)
#else
(kc_p) idCexpressions kc_p;
#endif
{ return (idCexpression)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_idCexpressions ); }
idCexpressions map_idCexpressions
#ifdef KC_USE_PROTOTYPES
(idCexpressions kc_p, idCexpression (*kc_fp)(idCexpression))
#else
(kc_p, kc_fp) idCexpressions kc_p; idCexpression (*kc_fp)KC__P((idCexpression));
#endif
{ return (idCexpressions)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_idCexpressions ); }
idCexpressions filter_idCexpressions
#ifdef KC_USE_PROTOTYPES
(idCexpressions kc_p, boolean (*kc_fp)(idCexpression))
#else
(kc_p, kc_fp) idCexpressions kc_p; boolean (*kc_fp)KC__P((idCexpression));
#endif
{ return (idCexpressions)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_idCexpressions ); }
void freelist_idCexpressions
#ifdef KC_USE_PROTOTYPES
(idCexpressions kc_p)
#else
(kc_p) idCexpressions kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_idCexpressions ); }
Ctexts concat_Ctexts
#ifdef KC_USE_PROTOTYPES
(Ctexts kc_p1, Ctexts kc_p2)
#else
(kc_p1, kc_p2) Ctexts kc_p1, kc_p2;
#endif
{ return (Ctexts)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_Ctexts ); }
Ctexts reverse_Ctexts
#ifdef KC_USE_PROTOTYPES
(Ctexts kc_p)
#else
(kc_p) Ctexts kc_p;
#endif
{ return (Ctexts)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_Ctexts ); }
int length_Ctexts
#ifdef KC_USE_PROTOTYPES
(Ctexts kc_p)
#else
(kc_p) Ctexts kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_Ctexts ); }
Ctext last_Ctexts
#ifdef KC_USE_PROTOTYPES
(Ctexts kc_p)
#else
(kc_p) Ctexts kc_p;
#endif
{ return (Ctext)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_Ctexts ); }
Ctexts map_Ctexts
#ifdef KC_USE_PROTOTYPES
(Ctexts kc_p, Ctext (*kc_fp)(Ctext))
#else
(kc_p, kc_fp) Ctexts kc_p; Ctext (*kc_fp)KC__P((Ctext));
#endif
{ return (Ctexts)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_Ctexts ); }
Ctexts filter_Ctexts
#ifdef KC_USE_PROTOTYPES
(Ctexts kc_p, boolean (*kc_fp)(Ctext))
#else
(kc_p, kc_fp) Ctexts kc_p; boolean (*kc_fp)KC__P((Ctext));
#endif
{ return (Ctexts)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_Ctexts ); }
void freelist_Ctexts
#ifdef KC_USE_PROTOTYPES
(Ctexts kc_p)
#else
(kc_p) Ctexts kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_Ctexts ); }
includefiles concat_includefiles
#ifdef KC_USE_PROTOTYPES
(includefiles kc_p1, includefiles kc_p2)
#else
(kc_p1, kc_p2) includefiles kc_p1, kc_p2;
#endif
{ return (includefiles)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_includefiles ); }
includefiles reverse_includefiles
#ifdef KC_USE_PROTOTYPES
(includefiles kc_p)
#else
(kc_p) includefiles kc_p;
#endif
{ return (includefiles)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_includefiles ); }
int length_includefiles
#ifdef KC_USE_PROTOTYPES
(includefiles kc_p)
#else
(kc_p) includefiles kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_includefiles ); }
includefile last_includefiles
#ifdef KC_USE_PROTOTYPES
(includefiles kc_p)
#else
(kc_p) includefiles kc_p;
#endif
{ return (includefile)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_includefiles ); }
includefiles map_includefiles
#ifdef KC_USE_PROTOTYPES
(includefiles kc_p, includefile (*kc_fp)(includefile))
#else
(kc_p, kc_fp) includefiles kc_p; includefile (*kc_fp)KC__P((includefile));
#endif
{ return (includefiles)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_includefiles ); }
includefiles filter_includefiles
#ifdef KC_USE_PROTOTYPES
(includefiles kc_p, boolean (*kc_fp)(includefile))
#else
(kc_p, kc_fp) includefiles kc_p; boolean (*kc_fp)KC__P((includefile));
#endif
{ return (includefiles)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_includefiles ); }
void freelist_includefiles
#ifdef KC_USE_PROTOTYPES
(includefiles kc_p)
#else
(kc_p) includefiles kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_includefiles ); }
includedeclarations concat_includedeclarations
#ifdef KC_USE_PROTOTYPES
(includedeclarations kc_p1, includedeclarations kc_p2)
#else
(kc_p1, kc_p2) includedeclarations kc_p1, kc_p2;
#endif
{ return (includedeclarations)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_includedeclarations ); }
includedeclarations reverse_includedeclarations
#ifdef KC_USE_PROTOTYPES
(includedeclarations kc_p)
#else
(kc_p) includedeclarations kc_p;
#endif
{ return (includedeclarations)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_includedeclarations ); }
int length_includedeclarations
#ifdef KC_USE_PROTOTYPES
(includedeclarations kc_p)
#else
(kc_p) includedeclarations kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_includedeclarations ); }
includedeclaration last_includedeclarations
#ifdef KC_USE_PROTOTYPES
(includedeclarations kc_p)
#else
(kc_p) includedeclarations kc_p;
#endif
{ return (includedeclaration)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_includedeclarations ); }
includedeclarations map_includedeclarations
#ifdef KC_USE_PROTOTYPES
(includedeclarations kc_p, includedeclaration (*kc_fp)(includedeclaration))
#else
(kc_p, kc_fp) includedeclarations kc_p; includedeclaration (*kc_fp)KC__P((includedeclaration));
#endif
{ return (includedeclarations)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_includedeclarations ); }
includedeclarations filter_includedeclarations
#ifdef KC_USE_PROTOTYPES
(includedeclarations kc_p, boolean (*kc_fp)(includedeclaration))
#else
(kc_p, kc_fp) includedeclarations kc_p; boolean (*kc_fp)KC__P((includedeclaration));
#endif
{ return (includedeclarations)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_includedeclarations ); }
void freelist_includedeclarations
#ifdef KC_USE_PROTOTYPES
(includedeclarations kc_p)
#else
(kc_p) includedeclarations kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_includedeclarations ); }
includes concat_includes
#ifdef KC_USE_PROTOTYPES
(includes kc_p1, includes kc_p2)
#else
(kc_p1, kc_p2) includes kc_p1, kc_p2;
#endif
{ return (includes)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_includes ); }
includes reverse_includes
#ifdef KC_USE_PROTOTYPES
(includes kc_p)
#else
(kc_p) includes kc_p;
#endif
{ return (includes)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_includes ); }
int length_includes
#ifdef KC_USE_PROTOTYPES
(includes kc_p)
#else
(kc_p) includes kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_includes ); }
include last_includes
#ifdef KC_USE_PROTOTYPES
(includes kc_p)
#else
(kc_p) includes kc_p;
#endif
{ return (include)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_includes ); }
includes map_includes
#ifdef KC_USE_PROTOTYPES
(includes kc_p, include (*kc_fp)(include))
#else
(kc_p, kc_fp) includes kc_p; include (*kc_fp)KC__P((include));
#endif
{ return (includes)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_includes ); }
includes filter_includes
#ifdef KC_USE_PROTOTYPES
(includes kc_p, boolean (*kc_fp)(include))
#else
(kc_p, kc_fp) includes kc_p; boolean (*kc_fp)KC__P((include));
#endif
{ return (includes)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_includes ); }
void freelist_includes
#ifdef KC_USE_PROTOTYPES
(includes kc_p)
#else
(kc_p) includes kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_includes ); }
rwdeclarations concat_rwdeclarations
#ifdef KC_USE_PROTOTYPES
(rwdeclarations kc_p1, rwdeclarations kc_p2)
#else
(kc_p1, kc_p2) rwdeclarations kc_p1, kc_p2;
#endif
{ return (rwdeclarations)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_rwdeclarations ); }
rwdeclarations reverse_rwdeclarations
#ifdef KC_USE_PROTOTYPES
(rwdeclarations kc_p)
#else
(kc_p) rwdeclarations kc_p;
#endif
{ return (rwdeclarations)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_rwdeclarations ); }
int length_rwdeclarations
#ifdef KC_USE_PROTOTYPES
(rwdeclarations kc_p)
#else
(kc_p) rwdeclarations kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_rwdeclarations ); }
rwdeclaration last_rwdeclarations
#ifdef KC_USE_PROTOTYPES
(rwdeclarations kc_p)
#else
(kc_p) rwdeclarations kc_p;
#endif
{ return (rwdeclaration)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_rwdeclarations ); }
rwdeclarations map_rwdeclarations
#ifdef KC_USE_PROTOTYPES
(rwdeclarations kc_p, rwdeclaration (*kc_fp)(rwdeclaration))
#else
(kc_p, kc_fp) rwdeclarations kc_p; rwdeclaration (*kc_fp)KC__P((rwdeclaration));
#endif
{ return (rwdeclarations)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_rwdeclarations ); }
rwdeclarations filter_rwdeclarations
#ifdef KC_USE_PROTOTYPES
(rwdeclarations kc_p, boolean (*kc_fp)(rwdeclaration))
#else
(kc_p, kc_fp) rwdeclarations kc_p; boolean (*kc_fp)KC__P((rwdeclaration));
#endif
{ return (rwdeclarations)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_rwdeclarations ); }
void freelist_rwdeclarations
#ifdef KC_USE_PROTOTYPES
(rwdeclarations kc_p)
#else
(kc_p) rwdeclarations kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_rwdeclarations ); }
rewriteclauses concat_rewriteclauses
#ifdef KC_USE_PROTOTYPES
(rewriteclauses kc_p1, rewriteclauses kc_p2)
#else
(kc_p1, kc_p2) rewriteclauses kc_p1, kc_p2;
#endif
{ return (rewriteclauses)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_rewriteclauses ); }
rewriteclauses reverse_rewriteclauses
#ifdef KC_USE_PROTOTYPES
(rewriteclauses kc_p)
#else
(kc_p) rewriteclauses kc_p;
#endif
{ return (rewriteclauses)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_rewriteclauses ); }
int length_rewriteclauses
#ifdef KC_USE_PROTOTYPES
(rewriteclauses kc_p)
#else
(kc_p) rewriteclauses kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_rewriteclauses ); }
rewriteclause last_rewriteclauses
#ifdef KC_USE_PROTOTYPES
(rewriteclauses kc_p)
#else
(kc_p) rewriteclauses kc_p;
#endif
{ return (rewriteclause)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_rewriteclauses ); }
rewriteclauses map_rewriteclauses
#ifdef KC_USE_PROTOTYPES
(rewriteclauses kc_p, rewriteclause (*kc_fp)(rewriteclause))
#else
(kc_p, kc_fp) rewriteclauses kc_p; rewriteclause (*kc_fp)KC__P((rewriteclause));
#endif
{ return (rewriteclauses)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_rewriteclauses ); }
rewriteclauses filter_rewriteclauses
#ifdef KC_USE_PROTOTYPES
(rewriteclauses kc_p, boolean (*kc_fp)(rewriteclause))
#else
(kc_p, kc_fp) rewriteclauses kc_p; boolean (*kc_fp)KC__P((rewriteclause));
#endif
{ return (rewriteclauses)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_rewriteclauses ); }
void freelist_rewriteclauses
#ifdef KC_USE_PROTOTYPES
(rewriteclauses kc_p)
#else
(kc_p) rewriteclauses kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_rewriteclauses ); }
patternchains concat_patternchains
#ifdef KC_USE_PROTOTYPES
(patternchains kc_p1, patternchains kc_p2)
#else
(kc_p1, kc_p2) patternchains kc_p1, kc_p2;
#endif
{ return (patternchains)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_patternchains ); }
patternchains reverse_patternchains
#ifdef KC_USE_PROTOTYPES
(patternchains kc_p)
#else
(kc_p) patternchains kc_p;
#endif
{ return (patternchains)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_patternchains ); }
int length_patternchains
#ifdef KC_USE_PROTOTYPES
(patternchains kc_p)
#else
(kc_p) patternchains kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_patternchains ); }
patternchain last_patternchains
#ifdef KC_USE_PROTOTYPES
(patternchains kc_p)
#else
(kc_p) patternchains kc_p;
#endif
{ return (patternchain)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_patternchains ); }
patternchains map_patternchains
#ifdef KC_USE_PROTOTYPES
(patternchains kc_p, patternchain (*kc_fp)(patternchain))
#else
(kc_p, kc_fp) patternchains kc_p; patternchain (*kc_fp)KC__P((patternchain));
#endif
{ return (patternchains)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_patternchains ); }
patternchains filter_patternchains
#ifdef KC_USE_PROTOTYPES
(patternchains kc_p, boolean (*kc_fp)(patternchain))
#else
(kc_p, kc_fp) patternchains kc_p; boolean (*kc_fp)KC__P((patternchain));
#endif
{ return (patternchains)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_patternchains ); }
void freelist_patternchains
#ifdef KC_USE_PROTOTYPES
(patternchains kc_p)
#else
(kc_p) patternchains kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_patternchains ); }
patternchain concat_patternchain
#ifdef KC_USE_PROTOTYPES
(patternchain kc_p1, patternchain kc_p2)
#else
(kc_p1, kc_p2) patternchain kc_p1, kc_p2;
#endif
{ return (patternchain)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_patternchain ); }
patternchain reverse_patternchain
#ifdef KC_USE_PROTOTYPES
(patternchain kc_p)
#else
(kc_p) patternchain kc_p;
#endif
{ return (patternchain)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_patternchain ); }
int length_patternchain
#ifdef KC_USE_PROTOTYPES
(patternchain kc_p)
#else
(kc_p) patternchain kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_patternchain ); }
patternchainitem last_patternchain
#ifdef KC_USE_PROTOTYPES
(patternchain kc_p)
#else
(kc_p) patternchain kc_p;
#endif
{ return (patternchainitem)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_patternchain ); }
patternchain map_patternchain
#ifdef KC_USE_PROTOTYPES
(patternchain kc_p, patternchainitem (*kc_fp)(patternchainitem))
#else
(kc_p, kc_fp) patternchain kc_p; patternchainitem (*kc_fp)KC__P((patternchainitem));
#endif
{ return (patternchain)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_patternchain ); }
patternchain filter_patternchain
#ifdef KC_USE_PROTOTYPES
(patternchain kc_p, boolean (*kc_fp)(patternchainitem))
#else
(kc_p, kc_fp) patternchain kc_p; boolean (*kc_fp)KC__P((patternchainitem));
#endif
{ return (patternchain)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_patternchain ); }
void freelist_patternchain
#ifdef KC_USE_PROTOTYPES
(patternchain kc_p)
#else
(kc_p) patternchain kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_patternchain ); }
outmostpatterns concat_outmostpatterns
#ifdef KC_USE_PROTOTYPES
(outmostpatterns kc_p1, outmostpatterns kc_p2)
#else
(kc_p1, kc_p2) outmostpatterns kc_p1, kc_p2;
#endif
{ return (outmostpatterns)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_outmostpatterns ); }
outmostpatterns reverse_outmostpatterns
#ifdef KC_USE_PROTOTYPES
(outmostpatterns kc_p)
#else
(kc_p) outmostpatterns kc_p;
#endif
{ return (outmostpatterns)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_outmostpatterns ); }
int length_outmostpatterns
#ifdef KC_USE_PROTOTYPES
(outmostpatterns kc_p)
#else
(kc_p) outmostpatterns kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_outmostpatterns ); }
outmostpattern last_outmostpatterns
#ifdef KC_USE_PROTOTYPES
(outmostpatterns kc_p)
#else
(kc_p) outmostpatterns kc_p;
#endif
{ return (outmostpattern)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_outmostpatterns ); }
outmostpatterns map_outmostpatterns
#ifdef KC_USE_PROTOTYPES
(outmostpatterns kc_p, outmostpattern (*kc_fp)(outmostpattern))
#else
(kc_p, kc_fp) outmostpatterns kc_p; outmostpattern (*kc_fp)KC__P((outmostpattern));
#endif
{ return (outmostpatterns)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_outmostpatterns ); }
outmostpatterns filter_outmostpatterns
#ifdef KC_USE_PROTOTYPES
(outmostpatterns kc_p, boolean (*kc_fp)(outmostpattern))
#else
(kc_p, kc_fp) outmostpatterns kc_p; boolean (*kc_fp)KC__P((outmostpattern));
#endif
{ return (outmostpatterns)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_outmostpatterns ); }
void freelist_outmostpatterns
#ifdef KC_USE_PROTOTYPES
(outmostpatterns kc_p)
#else
(kc_p) outmostpatterns kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_outmostpatterns ); }
patterns concat_patterns
#ifdef KC_USE_PROTOTYPES
(patterns kc_p1, patterns kc_p2)
#else
(kc_p1, kc_p2) patterns kc_p1, kc_p2;
#endif
{ return (patterns)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_patterns ); }
patterns reverse_patterns
#ifdef KC_USE_PROTOTYPES
(patterns kc_p)
#else
(kc_p) patterns kc_p;
#endif
{ return (patterns)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_patterns ); }
int length_patterns
#ifdef KC_USE_PROTOTYPES
(patterns kc_p)
#else
(kc_p) patterns kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_patterns ); }
pattern last_patterns
#ifdef KC_USE_PROTOTYPES
(patterns kc_p)
#else
(kc_p) patterns kc_p;
#endif
{ return (pattern)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_patterns ); }
patterns map_patterns
#ifdef KC_USE_PROTOTYPES
(patterns kc_p, pattern (*kc_fp)(pattern))
#else
(kc_p, kc_fp) patterns kc_p; pattern (*kc_fp)KC__P((pattern));
#endif
{ return (patterns)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_patterns ); }
patterns filter_patterns
#ifdef KC_USE_PROTOTYPES
(patterns kc_p, boolean (*kc_fp)(pattern))
#else
(kc_p, kc_fp) patterns kc_p; boolean (*kc_fp)KC__P((pattern));
#endif
{ return (patterns)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_patterns ); }
void freelist_patterns
#ifdef KC_USE_PROTOTYPES
(patterns kc_p)
#else
(kc_p) patterns kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_patterns ); }
terms concat_terms
#ifdef KC_USE_PROTOTYPES
(terms kc_p1, terms kc_p2)
#else
(kc_p1, kc_p2) terms kc_p1, kc_p2;
#endif
{ return (terms)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_terms ); }
terms reverse_terms
#ifdef KC_USE_PROTOTYPES
(terms kc_p)
#else
(kc_p) terms kc_p;
#endif
{ return (terms)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_terms ); }
int length_terms
#ifdef KC_USE_PROTOTYPES
(terms kc_p)
#else
(kc_p) terms kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_terms ); }
term last_terms
#ifdef KC_USE_PROTOTYPES
(terms kc_p)
#else
(kc_p) terms kc_p;
#endif
{ return (term)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_terms ); }
terms map_terms
#ifdef KC_USE_PROTOTYPES
(terms kc_p, term (*kc_fp)(term))
#else
(kc_p, kc_fp) terms kc_p; term (*kc_fp)KC__P((term));
#endif
{ return (terms)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_terms ); }
terms filter_terms
#ifdef KC_USE_PROTOTYPES
(terms kc_p, boolean (*kc_fp)(term))
#else
(kc_p, kc_fp) terms kc_p; boolean (*kc_fp)KC__P((term));
#endif
{ return (terms)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_terms ); }
void freelist_terms
#ifdef KC_USE_PROTOTYPES
(terms kc_p)
#else
(kc_p) terms kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_terms ); }
fnfiles concat_fnfiles
#ifdef KC_USE_PROTOTYPES
(fnfiles kc_p1, fnfiles kc_p2)
#else
(kc_p1, kc_p2) fnfiles kc_p1, kc_p2;
#endif
{ return (fnfiles)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_fnfiles ); }
fnfiles reverse_fnfiles
#ifdef KC_USE_PROTOTYPES
(fnfiles kc_p)
#else
(kc_p) fnfiles kc_p;
#endif
{ return (fnfiles)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_fnfiles ); }
int length_fnfiles
#ifdef KC_USE_PROTOTYPES
(fnfiles kc_p)
#else
(kc_p) fnfiles kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_fnfiles ); }
fnfile last_fnfiles
#ifdef KC_USE_PROTOTYPES
(fnfiles kc_p)
#else
(kc_p) fnfiles kc_p;
#endif
{ return (fnfile)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_fnfiles ); }
fnfiles map_fnfiles
#ifdef KC_USE_PROTOTYPES
(fnfiles kc_p, fnfile (*kc_fp)(fnfile))
#else
(kc_p, kc_fp) fnfiles kc_p; fnfile (*kc_fp)KC__P((fnfile));
#endif
{ return (fnfiles)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_fnfiles ); }
fnfiles filter_fnfiles
#ifdef KC_USE_PROTOTYPES
(fnfiles kc_p, boolean (*kc_fp)(fnfile))
#else
(kc_p, kc_fp) fnfiles kc_p; boolean (*kc_fp)KC__P((fnfile));
#endif
{ return (fnfiles)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_fnfiles ); }
void freelist_fnfiles
#ifdef KC_USE_PROTOTYPES
(fnfiles kc_p)
#else
(kc_p) fnfiles kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_fnfiles ); }
fndeclarations concat_fndeclarations
#ifdef KC_USE_PROTOTYPES
(fndeclarations kc_p1, fndeclarations kc_p2)
#else
(kc_p1, kc_p2) fndeclarations kc_p1, kc_p2;
#endif
{ return (fndeclarations)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_fndeclarations ); }
fndeclarations reverse_fndeclarations
#ifdef KC_USE_PROTOTYPES
(fndeclarations kc_p)
#else
(kc_p) fndeclarations kc_p;
#endif
{ return (fndeclarations)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_fndeclarations ); }
int length_fndeclarations
#ifdef KC_USE_PROTOTYPES
(fndeclarations kc_p)
#else
(kc_p) fndeclarations kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_fndeclarations ); }
fndeclaration last_fndeclarations
#ifdef KC_USE_PROTOTYPES
(fndeclarations kc_p)
#else
(kc_p) fndeclarations kc_p;
#endif
{ return (fndeclaration)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_fndeclarations ); }
fndeclarations map_fndeclarations
#ifdef KC_USE_PROTOTYPES
(fndeclarations kc_p, fndeclaration (*kc_fp)(fndeclaration))
#else
(kc_p, kc_fp) fndeclarations kc_p; fndeclaration (*kc_fp)KC__P((fndeclaration));
#endif
{ return (fndeclarations)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_fndeclarations ); }
fndeclarations filter_fndeclarations
#ifdef KC_USE_PROTOTYPES
(fndeclarations kc_p, boolean (*kc_fp)(fndeclaration))
#else
(kc_p, kc_fp) fndeclarations kc_p; boolean (*kc_fp)KC__P((fndeclaration));
#endif
{ return (fndeclarations)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_fndeclarations ); }
void freelist_fndeclarations
#ifdef KC_USE_PROTOTYPES
(fndeclarations kc_p)
#else
(kc_p) fndeclarations kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_fndeclarations ); }
fnarguments concat_fnarguments
#ifdef KC_USE_PROTOTYPES
(fnarguments kc_p1, fnarguments kc_p2)
#else
(kc_p1, kc_p2) fnarguments kc_p1, kc_p2;
#endif
{ return (fnarguments)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_fnarguments ); }
fnarguments reverse_fnarguments
#ifdef KC_USE_PROTOTYPES
(fnarguments kc_p)
#else
(kc_p) fnarguments kc_p;
#endif
{ return (fnarguments)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_fnarguments ); }
int length_fnarguments
#ifdef KC_USE_PROTOTYPES
(fnarguments kc_p)
#else
(kc_p) fnarguments kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_fnarguments ); }
ID last_fnarguments
#ifdef KC_USE_PROTOTYPES
(fnarguments kc_p)
#else
(kc_p) fnarguments kc_p;
#endif
{ return (ID)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_fnarguments ); }
fnarguments map_fnarguments
#ifdef KC_USE_PROTOTYPES
(fnarguments kc_p, ID (*kc_fp)(ID))
#else
(kc_p, kc_fp) fnarguments kc_p; ID (*kc_fp)KC__P((ID));
#endif
{ return (fnarguments)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_fnarguments ); }
fnarguments filter_fnarguments
#ifdef KC_USE_PROTOTYPES
(fnarguments kc_p, boolean (*kc_fp)(ID))
#else
(kc_p, kc_fp) fnarguments kc_p; boolean (*kc_fp)KC__P((ID));
#endif
{ return (fnarguments)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_fnarguments ); }
void freelist_fnarguments
#ifdef KC_USE_PROTOTYPES
(fnarguments kc_p)
#else
(kc_p) fnarguments kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_fnarguments ); }
Cvariabledeclarations concat_Cvariabledeclarations
#ifdef KC_USE_PROTOTYPES
(Cvariabledeclarations kc_p1, Cvariabledeclarations kc_p2)
#else
(kc_p1, kc_p2) Cvariabledeclarations kc_p1, kc_p2;
#endif
{ return (Cvariabledeclarations)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_Cvariabledeclarations ); }
Cvariabledeclarations reverse_Cvariabledeclarations
#ifdef KC_USE_PROTOTYPES
(Cvariabledeclarations kc_p)
#else
(kc_p) Cvariabledeclarations kc_p;
#endif
{ return (Cvariabledeclarations)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_Cvariabledeclarations ); }
int length_Cvariabledeclarations
#ifdef KC_USE_PROTOTYPES
(Cvariabledeclarations kc_p)
#else
(kc_p) Cvariabledeclarations kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_Cvariabledeclarations ); }
Cvariabledeclaration last_Cvariabledeclarations
#ifdef KC_USE_PROTOTYPES
(Cvariabledeclarations kc_p)
#else
(kc_p) Cvariabledeclarations kc_p;
#endif
{ return (Cvariabledeclaration)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_Cvariabledeclarations ); }
Cvariabledeclarations map_Cvariabledeclarations
#ifdef KC_USE_PROTOTYPES
(Cvariabledeclarations kc_p, Cvariabledeclaration (*kc_fp)(Cvariabledeclaration))
#else
(kc_p, kc_fp) Cvariabledeclarations kc_p; Cvariabledeclaration (*kc_fp)KC__P((Cvariabledeclaration));
#endif
{ return (Cvariabledeclarations)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_Cvariabledeclarations ); }
Cvariabledeclarations filter_Cvariabledeclarations
#ifdef KC_USE_PROTOTYPES
(Cvariabledeclarations kc_p, boolean (*kc_fp)(Cvariabledeclaration))
#else
(kc_p, kc_fp) Cvariabledeclarations kc_p; boolean (*kc_fp)KC__P((Cvariabledeclaration));
#endif
{ return (Cvariabledeclarations)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_Cvariabledeclarations ); }
void freelist_Cvariabledeclarations
#ifdef KC_USE_PROTOTYPES
(Cvariabledeclarations kc_p)
#else
(kc_p) Cvariabledeclarations kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_Cvariabledeclarations ); }
Cvariables concat_Cvariables
#ifdef KC_USE_PROTOTYPES
(Cvariables kc_p1, Cvariables kc_p2)
#else
(kc_p1, kc_p2) Cvariables kc_p1, kc_p2;
#endif
{ return (Cvariables)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_Cvariables ); }
Cvariables reverse_Cvariables
#ifdef KC_USE_PROTOTYPES
(Cvariables kc_p)
#else
(kc_p) Cvariables kc_p;
#endif
{ return (Cvariables)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_Cvariables ); }
int length_Cvariables
#ifdef KC_USE_PROTOTYPES
(Cvariables kc_p)
#else
(kc_p) Cvariables kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_Cvariables ); }
Cvariable last_Cvariables
#ifdef KC_USE_PROTOTYPES
(Cvariables kc_p)
#else
(kc_p) Cvariables kc_p;
#endif
{ return (Cvariable)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_Cvariables ); }
Cvariables map_Cvariables
#ifdef KC_USE_PROTOTYPES
(Cvariables kc_p, Cvariable (*kc_fp)(Cvariable))
#else
(kc_p, kc_fp) Cvariables kc_p; Cvariable (*kc_fp)KC__P((Cvariable));
#endif
{ return (Cvariables)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_Cvariables ); }
Cvariables filter_Cvariables
#ifdef KC_USE_PROTOTYPES
(Cvariables kc_p, boolean (*kc_fp)(Cvariable))
#else
(kc_p, kc_fp) Cvariables kc_p; boolean (*kc_fp)KC__P((Cvariable));
#endif
{ return (Cvariables)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_Cvariables ); }
void freelist_Cvariables
#ifdef KC_USE_PROTOTYPES
(Cvariables kc_p)
#else
(kc_p) Cvariables kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_Cvariables ); }
Ctext concat_Ctext
#ifdef KC_USE_PROTOTYPES
(Ctext kc_p1, Ctext kc_p2)
#else
(kc_p1, kc_p2) Ctext kc_p1, kc_p2;
#endif
{ return (Ctext)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_Ctext ); }
Ctext reverse_Ctext
#ifdef KC_USE_PROTOTYPES
(Ctext kc_p)
#else
(kc_p) Ctext kc_p;
#endif
{ return (Ctext)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_Ctext ); }
int length_Ctext
#ifdef KC_USE_PROTOTYPES
(Ctext kc_p)
#else
(kc_p) Ctext kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_Ctext ); }
Ctext_elem last_Ctext
#ifdef KC_USE_PROTOTYPES
(Ctext kc_p)
#else
(kc_p) Ctext kc_p;
#endif
{ return (Ctext_elem)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_Ctext ); }
Ctext map_Ctext
#ifdef KC_USE_PROTOTYPES
(Ctext kc_p, Ctext_elem (*kc_fp)(Ctext_elem))
#else
(kc_p, kc_fp) Ctext kc_p; Ctext_elem (*kc_fp)KC__P((Ctext_elem));
#endif
{ return (Ctext)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_Ctext ); }
Ctext filter_Ctext
#ifdef KC_USE_PROTOTYPES
(Ctext kc_p, boolean (*kc_fp)(Ctext_elem))
#else
(kc_p, kc_fp) Ctext kc_p; boolean (*kc_fp)KC__P((Ctext_elem));
#endif
{ return (Ctext)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_Ctext ); }
void freelist_Ctext
#ifdef KC_USE_PROTOTYPES
(Ctext kc_p)
#else
(kc_p) Ctext kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_Ctext ); }
withexpressions concat_withexpressions
#ifdef KC_USE_PROTOTYPES
(withexpressions kc_p1, withexpressions kc_p2)
#else
(kc_p1, kc_p2) withexpressions kc_p1, kc_p2;
#endif
{ return (withexpressions)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_withexpressions ); }
withexpressions reverse_withexpressions
#ifdef KC_USE_PROTOTYPES
(withexpressions kc_p)
#else
(kc_p) withexpressions kc_p;
#endif
{ return (withexpressions)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_withexpressions ); }
int length_withexpressions
#ifdef KC_USE_PROTOTYPES
(withexpressions kc_p)
#else
(kc_p) withexpressions kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_withexpressions ); }
withexpression last_withexpressions
#ifdef KC_USE_PROTOTYPES
(withexpressions kc_p)
#else
(kc_p) withexpressions kc_p;
#endif
{ return (withexpression)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_withexpressions ); }
withexpressions map_withexpressions
#ifdef KC_USE_PROTOTYPES
(withexpressions kc_p, withexpression (*kc_fp)(withexpression))
#else
(kc_p, kc_fp) withexpressions kc_p; withexpression (*kc_fp)KC__P((withexpression));
#endif
{ return (withexpressions)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_withexpressions ); }
withexpressions filter_withexpressions
#ifdef KC_USE_PROTOTYPES
(withexpressions kc_p, boolean (*kc_fp)(withexpression))
#else
(kc_p, kc_fp) withexpressions kc_p; boolean (*kc_fp)KC__P((withexpression));
#endif
{ return (withexpressions)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_withexpressions ); }
void freelist_withexpressions
#ifdef KC_USE_PROTOTYPES
(withexpressions kc_p)
#else
(kc_p) withexpressions kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_withexpressions ); }
withcases concat_withcases
#ifdef KC_USE_PROTOTYPES
(withcases kc_p1, withcases kc_p2)
#else
(kc_p1, kc_p2) withcases kc_p1, kc_p2;
#endif
{ return (withcases)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_withcases ); }
withcases reverse_withcases
#ifdef KC_USE_PROTOTYPES
(withcases kc_p)
#else
(kc_p) withcases kc_p;
#endif
{ return (withcases)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_withcases ); }
int length_withcases
#ifdef KC_USE_PROTOTYPES
(withcases kc_p)
#else
(kc_p) withcases kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_withcases ); }
withcase last_withcases
#ifdef KC_USE_PROTOTYPES
(withcases kc_p)
#else
(kc_p) withcases kc_p;
#endif
{ return (withcase)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_withcases ); }
withcases map_withcases
#ifdef KC_USE_PROTOTYPES
(withcases kc_p, withcase (*kc_fp)(withcase))
#else
(kc_p, kc_fp) withcases kc_p; withcase (*kc_fp)KC__P((withcase));
#endif
{ return (withcases)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_withcases ); }
withcases filter_withcases
#ifdef KC_USE_PROTOTYPES
(withcases kc_p, boolean (*kc_fp)(withcase))
#else
(kc_p, kc_fp) withcases kc_p; boolean (*kc_fp)KC__P((withcase));
#endif
{ return (withcases)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_withcases ); }
void freelist_withcases
#ifdef KC_USE_PROTOTYPES
(withcases kc_p)
#else
(kc_p) withcases kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_withcases ); }
unparsedeclarations concat_unparsedeclarations
#ifdef KC_USE_PROTOTYPES
(unparsedeclarations kc_p1, unparsedeclarations kc_p2)
#else
(kc_p1, kc_p2) unparsedeclarations kc_p1, kc_p2;
#endif
{ return (unparsedeclarations)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_unparsedeclarations ); }
unparsedeclarations reverse_unparsedeclarations
#ifdef KC_USE_PROTOTYPES
(unparsedeclarations kc_p)
#else
(kc_p) unparsedeclarations kc_p;
#endif
{ return (unparsedeclarations)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_unparsedeclarations ); }
int length_unparsedeclarations
#ifdef KC_USE_PROTOTYPES
(unparsedeclarations kc_p)
#else
(kc_p) unparsedeclarations kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_unparsedeclarations ); }
unparsedeclaration last_unparsedeclarations
#ifdef KC_USE_PROTOTYPES
(unparsedeclarations kc_p)
#else
(kc_p) unparsedeclarations kc_p;
#endif
{ return (unparsedeclaration)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_unparsedeclarations ); }
unparsedeclarations map_unparsedeclarations
#ifdef KC_USE_PROTOTYPES
(unparsedeclarations kc_p, unparsedeclaration (*kc_fp)(unparsedeclaration))
#else
(kc_p, kc_fp) unparsedeclarations kc_p; unparsedeclaration (*kc_fp)KC__P((unparsedeclaration));
#endif
{ return (unparsedeclarations)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_unparsedeclarations ); }
unparsedeclarations filter_unparsedeclarations
#ifdef KC_USE_PROTOTYPES
(unparsedeclarations kc_p, boolean (*kc_fp)(unparsedeclaration))
#else
(kc_p, kc_fp) unparsedeclarations kc_p; boolean (*kc_fp)KC__P((unparsedeclaration));
#endif
{ return (unparsedeclarations)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_unparsedeclarations ); }
void freelist_unparsedeclarations
#ifdef KC_USE_PROTOTYPES
(unparsedeclarations kc_p)
#else
(kc_p) unparsedeclarations kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_unparsedeclarations ); }
unparseclauses concat_unparseclauses
#ifdef KC_USE_PROTOTYPES
(unparseclauses kc_p1, unparseclauses kc_p2)
#else
(kc_p1, kc_p2) unparseclauses kc_p1, kc_p2;
#endif
{ return (unparseclauses)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_unparseclauses ); }
unparseclauses reverse_unparseclauses
#ifdef KC_USE_PROTOTYPES
(unparseclauses kc_p)
#else
(kc_p) unparseclauses kc_p;
#endif
{ return (unparseclauses)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_unparseclauses ); }
int length_unparseclauses
#ifdef KC_USE_PROTOTYPES
(unparseclauses kc_p)
#else
(kc_p) unparseclauses kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_unparseclauses ); }
unparseclause last_unparseclauses
#ifdef KC_USE_PROTOTYPES
(unparseclauses kc_p)
#else
(kc_p) unparseclauses kc_p;
#endif
{ return (unparseclause)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_unparseclauses ); }
unparseclauses map_unparseclauses
#ifdef KC_USE_PROTOTYPES
(unparseclauses kc_p, unparseclause (*kc_fp)(unparseclause))
#else
(kc_p, kc_fp) unparseclauses kc_p; unparseclause (*kc_fp)KC__P((unparseclause));
#endif
{ return (unparseclauses)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_unparseclauses ); }
unparseclauses filter_unparseclauses
#ifdef KC_USE_PROTOTYPES
(unparseclauses kc_p, boolean (*kc_fp)(unparseclause))
#else
(kc_p, kc_fp) unparseclauses kc_p; boolean (*kc_fp)KC__P((unparseclause));
#endif
{ return (unparseclauses)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_unparseclauses ); }
void freelist_unparseclauses
#ifdef KC_USE_PROTOTYPES
(unparseclauses kc_p)
#else
(kc_p) unparseclauses kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_unparseclauses ); }
viewnames concat_viewnames
#ifdef KC_USE_PROTOTYPES
(viewnames kc_p1, viewnames kc_p2)
#else
(kc_p1, kc_p2) viewnames kc_p1, kc_p2;
#endif
{ return (viewnames)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_viewnames ); }
viewnames reverse_viewnames
#ifdef KC_USE_PROTOTYPES
(viewnames kc_p)
#else
(kc_p) viewnames kc_p;
#endif
{ return (viewnames)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_viewnames ); }
int length_viewnames
#ifdef KC_USE_PROTOTYPES
(viewnames kc_p)
#else
(kc_p) viewnames kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_viewnames ); }
ID last_viewnames
#ifdef KC_USE_PROTOTYPES
(viewnames kc_p)
#else
(kc_p) viewnames kc_p;
#endif
{ return (ID)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_viewnames ); }
viewnames map_viewnames
#ifdef KC_USE_PROTOTYPES
(viewnames kc_p, ID (*kc_fp)(ID))
#else
(kc_p, kc_fp) viewnames kc_p; ID (*kc_fp)KC__P((ID));
#endif
{ return (viewnames)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_viewnames ); }
viewnames filter_viewnames
#ifdef KC_USE_PROTOTYPES
(viewnames kc_p, boolean (*kc_fp)(ID))
#else
(kc_p, kc_fp) viewnames kc_p; boolean (*kc_fp)KC__P((ID));
#endif
{ return (viewnames)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_viewnames ); }
void freelist_viewnames
#ifdef KC_USE_PROTOTYPES
(viewnames kc_p)
#else
(kc_p) viewnames kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_viewnames ); }
unparseitems concat_unparseitems
#ifdef KC_USE_PROTOTYPES
(unparseitems kc_p1, unparseitems kc_p2)
#else
(kc_p1, kc_p2) unparseitems kc_p1, kc_p2;
#endif
{ return (unparseitems)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_unparseitems ); }
unparseitems reverse_unparseitems
#ifdef KC_USE_PROTOTYPES
(unparseitems kc_p)
#else
(kc_p) unparseitems kc_p;
#endif
{ return (unparseitems)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_unparseitems ); }
int length_unparseitems
#ifdef KC_USE_PROTOTYPES
(unparseitems kc_p)
#else
(kc_p) unparseitems kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_unparseitems ); }
unparseitem last_unparseitems
#ifdef KC_USE_PROTOTYPES
(unparseitems kc_p)
#else
(kc_p) unparseitems kc_p;
#endif
{ return (unparseitem)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_unparseitems ); }
unparseitems map_unparseitems
#ifdef KC_USE_PROTOTYPES
(unparseitems kc_p, unparseitem (*kc_fp)(unparseitem))
#else
(kc_p, kc_fp) unparseitems kc_p; unparseitem (*kc_fp)KC__P((unparseitem));
#endif
{ return (unparseitems)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_unparseitems ); }
unparseitems filter_unparseitems
#ifdef KC_USE_PROTOTYPES
(unparseitems kc_p, boolean (*kc_fp)(unparseitem))
#else
(kc_p, kc_fp) unparseitems kc_p; boolean (*kc_fp)KC__P((unparseitem));
#endif
{ return (unparseitems)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_unparseitems ); }
void freelist_unparseitems
#ifdef KC_USE_PROTOTYPES
(unparseitems kc_p)
#else
(kc_p) unparseitems kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_unparseitems ); }
unpattributes concat_unpattributes
#ifdef KC_USE_PROTOTYPES
(unpattributes kc_p1, unpattributes kc_p2)
#else
(kc_p1, kc_p2) unpattributes kc_p1, kc_p2;
#endif
{ return (unpattributes)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_unpattributes ); }
unpattributes reverse_unpattributes
#ifdef KC_USE_PROTOTYPES
(unpattributes kc_p)
#else
(kc_p) unpattributes kc_p;
#endif
{ return (unpattributes)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_unpattributes ); }
int length_unpattributes
#ifdef KC_USE_PROTOTYPES
(unpattributes kc_p)
#else
(kc_p) unpattributes kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_unpattributes ); }
ID last_unpattributes
#ifdef KC_USE_PROTOTYPES
(unpattributes kc_p)
#else
(kc_p) unpattributes kc_p;
#endif
{ return (ID)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_unpattributes ); }
unpattributes map_unpattributes
#ifdef KC_USE_PROTOTYPES
(unpattributes kc_p, ID (*kc_fp)(ID))
#else
(kc_p, kc_fp) unpattributes kc_p; ID (*kc_fp)KC__P((ID));
#endif
{ return (unpattributes)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_unpattributes ); }
unpattributes filter_unpattributes
#ifdef KC_USE_PROTOTYPES
(unpattributes kc_p, boolean (*kc_fp)(ID))
#else
(kc_p, kc_fp) unpattributes kc_p; boolean (*kc_fp)KC__P((ID));
#endif
{ return (unpattributes)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_unpattributes ); }
void freelist_unpattributes
#ifdef KC_USE_PROTOTYPES
(unpattributes kc_p)
#else
(kc_p) unpattributes kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_unpattributes ); }
filelinestack concat_filelinestack
#ifdef KC_USE_PROTOTYPES
(filelinestack kc_p1, filelinestack kc_p2)
#else
(kc_p1, kc_p2) filelinestack kc_p1, kc_p2;
#endif
{ return (filelinestack)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_filelinestack ); }
filelinestack reverse_filelinestack
#ifdef KC_USE_PROTOTYPES
(filelinestack kc_p)
#else
(kc_p) filelinestack kc_p;
#endif
{ return (filelinestack)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_filelinestack ); }
int length_filelinestack
#ifdef KC_USE_PROTOTYPES
(filelinestack kc_p)
#else
(kc_p) filelinestack kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_filelinestack ); }
fileline last_filelinestack
#ifdef KC_USE_PROTOTYPES
(filelinestack kc_p)
#else
(kc_p) filelinestack kc_p;
#endif
{ return (fileline)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_filelinestack ); }
filelinestack map_filelinestack
#ifdef KC_USE_PROTOTYPES
(filelinestack kc_p, fileline (*kc_fp)(fileline))
#else
(kc_p, kc_fp) filelinestack kc_p; fileline (*kc_fp)KC__P((fileline));
#endif
{ return (filelinestack)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_filelinestack ); }
filelinestack filter_filelinestack
#ifdef KC_USE_PROTOTYPES
(filelinestack kc_p, boolean (*kc_fp)(fileline))
#else
(kc_p, kc_fp) filelinestack kc_p; boolean (*kc_fp)KC__P((fileline));
#endif
{ return (filelinestack)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_filelinestack ); }
void freelist_filelinestack
#ifdef KC_USE_PROTOTYPES
(filelinestack kc_p)
#else
(kc_p) filelinestack kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_filelinestack ); }
nooperatorsstack concat_nooperatorsstack
#ifdef KC_USE_PROTOTYPES
(nooperatorsstack kc_p1, nooperatorsstack kc_p2)
#else
(kc_p1, kc_p2) nooperatorsstack kc_p1, kc_p2;
#endif
{	/*SUPPRESS 622*/
	assert_nooperatorsstack(kc_p1,"kc_p1");
	if (kc_p1->prod_sel == sel_Nilnooperatorsstack) {
		return kc_p2;
	} else if (kc_p1->prod_sel ==  sel_Consnooperatorsstack) {
		return Consnooperatorsstack(
			kc_p1->u.Consnooperatorsstack.int_1,
			concat_nooperatorsstack(kc_p1->u.Consnooperatorsstack.nooperatorsstack_1, kc_p2) );
	} else {
		kc_invalid_operator(kc_error_concat, kc_phylum_nooperatorsstack, __LINE__, __FILE__, (int)kc_p1->prod_sel);/*NOTREACHED*/return (nooperatorsstack)0;
}	}
nooperatorsstack reverse_nooperatorsstack
#ifdef KC_USE_PROTOTYPES
(nooperatorsstack kc_p)
#else
(kc_p) nooperatorsstack kc_p;
#endif
{	boolean kc_not_ready = True;
	nooperatorsstack kc_tmp = Nilnooperatorsstack();
	while(kc_not_ready) {
		/*SUPPRESS 622*/
		assert_nooperatorsstack(((casestring)kc_p),"kc_p");
		if (kc_p->prod_sel == sel_Nilnooperatorsstack) {
			kc_not_ready=False;
		} else if (kc_p->prod_sel == sel_Consnooperatorsstack) {
			kc_tmp = Consnooperatorsstack(kc_p->u.Consnooperatorsstack.int_1, kc_tmp);
			kc_p = kc_p->u.Consnooperatorsstack.nooperatorsstack_1;
		} else {
			kc_invalid_operator(kc_error_reverse, kc_phylum_nooperatorsstack, __LINE__, __FILE__, (int)kc_p->prod_sel);/*NOTREACHED*/
	}	}
	return kc_tmp;
}
int length_nooperatorsstack
#ifdef KC_USE_PROTOTYPES
(nooperatorsstack kc_p)
#else
(kc_p) nooperatorsstack kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_nooperatorsstack ); }
int last_nooperatorsstack
#ifdef KC_USE_PROTOTYPES
(nooperatorsstack kc_p)
#else
(kc_p) nooperatorsstack kc_p;
#endif
{	boolean kc_not_ready = True;
	int kc_tmp = (int)0;
	/*SUPPRESS 622*/
	assert_nooperatorsstack(kc_p,"kc_p");
	if (kc_p->prod_sel == sel_Nilnooperatorsstack) {
		(void)fflush(stdout); (void)fprintf(stderr, kc_error_last_with_nil_argument, "nooperatorsstack",  "nooperatorsstack"); exit( 1 ); /*NOTREACHED*/
	}
	while(kc_not_ready) {
		/*SUPPRESS 622*/
		assert_nooperatorsstack(kc_p,"kc_p");
		if (kc_p->prod_sel == sel_Nilnooperatorsstack) {
			kc_not_ready=False;
		} else if (kc_p->prod_sel == sel_Consnooperatorsstack) {
			kc_tmp = kc_p->u.Consnooperatorsstack.int_1;
			kc_p = kc_p->u.Consnooperatorsstack.nooperatorsstack_1;
		} else {
			kc_invalid_operator(kc_error_last, kc_phylum_nooperatorsstack, __LINE__, __FILE__, (int)kc_p->prod_sel);/*NOTREACHED*/
	}	}
	return kc_tmp;
}
nooperatorsstack map_nooperatorsstack
#ifdef KC_USE_PROTOTYPES
(nooperatorsstack kc_p, int (*kc_fp)(int))
#else
(kc_p, kc_fp) nooperatorsstack kc_p; int (*kc_fp)KC__P((int));
#endif
{	/*SUPPRESS 622*/
	assert_nooperatorsstack(kc_p,"kc_p");
	if (kc_p->prod_sel == sel_Nilnooperatorsstack) {
		return kc_p;
	} else if (kc_p->prod_sel == sel_Consnooperatorsstack) {
		return Consnooperatorsstack(
			(*kc_fp)(kc_p->u.Consnooperatorsstack.int_1),
			map_nooperatorsstack(kc_p->u.Consnooperatorsstack.nooperatorsstack_1, kc_fp));
	} else {
		kc_invalid_operator(kc_error_map, kc_phylum_nooperatorsstack, __LINE__, __FILE__, (int)kc_p->prod_sel);/*NOTREACHED*/return (nooperatorsstack)0;
}	}
nooperatorsstack filter_nooperatorsstack
#ifdef KC_USE_PROTOTYPES
(nooperatorsstack kc_p, boolean (*kc_fp)(int))
#else
(kc_p, kc_fp) nooperatorsstack kc_p; boolean (*kc_fp)KC__P((int));
#endif
{	/*SUPPRESS 622*/
	assert_nooperatorsstack(kc_p,"kc_p");
	if (kc_p->prod_sel == sel_Nilnooperatorsstack) {
		return kc_p;
	} else if (kc_p->prod_sel == sel_Consnooperatorsstack) {
		if ((*kc_fp)(kc_p->u.Consnooperatorsstack.int_1)) {
			return Consnooperatorsstack(
				kc_p->u.Consnooperatorsstack.int_1,
				filter_nooperatorsstack(kc_p->u.Consnooperatorsstack.nooperatorsstack_1, kc_fp));
		} else {
			return filter_nooperatorsstack(kc_p->u.Consnooperatorsstack.nooperatorsstack_1, kc_fp);
		}
	} else {
		kc_invalid_operator(kc_error_filter, kc_phylum_nooperatorsstack, __LINE__, __FILE__, (int)kc_p->prod_sel);/*NOTREACHED*/return (nooperatorsstack)0;
}	}
void freelist_nooperatorsstack
#ifdef KC_USE_PROTOTYPES
(nooperatorsstack kc_p)
#else
(kc_p) nooperatorsstack kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_nooperatorsstack ); }
scopetypefilelinestack concat_scopetypefilelinestack
#ifdef KC_USE_PROTOTYPES
(scopetypefilelinestack kc_p1, scopetypefilelinestack kc_p2)
#else
(kc_p1, kc_p2) scopetypefilelinestack kc_p1, kc_p2;
#endif
{ return (scopetypefilelinestack)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_scopetypefilelinestack ); }
scopetypefilelinestack reverse_scopetypefilelinestack
#ifdef KC_USE_PROTOTYPES
(scopetypefilelinestack kc_p)
#else
(kc_p) scopetypefilelinestack kc_p;
#endif
{ return (scopetypefilelinestack)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_scopetypefilelinestack ); }
int length_scopetypefilelinestack
#ifdef KC_USE_PROTOTYPES
(scopetypefilelinestack kc_p)
#else
(kc_p) scopetypefilelinestack kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_scopetypefilelinestack ); }
scopetypefileline last_scopetypefilelinestack
#ifdef KC_USE_PROTOTYPES
(scopetypefilelinestack kc_p)
#else
(kc_p) scopetypefilelinestack kc_p;
#endif
{ return (scopetypefileline)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_scopetypefilelinestack ); }
scopetypefilelinestack map_scopetypefilelinestack
#ifdef KC_USE_PROTOTYPES
(scopetypefilelinestack kc_p, scopetypefileline (*kc_fp)(scopetypefileline))
#else
(kc_p, kc_fp) scopetypefilelinestack kc_p; scopetypefileline (*kc_fp)KC__P((scopetypefileline));
#endif
{ return (scopetypefilelinestack)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_scopetypefilelinestack ); }
scopetypefilelinestack filter_scopetypefilelinestack
#ifdef KC_USE_PROTOTYPES
(scopetypefilelinestack kc_p, boolean (*kc_fp)(scopetypefileline))
#else
(kc_p, kc_fp) scopetypefilelinestack kc_p; boolean (*kc_fp)KC__P((scopetypefileline));
#endif
{ return (scopetypefilelinestack)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_scopetypefilelinestack ); }
void freelist_scopetypefilelinestack
#ifdef KC_USE_PROTOTYPES
(scopetypefilelinestack kc_p)
#else
(kc_p) scopetypefilelinestack kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_scopetypefilelinestack ); }
operatorsstack concat_operatorsstack
#ifdef KC_USE_PROTOTYPES
(operatorsstack kc_p1, operatorsstack kc_p2)
#else
(kc_p1, kc_p2) operatorsstack kc_p1, kc_p2;
#endif
{ return (operatorsstack)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_operatorsstack ); }
operatorsstack reverse_operatorsstack
#ifdef KC_USE_PROTOTYPES
(operatorsstack kc_p)
#else
(kc_p) operatorsstack kc_p;
#endif
{ return (operatorsstack)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_operatorsstack ); }
int length_operatorsstack
#ifdef KC_USE_PROTOTYPES
(operatorsstack kc_p)
#else
(kc_p) operatorsstack kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_operatorsstack ); }
operators last_operatorsstack
#ifdef KC_USE_PROTOTYPES
(operatorsstack kc_p)
#else
(kc_p) operatorsstack kc_p;
#endif
{ return (operators)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_operatorsstack ); }
operatorsstack map_operatorsstack
#ifdef KC_USE_PROTOTYPES
(operatorsstack kc_p, operators (*kc_fp)(operators))
#else
(kc_p, kc_fp) operatorsstack kc_p; operators (*kc_fp)KC__P((operators));
#endif
{ return (operatorsstack)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_operatorsstack ); }
operatorsstack filter_operatorsstack
#ifdef KC_USE_PROTOTYPES
(operatorsstack kc_p, boolean (*kc_fp)(operators))
#else
(kc_p, kc_fp) operatorsstack kc_p; boolean (*kc_fp)KC__P((operators));
#endif
{ return (operatorsstack)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_operatorsstack ); }
void freelist_operatorsstack
#ifdef KC_USE_PROTOTYPES
(operatorsstack kc_p)
#else
(kc_p) operatorsstack kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_operatorsstack ); }
operators concat_operators
#ifdef KC_USE_PROTOTYPES
(operators kc_p1, operators kc_p2)
#else
(kc_p1, kc_p2) operators kc_p1, kc_p2;
#endif
{ return (operators)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_operators ); }
operators reverse_operators
#ifdef KC_USE_PROTOTYPES
(operators kc_p)
#else
(kc_p) operators kc_p;
#endif
{ return (operators)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_operators ); }
int length_operators
#ifdef KC_USE_PROTOTYPES
(operators kc_p)
#else
(kc_p) operators kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_operators ); }
ID last_operators
#ifdef KC_USE_PROTOTYPES
(operators kc_p)
#else
(kc_p) operators kc_p;
#endif
{ return (ID)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_operators ); }
operators map_operators
#ifdef KC_USE_PROTOTYPES
(operators kc_p, ID (*kc_fp)(ID))
#else
(kc_p, kc_fp) operators kc_p; ID (*kc_fp)KC__P((ID));
#endif
{ return (operators)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_operators ); }
operators filter_operators
#ifdef KC_USE_PROTOTYPES
(operators kc_p, boolean (*kc_fp)(ID))
#else
(kc_p, kc_fp) operators kc_p; boolean (*kc_fp)KC__P((ID));
#endif
{ return (operators)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_operators ); }
void freelist_operators
#ifdef KC_USE_PROTOTYPES
(operators kc_p)
#else
(kc_p) operators kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_operators ); }
phyla concat_phyla
#ifdef KC_USE_PROTOTYPES
(phyla kc_p1, phyla kc_p2)
#else
(kc_p1, kc_p2) phyla kc_p1, kc_p2;
#endif
{ return (phyla)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_phyla ); }
phyla reverse_phyla
#ifdef KC_USE_PROTOTYPES
(phyla kc_p)
#else
(kc_p) phyla kc_p;
#endif
{ return (phyla)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_phyla ); }
int length_phyla
#ifdef KC_USE_PROTOTYPES
(phyla kc_p)
#else
(kc_p) phyla kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_phyla ); }
ID last_phyla
#ifdef KC_USE_PROTOTYPES
(phyla kc_p)
#else
(kc_p) phyla kc_p;
#endif
{ return (ID)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_phyla ); }
phyla map_phyla
#ifdef KC_USE_PROTOTYPES
(phyla kc_p, ID (*kc_fp)(ID))
#else
(kc_p, kc_fp) phyla kc_p; ID (*kc_fp)KC__P((ID));
#endif
{ return (phyla)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_phyla ); }
phyla filter_phyla
#ifdef KC_USE_PROTOTYPES
(phyla kc_p, boolean (*kc_fp)(ID))
#else
(kc_p, kc_fp) phyla kc_p; boolean (*kc_fp)KC__P((ID));
#endif
{ return (phyla)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_phyla ); }
void freelist_phyla
#ifdef KC_USE_PROTOTYPES
(phyla kc_p)
#else
(kc_p) phyla kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_phyla ); }
variables concat_variables
#ifdef KC_USE_PROTOTYPES
(variables kc_p1, variables kc_p2)
#else
(kc_p1, kc_p2) variables kc_p1, kc_p2;
#endif
{ return (variables)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_variables ); }
variables reverse_variables
#ifdef KC_USE_PROTOTYPES
(variables kc_p)
#else
(kc_p) variables kc_p;
#endif
{ return (variables)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_variables ); }
int length_variables
#ifdef KC_USE_PROTOTYPES
(variables kc_p)
#else
(kc_p) variables kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_variables ); }
ID last_variables
#ifdef KC_USE_PROTOTYPES
(variables kc_p)
#else
(kc_p) variables kc_p;
#endif
{ return (ID)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_variables ); }
variables map_variables
#ifdef KC_USE_PROTOTYPES
(variables kc_p, ID (*kc_fp)(ID))
#else
(kc_p, kc_fp) variables kc_p; ID (*kc_fp)KC__P((ID));
#endif
{ return (variables)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_variables ); }
variables filter_variables
#ifdef KC_USE_PROTOTYPES
(variables kc_p, boolean (*kc_fp)(ID))
#else
(kc_p, kc_fp) variables kc_p; boolean (*kc_fp)KC__P((ID));
#endif
{ return (variables)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_variables ); }
void freelist_variables
#ifdef KC_USE_PROTOTYPES
(variables kc_p)
#else
(kc_p) variables kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_variables ); }
argumentsstack concat_argumentsstack
#ifdef KC_USE_PROTOTYPES
(argumentsstack kc_p1, argumentsstack kc_p2)
#else
(kc_p1, kc_p2) argumentsstack kc_p1, kc_p2;
#endif
{ return (argumentsstack)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_argumentsstack ); }
argumentsstack reverse_argumentsstack
#ifdef KC_USE_PROTOTYPES
(argumentsstack kc_p)
#else
(kc_p) argumentsstack kc_p;
#endif
{ return (argumentsstack)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_argumentsstack ); }
int length_argumentsstack
#ifdef KC_USE_PROTOTYPES
(argumentsstack kc_p)
#else
(kc_p) argumentsstack kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_argumentsstack ); }
arguments last_argumentsstack
#ifdef KC_USE_PROTOTYPES
(argumentsstack kc_p)
#else
(kc_p) argumentsstack kc_p;
#endif
{ return (arguments)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_argumentsstack ); }
argumentsstack map_argumentsstack
#ifdef KC_USE_PROTOTYPES
(argumentsstack kc_p, arguments (*kc_fp)(arguments))
#else
(kc_p, kc_fp) argumentsstack kc_p; arguments (*kc_fp)KC__P((arguments));
#endif
{ return (argumentsstack)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_argumentsstack ); }
argumentsstack filter_argumentsstack
#ifdef KC_USE_PROTOTYPES
(argumentsstack kc_p, boolean (*kc_fp)(arguments))
#else
(kc_p, kc_fp) argumentsstack kc_p; boolean (*kc_fp)KC__P((arguments));
#endif
{ return (argumentsstack)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_argumentsstack ); }
void freelist_argumentsstack
#ifdef KC_USE_PROTOTYPES
(argumentsstack kc_p)
#else
(kc_p) argumentsstack kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_argumentsstack ); }
phylumstack concat_phylumstack
#ifdef KC_USE_PROTOTYPES
(phylumstack kc_p1, phylumstack kc_p2)
#else
(kc_p1, kc_p2) phylumstack kc_p1, kc_p2;
#endif
{ return (phylumstack)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_phylumstack ); }
phylumstack reverse_phylumstack
#ifdef KC_USE_PROTOTYPES
(phylumstack kc_p)
#else
(kc_p) phylumstack kc_p;
#endif
{ return (phylumstack)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_phylumstack ); }
int length_phylumstack
#ifdef KC_USE_PROTOTYPES
(phylumstack kc_p)
#else
(kc_p) phylumstack kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_phylumstack ); }
ID last_phylumstack
#ifdef KC_USE_PROTOTYPES
(phylumstack kc_p)
#else
(kc_p) phylumstack kc_p;
#endif
{ return (ID)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_phylumstack ); }
phylumstack map_phylumstack
#ifdef KC_USE_PROTOTYPES
(phylumstack kc_p, ID (*kc_fp)(ID))
#else
(kc_p, kc_fp) phylumstack kc_p; ID (*kc_fp)KC__P((ID));
#endif
{ return (phylumstack)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_phylumstack ); }
phylumstack filter_phylumstack
#ifdef KC_USE_PROTOTYPES
(phylumstack kc_p, boolean (*kc_fp)(ID))
#else
(kc_p, kc_fp) phylumstack kc_p; boolean (*kc_fp)KC__P((ID));
#endif
{ return (phylumstack)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_phylumstack ); }
void freelist_phylumstack
#ifdef KC_USE_PROTOTYPES
(phylumstack kc_p)
#else
(kc_p) phylumstack kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_phylumstack ); }
phylumnamesstack concat_phylumnamesstack
#ifdef KC_USE_PROTOTYPES
(phylumnamesstack kc_p1, phylumnamesstack kc_p2)
#else
(kc_p1, kc_p2) phylumnamesstack kc_p1, kc_p2;
#endif
{ return (phylumnamesstack)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_phylumnamesstack ); }
phylumnamesstack reverse_phylumnamesstack
#ifdef KC_USE_PROTOTYPES
(phylumnamesstack kc_p)
#else
(kc_p) phylumnamesstack kc_p;
#endif
{ return (phylumnamesstack)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_phylumnamesstack ); }
int length_phylumnamesstack
#ifdef KC_USE_PROTOTYPES
(phylumnamesstack kc_p)
#else
(kc_p) phylumnamesstack kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_phylumnamesstack ); }
phylumnames last_phylumnamesstack
#ifdef KC_USE_PROTOTYPES
(phylumnamesstack kc_p)
#else
(kc_p) phylumnamesstack kc_p;
#endif
{ return (phylumnames)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_phylumnamesstack ); }
phylumnamesstack map_phylumnamesstack
#ifdef KC_USE_PROTOTYPES
(phylumnamesstack kc_p, phylumnames (*kc_fp)(phylumnames))
#else
(kc_p, kc_fp) phylumnamesstack kc_p; phylumnames (*kc_fp)KC__P((phylumnames));
#endif
{ return (phylumnamesstack)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_phylumnamesstack ); }
phylumnamesstack filter_phylumnamesstack
#ifdef KC_USE_PROTOTYPES
(phylumnamesstack kc_p, boolean (*kc_fp)(phylumnames))
#else
(kc_p, kc_fp) phylumnamesstack kc_p; boolean (*kc_fp)KC__P((phylumnames));
#endif
{ return (phylumnamesstack)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_phylumnamesstack ); }
void freelist_phylumnamesstack
#ifdef KC_USE_PROTOTYPES
(phylumnamesstack kc_p)
#else
(kc_p) phylumnamesstack kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_phylumnamesstack ); }
withexpressionsstack concat_withexpressionsstack
#ifdef KC_USE_PROTOTYPES
(withexpressionsstack kc_p1, withexpressionsstack kc_p2)
#else
(kc_p1, kc_p2) withexpressionsstack kc_p1, kc_p2;
#endif
{ return (withexpressionsstack)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_withexpressionsstack ); }
withexpressionsstack reverse_withexpressionsstack
#ifdef KC_USE_PROTOTYPES
(withexpressionsstack kc_p)
#else
(kc_p) withexpressionsstack kc_p;
#endif
{ return (withexpressionsstack)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_withexpressionsstack ); }
int length_withexpressionsstack
#ifdef KC_USE_PROTOTYPES
(withexpressionsstack kc_p)
#else
(kc_p) withexpressionsstack kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_withexpressionsstack ); }
withexpressions last_withexpressionsstack
#ifdef KC_USE_PROTOTYPES
(withexpressionsstack kc_p)
#else
(kc_p) withexpressionsstack kc_p;
#endif
{ return (withexpressions)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_withexpressionsstack ); }
withexpressionsstack map_withexpressionsstack
#ifdef KC_USE_PROTOTYPES
(withexpressionsstack kc_p, withexpressions (*kc_fp)(withexpressions))
#else
(kc_p, kc_fp) withexpressionsstack kc_p; withexpressions (*kc_fp)KC__P((withexpressions));
#endif
{ return (withexpressionsstack)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_withexpressionsstack ); }
withexpressionsstack filter_withexpressionsstack
#ifdef KC_USE_PROTOTYPES
(withexpressionsstack kc_p, boolean (*kc_fp)(withexpressions))
#else
(kc_p, kc_fp) withexpressionsstack kc_p; boolean (*kc_fp)KC__P((withexpressions));
#endif
{ return (withexpressionsstack)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_withexpressionsstack ); }
void freelist_withexpressionsstack
#ifdef KC_USE_PROTOTYPES
(withexpressionsstack kc_p)
#else
(kc_p) withexpressionsstack kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_withexpressionsstack ); }
operatorstack concat_operatorstack
#ifdef KC_USE_PROTOTYPES
(operatorstack kc_p1, operatorstack kc_p2)
#else
(kc_p1, kc_p2) operatorstack kc_p1, kc_p2;
#endif
{ return (operatorstack)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_operatorstack ); }
operatorstack reverse_operatorstack
#ifdef KC_USE_PROTOTYPES
(operatorstack kc_p)
#else
(kc_p) operatorstack kc_p;
#endif
{ return (operatorstack)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_operatorstack ); }
int length_operatorstack
#ifdef KC_USE_PROTOTYPES
(operatorstack kc_p)
#else
(kc_p) operatorstack kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_operatorstack ); }
ID last_operatorstack
#ifdef KC_USE_PROTOTYPES
(operatorstack kc_p)
#else
(kc_p) operatorstack kc_p;
#endif
{ return (ID)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_operatorstack ); }
operatorstack map_operatorstack
#ifdef KC_USE_PROTOTYPES
(operatorstack kc_p, ID (*kc_fp)(ID))
#else
(kc_p, kc_fp) operatorstack kc_p; ID (*kc_fp)KC__P((ID));
#endif
{ return (operatorstack)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_operatorstack ); }
operatorstack filter_operatorstack
#ifdef KC_USE_PROTOTYPES
(operatorstack kc_p, boolean (*kc_fp)(ID))
#else
(kc_p, kc_fp) operatorstack kc_p; boolean (*kc_fp)KC__P((ID));
#endif
{ return (operatorstack)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_operatorstack ); }
void freelist_operatorstack
#ifdef KC_USE_PROTOTYPES
(operatorstack kc_p)
#else
(kc_p) operatorstack kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_operatorstack ); }
variablesstack concat_variablesstack
#ifdef KC_USE_PROTOTYPES
(variablesstack kc_p1, variablesstack kc_p2)
#else
(kc_p1, kc_p2) variablesstack kc_p1, kc_p2;
#endif
{ return (variablesstack)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_variablesstack ); }
variablesstack reverse_variablesstack
#ifdef KC_USE_PROTOTYPES
(variablesstack kc_p)
#else
(kc_p) variablesstack kc_p;
#endif
{ return (variablesstack)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_variablesstack ); }
int length_variablesstack
#ifdef KC_USE_PROTOTYPES
(variablesstack kc_p)
#else
(kc_p) variablesstack kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_variablesstack ); }
variables last_variablesstack
#ifdef KC_USE_PROTOTYPES
(variablesstack kc_p)
#else
(kc_p) variablesstack kc_p;
#endif
{ return (variables)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_variablesstack ); }
variablesstack map_variablesstack
#ifdef KC_USE_PROTOTYPES
(variablesstack kc_p, variables (*kc_fp)(variables))
#else
(kc_p, kc_fp) variablesstack kc_p; variables (*kc_fp)KC__P((variables));
#endif
{ return (variablesstack)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_variablesstack ); }
variablesstack filter_variablesstack
#ifdef KC_USE_PROTOTYPES
(variablesstack kc_p, boolean (*kc_fp)(variables))
#else
(kc_p, kc_fp) variablesstack kc_p; boolean (*kc_fp)KC__P((variables));
#endif
{ return (variablesstack)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_variablesstack ); }
void freelist_variablesstack
#ifdef KC_USE_PROTOTYPES
(variablesstack kc_p)
#else
(kc_p) variablesstack kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_variablesstack ); }
selvarstack concat_selvarstack
#ifdef KC_USE_PROTOTYPES
(selvarstack kc_p1, selvarstack kc_p2)
#else
(kc_p1, kc_p2) selvarstack kc_p1, kc_p2;
#endif
{ return (selvarstack)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_selvarstack ); }
selvarstack reverse_selvarstack
#ifdef KC_USE_PROTOTYPES
(selvarstack kc_p)
#else
(kc_p) selvarstack kc_p;
#endif
{ return (selvarstack)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_selvarstack ); }
int length_selvarstack
#ifdef KC_USE_PROTOTYPES
(selvarstack kc_p)
#else
(kc_p) selvarstack kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_selvarstack ); }
ID last_selvarstack
#ifdef KC_USE_PROTOTYPES
(selvarstack kc_p)
#else
(kc_p) selvarstack kc_p;
#endif
{ return (ID)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_selvarstack ); }
selvarstack map_selvarstack
#ifdef KC_USE_PROTOTYPES
(selvarstack kc_p, ID (*kc_fp)(ID))
#else
(kc_p, kc_fp) selvarstack kc_p; ID (*kc_fp)KC__P((ID));
#endif
{ return (selvarstack)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_selvarstack ); }
selvarstack filter_selvarstack
#ifdef KC_USE_PROTOTYPES
(selvarstack kc_p, boolean (*kc_fp)(ID))
#else
(kc_p, kc_fp) selvarstack kc_p; boolean (*kc_fp)KC__P((ID));
#endif
{ return (selvarstack)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_selvarstack ); }
void freelist_selvarstack
#ifdef KC_USE_PROTOTYPES
(selvarstack kc_p)
#else
(kc_p) selvarstack kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_selvarstack ); }
dollarvarsallowedstack concat_dollarvarsallowedstack
#ifdef KC_USE_PROTOTYPES
(dollarvarsallowedstack kc_p1, dollarvarsallowedstack kc_p2)
#else
(kc_p1, kc_p2) dollarvarsallowedstack kc_p1, kc_p2;
#endif
{ return (dollarvarsallowedstack)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_dollarvarsallowedstack ); }
dollarvarsallowedstack reverse_dollarvarsallowedstack
#ifdef KC_USE_PROTOTYPES
(dollarvarsallowedstack kc_p)
#else
(kc_p) dollarvarsallowedstack kc_p;
#endif
{ return (dollarvarsallowedstack)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_dollarvarsallowedstack ); }
int length_dollarvarsallowedstack
#ifdef KC_USE_PROTOTYPES
(dollarvarsallowedstack kc_p)
#else
(kc_p) dollarvarsallowedstack kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_dollarvarsallowedstack ); }
dollarvarstatus last_dollarvarsallowedstack
#ifdef KC_USE_PROTOTYPES
(dollarvarsallowedstack kc_p)
#else
(kc_p) dollarvarsallowedstack kc_p;
#endif
{ return (dollarvarstatus)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_dollarvarsallowedstack ); }
dollarvarsallowedstack map_dollarvarsallowedstack
#ifdef KC_USE_PROTOTYPES
(dollarvarsallowedstack kc_p, dollarvarstatus (*kc_fp)(dollarvarstatus))
#else
(kc_p, kc_fp) dollarvarsallowedstack kc_p; dollarvarstatus (*kc_fp)KC__P((dollarvarstatus));
#endif
{ return (dollarvarsallowedstack)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_dollarvarsallowedstack ); }
dollarvarsallowedstack filter_dollarvarsallowedstack
#ifdef KC_USE_PROTOTYPES
(dollarvarsallowedstack kc_p, boolean (*kc_fp)(dollarvarstatus))
#else
(kc_p, kc_fp) dollarvarsallowedstack kc_p; boolean (*kc_fp)KC__P((dollarvarstatus));
#endif
{ return (dollarvarsallowedstack)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_dollarvarsallowedstack ); }
void freelist_dollarvarsallowedstack
#ifdef KC_USE_PROTOTYPES
(dollarvarsallowedstack kc_p)
#else
(kc_p) dollarvarsallowedstack kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_dollarvarsallowedstack ); }
intstack concat_intstack
#ifdef KC_USE_PROTOTYPES
(intstack kc_p1, intstack kc_p2)
#else
(kc_p1, kc_p2) intstack kc_p1, kc_p2;
#endif
{	/*SUPPRESS 622*/
	assert_intstack(kc_p1,"kc_p1");
	if (kc_p1->prod_sel == sel_Nilintstack) {
		return kc_p2;
	} else if (kc_p1->prod_sel ==  sel_Consintstack) {
		return Consintstack(
			kc_p1->u.Consintstack.int_1,
			concat_intstack(kc_p1->u.Consintstack.intstack_1, kc_p2) );
	} else {
		kc_invalid_operator(kc_error_concat, kc_phylum_intstack, __LINE__, __FILE__, (int)kc_p1->prod_sel);/*NOTREACHED*/return (intstack)0;
}	}
intstack reverse_intstack
#ifdef KC_USE_PROTOTYPES
(intstack kc_p)
#else
(kc_p) intstack kc_p;
#endif
{	boolean kc_not_ready = True;
	intstack kc_tmp = Nilintstack();
	while(kc_not_ready) {
		/*SUPPRESS 622*/
		assert_intstack(((casestring)kc_p),"kc_p");
		if (kc_p->prod_sel == sel_Nilintstack) {
			kc_not_ready=False;
		} else if (kc_p->prod_sel == sel_Consintstack) {
			kc_tmp = Consintstack(kc_p->u.Consintstack.int_1, kc_tmp);
			kc_p = kc_p->u.Consintstack.intstack_1;
		} else {
			kc_invalid_operator(kc_error_reverse, kc_phylum_intstack, __LINE__, __FILE__, (int)kc_p->prod_sel);/*NOTREACHED*/
	}	}
	return kc_tmp;
}
int length_intstack
#ifdef KC_USE_PROTOTYPES
(intstack kc_p)
#else
(kc_p) intstack kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_intstack ); }
int last_intstack
#ifdef KC_USE_PROTOTYPES
(intstack kc_p)
#else
(kc_p) intstack kc_p;
#endif
{	boolean kc_not_ready = True;
	int kc_tmp = (int)0;
	/*SUPPRESS 622*/
	assert_intstack(kc_p,"kc_p");
	if (kc_p->prod_sel == sel_Nilintstack) {
		(void)fflush(stdout); (void)fprintf(stderr, kc_error_last_with_nil_argument, "intstack",  "intstack"); exit( 1 ); /*NOTREACHED*/
	}
	while(kc_not_ready) {
		/*SUPPRESS 622*/
		assert_intstack(kc_p,"kc_p");
		if (kc_p->prod_sel == sel_Nilintstack) {
			kc_not_ready=False;
		} else if (kc_p->prod_sel == sel_Consintstack) {
			kc_tmp = kc_p->u.Consintstack.int_1;
			kc_p = kc_p->u.Consintstack.intstack_1;
		} else {
			kc_invalid_operator(kc_error_last, kc_phylum_intstack, __LINE__, __FILE__, (int)kc_p->prod_sel);/*NOTREACHED*/
	}	}
	return kc_tmp;
}
intstack map_intstack
#ifdef KC_USE_PROTOTYPES
(intstack kc_p, int (*kc_fp)(int))
#else
(kc_p, kc_fp) intstack kc_p; int (*kc_fp)KC__P((int));
#endif
{	/*SUPPRESS 622*/
	assert_intstack(kc_p,"kc_p");
	if (kc_p->prod_sel == sel_Nilintstack) {
		return kc_p;
	} else if (kc_p->prod_sel == sel_Consintstack) {
		return Consintstack(
			(*kc_fp)(kc_p->u.Consintstack.int_1),
			map_intstack(kc_p->u.Consintstack.intstack_1, kc_fp));
	} else {
		kc_invalid_operator(kc_error_map, kc_phylum_intstack, __LINE__, __FILE__, (int)kc_p->prod_sel);/*NOTREACHED*/return (intstack)0;
}	}
intstack filter_intstack
#ifdef KC_USE_PROTOTYPES
(intstack kc_p, boolean (*kc_fp)(int))
#else
(kc_p, kc_fp) intstack kc_p; boolean (*kc_fp)KC__P((int));
#endif
{	/*SUPPRESS 622*/
	assert_intstack(kc_p,"kc_p");
	if (kc_p->prod_sel == sel_Nilintstack) {
		return kc_p;
	} else if (kc_p->prod_sel == sel_Consintstack) {
		if ((*kc_fp)(kc_p->u.Consintstack.int_1)) {
			return Consintstack(
				kc_p->u.Consintstack.int_1,
				filter_intstack(kc_p->u.Consintstack.intstack_1, kc_fp));
		} else {
			return filter_intstack(kc_p->u.Consintstack.intstack_1, kc_fp);
		}
	} else {
		kc_invalid_operator(kc_error_filter, kc_phylum_intstack, __LINE__, __FILE__, (int)kc_p->prod_sel);/*NOTREACHED*/return (intstack)0;
}	}
void freelist_intstack
#ifdef KC_USE_PROTOTYPES
(intstack kc_p)
#else
(kc_p) intstack kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_intstack ); }
idCexpressionsstack concat_idCexpressionsstack
#ifdef KC_USE_PROTOTYPES
(idCexpressionsstack kc_p1, idCexpressionsstack kc_p2)
#else
(kc_p1, kc_p2) idCexpressionsstack kc_p1, kc_p2;
#endif
{ return (idCexpressionsstack)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_idCexpressionsstack ); }
idCexpressionsstack reverse_idCexpressionsstack
#ifdef KC_USE_PROTOTYPES
(idCexpressionsstack kc_p)
#else
(kc_p) idCexpressionsstack kc_p;
#endif
{ return (idCexpressionsstack)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_idCexpressionsstack ); }
int length_idCexpressionsstack
#ifdef KC_USE_PROTOTYPES
(idCexpressionsstack kc_p)
#else
(kc_p) idCexpressionsstack kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_idCexpressionsstack ); }
idCexpressions last_idCexpressionsstack
#ifdef KC_USE_PROTOTYPES
(idCexpressionsstack kc_p)
#else
(kc_p) idCexpressionsstack kc_p;
#endif
{ return (idCexpressions)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_idCexpressionsstack ); }
idCexpressionsstack map_idCexpressionsstack
#ifdef KC_USE_PROTOTYPES
(idCexpressionsstack kc_p, idCexpressions (*kc_fp)(idCexpressions))
#else
(kc_p, kc_fp) idCexpressionsstack kc_p; idCexpressions (*kc_fp)KC__P((idCexpressions));
#endif
{ return (idCexpressionsstack)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_idCexpressionsstack ); }
idCexpressionsstack filter_idCexpressionsstack
#ifdef KC_USE_PROTOTYPES
(idCexpressionsstack kc_p, boolean (*kc_fp)(idCexpressions))
#else
(kc_p, kc_fp) idCexpressionsstack kc_p; boolean (*kc_fp)KC__P((idCexpressions));
#endif
{ return (idCexpressionsstack)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_idCexpressionsstack ); }
void freelist_idCexpressionsstack
#ifdef KC_USE_PROTOTYPES
(idCexpressionsstack kc_p)
#else
(kc_p) idCexpressionsstack kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_idCexpressionsstack ); }
patternrepresentations concat_patternrepresentations
#ifdef KC_USE_PROTOTYPES
(patternrepresentations kc_p1, patternrepresentations kc_p2)
#else
(kc_p1, kc_p2) patternrepresentations kc_p1, kc_p2;
#endif
{ return (patternrepresentations)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_patternrepresentations ); }
patternrepresentations reverse_patternrepresentations
#ifdef KC_USE_PROTOTYPES
(patternrepresentations kc_p)
#else
(kc_p) patternrepresentations kc_p;
#endif
{ return (patternrepresentations)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_patternrepresentations ); }
int length_patternrepresentations
#ifdef KC_USE_PROTOTYPES
(patternrepresentations kc_p)
#else
(kc_p) patternrepresentations kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_patternrepresentations ); }
patternrepresentation last_patternrepresentations
#ifdef KC_USE_PROTOTYPES
(patternrepresentations kc_p)
#else
(kc_p) patternrepresentations kc_p;
#endif
{ return (patternrepresentation)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_patternrepresentations ); }
patternrepresentations map_patternrepresentations
#ifdef KC_USE_PROTOTYPES
(patternrepresentations kc_p, patternrepresentation (*kc_fp)(patternrepresentation))
#else
(kc_p, kc_fp) patternrepresentations kc_p; patternrepresentation (*kc_fp)KC__P((patternrepresentation));
#endif
{ return (patternrepresentations)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_patternrepresentations ); }
patternrepresentations filter_patternrepresentations
#ifdef KC_USE_PROTOTYPES
(patternrepresentations kc_p, boolean (*kc_fp)(patternrepresentation))
#else
(kc_p, kc_fp) patternrepresentations kc_p; boolean (*kc_fp)KC__P((patternrepresentation));
#endif
{ return (patternrepresentations)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_patternrepresentations ); }
void freelist_patternrepresentations
#ifdef KC_USE_PROTOTYPES
(patternrepresentations kc_p)
#else
(kc_p) patternrepresentations kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_patternrepresentations ); }
patternrepresentation concat_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(patternrepresentation kc_p1, patternrepresentation kc_p2)
#else
(kc_p1, kc_p2) patternrepresentation kc_p1, kc_p2;
#endif
{ return (patternrepresentation)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_patternrepresentation ); }
patternrepresentation reverse_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(patternrepresentation kc_p)
#else
(kc_p) patternrepresentation kc_p;
#endif
{ return (patternrepresentation)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_patternrepresentation ); }
int length_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(patternrepresentation kc_p)
#else
(kc_p) patternrepresentation kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_patternrepresentation ); }
elem_patternrepresentation last_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(patternrepresentation kc_p)
#else
(kc_p) patternrepresentation kc_p;
#endif
{ return (elem_patternrepresentation)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_patternrepresentation ); }
patternrepresentation map_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(patternrepresentation kc_p, elem_patternrepresentation (*kc_fp)(elem_patternrepresentation))
#else
(kc_p, kc_fp) patternrepresentation kc_p; elem_patternrepresentation (*kc_fp)KC__P((elem_patternrepresentation));
#endif
{ return (patternrepresentation)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_patternrepresentation ); }
patternrepresentation filter_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(patternrepresentation kc_p, boolean (*kc_fp)(elem_patternrepresentation))
#else
(kc_p, kc_fp) patternrepresentation kc_p; boolean (*kc_fp)KC__P((elem_patternrepresentation));
#endif
{ return (patternrepresentation)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_patternrepresentation ); }
void freelist_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(patternrepresentation kc_p)
#else
(kc_p) patternrepresentation kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_patternrepresentation ); }
path concat_path
#ifdef KC_USE_PROTOTYPES
(path kc_p1, path kc_p2)
#else
(kc_p1, kc_p2) path kc_p1, kc_p2;
#endif
{	/*SUPPRESS 622*/
	assert_path(kc_p1,"kc_p1");
	if (kc_p1->prod_sel == sel_Nilpath) {
		return kc_p2;
	} else if (kc_p1->prod_sel ==  sel_Conspath) {
		return Conspath(
			kc_p1->u.Conspath.int_1,
			concat_path(kc_p1->u.Conspath.path_1, kc_p2) );
	} else {
		kc_invalid_operator(kc_error_concat, kc_phylum_path, __LINE__, __FILE__, (int)kc_p1->prod_sel);/*NOTREACHED*/return (path)0;
}	}
path reverse_path
#ifdef KC_USE_PROTOTYPES
(path kc_p)
#else
(kc_p) path kc_p;
#endif
{	boolean kc_not_ready = True;
	path kc_tmp = Nilpath();
	while(kc_not_ready) {
		/*SUPPRESS 622*/
		assert_path(((casestring)kc_p),"kc_p");
		if (kc_p->prod_sel == sel_Nilpath) {
			kc_not_ready=False;
		} else if (kc_p->prod_sel == sel_Conspath) {
			kc_tmp = Conspath(kc_p->u.Conspath.int_1, kc_tmp);
			kc_p = kc_p->u.Conspath.path_1;
		} else {
			kc_invalid_operator(kc_error_reverse, kc_phylum_path, __LINE__, __FILE__, (int)kc_p->prod_sel);/*NOTREACHED*/
	}	}
	return kc_tmp;
}
int length_path
#ifdef KC_USE_PROTOTYPES
(path kc_p)
#else
(kc_p) path kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_path ); }
int last_path
#ifdef KC_USE_PROTOTYPES
(path kc_p)
#else
(kc_p) path kc_p;
#endif
{	boolean kc_not_ready = True;
	int kc_tmp = (int)0;
	/*SUPPRESS 622*/
	assert_path(kc_p,"kc_p");
	if (kc_p->prod_sel == sel_Nilpath) {
		(void)fflush(stdout); (void)fprintf(stderr, kc_error_last_with_nil_argument, "path",  "path"); exit( 1 ); /*NOTREACHED*/
	}
	while(kc_not_ready) {
		/*SUPPRESS 622*/
		assert_path(kc_p,"kc_p");
		if (kc_p->prod_sel == sel_Nilpath) {
			kc_not_ready=False;
		} else if (kc_p->prod_sel == sel_Conspath) {
			kc_tmp = kc_p->u.Conspath.int_1;
			kc_p = kc_p->u.Conspath.path_1;
		} else {
			kc_invalid_operator(kc_error_last, kc_phylum_path, __LINE__, __FILE__, (int)kc_p->prod_sel);/*NOTREACHED*/
	}	}
	return kc_tmp;
}
path map_path
#ifdef KC_USE_PROTOTYPES
(path kc_p, int (*kc_fp)(int))
#else
(kc_p, kc_fp) path kc_p; int (*kc_fp)KC__P((int));
#endif
{	/*SUPPRESS 622*/
	assert_path(kc_p,"kc_p");
	if (kc_p->prod_sel == sel_Nilpath) {
		return kc_p;
	} else if (kc_p->prod_sel == sel_Conspath) {
		return Conspath(
			(*kc_fp)(kc_p->u.Conspath.int_1),
			map_path(kc_p->u.Conspath.path_1, kc_fp));
	} else {
		kc_invalid_operator(kc_error_map, kc_phylum_path, __LINE__, __FILE__, (int)kc_p->prod_sel);/*NOTREACHED*/return (path)0;
}	}
path filter_path
#ifdef KC_USE_PROTOTYPES
(path kc_p, boolean (*kc_fp)(int))
#else
(kc_p, kc_fp) path kc_p; boolean (*kc_fp)KC__P((int));
#endif
{	/*SUPPRESS 622*/
	assert_path(kc_p,"kc_p");
	if (kc_p->prod_sel == sel_Nilpath) {
		return kc_p;
	} else if (kc_p->prod_sel == sel_Conspath) {
		if ((*kc_fp)(kc_p->u.Conspath.int_1)) {
			return Conspath(
				kc_p->u.Conspath.int_1,
				filter_path(kc_p->u.Conspath.path_1, kc_fp));
		} else {
			return filter_path(kc_p->u.Conspath.path_1, kc_fp);
		}
	} else {
		kc_invalid_operator(kc_error_filter, kc_phylum_path, __LINE__, __FILE__, (int)kc_p->prod_sel);/*NOTREACHED*/return (path)0;
}	}
void freelist_path
#ifdef KC_USE_PROTOTYPES
(path kc_p)
#else
(kc_p) path kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_path ); }
paths concat_paths
#ifdef KC_USE_PROTOTYPES
(paths kc_p1, paths kc_p2)
#else
(kc_p1, kc_p2) paths kc_p1, kc_p2;
#endif
{ return (paths)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_paths ); }
paths reverse_paths
#ifdef KC_USE_PROTOTYPES
(paths kc_p)
#else
(kc_p) paths kc_p;
#endif
{ return (paths)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_paths ); }
int length_paths
#ifdef KC_USE_PROTOTYPES
(paths kc_p)
#else
(kc_p) paths kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_paths ); }
path last_paths
#ifdef KC_USE_PROTOTYPES
(paths kc_p)
#else
(kc_p) paths kc_p;
#endif
{ return (path)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_paths ); }
paths map_paths
#ifdef KC_USE_PROTOTYPES
(paths kc_p, path (*kc_fp)(path))
#else
(kc_p, kc_fp) paths kc_p; path (*kc_fp)KC__P((path));
#endif
{ return (paths)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_paths ); }
paths filter_paths
#ifdef KC_USE_PROTOTYPES
(paths kc_p, boolean (*kc_fp)(path))
#else
(kc_p, kc_fp) paths kc_p; boolean (*kc_fp)KC__P((path));
#endif
{ return (paths)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_paths ); }
void freelist_paths
#ifdef KC_USE_PROTOTYPES
(paths kc_p)
#else
(kc_p) paths kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_paths ); }
argsnumbers concat_argsnumbers
#ifdef KC_USE_PROTOTYPES
(argsnumbers kc_p1, argsnumbers kc_p2)
#else
(kc_p1, kc_p2) argsnumbers kc_p1, kc_p2;
#endif
{	/*SUPPRESS 622*/
	assert_argsnumbers(kc_p1,"kc_p1");
	if (kc_p1->prod_sel == sel_Nilargsnumbers) {
		return kc_p2;
	} else if (kc_p1->prod_sel ==  sel_Consargsnumbers) {
		return Consargsnumbers(
			kc_p1->u.Consargsnumbers.int_1,
			concat_argsnumbers(kc_p1->u.Consargsnumbers.argsnumbers_1, kc_p2) );
	} else {
		kc_invalid_operator(kc_error_concat, kc_phylum_argsnumbers, __LINE__, __FILE__, (int)kc_p1->prod_sel);/*NOTREACHED*/return (argsnumbers)0;
}	}
argsnumbers reverse_argsnumbers
#ifdef KC_USE_PROTOTYPES
(argsnumbers kc_p)
#else
(kc_p) argsnumbers kc_p;
#endif
{	boolean kc_not_ready = True;
	argsnumbers kc_tmp = Nilargsnumbers();
	while(kc_not_ready) {
		/*SUPPRESS 622*/
		assert_argsnumbers(((casestring)kc_p),"kc_p");
		if (kc_p->prod_sel == sel_Nilargsnumbers) {
			kc_not_ready=False;
		} else if (kc_p->prod_sel == sel_Consargsnumbers) {
			kc_tmp = Consargsnumbers(kc_p->u.Consargsnumbers.int_1, kc_tmp);
			kc_p = kc_p->u.Consargsnumbers.argsnumbers_1;
		} else {
			kc_invalid_operator(kc_error_reverse, kc_phylum_argsnumbers, __LINE__, __FILE__, (int)kc_p->prod_sel);/*NOTREACHED*/
	}	}
	return kc_tmp;
}
int length_argsnumbers
#ifdef KC_USE_PROTOTYPES
(argsnumbers kc_p)
#else
(kc_p) argsnumbers kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_argsnumbers ); }
int last_argsnumbers
#ifdef KC_USE_PROTOTYPES
(argsnumbers kc_p)
#else
(kc_p) argsnumbers kc_p;
#endif
{	boolean kc_not_ready = True;
	int kc_tmp = (int)0;
	/*SUPPRESS 622*/
	assert_argsnumbers(kc_p,"kc_p");
	if (kc_p->prod_sel == sel_Nilargsnumbers) {
		(void)fflush(stdout); (void)fprintf(stderr, kc_error_last_with_nil_argument, "argsnumbers",  "argsnumbers"); exit( 1 ); /*NOTREACHED*/
	}
	while(kc_not_ready) {
		/*SUPPRESS 622*/
		assert_argsnumbers(kc_p,"kc_p");
		if (kc_p->prod_sel == sel_Nilargsnumbers) {
			kc_not_ready=False;
		} else if (kc_p->prod_sel == sel_Consargsnumbers) {
			kc_tmp = kc_p->u.Consargsnumbers.int_1;
			kc_p = kc_p->u.Consargsnumbers.argsnumbers_1;
		} else {
			kc_invalid_operator(kc_error_last, kc_phylum_argsnumbers, __LINE__, __FILE__, (int)kc_p->prod_sel);/*NOTREACHED*/
	}	}
	return kc_tmp;
}
argsnumbers map_argsnumbers
#ifdef KC_USE_PROTOTYPES
(argsnumbers kc_p, int (*kc_fp)(int))
#else
(kc_p, kc_fp) argsnumbers kc_p; int (*kc_fp)KC__P((int));
#endif
{	/*SUPPRESS 622*/
	assert_argsnumbers(kc_p,"kc_p");
	if (kc_p->prod_sel == sel_Nilargsnumbers) {
		return kc_p;
	} else if (kc_p->prod_sel == sel_Consargsnumbers) {
		return Consargsnumbers(
			(*kc_fp)(kc_p->u.Consargsnumbers.int_1),
			map_argsnumbers(kc_p->u.Consargsnumbers.argsnumbers_1, kc_fp));
	} else {
		kc_invalid_operator(kc_error_map, kc_phylum_argsnumbers, __LINE__, __FILE__, (int)kc_p->prod_sel);/*NOTREACHED*/return (argsnumbers)0;
}	}
argsnumbers filter_argsnumbers
#ifdef KC_USE_PROTOTYPES
(argsnumbers kc_p, boolean (*kc_fp)(int))
#else
(kc_p, kc_fp) argsnumbers kc_p; boolean (*kc_fp)KC__P((int));
#endif
{	/*SUPPRESS 622*/
	assert_argsnumbers(kc_p,"kc_p");
	if (kc_p->prod_sel == sel_Nilargsnumbers) {
		return kc_p;
	} else if (kc_p->prod_sel == sel_Consargsnumbers) {
		if ((*kc_fp)(kc_p->u.Consargsnumbers.int_1)) {
			return Consargsnumbers(
				kc_p->u.Consargsnumbers.int_1,
				filter_argsnumbers(kc_p->u.Consargsnumbers.argsnumbers_1, kc_fp));
		} else {
			return filter_argsnumbers(kc_p->u.Consargsnumbers.argsnumbers_1, kc_fp);
		}
	} else {
		kc_invalid_operator(kc_error_filter, kc_phylum_argsnumbers, __LINE__, __FILE__, (int)kc_p->prod_sel);/*NOTREACHED*/return (argsnumbers)0;
}	}
void freelist_argsnumbers
#ifdef KC_USE_PROTOTYPES
(argsnumbers kc_p)
#else
(kc_p) argsnumbers kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_argsnumbers ); }
rewriterulesinfo concat_rewriterulesinfo
#ifdef KC_USE_PROTOTYPES
(rewriterulesinfo kc_p1, rewriterulesinfo kc_p2)
#else
(kc_p1, kc_p2) rewriterulesinfo kc_p1, kc_p2;
#endif
{ return (rewriterulesinfo)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_rewriterulesinfo ); }
rewriterulesinfo reverse_rewriterulesinfo
#ifdef KC_USE_PROTOTYPES
(rewriterulesinfo kc_p)
#else
(kc_p) rewriterulesinfo kc_p;
#endif
{ return (rewriterulesinfo)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_rewriterulesinfo ); }
int length_rewriterulesinfo
#ifdef KC_USE_PROTOTYPES
(rewriterulesinfo kc_p)
#else
(kc_p) rewriterulesinfo kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_rewriterulesinfo ); }
rewriteruleinfo last_rewriterulesinfo
#ifdef KC_USE_PROTOTYPES
(rewriterulesinfo kc_p)
#else
(kc_p) rewriterulesinfo kc_p;
#endif
{ return (rewriteruleinfo)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_rewriterulesinfo ); }
rewriterulesinfo map_rewriterulesinfo
#ifdef KC_USE_PROTOTYPES
(rewriterulesinfo kc_p, rewriteruleinfo (*kc_fp)(rewriteruleinfo))
#else
(kc_p, kc_fp) rewriterulesinfo kc_p; rewriteruleinfo (*kc_fp)KC__P((rewriteruleinfo));
#endif
{ return (rewriterulesinfo)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_rewriterulesinfo ); }
rewriterulesinfo filter_rewriterulesinfo
#ifdef KC_USE_PROTOTYPES
(rewriterulesinfo kc_p, boolean (*kc_fp)(rewriteruleinfo))
#else
(kc_p, kc_fp) rewriterulesinfo kc_p; boolean (*kc_fp)KC__P((rewriteruleinfo));
#endif
{ return (rewriterulesinfo)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_rewriterulesinfo ); }
void freelist_rewriterulesinfo
#ifdef KC_USE_PROTOTYPES
(rewriterulesinfo kc_p)
#else
(kc_p) rewriterulesinfo kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_rewriterulesinfo ); }
withcasesinfo concat_withcasesinfo
#ifdef KC_USE_PROTOTYPES
(withcasesinfo kc_p1, withcasesinfo kc_p2)
#else
(kc_p1, kc_p2) withcasesinfo kc_p1, kc_p2;
#endif
{ return (withcasesinfo)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_withcasesinfo ); }
withcasesinfo reverse_withcasesinfo
#ifdef KC_USE_PROTOTYPES
(withcasesinfo kc_p)
#else
(kc_p) withcasesinfo kc_p;
#endif
{ return (withcasesinfo)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_withcasesinfo ); }
int length_withcasesinfo
#ifdef KC_USE_PROTOTYPES
(withcasesinfo kc_p)
#else
(kc_p) withcasesinfo kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_withcasesinfo ); }
withcaseinfo last_withcasesinfo
#ifdef KC_USE_PROTOTYPES
(withcasesinfo kc_p)
#else
(kc_p) withcasesinfo kc_p;
#endif
{ return (withcaseinfo)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_withcasesinfo ); }
withcasesinfo map_withcasesinfo
#ifdef KC_USE_PROTOTYPES
(withcasesinfo kc_p, withcaseinfo (*kc_fp)(withcaseinfo))
#else
(kc_p, kc_fp) withcasesinfo kc_p; withcaseinfo (*kc_fp)KC__P((withcaseinfo));
#endif
{ return (withcasesinfo)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_withcasesinfo ); }
withcasesinfo filter_withcasesinfo
#ifdef KC_USE_PROTOTYPES
(withcasesinfo kc_p, boolean (*kc_fp)(withcaseinfo))
#else
(kc_p, kc_fp) withcasesinfo kc_p; boolean (*kc_fp)KC__P((withcaseinfo));
#endif
{ return (withcasesinfo)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_withcasesinfo ); }
void freelist_withcasesinfo
#ifdef KC_USE_PROTOTYPES
(withcasesinfo kc_p)
#else
(kc_p) withcasesinfo kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_withcasesinfo ); }
rewriteviewsinfo concat_rewriteviewsinfo
#ifdef KC_USE_PROTOTYPES
(rewriteviewsinfo kc_p1, rewriteviewsinfo kc_p2)
#else
(kc_p1, kc_p2) rewriteviewsinfo kc_p1, kc_p2;
#endif
{ return (rewriteviewsinfo)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_rewriteviewsinfo ); }
rewriteviewsinfo reverse_rewriteviewsinfo
#ifdef KC_USE_PROTOTYPES
(rewriteviewsinfo kc_p)
#else
(kc_p) rewriteviewsinfo kc_p;
#endif
{ return (rewriteviewsinfo)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_rewriteviewsinfo ); }
int length_rewriteviewsinfo
#ifdef KC_USE_PROTOTYPES
(rewriteviewsinfo kc_p)
#else
(kc_p) rewriteviewsinfo kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_rewriteviewsinfo ); }
rewriteviewinfo last_rewriteviewsinfo
#ifdef KC_USE_PROTOTYPES
(rewriteviewsinfo kc_p)
#else
(kc_p) rewriteviewsinfo kc_p;
#endif
{ return (rewriteviewinfo)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_rewriteviewsinfo ); }
rewriteviewsinfo map_rewriteviewsinfo
#ifdef KC_USE_PROTOTYPES
(rewriteviewsinfo kc_p, rewriteviewinfo (*kc_fp)(rewriteviewinfo))
#else
(kc_p, kc_fp) rewriteviewsinfo kc_p; rewriteviewinfo (*kc_fp)KC__P((rewriteviewinfo));
#endif
{ return (rewriteviewsinfo)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_rewriteviewsinfo ); }
rewriteviewsinfo filter_rewriteviewsinfo
#ifdef KC_USE_PROTOTYPES
(rewriteviewsinfo kc_p, boolean (*kc_fp)(rewriteviewinfo))
#else
(kc_p, kc_fp) rewriteviewsinfo kc_p; boolean (*kc_fp)KC__P((rewriteviewinfo));
#endif
{ return (rewriteviewsinfo)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_rewriteviewsinfo ); }
void freelist_rewriteviewsinfo
#ifdef KC_USE_PROTOTYPES
(rewriteviewsinfo kc_p)
#else
(kc_p) rewriteviewsinfo kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_rewriteviewsinfo ); }
unparseviewsinfo concat_unparseviewsinfo
#ifdef KC_USE_PROTOTYPES
(unparseviewsinfo kc_p1, unparseviewsinfo kc_p2)
#else
(kc_p1, kc_p2) unparseviewsinfo kc_p1, kc_p2;
#endif
{ return (unparseviewsinfo)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_unparseviewsinfo ); }
unparseviewsinfo reverse_unparseviewsinfo
#ifdef KC_USE_PROTOTYPES
(unparseviewsinfo kc_p)
#else
(kc_p) unparseviewsinfo kc_p;
#endif
{ return (unparseviewsinfo)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_unparseviewsinfo ); }
int length_unparseviewsinfo
#ifdef KC_USE_PROTOTYPES
(unparseviewsinfo kc_p)
#else
(kc_p) unparseviewsinfo kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_unparseviewsinfo ); }
unparseviewinfo last_unparseviewsinfo
#ifdef KC_USE_PROTOTYPES
(unparseviewsinfo kc_p)
#else
(kc_p) unparseviewsinfo kc_p;
#endif
{ return (unparseviewinfo)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_unparseviewsinfo ); }
unparseviewsinfo map_unparseviewsinfo
#ifdef KC_USE_PROTOTYPES
(unparseviewsinfo kc_p, unparseviewinfo (*kc_fp)(unparseviewinfo))
#else
(kc_p, kc_fp) unparseviewsinfo kc_p; unparseviewinfo (*kc_fp)KC__P((unparseviewinfo));
#endif
{ return (unparseviewsinfo)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_unparseviewsinfo ); }
unparseviewsinfo filter_unparseviewsinfo
#ifdef KC_USE_PROTOTYPES
(unparseviewsinfo kc_p, boolean (*kc_fp)(unparseviewinfo))
#else
(kc_p, kc_fp) unparseviewsinfo kc_p; boolean (*kc_fp)KC__P((unparseviewinfo));
#endif
{ return (unparseviewsinfo)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_unparseviewsinfo ); }
void freelist_unparseviewsinfo
#ifdef KC_USE_PROTOTYPES
(unparseviewsinfo kc_p)
#else
(kc_p) unparseviewsinfo kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_unparseviewsinfo ); }
unparsedeclsinfo concat_unparsedeclsinfo
#ifdef KC_USE_PROTOTYPES
(unparsedeclsinfo kc_p1, unparsedeclsinfo kc_p2)
#else
(kc_p1, kc_p2) unparsedeclsinfo kc_p1, kc_p2;
#endif
{ return (unparsedeclsinfo)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_unparsedeclsinfo ); }
unparsedeclsinfo reverse_unparsedeclsinfo
#ifdef KC_USE_PROTOTYPES
(unparsedeclsinfo kc_p)
#else
(kc_p) unparsedeclsinfo kc_p;
#endif
{ return (unparsedeclsinfo)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_unparsedeclsinfo ); }
int length_unparsedeclsinfo
#ifdef KC_USE_PROTOTYPES
(unparsedeclsinfo kc_p)
#else
(kc_p) unparsedeclsinfo kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_unparsedeclsinfo ); }
unparsedeclinfo last_unparsedeclsinfo
#ifdef KC_USE_PROTOTYPES
(unparsedeclsinfo kc_p)
#else
(kc_p) unparsedeclsinfo kc_p;
#endif
{ return (unparsedeclinfo)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_unparsedeclsinfo ); }
unparsedeclsinfo map_unparsedeclsinfo
#ifdef KC_USE_PROTOTYPES
(unparsedeclsinfo kc_p, unparsedeclinfo (*kc_fp)(unparsedeclinfo))
#else
(kc_p, kc_fp) unparsedeclsinfo kc_p; unparsedeclinfo (*kc_fp)KC__P((unparsedeclinfo));
#endif
{ return (unparsedeclsinfo)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_unparsedeclsinfo ); }
unparsedeclsinfo filter_unparsedeclsinfo
#ifdef KC_USE_PROTOTYPES
(unparsedeclsinfo kc_p, boolean (*kc_fp)(unparsedeclinfo))
#else
(kc_p, kc_fp) unparsedeclsinfo kc_p; boolean (*kc_fp)KC__P((unparsedeclinfo));
#endif
{ return (unparsedeclsinfo)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_unparsedeclsinfo ); }
void freelist_unparsedeclsinfo
#ifdef KC_USE_PROTOTYPES
(unparsedeclsinfo kc_p)
#else
(kc_p) unparsedeclsinfo kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_unparsedeclsinfo ); }
ac_declaration_list concat_ac_declaration_list
#ifdef KC_USE_PROTOTYPES
(ac_declaration_list kc_p1, ac_declaration_list kc_p2)
#else
(kc_p1, kc_p2) ac_declaration_list kc_p1, kc_p2;
#endif
{ return (ac_declaration_list)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_declaration_list ); }
ac_declaration_list reverse_ac_declaration_list
#ifdef KC_USE_PROTOTYPES
(ac_declaration_list kc_p)
#else
(kc_p) ac_declaration_list kc_p;
#endif
{ return (ac_declaration_list)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_declaration_list ); }
int length_ac_declaration_list
#ifdef KC_USE_PROTOTYPES
(ac_declaration_list kc_p)
#else
(kc_p) ac_declaration_list kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_declaration_list ); }
ac_declaration last_ac_declaration_list
#ifdef KC_USE_PROTOTYPES
(ac_declaration_list kc_p)
#else
(kc_p) ac_declaration_list kc_p;
#endif
{ return (ac_declaration)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_declaration_list ); }
ac_declaration_list map_ac_declaration_list
#ifdef KC_USE_PROTOTYPES
(ac_declaration_list kc_p, ac_declaration (*kc_fp)(ac_declaration))
#else
(kc_p, kc_fp) ac_declaration_list kc_p; ac_declaration (*kc_fp)KC__P((ac_declaration));
#endif
{ return (ac_declaration_list)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_ac_declaration_list ); }
ac_declaration_list filter_ac_declaration_list
#ifdef KC_USE_PROTOTYPES
(ac_declaration_list kc_p, boolean (*kc_fp)(ac_declaration))
#else
(kc_p, kc_fp) ac_declaration_list kc_p; boolean (*kc_fp)KC__P((ac_declaration));
#endif
{ return (ac_declaration_list)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_ac_declaration_list ); }
void freelist_ac_declaration_list
#ifdef KC_USE_PROTOTYPES
(ac_declaration_list kc_p)
#else
(kc_p) ac_declaration_list kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_declaration_list ); }
ac_declaration_specifiers concat_ac_declaration_specifiers
#ifdef KC_USE_PROTOTYPES
(ac_declaration_specifiers kc_p1, ac_declaration_specifiers kc_p2)
#else
(kc_p1, kc_p2) ac_declaration_specifiers kc_p1, kc_p2;
#endif
{ return (ac_declaration_specifiers)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_declaration_specifiers ); }
ac_declaration_specifiers reverse_ac_declaration_specifiers
#ifdef KC_USE_PROTOTYPES
(ac_declaration_specifiers kc_p)
#else
(kc_p) ac_declaration_specifiers kc_p;
#endif
{ return (ac_declaration_specifiers)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_declaration_specifiers ); }
int length_ac_declaration_specifiers
#ifdef KC_USE_PROTOTYPES
(ac_declaration_specifiers kc_p)
#else
(kc_p) ac_declaration_specifiers kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_declaration_specifiers ); }
ac_declaration_specifier last_ac_declaration_specifiers
#ifdef KC_USE_PROTOTYPES
(ac_declaration_specifiers kc_p)
#else
(kc_p) ac_declaration_specifiers kc_p;
#endif
{ return (ac_declaration_specifier)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_declaration_specifiers ); }
ac_declaration_specifiers map_ac_declaration_specifiers
#ifdef KC_USE_PROTOTYPES
(ac_declaration_specifiers kc_p, ac_declaration_specifier (*kc_fp)(ac_declaration_specifier))
#else
(kc_p, kc_fp) ac_declaration_specifiers kc_p; ac_declaration_specifier (*kc_fp)KC__P((ac_declaration_specifier));
#endif
{ return (ac_declaration_specifiers)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_ac_declaration_specifiers ); }
ac_declaration_specifiers filter_ac_declaration_specifiers
#ifdef KC_USE_PROTOTYPES
(ac_declaration_specifiers kc_p, boolean (*kc_fp)(ac_declaration_specifier))
#else
(kc_p, kc_fp) ac_declaration_specifiers kc_p; boolean (*kc_fp)KC__P((ac_declaration_specifier));
#endif
{ return (ac_declaration_specifiers)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_ac_declaration_specifiers ); }
void freelist_ac_declaration_specifiers
#ifdef KC_USE_PROTOTYPES
(ac_declaration_specifiers kc_p)
#else
(kc_p) ac_declaration_specifiers kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_declaration_specifiers ); }
ac_init_declarator_list concat_ac_init_declarator_list
#ifdef KC_USE_PROTOTYPES
(ac_init_declarator_list kc_p1, ac_init_declarator_list kc_p2)
#else
(kc_p1, kc_p2) ac_init_declarator_list kc_p1, kc_p2;
#endif
{ return (ac_init_declarator_list)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_init_declarator_list ); }
ac_init_declarator_list reverse_ac_init_declarator_list
#ifdef KC_USE_PROTOTYPES
(ac_init_declarator_list kc_p)
#else
(kc_p) ac_init_declarator_list kc_p;
#endif
{ return (ac_init_declarator_list)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_init_declarator_list ); }
int length_ac_init_declarator_list
#ifdef KC_USE_PROTOTYPES
(ac_init_declarator_list kc_p)
#else
(kc_p) ac_init_declarator_list kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_init_declarator_list ); }
ac_init_declarator last_ac_init_declarator_list
#ifdef KC_USE_PROTOTYPES
(ac_init_declarator_list kc_p)
#else
(kc_p) ac_init_declarator_list kc_p;
#endif
{ return (ac_init_declarator)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_init_declarator_list ); }
ac_init_declarator_list map_ac_init_declarator_list
#ifdef KC_USE_PROTOTYPES
(ac_init_declarator_list kc_p, ac_init_declarator (*kc_fp)(ac_init_declarator))
#else
(kc_p, kc_fp) ac_init_declarator_list kc_p; ac_init_declarator (*kc_fp)KC__P((ac_init_declarator));
#endif
{ return (ac_init_declarator_list)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_ac_init_declarator_list ); }
ac_init_declarator_list filter_ac_init_declarator_list
#ifdef KC_USE_PROTOTYPES
(ac_init_declarator_list kc_p, boolean (*kc_fp)(ac_init_declarator))
#else
(kc_p, kc_fp) ac_init_declarator_list kc_p; boolean (*kc_fp)KC__P((ac_init_declarator));
#endif
{ return (ac_init_declarator_list)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_ac_init_declarator_list ); }
void freelist_ac_init_declarator_list
#ifdef KC_USE_PROTOTYPES
(ac_init_declarator_list kc_p)
#else
(kc_p) ac_init_declarator_list kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_init_declarator_list ); }
ac_type_qualifier_list concat_ac_type_qualifier_list
#ifdef KC_USE_PROTOTYPES
(ac_type_qualifier_list kc_p1, ac_type_qualifier_list kc_p2)
#else
(kc_p1, kc_p2) ac_type_qualifier_list kc_p1, kc_p2;
#endif
{ return (ac_type_qualifier_list)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_type_qualifier_list ); }
ac_type_qualifier_list reverse_ac_type_qualifier_list
#ifdef KC_USE_PROTOTYPES
(ac_type_qualifier_list kc_p)
#else
(kc_p) ac_type_qualifier_list kc_p;
#endif
{ return (ac_type_qualifier_list)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_type_qualifier_list ); }
int length_ac_type_qualifier_list
#ifdef KC_USE_PROTOTYPES
(ac_type_qualifier_list kc_p)
#else
(kc_p) ac_type_qualifier_list kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_type_qualifier_list ); }
ac_type_qualifier last_ac_type_qualifier_list
#ifdef KC_USE_PROTOTYPES
(ac_type_qualifier_list kc_p)
#else
(kc_p) ac_type_qualifier_list kc_p;
#endif
{ return (ac_type_qualifier)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_type_qualifier_list ); }
ac_type_qualifier_list map_ac_type_qualifier_list
#ifdef KC_USE_PROTOTYPES
(ac_type_qualifier_list kc_p, ac_type_qualifier (*kc_fp)(ac_type_qualifier))
#else
(kc_p, kc_fp) ac_type_qualifier_list kc_p; ac_type_qualifier (*kc_fp)KC__P((ac_type_qualifier));
#endif
{ return (ac_type_qualifier_list)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_ac_type_qualifier_list ); }
ac_type_qualifier_list filter_ac_type_qualifier_list
#ifdef KC_USE_PROTOTYPES
(ac_type_qualifier_list kc_p, boolean (*kc_fp)(ac_type_qualifier))
#else
(kc_p, kc_fp) ac_type_qualifier_list kc_p; boolean (*kc_fp)KC__P((ac_type_qualifier));
#endif
{ return (ac_type_qualifier_list)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_ac_type_qualifier_list ); }
void freelist_ac_type_qualifier_list
#ifdef KC_USE_PROTOTYPES
(ac_type_qualifier_list kc_p)
#else
(kc_p) ac_type_qualifier_list kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_type_qualifier_list ); }
ac_parameter_list concat_ac_parameter_list
#ifdef KC_USE_PROTOTYPES
(ac_parameter_list kc_p1, ac_parameter_list kc_p2)
#else
(kc_p1, kc_p2) ac_parameter_list kc_p1, kc_p2;
#endif
{ return (ac_parameter_list)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_parameter_list ); }
ac_parameter_list reverse_ac_parameter_list
#ifdef KC_USE_PROTOTYPES
(ac_parameter_list kc_p)
#else
(kc_p) ac_parameter_list kc_p;
#endif
{ return (ac_parameter_list)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_parameter_list ); }
int length_ac_parameter_list
#ifdef KC_USE_PROTOTYPES
(ac_parameter_list kc_p)
#else
(kc_p) ac_parameter_list kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_parameter_list ); }
ac_parameter_declaration last_ac_parameter_list
#ifdef KC_USE_PROTOTYPES
(ac_parameter_list kc_p)
#else
(kc_p) ac_parameter_list kc_p;
#endif
{ return (ac_parameter_declaration)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_parameter_list ); }
ac_parameter_list map_ac_parameter_list
#ifdef KC_USE_PROTOTYPES
(ac_parameter_list kc_p, ac_parameter_declaration (*kc_fp)(ac_parameter_declaration))
#else
(kc_p, kc_fp) ac_parameter_list kc_p; ac_parameter_declaration (*kc_fp)KC__P((ac_parameter_declaration));
#endif
{ return (ac_parameter_list)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_ac_parameter_list ); }
ac_parameter_list filter_ac_parameter_list
#ifdef KC_USE_PROTOTYPES
(ac_parameter_list kc_p, boolean (*kc_fp)(ac_parameter_declaration))
#else
(kc_p, kc_fp) ac_parameter_list kc_p; boolean (*kc_fp)KC__P((ac_parameter_declaration));
#endif
{ return (ac_parameter_list)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_ac_parameter_list ); }
void freelist_ac_parameter_list
#ifdef KC_USE_PROTOTYPES
(ac_parameter_list kc_p)
#else
(kc_p) ac_parameter_list kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_parameter_list ); }
ac_identifier_list concat_ac_identifier_list
#ifdef KC_USE_PROTOTYPES
(ac_identifier_list kc_p1, ac_identifier_list kc_p2)
#else
(kc_p1, kc_p2) ac_identifier_list kc_p1, kc_p2;
#endif
{ return (ac_identifier_list)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_ac_identifier_list ); }
ac_identifier_list reverse_ac_identifier_list
#ifdef KC_USE_PROTOTYPES
(ac_identifier_list kc_p)
#else
(kc_p) ac_identifier_list kc_p;
#endif
{ return (ac_identifier_list)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_identifier_list ); }
int length_ac_identifier_list
#ifdef KC_USE_PROTOTYPES
(ac_identifier_list kc_p)
#else
(kc_p) ac_identifier_list kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_identifier_list ); }
ID last_ac_identifier_list
#ifdef KC_USE_PROTOTYPES
(ac_identifier_list kc_p)
#else
(kc_p) ac_identifier_list kc_p;
#endif
{ return (ID)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_identifier_list ); }
ac_identifier_list map_ac_identifier_list
#ifdef KC_USE_PROTOTYPES
(ac_identifier_list kc_p, ID (*kc_fp)(ID))
#else
(kc_p, kc_fp) ac_identifier_list kc_p; ID (*kc_fp)KC__P((ID));
#endif
{ return (ac_identifier_list)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_ac_identifier_list ); }
ac_identifier_list filter_ac_identifier_list
#ifdef KC_USE_PROTOTYPES
(ac_identifier_list kc_p, boolean (*kc_fp)(ID))
#else
(kc_p, kc_fp) ac_identifier_list kc_p; boolean (*kc_fp)KC__P((ID));
#endif
{ return (ac_identifier_list)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_ac_identifier_list ); }
void freelist_ac_identifier_list
#ifdef KC_USE_PROTOTYPES
(ac_identifier_list kc_p)
#else
(kc_p) ac_identifier_list kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_ac_identifier_list ); }
addedphylumdeclarations concat_addedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(addedphylumdeclarations kc_p1, addedphylumdeclarations kc_p2)
#else
(kc_p1, kc_p2) addedphylumdeclarations kc_p1, kc_p2;
#endif
{ return (addedphylumdeclarations)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_addedphylumdeclarations ); }
addedphylumdeclarations reverse_addedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(addedphylumdeclarations kc_p)
#else
(kc_p) addedphylumdeclarations kc_p;
#endif
{ return (addedphylumdeclarations)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_addedphylumdeclarations ); }
int length_addedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(addedphylumdeclarations kc_p)
#else
(kc_p) addedphylumdeclarations kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_addedphylumdeclarations ); }
addedphylumdeclaration last_addedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(addedphylumdeclarations kc_p)
#else
(kc_p) addedphylumdeclarations kc_p;
#endif
{ return (addedphylumdeclaration)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_addedphylumdeclarations ); }
addedphylumdeclarations map_addedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(addedphylumdeclarations kc_p, addedphylumdeclaration (*kc_fp)(addedphylumdeclaration))
#else
(kc_p, kc_fp) addedphylumdeclarations kc_p; addedphylumdeclaration (*kc_fp)KC__P((addedphylumdeclaration));
#endif
{ return (addedphylumdeclarations)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_addedphylumdeclarations ); }
addedphylumdeclarations filter_addedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(addedphylumdeclarations kc_p, boolean (*kc_fp)(addedphylumdeclaration))
#else
(kc_p, kc_fp) addedphylumdeclarations kc_p; boolean (*kc_fp)KC__P((addedphylumdeclaration));
#endif
{ return (addedphylumdeclarations)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_addedphylumdeclarations ); }
void freelist_addedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(addedphylumdeclarations kc_p)
#else
(kc_p) addedphylumdeclarations kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_addedphylumdeclarations ); }
countedphylumdeclarations concat_countedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(countedphylumdeclarations kc_p1, countedphylumdeclarations kc_p2)
#else
(kc_p1, kc_p2) countedphylumdeclarations kc_p1, kc_p2;
#endif
{ return (countedphylumdeclarations)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_countedphylumdeclarations ); }
countedphylumdeclarations reverse_countedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(countedphylumdeclarations kc_p)
#else
(kc_p) countedphylumdeclarations kc_p;
#endif
{ return (countedphylumdeclarations)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_countedphylumdeclarations ); }
int length_countedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(countedphylumdeclarations kc_p)
#else
(kc_p) countedphylumdeclarations kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_countedphylumdeclarations ); }
countedphylumdeclaration last_countedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(countedphylumdeclarations kc_p)
#else
(kc_p) countedphylumdeclarations kc_p;
#endif
{ return (countedphylumdeclaration)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_countedphylumdeclarations ); }
countedphylumdeclarations map_countedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(countedphylumdeclarations kc_p, countedphylumdeclaration (*kc_fp)(countedphylumdeclaration))
#else
(kc_p, kc_fp) countedphylumdeclarations kc_p; countedphylumdeclaration (*kc_fp)KC__P((countedphylumdeclaration));
#endif
{ return (countedphylumdeclarations)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_countedphylumdeclarations ); }
countedphylumdeclarations filter_countedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(countedphylumdeclarations kc_p, boolean (*kc_fp)(countedphylumdeclaration))
#else
(kc_p, kc_fp) countedphylumdeclarations kc_p; boolean (*kc_fp)KC__P((countedphylumdeclaration));
#endif
{ return (countedphylumdeclarations)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_countedphylumdeclarations ); }
void freelist_countedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(countedphylumdeclarations kc_p)
#else
(kc_p) countedphylumdeclarations kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_countedphylumdeclarations ); }
bindingidmarks concat_bindingidmarks
#ifdef KC_USE_PROTOTYPES
(bindingidmarks kc_p1, bindingidmarks kc_p2)
#else
(kc_p1, kc_p2) bindingidmarks kc_p1, kc_p2;
#endif
{ return (bindingidmarks)kc_do_concat_phylum( (kc_voidptr_t)kc_p1, (kc_voidptr_t)kc_p2, kc_phylum_bindingidmarks ); }
bindingidmarks reverse_bindingidmarks
#ifdef KC_USE_PROTOTYPES
(bindingidmarks kc_p)
#else
(kc_p) bindingidmarks kc_p;
#endif
{ return (bindingidmarks)kc_do_reverse_phylum( (kc_voidptr_t)kc_p, kc_phylum_bindingidmarks ); }
int length_bindingidmarks
#ifdef KC_USE_PROTOTYPES
(bindingidmarks kc_p)
#else
(kc_p) bindingidmarks kc_p;
#endif
{ return kc_do_length_phylum( (kc_voidptr_t)kc_p, kc_phylum_bindingidmarks ); }
bindingidmark last_bindingidmarks
#ifdef KC_USE_PROTOTYPES
(bindingidmarks kc_p)
#else
(kc_p) bindingidmarks kc_p;
#endif
{ return (bindingidmark)kc_do_last_phylum( (kc_voidptr_t)kc_p, kc_phylum_bindingidmarks ); }
bindingidmarks map_bindingidmarks
#ifdef KC_USE_PROTOTYPES
(bindingidmarks kc_p, bindingidmark (*kc_fp)(bindingidmark))
#else
(kc_p, kc_fp) bindingidmarks kc_p; bindingidmark (*kc_fp)KC__P((bindingidmark));
#endif
{ return (bindingidmarks)kc_do_map_phylum( (kc_voidptr_t)kc_p, (kc_voidptr_t (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_bindingidmarks ); }
bindingidmarks filter_bindingidmarks
#ifdef KC_USE_PROTOTYPES
(bindingidmarks kc_p, boolean (*kc_fp)(bindingidmark))
#else
(kc_p, kc_fp) bindingidmarks kc_p; boolean (*kc_fp)KC__P((bindingidmark));
#endif
{ return (bindingidmarks)kc_do_filter_phylum( (kc_voidptr_t)kc_p, (boolean (*)KC__P((kc_voidptr_t)))kc_fp, kc_phylum_bindingidmarks ); }
void freelist_bindingidmarks
#ifdef KC_USE_PROTOTYPES
(bindingidmarks kc_p)
#else
(kc_p) bindingidmarks kc_p;
#endif
{ kc_do_freelist_phylum( (kc_voidptr_t)kc_p, kc_phylum_bindingidmarks ); }
/*ARGSUSED*/ kc_voidptr_t kc_do_copy_phylum
#ifdef KC_USE_PROTOTYPES
(kc_voidptr_t kc_p, boolean kc_copy_attributes, kc_enum_phyla kc_phylum)
#else
(kc_p, kc_copy_attributes, kc_phylum) kc_voidptr_t kc_p; boolean kc_copy_attributes; kc_enum_phyla kc_phylum;
#endif
{	kc_voidptr_t kc_subtmp[7];
	kc_voidptr_t kc_answer = 0;
	int kc_i;
	kc_enum_operators kc_prodsel;
	KC_OPERATOR_INFO *kc_op_info;
	int kc_st;
	kc_hashtable_t kc_a_ht;
	/* SHOULD be done using bigatoms? */
	/*SUPPRESS 622*/
	assertReason(kc_phylum != kc_phylum_int, "kc_do_copy_phylum called with kc_phylum_int argument");
	/*SUPPRESS 622*/
	assertReason(kc_phylum != kc_phylum_float, "kc_do_copy_phylum called with kc_phylum_float argument");
	/*SUPPRESS 622*/
	assertPhylum(((casestring)kc_p),"kc_p",kc_phylum);
	if ((kc_phylum == kc_phylum_voidptr)) {
		return kc_p;
	}
	kc_prodsel = ((casestring)kc_p)->prod_sel;
	kc_op_info = &kc_OperatorInfo[(int)kc_prodsel];
	kc_st = (int)kc_op_info->uniq_stored;
	kc_a_ht = kc_hashtables[kc_st];
	if (kc_st
	   && (/* kc_storageclass_still_uniq[kc_st]
	       || */ ((kc_a_ht->in_block != 0)
		  && (*kc_a_ht->in_block)((kc_voidptr_t)kc_p, kc_a_ht->malloc_private_data)))) {
		return kc_p;
	} else if (kc_phylum == kc_phylum_casestring) {
		return (kc_voidptr_t)mkcasestring(((casestring)kc_p)->name);
	} else if (kc_phylum == kc_phylum_nocasestring) {
		return (kc_voidptr_t)mknocasestring(((nocasestring)kc_p)->name);
	}
	switch(kc_prodsel) {
	case (int)sel_Int: {
		int kc_sub_int_1;
		kc_sub_int_1 = copy_int(((INT)kc_p)->u.Int.int_1, kc_copy_attributes);
		kc_answer = (kc_voidptr_t) Int( kc_sub_int_1);
	break; }
	case (int)sel_Argument: {
		int kc_sub_int_1;
		kc_subtmp[0] = kc_do_copy_phylum((kc_voidptr_t)((argument)kc_p)->u.Argument.ID_1, kc_copy_attributes, kc_phylum_ID);
		kc_sub_int_1 = copy_int(((argument)kc_p)->u.Argument.int_1, kc_copy_attributes);
		kc_answer = (kc_voidptr_t) Argument( (ID)kc_subtmp[0], kc_sub_int_1);
	break; }
	case (int)sel_CExpressionNl: {
		int kc_sub_int_1;
		kc_sub_int_1 = copy_int(((Cexpression_elem)kc_p)->u.CExpressionNl.int_1, kc_copy_attributes);
		kc_answer = (kc_voidptr_t) CExpressionNl( kc_sub_int_1);
	break; }
	case (int)sel_CExpressionDQNl: {
		int kc_sub_int_1;
		kc_sub_int_1 = copy_int(((CexpressionDQ_elem)kc_p)->u.CExpressionDQNl.int_1, kc_copy_attributes);
		kc_answer = (kc_voidptr_t) CExpressionDQNl( kc_sub_int_1);
	break; }
	case (int)sel_CExpressionSQNl: {
		int kc_sub_int_1;
		kc_sub_int_1 = copy_int(((CexpressionSQ_elem)kc_p)->u.CExpressionSQNl.int_1, kc_copy_attributes);
		kc_answer = (kc_voidptr_t) CExpressionSQNl( kc_sub_int_1);
	break; }
	case (int)sel_IncludeNl: {
		int kc_sub_int_1;
		kc_sub_int_1 = copy_int(((include)kc_p)->u.IncludeNl.int_1, kc_copy_attributes);
		kc_answer = (kc_voidptr_t) IncludeNl( kc_sub_int_1);
	break; }
	case (int)sel_FnDeclaration: {
		int kc_sub_int_1;
		kc_subtmp[0] = kc_do_copy_phylum((kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.ID_1, kc_copy_attributes, kc_phylum_ID);
		kc_sub_int_1 = copy_int(((fndeclaration)kc_p)->u.FnDeclaration.int_1, kc_copy_attributes);
		kc_subtmp[2] = kc_do_copy_phylum((kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.ID_2, kc_copy_attributes, kc_phylum_ID);
		kc_subtmp[3] = kc_do_copy_phylum((kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.fnarguments_1, kc_copy_attributes, kc_phylum_fnarguments);
		kc_subtmp[4] = kc_do_copy_phylum((kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.Cvariabledeclarations_1, kc_copy_attributes, kc_phylum_Cvariabledeclarations);
		kc_subtmp[5] = kc_do_copy_phylum((kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.Ctext_1, kc_copy_attributes, kc_phylum_Ctext);
		kc_subtmp[6] = kc_do_copy_phylum((kc_voidptr_t)((fndeclaration)kc_p)->u.FnDeclaration.fnclass_1, kc_copy_attributes, kc_phylum_fnclass);
		kc_answer = (kc_voidptr_t) FnDeclaration( (ID)kc_subtmp[0], kc_sub_int_1, (ID)kc_subtmp[2], (fnarguments)kc_subtmp[3], (Cvariabledeclarations)kc_subtmp[4], (Ctext)kc_subtmp[5], (fnclass)kc_subtmp[6]);
	break; }
	case (int)sel_CVPointer: {
		int kc_sub_int_1;
		kc_sub_int_1 = copy_int(((Cvariable)kc_p)->u.CVPointer.int_1, kc_copy_attributes);
		kc_subtmp[1] = kc_do_copy_phylum((kc_voidptr_t)((Cvariable)kc_p)->u.CVPointer.ID_1, kc_copy_attributes, kc_phylum_ID);
		kc_answer = (kc_voidptr_t) CVPointer( kc_sub_int_1, (ID)kc_subtmp[1]);
	break; }
	case (int)sel_CVFunction: {
		int kc_sub_int_1;
		int kc_sub_int_2;
		kc_sub_int_1 = copy_int(((Cvariable)kc_p)->u.CVFunction.int_1, kc_copy_attributes);
		kc_sub_int_2 = copy_int(((Cvariable)kc_p)->u.CVFunction.int_2, kc_copy_attributes);
		kc_subtmp[2] = kc_do_copy_phylum((kc_voidptr_t)((Cvariable)kc_p)->u.CVFunction.ID_1, kc_copy_attributes, kc_phylum_ID);
		kc_answer = (kc_voidptr_t) CVFunction( kc_sub_int_1, kc_sub_int_2, (ID)kc_subtmp[2]);
	break; }
	case (int)sel_CTextNl: {
		int kc_sub_int_1;
		kc_sub_int_1 = copy_int(((Ctext_elem)kc_p)->u.CTextNl.int_1, kc_copy_attributes);
		kc_answer = (kc_voidptr_t) CTextNl( kc_sub_int_1);
	break; }
	case (int)sel_FileLine: {
		int kc_sub_int_1;
		kc_subtmp[0] = kc_do_copy_phylum((kc_voidptr_t)((fileline)kc_p)->u.FileLine.casestring_1, kc_copy_attributes, kc_phylum_casestring);
		kc_sub_int_1 = copy_int(((fileline)kc_p)->u.FileLine.int_1, kc_copy_attributes);
		kc_answer = (kc_voidptr_t) FileLine( (casestring)kc_subtmp[0], kc_sub_int_1);
	break; }
	case (int)sel_Consnooperatorsstack: {
		int kc_sub_int_1;
		kc_sub_int_1 = copy_int(((nooperatorsstack)kc_p)->u.Consnooperatorsstack.int_1, kc_copy_attributes);
		kc_subtmp[1] = kc_do_copy_phylum((kc_voidptr_t)((nooperatorsstack)kc_p)->u.Consnooperatorsstack.nooperatorsstack_1, kc_copy_attributes, kc_phylum_nooperatorsstack);
		kc_answer = (kc_voidptr_t) Consnooperatorsstack( kc_sub_int_1, (nooperatorsstack)kc_subtmp[1]);
	break; }
	case (int)sel_ScopeTypeFileLine: {
		int kc_sub_int_1;
		int kc_sub_int_2;
		kc_sub_int_1 = copy_int(((scopetypefileline)kc_p)->u.ScopeTypeFileLine.int_1, kc_copy_attributes);
		kc_subtmp[1] = kc_do_copy_phylum((kc_voidptr_t)((scopetypefileline)kc_p)->u.ScopeTypeFileLine.IDtype_1, kc_copy_attributes, kc_phylum_IDtype);
		kc_subtmp[2] = kc_do_copy_phylum((kc_voidptr_t)((scopetypefileline)kc_p)->u.ScopeTypeFileLine.casestring_1, kc_copy_attributes, kc_phylum_casestring);
		kc_sub_int_2 = copy_int(((scopetypefileline)kc_p)->u.ScopeTypeFileLine.int_2, kc_copy_attributes);
		kc_answer = (kc_voidptr_t) ScopeTypeFileLine( kc_sub_int_1, (IDtype)kc_subtmp[1], (casestring)kc_subtmp[2], kc_sub_int_2);
	break; }
	case (int)sel_ITPatternVariable: {
		int kc_sub_int_1;
		kc_subtmp[0] = kc_do_copy_phylum((kc_voidptr_t)((IDtype)kc_p)->u.ITPatternVariable.ID_1, kc_copy_attributes, kc_phylum_ID);
		kc_sub_int_1 = copy_int(((IDtype)kc_p)->u.ITPatternVariable.int_1, kc_copy_attributes);
		kc_answer = (kc_voidptr_t) ITPatternVariable( (ID)kc_subtmp[0], kc_sub_int_1);
	break; }
	case (int)sel_Consintstack: {
		int kc_sub_int_1;
		kc_sub_int_1 = copy_int(((intstack)kc_p)->u.Consintstack.int_1, kc_copy_attributes);
		kc_subtmp[1] = kc_do_copy_phylum((kc_voidptr_t)((intstack)kc_p)->u.Consintstack.intstack_1, kc_copy_attributes, kc_phylum_intstack);
		kc_answer = (kc_voidptr_t) Consintstack( kc_sub_int_1, (intstack)kc_subtmp[1]);
	break; }
	case (int)sel_Conspath: {
		int kc_sub_int_1;
		kc_sub_int_1 = copy_int(((path)kc_p)->u.Conspath.int_1, kc_copy_attributes);
		kc_subtmp[1] = kc_do_copy_phylum((kc_voidptr_t)((path)kc_p)->u.Conspath.path_1, kc_copy_attributes, kc_phylum_path);
		kc_answer = (kc_voidptr_t) Conspath( kc_sub_int_1, (path)kc_subtmp[1]);
	break; }
	case (int)sel_Consargsnumbers: {
		int kc_sub_int_1;
		kc_sub_int_1 = copy_int(((argsnumbers)kc_p)->u.Consargsnumbers.int_1, kc_copy_attributes);
		kc_subtmp[1] = kc_do_copy_phylum((kc_voidptr_t)((argsnumbers)kc_p)->u.Consargsnumbers.argsnumbers_1, kc_copy_attributes, kc_phylum_argsnumbers);
		kc_answer = (kc_voidptr_t) Consargsnumbers( kc_sub_int_1, (argsnumbers)kc_subtmp[1]);
	break; }
	case (int)sel_Problem1int1: {
		int kc_sub_int_1;
		kc_subtmp[0] = kc_do_copy_phylum((kc_voidptr_t)((problem)kc_p)->u.Problem1int1.casestring_1, kc_copy_attributes, kc_phylum_casestring);
		kc_sub_int_1 = copy_int(((problem)kc_p)->u.Problem1int1.int_1, kc_copy_attributes);
		kc_subtmp[2] = kc_do_copy_phylum((kc_voidptr_t)((problem)kc_p)->u.Problem1int1.casestring_2, kc_copy_attributes, kc_phylum_casestring);
		kc_answer = (kc_voidptr_t) Problem1int1( (casestring)kc_subtmp[0], kc_sub_int_1, (casestring)kc_subtmp[2]);
	break; }
	case (int)sel_Problem3int1: {
		int kc_sub_int_1;
		kc_subtmp[0] = kc_do_copy_phylum((kc_voidptr_t)((problem)kc_p)->u.Problem3int1.casestring_1, kc_copy_attributes, kc_phylum_casestring);
		kc_subtmp[1] = kc_do_copy_phylum((kc_voidptr_t)((problem)kc_p)->u.Problem3int1.casestring_2, kc_copy_attributes, kc_phylum_casestring);
		kc_subtmp[2] = kc_do_copy_phylum((kc_voidptr_t)((problem)kc_p)->u.Problem3int1.casestring_3, kc_copy_attributes, kc_phylum_casestring);
		kc_sub_int_1 = copy_int(((problem)kc_p)->u.Problem3int1.int_1, kc_copy_attributes);
		kc_subtmp[4] = kc_do_copy_phylum((kc_voidptr_t)((problem)kc_p)->u.Problem3int1.casestring_4, kc_copy_attributes, kc_phylum_casestring);
		kc_answer = (kc_voidptr_t) Problem3int1( (casestring)kc_subtmp[0], (casestring)kc_subtmp[1], (casestring)kc_subtmp[2], kc_sub_int_1, (casestring)kc_subtmp[4]);
	break; }
	default:
	for (kc_i = 0; kc_i < kc_op_info->no_sons; kc_i++) {
		kc_subtmp[kc_i] = kc_do_copy_phylum((kc_voidptr_t)KC_SUBPHYLUM(kc_p, kc_op_info->suboffset[kc_i]), kc_copy_attributes, kc_op_info->subphylum[kc_i] );
	}
	switch(kc_op_info->no_sons) {
	case 0: kc_answer = (kc_voidptr_t) (*kc_op_info->create_routine)( kc_prodsel); break;
	case 1: kc_answer = (kc_voidptr_t) (*kc_op_info->create_routine)( kc_prodsel, kc_subtmp[0] ); break;
	case 2: kc_answer = (kc_voidptr_t) (*kc_op_info->create_routine)( kc_prodsel, kc_subtmp[0], kc_subtmp[1] ); break;
	case 3: kc_answer = (kc_voidptr_t) (*kc_op_info->create_routine)( kc_prodsel, kc_subtmp[0], kc_subtmp[1], kc_subtmp[2] ); break;
	case 4: kc_answer = (kc_voidptr_t) (*kc_op_info->create_routine)( kc_prodsel, kc_subtmp[0], kc_subtmp[1], kc_subtmp[2], kc_subtmp[3] ); break;
	case 5: kc_answer = (kc_voidptr_t) (*kc_op_info->create_routine)( kc_prodsel, kc_subtmp[0], kc_subtmp[1], kc_subtmp[2], kc_subtmp[3], kc_subtmp[4] ); break;
	case 6: kc_answer = (kc_voidptr_t) (*kc_op_info->create_routine)( kc_prodsel, kc_subtmp[0], kc_subtmp[1], kc_subtmp[2], kc_subtmp[3], kc_subtmp[4], kc_subtmp[5] ); break;
	case 7: kc_answer = (kc_voidptr_t) (*kc_op_info->create_routine)( kc_prodsel, kc_subtmp[0], kc_subtmp[1], kc_subtmp[2], kc_subtmp[3], kc_subtmp[4], kc_subtmp[5], kc_subtmp[6] ); break;
	default:
		/*SUPPRESS 622*/
		assertReason(kc_zero_constant, "unexpected number of sub-phyla");/*NOTREACHED*/
	}
	break;
	}
	if (kc_copy_attributes && (kc_PhylumInfo[(int)kc_phylum].copy_attributes != 0)) {
		(*kc_PhylumInfo[(int)kc_phylum].copy_attributes)(kc_p, kc_answer);
	}
	return kc_answer;
}

/*ARGSUSED*/
nocasestring copy_nocasestring
#ifdef KC_USE_PROTOTYPES
(nocasestring kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) nocasestring kc_p; boolean kc_copy_attributes;
#endif
{	return (nocasestring)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_nocasestring); }
/*ARGSUSED*/
casestring copy_casestring
#ifdef KC_USE_PROTOTYPES
(casestring kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) casestring kc_p; boolean kc_copy_attributes;
#endif
{	return (casestring)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_casestring); }
/*ARGSUSED*/
float copy_float
#ifdef KC_USE_PROTOTYPES
(float kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) float kc_p; boolean kc_copy_attributes;
#endif
{	return kc_p; }
/*ARGSUSED*/
int copy_int
#ifdef KC_USE_PROTOTYPES
(int kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) int kc_p; boolean kc_copy_attributes;
#endif
{	return kc_p; }
/*ARGSUSED*/
voidptr copy_voidptr
#ifdef KC_USE_PROTOTYPES
(voidptr kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) voidptr kc_p; boolean kc_copy_attributes;
#endif
{	return (voidptr)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_voidptr); }
uniqID copy_uniqID
#ifdef KC_USE_PROTOTYPES
(uniqID kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) uniqID kc_p; boolean kc_copy_attributes;
#endif
{	return (uniqID)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_uniqID); }
ID copy_ID
#ifdef KC_USE_PROTOTYPES
(ID kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ID kc_p; boolean kc_copy_attributes;
#endif
{	return (ID)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ID); }
INT copy_INT
#ifdef KC_USE_PROTOTYPES
(INT kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) INT kc_p; boolean kc_copy_attributes;
#endif
{	return (INT)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_INT); }
STRING copy_STRING
#ifdef KC_USE_PROTOTYPES
(STRING kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) STRING kc_p; boolean kc_copy_attributes;
#endif
{	return (STRING)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_STRING); }
phylumdeclarationsroot copy_phylumdeclarationsroot
#ifdef KC_USE_PROTOTYPES
(phylumdeclarationsroot kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) phylumdeclarationsroot kc_p; boolean kc_copy_attributes;
#endif
{	return (phylumdeclarationsroot)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_phylumdeclarationsroot); }
phylumdeclarations copy_phylumdeclarations
#ifdef KC_USE_PROTOTYPES
(phylumdeclarations kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) phylumdeclarations kc_p; boolean kc_copy_attributes;
#endif
{	return (phylumdeclarations)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_phylumdeclarations); }
phylumnames copy_phylumnames
#ifdef KC_USE_PROTOTYPES
(phylumnames kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) phylumnames kc_p; boolean kc_copy_attributes;
#endif
{	return (phylumnames)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_phylumnames); }
phylumdeclaration copy_phylumdeclaration
#ifdef KC_USE_PROTOTYPES
(phylumdeclaration kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) phylumdeclaration kc_p; boolean kc_copy_attributes;
#endif
{	return (phylumdeclaration)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_phylumdeclaration); }
storageoption copy_storageoption
#ifdef KC_USE_PROTOTYPES
(storageoption kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) storageoption kc_p; boolean kc_copy_attributes;
#endif
{	return (storageoption)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_storageoption); }
storageclasses copy_storageclasses
#ifdef KC_USE_PROTOTYPES
(storageclasses kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) storageclasses kc_p; boolean kc_copy_attributes;
#endif
{	return (storageclasses)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_storageclasses); }
productionblock copy_productionblock
#ifdef KC_USE_PROTOTYPES
(productionblock kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) productionblock kc_p; boolean kc_copy_attributes;
#endif
{	return (productionblock)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_productionblock); }
alternatives copy_alternatives
#ifdef KC_USE_PROTOTYPES
(alternatives kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) alternatives kc_p; boolean kc_copy_attributes;
#endif
{	return (alternatives)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_alternatives); }
alternative copy_alternative
#ifdef KC_USE_PROTOTYPES
(alternative kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) alternative kc_p; boolean kc_copy_attributes;
#endif
{	return (alternative)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_alternative); }
arguments copy_arguments
#ifdef KC_USE_PROTOTYPES
(arguments kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) arguments kc_p; boolean kc_copy_attributes;
#endif
{	return (arguments)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_arguments); }
argument copy_argument
#ifdef KC_USE_PROTOTYPES
(argument kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) argument kc_p; boolean kc_copy_attributes;
#endif
{	return (argument)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_argument); }
Ccode_option copy_Ccode_option
#ifdef KC_USE_PROTOTYPES
(Ccode_option kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) Ccode_option kc_p; boolean kc_copy_attributes;
#endif
{	return (Ccode_option)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_Ccode_option); }
attributes copy_attributes
#ifdef KC_USE_PROTOTYPES
(attributes kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) attributes kc_p; boolean kc_copy_attributes;
#endif
{	return (attributes)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_attributes); }
attribute copy_attribute
#ifdef KC_USE_PROTOTYPES
(attribute kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) attribute kc_p; boolean kc_copy_attributes;
#endif
{	return (attribute)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_attribute); }
attribute_initialisation_option copy_attribute_initialisation_option
#ifdef KC_USE_PROTOTYPES
(attribute_initialisation_option kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) attribute_initialisation_option kc_p; boolean kc_copy_attributes;
#endif
{	return (attribute_initialisation_option)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_attribute_initialisation_option); }
Cexpression copy_Cexpression
#ifdef KC_USE_PROTOTYPES
(Cexpression kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) Cexpression kc_p; boolean kc_copy_attributes;
#endif
{	return (Cexpression)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_Cexpression); }
Cexpression_elem copy_Cexpression_elem
#ifdef KC_USE_PROTOTYPES
(Cexpression_elem kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) Cexpression_elem kc_p; boolean kc_copy_attributes;
#endif
{	return (Cexpression_elem)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_Cexpression_elem); }
CexpressionDQ copy_CexpressionDQ
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) CexpressionDQ kc_p; boolean kc_copy_attributes;
#endif
{	return (CexpressionDQ)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_CexpressionDQ); }
CexpressionDQ_elem copy_CexpressionDQ_elem
#ifdef KC_USE_PROTOTYPES
(CexpressionDQ_elem kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) CexpressionDQ_elem kc_p; boolean kc_copy_attributes;
#endif
{	return (CexpressionDQ_elem)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_CexpressionDQ_elem); }
CexpressionSQ copy_CexpressionSQ
#ifdef KC_USE_PROTOTYPES
(CexpressionSQ kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) CexpressionSQ kc_p; boolean kc_copy_attributes;
#endif
{	return (CexpressionSQ)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_CexpressionSQ); }
CexpressionSQ_elem copy_CexpressionSQ_elem
#ifdef KC_USE_PROTOTYPES
(CexpressionSQ_elem kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) CexpressionSQ_elem kc_p; boolean kc_copy_attributes;
#endif
{	return (CexpressionSQ_elem)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_CexpressionSQ_elem); }
idCexpressions copy_idCexpressions
#ifdef KC_USE_PROTOTYPES
(idCexpressions kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) idCexpressions kc_p; boolean kc_copy_attributes;
#endif
{	return (idCexpressions)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_idCexpressions); }
idCexpression copy_idCexpression
#ifdef KC_USE_PROTOTYPES
(idCexpression kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) idCexpression kc_p; boolean kc_copy_attributes;
#endif
{	return (idCexpression)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_idCexpression); }
Ctexts copy_Ctexts
#ifdef KC_USE_PROTOTYPES
(Ctexts kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) Ctexts kc_p; boolean kc_copy_attributes;
#endif
{	return (Ctexts)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_Ctexts); }
includefiles copy_includefiles
#ifdef KC_USE_PROTOTYPES
(includefiles kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) includefiles kc_p; boolean kc_copy_attributes;
#endif
{	return (includefiles)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_includefiles); }
includefile copy_includefile
#ifdef KC_USE_PROTOTYPES
(includefile kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) includefile kc_p; boolean kc_copy_attributes;
#endif
{	return (includefile)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_includefile); }
includedeclarations copy_includedeclarations
#ifdef KC_USE_PROTOTYPES
(includedeclarations kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) includedeclarations kc_p; boolean kc_copy_attributes;
#endif
{	return (includedeclarations)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_includedeclarations); }
includedeclaration copy_includedeclaration
#ifdef KC_USE_PROTOTYPES
(includedeclaration kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) includedeclaration kc_p; boolean kc_copy_attributes;
#endif
{	return (includedeclaration)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_includedeclaration); }
includes copy_includes
#ifdef KC_USE_PROTOTYPES
(includes kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) includes kc_p; boolean kc_copy_attributes;
#endif
{	return (includes)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_includes); }
include copy_include
#ifdef KC_USE_PROTOTYPES
(include kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) include kc_p; boolean kc_copy_attributes;
#endif
{	return (include)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_include); }
rwdeclarations copy_rwdeclarations
#ifdef KC_USE_PROTOTYPES
(rwdeclarations kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) rwdeclarations kc_p; boolean kc_copy_attributes;
#endif
{	return (rwdeclarations)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_rwdeclarations); }
rwdeclaration copy_rwdeclaration
#ifdef KC_USE_PROTOTYPES
(rwdeclaration kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) rwdeclaration kc_p; boolean kc_copy_attributes;
#endif
{	return (rwdeclaration)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_rwdeclaration); }
rewriteclauses copy_rewriteclauses
#ifdef KC_USE_PROTOTYPES
(rewriteclauses kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) rewriteclauses kc_p; boolean kc_copy_attributes;
#endif
{	return (rewriteclauses)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_rewriteclauses); }
rewriteclause copy_rewriteclause
#ifdef KC_USE_PROTOTYPES
(rewriteclause kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) rewriteclause kc_p; boolean kc_copy_attributes;
#endif
{	return (rewriteclause)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_rewriteclause); }
patternchains copy_patternchains
#ifdef KC_USE_PROTOTYPES
(patternchains kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) patternchains kc_p; boolean kc_copy_attributes;
#endif
{	return (patternchains)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_patternchains); }
patternchain copy_patternchain
#ifdef KC_USE_PROTOTYPES
(patternchain kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) patternchain kc_p; boolean kc_copy_attributes;
#endif
{	return (patternchain)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_patternchain); }
outmostpatterns copy_outmostpatterns
#ifdef KC_USE_PROTOTYPES
(outmostpatterns kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) outmostpatterns kc_p; boolean kc_copy_attributes;
#endif
{	return (outmostpatterns)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_outmostpatterns); }
patternchainitem copy_patternchainitem
#ifdef KC_USE_PROTOTYPES
(patternchainitem kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) patternchainitem kc_p; boolean kc_copy_attributes;
#endif
{	return (patternchainitem)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_patternchainitem); }
outmostpattern copy_outmostpattern
#ifdef KC_USE_PROTOTYPES
(outmostpattern kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) outmostpattern kc_p; boolean kc_copy_attributes;
#endif
{	return (outmostpattern)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_outmostpattern); }
pattern copy_pattern
#ifdef KC_USE_PROTOTYPES
(pattern kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) pattern kc_p; boolean kc_copy_attributes;
#endif
{	return (pattern)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_pattern); }
patterns copy_patterns
#ifdef KC_USE_PROTOTYPES
(patterns kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) patterns kc_p; boolean kc_copy_attributes;
#endif
{	return (patterns)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_patterns); }
term copy_term
#ifdef KC_USE_PROTOTYPES
(term kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) term kc_p; boolean kc_copy_attributes;
#endif
{	return (term)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_term); }
terms copy_terms
#ifdef KC_USE_PROTOTYPES
(terms kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) terms kc_p; boolean kc_copy_attributes;
#endif
{	return (terms)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_terms); }
fnfiles copy_fnfiles
#ifdef KC_USE_PROTOTYPES
(fnfiles kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) fnfiles kc_p; boolean kc_copy_attributes;
#endif
{	return (fnfiles)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_fnfiles); }
fnfile copy_fnfile
#ifdef KC_USE_PROTOTYPES
(fnfile kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) fnfile kc_p; boolean kc_copy_attributes;
#endif
{	return (fnfile)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_fnfile); }
fndeclarations copy_fndeclarations
#ifdef KC_USE_PROTOTYPES
(fndeclarations kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) fndeclarations kc_p; boolean kc_copy_attributes;
#endif
{	return (fndeclarations)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_fndeclarations); }
fndeclaration copy_fndeclaration
#ifdef KC_USE_PROTOTYPES
(fndeclaration kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) fndeclaration kc_p; boolean kc_copy_attributes;
#endif
{	return (fndeclaration)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_fndeclaration); }
fnclass copy_fnclass
#ifdef KC_USE_PROTOTYPES
(fnclass kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) fnclass kc_p; boolean kc_copy_attributes;
#endif
{	return (fnclass)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_fnclass); }
fnarguments copy_fnarguments
#ifdef KC_USE_PROTOTYPES
(fnarguments kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) fnarguments kc_p; boolean kc_copy_attributes;
#endif
{	return (fnarguments)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_fnarguments); }
Cvariabledeclarations copy_Cvariabledeclarations
#ifdef KC_USE_PROTOTYPES
(Cvariabledeclarations kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) Cvariabledeclarations kc_p; boolean kc_copy_attributes;
#endif
{	return (Cvariabledeclarations)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_Cvariabledeclarations); }
Cvariabledeclaration copy_Cvariabledeclaration
#ifdef KC_USE_PROTOTYPES
(Cvariabledeclaration kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) Cvariabledeclaration kc_p; boolean kc_copy_attributes;
#endif
{	return (Cvariabledeclaration)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_Cvariabledeclaration); }
Cvariables copy_Cvariables
#ifdef KC_USE_PROTOTYPES
(Cvariables kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) Cvariables kc_p; boolean kc_copy_attributes;
#endif
{	return (Cvariables)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_Cvariables); }
Cvariable copy_Cvariable
#ifdef KC_USE_PROTOTYPES
(Cvariable kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) Cvariable kc_p; boolean kc_copy_attributes;
#endif
{	return (Cvariable)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_Cvariable); }
Ctext copy_Ctext
#ifdef KC_USE_PROTOTYPES
(Ctext kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) Ctext kc_p; boolean kc_copy_attributes;
#endif
{	return (Ctext)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_Ctext); }
Ctext_elem copy_Ctext_elem
#ifdef KC_USE_PROTOTYPES
(Ctext_elem kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) Ctext_elem kc_p; boolean kc_copy_attributes;
#endif
{	return (Ctext_elem)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_Ctext_elem); }
foreach_after copy_foreach_after
#ifdef KC_USE_PROTOTYPES
(foreach_after kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) foreach_after kc_p; boolean kc_copy_attributes;
#endif
{	return (foreach_after)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_foreach_after); }
contextinfo copy_contextinfo
#ifdef KC_USE_PROTOTYPES
(contextinfo kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) contextinfo kc_p; boolean kc_copy_attributes;
#endif
{	return (contextinfo)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_contextinfo); }
withexpressions copy_withexpressions
#ifdef KC_USE_PROTOTYPES
(withexpressions kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) withexpressions kc_p; boolean kc_copy_attributes;
#endif
{	return (withexpressions)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_withexpressions); }
withexpression copy_withexpression
#ifdef KC_USE_PROTOTYPES
(withexpression kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) withexpression kc_p; boolean kc_copy_attributes;
#endif
{	return (withexpression)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_withexpression); }
withcases copy_withcases
#ifdef KC_USE_PROTOTYPES
(withcases kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) withcases kc_p; boolean kc_copy_attributes;
#endif
{	return (withcases)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_withcases); }
withcase copy_withcase
#ifdef KC_USE_PROTOTYPES
(withcase kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) withcase kc_p; boolean kc_copy_attributes;
#endif
{	return (withcase)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_withcase); }
unparsedeclarations copy_unparsedeclarations
#ifdef KC_USE_PROTOTYPES
(unparsedeclarations kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) unparsedeclarations kc_p; boolean kc_copy_attributes;
#endif
{	return (unparsedeclarations)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_unparsedeclarations); }
unparsedeclaration copy_unparsedeclaration
#ifdef KC_USE_PROTOTYPES
(unparsedeclaration kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) unparsedeclaration kc_p; boolean kc_copy_attributes;
#endif
{	return (unparsedeclaration)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_unparsedeclaration); }
unparseclauses copy_unparseclauses
#ifdef KC_USE_PROTOTYPES
(unparseclauses kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) unparseclauses kc_p; boolean kc_copy_attributes;
#endif
{	return (unparseclauses)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_unparseclauses); }
unparseclause copy_unparseclause
#ifdef KC_USE_PROTOTYPES
(unparseclause kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) unparseclause kc_p; boolean kc_copy_attributes;
#endif
{	return (unparseclause)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_unparseclause); }
viewnames copy_viewnames
#ifdef KC_USE_PROTOTYPES
(viewnames kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) viewnames kc_p; boolean kc_copy_attributes;
#endif
{	return (viewnames)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_viewnames); }
unparseitems copy_unparseitems
#ifdef KC_USE_PROTOTYPES
(unparseitems kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) unparseitems kc_p; boolean kc_copy_attributes;
#endif
{	return (unparseitems)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_unparseitems); }
unparseitem copy_unparseitem
#ifdef KC_USE_PROTOTYPES
(unparseitem kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) unparseitem kc_p; boolean kc_copy_attributes;
#endif
{	return (unparseitem)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_unparseitem); }
unpsubterm copy_unpsubterm
#ifdef KC_USE_PROTOTYPES
(unpsubterm kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) unpsubterm kc_p; boolean kc_copy_attributes;
#endif
{	return (unpsubterm)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_unpsubterm); }
unpattributes copy_unpattributes
#ifdef KC_USE_PROTOTYPES
(unpattributes kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) unpattributes kc_p; boolean kc_copy_attributes;
#endif
{	return (unpattributes)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_unpattributes); }
viewnameoption copy_viewnameoption
#ifdef KC_USE_PROTOTYPES
(viewnameoption kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) viewnameoption kc_p; boolean kc_copy_attributes;
#endif
{	return (viewnameoption)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_viewnameoption); }
filelinestack copy_filelinestack
#ifdef KC_USE_PROTOTYPES
(filelinestack kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) filelinestack kc_p; boolean kc_copy_attributes;
#endif
{	return (filelinestack)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_filelinestack); }
fileline copy_fileline
#ifdef KC_USE_PROTOTYPES
(fileline kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) fileline kc_p; boolean kc_copy_attributes;
#endif
{	return (fileline)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_fileline); }
nooperatorsstack copy_nooperatorsstack
#ifdef KC_USE_PROTOTYPES
(nooperatorsstack kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) nooperatorsstack kc_p; boolean kc_copy_attributes;
#endif
{	return (nooperatorsstack)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_nooperatorsstack); }
scopetypefilelinestack copy_scopetypefilelinestack
#ifdef KC_USE_PROTOTYPES
(scopetypefilelinestack kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) scopetypefilelinestack kc_p; boolean kc_copy_attributes;
#endif
{	return (scopetypefilelinestack)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_scopetypefilelinestack); }
scopetypefileline copy_scopetypefileline
#ifdef KC_USE_PROTOTYPES
(scopetypefileline kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) scopetypefileline kc_p; boolean kc_copy_attributes;
#endif
{	return (scopetypefileline)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_scopetypefileline); }
IDtype copy_IDtype
#ifdef KC_USE_PROTOTYPES
(IDtype kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) IDtype kc_p; boolean kc_copy_attributes;
#endif
{	return (IDtype)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_IDtype); }
operatorsstack copy_operatorsstack
#ifdef KC_USE_PROTOTYPES
(operatorsstack kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) operatorsstack kc_p; boolean kc_copy_attributes;
#endif
{	return (operatorsstack)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_operatorsstack); }
operators copy_operators
#ifdef KC_USE_PROTOTYPES
(operators kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) operators kc_p; boolean kc_copy_attributes;
#endif
{	return (operators)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_operators); }
phyla copy_phyla
#ifdef KC_USE_PROTOTYPES
(phyla kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) phyla kc_p; boolean kc_copy_attributes;
#endif
{	return (phyla)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_phyla); }
variables copy_variables
#ifdef KC_USE_PROTOTYPES
(variables kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) variables kc_p; boolean kc_copy_attributes;
#endif
{	return (variables)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_variables); }
argumentsstack copy_argumentsstack
#ifdef KC_USE_PROTOTYPES
(argumentsstack kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) argumentsstack kc_p; boolean kc_copy_attributes;
#endif
{	return (argumentsstack)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_argumentsstack); }
phylumstack copy_phylumstack
#ifdef KC_USE_PROTOTYPES
(phylumstack kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) phylumstack kc_p; boolean kc_copy_attributes;
#endif
{	return (phylumstack)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_phylumstack); }
phylumnamesstack copy_phylumnamesstack
#ifdef KC_USE_PROTOTYPES
(phylumnamesstack kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) phylumnamesstack kc_p; boolean kc_copy_attributes;
#endif
{	return (phylumnamesstack)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_phylumnamesstack); }
withexpressionsstack copy_withexpressionsstack
#ifdef KC_USE_PROTOTYPES
(withexpressionsstack kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) withexpressionsstack kc_p; boolean kc_copy_attributes;
#endif
{	return (withexpressionsstack)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_withexpressionsstack); }
operatorstack copy_operatorstack
#ifdef KC_USE_PROTOTYPES
(operatorstack kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) operatorstack kc_p; boolean kc_copy_attributes;
#endif
{	return (operatorstack)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_operatorstack); }
variablesstack copy_variablesstack
#ifdef KC_USE_PROTOTYPES
(variablesstack kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) variablesstack kc_p; boolean kc_copy_attributes;
#endif
{	return (variablesstack)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_variablesstack); }
selvarstack copy_selvarstack
#ifdef KC_USE_PROTOTYPES
(selvarstack kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) selvarstack kc_p; boolean kc_copy_attributes;
#endif
{	return (selvarstack)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_selvarstack); }
dollarvarstatus copy_dollarvarstatus
#ifdef KC_USE_PROTOTYPES
(dollarvarstatus kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) dollarvarstatus kc_p; boolean kc_copy_attributes;
#endif
{	return (dollarvarstatus)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_dollarvarstatus); }
dollarvarsallowedstack copy_dollarvarsallowedstack
#ifdef KC_USE_PROTOTYPES
(dollarvarsallowedstack kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) dollarvarsallowedstack kc_p; boolean kc_copy_attributes;
#endif
{	return (dollarvarsallowedstack)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_dollarvarsallowedstack); }
intstack copy_intstack
#ifdef KC_USE_PROTOTYPES
(intstack kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) intstack kc_p; boolean kc_copy_attributes;
#endif
{	return (intstack)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_intstack); }
idCexpressionsstack copy_idCexpressionsstack
#ifdef KC_USE_PROTOTYPES
(idCexpressionsstack kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) idCexpressionsstack kc_p; boolean kc_copy_attributes;
#endif
{	return (idCexpressionsstack)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_idCexpressionsstack); }
two_phyla copy_two_phyla
#ifdef KC_USE_PROTOTYPES
(two_phyla kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) two_phyla kc_p; boolean kc_copy_attributes;
#endif
{	return (two_phyla)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_two_phyla); }
tribool copy_tribool
#ifdef KC_USE_PROTOTYPES
(tribool kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) tribool kc_p; boolean kc_copy_attributes;
#endif
{	return (tribool)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_tribool); }
patternrepresentations copy_patternrepresentations
#ifdef KC_USE_PROTOTYPES
(patternrepresentations kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) patternrepresentations kc_p; boolean kc_copy_attributes;
#endif
{	return (patternrepresentations)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_patternrepresentations); }
patternrepresentation copy_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(patternrepresentation kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) patternrepresentation kc_p; boolean kc_copy_attributes;
#endif
{	return (patternrepresentation)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_patternrepresentation); }
elem_patternrepresentation copy_elem_patternrepresentation
#ifdef KC_USE_PROTOTYPES
(elem_patternrepresentation kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) elem_patternrepresentation kc_p; boolean kc_copy_attributes;
#endif
{	return (elem_patternrepresentation)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_elem_patternrepresentation); }
path copy_path
#ifdef KC_USE_PROTOTYPES
(path kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) path kc_p; boolean kc_copy_attributes;
#endif
{	return (path)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_path); }
paths copy_paths
#ifdef KC_USE_PROTOTYPES
(paths kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) paths kc_p; boolean kc_copy_attributes;
#endif
{	return (paths)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_paths); }
argsnumbers copy_argsnumbers
#ifdef KC_USE_PROTOTYPES
(argsnumbers kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) argsnumbers kc_p; boolean kc_copy_attributes;
#endif
{	return (argsnumbers)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_argsnumbers); }
rewriterulesinfo copy_rewriterulesinfo
#ifdef KC_USE_PROTOTYPES
(rewriterulesinfo kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) rewriterulesinfo kc_p; boolean kc_copy_attributes;
#endif
{	return (rewriterulesinfo)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_rewriterulesinfo); }
rewriteruleinfo copy_rewriteruleinfo
#ifdef KC_USE_PROTOTYPES
(rewriteruleinfo kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) rewriteruleinfo kc_p; boolean kc_copy_attributes;
#endif
{	return (rewriteruleinfo)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_rewriteruleinfo); }
withcasesinfo copy_withcasesinfo
#ifdef KC_USE_PROTOTYPES
(withcasesinfo kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) withcasesinfo kc_p; boolean kc_copy_attributes;
#endif
{	return (withcasesinfo)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_withcasesinfo); }
withcaseinfo copy_withcaseinfo
#ifdef KC_USE_PROTOTYPES
(withcaseinfo kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) withcaseinfo kc_p; boolean kc_copy_attributes;
#endif
{	return (withcaseinfo)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_withcaseinfo); }
rewriteviewsinfo copy_rewriteviewsinfo
#ifdef KC_USE_PROTOTYPES
(rewriteviewsinfo kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) rewriteviewsinfo kc_p; boolean kc_copy_attributes;
#endif
{	return (rewriteviewsinfo)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_rewriteviewsinfo); }
rewriteviewinfo copy_rewriteviewinfo
#ifdef KC_USE_PROTOTYPES
(rewriteviewinfo kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) rewriteviewinfo kc_p; boolean kc_copy_attributes;
#endif
{	return (rewriteviewinfo)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_rewriteviewinfo); }
unparseviewsinfo copy_unparseviewsinfo
#ifdef KC_USE_PROTOTYPES
(unparseviewsinfo kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) unparseviewsinfo kc_p; boolean kc_copy_attributes;
#endif
{	return (unparseviewsinfo)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_unparseviewsinfo); }
unparseviewinfo copy_unparseviewinfo
#ifdef KC_USE_PROTOTYPES
(unparseviewinfo kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) unparseviewinfo kc_p; boolean kc_copy_attributes;
#endif
{	return (unparseviewinfo)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_unparseviewinfo); }
unparsedeclsinfo copy_unparsedeclsinfo
#ifdef KC_USE_PROTOTYPES
(unparsedeclsinfo kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) unparsedeclsinfo kc_p; boolean kc_copy_attributes;
#endif
{	return (unparsedeclsinfo)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_unparsedeclsinfo); }
unparsedeclinfo copy_unparsedeclinfo
#ifdef KC_USE_PROTOTYPES
(unparsedeclinfo kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) unparsedeclinfo kc_p; boolean kc_copy_attributes;
#endif
{	return (unparsedeclinfo)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_unparsedeclinfo); }
ac_declaration copy_ac_declaration
#ifdef KC_USE_PROTOTYPES
(ac_declaration kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_declaration kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_declaration)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_declaration); }
ac_declaration_list copy_ac_declaration_list
#ifdef KC_USE_PROTOTYPES
(ac_declaration_list kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_declaration_list kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_declaration_list)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_declaration_list); }
ac_declaration_specifiers copy_ac_declaration_specifiers
#ifdef KC_USE_PROTOTYPES
(ac_declaration_specifiers kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_declaration_specifiers kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_declaration_specifiers)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_declaration_specifiers); }
ac_declaration_specifier copy_ac_declaration_specifier
#ifdef KC_USE_PROTOTYPES
(ac_declaration_specifier kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_declaration_specifier kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_declaration_specifier)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_declaration_specifier); }
ac_storage_class_specifier copy_ac_storage_class_specifier
#ifdef KC_USE_PROTOTYPES
(ac_storage_class_specifier kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_storage_class_specifier kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_storage_class_specifier)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_storage_class_specifier); }
ac_type_specifier copy_ac_type_specifier
#ifdef KC_USE_PROTOTYPES
(ac_type_specifier kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_type_specifier kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_type_specifier)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_type_specifier); }
ac_type_qualifier copy_ac_type_qualifier
#ifdef KC_USE_PROTOTYPES
(ac_type_qualifier kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_type_qualifier kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_type_qualifier)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_type_qualifier); }
ac_init_declarator_list copy_ac_init_declarator_list
#ifdef KC_USE_PROTOTYPES
(ac_init_declarator_list kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_init_declarator_list kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_init_declarator_list)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_init_declarator_list); }
ac_init_declarator copy_ac_init_declarator
#ifdef KC_USE_PROTOTYPES
(ac_init_declarator kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_init_declarator kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_init_declarator)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_init_declarator); }
ac_declarator copy_ac_declarator
#ifdef KC_USE_PROTOTYPES
(ac_declarator kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_declarator kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_declarator)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_declarator); }
ac_direct_declarator copy_ac_direct_declarator
#ifdef KC_USE_PROTOTYPES
(ac_direct_declarator kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_direct_declarator kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_direct_declarator)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_direct_declarator); }
ac_pointer_option copy_ac_pointer_option
#ifdef KC_USE_PROTOTYPES
(ac_pointer_option kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_pointer_option kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_pointer_option)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_pointer_option); }
ac_pointer copy_ac_pointer
#ifdef KC_USE_PROTOTYPES
(ac_pointer kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_pointer kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_pointer)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_pointer); }
ac_type_qualifier_list copy_ac_type_qualifier_list
#ifdef KC_USE_PROTOTYPES
(ac_type_qualifier_list kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_type_qualifier_list kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_type_qualifier_list)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_type_qualifier_list); }
ac_parameter_type_list copy_ac_parameter_type_list
#ifdef KC_USE_PROTOTYPES
(ac_parameter_type_list kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_parameter_type_list kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_parameter_type_list)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_parameter_type_list); }
ac_parameter_list copy_ac_parameter_list
#ifdef KC_USE_PROTOTYPES
(ac_parameter_list kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_parameter_list kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_parameter_list)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_parameter_list); }
ac_parameter_declaration copy_ac_parameter_declaration
#ifdef KC_USE_PROTOTYPES
(ac_parameter_declaration kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_parameter_declaration kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_parameter_declaration)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_parameter_declaration); }
ac_identifier_list copy_ac_identifier_list
#ifdef KC_USE_PROTOTYPES
(ac_identifier_list kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_identifier_list kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_identifier_list)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_identifier_list); }
ac_abstract_declarator copy_ac_abstract_declarator
#ifdef KC_USE_PROTOTYPES
(ac_abstract_declarator kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_abstract_declarator kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_abstract_declarator)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_abstract_declarator); }
ac_direct_abstract_declarator_option copy_ac_direct_abstract_declarator_option
#ifdef KC_USE_PROTOTYPES
(ac_direct_abstract_declarator_option kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_direct_abstract_declarator_option kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_direct_abstract_declarator_option)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_direct_abstract_declarator_option); }
ac_direct_abstract_declarator copy_ac_direct_abstract_declarator
#ifdef KC_USE_PROTOTYPES
(ac_direct_abstract_declarator kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_direct_abstract_declarator kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_direct_abstract_declarator)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_direct_abstract_declarator); }
ac_constant_expression_option copy_ac_constant_expression_option
#ifdef KC_USE_PROTOTYPES
(ac_constant_expression_option kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_constant_expression_option kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_constant_expression_option)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_constant_expression_option); }
ac_constant_expression copy_ac_constant_expression
#ifdef KC_USE_PROTOTYPES
(ac_constant_expression kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) ac_constant_expression kc_p; boolean kc_copy_attributes;
#endif
{	return (ac_constant_expression)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_ac_constant_expression); }
error copy_error
#ifdef KC_USE_PROTOTYPES
(error kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) error kc_p; boolean kc_copy_attributes;
#endif
{	return (error)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_error); }
problem copy_problem
#ifdef KC_USE_PROTOTYPES
(problem kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) problem kc_p; boolean kc_copy_attributes;
#endif
{	return (problem)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_problem); }
addedphylumdeclarations copy_addedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(addedphylumdeclarations kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) addedphylumdeclarations kc_p; boolean kc_copy_attributes;
#endif
{	return (addedphylumdeclarations)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_addedphylumdeclarations); }
addedphylumdeclaration copy_addedphylumdeclaration
#ifdef KC_USE_PROTOTYPES
(addedphylumdeclaration kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) addedphylumdeclaration kc_p; boolean kc_copy_attributes;
#endif
{	return (addedphylumdeclaration)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_addedphylumdeclaration); }
countedphylumdeclarations copy_countedphylumdeclarations
#ifdef KC_USE_PROTOTYPES
(countedphylumdeclarations kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) countedphylumdeclarations kc_p; boolean kc_copy_attributes;
#endif
{	return (countedphylumdeclarations)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_countedphylumdeclarations); }
countedphylumdeclaration copy_countedphylumdeclaration
#ifdef KC_USE_PROTOTYPES
(countedphylumdeclaration kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) countedphylumdeclaration kc_p; boolean kc_copy_attributes;
#endif
{	return (countedphylumdeclaration)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_countedphylumdeclaration); }
bindingidmarks copy_bindingidmarks
#ifdef KC_USE_PROTOTYPES
(bindingidmarks kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) bindingidmarks kc_p; boolean kc_copy_attributes;
#endif
{	return (bindingidmarks)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_bindingidmarks); }
bindingidmark copy_bindingidmark
#ifdef KC_USE_PROTOTYPES
(bindingidmark kc_p, boolean kc_copy_attributes)
#else
(kc_p, kc_copy_attributes) bindingidmark kc_p; boolean kc_copy_attributes;
#endif
{	return (bindingidmark)kc_do_copy_phylum( (kc_voidptr_t)kc_p, kc_copy_attributes, kc_phylum_bindingidmark); }
